#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8817
#define LARGE_STATE_COUNT 2057
#define SYMBOL_COUNT 269
#define ALIAS_COUNT 1
#define TOKEN_COUNT 127
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 14
#define MAX_ALIAS_SEQUENCE_LENGTH 14
#define PRODUCTION_ID_COUNT 69

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_LBRACE = 2,
  anon_sym_RBRACE = 3,
  anon_sym_package = 4,
  anon_sym_foreign = 5,
  anon_sym_import = 6,
  anon_sym_COMMA = 7,
  anon_sym_COLON_COLON = 8,
  anon_sym_proc = 9,
  anon_sym_DASH_GT = 10,
  anon_sym_where = 11,
  anon_sym_DQUOTEodin_DQUOTE = 12,
  anon_sym_DQUOTEcontextless_DQUOTE = 13,
  anon_sym_DQUOTEstdcall_DQUOTE = 14,
  anon_sym_DQUOTEstd_DQUOTE = 15,
  anon_sym_DQUOTEcdecl_DQUOTE = 16,
  anon_sym_DQUOTEc_DQUOTE = 17,
  anon_sym_DQUOTEfastcall_DQUOTE = 18,
  anon_sym_DQUOTEfast_DQUOTE = 19,
  anon_sym_DQUOTEnone_DQUOTE = 20,
  anon_sym_DQUOTEsystem_DQUOTE = 21,
  anon_sym_struct = 22,
  anon_sym_using = 23,
  anon_sym_enum = 24,
  anon_sym_EQ = 25,
  anon_sym_union = 26,
  anon_sym_bit_field = 27,
  anon_sym_COLON = 28,
  anon_sym_PIPE = 29,
  anon_sym_COLON_EQ = 30,
  anon_sym_POUNDtype = 31,
  anon_sym_AT = 32,
  anon_sym_LPAREN = 33,
  anon_sym_RPAREN = 34,
  anon_sym_DOLLAR = 35,
  anon_sym_PLUS_EQ = 36,
  anon_sym_DASH_EQ = 37,
  anon_sym_STAR_EQ = 38,
  anon_sym_SLASH_EQ = 39,
  anon_sym_PERCENT_EQ = 40,
  anon_sym_AMP_EQ = 41,
  anon_sym_PIPE_EQ = 42,
  anon_sym_CARET_EQ = 43,
  anon_sym_LT_LT_EQ = 44,
  anon_sym_GT_GT_EQ = 45,
  anon_sym_PIPE_PIPE_EQ = 46,
  anon_sym_AMP_AMP_EQ = 47,
  anon_sym_AMP_TILDE_EQ = 48,
  anon_sym_if = 49,
  anon_sym_SEMI = 50,
  anon_sym_do = 51,
  anon_sym_else = 52,
  anon_sym_when = 53,
  anon_sym_for = 54,
  anon_sym_in = 55,
  anon_sym_switch = 56,
  anon_sym_case = 57,
  anon_sym_defer = 58,
  anon_sym_break = 59,
  anon_sym_continue = 60,
  sym_fallthrough_statement = 61,
  anon_sym_return = 62,
  anon_sym_QMARK = 63,
  anon_sym_PLUS = 64,
  anon_sym_DASH = 65,
  anon_sym_TILDE = 66,
  anon_sym_BANG = 67,
  anon_sym_AMP = 68,
  anon_sym_PIPE_PIPE = 69,
  anon_sym_or_else = 70,
  anon_sym_AMP_AMP = 71,
  anon_sym_GT = 72,
  anon_sym_GT_EQ = 73,
  anon_sym_LT_EQ = 74,
  anon_sym_LT = 75,
  anon_sym_EQ_EQ = 76,
  anon_sym_BANG_EQ = 77,
  anon_sym_TILDE_EQ = 78,
  anon_sym_AMP_TILDE = 79,
  anon_sym_LT_LT = 80,
  anon_sym_GT_GT = 81,
  anon_sym_STAR = 82,
  anon_sym_SLASH = 83,
  anon_sym_PERCENT = 84,
  anon_sym_PERCENT_PERCENT = 85,
  anon_sym_DOT = 86,
  anon_sym_LBRACK = 87,
  anon_sym_RBRACK = 88,
  anon_sym_DOT_DOT_EQ = 89,
  anon_sym_DOT_DOT_LT = 90,
  anon_sym_cast = 91,
  anon_sym_transmute = 92,
  anon_sym_auto_cast = 93,
  anon_sym_not_in = 94,
  anon_sym_DOT_DOT = 95,
  anon_sym_or_return = 96,
  anon_sym_or_continue = 97,
  anon_sym_or_break = 98,
  anon_sym_CARET = 99,
  anon_sym_DOT_DOT_DOT = 100,
  anon_sym_dynamic = 101,
  anon_sym_map = 102,
  anon_sym_bit_set = 103,
  anon_sym_matrix = 104,
  anon_sym_DOT2 = 105,
  anon_sym_distinct = 106,
  sym_number = 107,
  anon_sym_DQUOTE = 108,
  anon_sym_BQUOTE = 109,
  anon_sym_SQUOTE = 110,
  aux_sym_character_token1 = 111,
  sym_string_content = 112,
  sym__raw_string_content = 113,
  aux_sym__escape_sequence_token1 = 114,
  sym_escape_sequence = 115,
  anon_sym_true = 116,
  anon_sym_false = 117,
  anon_sym_nil = 118,
  sym_uninitialized = 119,
  sym_tag = 120,
  sym_comment = 121,
  sym__newline = 122,
  sym__backslash = 123,
  sym__nl_comma = 124,
  sym_float = 125,
  sym_block_comment = 126,
  sym_source_file = 127,
  sym_block = 128,
  sym_tagged_block = 129,
  sym_declaration = 130,
  sym_package_declaration = 131,
  sym_import_declaration = 132,
  sym_procedure_declaration = 133,
  sym_procedure = 134,
  sym_where_clause = 135,
  sym_calling_convention = 136,
  sym_overloaded_procedure_declaration = 137,
  sym_struct_declaration = 138,
  sym_enum_declaration = 139,
  sym_union_declaration = 140,
  sym_bit_field_declaration = 141,
  sym_variable_declaration = 142,
  sym_const_declaration = 143,
  sym_const_type_declaration = 144,
  sym_foreign_block = 145,
  sym_attributes = 146,
  sym_attribute = 147,
  sym_parameters = 148,
  sym_parameter = 149,
  sym_default_parameter = 150,
  sym_polymorphic_parameters = 151,
  sym_field = 152,
  sym_statement = 153,
  sym_assignment_statement = 154,
  sym_update_statement = 155,
  sym_if_statement = 156,
  sym_else_if_clause = 157,
  sym_else_clause = 158,
  sym_when_statement = 159,
  sym_else_when_clause = 160,
  sym_for_statement = 161,
  sym__for_in_expression = 162,
  sym__simple_assignment_statement = 163,
  sym_switch_statement = 164,
  sym_switch_case = 165,
  sym_defer_statement = 166,
  sym_break_statement = 167,
  sym_continue_statement = 168,
  sym_var_declaration = 169,
  sym_return_statement = 170,
  sym_label_statement = 171,
  sym_using_statement = 172,
  sym_expression = 173,
  sym__expression_no_tag = 174,
  sym_unary_expression = 175,
  sym_binary_expression = 176,
  sym_ternary_expression = 177,
  sym_call_expression = 178,
  sym_selector_call_expression = 179,
  sym_member_expression = 180,
  sym_index_expression = 181,
  sym_slice_expression = 182,
  sym_range_expression = 183,
  sym_cast_expression = 184,
  sym_in_expression = 185,
  sym_variadic_expression = 186,
  sym_parenthesized_expression = 187,
  sym_or_return_expression = 188,
  sym_or_continue_expression = 189,
  sym_or_break_expression = 190,
  sym_address = 191,
  sym_type = 192,
  sym_pointer_type = 193,
  sym_variadic_type = 194,
  sym_array_type = 195,
  sym_map_type = 196,
  sym_union_type = 197,
  sym_bit_set_type = 198,
  sym_matrix_type = 199,
  sym_field_type = 200,
  sym_tuple_type = 201,
  sym_struct_type = 202,
  sym__struct_members = 203,
  sym_struct_member = 204,
  sym_enum_type = 205,
  sym_bit_field_type = 206,
  sym_named_type = 207,
  sym_default_type = 208,
  sym_constant_type = 209,
  sym_specialized_type = 210,
  sym__procedure_type = 211,
  sym_distinct_type = 212,
  sym_empty_type = 213,
  sym_polymorphic_type = 214,
  sym_conditional_type = 215,
  sym_literal = 216,
  sym_struct = 217,
  sym_map = 218,
  sym_bit_set = 219,
  sym_matrix = 220,
  sym_struct_field = 221,
  sym_string = 222,
  sym__string_literal = 223,
  sym__raw_string_literal = 224,
  sym_character = 225,
  sym_boolean = 226,
  sym_nil = 227,
  sym_field_identifier = 228,
  sym__separator = 229,
  aux_sym_source_file_repeat1 = 230,
  aux_sym_block_repeat1 = 231,
  aux_sym_import_declaration_repeat1 = 232,
  aux_sym_where_clause_repeat1 = 233,
  aux_sym_overloaded_procedure_declaration_repeat1 = 234,
  aux_sym_struct_declaration_repeat1 = 235,
  aux_sym_struct_declaration_repeat2 = 236,
  aux_sym_enum_declaration_repeat1 = 237,
  aux_sym_union_declaration_repeat1 = 238,
  aux_sym_bit_field_declaration_repeat1 = 239,
  aux_sym_variable_declaration_repeat1 = 240,
  aux_sym_const_declaration_repeat1 = 241,
  aux_sym_attributes_repeat1 = 242,
  aux_sym_attribute_repeat1 = 243,
  aux_sym_parameters_repeat1 = 244,
  aux_sym_parameter_repeat1 = 245,
  aux_sym_polymorphic_parameters_repeat1 = 246,
  aux_sym_polymorphic_parameters_repeat2 = 247,
  aux_sym_field_repeat1 = 248,
  aux_sym_if_statement_repeat1 = 249,
  aux_sym_when_statement_repeat1 = 250,
  aux_sym__simple_assignment_statement_repeat1 = 251,
  aux_sym_switch_statement_repeat1 = 252,
  aux_sym_switch_case_repeat1 = 253,
  aux_sym_return_statement_repeat1 = 254,
  aux_sym_call_expression_repeat1 = 255,
  aux_sym_field_type_repeat1 = 256,
  aux_sym_tuple_type_repeat1 = 257,
  aux_sym_struct_type_repeat1 = 258,
  aux_sym_struct_type_repeat2 = 259,
  aux_sym__struct_members_repeat1 = 260,
  aux_sym_struct_member_repeat1 = 261,
  aux_sym_polymorphic_type_repeat1 = 262,
  aux_sym_struct_repeat1 = 263,
  aux_sym_struct_repeat2 = 264,
  aux_sym_map_repeat1 = 265,
  aux_sym__string_literal_repeat1 = 266,
  aux_sym__raw_string_literal_repeat1 = 267,
  aux_sym_field_identifier_repeat1 = 268,
  alias_sym_procedure_type = 269,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_package] = "package",
  [anon_sym_foreign] = "foreign",
  [anon_sym_import] = "import",
  [anon_sym_COMMA] = ",",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_proc] = "proc",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_where] = "where",
  [anon_sym_DQUOTEodin_DQUOTE] = "\"odin\"",
  [anon_sym_DQUOTEcontextless_DQUOTE] = "\"contextless\"",
  [anon_sym_DQUOTEstdcall_DQUOTE] = "\"stdcall\"",
  [anon_sym_DQUOTEstd_DQUOTE] = "\"std\"",
  [anon_sym_DQUOTEcdecl_DQUOTE] = "\"cdecl\"",
  [anon_sym_DQUOTEc_DQUOTE] = "\"c\"",
  [anon_sym_DQUOTEfastcall_DQUOTE] = "\"fastcall\"",
  [anon_sym_DQUOTEfast_DQUOTE] = "\"fast\"",
  [anon_sym_DQUOTEnone_DQUOTE] = "\"none\"",
  [anon_sym_DQUOTEsystem_DQUOTE] = "\"system\"",
  [anon_sym_struct] = "struct",
  [anon_sym_using] = "using",
  [anon_sym_enum] = "enum",
  [anon_sym_EQ] = "=",
  [anon_sym_union] = "union",
  [anon_sym_bit_field] = "bit_field",
  [anon_sym_COLON] = ":",
  [anon_sym_PIPE] = "|",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_POUNDtype] = "tag",
  [anon_sym_AT] = "@",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_AMP_TILDE_EQ] = "&~=",
  [anon_sym_if] = "if",
  [anon_sym_SEMI] = ";",
  [anon_sym_do] = "do",
  [anon_sym_else] = "else",
  [anon_sym_when] = "when",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_defer] = "defer",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [anon_sym_return] = "return",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_or_else] = "or_else",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_TILDE_EQ] = "~=",
  [anon_sym_AMP_TILDE] = "&~",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PERCENT_PERCENT] = "%%",
  [anon_sym_DOT] = ".",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT_EQ] = "..=",
  [anon_sym_DOT_DOT_LT] = "..<",
  [anon_sym_cast] = "cast",
  [anon_sym_transmute] = "transmute",
  [anon_sym_auto_cast] = "auto_cast",
  [anon_sym_not_in] = "not_in",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_or_return] = "or_return",
  [anon_sym_or_continue] = "or_continue",
  [anon_sym_or_break] = "or_break",
  [anon_sym_CARET] = "^",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_dynamic] = "dynamic",
  [anon_sym_map] = "map",
  [anon_sym_bit_set] = "bit_set",
  [anon_sym_matrix] = "matrix",
  [anon_sym_DOT2] = ".",
  [anon_sym_distinct] = "distinct",
  [sym_number] = "number",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_character_token1] = "character_token1",
  [sym_string_content] = "string_content",
  [sym__raw_string_content] = "string_content",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_nil] = "nil",
  [sym_uninitialized] = "uninitialized",
  [sym_tag] = "tag",
  [sym_comment] = "comment",
  [sym__newline] = "_newline",
  [sym__backslash] = "_backslash",
  [sym__nl_comma] = ",",
  [sym_float] = "float",
  [sym_block_comment] = "block_comment",
  [sym_source_file] = "source_file",
  [sym_block] = "block",
  [sym_tagged_block] = "tagged_block",
  [sym_declaration] = "declaration",
  [sym_package_declaration] = "package_declaration",
  [sym_import_declaration] = "import_declaration",
  [sym_procedure_declaration] = "procedure_declaration",
  [sym_procedure] = "procedure",
  [sym_where_clause] = "where_clause",
  [sym_calling_convention] = "calling_convention",
  [sym_overloaded_procedure_declaration] = "overloaded_procedure_declaration",
  [sym_struct_declaration] = "struct_declaration",
  [sym_enum_declaration] = "enum_declaration",
  [sym_union_declaration] = "union_declaration",
  [sym_bit_field_declaration] = "bit_field_declaration",
  [sym_variable_declaration] = "variable_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_type_declaration] = "const_type_declaration",
  [sym_foreign_block] = "foreign_block",
  [sym_attributes] = "attributes",
  [sym_attribute] = "attribute",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym_default_parameter] = "default_parameter",
  [sym_polymorphic_parameters] = "polymorphic_parameters",
  [sym_field] = "field",
  [sym_statement] = "statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_update_statement] = "update_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_when_statement] = "when_statement",
  [sym_else_when_clause] = "else_when_clause",
  [sym_for_statement] = "for_statement",
  [sym__for_in_expression] = "_for_in_expression",
  [sym__simple_assignment_statement] = "assignment_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_case] = "switch_case",
  [sym_defer_statement] = "defer_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_var_declaration] = "var_declaration",
  [sym_return_statement] = "return_statement",
  [sym_label_statement] = "label_statement",
  [sym_using_statement] = "using_statement",
  [sym_expression] = "expression",
  [sym__expression_no_tag] = "_expression_no_tag",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_call_expression] = "call_expression",
  [sym_selector_call_expression] = "selector_call_expression",
  [sym_member_expression] = "member_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_range_expression] = "range_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_in_expression] = "in_expression",
  [sym_variadic_expression] = "variadic_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_or_return_expression] = "or_return_expression",
  [sym_or_continue_expression] = "or_continue_expression",
  [sym_or_break_expression] = "or_break_expression",
  [sym_address] = "address",
  [sym_type] = "type",
  [sym_pointer_type] = "pointer_type",
  [sym_variadic_type] = "variadic_type",
  [sym_array_type] = "array_type",
  [sym_map_type] = "map_type",
  [sym_union_type] = "union_type",
  [sym_bit_set_type] = "bit_set_type",
  [sym_matrix_type] = "matrix_type",
  [sym_field_type] = "field_type",
  [sym_tuple_type] = "tuple_type",
  [sym_struct_type] = "struct_type",
  [sym__struct_members] = "_struct_members",
  [sym_struct_member] = "struct_member",
  [sym_enum_type] = "enum_type",
  [sym_bit_field_type] = "bit_field_type",
  [sym_named_type] = "named_type",
  [sym_default_type] = "default_type",
  [sym_constant_type] = "constant_type",
  [sym_specialized_type] = "specialized_type",
  [sym__procedure_type] = "_procedure_type",
  [sym_distinct_type] = "distinct_type",
  [sym_empty_type] = "empty_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym_conditional_type] = "conditional_type",
  [sym_literal] = "literal",
  [sym_struct] = "struct",
  [sym_map] = "map",
  [sym_bit_set] = "bit_set",
  [sym_matrix] = "matrix",
  [sym_struct_field] = "struct_field",
  [sym_string] = "string",
  [sym__string_literal] = "_string_literal",
  [sym__raw_string_literal] = "_raw_string_literal",
  [sym_character] = "character",
  [sym_boolean] = "boolean",
  [sym_nil] = "nil",
  [sym_field_identifier] = "field_identifier",
  [sym__separator] = "_separator",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_import_declaration_repeat1] = "import_declaration_repeat1",
  [aux_sym_where_clause_repeat1] = "where_clause_repeat1",
  [aux_sym_overloaded_procedure_declaration_repeat1] = "overloaded_procedure_declaration_repeat1",
  [aux_sym_struct_declaration_repeat1] = "struct_declaration_repeat1",
  [aux_sym_struct_declaration_repeat2] = "struct_declaration_repeat2",
  [aux_sym_enum_declaration_repeat1] = "enum_declaration_repeat1",
  [aux_sym_union_declaration_repeat1] = "union_declaration_repeat1",
  [aux_sym_bit_field_declaration_repeat1] = "bit_field_declaration_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_attributes_repeat1] = "attributes_repeat1",
  [aux_sym_attribute_repeat1] = "attribute_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_parameter_repeat1] = "parameter_repeat1",
  [aux_sym_polymorphic_parameters_repeat1] = "polymorphic_parameters_repeat1",
  [aux_sym_polymorphic_parameters_repeat2] = "polymorphic_parameters_repeat2",
  [aux_sym_field_repeat1] = "field_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_when_statement_repeat1] = "when_statement_repeat1",
  [aux_sym__simple_assignment_statement_repeat1] = "_simple_assignment_statement_repeat1",
  [aux_sym_switch_statement_repeat1] = "switch_statement_repeat1",
  [aux_sym_switch_case_repeat1] = "switch_case_repeat1",
  [aux_sym_return_statement_repeat1] = "return_statement_repeat1",
  [aux_sym_call_expression_repeat1] = "call_expression_repeat1",
  [aux_sym_field_type_repeat1] = "field_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_struct_type_repeat1] = "struct_type_repeat1",
  [aux_sym_struct_type_repeat2] = "struct_type_repeat2",
  [aux_sym__struct_members_repeat1] = "_struct_members_repeat1",
  [aux_sym_struct_member_repeat1] = "struct_member_repeat1",
  [aux_sym_polymorphic_type_repeat1] = "polymorphic_type_repeat1",
  [aux_sym_struct_repeat1] = "struct_repeat1",
  [aux_sym_struct_repeat2] = "struct_repeat2",
  [aux_sym_map_repeat1] = "map_repeat1",
  [aux_sym__string_literal_repeat1] = "_string_literal_repeat1",
  [aux_sym__raw_string_literal_repeat1] = "_raw_string_literal_repeat1",
  [aux_sym_field_identifier_repeat1] = "field_identifier_repeat1",
  [alias_sym_procedure_type] = "procedure_type",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_foreign] = anon_sym_foreign,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_proc] = anon_sym_proc,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_DQUOTEodin_DQUOTE] = anon_sym_DQUOTEodin_DQUOTE,
  [anon_sym_DQUOTEcontextless_DQUOTE] = anon_sym_DQUOTEcontextless_DQUOTE,
  [anon_sym_DQUOTEstdcall_DQUOTE] = anon_sym_DQUOTEstdcall_DQUOTE,
  [anon_sym_DQUOTEstd_DQUOTE] = anon_sym_DQUOTEstd_DQUOTE,
  [anon_sym_DQUOTEcdecl_DQUOTE] = anon_sym_DQUOTEcdecl_DQUOTE,
  [anon_sym_DQUOTEc_DQUOTE] = anon_sym_DQUOTEc_DQUOTE,
  [anon_sym_DQUOTEfastcall_DQUOTE] = anon_sym_DQUOTEfastcall_DQUOTE,
  [anon_sym_DQUOTEfast_DQUOTE] = anon_sym_DQUOTEfast_DQUOTE,
  [anon_sym_DQUOTEnone_DQUOTE] = anon_sym_DQUOTEnone_DQUOTE,
  [anon_sym_DQUOTEsystem_DQUOTE] = anon_sym_DQUOTEsystem_DQUOTE,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_bit_field] = anon_sym_bit_field,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_POUNDtype] = sym_tag,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_AMP_TILDE_EQ] = anon_sym_AMP_TILDE_EQ,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_or_else] = anon_sym_or_else,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_TILDE_EQ] = anon_sym_TILDE_EQ,
  [anon_sym_AMP_TILDE] = anon_sym_AMP_TILDE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PERCENT_PERCENT] = anon_sym_PERCENT_PERCENT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT_EQ] = anon_sym_DOT_DOT_EQ,
  [anon_sym_DOT_DOT_LT] = anon_sym_DOT_DOT_LT,
  [anon_sym_cast] = anon_sym_cast,
  [anon_sym_transmute] = anon_sym_transmute,
  [anon_sym_auto_cast] = anon_sym_auto_cast,
  [anon_sym_not_in] = anon_sym_not_in,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_or_return] = anon_sym_or_return,
  [anon_sym_or_continue] = anon_sym_or_continue,
  [anon_sym_or_break] = anon_sym_or_break,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_dynamic] = anon_sym_dynamic,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_bit_set] = anon_sym_bit_set,
  [anon_sym_matrix] = anon_sym_matrix,
  [anon_sym_DOT2] = anon_sym_DOT,
  [anon_sym_distinct] = anon_sym_distinct,
  [sym_number] = sym_number,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_character_token1] = aux_sym_character_token1,
  [sym_string_content] = sym_string_content,
  [sym__raw_string_content] = sym_string_content,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_nil] = anon_sym_nil,
  [sym_uninitialized] = sym_uninitialized,
  [sym_tag] = sym_tag,
  [sym_comment] = sym_comment,
  [sym__newline] = sym__newline,
  [sym__backslash] = sym__backslash,
  [sym__nl_comma] = anon_sym_COMMA,
  [sym_float] = sym_float,
  [sym_block_comment] = sym_block_comment,
  [sym_source_file] = sym_source_file,
  [sym_block] = sym_block,
  [sym_tagged_block] = sym_tagged_block,
  [sym_declaration] = sym_declaration,
  [sym_package_declaration] = sym_package_declaration,
  [sym_import_declaration] = sym_import_declaration,
  [sym_procedure_declaration] = sym_procedure_declaration,
  [sym_procedure] = sym_procedure,
  [sym_where_clause] = sym_where_clause,
  [sym_calling_convention] = sym_calling_convention,
  [sym_overloaded_procedure_declaration] = sym_overloaded_procedure_declaration,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_union_declaration] = sym_union_declaration,
  [sym_bit_field_declaration] = sym_bit_field_declaration,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_type_declaration] = sym_const_type_declaration,
  [sym_foreign_block] = sym_foreign_block,
  [sym_attributes] = sym_attributes,
  [sym_attribute] = sym_attribute,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym_default_parameter] = sym_default_parameter,
  [sym_polymorphic_parameters] = sym_polymorphic_parameters,
  [sym_field] = sym_field,
  [sym_statement] = sym_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_update_statement] = sym_update_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_when_statement] = sym_when_statement,
  [sym_else_when_clause] = sym_else_when_clause,
  [sym_for_statement] = sym_for_statement,
  [sym__for_in_expression] = sym__for_in_expression,
  [sym__simple_assignment_statement] = sym_assignment_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_case] = sym_switch_case,
  [sym_defer_statement] = sym_defer_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_var_declaration] = sym_var_declaration,
  [sym_return_statement] = sym_return_statement,
  [sym_label_statement] = sym_label_statement,
  [sym_using_statement] = sym_using_statement,
  [sym_expression] = sym_expression,
  [sym__expression_no_tag] = sym__expression_no_tag,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_selector_call_expression] = sym_selector_call_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_in_expression] = sym_in_expression,
  [sym_variadic_expression] = sym_variadic_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_or_return_expression] = sym_or_return_expression,
  [sym_or_continue_expression] = sym_or_continue_expression,
  [sym_or_break_expression] = sym_or_break_expression,
  [sym_address] = sym_address,
  [sym_type] = sym_type,
  [sym_pointer_type] = sym_pointer_type,
  [sym_variadic_type] = sym_variadic_type,
  [sym_array_type] = sym_array_type,
  [sym_map_type] = sym_map_type,
  [sym_union_type] = sym_union_type,
  [sym_bit_set_type] = sym_bit_set_type,
  [sym_matrix_type] = sym_matrix_type,
  [sym_field_type] = sym_field_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_struct_type] = sym_struct_type,
  [sym__struct_members] = sym__struct_members,
  [sym_struct_member] = sym_struct_member,
  [sym_enum_type] = sym_enum_type,
  [sym_bit_field_type] = sym_bit_field_type,
  [sym_named_type] = sym_named_type,
  [sym_default_type] = sym_default_type,
  [sym_constant_type] = sym_constant_type,
  [sym_specialized_type] = sym_specialized_type,
  [sym__procedure_type] = sym__procedure_type,
  [sym_distinct_type] = sym_distinct_type,
  [sym_empty_type] = sym_empty_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_literal] = sym_literal,
  [sym_struct] = sym_struct,
  [sym_map] = sym_map,
  [sym_bit_set] = sym_bit_set,
  [sym_matrix] = sym_matrix,
  [sym_struct_field] = sym_struct_field,
  [sym_string] = sym_string,
  [sym__string_literal] = sym__string_literal,
  [sym__raw_string_literal] = sym__raw_string_literal,
  [sym_character] = sym_character,
  [sym_boolean] = sym_boolean,
  [sym_nil] = sym_nil,
  [sym_field_identifier] = sym_field_identifier,
  [sym__separator] = sym__separator,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_import_declaration_repeat1] = aux_sym_import_declaration_repeat1,
  [aux_sym_where_clause_repeat1] = aux_sym_where_clause_repeat1,
  [aux_sym_overloaded_procedure_declaration_repeat1] = aux_sym_overloaded_procedure_declaration_repeat1,
  [aux_sym_struct_declaration_repeat1] = aux_sym_struct_declaration_repeat1,
  [aux_sym_struct_declaration_repeat2] = aux_sym_struct_declaration_repeat2,
  [aux_sym_enum_declaration_repeat1] = aux_sym_enum_declaration_repeat1,
  [aux_sym_union_declaration_repeat1] = aux_sym_union_declaration_repeat1,
  [aux_sym_bit_field_declaration_repeat1] = aux_sym_bit_field_declaration_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_attributes_repeat1] = aux_sym_attributes_repeat1,
  [aux_sym_attribute_repeat1] = aux_sym_attribute_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_parameter_repeat1] = aux_sym_parameter_repeat1,
  [aux_sym_polymorphic_parameters_repeat1] = aux_sym_polymorphic_parameters_repeat1,
  [aux_sym_polymorphic_parameters_repeat2] = aux_sym_polymorphic_parameters_repeat2,
  [aux_sym_field_repeat1] = aux_sym_field_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_when_statement_repeat1] = aux_sym_when_statement_repeat1,
  [aux_sym__simple_assignment_statement_repeat1] = aux_sym__simple_assignment_statement_repeat1,
  [aux_sym_switch_statement_repeat1] = aux_sym_switch_statement_repeat1,
  [aux_sym_switch_case_repeat1] = aux_sym_switch_case_repeat1,
  [aux_sym_return_statement_repeat1] = aux_sym_return_statement_repeat1,
  [aux_sym_call_expression_repeat1] = aux_sym_call_expression_repeat1,
  [aux_sym_field_type_repeat1] = aux_sym_field_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_struct_type_repeat1] = aux_sym_struct_type_repeat1,
  [aux_sym_struct_type_repeat2] = aux_sym_struct_type_repeat2,
  [aux_sym__struct_members_repeat1] = aux_sym__struct_members_repeat1,
  [aux_sym_struct_member_repeat1] = aux_sym_struct_member_repeat1,
  [aux_sym_polymorphic_type_repeat1] = aux_sym_polymorphic_type_repeat1,
  [aux_sym_struct_repeat1] = aux_sym_struct_repeat1,
  [aux_sym_struct_repeat2] = aux_sym_struct_repeat2,
  [aux_sym_map_repeat1] = aux_sym_map_repeat1,
  [aux_sym__string_literal_repeat1] = aux_sym__string_literal_repeat1,
  [aux_sym__raw_string_literal_repeat1] = aux_sym__raw_string_literal_repeat1,
  [aux_sym_field_identifier_repeat1] = aux_sym_field_identifier_repeat1,
  [alias_sym_procedure_type] = alias_sym_procedure_type,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreign] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_proc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEodin_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEcontextless_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEstdcall_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEstd_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEcdecl_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEc_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEfastcall_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEfast_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEnone_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEsystem_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bit_field] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDtype] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_TILDE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cast] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transmute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto_cast] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bit_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_matrix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_distinct] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym__raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nil] = {
    .visible = true,
    .named = false,
  },
  [sym_uninitialized] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__backslash] = {
    .visible = false,
    .named = true,
  },
  [sym__nl_comma] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_tagged_block] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_package_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_calling_convention] = {
    .visible = true,
    .named = true,
  },
  [sym_overloaded_procedure_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_union_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bit_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_foreign_block] = {
    .visible = true,
    .named = true,
  },
  [sym_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_update_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_when_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_when_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_in_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_using_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_no_tag] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_in_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_or_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_or_continue_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_or_break_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_address] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_bit_set_type] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym__struct_members] = {
    .visible = false,
    .named = true,
  },
  [sym_struct_member] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_type] = {
    .visible = true,
    .named = true,
  },
  [sym_bit_field_type] = {
    .visible = true,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_type] = {
    .visible = true,
    .named = true,
  },
  [sym_specialized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__procedure_type] = {
    .visible = false,
    .named = true,
  },
  [sym_distinct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_struct] = {
    .visible = true,
    .named = true,
  },
  [sym_map] = {
    .visible = true,
    .named = true,
  },
  [sym_bit_set] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_field] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__separator] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_where_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_overloaded_procedure_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bit_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_parameters_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_when_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_assignment_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_return_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__struct_members_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_member_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_map_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_procedure_type] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_condition = 4,
  field_consequence = 5,
  field_end = 6,
  field_function = 7,
  field_initializer = 8,
  field_label = 9,
  field_left = 10,
  field_operator = 11,
  field_post = 12,
  field_right = 13,
  field_start = 14,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_end] = "end",
  [field_function] = "function",
  [field_initializer] = "initializer",
  [field_label] = "label",
  [field_left] = "left",
  [field_operator] = "operator",
  [field_post] = "post",
  [field_right] = "right",
  [field_start] = "start",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 2},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 3},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 2},
  [10] = {.index = 12, .length = 2},
  [11] = {.index = 14, .length = 2},
  [12] = {.index = 16, .length = 1},
  [13] = {.index = 17, .length = 2},
  [14] = {.index = 19, .length = 1},
  [15] = {.index = 20, .length = 3},
  [16] = {.index = 23, .length = 2},
  [17] = {.index = 25, .length = 3},
  [18] = {.index = 28, .length = 1},
  [19] = {.index = 29, .length = 1},
  [20] = {.index = 30, .length = 1},
  [21] = {.index = 31, .length = 3},
  [22] = {.index = 34, .length = 2},
  [23] = {.index = 36, .length = 3},
  [24] = {.index = 39, .length = 1},
  [25] = {.index = 40, .length = 2},
  [26] = {.index = 42, .length = 2},
  [27] = {.index = 44, .length = 2},
  [28] = {.index = 46, .length = 2},
  [29] = {.index = 48, .length = 1},
  [30] = {.index = 49, .length = 4},
  [31] = {.index = 53, .length = 2},
  [32] = {.index = 55, .length = 2},
  [33] = {.index = 57, .length = 3},
  [34] = {.index = 60, .length = 3},
  [35] = {.index = 63, .length = 2},
  [36] = {.index = 65, .length = 2},
  [37] = {.index = 67, .length = 3},
  [38] = {.index = 70, .length = 2},
  [39] = {.index = 72, .length = 2},
  [40] = {.index = 74, .length = 3},
  [41] = {.index = 77, .length = 3},
  [42] = {.index = 80, .length = 3},
  [43] = {.index = 83, .length = 1},
  [44] = {.index = 84, .length = 2},
  [45] = {.index = 86, .length = 3},
  [46] = {.index = 89, .length = 3},
  [47] = {.index = 92, .length = 3},
  [48] = {.index = 95, .length = 4},
  [49] = {.index = 99, .length = 3},
  [50] = {.index = 102, .length = 3},
  [51] = {.index = 105, .length = 3},
  [52] = {.index = 108, .length = 3},
  [53] = {.index = 111, .length = 3},
  [54] = {.index = 114, .length = 3},
  [55] = {.index = 117, .length = 4},
  [56] = {.index = 121, .length = 2},
  [57] = {.index = 123, .length = 2},
  [58] = {.index = 125, .length = 2},
  [59] = {.index = 127, .length = 3},
  [60] = {.index = 130, .length = 4},
  [61] = {.index = 134, .length = 4},
  [62] = {.index = 138, .length = 4},
  [63] = {.index = 142, .length = 4},
  [64] = {.index = 146, .length = 4},
  [65] = {.index = 150, .length = 4},
  [66] = {.index = 154, .length = 3},
  [67] = {.index = 157, .length = 5},
  [68] = {.index = 162, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_argument, 1},
    {field_operator, 0},
  [2] =
    {field_alias, 1},
  [3] =
    {field_function, 0},
  [4] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [7] =
    {field_label, 2},
  [8] =
    {field_consequence, 1},
  [9] =
    {field_alias, 2},
  [10] =
    {field_argument, 2},
    {field_function, 0},
  [12] =
    {field_function, 0},
    {field_function, 1},
  [14] =
    {field_condition, 1},
    {field_consequence, 2},
  [16] =
    {field_consequence, 2},
  [17] =
    {field_consequence, 1},
    {field_consequence, 2},
  [19] =
    {field_argument, 1},
  [20] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_function, 0},
  [23] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [25] =
    {field_argument, 3},
    {field_function, 0},
    {field_function, 1},
  [28] =
    {field_alias, 3},
  [29] =
    {field_end, 3},
  [30] =
    {field_start, 2},
  [31] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [34] =
    {field_condition, 2},
    {field_consequence, 3},
  [36] =
    {field_condition, 1},
    {field_consequence, 2},
    {field_consequence, 3},
  [39] =
    {field_consequence, 3},
  [40] =
    {field_consequence, 2},
    {field_consequence, 3},
  [42] =
    {field_consequence, 3},
    {field_post, 2},
  [44] =
    {field_consequence, 3},
    {field_initializer, 1},
  [46] =
    {field_condition, 1},
    {field_consequence, 3},
  [48] =
    {field_condition, 1},
  [49] =
    {field_argument, 3},
    {field_argument, 4, .inherited = true},
    {field_function, 0},
    {field_function, 1},
  [53] =
    {field_end, 4},
    {field_start, 2},
  [55] =
    {field_condition, 3},
    {field_consequence, 4},
  [57] =
    {field_condition, 2},
    {field_consequence, 3},
    {field_consequence, 4},
  [60] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [63] =
    {field_consequence, 3},
    {field_consequence, 4},
  [65] =
    {field_consequence, 4},
    {field_post, 3},
  [67] =
    {field_consequence, 3},
    {field_consequence, 4},
    {field_post, 2},
  [70] =
    {field_condition, 2},
    {field_consequence, 4},
  [72] =
    {field_consequence, 4},
    {field_initializer, 1},
  [74] =
    {field_consequence, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [77] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [80] =
    {field_condition, 1},
    {field_consequence, 4},
    {field_post, 3},
  [83] =
    {field_condition, 2},
  [84] =
    {field_condition, 1},
    {field_condition, 2},
  [86] =
    {field_argument, 2},
    {field_argument, 5, .inherited = true},
    {field_function, 0},
  [89] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_consequence, 5},
  [92] =
    {field_condition, 4},
    {field_consequence, 5},
    {field_initializer, 1},
  [95] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_consequence, 5},
    {field_initializer, 1},
  [99] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_post, 3},
  [102] =
    {field_condition, 2},
    {field_consequence, 4},
    {field_consequence, 5},
  [105] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_post, 4},
  [108] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_initializer, 1},
  [111] =
    {field_consequence, 5},
    {field_initializer, 1},
    {field_post, 4},
  [114] =
    {field_condition, 3},
    {field_consequence, 5},
    {field_initializer, 1},
  [117] =
    {field_condition, 1},
    {field_consequence, 4},
    {field_consequence, 5},
    {field_post, 3},
  [121] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [123] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [125] =
    {field_condition, 2},
    {field_condition, 3},
  [127] =
    {field_condition, 1},
    {field_condition, 2},
    {field_condition, 3},
  [130] =
    {field_argument, 3},
    {field_argument, 6, .inherited = true},
    {field_function, 0},
    {field_function, 1},
  [134] =
    {field_condition, 4},
    {field_consequence, 5},
    {field_consequence, 6},
    {field_initializer, 1},
  [138] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_consequence, 6},
    {field_post, 4},
  [142] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_initializer, 1},
    {field_post, 4},
  [146] =
    {field_condition, 3},
    {field_consequence, 5},
    {field_consequence, 6},
    {field_initializer, 1},
  [150] =
    {field_condition, 3},
    {field_consequence, 6},
    {field_initializer, 1},
    {field_post, 5},
  [154] =
    {field_condition, 2},
    {field_condition, 3},
    {field_condition, 4},
  [157] =
    {field_condition, 3},
    {field_consequence, 6},
    {field_consequence, 7},
    {field_initializer, 1},
    {field_post, 5},
  [162] =
    {field_condition, 4},
    {field_consequence, 5},
    {field_initializer, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_procedure_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_procedure, 2,
    sym_procedure,
    alias_sym_procedure_type,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 15,
  [16] = 16,
  [17] = 2,
  [18] = 18,
  [19] = 2,
  [20] = 20,
  [21] = 2,
  [22] = 22,
  [23] = 23,
  [24] = 23,
  [25] = 22,
  [26] = 22,
  [27] = 23,
  [28] = 28,
  [29] = 22,
  [30] = 23,
  [31] = 23,
  [32] = 22,
  [33] = 22,
  [34] = 23,
  [35] = 28,
  [36] = 22,
  [37] = 23,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 43,
  [45] = 43,
  [46] = 43,
  [47] = 47,
  [48] = 48,
  [49] = 48,
  [50] = 48,
  [51] = 48,
  [52] = 48,
  [53] = 48,
  [54] = 48,
  [55] = 48,
  [56] = 48,
  [57] = 48,
  [58] = 48,
  [59] = 48,
  [60] = 48,
  [61] = 48,
  [62] = 48,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 65,
  [81] = 81,
  [82] = 74,
  [83] = 83,
  [84] = 75,
  [85] = 85,
  [86] = 63,
  [87] = 66,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 73,
  [92] = 88,
  [93] = 72,
  [94] = 85,
  [95] = 71,
  [96] = 83,
  [97] = 70,
  [98] = 22,
  [99] = 23,
  [100] = 76,
  [101] = 81,
  [102] = 69,
  [103] = 22,
  [104] = 23,
  [105] = 77,
  [106] = 64,
  [107] = 78,
  [108] = 108,
  [109] = 109,
  [110] = 22,
  [111] = 23,
  [112] = 23,
  [113] = 22,
  [114] = 114,
  [115] = 23,
  [116] = 116,
  [117] = 22,
  [118] = 118,
  [119] = 119,
  [120] = 28,
  [121] = 22,
  [122] = 28,
  [123] = 123,
  [124] = 23,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 23,
  [131] = 22,
  [132] = 132,
  [133] = 133,
  [134] = 22,
  [135] = 23,
  [136] = 28,
  [137] = 137,
  [138] = 138,
  [139] = 23,
  [140] = 128,
  [141] = 123,
  [142] = 127,
  [143] = 129,
  [144] = 22,
  [145] = 126,
  [146] = 119,
  [147] = 125,
  [148] = 125,
  [149] = 129,
  [150] = 22,
  [151] = 23,
  [152] = 125,
  [153] = 119,
  [154] = 22,
  [155] = 128,
  [156] = 123,
  [157] = 123,
  [158] = 126,
  [159] = 128,
  [160] = 119,
  [161] = 127,
  [162] = 129,
  [163] = 127,
  [164] = 23,
  [165] = 126,
  [166] = 166,
  [167] = 128,
  [168] = 127,
  [169] = 166,
  [170] = 129,
  [171] = 119,
  [172] = 125,
  [173] = 123,
  [174] = 126,
  [175] = 137,
  [176] = 133,
  [177] = 138,
  [178] = 132,
  [179] = 23,
  [180] = 28,
  [181] = 22,
  [182] = 119,
  [183] = 129,
  [184] = 127,
  [185] = 125,
  [186] = 128,
  [187] = 126,
  [188] = 188,
  [189] = 123,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 125,
  [194] = 129,
  [195] = 119,
  [196] = 126,
  [197] = 127,
  [198] = 126,
  [199] = 123,
  [200] = 119,
  [201] = 128,
  [202] = 123,
  [203] = 128,
  [204] = 129,
  [205] = 125,
  [206] = 127,
  [207] = 123,
  [208] = 126,
  [209] = 119,
  [210] = 128,
  [211] = 125,
  [212] = 129,
  [213] = 127,
  [214] = 119,
  [215] = 128,
  [216] = 129,
  [217] = 125,
  [218] = 127,
  [219] = 119,
  [220] = 126,
  [221] = 123,
  [222] = 123,
  [223] = 128,
  [224] = 129,
  [225] = 126,
  [226] = 127,
  [227] = 125,
  [228] = 128,
  [229] = 127,
  [230] = 127,
  [231] = 126,
  [232] = 123,
  [233] = 129,
  [234] = 125,
  [235] = 126,
  [236] = 125,
  [237] = 129,
  [238] = 123,
  [239] = 128,
  [240] = 119,
  [241] = 119,
  [242] = 129,
  [243] = 128,
  [244] = 127,
  [245] = 119,
  [246] = 128,
  [247] = 123,
  [248] = 123,
  [249] = 125,
  [250] = 129,
  [251] = 125,
  [252] = 119,
  [253] = 127,
  [254] = 126,
  [255] = 126,
  [256] = 119,
  [257] = 126,
  [258] = 127,
  [259] = 125,
  [260] = 129,
  [261] = 128,
  [262] = 123,
  [263] = 119,
  [264] = 128,
  [265] = 126,
  [266] = 129,
  [267] = 123,
  [268] = 127,
  [269] = 125,
  [270] = 270,
  [271] = 270,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 274,
  [277] = 275,
  [278] = 275,
  [279] = 275,
  [280] = 275,
  [281] = 275,
  [282] = 282,
  [283] = 282,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 292,
  [299] = 294,
  [300] = 300,
  [301] = 297,
  [302] = 282,
  [303] = 297,
  [304] = 285,
  [305] = 294,
  [306] = 292,
  [307] = 286,
  [308] = 287,
  [309] = 309,
  [310] = 300,
  [311] = 296,
  [312] = 291,
  [313] = 290,
  [314] = 295,
  [315] = 284,
  [316] = 316,
  [317] = 317,
  [318] = 288,
  [319] = 288,
  [320] = 320,
  [321] = 321,
  [322] = 288,
  [323] = 323,
  [324] = 288,
  [325] = 295,
  [326] = 284,
  [327] = 316,
  [328] = 317,
  [329] = 317,
  [330] = 300,
  [331] = 316,
  [332] = 316,
  [333] = 295,
  [334] = 297,
  [335] = 294,
  [336] = 317,
  [337] = 292,
  [338] = 288,
  [339] = 316,
  [340] = 300,
  [341] = 296,
  [342] = 291,
  [343] = 290,
  [344] = 284,
  [345] = 287,
  [346] = 286,
  [347] = 285,
  [348] = 285,
  [349] = 286,
  [350] = 288,
  [351] = 288,
  [352] = 288,
  [353] = 284,
  [354] = 288,
  [355] = 316,
  [356] = 317,
  [357] = 297,
  [358] = 294,
  [359] = 287,
  [360] = 295,
  [361] = 292,
  [362] = 290,
  [363] = 291,
  [364] = 296,
  [365] = 296,
  [366] = 291,
  [367] = 290,
  [368] = 368,
  [369] = 288,
  [370] = 292,
  [371] = 284,
  [372] = 316,
  [373] = 294,
  [374] = 290,
  [375] = 317,
  [376] = 297,
  [377] = 317,
  [378] = 300,
  [379] = 291,
  [380] = 295,
  [381] = 288,
  [382] = 295,
  [383] = 288,
  [384] = 300,
  [385] = 317,
  [386] = 316,
  [387] = 284,
  [388] = 297,
  [389] = 294,
  [390] = 292,
  [391] = 285,
  [392] = 286,
  [393] = 287,
  [394] = 296,
  [395] = 296,
  [396] = 291,
  [397] = 290,
  [398] = 290,
  [399] = 291,
  [400] = 284,
  [401] = 316,
  [402] = 296,
  [403] = 300,
  [404] = 292,
  [405] = 317,
  [406] = 294,
  [407] = 297,
  [408] = 282,
  [409] = 300,
  [410] = 292,
  [411] = 295,
  [412] = 321,
  [413] = 288,
  [414] = 320,
  [415] = 323,
  [416] = 288,
  [417] = 282,
  [418] = 295,
  [419] = 284,
  [420] = 420,
  [421] = 300,
  [422] = 297,
  [423] = 316,
  [424] = 294,
  [425] = 294,
  [426] = 317,
  [427] = 292,
  [428] = 288,
  [429] = 316,
  [430] = 284,
  [431] = 296,
  [432] = 291,
  [433] = 290,
  [434] = 434,
  [435] = 295,
  [436] = 290,
  [437] = 291,
  [438] = 296,
  [439] = 297,
  [440] = 300,
  [441] = 290,
  [442] = 292,
  [443] = 294,
  [444] = 297,
  [445] = 282,
  [446] = 291,
  [447] = 297,
  [448] = 317,
  [449] = 434,
  [450] = 284,
  [451] = 300,
  [452] = 294,
  [453] = 292,
  [454] = 296,
  [455] = 295,
  [456] = 296,
  [457] = 291,
  [458] = 290,
  [459] = 300,
  [460] = 288,
  [461] = 295,
  [462] = 462,
  [463] = 287,
  [464] = 286,
  [465] = 285,
  [466] = 284,
  [467] = 316,
  [468] = 317,
  [469] = 462,
  [470] = 470,
  [471] = 471,
  [472] = 471,
  [473] = 471,
  [474] = 471,
  [475] = 471,
  [476] = 471,
  [477] = 471,
  [478] = 478,
  [479] = 471,
  [480] = 471,
  [481] = 471,
  [482] = 471,
  [483] = 471,
  [484] = 471,
  [485] = 471,
  [486] = 471,
  [487] = 487,
  [488] = 471,
  [489] = 471,
  [490] = 471,
  [491] = 471,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 503,
  [506] = 503,
  [507] = 503,
  [508] = 508,
  [509] = 503,
  [510] = 504,
  [511] = 508,
  [512] = 508,
  [513] = 508,
  [514] = 504,
  [515] = 504,
  [516] = 503,
  [517] = 503,
  [518] = 508,
  [519] = 508,
  [520] = 504,
  [521] = 508,
  [522] = 503,
  [523] = 508,
  [524] = 504,
  [525] = 503,
  [526] = 508,
  [527] = 504,
  [528] = 503,
  [529] = 508,
  [530] = 504,
  [531] = 504,
  [532] = 508,
  [533] = 504,
  [534] = 503,
  [535] = 508,
  [536] = 504,
  [537] = 503,
  [538] = 504,
  [539] = 508,
  [540] = 504,
  [541] = 503,
  [542] = 508,
  [543] = 504,
  [544] = 503,
  [545] = 508,
  [546] = 503,
  [547] = 504,
  [548] = 503,
  [549] = 504,
  [550] = 508,
  [551] = 508,
  [552] = 503,
  [553] = 508,
  [554] = 503,
  [555] = 504,
  [556] = 504,
  [557] = 503,
  [558] = 504,
  [559] = 508,
  [560] = 504,
  [561] = 503,
  [562] = 508,
  [563] = 504,
  [564] = 503,
  [565] = 508,
  [566] = 504,
  [567] = 508,
  [568] = 504,
  [569] = 508,
  [570] = 503,
  [571] = 504,
  [572] = 508,
  [573] = 503,
  [574] = 503,
  [575] = 503,
  [576] = 508,
  [577] = 508,
  [578] = 578,
  [579] = 503,
  [580] = 504,
  [581] = 508,
  [582] = 578,
  [583] = 504,
  [584] = 508,
  [585] = 503,
  [586] = 503,
  [587] = 504,
  [588] = 508,
  [589] = 503,
  [590] = 508,
  [591] = 503,
  [592] = 504,
  [593] = 578,
  [594] = 594,
  [595] = 508,
  [596] = 504,
  [597] = 597,
  [598] = 508,
  [599] = 504,
  [600] = 503,
  [601] = 504,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 609,
  [612] = 612,
  [613] = 609,
  [614] = 614,
  [615] = 615,
  [616] = 609,
  [617] = 609,
  [618] = 614,
  [619] = 610,
  [620] = 620,
  [621] = 606,
  [622] = 622,
  [623] = 609,
  [624] = 609,
  [625] = 625,
  [626] = 609,
  [627] = 627,
  [628] = 604,
  [629] = 603,
  [630] = 630,
  [631] = 630,
  [632] = 609,
  [633] = 602,
  [634] = 609,
  [635] = 612,
  [636] = 608,
  [637] = 637,
  [638] = 605,
  [639] = 620,
  [640] = 606,
  [641] = 605,
  [642] = 610,
  [643] = 612,
  [644] = 620,
  [645] = 602,
  [646] = 646,
  [647] = 630,
  [648] = 648,
  [649] = 609,
  [650] = 614,
  [651] = 651,
  [652] = 615,
  [653] = 653,
  [654] = 654,
  [655] = 604,
  [656] = 609,
  [657] = 608,
  [658] = 603,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 659,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 661,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 679,
  [682] = 665,
  [683] = 679,
  [684] = 679,
  [685] = 662,
  [686] = 661,
  [687] = 679,
  [688] = 675,
  [689] = 689,
  [690] = 679,
  [691] = 661,
  [692] = 676,
  [693] = 671,
  [694] = 673,
  [695] = 672,
  [696] = 696,
  [697] = 670,
  [698] = 671,
  [699] = 679,
  [700] = 667,
  [701] = 666,
  [702] = 679,
  [703] = 703,
  [704] = 663,
  [705] = 663,
  [706] = 679,
  [707] = 679,
  [708] = 671,
  [709] = 666,
  [710] = 667,
  [711] = 679,
  [712] = 670,
  [713] = 679,
  [714] = 676,
  [715] = 675,
  [716] = 672,
  [717] = 673,
  [718] = 662,
  [719] = 665,
  [720] = 665,
  [721] = 679,
  [722] = 722,
  [723] = 722,
  [724] = 661,
  [725] = 722,
  [726] = 661,
  [727] = 678,
  [728] = 669,
  [729] = 673,
  [730] = 659,
  [731] = 678,
  [732] = 665,
  [733] = 672,
  [734] = 662,
  [735] = 659,
  [736] = 667,
  [737] = 666,
  [738] = 675,
  [739] = 669,
  [740] = 663,
  [741] = 668,
  [742] = 676,
  [743] = 668,
  [744] = 671,
  [745] = 670,
  [746] = 663,
  [747] = 747,
  [748] = 679,
  [749] = 670,
  [750] = 671,
  [751] = 676,
  [752] = 675,
  [753] = 662,
  [754] = 722,
  [755] = 679,
  [756] = 663,
  [757] = 665,
  [758] = 722,
  [759] = 689,
  [760] = 760,
  [761] = 722,
  [762] = 666,
  [763] = 722,
  [764] = 667,
  [765] = 696,
  [766] = 722,
  [767] = 722,
  [768] = 661,
  [769] = 673,
  [770] = 672,
  [771] = 673,
  [772] = 672,
  [773] = 773,
  [774] = 667,
  [775] = 661,
  [776] = 722,
  [777] = 722,
  [778] = 722,
  [779] = 722,
  [780] = 665,
  [781] = 666,
  [782] = 722,
  [783] = 662,
  [784] = 722,
  [785] = 663,
  [786] = 675,
  [787] = 722,
  [788] = 671,
  [789] = 670,
  [790] = 676,
  [791] = 722,
  [792] = 676,
  [793] = 675,
  [794] = 673,
  [795] = 670,
  [796] = 671,
  [797] = 662,
  [798] = 722,
  [799] = 665,
  [800] = 722,
  [801] = 663,
  [802] = 722,
  [803] = 722,
  [804] = 722,
  [805] = 666,
  [806] = 722,
  [807] = 667,
  [808] = 722,
  [809] = 722,
  [810] = 680,
  [811] = 673,
  [812] = 672,
  [813] = 673,
  [814] = 659,
  [815] = 672,
  [816] = 722,
  [817] = 661,
  [818] = 670,
  [819] = 819,
  [820] = 722,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 667,
  [826] = 826,
  [827] = 827,
  [828] = 666,
  [829] = 829,
  [830] = 663,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 671,
  [835] = 670,
  [836] = 678,
  [837] = 676,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 675,
  [843] = 662,
  [844] = 659,
  [845] = 669,
  [846] = 668,
  [847] = 659,
  [848] = 665,
  [849] = 668,
  [850] = 662,
  [851] = 665,
  [852] = 852,
  [853] = 675,
  [854] = 669,
  [855] = 678,
  [856] = 722,
  [857] = 661,
  [858] = 676,
  [859] = 668,
  [860] = 673,
  [861] = 722,
  [862] = 669,
  [863] = 670,
  [864] = 672,
  [865] = 671,
  [866] = 659,
  [867] = 667,
  [868] = 666,
  [869] = 869,
  [870] = 678,
  [871] = 663,
  [872] = 669,
  [873] = 663,
  [874] = 659,
  [875] = 678,
  [876] = 676,
  [877] = 671,
  [878] = 666,
  [879] = 670,
  [880] = 667,
  [881] = 669,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 676,
  [886] = 672,
  [887] = 673,
  [888] = 675,
  [889] = 662,
  [890] = 659,
  [891] = 665,
  [892] = 661,
  [893] = 893,
  [894] = 678,
  [895] = 672,
  [896] = 662,
  [897] = 659,
  [898] = 668,
  [899] = 678,
  [900] = 747,
  [901] = 669,
  [902] = 659,
  [903] = 668,
  [904] = 668,
  [905] = 747,
  [906] = 669,
  [907] = 660,
  [908] = 678,
  [909] = 669,
  [910] = 666,
  [911] = 678,
  [912] = 659,
  [913] = 668,
  [914] = 678,
  [915] = 669,
  [916] = 665,
  [917] = 747,
  [918] = 659,
  [919] = 662,
  [920] = 668,
  [921] = 659,
  [922] = 675,
  [923] = 678,
  [924] = 668,
  [925] = 669,
  [926] = 660,
  [927] = 676,
  [928] = 678,
  [929] = 747,
  [930] = 668,
  [931] = 678,
  [932] = 659,
  [933] = 670,
  [934] = 671,
  [935] = 669,
  [936] = 669,
  [937] = 660,
  [938] = 678,
  [939] = 659,
  [940] = 747,
  [941] = 663,
  [942] = 668,
  [943] = 668,
  [944] = 869,
  [945] = 678,
  [946] = 946,
  [947] = 666,
  [948] = 669,
  [949] = 667,
  [950] = 660,
  [951] = 669,
  [952] = 678,
  [953] = 747,
  [954] = 668,
  [955] = 659,
  [956] = 659,
  [957] = 674,
  [958] = 669,
  [959] = 672,
  [960] = 673,
  [961] = 660,
  [962] = 678,
  [963] = 747,
  [964] = 668,
  [965] = 659,
  [966] = 668,
  [967] = 669,
  [968] = 660,
  [969] = 661,
  [970] = 678,
  [971] = 747,
  [972] = 668,
  [973] = 659,
  [974] = 974,
  [975] = 669,
  [976] = 660,
  [977] = 678,
  [978] = 747,
  [979] = 668,
  [980] = 659,
  [981] = 678,
  [982] = 669,
  [983] = 703,
  [984] = 667,
  [985] = 660,
  [986] = 678,
  [987] = 747,
  [988] = 668,
  [989] = 659,
  [990] = 990,
  [991] = 669,
  [992] = 669,
  [993] = 678,
  [994] = 747,
  [995] = 668,
  [996] = 660,
  [997] = 659,
  [998] = 998,
  [999] = 669,
  [1000] = 660,
  [1001] = 678,
  [1002] = 722,
  [1003] = 668,
  [1004] = 659,
  [1005] = 669,
  [1006] = 669,
  [1007] = 660,
  [1008] = 678,
  [1009] = 747,
  [1010] = 668,
  [1011] = 659,
  [1012] = 669,
  [1013] = 660,
  [1014] = 678,
  [1015] = 747,
  [1016] = 668,
  [1017] = 659,
  [1018] = 659,
  [1019] = 669,
  [1020] = 660,
  [1021] = 1021,
  [1022] = 678,
  [1023] = 747,
  [1024] = 668,
  [1025] = 659,
  [1026] = 675,
  [1027] = 669,
  [1028] = 660,
  [1029] = 678,
  [1030] = 668,
  [1031] = 659,
  [1032] = 668,
  [1033] = 678,
  [1034] = 669,
  [1035] = 669,
  [1036] = 659,
  [1037] = 678,
  [1038] = 668,
  [1039] = 659,
  [1040] = 669,
  [1041] = 668,
  [1042] = 678,
  [1043] = 827,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1044,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1044,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1044,
  [1080] = 1044,
  [1081] = 1081,
  [1082] = 1044,
  [1083] = 1044,
  [1084] = 1044,
  [1085] = 1085,
  [1086] = 1076,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1044,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1044,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1044,
  [1107] = 1078,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1090,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 840,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 838,
  [1147] = 1147,
  [1148] = 1044,
  [1149] = 1149,
  [1150] = 831,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1135,
  [1163] = 1132,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1090,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1132,
  [1184] = 1184,
  [1185] = 1104,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1078,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1108,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 824,
  [1203] = 821,
  [1204] = 1204,
  [1205] = 1078,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1104,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1076,
  [1222] = 1095,
  [1223] = 1100,
  [1224] = 1095,
  [1225] = 1100,
  [1226] = 1076,
  [1227] = 1104,
  [1228] = 1095,
  [1229] = 1229,
  [1230] = 1135,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1090,
  [1236] = 1108,
  [1237] = 1237,
  [1238] = 1078,
  [1239] = 1108,
  [1240] = 1090,
  [1241] = 1132,
  [1242] = 1135,
  [1243] = 1104,
  [1244] = 1244,
  [1245] = 1100,
  [1246] = 1095,
  [1247] = 1104,
  [1248] = 1076,
  [1249] = 1135,
  [1250] = 1076,
  [1251] = 1132,
  [1252] = 1090,
  [1253] = 1095,
  [1254] = 1254,
  [1255] = 1108,
  [1256] = 1100,
  [1257] = 1078,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1104,
  [1261] = 1100,
  [1262] = 1095,
  [1263] = 1078,
  [1264] = 1108,
  [1265] = 1090,
  [1266] = 1132,
  [1267] = 821,
  [1268] = 824,
  [1269] = 1135,
  [1270] = 1076,
  [1271] = 827,
  [1272] = 1135,
  [1273] = 1076,
  [1274] = 1132,
  [1275] = 1275,
  [1276] = 1090,
  [1277] = 1108,
  [1278] = 831,
  [1279] = 1095,
  [1280] = 1100,
  [1281] = 1078,
  [1282] = 1282,
  [1283] = 1104,
  [1284] = 1104,
  [1285] = 1100,
  [1286] = 1100,
  [1287] = 838,
  [1288] = 1288,
  [1289] = 840,
  [1290] = 1095,
  [1291] = 1291,
  [1292] = 1076,
  [1293] = 1108,
  [1294] = 1090,
  [1295] = 1132,
  [1296] = 1135,
  [1297] = 1135,
  [1298] = 1132,
  [1299] = 1090,
  [1300] = 1108,
  [1301] = 1078,
  [1302] = 1104,
  [1303] = 1076,
  [1304] = 1095,
  [1305] = 1100,
  [1306] = 1095,
  [1307] = 1100,
  [1308] = 1076,
  [1309] = 1104,
  [1310] = 1135,
  [1311] = 1132,
  [1312] = 1090,
  [1313] = 1078,
  [1314] = 1108,
  [1315] = 1108,
  [1316] = 1090,
  [1317] = 1132,
  [1318] = 1135,
  [1319] = 1319,
  [1320] = 1104,
  [1321] = 1076,
  [1322] = 1095,
  [1323] = 1100,
  [1324] = 1108,
  [1325] = 1135,
  [1326] = 1132,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1329,
  [1331] = 1329,
  [1332] = 1329,
  [1333] = 1329,
  [1334] = 1334,
  [1335] = 1334,
  [1336] = 1334,
  [1337] = 1334,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1334,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1352,
  [1356] = 1356,
  [1357] = 1352,
  [1358] = 1352,
  [1359] = 1359,
  [1360] = 1328,
  [1361] = 1352,
  [1362] = 1359,
  [1363] = 1363,
  [1364] = 1352,
  [1365] = 1359,
  [1366] = 1352,
  [1367] = 1367,
  [1368] = 1359,
  [1369] = 841,
  [1370] = 1370,
  [1371] = 1352,
  [1372] = 1359,
  [1373] = 839,
  [1374] = 1352,
  [1375] = 1359,
  [1376] = 1352,
  [1377] = 1359,
  [1378] = 1352,
  [1379] = 1359,
  [1380] = 833,
  [1381] = 1352,
  [1382] = 826,
  [1383] = 1383,
  [1384] = 1359,
  [1385] = 823,
  [1386] = 822,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 819,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1352,
  [1396] = 1359,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1346,
  [1403] = 1347,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1340,
  [1409] = 1409,
  [1410] = 1341,
  [1411] = 1347,
  [1412] = 1354,
  [1413] = 1413,
  [1414] = 1346,
  [1415] = 1356,
  [1416] = 1407,
  [1417] = 1406,
  [1418] = 1405,
  [1419] = 1404,
  [1420] = 1401,
  [1421] = 1400,
  [1422] = 1399,
  [1423] = 1398,
  [1424] = 1356,
  [1425] = 1354,
  [1426] = 1426,
  [1427] = 1341,
  [1428] = 1340,
  [1429] = 1397,
  [1430] = 1394,
  [1431] = 1363,
  [1432] = 1353,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1393,
  [1436] = 1392,
  [1437] = 1340,
  [1438] = 1341,
  [1439] = 1354,
  [1440] = 1356,
  [1441] = 1328,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1347,
  [1448] = 1346,
  [1449] = 1391,
  [1450] = 1442,
  [1451] = 1443,
  [1452] = 1444,
  [1453] = 1445,
  [1454] = 1446,
  [1455] = 1347,
  [1456] = 1346,
  [1457] = 1327,
  [1458] = 1442,
  [1459] = 1443,
  [1460] = 1444,
  [1461] = 1445,
  [1462] = 1446,
  [1463] = 1351,
  [1464] = 1407,
  [1465] = 1406,
  [1466] = 1405,
  [1467] = 1404,
  [1468] = 1401,
  [1469] = 1400,
  [1470] = 1399,
  [1471] = 1398,
  [1472] = 1397,
  [1473] = 1394,
  [1474] = 1393,
  [1475] = 1392,
  [1476] = 1391,
  [1477] = 1390,
  [1478] = 1347,
  [1479] = 1346,
  [1480] = 1480,
  [1481] = 1390,
  [1482] = 1442,
  [1483] = 1443,
  [1484] = 1444,
  [1485] = 1445,
  [1486] = 1434,
  [1487] = 1446,
  [1488] = 1347,
  [1489] = 1346,
  [1490] = 1353,
  [1491] = 1442,
  [1492] = 1443,
  [1493] = 1444,
  [1494] = 1445,
  [1495] = 1446,
  [1496] = 1363,
  [1497] = 1497,
  [1498] = 1400,
  [1499] = 1349,
  [1500] = 1347,
  [1501] = 1346,
  [1502] = 1328,
  [1503] = 1503,
  [1504] = 653,
  [1505] = 1401,
  [1506] = 1506,
  [1507] = 1442,
  [1508] = 1443,
  [1509] = 1404,
  [1510] = 1446,
  [1511] = 1444,
  [1512] = 654,
  [1513] = 1445,
  [1514] = 1446,
  [1515] = 1515,
  [1516] = 1347,
  [1517] = 1405,
  [1518] = 1346,
  [1519] = 648,
  [1520] = 1340,
  [1521] = 1341,
  [1522] = 1442,
  [1523] = 1443,
  [1524] = 1444,
  [1525] = 1445,
  [1526] = 1446,
  [1527] = 1347,
  [1528] = 1480,
  [1529] = 1346,
  [1530] = 1348,
  [1531] = 1531,
  [1532] = 1354,
  [1533] = 1356,
  [1534] = 1445,
  [1535] = 1390,
  [1536] = 1536,
  [1537] = 1407,
  [1538] = 1434,
  [1539] = 1406,
  [1540] = 1405,
  [1541] = 1442,
  [1542] = 1363,
  [1543] = 1353,
  [1544] = 1391,
  [1545] = 1443,
  [1546] = 1444,
  [1547] = 1445,
  [1548] = 1446,
  [1549] = 1404,
  [1550] = 1392,
  [1551] = 1393,
  [1552] = 1394,
  [1553] = 1553,
  [1554] = 1401,
  [1555] = 1400,
  [1556] = 1353,
  [1557] = 1363,
  [1558] = 1558,
  [1559] = 1397,
  [1560] = 1347,
  [1561] = 1398,
  [1562] = 1399,
  [1563] = 1400,
  [1564] = 1401,
  [1565] = 1404,
  [1566] = 1405,
  [1567] = 1567,
  [1568] = 1346,
  [1569] = 1399,
  [1570] = 1398,
  [1571] = 1434,
  [1572] = 602,
  [1573] = 630,
  [1574] = 841,
  [1575] = 1397,
  [1576] = 1406,
  [1577] = 1407,
  [1578] = 1406,
  [1579] = 1434,
  [1580] = 1553,
  [1581] = 620,
  [1582] = 612,
  [1583] = 1394,
  [1584] = 1393,
  [1585] = 1392,
  [1586] = 1391,
  [1587] = 1390,
  [1588] = 1444,
  [1589] = 1356,
  [1590] = 1442,
  [1591] = 1443,
  [1592] = 605,
  [1593] = 1444,
  [1594] = 1445,
  [1595] = 1446,
  [1596] = 1354,
  [1597] = 1597,
  [1598] = 1341,
  [1599] = 1340,
  [1600] = 1443,
  [1601] = 1359,
  [1602] = 606,
  [1603] = 1442,
  [1604] = 1347,
  [1605] = 1346,
  [1606] = 1434,
  [1607] = 1352,
  [1608] = 1398,
  [1609] = 1434,
  [1610] = 1442,
  [1611] = 1443,
  [1612] = 1444,
  [1613] = 1359,
  [1614] = 1445,
  [1615] = 1446,
  [1616] = 1353,
  [1617] = 610,
  [1618] = 1363,
  [1619] = 1444,
  [1620] = 1620,
  [1621] = 1446,
  [1622] = 1346,
  [1623] = 1444,
  [1624] = 1347,
  [1625] = 1446,
  [1626] = 1444,
  [1627] = 1446,
  [1628] = 1628,
  [1629] = 1390,
  [1630] = 1391,
  [1631] = 1392,
  [1632] = 1351,
  [1633] = 1353,
  [1634] = 614,
  [1635] = 1393,
  [1636] = 1394,
  [1637] = 1349,
  [1638] = 1397,
  [1639] = 1398,
  [1640] = 1399,
  [1641] = 1400,
  [1642] = 1401,
  [1643] = 1404,
  [1644] = 1405,
  [1645] = 1406,
  [1646] = 1388,
  [1647] = 1407,
  [1648] = 1346,
  [1649] = 1347,
  [1650] = 1340,
  [1651] = 1341,
  [1652] = 1354,
  [1653] = 1356,
  [1654] = 604,
  [1655] = 608,
  [1656] = 1363,
  [1657] = 1407,
  [1658] = 1406,
  [1659] = 1405,
  [1660] = 1404,
  [1661] = 1401,
  [1662] = 1400,
  [1663] = 1340,
  [1664] = 1341,
  [1665] = 1354,
  [1666] = 1407,
  [1667] = 1399,
  [1668] = 603,
  [1669] = 1356,
  [1670] = 1351,
  [1671] = 1434,
  [1672] = 839,
  [1673] = 1349,
  [1674] = 1397,
  [1675] = 1356,
  [1676] = 1356,
  [1677] = 1363,
  [1678] = 1353,
  [1679] = 1354,
  [1680] = 1341,
  [1681] = 1340,
  [1682] = 1407,
  [1683] = 603,
  [1684] = 653,
  [1685] = 1363,
  [1686] = 1394,
  [1687] = 1406,
  [1688] = 1353,
  [1689] = 1689,
  [1690] = 1434,
  [1691] = 1348,
  [1692] = 1399,
  [1693] = 1405,
  [1694] = 1689,
  [1695] = 1393,
  [1696] = 1363,
  [1697] = 1404,
  [1698] = 1401,
  [1699] = 1400,
  [1700] = 1354,
  [1701] = 1398,
  [1702] = 608,
  [1703] = 604,
  [1704] = 614,
  [1705] = 1399,
  [1706] = 1398,
  [1707] = 1397,
  [1708] = 1353,
  [1709] = 1434,
  [1710] = 1394,
  [1711] = 1397,
  [1712] = 1393,
  [1713] = 1392,
  [1714] = 1391,
  [1715] = 1341,
  [1716] = 610,
  [1717] = 606,
  [1718] = 605,
  [1719] = 1390,
  [1720] = 1394,
  [1721] = 1392,
  [1722] = 654,
  [1723] = 1328,
  [1724] = 1434,
  [1725] = 1353,
  [1726] = 1391,
  [1727] = 1349,
  [1728] = 1363,
  [1729] = 1348,
  [1730] = 1393,
  [1731] = 1348,
  [1732] = 1340,
  [1733] = 1392,
  [1734] = 1390,
  [1735] = 1391,
  [1736] = 1340,
  [1737] = 1341,
  [1738] = 1354,
  [1739] = 1356,
  [1740] = 1392,
  [1741] = 1393,
  [1742] = 1394,
  [1743] = 1397,
  [1744] = 1398,
  [1745] = 1399,
  [1746] = 1400,
  [1747] = 1401,
  [1748] = 1404,
  [1749] = 1405,
  [1750] = 1406,
  [1751] = 1407,
  [1752] = 1390,
  [1753] = 1407,
  [1754] = 1391,
  [1755] = 1391,
  [1756] = 1392,
  [1757] = 612,
  [1758] = 620,
  [1759] = 1393,
  [1760] = 1394,
  [1761] = 1351,
  [1762] = 1407,
  [1763] = 1406,
  [1764] = 1405,
  [1765] = 1404,
  [1766] = 1401,
  [1767] = 1400,
  [1768] = 1399,
  [1769] = 1398,
  [1770] = 1397,
  [1771] = 1394,
  [1772] = 1393,
  [1773] = 1392,
  [1774] = 1391,
  [1775] = 1390,
  [1776] = 1397,
  [1777] = 1398,
  [1778] = 646,
  [1779] = 1399,
  [1780] = 1400,
  [1781] = 1363,
  [1782] = 1401,
  [1783] = 1404,
  [1784] = 1353,
  [1785] = 1405,
  [1786] = 1406,
  [1787] = 1340,
  [1788] = 1341,
  [1789] = 1390,
  [1790] = 1328,
  [1791] = 1354,
  [1792] = 1434,
  [1793] = 1356,
  [1794] = 1407,
  [1795] = 1356,
  [1796] = 1354,
  [1797] = 1341,
  [1798] = 1340,
  [1799] = 1442,
  [1800] = 1348,
  [1801] = 1328,
  [1802] = 1406,
  [1803] = 1405,
  [1804] = 1404,
  [1805] = 1401,
  [1806] = 1400,
  [1807] = 1399,
  [1808] = 1346,
  [1809] = 1347,
  [1810] = 1346,
  [1811] = 1347,
  [1812] = 1397,
  [1813] = 1394,
  [1814] = 1346,
  [1815] = 1347,
  [1816] = 1393,
  [1817] = 1443,
  [1818] = 630,
  [1819] = 1392,
  [1820] = 1346,
  [1821] = 1407,
  [1822] = 1480,
  [1823] = 1356,
  [1824] = 1347,
  [1825] = 1354,
  [1826] = 1341,
  [1827] = 1340,
  [1828] = 1391,
  [1829] = 1390,
  [1830] = 1830,
  [1831] = 1406,
  [1832] = 1434,
  [1833] = 1405,
  [1834] = 1348,
  [1835] = 1363,
  [1836] = 1836,
  [1837] = 1404,
  [1838] = 1329,
  [1839] = 1349,
  [1840] = 1401,
  [1841] = 1328,
  [1842] = 1400,
  [1843] = 1843,
  [1844] = 1399,
  [1845] = 602,
  [1846] = 1353,
  [1847] = 1363,
  [1848] = 1348,
  [1849] = 1849,
  [1850] = 1398,
  [1851] = 1567,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1390,
  [1856] = 1856,
  [1857] = 1349,
  [1858] = 1328,
  [1859] = 1391,
  [1860] = 1348,
  [1861] = 1392,
  [1862] = 1349,
  [1863] = 1349,
  [1864] = 1393,
  [1865] = 1394,
  [1866] = 1328,
  [1867] = 1867,
  [1868] = 1397,
  [1869] = 1398,
  [1870] = 1597,
  [1871] = 1348,
  [1872] = 1348,
  [1873] = 1328,
  [1874] = 1445,
  [1875] = 1349,
  [1876] = 1349,
  [1877] = 1349,
  [1878] = 1398,
  [1879] = 1349,
  [1880] = 1399,
  [1881] = 1400,
  [1882] = 1363,
  [1883] = 1353,
  [1884] = 1401,
  [1885] = 1328,
  [1886] = 1404,
  [1887] = 1887,
  [1888] = 1434,
  [1889] = 1405,
  [1890] = 1334,
  [1891] = 1406,
  [1892] = 1348,
  [1893] = 1893,
  [1894] = 1444,
  [1895] = 1349,
  [1896] = 1328,
  [1897] = 1348,
  [1898] = 1407,
  [1899] = 1899,
  [1900] = 1397,
  [1901] = 1363,
  [1902] = 1353,
  [1903] = 1434,
  [1904] = 1349,
  [1905] = 1905,
  [1906] = 1446,
  [1907] = 1390,
  [1908] = 1346,
  [1909] = 1391,
  [1910] = 1392,
  [1911] = 1390,
  [1912] = 1391,
  [1913] = 1392,
  [1914] = 1393,
  [1915] = 1394,
  [1916] = 1397,
  [1917] = 1398,
  [1918] = 1399,
  [1919] = 1394,
  [1920] = 1393,
  [1921] = 1400,
  [1922] = 1392,
  [1923] = 1393,
  [1924] = 1401,
  [1925] = 1404,
  [1926] = 1394,
  [1927] = 1405,
  [1928] = 1397,
  [1929] = 1398,
  [1930] = 1406,
  [1931] = 1407,
  [1932] = 1399,
  [1933] = 1356,
  [1934] = 1354,
  [1935] = 1341,
  [1936] = 1340,
  [1937] = 1400,
  [1938] = 1401,
  [1939] = 1404,
  [1940] = 1405,
  [1941] = 1406,
  [1942] = 1407,
  [1943] = 1328,
  [1944] = 1356,
  [1945] = 1354,
  [1946] = 1341,
  [1947] = 1340,
  [1948] = 1391,
  [1949] = 819,
  [1950] = 1390,
  [1951] = 1348,
  [1952] = 1363,
  [1953] = 1567,
  [1954] = 648,
  [1955] = 1353,
  [1956] = 1434,
  [1957] = 1349,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 822,
  [1961] = 1352,
  [1962] = 1962,
  [1963] = 823,
  [1964] = 1964,
  [1965] = 1434,
  [1966] = 1353,
  [1967] = 1967,
  [1968] = 1363,
  [1969] = 1363,
  [1970] = 1353,
  [1971] = 1340,
  [1972] = 1341,
  [1973] = 1349,
  [1974] = 1354,
  [1975] = 1356,
  [1976] = 1356,
  [1977] = 826,
  [1978] = 1354,
  [1979] = 1407,
  [1980] = 1406,
  [1981] = 1341,
  [1982] = 1405,
  [1983] = 1340,
  [1984] = 1341,
  [1985] = 1354,
  [1986] = 1356,
  [1987] = 1404,
  [1988] = 1401,
  [1989] = 1400,
  [1990] = 1390,
  [1991] = 1399,
  [1992] = 1398,
  [1993] = 1397,
  [1994] = 1340,
  [1995] = 1434,
  [1996] = 1394,
  [1997] = 1393,
  [1998] = 1392,
  [1999] = 1999,
  [2000] = 1391,
  [2001] = 1347,
  [2002] = 833,
  [2003] = 1390,
  [2004] = 1391,
  [2005] = 1390,
  [2006] = 1434,
  [2007] = 1353,
  [2008] = 1351,
  [2009] = 1407,
  [2010] = 1406,
  [2011] = 1405,
  [2012] = 1404,
  [2013] = 1401,
  [2014] = 1400,
  [2015] = 1399,
  [2016] = 1398,
  [2017] = 1397,
  [2018] = 1394,
  [2019] = 1393,
  [2020] = 1392,
  [2021] = 654,
  [2022] = 883,
  [2023] = 852,
  [2024] = 852,
  [2025] = 882,
  [2026] = 883,
  [2027] = 893,
  [2028] = 946,
  [2029] = 819,
  [2030] = 760,
  [2031] = 773,
  [2032] = 821,
  [2033] = 946,
  [2034] = 998,
  [2035] = 974,
  [2036] = 822,
  [2037] = 823,
  [2038] = 990,
  [2039] = 839,
  [2040] = 824,
  [2041] = 998,
  [2042] = 826,
  [2043] = 827,
  [2044] = 831,
  [2045] = 833,
  [2046] = 653,
  [2047] = 838,
  [2048] = 974,
  [2049] = 648,
  [2050] = 840,
  [2051] = 841,
  [2052] = 946,
  [2053] = 974,
  [2054] = 990,
  [2055] = 998,
  [2056] = 832,
  [2057] = 1073,
  [2058] = 1219,
  [2059] = 1063,
  [2060] = 1068,
  [2061] = 1061,
  [2062] = 1077,
  [2063] = 1085,
  [2064] = 1059,
  [2065] = 1091,
  [2066] = 1184,
  [2067] = 1258,
  [2068] = 1046,
  [2069] = 1110,
  [2070] = 1111,
  [2071] = 2071,
  [2072] = 1152,
  [2073] = 1047,
  [2074] = 1112,
  [2075] = 1113,
  [2076] = 1114,
  [2077] = 1048,
  [2078] = 1115,
  [2079] = 1088,
  [2080] = 1118,
  [2081] = 990,
  [2082] = 1049,
  [2083] = 1119,
  [2084] = 1120,
  [2085] = 1121,
  [2086] = 2071,
  [2087] = 1122,
  [2088] = 2071,
  [2089] = 1123,
  [2090] = 1050,
  [2091] = 1051,
  [2092] = 1124,
  [2093] = 882,
  [2094] = 1125,
  [2095] = 1126,
  [2096] = 1232,
  [2097] = 1233,
  [2098] = 1164,
  [2099] = 2071,
  [2100] = 1127,
  [2101] = 1128,
  [2102] = 1129,
  [2103] = 1130,
  [2104] = 2071,
  [2105] = 1052,
  [2106] = 1053,
  [2107] = 1054,
  [2108] = 2071,
  [2109] = 1055,
  [2110] = 1131,
  [2111] = 1133,
  [2112] = 1066,
  [2113] = 1134,
  [2114] = 1136,
  [2115] = 1138,
  [2116] = 1139,
  [2117] = 1140,
  [2118] = 1141,
  [2119] = 1142,
  [2120] = 1143,
  [2121] = 1144,
  [2122] = 1145,
  [2123] = 1056,
  [2124] = 1057,
  [2125] = 1060,
  [2126] = 1062,
  [2127] = 893,
  [2128] = 1064,
  [2129] = 1065,
  [2130] = 1149,
  [2131] = 1151,
  [2132] = 1153,
  [2133] = 2071,
  [2134] = 1154,
  [2135] = 1155,
  [2136] = 1237,
  [2137] = 1156,
  [2138] = 1157,
  [2139] = 1158,
  [2140] = 1159,
  [2141] = 1160,
  [2142] = 1067,
  [2143] = 1070,
  [2144] = 1071,
  [2145] = 1072,
  [2146] = 1161,
  [2147] = 1165,
  [2148] = 1166,
  [2149] = 1167,
  [2150] = 1168,
  [2151] = 1169,
  [2152] = 1117,
  [2153] = 2071,
  [2154] = 1058,
  [2155] = 1259,
  [2156] = 602,
  [2157] = 630,
  [2158] = 1109,
  [2159] = 1093,
  [2160] = 2160,
  [2161] = 1092,
  [2162] = 1109,
  [2163] = 2071,
  [2164] = 821,
  [2165] = 1199,
  [2166] = 1172,
  [2167] = 603,
  [2168] = 824,
  [2169] = 1081,
  [2170] = 1170,
  [2171] = 1173,
  [2172] = 1131,
  [2173] = 1174,
  [2174] = 1087,
  [2175] = 1172,
  [2176] = 1045,
  [2177] = 1105,
  [2178] = 1056,
  [2179] = 1175,
  [2180] = 1081,
  [2181] = 1244,
  [2182] = 2071,
  [2183] = 1176,
  [2184] = 1063,
  [2185] = 1061,
  [2186] = 1199,
  [2187] = 620,
  [2188] = 612,
  [2189] = 605,
  [2190] = 1059,
  [2191] = 1177,
  [2192] = 1178,
  [2193] = 827,
  [2194] = 1179,
  [2195] = 1180,
  [2196] = 1181,
  [2197] = 1275,
  [2198] = 1182,
  [2199] = 606,
  [2200] = 1234,
  [2201] = 1231,
  [2202] = 1164,
  [2203] = 1103,
  [2204] = 1073,
  [2205] = 1058,
  [2206] = 610,
  [2207] = 1072,
  [2208] = 1071,
  [2209] = 1186,
  [2210] = 1187,
  [2211] = 1189,
  [2212] = 1070,
  [2213] = 1190,
  [2214] = 1191,
  [2215] = 1192,
  [2216] = 831,
  [2217] = 1193,
  [2218] = 614,
  [2219] = 1068,
  [2220] = 604,
  [2221] = 1194,
  [2222] = 608,
  [2223] = 1184,
  [2224] = 1195,
  [2225] = 1196,
  [2226] = 1282,
  [2227] = 1258,
  [2228] = 1085,
  [2229] = 1087,
  [2230] = 2071,
  [2231] = 2231,
  [2232] = 1067,
  [2233] = 1088,
  [2234] = 1046,
  [2235] = 2071,
  [2236] = 1077,
  [2237] = 1047,
  [2238] = 1200,
  [2239] = 1094,
  [2240] = 1201,
  [2241] = 1204,
  [2242] = 1152,
  [2243] = 1206,
  [2244] = 1207,
  [2245] = 1048,
  [2246] = 1105,
  [2247] = 2247,
  [2248] = 1096,
  [2249] = 1049,
  [2250] = 1103,
  [2251] = 1091,
  [2252] = 1092,
  [2253] = 1093,
  [2254] = 1232,
  [2255] = 1233,
  [2256] = 1101,
  [2257] = 1099,
  [2258] = 1097,
  [2259] = 838,
  [2260] = 1209,
  [2261] = 1288,
  [2262] = 1101,
  [2263] = 1208,
  [2264] = 1098,
  [2265] = 1198,
  [2266] = 1065,
  [2267] = 1064,
  [2268] = 2071,
  [2269] = 1210,
  [2270] = 1211,
  [2271] = 1097,
  [2272] = 1096,
  [2273] = 1212,
  [2274] = 1214,
  [2275] = 1094,
  [2276] = 2071,
  [2277] = 1050,
  [2278] = 1215,
  [2279] = 1051,
  [2280] = 1237,
  [2281] = 1098,
  [2282] = 1045,
  [2283] = 1052,
  [2284] = 1053,
  [2285] = 1062,
  [2286] = 1054,
  [2287] = 1218,
  [2288] = 840,
  [2289] = 2071,
  [2290] = 1055,
  [2291] = 1060,
  [2292] = 1099,
  [2293] = 1057,
  [2294] = 1254,
  [2295] = 1220,
  [2296] = 1291,
  [2297] = 1105,
  [2298] = 1158,
  [2299] = 1177,
  [2300] = 1176,
  [2301] = 1182,
  [2302] = 1175,
  [2303] = 1125,
  [2304] = 841,
  [2305] = 1173,
  [2306] = 1181,
  [2307] = 1219,
  [2308] = 1180,
  [2309] = 1152,
  [2310] = 1164,
  [2311] = 654,
  [2312] = 1172,
  [2313] = 1199,
  [2314] = 1209,
  [2315] = 1211,
  [2316] = 653,
  [2317] = 1081,
  [2318] = 1184,
  [2319] = 1168,
  [2320] = 1077,
  [2321] = 2321,
  [2322] = 1179,
  [2323] = 1169,
  [2324] = 1167,
  [2325] = 1166,
  [2326] = 1178,
  [2327] = 1103,
  [2328] = 839,
  [2329] = 1192,
  [2330] = 1193,
  [2331] = 1165,
  [2332] = 1194,
  [2333] = 1195,
  [2334] = 1066,
  [2335] = 1061,
  [2336] = 1196,
  [2337] = 1085,
  [2338] = 1174,
  [2339] = 1258,
  [2340] = 1087,
  [2341] = 1073,
  [2342] = 1059,
  [2343] = 1072,
  [2344] = 648,
  [2345] = 1088,
  [2346] = 1071,
  [2347] = 1198,
  [2348] = 1070,
  [2349] = 1056,
  [2350] = 1170,
  [2351] = 1068,
  [2352] = 1234,
  [2353] = 1067,
  [2354] = 1160,
  [2355] = 1159,
  [2356] = 1109,
  [2357] = 1161,
  [2358] = 1154,
  [2359] = 2359,
  [2360] = 1215,
  [2361] = 1153,
  [2362] = 1157,
  [2363] = 882,
  [2364] = 1156,
  [2365] = 1101,
  [2366] = 833,
  [2367] = 1155,
  [2368] = 1046,
  [2369] = 1110,
  [2370] = 1111,
  [2371] = 1047,
  [2372] = 1112,
  [2373] = 1231,
  [2374] = 1113,
  [2375] = 1200,
  [2376] = 1201,
  [2377] = 1204,
  [2378] = 1206,
  [2379] = 1207,
  [2380] = 1114,
  [2381] = 1091,
  [2382] = 1092,
  [2383] = 1048,
  [2384] = 1115,
  [2385] = 1186,
  [2386] = 1117,
  [2387] = 1093,
  [2388] = 1118,
  [2389] = 1049,
  [2390] = 1119,
  [2391] = 1120,
  [2392] = 1208,
  [2393] = 1151,
  [2394] = 1121,
  [2395] = 1122,
  [2396] = 1099,
  [2397] = 1123,
  [2398] = 1050,
  [2399] = 826,
  [2400] = 1051,
  [2401] = 1124,
  [2402] = 1134,
  [2403] = 1187,
  [2404] = 1126,
  [2405] = 1127,
  [2406] = 1128,
  [2407] = 1149,
  [2408] = 1210,
  [2409] = 1065,
  [2410] = 1129,
  [2411] = 1064,
  [2412] = 1045,
  [2413] = 1130,
  [2414] = 1063,
  [2415] = 1212,
  [2416] = 1052,
  [2417] = 1053,
  [2418] = 1054,
  [2419] = 1055,
  [2420] = 1133,
  [2421] = 1098,
  [2422] = 1062,
  [2423] = 1136,
  [2424] = 823,
  [2425] = 1060,
  [2426] = 1058,
  [2427] = 1057,
  [2428] = 1145,
  [2429] = 1189,
  [2430] = 1190,
  [2431] = 2160,
  [2432] = 1097,
  [2433] = 822,
  [2434] = 1144,
  [2435] = 1143,
  [2436] = 1220,
  [2437] = 1142,
  [2438] = 1218,
  [2439] = 1096,
  [2440] = 819,
  [2441] = 1191,
  [2442] = 1141,
  [2443] = 1140,
  [2444] = 1139,
  [2445] = 1094,
  [2446] = 1138,
  [2447] = 1214,
  [2448] = 821,
  [2449] = 1215,
  [2450] = 824,
  [2451] = 1066,
  [2452] = 1174,
  [2453] = 1180,
  [2454] = 974,
  [2455] = 1181,
  [2456] = 840,
  [2457] = 1182,
  [2458] = 1234,
  [2459] = 1231,
  [2460] = 1211,
  [2461] = 838,
  [2462] = 1178,
  [2463] = 1186,
  [2464] = 1170,
  [2465] = 990,
  [2466] = 1187,
  [2467] = 1189,
  [2468] = 852,
  [2469] = 1190,
  [2470] = 1209,
  [2471] = 1191,
  [2472] = 946,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 831,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2359,
  [2481] = 998,
  [2482] = 1153,
  [2483] = 1154,
  [2484] = 1179,
  [2485] = 827,
  [2486] = 2486,
  [2487] = 1161,
  [2488] = 819,
  [2489] = 1058,
  [2490] = 826,
  [2491] = 1099,
  [2492] = 1067,
  [2493] = 1093,
  [2494] = 1092,
  [2495] = 1070,
  [2496] = 1071,
  [2497] = 1091,
  [2498] = 1072,
  [2499] = 1073,
  [2500] = 1232,
  [2501] = 1059,
  [2502] = 882,
  [2503] = 1152,
  [2504] = 1258,
  [2505] = 883,
  [2506] = 1065,
  [2507] = 1094,
  [2508] = 1061,
  [2509] = 1064,
  [2510] = 1062,
  [2511] = 1060,
  [2512] = 893,
  [2513] = 1096,
  [2514] = 1164,
  [2515] = 1199,
  [2516] = 1063,
  [2517] = 1057,
  [2518] = 1047,
  [2519] = 822,
  [2520] = 833,
  [2521] = 1088,
  [2522] = 1077,
  [2523] = 1045,
  [2524] = 1055,
  [2525] = 1237,
  [2526] = 1054,
  [2527] = 1053,
  [2528] = 1109,
  [2529] = 1052,
  [2530] = 1087,
  [2531] = 1105,
  [2532] = 1101,
  [2533] = 839,
  [2534] = 1085,
  [2535] = 1051,
  [2536] = 1081,
  [2537] = 1050,
  [2538] = 1184,
  [2539] = 841,
  [2540] = 1097,
  [2541] = 1049,
  [2542] = 1098,
  [2543] = 1056,
  [2544] = 1068,
  [2545] = 823,
  [2546] = 1103,
  [2547] = 1172,
  [2548] = 1048,
  [2549] = 1046,
  [2550] = 1154,
  [2551] = 1153,
  [2552] = 998,
  [2553] = 653,
  [2554] = 1233,
  [2555] = 653,
  [2556] = 648,
  [2557] = 654,
  [2558] = 882,
  [2559] = 974,
  [2560] = 1191,
  [2561] = 1124,
  [2562] = 1110,
  [2563] = 1111,
  [2564] = 1212,
  [2565] = 1190,
  [2566] = 1112,
  [2567] = 1113,
  [2568] = 1114,
  [2569] = 1115,
  [2570] = 1117,
  [2571] = 1118,
  [2572] = 1119,
  [2573] = 1120,
  [2574] = 1121,
  [2575] = 1122,
  [2576] = 1123,
  [2577] = 1160,
  [2578] = 1125,
  [2579] = 1189,
  [2580] = 1187,
  [2581] = 1126,
  [2582] = 1127,
  [2583] = 1128,
  [2584] = 1129,
  [2585] = 1130,
  [2586] = 654,
  [2587] = 1131,
  [2588] = 946,
  [2589] = 1133,
  [2590] = 1134,
  [2591] = 1136,
  [2592] = 1138,
  [2593] = 1139,
  [2594] = 1140,
  [2595] = 1141,
  [2596] = 1142,
  [2597] = 1143,
  [2598] = 1144,
  [2599] = 1145,
  [2600] = 1149,
  [2601] = 1151,
  [2602] = 1186,
  [2603] = 1231,
  [2604] = 1155,
  [2605] = 1156,
  [2606] = 1157,
  [2607] = 1158,
  [2608] = 1159,
  [2609] = 1220,
  [2610] = 1234,
  [2611] = 1165,
  [2612] = 1166,
  [2613] = 1182,
  [2614] = 1167,
  [2615] = 1169,
  [2616] = 1181,
  [2617] = 1173,
  [2618] = 1180,
  [2619] = 1175,
  [2620] = 1176,
  [2621] = 1177,
  [2622] = 1179,
  [2623] = 2623,
  [2624] = 1178,
  [2625] = 1174,
  [2626] = 1170,
  [2627] = 1168,
  [2628] = 648,
  [2629] = 1161,
  [2630] = 1219,
  [2631] = 1218,
  [2632] = 1214,
  [2633] = 883,
  [2634] = 1192,
  [2635] = 1193,
  [2636] = 1194,
  [2637] = 1195,
  [2638] = 1196,
  [2639] = 1198,
  [2640] = 1200,
  [2641] = 1201,
  [2642] = 1204,
  [2643] = 1209,
  [2644] = 1211,
  [2645] = 1066,
  [2646] = 1206,
  [2647] = 1207,
  [2648] = 1215,
  [2649] = 1066,
  [2650] = 1208,
  [2651] = 1210,
  [2652] = 1209,
  [2653] = 1211,
  [2654] = 2486,
  [2655] = 2478,
  [2656] = 2474,
  [2657] = 2321,
  [2658] = 2473,
  [2659] = 882,
  [2660] = 1191,
  [2661] = 1190,
  [2662] = 1215,
  [2663] = 1189,
  [2664] = 1066,
  [2665] = 1187,
  [2666] = 823,
  [2667] = 1186,
  [2668] = 1231,
  [2669] = 883,
  [2670] = 2476,
  [2671] = 1234,
  [2672] = 2477,
  [2673] = 2479,
  [2674] = 1182,
  [2675] = 1181,
  [2676] = 1180,
  [2677] = 1131,
  [2678] = 1179,
  [2679] = 1178,
  [2680] = 1174,
  [2681] = 1170,
  [2682] = 1233,
  [2683] = 1161,
  [2684] = 1154,
  [2685] = 1153,
  [2686] = 841,
  [2687] = 840,
  [2688] = 839,
  [2689] = 838,
  [2690] = 833,
  [2691] = 831,
  [2692] = 822,
  [2693] = 893,
  [2694] = 998,
  [2695] = 1066,
  [2696] = 821,
  [2697] = 827,
  [2698] = 990,
  [2699] = 852,
  [2700] = 974,
  [2701] = 946,
  [2702] = 826,
  [2703] = 819,
  [2704] = 824,
  [2705] = 990,
  [2706] = 1181,
  [2707] = 1051,
  [2708] = 1198,
  [2709] = 1061,
  [2710] = 1088,
  [2711] = 1059,
  [2712] = 1109,
  [2713] = 1085,
  [2714] = 1063,
  [2715] = 1196,
  [2716] = 1195,
  [2717] = 1194,
  [2718] = 1193,
  [2719] = 1192,
  [2720] = 1191,
  [2721] = 1190,
  [2722] = 1189,
  [2723] = 1187,
  [2724] = 1186,
  [2725] = 1231,
  [2726] = 1234,
  [2727] = 1182,
  [2728] = 1180,
  [2729] = 1179,
  [2730] = 1178,
  [2731] = 1177,
  [2732] = 1176,
  [2733] = 1175,
  [2734] = 1174,
  [2735] = 1173,
  [2736] = 1045,
  [2737] = 1105,
  [2738] = 1172,
  [2739] = 1170,
  [2740] = 1237,
  [2741] = 1093,
  [2742] = 1081,
  [2743] = 1092,
  [2744] = 1164,
  [2745] = 2745,
  [2746] = 1169,
  [2747] = 1168,
  [2748] = 1167,
  [2749] = 1166,
  [2750] = 1207,
  [2751] = 1165,
  [2752] = 1088,
  [2753] = 1103,
  [2754] = 1087,
  [2755] = 1081,
  [2756] = 1200,
  [2757] = 1161,
  [2758] = 1077,
  [2759] = 1232,
  [2760] = 1201,
  [2761] = 1073,
  [2762] = 1072,
  [2763] = 1071,
  [2764] = 1073,
  [2765] = 1070,
  [2766] = 1072,
  [2767] = 1152,
  [2768] = 1067,
  [2769] = 1160,
  [2770] = 1159,
  [2771] = 1158,
  [2772] = 1157,
  [2773] = 1156,
  [2774] = 1155,
  [2775] = 1154,
  [2776] = 1153,
  [2777] = 1071,
  [2778] = 1101,
  [2779] = 1110,
  [2780] = 1111,
  [2781] = 1151,
  [2782] = 1149,
  [2783] = 1199,
  [2784] = 1065,
  [2785] = 1064,
  [2786] = 1062,
  [2787] = 1070,
  [2788] = 1112,
  [2789] = 1113,
  [2790] = 1057,
  [2791] = 1145,
  [2792] = 1144,
  [2793] = 1143,
  [2794] = 1142,
  [2795] = 1141,
  [2796] = 1140,
  [2797] = 1139,
  [2798] = 1138,
  [2799] = 1099,
  [2800] = 1068,
  [2801] = 1114,
  [2802] = 1136,
  [2803] = 1134,
  [2804] = 1133,
  [2805] = 1204,
  [2806] = 1055,
  [2807] = 1054,
  [2808] = 1053,
  [2809] = 1052,
  [2810] = 1206,
  [2811] = 1130,
  [2812] = 1129,
  [2813] = 1128,
  [2814] = 1127,
  [2815] = 1126,
  [2816] = 1098,
  [2817] = 1125,
  [2818] = 1124,
  [2819] = 1051,
  [2820] = 1050,
  [2821] = 1123,
  [2822] = 1122,
  [2823] = 1121,
  [2824] = 1097,
  [2825] = 1120,
  [2826] = 1119,
  [2827] = 1049,
  [2828] = 1118,
  [2829] = 1096,
  [2830] = 1117,
  [2831] = 1115,
  [2832] = 1048,
  [2833] = 1114,
  [2834] = 1094,
  [2835] = 1113,
  [2836] = 1112,
  [2837] = 1047,
  [2838] = 1111,
  [2839] = 1110,
  [2840] = 1046,
  [2841] = 1220,
  [2842] = 1291,
  [2843] = 1091,
  [2844] = 1067,
  [2845] = 1092,
  [2846] = 1219,
  [2847] = 1218,
  [2848] = 882,
  [2849] = 1093,
  [2850] = 1115,
  [2851] = 1214,
  [2852] = 1212,
  [2853] = 1117,
  [2854] = 1172,
  [2855] = 1105,
  [2856] = 1210,
  [2857] = 1065,
  [2858] = 1208,
  [2859] = 1118,
  [2860] = 2860,
  [2861] = 1164,
  [2862] = 1103,
  [2863] = 1208,
  [2864] = 1064,
  [2865] = 1207,
  [2866] = 1206,
  [2867] = 1209,
  [2868] = 1210,
  [2869] = 1211,
  [2870] = 1109,
  [2871] = 1212,
  [2872] = 1214,
  [2873] = 1215,
  [2874] = 1218,
  [2875] = 1219,
  [2876] = 1220,
  [2877] = 1119,
  [2878] = 1120,
  [2879] = 1062,
  [2880] = 2860,
  [2881] = 1204,
  [2882] = 893,
  [2883] = 1121,
  [2884] = 1201,
  [2885] = 1200,
  [2886] = 1122,
  [2887] = 1123,
  [2888] = 1198,
  [2889] = 1060,
  [2890] = 1058,
  [2891] = 1152,
  [2892] = 1101,
  [2893] = 1124,
  [2894] = 1258,
  [2895] = 1125,
  [2896] = 1063,
  [2897] = 1057,
  [2898] = 1196,
  [2899] = 1195,
  [2900] = 1194,
  [2901] = 1193,
  [2902] = 1192,
  [2903] = 1126,
  [2904] = 1127,
  [2905] = 1128,
  [2906] = 1129,
  [2907] = 1061,
  [2908] = 1254,
  [2909] = 1099,
  [2910] = 1056,
  [2911] = 1130,
  [2912] = 1098,
  [2913] = 1054,
  [2914] = 1053,
  [2915] = 1177,
  [2916] = 1176,
  [2917] = 1175,
  [2918] = 1097,
  [2919] = 1173,
  [2920] = 1052,
  [2921] = 1096,
  [2922] = 1055,
  [2923] = 1094,
  [2924] = 1066,
  [2925] = 1131,
  [2926] = 1133,
  [2927] = 1059,
  [2928] = 1134,
  [2929] = 1184,
  [2930] = 1136,
  [2931] = 1066,
  [2932] = 1199,
  [2933] = 1066,
  [2934] = 1169,
  [2935] = 1168,
  [2936] = 1167,
  [2937] = 1166,
  [2938] = 1282,
  [2939] = 2745,
  [2940] = 1165,
  [2941] = 1050,
  [2942] = 1138,
  [2943] = 1056,
  [2944] = 1139,
  [2945] = 1045,
  [2946] = 1140,
  [2947] = 1141,
  [2948] = 1142,
  [2949] = 1143,
  [2950] = 1144,
  [2951] = 1145,
  [2952] = 1049,
  [2953] = 1058,
  [2954] = 1048,
  [2955] = 1047,
  [2956] = 1068,
  [2957] = 1046,
  [2958] = 1160,
  [2959] = 1159,
  [2960] = 1158,
  [2961] = 1157,
  [2962] = 1156,
  [2963] = 1155,
  [2964] = 1275,
  [2965] = 1184,
  [2966] = 1288,
  [2967] = 1258,
  [2968] = 1149,
  [2969] = 1151,
  [2970] = 608,
  [2971] = 602,
  [2972] = 654,
  [2973] = 824,
  [2974] = 2974,
  [2975] = 603,
  [2976] = 608,
  [2977] = 604,
  [2978] = 614,
  [2979] = 610,
  [2980] = 606,
  [2981] = 653,
  [2982] = 612,
  [2983] = 620,
  [2984] = 612,
  [2985] = 827,
  [2986] = 605,
  [2987] = 630,
  [2988] = 602,
  [2989] = 606,
  [2990] = 610,
  [2991] = 831,
  [2992] = 614,
  [2993] = 620,
  [2994] = 612,
  [2995] = 605,
  [2996] = 606,
  [2997] = 602,
  [2998] = 610,
  [2999] = 2999,
  [3000] = 604,
  [3001] = 614,
  [3002] = 648,
  [3003] = 646,
  [3004] = 603,
  [3005] = 821,
  [3006] = 604,
  [3007] = 608,
  [3008] = 646,
  [3009] = 603,
  [3010] = 630,
  [3011] = 2974,
  [3012] = 630,
  [3013] = 838,
  [3014] = 620,
  [3015] = 840,
  [3016] = 605,
  [3017] = 839,
  [3018] = 614,
  [3019] = 610,
  [3020] = 606,
  [3021] = 841,
  [3022] = 605,
  [3023] = 841,
  [3024] = 840,
  [3025] = 773,
  [3026] = 838,
  [3027] = 760,
  [3028] = 604,
  [3029] = 603,
  [3030] = 620,
  [3031] = 823,
  [3032] = 3032,
  [3033] = 612,
  [3034] = 605,
  [3035] = 819,
  [3036] = 821,
  [3037] = 882,
  [3038] = 883,
  [3039] = 852,
  [3040] = 822,
  [3041] = 832,
  [3042] = 822,
  [3043] = 823,
  [3044] = 824,
  [3045] = 608,
  [3046] = 612,
  [3047] = 614,
  [3048] = 826,
  [3049] = 604,
  [3050] = 827,
  [3051] = 606,
  [3052] = 760,
  [3053] = 610,
  [3054] = 606,
  [3055] = 605,
  [3056] = 610,
  [3057] = 608,
  [3058] = 839,
  [3059] = 773,
  [3060] = 852,
  [3061] = 630,
  [3062] = 614,
  [3063] = 603,
  [3064] = 604,
  [3065] = 608,
  [3066] = 831,
  [3067] = 612,
  [3068] = 620,
  [3069] = 602,
  [3070] = 893,
  [3071] = 819,
  [3072] = 833,
  [3073] = 998,
  [3074] = 630,
  [3075] = 833,
  [3076] = 620,
  [3077] = 603,
  [3078] = 946,
  [3079] = 602,
  [3080] = 602,
  [3081] = 826,
  [3082] = 990,
  [3083] = 974,
  [3084] = 832,
  [3085] = 630,
  [3086] = 125,
  [3087] = 1111,
  [3088] = 1193,
  [3089] = 1192,
  [3090] = 1191,
  [3091] = 1190,
  [3092] = 1055,
  [3093] = 1189,
  [3094] = 1187,
  [3095] = 1186,
  [3096] = 1231,
  [3097] = 1234,
  [3098] = 1182,
  [3099] = 1181,
  [3100] = 1180,
  [3101] = 1179,
  [3102] = 1178,
  [3103] = 1177,
  [3104] = 1176,
  [3105] = 1175,
  [3106] = 1174,
  [3107] = 1173,
  [3108] = 1045,
  [3109] = 1105,
  [3110] = 1087,
  [3111] = 1170,
  [3112] = 1201,
  [3113] = 1254,
  [3114] = 1196,
  [3115] = 821,
  [3116] = 1081,
  [3117] = 1059,
  [3118] = 1153,
  [3119] = 1066,
  [3120] = 1237,
  [3121] = 1077,
  [3122] = 1169,
  [3123] = 1168,
  [3124] = 1167,
  [3125] = 1166,
  [3126] = 1195,
  [3127] = 824,
  [3128] = 1165,
  [3129] = 838,
  [3130] = 1103,
  [3131] = 1152,
  [3132] = 1087,
  [3133] = 1088,
  [3134] = 1161,
  [3135] = 1220,
  [3136] = 1198,
  [3137] = 840,
  [3138] = 1073,
  [3139] = 1072,
  [3140] = 1071,
  [3141] = 1233,
  [3142] = 1070,
  [3143] = 1232,
  [3144] = 1068,
  [3145] = 1067,
  [3146] = 1160,
  [3147] = 1159,
  [3148] = 1158,
  [3149] = 1157,
  [3150] = 1156,
  [3151] = 1155,
  [3152] = 1154,
  [3153] = 1153,
  [3154] = 1219,
  [3155] = 1101,
  [3156] = 1200,
  [3157] = 1218,
  [3158] = 1151,
  [3159] = 1149,
  [3160] = 1288,
  [3161] = 1065,
  [3162] = 1064,
  [3163] = 1062,
  [3164] = 1060,
  [3165] = 1215,
  [3166] = 1058,
  [3167] = 1057,
  [3168] = 1145,
  [3169] = 1144,
  [3170] = 1143,
  [3171] = 1142,
  [3172] = 1141,
  [3173] = 1140,
  [3174] = 1139,
  [3175] = 1138,
  [3176] = 1099,
  [3177] = 1214,
  [3178] = 1056,
  [3179] = 1136,
  [3180] = 1134,
  [3181] = 1133,
  [3182] = 1131,
  [3183] = 838,
  [3184] = 1054,
  [3185] = 1053,
  [3186] = 1052,
  [3187] = 1109,
  [3188] = 1130,
  [3189] = 1129,
  [3190] = 1128,
  [3191] = 1127,
  [3192] = 1126,
  [3193] = 1098,
  [3194] = 1125,
  [3195] = 1124,
  [3196] = 1051,
  [3197] = 1050,
  [3198] = 1123,
  [3199] = 1122,
  [3200] = 1121,
  [3201] = 1097,
  [3202] = 1120,
  [3203] = 1119,
  [3204] = 1049,
  [3205] = 1118,
  [3206] = 1096,
  [3207] = 1117,
  [3208] = 1115,
  [3209] = 1048,
  [3210] = 1114,
  [3211] = 1094,
  [3212] = 1113,
  [3213] = 1112,
  [3214] = 1047,
  [3215] = 1194,
  [3216] = 1110,
  [3217] = 1046,
  [3218] = 1212,
  [3219] = 123,
  [3220] = 1232,
  [3221] = 1061,
  [3222] = 1204,
  [3223] = 998,
  [3224] = 1259,
  [3225] = 1215,
  [3226] = 1085,
  [3227] = 1211,
  [3228] = 1209,
  [3229] = 1091,
  [3230] = 128,
  [3231] = 3231,
  [3232] = 1060,
  [3233] = 1077,
  [3234] = 653,
  [3235] = 1282,
  [3236] = 827,
  [3237] = 1199,
  [3238] = 1154,
  [3239] = 831,
  [3240] = 1091,
  [3241] = 1063,
  [3242] = 974,
  [3243] = 1237,
  [3244] = 831,
  [3245] = 129,
  [3246] = 1211,
  [3247] = 1161,
  [3248] = 1275,
  [3249] = 1191,
  [3250] = 1206,
  [3251] = 646,
  [3252] = 1207,
  [3253] = 1190,
  [3254] = 1092,
  [3255] = 3231,
  [3256] = 1189,
  [3257] = 827,
  [3258] = 1184,
  [3259] = 1244,
  [3260] = 1187,
  [3261] = 1186,
  [3262] = 840,
  [3263] = 1231,
  [3264] = 1210,
  [3265] = 1234,
  [3266] = 1259,
  [3267] = 1233,
  [3268] = 1093,
  [3269] = 1182,
  [3270] = 1258,
  [3271] = 1085,
  [3272] = 1181,
  [3273] = 127,
  [3274] = 1180,
  [3275] = 1179,
  [3276] = 1209,
  [3277] = 1178,
  [3278] = 1174,
  [3279] = 824,
  [3280] = 1244,
  [3281] = 1291,
  [3282] = 1172,
  [3283] = 1170,
  [3284] = 119,
  [3285] = 821,
  [3286] = 1208,
  [3287] = 126,
  [3288] = 654,
  [3289] = 946,
  [3290] = 648,
  [3291] = 1164,
  [3292] = 648,
  [3293] = 841,
  [3294] = 654,
  [3295] = 648,
  [3296] = 653,
  [3297] = 819,
  [3298] = 3298,
  [3299] = 822,
  [3300] = 823,
  [3301] = 129,
  [3302] = 841,
  [3303] = 827,
  [3304] = 128,
  [3305] = 826,
  [3306] = 831,
  [3307] = 123,
  [3308] = 127,
  [3309] = 833,
  [3310] = 125,
  [3311] = 126,
  [3312] = 990,
  [3313] = 833,
  [3314] = 826,
  [3315] = 608,
  [3316] = 119,
  [3317] = 119,
  [3318] = 838,
  [3319] = 129,
  [3320] = 128,
  [3321] = 602,
  [3322] = 603,
  [3323] = 839,
  [3324] = 125,
  [3325] = 840,
  [3326] = 630,
  [3327] = 620,
  [3328] = 612,
  [3329] = 839,
  [3330] = 824,
  [3331] = 653,
  [3332] = 126,
  [3333] = 605,
  [3334] = 123,
  [3335] = 606,
  [3336] = 654,
  [3337] = 819,
  [3338] = 127,
  [3339] = 610,
  [3340] = 614,
  [3341] = 822,
  [3342] = 823,
  [3343] = 604,
  [3344] = 821,
  [3345] = 1103,
  [3346] = 822,
  [3347] = 653,
  [3348] = 1056,
  [3349] = 893,
  [3350] = 1051,
  [3351] = 832,
  [3352] = 822,
  [3353] = 1050,
  [3354] = 760,
  [3355] = 1172,
  [3356] = 1055,
  [3357] = 852,
  [3358] = 1049,
  [3359] = 1054,
  [3360] = 1053,
  [3361] = 1258,
  [3362] = 1088,
  [3363] = 1052,
  [3364] = 648,
  [3365] = 654,
  [3366] = 604,
  [3367] = 946,
  [3368] = 1047,
  [3369] = 610,
  [3370] = 841,
  [3371] = 1199,
  [3372] = 823,
  [3373] = 1046,
  [3374] = 608,
  [3375] = 654,
  [3376] = 1092,
  [3377] = 1093,
  [3378] = 653,
  [3379] = 1057,
  [3380] = 1058,
  [3381] = 974,
  [3382] = 602,
  [3383] = 1081,
  [3384] = 1062,
  [3385] = 1059,
  [3386] = 946,
  [3387] = 1048,
  [3388] = 1064,
  [3389] = 852,
  [3390] = 3298,
  [3391] = 1065,
  [3392] = 1184,
  [3393] = 773,
  [3394] = 602,
  [3395] = 974,
  [3396] = 1101,
  [3397] = 603,
  [3398] = 990,
  [3399] = 833,
  [3400] = 1096,
  [3401] = 614,
  [3402] = 630,
  [3403] = 1105,
  [3404] = 1097,
  [3405] = 819,
  [3406] = 1109,
  [3407] = 606,
  [3408] = 841,
  [3409] = 1066,
  [3410] = 3410,
  [3411] = 840,
  [3412] = 839,
  [3413] = 648,
  [3414] = 1152,
  [3415] = 605,
  [3416] = 620,
  [3417] = 838,
  [3418] = 833,
  [3419] = 612,
  [3420] = 612,
  [3421] = 1061,
  [3422] = 883,
  [3423] = 998,
  [3424] = 882,
  [3425] = 831,
  [3426] = 605,
  [3427] = 1045,
  [3428] = 606,
  [3429] = 1067,
  [3430] = 998,
  [3431] = 1068,
  [3432] = 1070,
  [3433] = 1099,
  [3434] = 1071,
  [3435] = 1072,
  [3436] = 827,
  [3437] = 1073,
  [3438] = 826,
  [3439] = 990,
  [3440] = 974,
  [3441] = 1094,
  [3442] = 826,
  [3443] = 824,
  [3444] = 823,
  [3445] = 610,
  [3446] = 839,
  [3447] = 1164,
  [3448] = 821,
  [3449] = 614,
  [3450] = 1063,
  [3451] = 946,
  [3452] = 608,
  [3453] = 620,
  [3454] = 603,
  [3455] = 604,
  [3456] = 1098,
  [3457] = 819,
  [3458] = 630,
  [3459] = 998,
  [3460] = 1098,
  [3461] = 1047,
  [3462] = 1105,
  [3463] = 1153,
  [3464] = 1088,
  [3465] = 1064,
  [3466] = 1154,
  [3467] = 1155,
  [3468] = 1156,
  [3469] = 1157,
  [3470] = 1065,
  [3471] = 1232,
  [3472] = 1091,
  [3473] = 883,
  [3474] = 1220,
  [3475] = 1066,
  [3476] = 125,
  [3477] = 123,
  [3478] = 1101,
  [3479] = 1048,
  [3480] = 1087,
  [3481] = 1059,
  [3482] = 1060,
  [3483] = 1085,
  [3484] = 1282,
  [3485] = 1158,
  [3486] = 1058,
  [3487] = 1081,
  [3488] = 1159,
  [3489] = 1160,
  [3490] = 1057,
  [3491] = 1060,
  [3492] = 1077,
  [3493] = 1219,
  [3494] = 1218,
  [3495] = 1152,
  [3496] = 1275,
  [3497] = 1099,
  [3498] = 1161,
  [3499] = 1061,
  [3500] = 1056,
  [3501] = 1055,
  [3502] = 1054,
  [3503] = 1053,
  [3504] = 1103,
  [3505] = 1101,
  [3506] = 1073,
  [3507] = 1072,
  [3508] = 1071,
  [3509] = 1067,
  [3510] = 1070,
  [3511] = 1052,
  [3512] = 1045,
  [3513] = 1067,
  [3514] = 1068,
  [3515] = 1070,
  [3516] = 1071,
  [3517] = 1165,
  [3518] = 1072,
  [3519] = 1073,
  [3520] = 1051,
  [3521] = 1092,
  [3522] = 1061,
  [3523] = 1050,
  [3524] = 1166,
  [3525] = 1215,
  [3526] = 1214,
  [3527] = 1093,
  [3528] = 1065,
  [3529] = 1064,
  [3530] = 1062,
  [3531] = 1212,
  [3532] = 1167,
  [3533] = 1109,
  [3534] = 1057,
  [3535] = 1168,
  [3536] = 1169,
  [3537] = 1066,
  [3538] = 1097,
  [3539] = 1244,
  [3540] = 1211,
  [3541] = 1049,
  [3542] = 998,
  [3543] = 1232,
  [3544] = 1056,
  [3545] = 1233,
  [3546] = 1096,
  [3547] = 1210,
  [3548] = 1209,
  [3549] = 1055,
  [3550] = 1054,
  [3551] = 1053,
  [3552] = 1052,
  [3553] = 1208,
  [3554] = 1259,
  [3555] = 1149,
  [3556] = 1172,
  [3557] = 1087,
  [3558] = 1103,
  [3559] = 1288,
  [3560] = 646,
  [3561] = 1164,
  [3562] = 1051,
  [3563] = 1050,
  [3564] = 1094,
  [3565] = 1063,
  [3566] = 1170,
  [3567] = 1062,
  [3568] = 1046,
  [3569] = 128,
  [3570] = 1049,
  [3571] = 1059,
  [3572] = 1077,
  [3573] = 1110,
  [3574] = 1111,
  [3575] = 1048,
  [3576] = 1063,
  [3577] = 1112,
  [3578] = 1184,
  [3579] = 1081,
  [3580] = 1047,
  [3581] = 1207,
  [3582] = 1113,
  [3583] = 1046,
  [3584] = 1094,
  [3585] = 1114,
  [3586] = 1151,
  [3587] = 1206,
  [3588] = 1105,
  [3589] = 1291,
  [3590] = 1172,
  [3591] = 1115,
  [3592] = 1117,
  [3593] = 1096,
  [3594] = 1173,
  [3595] = 1085,
  [3596] = 1174,
  [3597] = 1258,
  [3598] = 1118,
  [3599] = 1119,
  [3600] = 1088,
  [3601] = 1120,
  [3602] = 1097,
  [3603] = 1121,
  [3604] = 1199,
  [3605] = 1175,
  [3606] = 1122,
  [3607] = 1091,
  [3608] = 1176,
  [3609] = 1092,
  [3610] = 1093,
  [3611] = 1123,
  [3612] = 1124,
  [3613] = 1109,
  [3614] = 1125,
  [3615] = 883,
  [3616] = 946,
  [3617] = 1098,
  [3618] = 1126,
  [3619] = 1127,
  [3620] = 1177,
  [3621] = 1058,
  [3622] = 1128,
  [3623] = 1129,
  [3624] = 1130,
  [3625] = 990,
  [3626] = 1152,
  [3627] = 1045,
  [3628] = 126,
  [3629] = 1131,
  [3630] = 1133,
  [3631] = 1134,
  [3632] = 1136,
  [3633] = 1178,
  [3634] = 1099,
  [3635] = 1138,
  [3636] = 1258,
  [3637] = 1179,
  [3638] = 1180,
  [3639] = 990,
  [3640] = 1139,
  [3641] = 1181,
  [3642] = 1140,
  [3643] = 1141,
  [3644] = 1142,
  [3645] = 974,
  [3646] = 1182,
  [3647] = 1234,
  [3648] = 1143,
  [3649] = 1144,
  [3650] = 1237,
  [3651] = 1201,
  [3652] = 1231,
  [3653] = 1145,
  [3654] = 119,
  [3655] = 1199,
  [3656] = 127,
  [3657] = 1186,
  [3658] = 1187,
  [3659] = 1189,
  [3660] = 1190,
  [3661] = 1191,
  [3662] = 1198,
  [3663] = 1192,
  [3664] = 1193,
  [3665] = 1194,
  [3666] = 1195,
  [3667] = 1164,
  [3668] = 1068,
  [3669] = 1184,
  [3670] = 1204,
  [3671] = 129,
  [3672] = 1196,
  [3673] = 1200,
  [3674] = 1237,
  [3675] = 1254,
  [3676] = 840,
  [3677] = 1059,
  [3678] = 1096,
  [3679] = 128,
  [3680] = 129,
  [3681] = 1097,
  [3682] = 1172,
  [3683] = 1105,
  [3684] = 1098,
  [3685] = 602,
  [3686] = 630,
  [3687] = 620,
  [3688] = 1105,
  [3689] = 1057,
  [3690] = 1131,
  [3691] = 1184,
  [3692] = 1058,
  [3693] = 1059,
  [3694] = 1199,
  [3695] = 1099,
  [3696] = 832,
  [3697] = 1091,
  [3698] = 1081,
  [3699] = 612,
  [3700] = 605,
  [3701] = 606,
  [3702] = 610,
  [3703] = 614,
  [3704] = 604,
  [3705] = 119,
  [3706] = 608,
  [3707] = 603,
  [3708] = 1094,
  [3709] = 1055,
  [3710] = 1081,
  [3711] = 1131,
  [3712] = 646,
  [3713] = 1088,
  [3714] = 893,
  [3715] = 1087,
  [3716] = 1258,
  [3717] = 125,
  [3718] = 1088,
  [3719] = 1062,
  [3720] = 882,
  [3721] = 1109,
  [3722] = 127,
  [3723] = 126,
  [3724] = 1072,
  [3725] = 1077,
  [3726] = 127,
  [3727] = 129,
  [3728] = 128,
  [3729] = 123,
  [3730] = 1063,
  [3731] = 1046,
  [3732] = 123,
  [3733] = 1056,
  [3734] = 1045,
  [3735] = 1199,
  [3736] = 1101,
  [3737] = 893,
  [3738] = 1103,
  [3739] = 1152,
  [3740] = 838,
  [3741] = 129,
  [3742] = 126,
  [3743] = 119,
  [3744] = 1092,
  [3745] = 1093,
  [3746] = 1073,
  [3747] = 1072,
  [3748] = 1092,
  [3749] = 1064,
  [3750] = 1071,
  [3751] = 1093,
  [3752] = 1058,
  [3753] = 1070,
  [3754] = 1109,
  [3755] = 1067,
  [3756] = 123,
  [3757] = 127,
  [3758] = 128,
  [3759] = 1056,
  [3760] = 1068,
  [3761] = 1064,
  [3762] = 1048,
  [3763] = 125,
  [3764] = 1061,
  [3765] = 1066,
  [3766] = 1047,
  [3767] = 1049,
  [3768] = 1046,
  [3769] = 1233,
  [3770] = 1047,
  [3771] = 1067,
  [3772] = 1061,
  [3773] = 1094,
  [3774] = 1068,
  [3775] = 1070,
  [3776] = 1071,
  [3777] = 1048,
  [3778] = 1065,
  [3779] = 1152,
  [3780] = 821,
  [3781] = 1073,
  [3782] = 824,
  [3783] = 1101,
  [3784] = 1055,
  [3785] = 827,
  [3786] = 831,
  [3787] = 1233,
  [3788] = 1065,
  [3789] = 1103,
  [3790] = 831,
  [3791] = 1051,
  [3792] = 1050,
  [3793] = 827,
  [3794] = 1063,
  [3795] = 824,
  [3796] = 1164,
  [3797] = 838,
  [3798] = 840,
  [3799] = 821,
  [3800] = 1062,
  [3801] = 1060,
  [3802] = 125,
  [3803] = 1057,
  [3804] = 1045,
  [3805] = 119,
  [3806] = 1052,
  [3807] = 1099,
  [3808] = 1054,
  [3809] = 882,
  [3810] = 1053,
  [3811] = 1052,
  [3812] = 1098,
  [3813] = 1164,
  [3814] = 1053,
  [3815] = 1051,
  [3816] = 126,
  [3817] = 1050,
  [3818] = 1097,
  [3819] = 1049,
  [3820] = 1172,
  [3821] = 1054,
  [3822] = 1258,
  [3823] = 1085,
  [3824] = 1096,
  [3825] = 1184,
  [3826] = 1231,
  [3827] = 1220,
  [3828] = 822,
  [3829] = 841,
  [3830] = 819,
  [3831] = 826,
  [3832] = 823,
  [3833] = 1126,
  [3834] = 1127,
  [3835] = 833,
  [3836] = 1128,
  [3837] = 1129,
  [3838] = 1130,
  [3839] = 3839,
  [3840] = 1165,
  [3841] = 1149,
  [3842] = 1166,
  [3843] = 1161,
  [3844] = 1177,
  [3845] = 648,
  [3846] = 1160,
  [3847] = 1159,
  [3848] = 1158,
  [3849] = 1167,
  [3850] = 654,
  [3851] = 1157,
  [3852] = 1168,
  [3853] = 1156,
  [3854] = 1155,
  [3855] = 1189,
  [3856] = 1154,
  [3857] = 1153,
  [3858] = 1204,
  [3859] = 3839,
  [3860] = 653,
  [3861] = 1169,
  [3862] = 1220,
  [3863] = 1091,
  [3864] = 1077,
  [3865] = 1207,
  [3866] = 1174,
  [3867] = 1206,
  [3868] = 1151,
  [3869] = 1208,
  [3870] = 1060,
  [3871] = 1145,
  [3872] = 1144,
  [3873] = 1143,
  [3874] = 1142,
  [3875] = 1141,
  [3876] = 1140,
  [3877] = 1170,
  [3878] = 773,
  [3879] = 1139,
  [3880] = 1138,
  [3881] = 760,
  [3882] = 1175,
  [3883] = 1060,
  [3884] = 1136,
  [3885] = 1134,
  [3886] = 1133,
  [3887] = 1130,
  [3888] = 1129,
  [3889] = 1128,
  [3890] = 1145,
  [3891] = 1127,
  [3892] = 1126,
  [3893] = 1176,
  [3894] = 832,
  [3895] = 1178,
  [3896] = 1125,
  [3897] = 1124,
  [3898] = 1123,
  [3899] = 1122,
  [3900] = 1121,
  [3901] = 1144,
  [3902] = 1143,
  [3903] = 1201,
  [3904] = 1209,
  [3905] = 1138,
  [3906] = 1142,
  [3907] = 1139,
  [3908] = 1173,
  [3909] = 1141,
  [3910] = 1174,
  [3911] = 1179,
  [3912] = 1175,
  [3913] = 1176,
  [3914] = 1177,
  [3915] = 1120,
  [3916] = 1178,
  [3917] = 1179,
  [3918] = 1180,
  [3919] = 1140,
  [3920] = 1181,
  [3921] = 1182,
  [3922] = 1119,
  [3923] = 1234,
  [3924] = 1231,
  [3925] = 1186,
  [3926] = 1187,
  [3927] = 1189,
  [3928] = 1190,
  [3929] = 1191,
  [3930] = 1192,
  [3931] = 1118,
  [3932] = 1180,
  [3933] = 1193,
  [3934] = 1194,
  [3935] = 1195,
  [3936] = 1196,
  [3937] = 1181,
  [3938] = 1085,
  [3939] = 1117,
  [3940] = 1087,
  [3941] = 1151,
  [3942] = 1115,
  [3943] = 1198,
  [3944] = 1149,
  [3945] = 1114,
  [3946] = 1113,
  [3947] = 1182,
  [3948] = 1112,
  [3949] = 1111,
  [3950] = 1200,
  [3951] = 1201,
  [3952] = 1110,
  [3953] = 1234,
  [3954] = 1206,
  [3955] = 1207,
  [3956] = 1091,
  [3957] = 1186,
  [3958] = 1187,
  [3959] = 1190,
  [3960] = 1208,
  [3961] = 1209,
  [3962] = 1210,
  [3963] = 1211,
  [3964] = 1191,
  [3965] = 1212,
  [3966] = 1214,
  [3967] = 1215,
  [3968] = 1192,
  [3969] = 1218,
  [3970] = 1219,
  [3971] = 1117,
  [3972] = 839,
  [3973] = 1133,
  [3974] = 1115,
  [3975] = 1066,
  [3976] = 1173,
  [3977] = 1134,
  [3978] = 1193,
  [3979] = 1118,
  [3980] = 1136,
  [3981] = 1194,
  [3982] = 1195,
  [3983] = 1196,
  [3984] = 841,
  [3985] = 1110,
  [3986] = 1204,
  [3987] = 1111,
  [3988] = 1210,
  [3989] = 1211,
  [3990] = 1156,
  [3991] = 1085,
  [3992] = 603,
  [3993] = 1087,
  [3994] = 1198,
  [3995] = 608,
  [3996] = 1244,
  [3997] = 1170,
  [3998] = 604,
  [3999] = 614,
  [4000] = 1200,
  [4001] = 610,
  [4002] = 606,
  [4003] = 1169,
  [4004] = 1153,
  [4005] = 1066,
  [4006] = 605,
  [4007] = 612,
  [4008] = 620,
  [4009] = 630,
  [4010] = 602,
  [4011] = 1154,
  [4012] = 1155,
  [4013] = 833,
  [4014] = 1120,
  [4015] = 1212,
  [4016] = 123,
  [4017] = 832,
  [4018] = 125,
  [4019] = 128,
  [4020] = 1157,
  [4021] = 1158,
  [4022] = 1114,
  [4023] = 129,
  [4024] = 1159,
  [4025] = 1168,
  [4026] = 1112,
  [4027] = 119,
  [4028] = 1119,
  [4029] = 1066,
  [4030] = 1113,
  [4031] = 1160,
  [4032] = 126,
  [4033] = 127,
  [4034] = 1167,
  [4035] = 1214,
  [4036] = 1215,
  [4037] = 839,
  [4038] = 1125,
  [4039] = 1124,
  [4040] = 1161,
  [4041] = 1219,
  [4042] = 1123,
  [4043] = 1122,
  [4044] = 1121,
  [4045] = 826,
  [4046] = 823,
  [4047] = 1077,
  [4048] = 1218,
  [4049] = 822,
  [4050] = 1165,
  [4051] = 819,
  [4052] = 1166,
  [4053] = 4053,
  [4054] = 2231,
  [4055] = 127,
  [4056] = 832,
  [4057] = 126,
  [4058] = 1066,
  [4059] = 119,
  [4060] = 1209,
  [4061] = 1211,
  [4062] = 1215,
  [4063] = 129,
  [4064] = 1244,
  [4065] = 128,
  [4066] = 4066,
  [4067] = 123,
  [4068] = 125,
  [4069] = 1087,
  [4070] = 1259,
  [4071] = 125,
  [4072] = 1244,
  [4073] = 852,
  [4074] = 1085,
  [4075] = 883,
  [4076] = 1091,
  [4077] = 1060,
  [4078] = 1077,
  [4079] = 648,
  [4080] = 1233,
  [4081] = 760,
  [4082] = 773,
  [4083] = 1191,
  [4084] = 1190,
  [4085] = 946,
  [4086] = 832,
  [4087] = 1189,
  [4088] = 654,
  [4089] = 1187,
  [4090] = 1186,
  [4091] = 4091,
  [4092] = 1231,
  [4093] = 129,
  [4094] = 1234,
  [4095] = 1182,
  [4096] = 1181,
  [4097] = 4097,
  [4098] = 1180,
  [4099] = 1179,
  [4100] = 1178,
  [4101] = 2231,
  [4102] = 974,
  [4103] = 1174,
  [4104] = 1161,
  [4105] = 653,
  [4106] = 1154,
  [4107] = 1153,
  [4108] = 4108,
  [4109] = 998,
  [4110] = 1170,
  [4111] = 998,
  [4112] = 990,
  [4113] = 974,
  [4114] = 123,
  [4115] = 946,
  [4116] = 1244,
  [4117] = 128,
  [4118] = 1060,
  [4119] = 126,
  [4120] = 127,
  [4121] = 1237,
  [4122] = 1233,
  [4123] = 1232,
  [4124] = 2321,
  [4125] = 1199,
  [4126] = 1233,
  [4127] = 1172,
  [4128] = 1164,
  [4129] = 1152,
  [4130] = 1056,
  [4131] = 882,
  [4132] = 1191,
  [4133] = 1190,
  [4134] = 1189,
  [4135] = 1187,
  [4136] = 1186,
  [4137] = 1231,
  [4138] = 1234,
  [4139] = 1182,
  [4140] = 1181,
  [4141] = 1180,
  [4142] = 1179,
  [4143] = 1178,
  [4144] = 1174,
  [4145] = 1170,
  [4146] = 1161,
  [4147] = 1154,
  [4148] = 1153,
  [4149] = 1105,
  [4150] = 123,
  [4151] = 1103,
  [4152] = 893,
  [4153] = 1101,
  [4154] = 1099,
  [4155] = 1098,
  [4156] = 1097,
  [4157] = 1096,
  [4158] = 1094,
  [4159] = 1093,
  [4160] = 1092,
  [4161] = 1088,
  [4162] = 1087,
  [4163] = 1081,
  [4164] = 1073,
  [4165] = 1109,
  [4166] = 1071,
  [4167] = 1070,
  [4168] = 1067,
  [4169] = 1065,
  [4170] = 1064,
  [4171] = 1062,
  [4172] = 1057,
  [4173] = 1055,
  [4174] = 1072,
  [4175] = 1053,
  [4176] = 1052,
  [4177] = 1051,
  [4178] = 1050,
  [4179] = 1049,
  [4180] = 1048,
  [4181] = 1047,
  [4182] = 1046,
  [4183] = 1091,
  [4184] = 129,
  [4185] = 990,
  [4186] = 1258,
  [4187] = 1085,
  [4188] = 1184,
  [4189] = 128,
  [4190] = 1077,
  [4191] = 1054,
  [4192] = 1259,
  [4193] = 1087,
  [4194] = 1068,
  [4195] = 1060,
  [4196] = 1058,
  [4197] = 1059,
  [4198] = 1061,
  [4199] = 1063,
  [4200] = 1045,
  [4201] = 1131,
  [4202] = 2321,
  [4203] = 1085,
  [4204] = 1091,
  [4205] = 1077,
  [4206] = 1244,
  [4207] = 1215,
  [4208] = 125,
  [4209] = 1211,
  [4210] = 1209,
  [4211] = 1066,
  [4212] = 882,
  [4213] = 119,
  [4214] = 1072,
  [4215] = 1066,
  [4216] = 1094,
  [4217] = 1096,
  [4218] = 1097,
  [4219] = 1098,
  [4220] = 4220,
  [4221] = 2479,
  [4222] = 2477,
  [4223] = 2476,
  [4224] = 1099,
  [4225] = 2486,
  [4226] = 2478,
  [4227] = 832,
  [4228] = 1066,
  [4229] = 2474,
  [4230] = 1056,
  [4231] = 1063,
  [4232] = 1101,
  [4233] = 1061,
  [4234] = 1152,
  [4235] = 1212,
  [4236] = 1153,
  [4237] = 1059,
  [4238] = 2473,
  [4239] = 1154,
  [4240] = 1161,
  [4241] = 1058,
  [4242] = 1170,
  [4243] = 1103,
  [4244] = 1066,
  [4245] = 1164,
  [4246] = 2321,
  [4247] = 1174,
  [4248] = 1178,
  [4249] = 1184,
  [4250] = 1105,
  [4251] = 1068,
  [4252] = 1172,
  [4253] = 1179,
  [4254] = 1117,
  [4255] = 1258,
  [4256] = 1199,
  [4257] = 1180,
  [4258] = 1181,
  [4259] = 1109,
  [4260] = 1182,
  [4261] = 1234,
  [4262] = 1231,
  [4263] = 1186,
  [4264] = 1187,
  [4265] = 1189,
  [4266] = 1190,
  [4267] = 1191,
  [4268] = 1046,
  [4269] = 1110,
  [4270] = 1220,
  [4271] = 1111,
  [4272] = 1047,
  [4273] = 1219,
  [4274] = 1112,
  [4275] = 1113,
  [4276] = 1218,
  [4277] = 1215,
  [4278] = 1214,
  [4279] = 1045,
  [4280] = 1211,
  [4281] = 1114,
  [4282] = 1048,
  [4283] = 1066,
  [4284] = 1215,
  [4285] = 1210,
  [4286] = 1209,
  [4287] = 1208,
  [4288] = 1115,
  [4289] = 1093,
  [4290] = 1092,
  [4291] = 1091,
  [4292] = 1207,
  [4293] = 1206,
  [4294] = 882,
  [4295] = 1201,
  [4296] = 1128,
  [4297] = 1118,
  [4298] = 882,
  [4299] = 1200,
  [4300] = 1198,
  [4301] = 1049,
  [4302] = 1088,
  [4303] = 1087,
  [4304] = 1119,
  [4305] = 1085,
  [4306] = 1120,
  [4307] = 1121,
  [4308] = 1196,
  [4309] = 1195,
  [4310] = 1194,
  [4311] = 1122,
  [4312] = 1123,
  [4313] = 1193,
  [4314] = 1050,
  [4315] = 1192,
  [4316] = 1191,
  [4317] = 125,
  [4318] = 1190,
  [4319] = 1189,
  [4320] = 1187,
  [4321] = 1051,
  [4322] = 1186,
  [4323] = 119,
  [4324] = 1231,
  [4325] = 1234,
  [4326] = 1124,
  [4327] = 1125,
  [4328] = 1182,
  [4329] = 1181,
  [4330] = 1180,
  [4331] = 126,
  [4332] = 128,
  [4333] = 2160,
  [4334] = 2473,
  [4335] = 129,
  [4336] = 1204,
  [4337] = 127,
  [4338] = 1178,
  [4339] = 1177,
  [4340] = 1176,
  [4341] = 1175,
  [4342] = 1126,
  [4343] = 1127,
  [4344] = 123,
  [4345] = 1174,
  [4346] = 1209,
  [4347] = 1136,
  [4348] = 1173,
  [4349] = 1211,
  [4350] = 1170,
  [4351] = 1081,
  [4352] = 1077,
  [4353] = 1169,
  [4354] = 1129,
  [4355] = 1130,
  [4356] = 1168,
  [4357] = 1052,
  [4358] = 1053,
  [4359] = 1167,
  [4360] = 1054,
  [4361] = 1055,
  [4362] = 1166,
  [4363] = 1165,
  [4364] = 893,
  [4365] = 1161,
  [4366] = 1073,
  [4367] = 1071,
  [4368] = 1070,
  [4369] = 1133,
  [4370] = 883,
  [4371] = 1066,
  [4372] = 1067,
  [4373] = 1160,
  [4374] = 2479,
  [4375] = 1159,
  [4376] = 2477,
  [4377] = 1134,
  [4378] = 2476,
  [4379] = 1158,
  [4380] = 2486,
  [4381] = 1151,
  [4382] = 1157,
  [4383] = 2478,
  [4384] = 2474,
  [4385] = 1156,
  [4386] = 1155,
  [4387] = 1154,
  [4388] = 1153,
  [4389] = 1138,
  [4390] = 1179,
  [4391] = 1139,
  [4392] = 1140,
  [4393] = 1141,
  [4394] = 1149,
  [4395] = 1065,
  [4396] = 1142,
  [4397] = 1143,
  [4398] = 1064,
  [4399] = 1062,
  [4400] = 1060,
  [4401] = 1144,
  [4402] = 1145,
  [4403] = 1057,
  [4404] = 1114,
  [4405] = 129,
  [4406] = 1158,
  [4407] = 1191,
  [4408] = 1190,
  [4409] = 1189,
  [4410] = 1187,
  [4411] = 1186,
  [4412] = 1231,
  [4413] = 1234,
  [4414] = 1182,
  [4415] = 1181,
  [4416] = 1180,
  [4417] = 1179,
  [4418] = 4418,
  [4419] = 1149,
  [4420] = 1178,
  [4421] = 1174,
  [4422] = 1170,
  [4423] = 119,
  [4424] = 1159,
  [4425] = 1169,
  [4426] = 1161,
  [4427] = 1154,
  [4428] = 1066,
  [4429] = 1153,
  [4430] = 123,
  [4431] = 2473,
  [4432] = 1066,
  [4433] = 832,
  [4434] = 125,
  [4435] = 4418,
  [4436] = 1233,
  [4437] = 1161,
  [4438] = 125,
  [4439] = 1220,
  [4440] = 1219,
  [4441] = 1218,
  [4442] = 127,
  [4443] = 1215,
  [4444] = 1244,
  [4445] = 127,
  [4446] = 2231,
  [4447] = 126,
  [4448] = 1066,
  [4449] = 1214,
  [4450] = 1212,
  [4451] = 1211,
  [4452] = 1151,
  [4453] = 1210,
  [4454] = 1209,
  [4455] = 1208,
  [4456] = 129,
  [4457] = 1066,
  [4458] = 1115,
  [4459] = 129,
  [4460] = 1207,
  [4461] = 128,
  [4462] = 1206,
  [4463] = 123,
  [4464] = 1204,
  [4465] = 128,
  [4466] = 1201,
  [4467] = 1200,
  [4468] = 1165,
  [4469] = 1198,
  [4470] = 128,
  [4471] = 1196,
  [4472] = 4418,
  [4473] = 1195,
  [4474] = 1194,
  [4475] = 1193,
  [4476] = 1192,
  [4477] = 4477,
  [4478] = 1166,
  [4479] = 1167,
  [4480] = 1153,
  [4481] = 1191,
  [4482] = 4418,
  [4483] = 1117,
  [4484] = 1066,
  [4485] = 1154,
  [4486] = 1168,
  [4487] = 1155,
  [4488] = 1190,
  [4489] = 1160,
  [4490] = 4418,
  [4491] = 4108,
  [4492] = 1189,
  [4493] = 1156,
  [4494] = 1145,
  [4495] = 1187,
  [4496] = 1186,
  [4497] = 1231,
  [4498] = 1234,
  [4499] = 1144,
  [4500] = 1110,
  [4501] = 1143,
  [4502] = 1142,
  [4503] = 1182,
  [4504] = 1181,
  [4505] = 1180,
  [4506] = 1111,
  [4507] = 1170,
  [4508] = 1112,
  [4509] = 1113,
  [4510] = 2477,
  [4511] = 1141,
  [4512] = 1140,
  [4513] = 1118,
  [4514] = 1119,
  [4515] = 1120,
  [4516] = 1121,
  [4517] = 1122,
  [4518] = 1123,
  [4519] = 1124,
  [4520] = 1125,
  [4521] = 1126,
  [4522] = 1209,
  [4523] = 1127,
  [4524] = 1211,
  [4525] = 1179,
  [4526] = 123,
  [4527] = 1178,
  [4528] = 1128,
  [4529] = 1139,
  [4530] = 1129,
  [4531] = 126,
  [4532] = 1215,
  [4533] = 4097,
  [4534] = 1177,
  [4535] = 1176,
  [4536] = 119,
  [4537] = 1175,
  [4538] = 1130,
  [4539] = 2474,
  [4540] = 1174,
  [4541] = 1131,
  [4542] = 1133,
  [4543] = 1173,
  [4544] = 1134,
  [4545] = 2478,
  [4546] = 1136,
  [4547] = 2486,
  [4548] = 1138,
  [4549] = 832,
  [4550] = 2479,
  [4551] = 2476,
  [4552] = 4552,
  [4553] = 1157,
  [4554] = 4554,
  [4555] = 4097,
  [4556] = 4556,
  [4557] = 1244,
  [4558] = 4556,
  [4559] = 4556,
  [4560] = 4560,
  [4561] = 4560,
  [4562] = 4560,
  [4563] = 4108,
  [4564] = 4560,
  [4565] = 4556,
  [4566] = 4560,
  [4567] = 4554,
  [4568] = 4554,
  [4569] = 4554,
  [4570] = 4554,
  [4571] = 4554,
  [4572] = 4556,
  [4573] = 126,
  [4574] = 4560,
  [4575] = 4554,
  [4576] = 4556,
  [4577] = 4560,
  [4578] = 4554,
  [4579] = 4554,
  [4580] = 4556,
  [4581] = 4560,
  [4582] = 4556,
  [4583] = 4560,
  [4584] = 4554,
  [4585] = 4560,
  [4586] = 125,
  [4587] = 4554,
  [4588] = 4554,
  [4589] = 4560,
  [4590] = 127,
  [4591] = 4554,
  [4592] = 4560,
  [4593] = 4556,
  [4594] = 4556,
  [4595] = 4560,
  [4596] = 4560,
  [4597] = 4556,
  [4598] = 4556,
  [4599] = 4554,
  [4600] = 119,
  [4601] = 4556,
  [4602] = 4602,
  [4603] = 4554,
  [4604] = 4560,
  [4605] = 4556,
  [4606] = 4556,
  [4607] = 4607,
  [4608] = 4608,
  [4609] = 4609,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 4612,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4615,
  [4616] = 4616,
  [4617] = 4617,
  [4618] = 4618,
  [4619] = 4619,
  [4620] = 4620,
  [4621] = 4621,
  [4622] = 4618,
  [4623] = 4619,
  [4624] = 4624,
  [4625] = 4621,
  [4626] = 4619,
  [4627] = 4627,
  [4628] = 4628,
  [4629] = 4624,
  [4630] = 4628,
  [4631] = 4628,
  [4632] = 4624,
  [4633] = 4633,
  [4634] = 4618,
  [4635] = 4628,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4637,
  [4639] = 4637,
  [4640] = 4640,
  [4641] = 4637,
  [4642] = 4624,
  [4643] = 4643,
  [4644] = 4621,
  [4645] = 4637,
  [4646] = 4621,
  [4647] = 4621,
  [4648] = 4628,
  [4649] = 4628,
  [4650] = 4650,
  [4651] = 4619,
  [4652] = 4619,
  [4653] = 4637,
  [4654] = 4654,
  [4655] = 4655,
  [4656] = 4621,
  [4657] = 4619,
  [4658] = 4658,
  [4659] = 4618,
  [4660] = 4628,
  [4661] = 4624,
  [4662] = 4621,
  [4663] = 4637,
  [4664] = 4624,
  [4665] = 4618,
  [4666] = 4621,
  [4667] = 4637,
  [4668] = 4619,
  [4669] = 4619,
  [4670] = 4637,
  [4671] = 4671,
  [4672] = 4618,
  [4673] = 4673,
  [4674] = 4628,
  [4675] = 4624,
  [4676] = 4628,
  [4677] = 2231,
  [4678] = 4628,
  [4679] = 4637,
  [4680] = 4637,
  [4681] = 4681,
  [4682] = 4618,
  [4683] = 4628,
  [4684] = 4621,
  [4685] = 4619,
  [4686] = 4628,
  [4687] = 4621,
  [4688] = 4628,
  [4689] = 4689,
  [4690] = 4621,
  [4691] = 4628,
  [4692] = 4618,
  [4693] = 4637,
  [4694] = 4619,
  [4695] = 4695,
  [4696] = 4621,
  [4697] = 4619,
  [4698] = 4621,
  [4699] = 4619,
  [4700] = 4621,
  [4701] = 4637,
  [4702] = 4619,
  [4703] = 4618,
  [4704] = 4619,
  [4705] = 4621,
  [4706] = 4619,
  [4707] = 4621,
  [4708] = 4628,
  [4709] = 4619,
  [4710] = 4621,
  [4711] = 4637,
  [4712] = 4628,
  [4713] = 4619,
  [4714] = 4628,
  [4715] = 4621,
  [4716] = 4637,
  [4717] = 4628,
  [4718] = 4624,
  [4719] = 4637,
  [4720] = 4624,
  [4721] = 4619,
  [4722] = 4722,
  [4723] = 4637,
  [4724] = 4624,
  [4725] = 4621,
  [4726] = 4619,
  [4727] = 4628,
  [4728] = 4728,
  [4729] = 4618,
  [4730] = 3298,
  [4731] = 4637,
  [4732] = 4621,
  [4733] = 4628,
  [4734] = 4621,
  [4735] = 4619,
  [4736] = 4628,
  [4737] = 4628,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4628,
  [4741] = 4628,
  [4742] = 4637,
  [4743] = 4637,
  [4744] = 4619,
  [4745] = 4621,
  [4746] = 4619,
  [4747] = 4747,
  [4748] = 4619,
  [4749] = 4628,
  [4750] = 4750,
  [4751] = 4621,
  [4752] = 4628,
  [4753] = 4618,
  [4754] = 4618,
  [4755] = 4619,
  [4756] = 882,
  [4757] = 4637,
  [4758] = 4637,
  [4759] = 4621,
  [4760] = 4637,
  [4761] = 4619,
  [4762] = 4621,
  [4763] = 4619,
  [4764] = 4637,
  [4765] = 2231,
  [4766] = 4624,
  [4767] = 4621,
  [4768] = 4628,
  [4769] = 4637,
  [4770] = 4624,
  [4771] = 4771,
  [4772] = 4637,
  [4773] = 4621,
  [4774] = 4619,
  [4775] = 4624,
  [4776] = 4618,
  [4777] = 4637,
  [4778] = 4621,
  [4779] = 4618,
  [4780] = 4619,
  [4781] = 4628,
  [4782] = 4637,
  [4783] = 4621,
  [4784] = 4619,
  [4785] = 4637,
  [4786] = 4621,
  [4787] = 4619,
  [4788] = 4624,
  [4789] = 4624,
  [4790] = 4618,
  [4791] = 4628,
  [4792] = 4619,
  [4793] = 4621,
  [4794] = 4637,
  [4795] = 4637,
  [4796] = 4628,
  [4797] = 4628,
  [4798] = 4798,
  [4799] = 4799,
  [4800] = 1190,
  [4801] = 1191,
  [4802] = 1178,
  [4803] = 4803,
  [4804] = 4804,
  [4805] = 1179,
  [4806] = 4806,
  [4807] = 1180,
  [4808] = 1181,
  [4809] = 4809,
  [4810] = 1182,
  [4811] = 4811,
  [4812] = 4803,
  [4813] = 4813,
  [4814] = 4813,
  [4815] = 4803,
  [4816] = 1170,
  [4817] = 4817,
  [4818] = 1174,
  [4819] = 1234,
  [4820] = 1231,
  [4821] = 4803,
  [4822] = 4822,
  [4823] = 1186,
  [4824] = 4803,
  [4825] = 1187,
  [4826] = 4799,
  [4827] = 4827,
  [4828] = 4828,
  [4829] = 4809,
  [4830] = 4809,
  [4831] = 4831,
  [4832] = 4799,
  [4833] = 1066,
  [4834] = 4834,
  [4835] = 1161,
  [4836] = 4836,
  [4837] = 4837,
  [4838] = 1154,
  [4839] = 1153,
  [4840] = 4840,
  [4841] = 4803,
  [4842] = 4803,
  [4843] = 4843,
  [4844] = 4844,
  [4845] = 4845,
  [4846] = 4844,
  [4847] = 1066,
  [4848] = 4803,
  [4849] = 4803,
  [4850] = 4840,
  [4851] = 4851,
  [4852] = 4803,
  [4853] = 4803,
  [4854] = 4799,
  [4855] = 4809,
  [4856] = 4828,
  [4857] = 4799,
  [4858] = 4803,
  [4859] = 4859,
  [4860] = 4813,
  [4861] = 4803,
  [4862] = 4840,
  [4863] = 4799,
  [4864] = 4809,
  [4865] = 4798,
  [4866] = 4866,
  [4867] = 4845,
  [4868] = 4868,
  [4869] = 4831,
  [4870] = 4804,
  [4871] = 4828,
  [4872] = 4804,
  [4873] = 4844,
  [4874] = 4817,
  [4875] = 4822,
  [4876] = 4828,
  [4877] = 4817,
  [4878] = 4817,
  [4879] = 4804,
  [4880] = 4822,
  [4881] = 4828,
  [4882] = 4844,
  [4883] = 4883,
  [4884] = 4884,
  [4885] = 4831,
  [4886] = 4809,
  [4887] = 4887,
  [4888] = 4888,
  [4889] = 4889,
  [4890] = 4831,
  [4891] = 4799,
  [4892] = 4845,
  [4893] = 4813,
  [4894] = 4804,
  [4895] = 4895,
  [4896] = 4866,
  [4897] = 4798,
  [4898] = 4798,
  [4899] = 4899,
  [4900] = 4798,
  [4901] = 4901,
  [4902] = 4902,
  [4903] = 4798,
  [4904] = 4804,
  [4905] = 4822,
  [4906] = 4845,
  [4907] = 4798,
  [4908] = 4804,
  [4909] = 4798,
  [4910] = 4798,
  [4911] = 4798,
  [4912] = 4822,
  [4913] = 4809,
  [4914] = 4828,
  [4915] = 4831,
  [4916] = 4845,
  [4917] = 4798,
  [4918] = 4809,
  [4919] = 4843,
  [4920] = 4817,
  [4921] = 4798,
  [4922] = 4799,
  [4923] = 4844,
  [4924] = 4798,
  [4925] = 4843,
  [4926] = 4798,
  [4927] = 4927,
  [4928] = 4831,
  [4929] = 4817,
  [4930] = 4822,
  [4931] = 4840,
  [4932] = 4932,
  [4933] = 4933,
  [4934] = 4804,
  [4935] = 4844,
  [4936] = 4843,
  [4937] = 4813,
  [4938] = 4798,
  [4939] = 4901,
  [4940] = 4809,
  [4941] = 4941,
  [4942] = 4942,
  [4943] = 4828,
  [4944] = 4844,
  [4945] = 4932,
  [4946] = 4933,
  [4947] = 4947,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 4901,
  [4953] = 4817,
  [4954] = 4822,
  [4955] = 4799,
  [4956] = 4831,
  [4957] = 4813,
  [4958] = 4932,
  [4959] = 4933,
  [4960] = 4799,
  [4961] = 4961,
  [4962] = 4809,
  [4963] = 4831,
  [4964] = 4964,
  [4965] = 4809,
  [4966] = 4803,
  [4967] = 4798,
  [4968] = 4901,
  [4969] = 4969,
  [4970] = 4817,
  [4971] = 4822,
  [4972] = 4817,
  [4973] = 4973,
  [4974] = 4932,
  [4975] = 4844,
  [4976] = 4822,
  [4977] = 4933,
  [4978] = 4836,
  [4979] = 4831,
  [4980] = 4822,
  [4981] = 4845,
  [4982] = 4982,
  [4983] = 4983,
  [4984] = 4984,
  [4985] = 4985,
  [4986] = 4986,
  [4987] = 4986,
  [4988] = 4798,
  [4989] = 4901,
  [4990] = 4817,
  [4991] = 4986,
  [4992] = 4984,
  [4993] = 4844,
  [4994] = 4799,
  [4995] = 4984,
  [4996] = 4822,
  [4997] = 4997,
  [4998] = 4932,
  [4999] = 4999,
  [5000] = 4828,
  [5001] = 4932,
  [5002] = 4809,
  [5003] = 4844,
  [5004] = 4986,
  [5005] = 4813,
  [5006] = 4831,
  [5007] = 4804,
  [5008] = 4817,
  [5009] = 4933,
  [5010] = 4831,
  [5011] = 4984,
  [5012] = 4840,
  [5013] = 4986,
  [5014] = 4986,
  [5015] = 4984,
  [5016] = 4817,
  [5017] = 4813,
  [5018] = 4844,
  [5019] = 5019,
  [5020] = 4984,
  [5021] = 4799,
  [5022] = 4798,
  [5023] = 4901,
  [5024] = 4888,
  [5025] = 4817,
  [5026] = 4798,
  [5027] = 4822,
  [5028] = 4831,
  [5029] = 4984,
  [5030] = 5030,
  [5031] = 4817,
  [5032] = 4888,
  [5033] = 4887,
  [5034] = 4822,
  [5035] = 4932,
  [5036] = 4866,
  [5037] = 4831,
  [5038] = 4933,
  [5039] = 4986,
  [5040] = 4831,
  [5041] = 4822,
  [5042] = 4809,
  [5043] = 4837,
  [5044] = 4836,
  [5045] = 4822,
  [5046] = 4817,
  [5047] = 4822,
  [5048] = 4809,
  [5049] = 4828,
  [5050] = 5050,
  [5051] = 4809,
  [5052] = 4828,
  [5053] = 5053,
  [5054] = 4798,
  [5055] = 4901,
  [5056] = 4843,
  [5057] = 4844,
  [5058] = 4984,
  [5059] = 4822,
  [5060] = 5060,
  [5061] = 4799,
  [5062] = 4828,
  [5063] = 4804,
  [5064] = 4932,
  [5065] = 4817,
  [5066] = 4840,
  [5067] = 4822,
  [5068] = 4933,
  [5069] = 4822,
  [5070] = 4844,
  [5071] = 4822,
  [5072] = 4933,
  [5073] = 5073,
  [5074] = 4986,
  [5075] = 4813,
  [5076] = 4831,
  [5077] = 4822,
  [5078] = 882,
  [5079] = 5079,
  [5080] = 4799,
  [5081] = 4798,
  [5082] = 4901,
  [5083] = 4837,
  [5084] = 4822,
  [5085] = 4984,
  [5086] = 4888,
  [5087] = 4887,
  [5088] = 5088,
  [5089] = 4984,
  [5090] = 4843,
  [5091] = 5091,
  [5092] = 2473,
  [5093] = 4932,
  [5094] = 4866,
  [5095] = 2321,
  [5096] = 4822,
  [5097] = 4933,
  [5098] = 4986,
  [5099] = 4837,
  [5100] = 4836,
  [5101] = 4822,
  [5102] = 4804,
  [5103] = 4888,
  [5104] = 4804,
  [5105] = 4887,
  [5106] = 4822,
  [5107] = 4866,
  [5108] = 4837,
  [5109] = 4844,
  [5110] = 4798,
  [5111] = 4901,
  [5112] = 4836,
  [5113] = 4888,
  [5114] = 4817,
  [5115] = 4984,
  [5116] = 4887,
  [5117] = 4984,
  [5118] = 4831,
  [5119] = 4840,
  [5120] = 4844,
  [5121] = 4866,
  [5122] = 4837,
  [5123] = 4932,
  [5124] = 4843,
  [5125] = 4836,
  [5126] = 4831,
  [5127] = 4888,
  [5128] = 4901,
  [5129] = 4933,
  [5130] = 4798,
  [5131] = 4887,
  [5132] = 4866,
  [5133] = 4822,
  [5134] = 4840,
  [5135] = 4888,
  [5136] = 4840,
  [5137] = 4887,
  [5138] = 4866,
  [5139] = 4986,
  [5140] = 4804,
  [5141] = 4798,
  [5142] = 4901,
  [5143] = 4809,
  [5144] = 4888,
  [5145] = 4986,
  [5146] = 2474,
  [5147] = 4817,
  [5148] = 4887,
  [5149] = 2478,
  [5150] = 4984,
  [5151] = 4986,
  [5152] = 4933,
  [5153] = 4932,
  [5154] = 2486,
  [5155] = 4804,
  [5156] = 4828,
  [5157] = 4932,
  [5158] = 4866,
  [5159] = 4828,
  [5160] = 4933,
  [5161] = 4822,
  [5162] = 4887,
  [5163] = 4866,
  [5164] = 4799,
  [5165] = 4799,
  [5166] = 5166,
  [5167] = 4888,
  [5168] = 4828,
  [5169] = 4809,
  [5170] = 5170,
  [5171] = 4887,
  [5172] = 5172,
  [5173] = 4866,
  [5174] = 4888,
  [5175] = 4887,
  [5176] = 4798,
  [5177] = 4901,
  [5178] = 4866,
  [5179] = 4887,
  [5180] = 4844,
  [5181] = 4984,
  [5182] = 4986,
  [5183] = 4804,
  [5184] = 4887,
  [5185] = 4799,
  [5186] = 4828,
  [5187] = 4809,
  [5188] = 4813,
  [5189] = 4813,
  [5190] = 4804,
  [5191] = 4932,
  [5192] = 4804,
  [5193] = 4844,
  [5194] = 4799,
  [5195] = 4933,
  [5196] = 5196,
  [5197] = 4887,
  [5198] = 4831,
  [5199] = 3298,
  [5200] = 2476,
  [5201] = 5201,
  [5202] = 2477,
  [5203] = 4844,
  [5204] = 4803,
  [5205] = 2479,
  [5206] = 5206,
  [5207] = 4887,
  [5208] = 4798,
  [5209] = 4901,
  [5210] = 4831,
  [5211] = 4986,
  [5212] = 4798,
  [5213] = 4984,
  [5214] = 4798,
  [5215] = 4804,
  [5216] = 4817,
  [5217] = 4831,
  [5218] = 1215,
  [5219] = 5219,
  [5220] = 4843,
  [5221] = 4804,
  [5222] = 1211,
  [5223] = 1209,
  [5224] = 4809,
  [5225] = 4822,
  [5226] = 4828,
  [5227] = 4844,
  [5228] = 4984,
  [5229] = 4817,
  [5230] = 4809,
  [5231] = 4799,
  [5232] = 5232,
  [5233] = 4986,
  [5234] = 4844,
  [5235] = 4828,
  [5236] = 4828,
  [5237] = 4804,
  [5238] = 4932,
  [5239] = 4817,
  [5240] = 4817,
  [5241] = 4799,
  [5242] = 4933,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 4822,
  [5246] = 4941,
  [5247] = 4942,
  [5248] = 4984,
  [5249] = 5053,
  [5250] = 4831,
  [5251] = 4985,
  [5252] = 4809,
  [5253] = 4799,
  [5254] = 4798,
  [5255] = 4901,
  [5256] = 4817,
  [5257] = 4804,
  [5258] = 4984,
  [5259] = 4828,
  [5260] = 4809,
  [5261] = 4817,
  [5262] = 4831,
  [5263] = 4843,
  [5264] = 4840,
  [5265] = 4831,
  [5266] = 4817,
  [5267] = 4804,
  [5268] = 4828,
  [5269] = 4843,
  [5270] = 4844,
  [5271] = 4809,
  [5272] = 4799,
  [5273] = 4809,
  [5274] = 4844,
  [5275] = 4799,
  [5276] = 4799,
  [5277] = 4804,
  [5278] = 4809,
  [5279] = 4828,
  [5280] = 4844,
  [5281] = 4809,
  [5282] = 4828,
  [5283] = 4799,
  [5284] = 4844,
  [5285] = 4831,
  [5286] = 4932,
  [5287] = 4828,
  [5288] = 4799,
  [5289] = 1189,
  [5290] = 4804,
  [5291] = 4840,
  [5292] = 4933,
  [5293] = 4828,
  [5294] = 4804,
  [5295] = 4799,
  [5296] = 5296,
  [5297] = 4828,
  [5298] = 5298,
  [5299] = 4809,
  [5300] = 4844,
  [5301] = 4804,
  [5302] = 4799,
  [5303] = 4888,
  [5304] = 4809,
  [5305] = 4844,
  [5306] = 4843,
  [5307] = 4798,
  [5308] = 4901,
  [5309] = 4799,
  [5310] = 4804,
  [5311] = 4828,
  [5312] = 4828,
  [5313] = 4799,
  [5314] = 4809,
  [5315] = 4840,
  [5316] = 4831,
  [5317] = 4984,
  [5318] = 4844,
  [5319] = 4817,
  [5320] = 4831,
  [5321] = 4831,
  [5322] = 4817,
  [5323] = 4817,
  [5324] = 5232,
  [5325] = 4813,
  [5326] = 4844,
  [5327] = 4813,
  [5328] = 4817,
  [5329] = 4840,
  [5330] = 4831,
  [5331] = 4843,
  [5332] = 4831,
  [5333] = 4840,
  [5334] = 4822,
  [5335] = 4828,
  [5336] = 4799,
  [5337] = 4843,
  [5338] = 4844,
  [5339] = 4840,
  [5340] = 4804,
  [5341] = 4828,
  [5342] = 4813,
  [5343] = 5343,
  [5344] = 4843,
  [5345] = 4804,
  [5346] = 4602,
  [5347] = 4831,
  [5348] = 4817,
  [5349] = 4804,
  [5350] = 4828,
  [5351] = 4822,
  [5352] = 4809,
  [5353] = 4844,
  [5354] = 4813,
  [5355] = 4822,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5358,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 5360,
  [5362] = 5362,
  [5363] = 5360,
  [5364] = 5357,
  [5365] = 5357,
  [5366] = 5358,
  [5367] = 5362,
  [5368] = 5360,
  [5369] = 5358,
  [5370] = 5362,
  [5371] = 5359,
  [5372] = 5359,
  [5373] = 5362,
  [5374] = 5358,
  [5375] = 5357,
  [5376] = 5376,
  [5377] = 5359,
  [5378] = 5378,
  [5379] = 5357,
  [5380] = 5357,
  [5381] = 5362,
  [5382] = 5382,
  [5383] = 5358,
  [5384] = 5362,
  [5385] = 5357,
  [5386] = 5357,
  [5387] = 5360,
  [5388] = 5359,
  [5389] = 5389,
  [5390] = 5359,
  [5391] = 5357,
  [5392] = 5376,
  [5393] = 5393,
  [5394] = 5359,
  [5395] = 5359,
  [5396] = 5359,
  [5397] = 5359,
  [5398] = 5358,
  [5399] = 5359,
  [5400] = 5357,
  [5401] = 5357,
  [5402] = 5402,
  [5403] = 5362,
  [5404] = 5358,
  [5405] = 5362,
  [5406] = 5357,
  [5407] = 5360,
  [5408] = 5358,
  [5409] = 5360,
  [5410] = 5362,
  [5411] = 3298,
  [5412] = 5360,
  [5413] = 5413,
  [5414] = 5359,
  [5415] = 5362,
  [5416] = 5357,
  [5417] = 5358,
  [5418] = 5362,
  [5419] = 5362,
  [5420] = 5358,
  [5421] = 5382,
  [5422] = 5359,
  [5423] = 5360,
  [5424] = 5358,
  [5425] = 5382,
  [5426] = 5360,
  [5427] = 5360,
  [5428] = 5428,
  [5429] = 5429,
  [5430] = 5359,
  [5431] = 5359,
  [5432] = 5362,
  [5433] = 5360,
  [5434] = 5360,
  [5435] = 5359,
  [5436] = 5357,
  [5437] = 5382,
  [5438] = 5358,
  [5439] = 5359,
  [5440] = 5357,
  [5441] = 5358,
  [5442] = 5382,
  [5443] = 5360,
  [5444] = 5362,
  [5445] = 5445,
  [5446] = 5382,
  [5447] = 5358,
  [5448] = 5357,
  [5449] = 5358,
  [5450] = 5450,
  [5451] = 5360,
  [5452] = 5452,
  [5453] = 5362,
  [5454] = 5358,
  [5455] = 5362,
  [5456] = 5456,
  [5457] = 5382,
  [5458] = 5357,
  [5459] = 5359,
  [5460] = 5358,
  [5461] = 5357,
  [5462] = 5362,
  [5463] = 5360,
  [5464] = 5358,
  [5465] = 5357,
  [5466] = 5382,
  [5467] = 5362,
  [5468] = 5360,
  [5469] = 5358,
  [5470] = 5362,
  [5471] = 5358,
  [5472] = 5357,
  [5473] = 5359,
  [5474] = 5360,
  [5475] = 5376,
  [5476] = 5360,
  [5477] = 5382,
  [5478] = 5358,
  [5479] = 5360,
  [5480] = 5358,
  [5481] = 5362,
  [5482] = 5357,
  [5483] = 5359,
  [5484] = 5382,
  [5485] = 5359,
  [5486] = 5360,
  [5487] = 5358,
  [5488] = 5360,
  [5489] = 5362,
  [5490] = 5359,
  [5491] = 5360,
  [5492] = 5357,
  [5493] = 5359,
  [5494] = 5359,
  [5495] = 5357,
  [5496] = 5362,
  [5497] = 5360,
  [5498] = 5359,
  [5499] = 5358,
  [5500] = 5362,
  [5501] = 5357,
  [5502] = 5358,
  [5503] = 5359,
  [5504] = 5360,
  [5505] = 5358,
  [5506] = 5357,
  [5507] = 5360,
  [5508] = 5360,
  [5509] = 5362,
  [5510] = 5382,
  [5511] = 5358,
  [5512] = 5358,
  [5513] = 5360,
  [5514] = 5362,
  [5515] = 5357,
  [5516] = 5359,
  [5517] = 5357,
  [5518] = 5362,
  [5519] = 5358,
  [5520] = 5359,
  [5521] = 5382,
  [5522] = 5360,
  [5523] = 5360,
  [5524] = 5358,
  [5525] = 5362,
  [5526] = 5357,
  [5527] = 5359,
  [5528] = 5362,
  [5529] = 5357,
  [5530] = 5360,
  [5531] = 5358,
  [5532] = 5357,
  [5533] = 5362,
  [5534] = 5359,
  [5535] = 5357,
  [5536] = 5359,
  [5537] = 5357,
  [5538] = 5362,
  [5539] = 5362,
  [5540] = 5358,
  [5541] = 5360,
  [5542] = 5542,
  [5543] = 5543,
  [5544] = 5542,
  [5545] = 5545,
  [5546] = 5546,
  [5547] = 5545,
  [5548] = 5542,
  [5549] = 5549,
  [5550] = 5543,
  [5551] = 5542,
  [5552] = 1066,
  [5553] = 5542,
  [5554] = 5542,
  [5555] = 5545,
  [5556] = 4750,
  [5557] = 5543,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 5545,
  [5561] = 5545,
  [5562] = 5545,
  [5563] = 4640,
  [5564] = 1066,
  [5565] = 5545,
  [5566] = 5545,
  [5567] = 1066,
  [5568] = 5545,
  [5569] = 5542,
  [5570] = 1066,
  [5571] = 1066,
  [5572] = 5549,
  [5573] = 5542,
  [5574] = 1066,
  [5575] = 1066,
  [5576] = 5576,
  [5577] = 5543,
  [5578] = 5545,
  [5579] = 1066,
  [5580] = 1066,
  [5581] = 1066,
  [5582] = 5545,
  [5583] = 5543,
  [5584] = 1066,
  [5585] = 1066,
  [5586] = 5586,
  [5587] = 5545,
  [5588] = 1066,
  [5589] = 5545,
  [5590] = 5559,
  [5591] = 5545,
  [5592] = 5542,
  [5593] = 5546,
  [5594] = 5545,
  [5595] = 1066,
  [5596] = 5545,
  [5597] = 5542,
  [5598] = 5542,
  [5599] = 5599,
  [5600] = 1066,
  [5601] = 5542,
  [5602] = 5545,
  [5603] = 5543,
  [5604] = 1066,
  [5605] = 5605,
  [5606] = 5606,
  [5607] = 5607,
  [5608] = 5606,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5611,
  [5612] = 5607,
  [5613] = 5613,
  [5614] = 5614,
  [5615] = 5615,
  [5616] = 5611,
  [5617] = 5617,
  [5618] = 5613,
  [5619] = 5619,
  [5620] = 5614,
  [5621] = 5606,
  [5622] = 5607,
  [5623] = 5607,
  [5624] = 5611,
  [5625] = 5613,
  [5626] = 5613,
  [5627] = 5607,
  [5628] = 5609,
  [5629] = 5619,
  [5630] = 5613,
  [5631] = 5611,
  [5632] = 5619,
  [5633] = 5606,
  [5634] = 5609,
  [5635] = 5635,
  [5636] = 5619,
  [5637] = 5611,
  [5638] = 5638,
  [5639] = 5614,
  [5640] = 5611,
  [5641] = 5607,
  [5642] = 5606,
  [5643] = 5643,
  [5644] = 5619,
  [5645] = 5645,
  [5646] = 5609,
  [5647] = 5609,
  [5648] = 5648,
  [5649] = 5649,
  [5650] = 5611,
  [5651] = 5619,
  [5652] = 5619,
  [5653] = 4640,
  [5654] = 5613,
  [5655] = 5613,
  [5656] = 5611,
  [5657] = 5607,
  [5658] = 5619,
  [5659] = 4633,
  [5660] = 5611,
  [5661] = 5609,
  [5662] = 5611,
  [5663] = 5609,
  [5664] = 5664,
  [5665] = 832,
  [5666] = 3298,
  [5667] = 5619,
  [5668] = 5607,
  [5669] = 4620,
  [5670] = 4609,
  [5671] = 5614,
  [5672] = 5609,
  [5673] = 5606,
  [5674] = 5614,
  [5675] = 5614,
  [5676] = 5676,
  [5677] = 5607,
  [5678] = 5678,
  [5679] = 5611,
  [5680] = 5609,
  [5681] = 5613,
  [5682] = 4613,
  [5683] = 4771,
  [5684] = 5619,
  [5685] = 5606,
  [5686] = 5609,
  [5687] = 5687,
  [5688] = 5606,
  [5689] = 5609,
  [5690] = 4611,
  [5691] = 5606,
  [5692] = 5607,
  [5693] = 5611,
  [5694] = 5607,
  [5695] = 5609,
  [5696] = 5614,
  [5697] = 5606,
  [5698] = 5614,
  [5699] = 4750,
  [5700] = 4747,
  [5701] = 5606,
  [5702] = 5614,
  [5703] = 5613,
  [5704] = 5614,
  [5705] = 5614,
  [5706] = 5613,
  [5707] = 4654,
  [5708] = 5609,
  [5709] = 4608,
  [5710] = 5710,
  [5711] = 5613,
  [5712] = 5619,
  [5713] = 5611,
  [5714] = 5611,
  [5715] = 5609,
  [5716] = 5716,
  [5717] = 5614,
  [5718] = 5609,
  [5719] = 5606,
  [5720] = 5613,
  [5721] = 5619,
  [5722] = 5611,
  [5723] = 5607,
  [5724] = 5724,
  [5725] = 882,
  [5726] = 882,
  [5727] = 5727,
  [5728] = 5728,
  [5729] = 1244,
  [5730] = 882,
  [5731] = 5731,
  [5732] = 5732,
  [5733] = 5733,
  [5734] = 5734,
  [5735] = 882,
  [5736] = 5736,
  [5737] = 5737,
  [5738] = 5738,
  [5739] = 5739,
  [5740] = 5740,
  [5741] = 5741,
  [5742] = 5731,
  [5743] = 5731,
  [5744] = 5744,
  [5745] = 5731,
  [5746] = 882,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 882,
  [5750] = 5731,
  [5751] = 5751,
  [5752] = 5731,
  [5753] = 5731,
  [5754] = 4695,
  [5755] = 5731,
  [5756] = 5756,
  [5757] = 5731,
  [5758] = 882,
  [5759] = 882,
  [5760] = 5760,
  [5761] = 5731,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 5731,
  [5765] = 5765,
  [5766] = 882,
  [5767] = 882,
  [5768] = 882,
  [5769] = 5769,
  [5770] = 882,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 5731,
  [5775] = 882,
  [5776] = 5731,
  [5777] = 882,
  [5778] = 5731,
  [5779] = 5731,
  [5780] = 5739,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5785,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5792,
  [5793] = 5787,
  [5794] = 5784,
  [5795] = 5782,
  [5796] = 5796,
  [5797] = 5786,
  [5798] = 5791,
  [5799] = 5783,
  [5800] = 5785,
  [5801] = 5789,
  [5802] = 5781,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5805,
  [5807] = 5805,
  [5808] = 5805,
  [5809] = 5796,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5805,
  [5813] = 5813,
  [5814] = 5810,
  [5815] = 5813,
  [5816] = 5790,
  [5817] = 5792,
  [5818] = 5796,
  [5819] = 5819,
  [5820] = 5782,
  [5821] = 5782,
  [5822] = 5813,
  [5823] = 5783,
  [5824] = 5789,
  [5825] = 5790,
  [5826] = 5826,
  [5827] = 5792,
  [5828] = 5826,
  [5829] = 5813,
  [5830] = 5786,
  [5831] = 5796,
  [5832] = 5796,
  [5833] = 5804,
  [5834] = 5803,
  [5835] = 5787,
  [5836] = 5784,
  [5837] = 5781,
  [5838] = 5785,
  [5839] = 5813,
  [5840] = 5784,
  [5841] = 5792,
  [5842] = 5782,
  [5843] = 5790,
  [5844] = 5786,
  [5845] = 5826,
  [5846] = 5811,
  [5847] = 5791,
  [5848] = 5782,
  [5849] = 5791,
  [5850] = 5789,
  [5851] = 5783,
  [5852] = 5796,
  [5853] = 5813,
  [5854] = 5783,
  [5855] = 5781,
  [5856] = 5781,
  [5857] = 5813,
  [5858] = 5810,
  [5859] = 5811,
  [5860] = 5860,
  [5861] = 5811,
  [5862] = 5813,
  [5863] = 5781,
  [5864] = 5791,
  [5865] = 5782,
  [5866] = 5826,
  [5867] = 5789,
  [5868] = 5786,
  [5869] = 5813,
  [5870] = 5784,
  [5871] = 5785,
  [5872] = 5787,
  [5873] = 5803,
  [5874] = 5826,
  [5875] = 5826,
  [5876] = 5876,
  [5877] = 5789,
  [5878] = 5783,
  [5879] = 5804,
  [5880] = 5790,
  [5881] = 5791,
  [5882] = 5826,
  [5883] = 5876,
  [5884] = 5792,
  [5885] = 5796,
  [5886] = 5803,
  [5887] = 5813,
  [5888] = 5810,
  [5889] = 5792,
  [5890] = 5792,
  [5891] = 5787,
  [5892] = 5785,
  [5893] = 5826,
  [5894] = 5783,
  [5895] = 5783,
  [5896] = 5782,
  [5897] = 5786,
  [5898] = 5789,
  [5899] = 5782,
  [5900] = 5789,
  [5901] = 5790,
  [5902] = 5790,
  [5903] = 5786,
  [5904] = 5904,
  [5905] = 5904,
  [5906] = 5784,
  [5907] = 5792,
  [5908] = 5781,
  [5909] = 5796,
  [5910] = 5910,
  [5911] = 5781,
  [5912] = 5782,
  [5913] = 5784,
  [5914] = 5781,
  [5915] = 5904,
  [5916] = 5783,
  [5917] = 5789,
  [5918] = 5789,
  [5919] = 5796,
  [5920] = 5811,
  [5921] = 5813,
  [5922] = 5810,
  [5923] = 5785,
  [5924] = 5787,
  [5925] = 5790,
  [5926] = 5796,
  [5927] = 5791,
  [5928] = 5790,
  [5929] = 5904,
  [5930] = 5786,
  [5931] = 5804,
  [5932] = 5786,
  [5933] = 5786,
  [5934] = 5803,
  [5935] = 5904,
  [5936] = 5804,
  [5937] = 5792,
  [5938] = 5826,
  [5939] = 5781,
  [5940] = 5784,
  [5941] = 5786,
  [5942] = 5826,
  [5943] = 5787,
  [5944] = 5785,
  [5945] = 5792,
  [5946] = 5904,
  [5947] = 5782,
  [5948] = 5948,
  [5949] = 5803,
  [5950] = 5804,
  [5951] = 5813,
  [5952] = 5791,
  [5953] = 5796,
  [5954] = 5781,
  [5955] = 5787,
  [5956] = 5796,
  [5957] = 5811,
  [5958] = 5904,
  [5959] = 5791,
  [5960] = 5948,
  [5961] = 5783,
  [5962] = 5791,
  [5963] = 5783,
  [5964] = 5782,
  [5965] = 5789,
  [5966] = 5784,
  [5967] = 5786,
  [5968] = 5804,
  [5969] = 5904,
  [5970] = 5786,
  [5971] = 5948,
  [5972] = 5803,
  [5973] = 5786,
  [5974] = 5786,
  [5975] = 5904,
  [5976] = 5876,
  [5977] = 5786,
  [5978] = 5978,
  [5979] = 5784,
  [5980] = 5948,
  [5981] = 5948,
  [5982] = 5904,
  [5983] = 5786,
  [5984] = 5784,
  [5985] = 5781,
  [5986] = 5790,
  [5987] = 5791,
  [5988] = 5786,
  [5989] = 5803,
  [5990] = 5796,
  [5991] = 5811,
  [5992] = 5789,
  [5993] = 5792,
  [5994] = 5826,
  [5995] = 5796,
  [5996] = 5811,
  [5997] = 5786,
  [5998] = 5796,
  [5999] = 5789,
  [6000] = 5781,
  [6001] = 5782,
  [6002] = 5796,
  [6003] = 5810,
  [6004] = 5785,
  [6005] = 5782,
  [6006] = 5790,
  [6007] = 5810,
  [6008] = 5791,
  [6009] = 5796,
  [6010] = 5785,
  [6011] = 6011,
  [6012] = 5813,
  [6013] = 5787,
  [6014] = 5782,
  [6015] = 5804,
  [6016] = 5826,
  [6017] = 5810,
  [6018] = 5787,
  [6019] = 5826,
  [6020] = 5781,
  [6021] = 5789,
  [6022] = 5790,
  [6023] = 5826,
  [6024] = 5796,
  [6025] = 5786,
  [6026] = 5796,
  [6027] = 5826,
  [6028] = 5811,
  [6029] = 5790,
  [6030] = 5796,
  [6031] = 5791,
  [6032] = 5784,
  [6033] = 5810,
  [6034] = 5810,
  [6035] = 5796,
  [6036] = 5787,
  [6037] = 5785,
  [6038] = 5796,
  [6039] = 5826,
  [6040] = 5782,
  [6041] = 5826,
  [6042] = 5781,
  [6043] = 5786,
  [6044] = 5782,
  [6045] = 5791,
  [6046] = 5791,
  [6047] = 5796,
  [6048] = 5787,
  [6049] = 5784,
  [6050] = 5782,
  [6051] = 5786,
  [6052] = 5813,
  [6053] = 5826,
  [6054] = 5785,
  [6055] = 5784,
  [6056] = 5781,
  [6057] = 5796,
  [6058] = 5791,
  [6059] = 5782,
  [6060] = 5787,
  [6061] = 5781,
  [6062] = 5796,
  [6063] = 5796,
  [6064] = 5787,
  [6065] = 5811,
  [6066] = 5785,
  [6067] = 5791,
  [6068] = 5796,
  [6069] = 5784,
  [6070] = 5904,
  [6071] = 5782,
  [6072] = 5791,
  [6073] = 5826,
  [6074] = 5787,
  [6075] = 5781,
  [6076] = 5810,
  [6077] = 5786,
  [6078] = 5826,
  [6079] = 5785,
  [6080] = 5786,
  [6081] = 5785,
  [6082] = 5787,
  [6083] = 5784,
  [6084] = 5796,
  [6085] = 5784,
  [6086] = 5781,
  [6087] = 5791,
  [6088] = 5782,
  [6089] = 5782,
  [6090] = 5787,
  [6091] = 5785,
  [6092] = 5785,
  [6093] = 5784,
  [6094] = 5803,
  [6095] = 5804,
  [6096] = 5791,
  [6097] = 5781,
  [6098] = 5782,
  [6099] = 5811,
  [6100] = 5826,
  [6101] = 5810,
  [6102] = 6102,
  [6103] = 5784,
  [6104] = 5791,
  [6105] = 5791,
  [6106] = 5826,
  [6107] = 5781,
  [6108] = 5791,
  [6109] = 5781,
  [6110] = 5784,
  [6111] = 5782,
  [6112] = 5781,
  [6113] = 5787,
  [6114] = 5785,
  [6115] = 5826,
  [6116] = 5786,
  [6117] = 5784,
  [6118] = 5786,
  [6119] = 5826,
  [6120] = 5784,
  [6121] = 5781,
  [6122] = 5791,
  [6123] = 5782,
  [6124] = 5782,
  [6125] = 5781,
  [6126] = 5784,
  [6127] = 5904,
  [6128] = 5782,
  [6129] = 5791,
  [6130] = 5784,
  [6131] = 5826,
  [6132] = 5782,
  [6133] = 5784,
  [6134] = 5791,
  [6135] = 5786,
  [6136] = 5781,
  [6137] = 5784,
  [6138] = 5782,
  [6139] = 5784,
  [6140] = 5796,
  [6141] = 5803,
  [6142] = 5804,
  [6143] = 5781,
  [6144] = 5826,
  [6145] = 5787,
  [6146] = 5785,
  [6147] = 5804,
  [6148] = 5784,
  [6149] = 5803,
  [6150] = 5791,
  [6151] = 5786,
  [6152] = 5781,
  [6153] = 5791,
  [6154] = 5782,
  [6155] = 5783,
  [6156] = 5789,
  [6157] = 5826,
  [6158] = 5826,
  [6159] = 5790,
  [6160] = 5784,
  [6161] = 5784,
  [6162] = 5791,
  [6163] = 5791,
  [6164] = 5826,
  [6165] = 5786,
  [6166] = 5781,
  [6167] = 5782,
  [6168] = 5782,
  [6169] = 5790,
  [6170] = 5826,
  [6171] = 5792,
  [6172] = 5784,
  [6173] = 5813,
  [6174] = 5948,
  [6175] = 5826,
  [6176] = 5796,
  [6177] = 5804,
  [6178] = 5784,
  [6179] = 5781,
  [6180] = 5791,
  [6181] = 5786,
  [6182] = 5781,
  [6183] = 5803,
  [6184] = 5811,
  [6185] = 5805,
  [6186] = 5791,
  [6187] = 6187,
  [6188] = 6188,
  [6189] = 6189,
  [6190] = 6190,
  [6191] = 6191,
  [6192] = 6192,
  [6193] = 6193,
  [6194] = 6193,
  [6195] = 6193,
  [6196] = 6196,
  [6197] = 6196,
  [6198] = 6196,
  [6199] = 6196,
  [6200] = 6196,
  [6201] = 6196,
  [6202] = 6193,
  [6203] = 6196,
  [6204] = 6196,
  [6205] = 6193,
  [6206] = 6206,
  [6207] = 6196,
  [6208] = 6208,
  [6209] = 6209,
  [6210] = 6196,
  [6211] = 6193,
  [6212] = 6196,
  [6213] = 6196,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 6216,
  [6217] = 6215,
  [6218] = 630,
  [6219] = 602,
  [6220] = 630,
  [6221] = 602,
  [6222] = 6222,
  [6223] = 6223,
  [6224] = 602,
  [6225] = 612,
  [6226] = 6226,
  [6227] = 605,
  [6228] = 606,
  [6229] = 610,
  [6230] = 610,
  [6231] = 614,
  [6232] = 604,
  [6233] = 608,
  [6234] = 614,
  [6235] = 603,
  [6236] = 6226,
  [6237] = 602,
  [6238] = 604,
  [6239] = 608,
  [6240] = 606,
  [6241] = 603,
  [6242] = 605,
  [6243] = 612,
  [6244] = 630,
  [6245] = 6245,
  [6246] = 630,
  [6247] = 620,
  [6248] = 602,
  [6249] = 6223,
  [6250] = 6245,
  [6251] = 646,
  [6252] = 6223,
  [6253] = 6253,
  [6254] = 6245,
  [6255] = 6245,
  [6256] = 620,
  [6257] = 6245,
  [6258] = 630,
  [6259] = 6226,
  [6260] = 6223,
  [6261] = 6223,
  [6262] = 6226,
  [6263] = 6226,
  [6264] = 646,
  [6265] = 606,
  [6266] = 603,
  [6267] = 604,
  [6268] = 630,
  [6269] = 773,
  [6270] = 610,
  [6271] = 606,
  [6272] = 608,
  [6273] = 605,
  [6274] = 612,
  [6275] = 760,
  [6276] = 614,
  [6277] = 6277,
  [6278] = 602,
  [6279] = 603,
  [6280] = 608,
  [6281] = 604,
  [6282] = 620,
  [6283] = 614,
  [6284] = 608,
  [6285] = 620,
  [6286] = 603,
  [6287] = 604,
  [6288] = 620,
  [6289] = 614,
  [6290] = 612,
  [6291] = 612,
  [6292] = 605,
  [6293] = 606,
  [6294] = 646,
  [6295] = 605,
  [6296] = 610,
  [6297] = 610,
  [6298] = 773,
  [6299] = 606,
  [6300] = 760,
  [6301] = 605,
  [6302] = 620,
  [6303] = 603,
  [6304] = 608,
  [6305] = 604,
  [6306] = 614,
  [6307] = 1259,
  [6308] = 1087,
  [6309] = 614,
  [6310] = 610,
  [6311] = 605,
  [6312] = 612,
  [6313] = 1085,
  [6314] = 1091,
  [6315] = 1060,
  [6316] = 1077,
  [6317] = 620,
  [6318] = 760,
  [6319] = 773,
  [6320] = 1259,
  [6321] = 630,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 602,
  [6325] = 1091,
  [6326] = 646,
  [6327] = 1087,
  [6328] = 1091,
  [6329] = 1259,
  [6330] = 602,
  [6331] = 1085,
  [6332] = 630,
  [6333] = 1077,
  [6334] = 1060,
  [6335] = 1085,
  [6336] = 1077,
  [6337] = 1060,
  [6338] = 6338,
  [6339] = 1087,
  [6340] = 6340,
  [6341] = 6340,
  [6342] = 6340,
  [6343] = 602,
  [6344] = 602,
  [6345] = 6340,
  [6346] = 6346,
  [6347] = 646,
  [6348] = 6340,
  [6349] = 6340,
  [6350] = 6340,
  [6351] = 603,
  [6352] = 6340,
  [6353] = 602,
  [6354] = 610,
  [6355] = 612,
  [6356] = 606,
  [6357] = 6340,
  [6358] = 6340,
  [6359] = 6340,
  [6360] = 6340,
  [6361] = 614,
  [6362] = 6362,
  [6363] = 646,
  [6364] = 630,
  [6365] = 6340,
  [6366] = 6340,
  [6367] = 630,
  [6368] = 6340,
  [6369] = 6340,
  [6370] = 605,
  [6371] = 6340,
  [6372] = 630,
  [6373] = 6340,
  [6374] = 6340,
  [6375] = 6340,
  [6376] = 602,
  [6377] = 630,
  [6378] = 6340,
  [6379] = 610,
  [6380] = 6380,
  [6381] = 6340,
  [6382] = 608,
  [6383] = 6340,
  [6384] = 602,
  [6385] = 6340,
  [6386] = 604,
  [6387] = 6340,
  [6388] = 606,
  [6389] = 6340,
  [6390] = 630,
  [6391] = 6340,
  [6392] = 612,
  [6393] = 6340,
  [6394] = 6340,
  [6395] = 620,
  [6396] = 603,
  [6397] = 6340,
  [6398] = 608,
  [6399] = 604,
  [6400] = 6340,
  [6401] = 612,
  [6402] = 604,
  [6403] = 603,
  [6404] = 610,
  [6405] = 6405,
  [6406] = 608,
  [6407] = 614,
  [6408] = 614,
  [6409] = 606,
  [6410] = 605,
  [6411] = 605,
  [6412] = 620,
  [6413] = 6413,
  [6414] = 612,
  [6415] = 620,
  [6416] = 604,
  [6417] = 614,
  [6418] = 603,
  [6419] = 6419,
  [6420] = 630,
  [6421] = 6421,
  [6422] = 612,
  [6423] = 620,
  [6424] = 612,
  [6425] = 605,
  [6426] = 602,
  [6427] = 606,
  [6428] = 610,
  [6429] = 610,
  [6430] = 620,
  [6431] = 606,
  [6432] = 608,
  [6433] = 604,
  [6434] = 605,
  [6435] = 608,
  [6436] = 620,
  [6437] = 612,
  [6438] = 604,
  [6439] = 605,
  [6440] = 606,
  [6441] = 610,
  [6442] = 760,
  [6443] = 603,
  [6444] = 604,
  [6445] = 606,
  [6446] = 603,
  [6447] = 603,
  [6448] = 608,
  [6449] = 614,
  [6450] = 608,
  [6451] = 610,
  [6452] = 773,
  [6453] = 614,
  [6454] = 610,
  [6455] = 606,
  [6456] = 604,
  [6457] = 1259,
  [6458] = 1077,
  [6459] = 1060,
  [6460] = 608,
  [6461] = 1060,
  [6462] = 603,
  [6463] = 1091,
  [6464] = 1085,
  [6465] = 620,
  [6466] = 1085,
  [6467] = 605,
  [6468] = 614,
  [6469] = 1077,
  [6470] = 1087,
  [6471] = 773,
  [6472] = 612,
  [6473] = 1087,
  [6474] = 760,
  [6475] = 1091,
  [6476] = 773,
  [6477] = 760,
  [6478] = 1077,
  [6479] = 1259,
  [6480] = 1091,
  [6481] = 1087,
  [6482] = 1087,
  [6483] = 1060,
  [6484] = 6484,
  [6485] = 6485,
  [6486] = 1077,
  [6487] = 1085,
  [6488] = 6488,
  [6489] = 6489,
  [6490] = 6490,
  [6491] = 6491,
  [6492] = 1060,
  [6493] = 6493,
  [6494] = 1085,
  [6495] = 1060,
  [6496] = 1091,
  [6497] = 6497,
  [6498] = 1085,
  [6499] = 6499,
  [6500] = 6500,
  [6501] = 1087,
  [6502] = 1077,
  [6503] = 1060,
  [6504] = 1091,
  [6505] = 1077,
  [6506] = 6506,
  [6507] = 1091,
  [6508] = 1085,
  [6509] = 1259,
  [6510] = 1087,
  [6511] = 6511,
  [6512] = 1061,
  [6513] = 6513,
  [6514] = 6514,
  [6515] = 6515,
  [6516] = 6516,
  [6517] = 6517,
  [6518] = 6518,
  [6519] = 6519,
  [6520] = 1059,
  [6521] = 6521,
  [6522] = 6522,
  [6523] = 6523,
  [6524] = 6524,
  [6525] = 6525,
  [6526] = 1063,
  [6527] = 1045,
  [6528] = 6528,
  [6529] = 1056,
  [6530] = 6530,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6533,
  [6534] = 6534,
  [6535] = 6535,
  [6536] = 6536,
  [6537] = 6537,
  [6538] = 6538,
  [6539] = 6539,
  [6540] = 6215,
  [6541] = 6541,
  [6542] = 6542,
  [6543] = 6543,
  [6544] = 6544,
  [6545] = 6545,
  [6546] = 6546,
  [6547] = 6547,
  [6548] = 6548,
  [6549] = 6549,
  [6550] = 6550,
  [6551] = 6551,
  [6552] = 6552,
  [6553] = 6553,
  [6554] = 6554,
  [6555] = 6555,
  [6556] = 6556,
  [6557] = 6557,
  [6558] = 6558,
  [6559] = 6559,
  [6560] = 6560,
  [6561] = 6561,
  [6562] = 6562,
  [6563] = 6563,
  [6564] = 6564,
  [6565] = 6565,
  [6566] = 6566,
  [6567] = 6567,
  [6568] = 6568,
  [6569] = 6569,
  [6570] = 6570,
  [6571] = 6571,
  [6572] = 6572,
  [6573] = 6573,
  [6574] = 6574,
  [6575] = 6575,
  [6576] = 6576,
  [6577] = 6577,
  [6578] = 6578,
  [6579] = 6579,
  [6580] = 6580,
  [6581] = 6581,
  [6582] = 6582,
  [6583] = 1087,
  [6584] = 6584,
  [6585] = 6585,
  [6586] = 6586,
  [6587] = 1091,
  [6588] = 1060,
  [6589] = 6589,
  [6590] = 6489,
  [6591] = 6591,
  [6592] = 6592,
  [6593] = 6593,
  [6594] = 1077,
  [6595] = 6595,
  [6596] = 6596,
  [6597] = 6597,
  [6598] = 6598,
  [6599] = 6599,
  [6600] = 6600,
  [6601] = 6601,
  [6602] = 6506,
  [6603] = 6215,
  [6604] = 6604,
  [6605] = 1085,
  [6606] = 6606,
  [6607] = 6607,
  [6608] = 6608,
  [6609] = 6609,
  [6610] = 6610,
  [6611] = 6611,
  [6612] = 6612,
  [6613] = 6613,
  [6614] = 6614,
  [6615] = 6615,
  [6616] = 6616,
  [6617] = 6617,
  [6618] = 6618,
  [6619] = 6619,
  [6620] = 6620,
  [6621] = 6621,
  [6622] = 6622,
  [6623] = 6623,
  [6624] = 6624,
  [6625] = 6625,
  [6626] = 1060,
  [6627] = 6627,
  [6628] = 6628,
  [6629] = 6629,
  [6630] = 1077,
  [6631] = 6631,
  [6632] = 6632,
  [6633] = 6633,
  [6634] = 6634,
  [6635] = 6635,
  [6636] = 6636,
  [6637] = 6637,
  [6638] = 6638,
  [6639] = 6639,
  [6640] = 6622,
  [6641] = 6641,
  [6642] = 6642,
  [6643] = 6643,
  [6644] = 6644,
  [6645] = 6645,
  [6646] = 6634,
  [6647] = 6647,
  [6648] = 6648,
  [6649] = 6649,
  [6650] = 6650,
  [6651] = 1061,
  [6652] = 6652,
  [6653] = 6653,
  [6654] = 6654,
  [6655] = 6622,
  [6656] = 6656,
  [6657] = 6657,
  [6658] = 6658,
  [6659] = 6659,
  [6660] = 6660,
  [6661] = 6661,
  [6662] = 6662,
  [6663] = 6663,
  [6664] = 6664,
  [6665] = 6622,
  [6666] = 6634,
  [6667] = 6667,
  [6668] = 6668,
  [6669] = 6622,
  [6670] = 6670,
  [6671] = 6671,
  [6672] = 6634,
  [6673] = 6673,
  [6674] = 6674,
  [6675] = 6675,
  [6676] = 6676,
  [6677] = 6677,
  [6678] = 6634,
  [6679] = 6679,
  [6680] = 6680,
  [6681] = 6681,
  [6682] = 6682,
  [6683] = 1063,
  [6684] = 6634,
  [6685] = 6685,
  [6686] = 6215,
  [6687] = 6622,
  [6688] = 6688,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6634,
  [6692] = 1059,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6622,
  [6700] = 6700,
  [6701] = 6701,
  [6702] = 6702,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6705,
  [6706] = 6622,
  [6707] = 6622,
  [6708] = 6708,
  [6709] = 6709,
  [6710] = 6710,
  [6711] = 6711,
  [6712] = 6634,
  [6713] = 6634,
  [6714] = 6634,
  [6715] = 6715,
  [6716] = 6716,
  [6717] = 6717,
  [6718] = 6718,
  [6719] = 6719,
  [6720] = 6622,
  [6721] = 6634,
  [6722] = 6622,
  [6723] = 6634,
  [6724] = 6724,
  [6725] = 6622,
  [6726] = 6726,
  [6727] = 6727,
  [6728] = 6728,
  [6729] = 6729,
  [6730] = 6730,
  [6731] = 1056,
  [6732] = 1077,
  [6733] = 6622,
  [6734] = 1060,
  [6735] = 6735,
  [6736] = 6736,
  [6737] = 6634,
  [6738] = 1091,
  [6739] = 6739,
  [6740] = 1087,
  [6741] = 1085,
  [6742] = 6742,
  [6743] = 6622,
  [6744] = 1091,
  [6745] = 1087,
  [6746] = 1085,
  [6747] = 6747,
  [6748] = 6748,
  [6749] = 6622,
  [6750] = 6750,
  [6751] = 6751,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 6634,
  [6756] = 6634,
  [6757] = 6757,
  [6758] = 6758,
  [6759] = 6759,
  [6760] = 1058,
  [6761] = 6761,
  [6762] = 6762,
  [6763] = 6763,
  [6764] = 6764,
  [6765] = 6765,
  [6766] = 6766,
  [6767] = 6761,
  [6768] = 6768,
  [6769] = 6769,
  [6770] = 6770,
  [6771] = 6771,
  [6772] = 6762,
  [6773] = 6773,
  [6774] = 6765,
  [6775] = 6775,
  [6776] = 6776,
  [6777] = 6766,
  [6778] = 6778,
  [6779] = 6779,
  [6780] = 6780,
  [6781] = 6781,
  [6782] = 6762,
  [6783] = 6783,
  [6784] = 6784,
  [6785] = 6764,
  [6786] = 6786,
  [6787] = 6787,
  [6788] = 6762,
  [6789] = 6789,
  [6790] = 6790,
  [6791] = 6791,
  [6792] = 6792,
  [6793] = 6793,
  [6794] = 6794,
  [6795] = 6795,
  [6796] = 6796,
  [6797] = 6794,
  [6798] = 6798,
  [6799] = 6765,
  [6800] = 6800,
  [6801] = 6801,
  [6802] = 6802,
  [6803] = 1233,
  [6804] = 6765,
  [6805] = 6805,
  [6806] = 6806,
  [6807] = 6807,
  [6808] = 6802,
  [6809] = 6764,
  [6810] = 6810,
  [6811] = 6811,
  [6812] = 6794,
  [6813] = 6813,
  [6814] = 6794,
  [6815] = 6794,
  [6816] = 6816,
  [6817] = 6766,
  [6818] = 6818,
  [6819] = 6802,
  [6820] = 6820,
  [6821] = 6802,
  [6822] = 6822,
  [6823] = 6802,
  [6824] = 6824,
  [6825] = 6794,
  [6826] = 6794,
  [6827] = 6764,
  [6828] = 6828,
  [6829] = 6829,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6832,
  [6833] = 6761,
  [6834] = 6834,
  [6835] = 6835,
  [6836] = 6761,
  [6837] = 6765,
  [6838] = 6493,
  [6839] = 6839,
  [6840] = 6840,
  [6841] = 6761,
  [6842] = 6842,
  [6843] = 6802,
  [6844] = 6764,
  [6845] = 6845,
  [6846] = 6762,
  [6847] = 6847,
  [6848] = 6848,
  [6849] = 6765,
  [6850] = 6802,
  [6851] = 1258,
  [6852] = 6766,
  [6853] = 6794,
  [6854] = 6854,
  [6855] = 6567,
  [6856] = 6856,
  [6857] = 6765,
  [6858] = 6762,
  [6859] = 6764,
  [6860] = 6860,
  [6861] = 6794,
  [6862] = 6761,
  [6863] = 6761,
  [6864] = 6762,
  [6865] = 1184,
  [6866] = 6866,
  [6867] = 6867,
  [6868] = 6765,
  [6869] = 6869,
  [6870] = 6870,
  [6871] = 6871,
  [6872] = 6872,
  [6873] = 6873,
  [6874] = 6874,
  [6875] = 6875,
  [6876] = 6766,
  [6877] = 6794,
  [6878] = 6764,
  [6879] = 6879,
  [6880] = 6802,
  [6881] = 6766,
  [6882] = 6882,
  [6883] = 6883,
  [6884] = 6884,
  [6885] = 6885,
  [6886] = 6794,
  [6887] = 6887,
  [6888] = 6764,
  [6889] = 6766,
  [6890] = 6761,
  [6891] = 6891,
  [6892] = 6892,
  [6893] = 6764,
  [6894] = 6894,
  [6895] = 6794,
  [6896] = 6896,
  [6897] = 6761,
  [6898] = 6489,
  [6899] = 6899,
  [6900] = 6900,
  [6901] = 6901,
  [6902] = 6766,
  [6903] = 6765,
  [6904] = 6762,
  [6905] = 6905,
  [6906] = 6906,
  [6907] = 6907,
  [6908] = 6908,
  [6909] = 6909,
  [6910] = 6762,
  [6911] = 6911,
  [6912] = 6912,
  [6913] = 6913,
  [6914] = 6914,
  [6915] = 6766,
  [6916] = 6916,
  [6917] = 6761,
  [6918] = 6918,
  [6919] = 6919,
  [6920] = 6766,
  [6921] = 6921,
  [6922] = 6922,
  [6923] = 6923,
  [6924] = 6924,
  [6925] = 6925,
  [6926] = 6766,
  [6927] = 6766,
  [6928] = 6928,
  [6929] = 6929,
  [6930] = 1068,
  [6931] = 6764,
  [6932] = 6506,
  [6933] = 6764,
  [6934] = 6934,
  [6935] = 6761,
  [6936] = 6936,
  [6937] = 6766,
  [6938] = 6761,
  [6939] = 6939,
  [6940] = 6940,
  [6941] = 6491,
  [6942] = 6794,
  [6943] = 1077,
  [6944] = 1060,
  [6945] = 6945,
  [6946] = 6765,
  [6947] = 6947,
  [6948] = 6762,
  [6949] = 6949,
  [6950] = 6950,
  [6951] = 6951,
  [6952] = 6762,
  [6953] = 6953,
  [6954] = 6794,
  [6955] = 6765,
  [6956] = 6764,
  [6957] = 6762,
  [6958] = 6958,
  [6959] = 6762,
  [6960] = 6765,
  [6961] = 6765,
  [6962] = 6523,
  [6963] = 6765,
  [6964] = 6762,
  [6965] = 6794,
  [6966] = 6966,
  [6967] = 6802,
  [6968] = 6968,
  [6969] = 6761,
  [6970] = 6970,
  [6971] = 6499,
  [6972] = 6761,
  [6973] = 6973,
  [6974] = 6764,
  [6975] = 6975,
  [6976] = 6976,
  [6977] = 6762,
  [6978] = 6978,
  [6979] = 6979,
  [6980] = 6765,
  [6981] = 6981,
  [6982] = 6766,
  [6983] = 6764,
  [6984] = 6764,
  [6985] = 6985,
  [6986] = 6986,
  [6987] = 6766,
  [6988] = 1091,
  [6989] = 6761,
  [6990] = 1087,
  [6991] = 1045,
  [6992] = 1259,
  [6993] = 6802,
  [6994] = 6994,
  [6995] = 1085,
  [6996] = 6996,
  [6997] = 6997,
  [6998] = 6998,
  [6999] = 6996,
  [7000] = 7000,
  [7001] = 7001,
  [7002] = 7002,
  [7003] = 7003,
  [7004] = 7004,
  [7005] = 7005,
  [7006] = 7001,
  [7007] = 7002,
  [7008] = 7003,
  [7009] = 7009,
  [7010] = 6996,
  [7011] = 7011,
  [7012] = 7012,
  [7013] = 7013,
  [7014] = 7003,
  [7015] = 7015,
  [7016] = 6997,
  [7017] = 6997,
  [7018] = 7018,
  [7019] = 7015,
  [7020] = 6997,
  [7021] = 7001,
  [7022] = 7015,
  [7023] = 7000,
  [7024] = 7015,
  [7025] = 7025,
  [7026] = 7000,
  [7027] = 7027,
  [7028] = 6998,
  [7029] = 7011,
  [7030] = 6996,
  [7031] = 7002,
  [7032] = 6996,
  [7033] = 7001,
  [7034] = 7034,
  [7035] = 7003,
  [7036] = 6998,
  [7037] = 7037,
  [7038] = 7038,
  [7039] = 7039,
  [7040] = 7040,
  [7041] = 7041,
  [7042] = 7002,
  [7043] = 7011,
  [7044] = 7044,
  [7045] = 6996,
  [7046] = 7015,
  [7047] = 7009,
  [7048] = 7048,
  [7049] = 7049,
  [7050] = 6997,
  [7051] = 7051,
  [7052] = 6996,
  [7053] = 7001,
  [7054] = 7003,
  [7055] = 7013,
  [7056] = 7009,
  [7057] = 6998,
  [7058] = 7058,
  [7059] = 6996,
  [7060] = 7060,
  [7061] = 6996,
  [7062] = 7062,
  [7063] = 7063,
  [7064] = 6996,
  [7065] = 7003,
  [7066] = 7066,
  [7067] = 7002,
  [7068] = 7068,
  [7069] = 7069,
  [7070] = 7070,
  [7071] = 6998,
  [7072] = 7072,
  [7073] = 7073,
  [7074] = 7009,
  [7075] = 7001,
  [7076] = 7013,
  [7077] = 7001,
  [7078] = 7013,
  [7079] = 7003,
  [7080] = 7013,
  [7081] = 7081,
  [7082] = 7011,
  [7083] = 7000,
  [7084] = 7002,
  [7085] = 7085,
  [7086] = 7000,
  [7087] = 7011,
  [7088] = 7000,
  [7089] = 6996,
  [7090] = 7048,
  [7091] = 7091,
  [7092] = 6575,
  [7093] = 6998,
  [7094] = 7015,
  [7095] = 7003,
  [7096] = 6997,
  [7097] = 7001,
  [7098] = 7098,
  [7099] = 7003,
  [7100] = 7001,
  [7101] = 7013,
  [7102] = 7102,
  [7103] = 7001,
  [7104] = 7104,
  [7105] = 6604,
  [7106] = 7013,
  [7107] = 6997,
  [7108] = 7108,
  [7109] = 7015,
  [7110] = 7110,
  [7111] = 7009,
  [7112] = 7081,
  [7113] = 7009,
  [7114] = 7001,
  [7115] = 7013,
  [7116] = 7116,
  [7117] = 7003,
  [7118] = 7003,
  [7119] = 6998,
  [7120] = 6998,
  [7121] = 7121,
  [7122] = 7001,
  [7123] = 7015,
  [7124] = 7124,
  [7125] = 6998,
  [7126] = 6996,
  [7127] = 6997,
  [7128] = 6997,
  [7129] = 7015,
  [7130] = 6996,
  [7131] = 7131,
  [7132] = 7015,
  [7133] = 6997,
  [7134] = 7013,
  [7135] = 7135,
  [7136] = 7136,
  [7137] = 6997,
  [7138] = 6998,
  [7139] = 7015,
  [7140] = 7003,
  [7141] = 6996,
  [7142] = 6997,
  [7143] = 7015,
  [7144] = 7015,
  [7145] = 6997,
  [7146] = 7146,
  [7147] = 7147,
  [7148] = 7002,
  [7149] = 7124,
  [7150] = 7150,
  [7151] = 6996,
  [7152] = 6997,
  [7153] = 7153,
  [7154] = 7002,
  [7155] = 7013,
  [7156] = 7156,
  [7157] = 7157,
  [7158] = 7015,
  [7159] = 7003,
  [7160] = 7015,
  [7161] = 7161,
  [7162] = 6997,
  [7163] = 7163,
  [7164] = 7002,
  [7165] = 6996,
  [7166] = 7166,
  [7167] = 7167,
  [7168] = 7001,
  [7169] = 7001,
  [7170] = 7013,
  [7171] = 7002,
  [7172] = 7172,
  [7173] = 7173,
  [7174] = 7003,
  [7175] = 7001,
  [7176] = 6998,
  [7177] = 6996,
  [7178] = 7011,
  [7179] = 6215,
  [7180] = 7180,
  [7181] = 7181,
  [7182] = 6998,
  [7183] = 7183,
  [7184] = 7002,
  [7185] = 7185,
  [7186] = 7013,
  [7187] = 7002,
  [7188] = 7003,
  [7189] = 7189,
  [7190] = 7190,
  [7191] = 7191,
  [7192] = 7192,
  [7193] = 7193,
  [7194] = 7194,
  [7195] = 7194,
  [7196] = 7196,
  [7197] = 7197,
  [7198] = 7198,
  [7199] = 7199,
  [7200] = 7200,
  [7201] = 7189,
  [7202] = 7202,
  [7203] = 7203,
  [7204] = 7204,
  [7205] = 7205,
  [7206] = 7206,
  [7207] = 7207,
  [7208] = 7208,
  [7209] = 7209,
  [7210] = 7210,
  [7211] = 7211,
  [7212] = 7212,
  [7213] = 7213,
  [7214] = 7214,
  [7215] = 7215,
  [7216] = 7216,
  [7217] = 7217,
  [7218] = 7218,
  [7219] = 7219,
  [7220] = 7220,
  [7221] = 7202,
  [7222] = 7222,
  [7223] = 7223,
  [7224] = 7203,
  [7225] = 7225,
  [7226] = 7226,
  [7227] = 7219,
  [7228] = 7214,
  [7229] = 7229,
  [7230] = 7230,
  [7231] = 7189,
  [7232] = 7232,
  [7233] = 7219,
  [7234] = 7192,
  [7235] = 7193,
  [7236] = 7219,
  [7237] = 7237,
  [7238] = 7219,
  [7239] = 7219,
  [7240] = 7240,
  [7241] = 7219,
  [7242] = 7219,
  [7243] = 7219,
  [7244] = 7202,
  [7245] = 7245,
  [7246] = 7193,
  [7247] = 7247,
  [7248] = 7192,
  [7249] = 7249,
  [7250] = 7219,
  [7251] = 7251,
  [7252] = 7190,
  [7253] = 7253,
  [7254] = 7204,
  [7255] = 7219,
  [7256] = 7256,
  [7257] = 7257,
  [7258] = 7258,
  [7259] = 7259,
  [7260] = 7260,
  [7261] = 7206,
  [7262] = 7214,
  [7263] = 7263,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 7209,
  [7267] = 7219,
  [7268] = 7249,
  [7269] = 7219,
  [7270] = 7217,
  [7271] = 7271,
  [7272] = 7272,
  [7273] = 7273,
  [7274] = 7274,
  [7275] = 7219,
  [7276] = 7192,
  [7277] = 7193,
  [7278] = 7263,
  [7279] = 7260,
  [7280] = 7191,
  [7281] = 7281,
  [7282] = 7256,
  [7283] = 7253,
  [7284] = 7258,
  [7285] = 7202,
  [7286] = 7196,
  [7287] = 7202,
  [7288] = 7288,
  [7289] = 7273,
  [7290] = 7272,
  [7291] = 7214,
  [7292] = 7208,
  [7293] = 7293,
  [7294] = 7237,
  [7295] = 7203,
  [7296] = 7206,
  [7297] = 7232,
  [7298] = 7193,
  [7299] = 7192,
  [7300] = 7214,
  [7301] = 7301,
  [7302] = 7230,
  [7303] = 7229,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 7225,
  [7307] = 7193,
  [7308] = 7222,
  [7309] = 7281,
  [7310] = 7223,
  [7311] = 7222,
  [7312] = 7208,
  [7313] = 7218,
  [7314] = 7256,
  [7315] = 7214,
  [7316] = 7203,
  [7317] = 7222,
  [7318] = 7318,
  [7319] = 7319,
  [7320] = 7230,
  [7321] = 7281,
  [7322] = 7209,
  [7323] = 7323,
  [7324] = 7324,
  [7325] = 7325,
  [7326] = 7326,
  [7327] = 7209,
  [7328] = 7193,
  [7329] = 7217,
  [7330] = 7196,
  [7331] = 7191,
  [7332] = 7332,
  [7333] = 7196,
  [7334] = 7202,
  [7335] = 7325,
  [7336] = 7191,
  [7337] = 7204,
  [7338] = 7259,
  [7339] = 7215,
  [7340] = 7193,
  [7341] = 7209,
  [7342] = 7192,
  [7343] = 7229,
  [7344] = 7325,
  [7345] = 7345,
  [7346] = 7325,
  [7347] = 7196,
  [7348] = 7213,
  [7349] = 7265,
  [7350] = 7222,
  [7351] = 7351,
  [7352] = 7203,
  [7353] = 7259,
  [7354] = 7210,
  [7355] = 7194,
  [7356] = 7204,
  [7357] = 6575,
  [7358] = 7207,
  [7359] = 7281,
  [7360] = 7191,
  [7361] = 7361,
  [7362] = 7207,
  [7363] = 7209,
  [7364] = 7364,
  [7365] = 7189,
  [7366] = 7214,
  [7367] = 7212,
  [7368] = 7368,
  [7369] = 6584,
  [7370] = 7200,
  [7371] = 7189,
  [7372] = 7206,
  [7373] = 7205,
  [7374] = 7208,
  [7375] = 7222,
  [7376] = 7222,
  [7377] = 7258,
  [7378] = 7249,
  [7379] = 7218,
  [7380] = 7194,
  [7381] = 7190,
  [7382] = 7382,
  [7383] = 7318,
  [7384] = 7271,
  [7385] = 7202,
  [7386] = 7204,
  [7387] = 7257,
  [7388] = 7265,
  [7389] = 7265,
  [7390] = 7265,
  [7391] = 7265,
  [7392] = 7273,
  [7393] = 7259,
  [7394] = 7272,
  [7395] = 7194,
  [7396] = 7193,
  [7397] = 7219,
  [7398] = 7192,
  [7399] = 7213,
  [7400] = 7210,
  [7401] = 7232,
  [7402] = 7257,
  [7403] = 7271,
  [7404] = 7206,
  [7405] = 7281,
  [7406] = 7406,
  [7407] = 7407,
  [7408] = 7203,
  [7409] = 7364,
  [7410] = 7410,
  [7411] = 7191,
  [7412] = 7218,
  [7413] = 7263,
  [7414] = 7207,
  [7415] = 7193,
  [7416] = 7257,
  [7417] = 7209,
  [7418] = 7192,
  [7419] = 7200,
  [7420] = 7420,
  [7421] = 7203,
  [7422] = 7260,
  [7423] = 7361,
  [7424] = 7229,
  [7425] = 7364,
  [7426] = 7189,
  [7427] = 7230,
  [7428] = 7190,
  [7429] = 7207,
  [7430] = 7256,
  [7431] = 7206,
  [7432] = 7214,
  [7433] = 7253,
  [7434] = 7222,
  [7435] = 7435,
  [7436] = 7230,
  [7437] = 7208,
  [7438] = 7438,
  [7439] = 7200,
  [7440] = 7325,
  [7441] = 7204,
  [7442] = 7442,
  [7443] = 7443,
  [7444] = 7196,
  [7445] = 7191,
  [7446] = 7202,
  [7447] = 7259,
  [7448] = 7237,
  [7449] = 7449,
  [7450] = 7232,
  [7451] = 7205,
  [7452] = 7200,
  [7453] = 7205,
  [7454] = 7194,
  [7455] = 7193,
  [7456] = 7192,
  [7457] = 7457,
  [7458] = 7458,
  [7459] = 6578,
  [7460] = 7460,
  [7461] = 7230,
  [7462] = 7229,
  [7463] = 7281,
  [7464] = 7258,
  [7465] = 7225,
  [7466] = 7466,
  [7467] = 7257,
  [7468] = 7223,
  [7469] = 7259,
  [7470] = 7470,
  [7471] = 7249,
  [7472] = 7222,
  [7473] = 7203,
  [7474] = 7217,
  [7475] = 7215,
  [7476] = 7256,
  [7477] = 7222,
  [7478] = 7213,
  [7479] = 7207,
  [7480] = 7214,
  [7481] = 7210,
  [7482] = 7210,
  [7483] = 7204,
  [7484] = 7213,
  [7485] = 7259,
  [7486] = 7207,
  [7487] = 7209,
  [7488] = 7208,
  [7489] = 7361,
  [7490] = 7194,
  [7491] = 7200,
  [7492] = 7204,
  [7493] = 7189,
  [7494] = 7205,
  [7495] = 7206,
  [7496] = 7209,
  [7497] = 7215,
  [7498] = 7273,
  [7499] = 7499,
  [7500] = 7217,
  [7501] = 7258,
  [7502] = 7208,
  [7503] = 7202,
  [7504] = 7249,
  [7505] = 7218,
  [7506] = 7272,
  [7507] = 7507,
  [7508] = 7265,
  [7509] = 7263,
  [7510] = 7193,
  [7511] = 7192,
  [7512] = 7512,
  [7513] = 7304,
  [7514] = 7514,
  [7515] = 7515,
  [7516] = 7212,
  [7517] = 7260,
  [7518] = 7223,
  [7519] = 7225,
  [7520] = 7520,
  [7521] = 7206,
  [7522] = 7522,
  [7523] = 7523,
  [7524] = 7524,
  [7525] = 7214,
  [7526] = 7222,
  [7527] = 7257,
  [7528] = 7528,
  [7529] = 7529,
  [7530] = 7222,
  [7531] = 7265,
  [7532] = 7189,
  [7533] = 7190,
  [7534] = 7257,
  [7535] = 7258,
  [7536] = 7229,
  [7537] = 7191,
  [7538] = 7189,
  [7539] = 7206,
  [7540] = 7271,
  [7541] = 7232,
  [7542] = 7237,
  [7543] = 7361,
  [7544] = 7364,
  [7545] = 7256,
  [7546] = 7253,
  [7547] = 7512,
  [7548] = 7203,
  [7549] = 7222,
  [7550] = 7237,
  [7551] = 7218,
  [7552] = 7552,
  [7553] = 7232,
  [7554] = 7202,
  [7555] = 7209,
  [7556] = 7214,
  [7557] = 7325,
  [7558] = 7196,
  [7559] = 7559,
  [7560] = 7253,
  [7561] = 7561,
  [7562] = 7256,
  [7563] = 7193,
  [7564] = 7194,
  [7565] = 7260,
  [7566] = 7192,
  [7567] = 7263,
  [7568] = 7230,
  [7569] = 7191,
  [7570] = 7204,
  [7571] = 7361,
  [7572] = 7229,
  [7573] = 7512,
  [7574] = 7259,
  [7575] = 7200,
  [7576] = 7271,
  [7577] = 7281,
  [7578] = 7272,
  [7579] = 7273,
  [7580] = 7257,
  [7581] = 7512,
  [7582] = 7249,
  [7583] = 7258,
  [7584] = 7222,
  [7585] = 7274,
  [7586] = 7208,
  [7587] = 7587,
  [7588] = 7225,
  [7589] = 7589,
  [7590] = 7222,
  [7591] = 7591,
  [7592] = 7208,
  [7593] = 7364,
  [7594] = 7189,
  [7595] = 7223,
  [7596] = 7206,
  [7597] = 7189,
  [7598] = 7522,
  [7599] = 7222,
  [7600] = 7600,
  [7601] = 7190,
  [7602] = 6559,
  [7603] = 7206,
  [7604] = 7222,
  [7605] = 7249,
  [7606] = 7211,
  [7607] = 7208,
  [7608] = 7281,
  [7609] = 7609,
  [7610] = 7258,
  [7611] = 7611,
  [7612] = 7249,
  [7613] = 7190,
  [7614] = 7318,
  [7615] = 7615,
  [7616] = 7222,
  [7617] = 7617,
  [7618] = 7263,
  [7619] = 7260,
  [7620] = 7265,
  [7621] = 7256,
  [7622] = 7253,
  [7623] = 760,
  [7624] = 7196,
  [7625] = 7625,
  [7626] = 7325,
  [7627] = 7237,
  [7628] = 7209,
  [7629] = 7222,
  [7630] = 7232,
  [7631] = 7245,
  [7632] = 7256,
  [7633] = 7222,
  [7634] = 7203,
  [7635] = 7190,
  [7636] = 7215,
  [7637] = 7230,
  [7638] = 7214,
  [7639] = 7217,
  [7640] = 7229,
  [7641] = 7230,
  [7642] = 7263,
  [7643] = 7229,
  [7644] = 7512,
  [7645] = 7225,
  [7646] = 7223,
  [7647] = 7212,
  [7648] = 7204,
  [7649] = 7649,
  [7650] = 7650,
  [7651] = 7651,
  [7652] = 7217,
  [7653] = 7215,
  [7654] = 7215,
  [7655] = 7213,
  [7656] = 7210,
  [7657] = 7259,
  [7658] = 7194,
  [7659] = 7207,
  [7660] = 7260,
  [7661] = 7199,
  [7662] = 7662,
  [7663] = 7663,
  [7664] = 7265,
  [7665] = 7665,
  [7666] = 7512,
  [7667] = 7205,
  [7668] = 7668,
  [7669] = 7257,
  [7670] = 7670,
  [7671] = 7213,
  [7672] = 7218,
  [7673] = 7207,
  [7674] = 7210,
  [7675] = 7675,
  [7676] = 7190,
  [7677] = 7249,
  [7678] = 7345,
  [7679] = 7679,
  [7680] = 7218,
  [7681] = 7222,
  [7682] = 7258,
  [7683] = 7259,
  [7684] = 7203,
  [7685] = 7207,
  [7686] = 7257,
  [7687] = 7265,
  [7688] = 7263,
  [7689] = 7205,
  [7690] = 7318,
  [7691] = 7200,
  [7692] = 7692,
  [7693] = 7325,
  [7694] = 7361,
  [7695] = 7364,
  [7696] = 7194,
  [7697] = 7697,
  [7698] = 7196,
  [7699] = 7265,
  [7700] = 7700,
  [7701] = 7218,
  [7702] = 7209,
  [7703] = 7703,
  [7704] = 7205,
  [7705] = 7705,
  [7706] = 7706,
  [7707] = 7200,
  [7708] = 7708,
  [7709] = 7205,
  [7710] = 7710,
  [7711] = 7222,
  [7712] = 7214,
  [7713] = 7713,
  [7714] = 7714,
  [7715] = 7237,
  [7716] = 7325,
  [7717] = 7202,
  [7718] = 7718,
  [7719] = 7257,
  [7720] = 7202,
  [7721] = 7721,
  [7722] = 7722,
  [7723] = 7723,
  [7724] = 7260,
  [7725] = 7204,
  [7726] = 7256,
  [7727] = 7727,
  [7728] = 7218,
  [7729] = 7230,
  [7730] = 7259,
  [7731] = 7731,
  [7732] = 7732,
  [7733] = 7733,
  [7734] = 7253,
  [7735] = 7193,
  [7736] = 7193,
  [7737] = 7192,
  [7738] = 7190,
  [7739] = 7281,
  [7740] = 7257,
  [7741] = 7741,
  [7742] = 7742,
  [7743] = 7257,
  [7744] = 7265,
  [7745] = 7745,
  [7746] = 7257,
  [7747] = 7265,
  [7748] = 7748,
  [7749] = 7749,
  [7750] = 7222,
  [7751] = 7205,
  [7752] = 7194,
  [7753] = 7256,
  [7754] = 7203,
  [7755] = 7190,
  [7756] = 7257,
  [7757] = 7757,
  [7758] = 7758,
  [7759] = 7222,
  [7760] = 7760,
  [7761] = 6579,
  [7762] = 7762,
  [7763] = 6563,
  [7764] = 7253,
  [7765] = 7200,
  [7766] = 7208,
  [7767] = 7223,
  [7768] = 7207,
  [7769] = 7190,
  [7770] = 7225,
  [7771] = 7203,
  [7772] = 7229,
  [7773] = 7265,
  [7774] = 7257,
  [7775] = 773,
  [7776] = 7209,
  [7777] = 7777,
  [7778] = 7325,
  [7779] = 7222,
  [7780] = 7196,
  [7781] = 7207,
  [7782] = 7218,
  [7783] = 7191,
  [7784] = 7237,
  [7785] = 7210,
  [7786] = 7257,
  [7787] = 7232,
  [7788] = 7214,
  [7789] = 7789,
  [7790] = 7230,
  [7791] = 7325,
  [7792] = 7229,
  [7793] = 7225,
  [7794] = 7794,
  [7795] = 7795,
  [7796] = 7796,
  [7797] = 6597,
  [7798] = 7222,
  [7799] = 7213,
  [7800] = 7196,
  [7801] = 7281,
  [7802] = 7802,
  [7803] = 7257,
  [7804] = 7210,
  [7805] = 7208,
  [7806] = 7191,
  [7807] = 7807,
  [7808] = 7808,
  [7809] = 7213,
  [7810] = 7225,
  [7811] = 7207,
  [7812] = 6577,
  [7813] = 7281,
  [7814] = 7223,
  [7815] = 6604,
  [7816] = 7210,
  [7817] = 7817,
  [7818] = 7818,
  [7819] = 7189,
  [7820] = 7213,
  [7821] = 7263,
  [7822] = 7189,
  [7823] = 7206,
  [7824] = 7206,
  [7825] = 6533,
  [7826] = 7826,
  [7827] = 7215,
  [7828] = 7222,
  [7829] = 7217,
  [7830] = 7215,
  [7831] = 7217,
  [7832] = 7232,
  [7833] = 7217,
  [7834] = 7208,
  [7835] = 7223,
  [7836] = 7225,
  [7837] = 7837,
  [7838] = 7257,
  [7839] = 7229,
  [7840] = 7230,
  [7841] = 7218,
  [7842] = 7209,
  [7843] = 7232,
  [7844] = 7222,
  [7845] = 7208,
  [7846] = 7258,
  [7847] = 7237,
  [7848] = 7215,
  [7849] = 7849,
  [7850] = 7256,
  [7851] = 7249,
  [7852] = 7217,
  [7853] = 7253,
  [7854] = 7215,
  [7855] = 7205,
  [7856] = 7856,
  [7857] = 7260,
  [7858] = 7256,
  [7859] = 7213,
  [7860] = 7263,
  [7861] = 6598,
  [7862] = 7260,
  [7863] = 7194,
  [7864] = 7263,
  [7865] = 7200,
  [7866] = 7210,
  [7867] = 7271,
  [7868] = 7272,
  [7869] = 7273,
  [7870] = 7870,
  [7871] = 7260,
  [7872] = 7253,
  [7873] = 7249,
  [7874] = 7258,
  [7875] = 7208,
  [7876] = 7223,
  [7877] = 6600,
  [7878] = 7206,
  [7879] = 7189,
  [7880] = 7189,
  [7881] = 6543,
  [7882] = 7882,
  [7883] = 6593,
  [7884] = 7884,
  [7885] = 7207,
  [7886] = 7281,
  [7887] = 7237,
  [7888] = 7258,
  [7889] = 7249,
  [7890] = 7890,
  [7891] = 6591,
  [7892] = 7225,
  [7893] = 6592,
  [7894] = 7256,
  [7895] = 7895,
  [7896] = 7896,
  [7897] = 7263,
  [7898] = 6564,
  [7899] = 7259,
  [7900] = 7230,
  [7901] = 7204,
  [7902] = 7253,
  [7903] = 7903,
  [7904] = 7260,
  [7905] = 7237,
  [7906] = 7906,
  [7907] = 7232,
  [7908] = 7223,
  [7909] = 7212,
  [7910] = 7318,
  [7911] = 7225,
  [7912] = 7230,
  [7913] = 7229,
  [7914] = 7229,
  [7915] = 7230,
  [7916] = 7222,
  [7917] = 7214,
  [7918] = 7210,
  [7919] = 7919,
  [7920] = 7207,
  [7921] = 7203,
  [7922] = 7223,
  [7923] = 7923,
  [7924] = 7256,
  [7925] = 7925,
  [7926] = 7253,
  [7927] = 7217,
  [7928] = 7928,
  [7929] = 7929,
  [7930] = 7191,
  [7931] = 7215,
  [7932] = 7229,
  [7933] = 7196,
  [7934] = 7325,
  [7935] = 7205,
  [7936] = 7936,
  [7937] = 7209,
  [7938] = 7200,
  [7939] = 7213,
  [7940] = 7237,
  [7941] = 7206,
  [7942] = 7222,
  [7943] = 7203,
  [7944] = 7232,
  [7945] = 7945,
  [7946] = 7946,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7954,
  [7955] = 7946,
  [7956] = 7950,
  [7957] = 7957,
  [7958] = 7958,
  [7959] = 7959,
  [7960] = 7950,
  [7961] = 7948,
  [7962] = 7958,
  [7963] = 7945,
  [7964] = 7964,
  [7965] = 7953,
  [7966] = 7966,
  [7967] = 7946,
  [7968] = 7950,
  [7969] = 7946,
  [7970] = 7952,
  [7971] = 7971,
  [7972] = 7948,
  [7973] = 7973,
  [7974] = 7974,
  [7975] = 7952,
  [7976] = 7948,
  [7977] = 7948,
  [7978] = 7945,
  [7979] = 7979,
  [7980] = 7945,
  [7981] = 7953,
  [7982] = 7958,
  [7983] = 7983,
  [7984] = 7984,
  [7985] = 7952,
  [7986] = 7953,
  [7987] = 7987,
  [7988] = 7988,
  [7989] = 7953,
  [7990] = 1254,
  [7991] = 7958,
  [7992] = 7958,
  [7993] = 7946,
  [7994] = 7994,
  [7995] = 7946,
  [7996] = 7946,
  [7997] = 7997,
  [7998] = 7998,
  [7999] = 7999,
  [8000] = 7988,
  [8001] = 8001,
  [8002] = 8002,
  [8003] = 7946,
  [8004] = 8004,
  [8005] = 8005,
  [8006] = 7957,
  [8007] = 7946,
  [8008] = 7950,
  [8009] = 7946,
  [8010] = 8010,
  [8011] = 7946,
  [8012] = 7950,
  [8013] = 8013,
  [8014] = 6589,
  [8015] = 8015,
  [8016] = 8016,
  [8017] = 8017,
  [8018] = 8018,
  [8019] = 8019,
  [8020] = 8020,
  [8021] = 8021,
  [8022] = 8022,
  [8023] = 7988,
  [8024] = 7958,
  [8025] = 7945,
  [8026] = 8026,
  [8027] = 7946,
  [8028] = 7946,
  [8029] = 7958,
  [8030] = 8030,
  [8031] = 7950,
  [8032] = 7953,
  [8033] = 7988,
  [8034] = 7957,
  [8035] = 7946,
  [8036] = 7953,
  [8037] = 8037,
  [8038] = 7958,
  [8039] = 7948,
  [8040] = 7953,
  [8041] = 7948,
  [8042] = 8042,
  [8043] = 8043,
  [8044] = 7946,
  [8045] = 7952,
  [8046] = 7952,
  [8047] = 7988,
  [8048] = 7958,
  [8049] = 7950,
  [8050] = 7946,
  [8051] = 7952,
  [8052] = 7948,
  [8053] = 8053,
  [8054] = 7999,
  [8055] = 7957,
  [8056] = 7945,
  [8057] = 8057,
  [8058] = 7946,
  [8059] = 7948,
  [8060] = 7952,
  [8061] = 7945,
  [8062] = 7946,
  [8063] = 7950,
  [8064] = 7952,
  [8065] = 8065,
  [8066] = 7988,
  [8067] = 7997,
  [8068] = 7952,
  [8069] = 8069,
  [8070] = 7945,
  [8071] = 7945,
  [8072] = 7950,
  [8073] = 7997,
  [8074] = 7946,
  [8075] = 8075,
  [8076] = 7957,
  [8077] = 7999,
  [8078] = 7946,
  [8079] = 7948,
  [8080] = 7958,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 7953,
  [8084] = 7950,
  [8085] = 7988,
  [8086] = 7953,
  [8087] = 7945,
  [8088] = 7958,
  [8089] = 8089,
  [8090] = 7948,
  [8091] = 7997,
  [8092] = 7999,
  [8093] = 7952,
  [8094] = 7946,
  [8095] = 7957,
  [8096] = 8096,
  [8097] = 7946,
  [8098] = 8098,
  [8099] = 7946,
  [8100] = 7952,
  [8101] = 7997,
  [8102] = 7957,
  [8103] = 7948,
  [8104] = 7988,
  [8105] = 8105,
  [8106] = 7950,
  [8107] = 7945,
  [8108] = 7946,
  [8109] = 7953,
  [8110] = 7988,
  [8111] = 7953,
  [8112] = 7997,
  [8113] = 7958,
  [8114] = 7957,
  [8115] = 7946,
  [8116] = 7948,
  [8117] = 8117,
  [8118] = 7946,
  [8119] = 8119,
  [8120] = 7946,
  [8121] = 7946,
  [8122] = 7988,
  [8123] = 7958,
  [8124] = 7945,
  [8125] = 7988,
  [8126] = 8126,
  [8127] = 7958,
  [8128] = 7997,
  [8129] = 7999,
  [8130] = 7945,
  [8131] = 7946,
  [8132] = 7953,
  [8133] = 7957,
  [8134] = 7953,
  [8135] = 7946,
  [8136] = 7948,
  [8137] = 7988,
  [8138] = 7999,
  [8139] = 8139,
  [8140] = 8140,
  [8141] = 7988,
  [8142] = 7952,
  [8143] = 7997,
  [8144] = 7999,
  [8145] = 8145,
  [8146] = 7950,
  [8147] = 7988,
  [8148] = 7952,
  [8149] = 7945,
  [8150] = 8150,
  [8151] = 7950,
  [8152] = 7957,
  [8153] = 8153,
  [8154] = 7999,
  [8155] = 7997,
  [8156] = 7997,
  [8157] = 7999,
  [8158] = 7950,
  [8159] = 7946,
  [8160] = 7952,
  [8161] = 7945,
  [8162] = 8162,
  [8163] = 7957,
  [8164] = 7999,
  [8165] = 7997,
  [8166] = 7948,
  [8167] = 7988,
  [8168] = 8168,
  [8169] = 7953,
  [8170] = 7958,
  [8171] = 7957,
  [8172] = 7997,
  [8173] = 7999,
  [8174] = 7999,
  [8175] = 8175,
  [8176] = 8176,
  [8177] = 8177,
  [8178] = 8178,
  [8179] = 8179,
  [8180] = 8180,
  [8181] = 8181,
  [8182] = 8182,
  [8183] = 8178,
  [8184] = 8175,
  [8185] = 8175,
  [8186] = 8182,
  [8187] = 8181,
  [8188] = 8179,
  [8189] = 8189,
  [8190] = 8177,
  [8191] = 8178,
  [8192] = 8189,
  [8193] = 8193,
  [8194] = 8194,
  [8195] = 8178,
  [8196] = 8177,
  [8197] = 8175,
  [8198] = 8182,
  [8199] = 8181,
  [8200] = 8179,
  [8201] = 8201,
  [8202] = 8177,
  [8203] = 8203,
  [8204] = 8204,
  [8205] = 8179,
  [8206] = 8206,
  [8207] = 8178,
  [8208] = 8175,
  [8209] = 8182,
  [8210] = 8181,
  [8211] = 8179,
  [8212] = 8177,
  [8213] = 8213,
  [8214] = 8214,
  [8215] = 8181,
  [8216] = 8182,
  [8217] = 8178,
  [8218] = 8181,
  [8219] = 8177,
  [8220] = 8175,
  [8221] = 8178,
  [8222] = 8178,
  [8223] = 8181,
  [8224] = 8177,
  [8225] = 8177,
  [8226] = 8180,
  [8227] = 8181,
  [8228] = 8177,
  [8229] = 8179,
  [8230] = 8193,
  [8231] = 8181,
  [8232] = 8177,
  [8233] = 8233,
  [8234] = 8181,
  [8235] = 8181,
  [8236] = 8177,
  [8237] = 8182,
  [8238] = 8175,
  [8239] = 8181,
  [8240] = 8177,
  [8241] = 8178,
  [8242] = 8242,
  [8243] = 8181,
  [8244] = 8177,
  [8245] = 8177,
  [8246] = 8179,
  [8247] = 8181,
  [8248] = 8177,
  [8249] = 8249,
  [8250] = 8181,
  [8251] = 8177,
  [8252] = 8179,
  [8253] = 8181,
  [8254] = 8177,
  [8255] = 8181,
  [8256] = 8181,
  [8257] = 8177,
  [8258] = 8181,
  [8259] = 8259,
  [8260] = 8201,
  [8261] = 8233,
  [8262] = 8182,
  [8263] = 8175,
  [8264] = 8264,
  [8265] = 8178,
  [8266] = 8214,
  [8267] = 8204,
  [8268] = 8268,
  [8269] = 8181,
  [8270] = 8249,
  [8271] = 8271,
  [8272] = 8177,
  [8273] = 8194,
  [8274] = 8194,
  [8275] = 8179,
  [8276] = 8276,
  [8277] = 8181,
  [8278] = 8177,
  [8279] = 8182,
  [8280] = 8175,
  [8281] = 8181,
  [8282] = 8180,
  [8283] = 8177,
  [8284] = 8189,
  [8285] = 8201,
  [8286] = 8193,
  [8287] = 8193,
  [8288] = 8233,
  [8289] = 8179,
  [8290] = 8182,
  [8291] = 8181,
  [8292] = 8182,
  [8293] = 8175,
  [8294] = 8175,
  [8295] = 8193,
  [8296] = 8189,
  [8297] = 8297,
  [8298] = 8178,
  [8299] = 8201,
  [8300] = 8177,
  [8301] = 8213,
  [8302] = 8179,
  [8303] = 8201,
  [8304] = 8194,
  [8305] = 8182,
  [8306] = 8175,
  [8307] = 8178,
  [8308] = 8180,
  [8309] = 8177,
  [8310] = 8204,
  [8311] = 8179,
  [8312] = 8181,
  [8313] = 8182,
  [8314] = 8175,
  [8315] = 8178,
  [8316] = 8214,
  [8317] = 8317,
  [8318] = 8214,
  [8319] = 8319,
  [8320] = 8194,
  [8321] = 8180,
  [8322] = 8189,
  [8323] = 8204,
  [8324] = 8214,
  [8325] = 8177,
  [8326] = 8201,
  [8327] = 8327,
  [8328] = 8179,
  [8329] = 8181,
  [8330] = 8182,
  [8331] = 8233,
  [8332] = 8203,
  [8333] = 8178,
  [8334] = 8214,
  [8335] = 8213,
  [8336] = 8194,
  [8337] = 8214,
  [8338] = 8180,
  [8339] = 8189,
  [8340] = 8201,
  [8341] = 8204,
  [8342] = 8233,
  [8343] = 8214,
  [8344] = 8194,
  [8345] = 8180,
  [8346] = 8189,
  [8347] = 8214,
  [8348] = 8214,
  [8349] = 8194,
  [8350] = 8180,
  [8351] = 8194,
  [8352] = 8271,
  [8353] = 8189,
  [8354] = 8201,
  [8355] = 8180,
  [8356] = 8180,
  [8357] = 8357,
  [8358] = 8358,
  [8359] = 8214,
  [8360] = 8194,
  [8361] = 8180,
  [8362] = 8189,
  [8363] = 8189,
  [8364] = 8201,
  [8365] = 8214,
  [8366] = 8194,
  [8367] = 8180,
  [8368] = 8189,
  [8369] = 8233,
  [8370] = 8201,
  [8371] = 8214,
  [8372] = 8189,
  [8373] = 8177,
  [8374] = 8194,
  [8375] = 8180,
  [8376] = 8179,
  [8377] = 8181,
  [8378] = 8182,
  [8379] = 8175,
  [8380] = 8189,
  [8381] = 8193,
  [8382] = 8178,
  [8383] = 8383,
  [8384] = 8276,
  [8385] = 8385,
  [8386] = 8201,
  [8387] = 8201,
  [8388] = 8264,
  [8389] = 8201,
  [8390] = 8214,
  [8391] = 8194,
  [8392] = 8180,
  [8393] = 8189,
  [8394] = 8201,
  [8395] = 8193,
  [8396] = 8233,
  [8397] = 8201,
  [8398] = 8398,
  [8399] = 8201,
  [8400] = 8194,
  [8401] = 8401,
  [8402] = 8201,
  [8403] = 8189,
  [8404] = 8193,
  [8405] = 8180,
  [8406] = 8406,
  [8407] = 8233,
  [8408] = 8213,
  [8409] = 8214,
  [8410] = 8201,
  [8411] = 8189,
  [8412] = 8194,
  [8413] = 8180,
  [8414] = 8193,
  [8415] = 8201,
  [8416] = 8180,
  [8417] = 8194,
  [8418] = 8193,
  [8419] = 8214,
  [8420] = 8201,
  [8421] = 8189,
  [8422] = 8214,
  [8423] = 8201,
  [8424] = 8180,
  [8425] = 8193,
  [8426] = 8194,
  [8427] = 8180,
  [8428] = 8189,
  [8429] = 8429,
  [8430] = 8189,
  [8431] = 8201,
  [8432] = 8432,
  [8433] = 8180,
  [8434] = 8189,
  [8435] = 8214,
  [8436] = 8180,
  [8437] = 8214,
  [8438] = 8194,
  [8439] = 8180,
  [8440] = 8194,
  [8441] = 8189,
  [8442] = 8201,
  [8443] = 8189,
  [8444] = 8194,
  [8445] = 8233,
  [8446] = 8189,
  [8447] = 8194,
  [8448] = 8194,
  [8449] = 8201,
  [8450] = 8450,
  [8451] = 8180,
  [8452] = 8214,
  [8453] = 8317,
  [8454] = 8233,
  [8455] = 8455,
  [8456] = 8189,
  [8457] = 8204,
  [8458] = 8193,
  [8459] = 8214,
  [8460] = 8203,
  [8461] = 8271,
  [8462] = 8462,
  [8463] = 8233,
  [8464] = 8276,
  [8465] = 8465,
  [8466] = 8466,
  [8467] = 8467,
  [8468] = 8468,
  [8469] = 8469,
  [8470] = 8213,
  [8471] = 8471,
  [8472] = 8233,
  [8473] = 8276,
  [8474] = 8271,
  [8475] = 8233,
  [8476] = 8194,
  [8477] = 8276,
  [8478] = 8478,
  [8479] = 8479,
  [8480] = 8468,
  [8481] = 8481,
  [8482] = 8206,
  [8483] = 8193,
  [8484] = 8178,
  [8485] = 8193,
  [8486] = 8213,
  [8487] = 8487,
  [8488] = 8204,
  [8489] = 8181,
  [8490] = 8214,
  [8491] = 8177,
  [8492] = 8177,
  [8493] = 8233,
  [8494] = 8181,
  [8495] = 8213,
  [8496] = 8259,
  [8497] = 8497,
  [8498] = 8264,
  [8499] = 8213,
  [8500] = 8487,
  [8501] = 8178,
  [8502] = 8249,
  [8503] = 8233,
  [8504] = 8214,
  [8505] = 8204,
  [8506] = 8506,
  [8507] = 8507,
  [8508] = 8194,
  [8509] = 8271,
  [8510] = 8510,
  [8511] = 8180,
  [8512] = 8193,
  [8513] = 8193,
  [8514] = 8189,
  [8515] = 8193,
  [8516] = 8259,
  [8517] = 8201,
  [8518] = 8264,
  [8519] = 8193,
  [8520] = 8201,
  [8521] = 8193,
  [8522] = 8249,
  [8523] = 8193,
  [8524] = 8193,
  [8525] = 8468,
  [8526] = 8189,
  [8527] = 8203,
  [8528] = 8259,
  [8529] = 8194,
  [8530] = 8264,
  [8531] = 8276,
  [8532] = 8466,
  [8533] = 8469,
  [8534] = 8249,
  [8535] = 8468,
  [8536] = 8180,
  [8537] = 8206,
  [8538] = 8271,
  [8539] = 8487,
  [8540] = 8259,
  [8541] = 8194,
  [8542] = 8264,
  [8543] = 8543,
  [8544] = 8204,
  [8545] = 8214,
  [8546] = 8249,
  [8547] = 8193,
  [8548] = 8193,
  [8549] = 8203,
  [8550] = 8276,
  [8551] = 8466,
  [8552] = 8259,
  [8553] = 8213,
  [8554] = 8264,
  [8555] = 8469,
  [8556] = 8556,
  [8557] = 8557,
  [8558] = 8249,
  [8559] = 8214,
  [8560] = 8469,
  [8561] = 8206,
  [8562] = 8259,
  [8563] = 8201,
  [8564] = 8264,
  [8565] = 8233,
  [8566] = 8204,
  [8567] = 8567,
  [8568] = 8249,
  [8569] = 8487,
  [8570] = 8570,
  [8571] = 8193,
  [8572] = 8259,
  [8573] = 8177,
  [8574] = 8264,
  [8575] = 8193,
  [8576] = 8203,
  [8577] = 8189,
  [8578] = 8249,
  [8579] = 8579,
  [8580] = 8276,
  [8581] = 8466,
  [8582] = 8259,
  [8583] = 8276,
  [8584] = 8264,
  [8585] = 8233,
  [8586] = 8468,
  [8587] = 8179,
  [8588] = 8249,
  [8589] = 8181,
  [8590] = 8182,
  [8591] = 8180,
  [8592] = 8259,
  [8593] = 8175,
  [8594] = 8264,
  [8595] = 8213,
  [8596] = 8201,
  [8597] = 8206,
  [8598] = 8249,
  [8599] = 8487,
  [8600] = 8178,
  [8601] = 8601,
  [8602] = 8259,
  [8603] = 8317,
  [8604] = 8264,
  [8605] = 8276,
  [8606] = 8276,
  [8607] = 8607,
  [8608] = 8249,
  [8609] = 8276,
  [8610] = 8194,
  [8611] = 8259,
  [8612] = 8259,
  [8613] = 8249,
  [8614] = 8276,
  [8615] = 8193,
  [8616] = 8259,
  [8617] = 8194,
  [8618] = 8249,
  [8619] = 8177,
  [8620] = 8203,
  [8621] = 8259,
  [8622] = 8276,
  [8623] = 8249,
  [8624] = 8466,
  [8625] = 8271,
  [8626] = 8249,
  [8627] = 8249,
  [8628] = 8249,
  [8629] = 8249,
  [8630] = 8249,
  [8631] = 8249,
  [8632] = 8249,
  [8633] = 8249,
  [8634] = 8249,
  [8635] = 8249,
  [8636] = 8249,
  [8637] = 8249,
  [8638] = 8249,
  [8639] = 8276,
  [8640] = 8607,
  [8641] = 8601,
  [8642] = 8276,
  [8643] = 8204,
  [8644] = 8249,
  [8645] = 8189,
  [8646] = 8214,
  [8647] = 8466,
  [8648] = 8648,
  [8649] = 8276,
  [8650] = 8357,
  [8651] = 8214,
  [8652] = 8469,
  [8653] = 8276,
  [8654] = 8214,
  [8655] = 8214,
  [8656] = 8204,
  [8657] = 8468,
  [8658] = 8213,
  [8659] = 8276,
  [8660] = 8204,
  [8661] = 8206,
  [8662] = 8233,
  [8663] = 8180,
  [8664] = 8276,
  [8665] = 8201,
  [8666] = 8189,
  [8667] = 8487,
  [8668] = 8276,
  [8669] = 8193,
  [8670] = 8214,
  [8671] = 8276,
  [8672] = 8194,
  [8673] = 8271,
  [8674] = 8194,
  [8675] = 8189,
  [8676] = 8469,
  [8677] = 8466,
  [8678] = 8180,
  [8679] = 8276,
  [8680] = 8203,
  [8681] = 8201,
  [8682] = 8180,
  [8683] = 8466,
  [8684] = 8469,
  [8685] = 8468,
  [8686] = 8466,
  [8687] = 8487,
  [8688] = 8206,
  [8689] = 8180,
  [8690] = 8276,
  [8691] = 8180,
  [8692] = 8471,
  [8693] = 8189,
  [8694] = 8193,
  [8695] = 8271,
  [8696] = 8203,
  [8697] = 8466,
  [8698] = 8276,
  [8699] = 8194,
  [8700] = 8193,
  [8701] = 8648,
  [8702] = 8276,
  [8703] = 8181,
  [8704] = 8177,
  [8705] = 8607,
  [8706] = 8601,
  [8707] = 8357,
  [8708] = 8487,
  [8709] = 8201,
  [8710] = 8607,
  [8711] = 8601,
  [8712] = 8357,
  [8713] = 8466,
  [8714] = 8469,
  [8715] = 8607,
  [8716] = 8601,
  [8717] = 8357,
  [8718] = 8206,
  [8719] = 8719,
  [8720] = 8607,
  [8721] = 8601,
  [8722] = 8357,
  [8723] = 8468,
  [8724] = 8469,
  [8725] = 8607,
  [8726] = 8601,
  [8727] = 8357,
  [8728] = 8607,
  [8729] = 8601,
  [8730] = 8357,
  [8731] = 8607,
  [8732] = 8601,
  [8733] = 8357,
  [8734] = 8607,
  [8735] = 8601,
  [8736] = 8357,
  [8737] = 8607,
  [8738] = 8601,
  [8739] = 8357,
  [8740] = 8607,
  [8741] = 8601,
  [8742] = 8357,
  [8743] = 8601,
  [8744] = 8357,
  [8745] = 8601,
  [8746] = 8357,
  [8747] = 8601,
  [8748] = 8357,
  [8749] = 8178,
  [8750] = 8271,
  [8751] = 8276,
  [8752] = 8398,
  [8753] = 8753,
  [8754] = 8468,
  [8755] = 8755,
  [8756] = 8756,
  [8757] = 8249,
  [8758] = 8398,
  [8759] = 8753,
  [8760] = 8753,
  [8761] = 8398,
  [8762] = 8753,
  [8763] = 8276,
  [8764] = 8398,
  [8765] = 8753,
  [8766] = 8766,
  [8767] = 8398,
  [8768] = 8753,
  [8769] = 8206,
  [8770] = 8398,
  [8771] = 8398,
  [8772] = 8398,
  [8773] = 8398,
  [8774] = 8398,
  [8775] = 8398,
  [8776] = 8398,
  [8777] = 8398,
  [8778] = 8398,
  [8779] = 8466,
  [8780] = 8276,
  [8781] = 8204,
  [8782] = 8203,
  [8783] = 8214,
  [8784] = 8487,
  [8785] = 8487,
  [8786] = 8203,
  [8787] = 8276,
  [8788] = 8206,
  [8789] = 8468,
  [8790] = 8790,
  [8791] = 8466,
  [8792] = 8469,
  [8793] = 8469,
  [8794] = 8213,
  [8795] = 8466,
  [8796] = 8276,
  [8797] = 8203,
  [8798] = 8468,
  [8799] = 8766,
  [8800] = 8194,
  [8801] = 8766,
  [8802] = 8487,
  [8803] = 8766,
  [8804] = 8206,
  [8805] = 8766,
  [8806] = 8201,
  [8807] = 8766,
  [8808] = 8189,
  [8809] = 8206,
  [8810] = 8233,
  [8811] = 8468,
  [8812] = 8487,
  [8813] = 8469,
  [8814] = 8466,
  [8815] = 8193,
  [8816] = 8204,
};

static inline bool sym_escape_sequence_character_set_1(int32_t c) {
  return (c < 'a'
    ? (c < '?'
      ? (c < '\''
        ? c == '"'
        : c <= '\'')
      : (c <= '?' || c == '\\'))
    : (c <= 'b' || (c < 'r'
      ? (c < 'n'
        ? c == 'f'
        : c <= 'n')
      : (c <= 'r' || (c >= 't' && c <= 'v')))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? (c >= 'A' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(62);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(209);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '.') ADVANCE(199);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '@') ADVANCE(121);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(234);
      END_STATE();
    case 1:
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(209);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '@') ADVANCE(121);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(37);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead == '.') ADVANCE(183);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(234);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '.') ADVANCE(183);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(234);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(151);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(62);
      if (lookahead == '&') ADVANCE(153);
      if (lookahead == '\'') ADVANCE(209);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '.') ADVANCE(184);
      if (lookahead == '/') ADVANCE(26);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '~') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(30);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead == '.') ADVANCE(186);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(234);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(30);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '.') ADVANCE(200);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(234);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(30);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '.') ADVANCE(186);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(234);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '/') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(33);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(213);
      if (lookahead != 0) ADVANCE(216);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == 'd') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(109);
      if (lookahead == 'c') ADVANCE(36);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(110);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(102);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(106);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(111);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(104);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(108);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(103);
      END_STATE();
    case 19:
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '.') ADVANCE(198);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '{') ADVANCE(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      END_STATE();
    case 20:
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '.') ADVANCE(182);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '{') ADVANCE(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      END_STATE();
    case 21:
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '.') ADVANCE(182);
      if (lookahead == '/') ADVANCE(26);
      if (lookahead == '{') ADVANCE(97);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      END_STATE();
    case 22:
      if (lookahead == ')') ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '0') ADVANCE(202);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 24:
      if (lookahead == '-') ADVANCE(228);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(192);
      END_STATE();
    case 26:
      if (lookahead == '/') ADVANCE(235);
      END_STATE();
    case 27:
      if (lookahead == '/') ADVANCE(218);
      if (lookahead == '`') ADVANCE(208);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(217);
      if (lookahead != 0) ADVANCE(220);
      END_STATE();
    case 28:
      if (lookahead == '/') ADVANCE(211);
      if (lookahead == '\\') ADVANCE(33);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(210);
      END_STATE();
    case 29:
      if (lookahead == '<') ADVANCE(190);
      if (lookahead == '=') ADVANCE(189);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(167);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(166);
      END_STATE();
    case 32:
      if (lookahead == 'U') ADVANCE(223);
      if (lookahead == 'u') ADVANCE(69);
      if (lookahead == 'x') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(222);
      if (sym_escape_sequence_character_set_1(lookahead)) ADVANCE(224);
      if (lookahead != 0) ADVANCE(221);
      END_STATE();
    case 33:
      if (lookahead == 'U') ADVANCE(227);
      if (lookahead == 'u') ADVANCE(69);
      if (lookahead == 'x') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(226);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 34:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(51);
      END_STATE();
    case 36:
      if (lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 37:
      if (lookahead == 'c') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(57);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 's') ADVANCE(63);
      END_STATE();
    case 38:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 39:
      if (lookahead == 'd') ADVANCE(46);
      END_STATE();
    case 40:
      if (lookahead == 'd') ADVANCE(10);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(12);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 47:
      if (lookahead == 'l') ADVANCE(14);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 49:
      if (lookahead == 'l') ADVANCE(16);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(17);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 53:
      if (lookahead == 'm') ADVANCE(15);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 55:
      if (lookahead == 'n') ADVANCE(42);
      END_STATE();
    case 56:
      if (lookahead == 'n') ADVANCE(13);
      END_STATE();
    case 57:
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 58:
      if (lookahead == 's') ADVANCE(64);
      END_STATE();
    case 59:
      if (lookahead == 's') ADVANCE(60);
      END_STATE();
    case 60:
      if (lookahead == 's') ADVANCE(18);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(232);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(233);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(40);
      if (lookahead == 'y') ADVANCE(61);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(11);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(44);
      END_STATE();
    case 68:
      if (lookahead == 'x') ADVANCE(66);
      END_STATE();
    case 69:
      if (lookahead == '{') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 70:
      if (lookahead == '}') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 71:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(203);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(204);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(224);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(74);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(78);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(206);
      END_STATE();
    case 82:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(233);
      END_STATE();
    case 83:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(62);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(209);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '.') ADVANCE(183);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '@') ADVANCE(121);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 84:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(62);
      if (lookahead == '%') ADVANCE(179);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '\'') ADVANCE(209);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(165);
      if (lookahead == '=') ADVANCE(31);
      if (lookahead == '>') ADVANCE(161);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 85:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '%') ADVANCE(179);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == '.') ADVANCE(183);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(165);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(161);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 86:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '%') ADVANCE(179);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '\'') ADVANCE(209);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(165);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(161);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 87:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '%') ADVANCE(179);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '.') ADVANCE(183);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(165);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(161);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(234);
      END_STATE();
    case 88:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(151);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '&') ADVANCE(153);
      if (lookahead == '\'') ADVANCE(209);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == '.') ADVANCE(184);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == ':') ADVANCE(114);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '=') ADVANCE(112);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '@') ADVANCE(121);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(116);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(149);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 89:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(151);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '\'') ADVANCE(209);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(23);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == ':') ADVANCE(114);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '=') ADVANCE(112);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(116);
      if (lookahead == '}') ADVANCE(98);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 90:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(30);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead == '.') ADVANCE(200);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 91:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(30);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '%') ADVANCE(180);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead == '.') ADVANCE(186);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(164);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(160);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(196);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 92:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(30);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '%') ADVANCE(179);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == '.') ADVANCE(200);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(165);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(161);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 93:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(30);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '#') ADVANCE(82);
      if (lookahead == '%') ADVANCE(179);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == '.') ADVANCE(186);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(165);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(161);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 94:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(30);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '%') ADVANCE(179);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '.') ADVANCE(200);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(165);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(161);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 95:
      if (eof) ADVANCE(96);
      if (lookahead == '!') ADVANCE(30);
      if (lookahead == '"') ADVANCE(207);
      if (lookahead == '%') ADVANCE(179);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '(') ADVANCE(122);
      if (lookahead == ')') ADVANCE(123);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '+') ADVANCE(140);
      if (lookahead == ',') ADVANCE(99);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '.') ADVANCE(186);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == ':') ADVANCE(115);
      if (lookahead == ';') ADVANCE(138);
      if (lookahead == '<') ADVANCE(165);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '>') ADVANCE(161);
      if (lookahead == '?') ADVANCE(139);
      if (lookahead == '[') ADVANCE(187);
      if (lookahead == ']') ADVANCE(188);
      if (lookahead == '^') ADVANCE(195);
      if (lookahead == '`') ADVANCE(208);
      if (lookahead == '{') ADVANCE(97);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(98);
      if (lookahead == '~') ADVANCE(150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(234);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_DQUOTEodin_DQUOTE);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DQUOTEcontextless_DQUOTE);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DQUOTEstdcall_DQUOTE);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DQUOTEstd_DQUOTE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_DQUOTEcdecl_DQUOTE);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_DQUOTEc_DQUOTE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DQUOTEfastcall_DQUOTE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DQUOTEfast_DQUOTE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_DQUOTEnone_DQUOTE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_DQUOTEsystem_DQUOTE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(166);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(100);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '|') ADVANCE(157);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(156);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_POUNDtype);
      if (lookahead == '(') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(233);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_AMP_TILDE_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == '=') ADVANCE(126);
      if (lookahead == '>') ADVANCE(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '0') ADVANCE(202);
      if (lookahead == '>') ADVANCE(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '0') ADVANCE(202);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '=') ADVANCE(126);
      if (lookahead == '>') ADVANCE(101);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '>') ADVANCE(101);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(126);
      if (lookahead == '>') ADVANCE(101);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(101);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(167);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(159);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '~') ADVANCE(170);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(158);
      if (lookahead == '~') ADVANCE(169);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '>') ADVANCE(174);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(162);
      if (lookahead == '>') ADVANCE(173);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(163);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(163);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_TILDE_EQ);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_AMP_TILDE);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_AMP_TILDE);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(235);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(235);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '%') ADVANCE(181);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '%') ADVANCE(181);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PERCENT_PERCENT);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(193);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(191);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(194);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(29);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_EQ);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_LT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(197);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '<') ADVANCE(190);
      if (lookahead == '=') ADVANCE(189);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '<') ADVANCE(190);
      if (lookahead == '=') ADVANCE(189);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_DOT2);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(193);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(29);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'b') ADVANCE(71);
      if (lookahead == 'o') ADVANCE(72);
      if (lookahead == 'h' ||
          lookahead == 'x') ADVANCE(81);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(205);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(203);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(201);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_number);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(204);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_number);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_number);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(aux_sym_character_token1);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == '/') ADVANCE(235);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == '/') ADVANCE(211);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(210);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '/') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(216);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '/') ADVANCE(215);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(216);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(216);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(215);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(216);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym__raw_string_content);
      if (lookahead == '/') ADVANCE(218);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(217);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(220);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym__raw_string_content);
      if (lookahead == '/') ADVANCE(219);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(220);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym__raw_string_content);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(220);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(219);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__raw_string_content);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(220);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(225);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(224);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(225);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_uninitialized);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_tag);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_tag);
      if (lookahead == '(') ADVANCE(22);
      if (lookahead == 'e') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(233);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_tag);
      if (lookahead == '(') ADVANCE(22);
      if (lookahead == 'p') ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(233);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_tag);
      if (lookahead == '(') ADVANCE(22);
      if (lookahead == 'y') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(233);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_tag);
      if (lookahead == '(') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(233);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(234);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(235);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'm') ADVANCE(8);
      if (lookahead == 'n') ADVANCE(9);
      if (lookahead == 'o') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'w') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'u') ADVANCE(17);
      END_STATE();
    case 2:
      if (lookahead == 'i') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(22);
      if (lookahead == 'i') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      if (lookahead == 'y') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'n') ADVANCE(27);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(30);
      if (lookahead == 'm') ADVANCE(31);
      if (lookahead == 'n') ADVANCE(32);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'r') ADVANCE(36);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 't') ADVANCE(40);
      if (lookahead == 'w') ADVANCE(41);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(43);
      if (lookahead == 's') ADVANCE(44);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(45);
      END_STATE();
    case 17:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 20:
      if (lookahead == 's') ADVANCE(49);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 22:
      if (lookahead == 'f') ADVANCE(51);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(52);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(54);
      END_STATE();
    case 27:
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(56);
      END_STATE();
    case 29:
      if (lookahead == 'r') ADVANCE(57);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 31:
      if (lookahead == 'p') ADVANCE(58);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 33:
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(61);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(62);
      END_STATE();
    case 36:
      if (lookahead == '_') ADVANCE(63);
      END_STATE();
    case 37:
      if (lookahead == 'c') ADVANCE(64);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(65);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(69);
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 43:
      if (lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 44:
      if (lookahead == 'i') ADVANCE(72);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 46:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == '_') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(76);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 55:
      if (lookahead == 'm') ADVANCE(84);
      END_STATE();
    case 56:
      if (lookahead == 'l') ADVANCE(85);
      if (lookahead == 's') ADVANCE(86);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 58:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 60:
      if (lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_nil);
      END_STATE();
    case 62:
      if (lookahead == '_') ADVANCE(90);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(92);
      if (lookahead == 'e') ADVANCE(93);
      if (lookahead == 'r') ADVANCE(94);
      END_STATE();
    case 64:
      if (lookahead == 'k') ADVANCE(95);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 66:
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(98);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(100);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 71:
      if (lookahead == 'o') ADVANCE(102);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 73:
      if (lookahead == 'n') ADVANCE(104);
      if (lookahead == 'r') ADVANCE(105);
      END_STATE();
    case 74:
      if (lookahead == '_') ADVANCE(106);
      END_STATE();
    case 75:
      if (lookahead == 'f') ADVANCE(107);
      if (lookahead == 's') ADVANCE(108);
      END_STATE();
    case 76:
      if (lookahead == 'k') ADVANCE(109);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_cast);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(112);
      END_STATE();
    case 82:
      if (lookahead == 'm') ADVANCE(113);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 87:
      if (lookahead == 'i') ADVANCE(116);
      END_STATE();
    case 88:
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(121);
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_proc);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(126);
      END_STATE();
    case 99:
      if (lookahead == 'c') ADVANCE(127);
      END_STATE();
    case 100:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 102:
      if (lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 103:
      if (lookahead == 'g') ADVANCE(130);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(132);
      END_STATE();
    case 107:
      if (lookahead == 'i') ADVANCE(133);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 110:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 113:
      if (lookahead == 'i') ADVANCE(137);
      END_STATE();
    case 114:
      if (lookahead == 'h') ADVANCE(138);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 116:
      if (lookahead == 'g') ADVANCE(139);
      END_STATE();
    case 117:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 118:
      if (lookahead == 'x') ADVANCE(141);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 121:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 122:
      if (lookahead == 's') ADVANCE(145);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 124:
      if (lookahead == 'g') ADVANCE(147);
      END_STATE();
    case 125:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(150);
      END_STATE();
    case 128:
      if (lookahead == 'm') ADVANCE(151);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 132:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 134:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 135:
      if (lookahead == 'u') ADVANCE(155);
      END_STATE();
    case 136:
      if (lookahead == 'c') ADVANCE(156);
      END_STATE();
    case 137:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 138:
      if (lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(159);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_matrix);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_not_in);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(160);
      END_STATE();
    case 144:
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(163);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 151:
      if (lookahead == 'u') ADVANCE(165);
      END_STATE();
    case 152:
      if (lookahead == 's') ADVANCE(166);
      END_STATE();
    case 153:
      if (lookahead == 'l') ADVANCE(167);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_bit_set);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(168);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_dynamic);
      END_STATE();
    case 158:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_foreign);
      END_STATE();
    case 160:
      if (lookahead == 'k') ADVANCE(171);
      END_STATE();
    case 161:
      if (lookahead == 'i') ADVANCE(172);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_or_else);
      END_STATE();
    case 163:
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(175);
      END_STATE();
    case 167:
      if (lookahead == 'd') ADVANCE(176);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_distinct);
      END_STATE();
    case 170:
      if (lookahead == 'u') ADVANCE(177);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_or_break);
      END_STATE();
    case 172:
      if (lookahead == 'n') ADVANCE(178);
      END_STATE();
    case 173:
      if (lookahead == 'n') ADVANCE(179);
      END_STATE();
    case 174:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_auto_cast);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_bit_field);
      END_STATE();
    case 177:
      if (lookahead == 'g') ADVANCE(181);
      END_STATE();
    case 178:
      if (lookahead == 'u') ADVANCE(182);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_or_return);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_transmute);
      END_STATE();
    case 181:
      if (lookahead == 'h') ADVANCE(183);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_fallthrough_statement);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_or_continue);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 88, .external_lex_state = 2},
  [2] = {.lex_state = 1, .external_lex_state = 2},
  [3] = {.lex_state = 1, .external_lex_state = 2},
  [4] = {.lex_state = 1, .external_lex_state = 2},
  [5] = {.lex_state = 1, .external_lex_state = 2},
  [6] = {.lex_state = 1, .external_lex_state = 2},
  [7] = {.lex_state = 1, .external_lex_state = 2},
  [8] = {.lex_state = 1, .external_lex_state = 2},
  [9] = {.lex_state = 1, .external_lex_state = 2},
  [10] = {.lex_state = 1, .external_lex_state = 2},
  [11] = {.lex_state = 1, .external_lex_state = 2},
  [12] = {.lex_state = 1, .external_lex_state = 2},
  [13] = {.lex_state = 1, .external_lex_state = 2},
  [14] = {.lex_state = 1, .external_lex_state = 2},
  [15] = {.lex_state = 1, .external_lex_state = 2},
  [16] = {.lex_state = 1, .external_lex_state = 2},
  [17] = {.lex_state = 1, .external_lex_state = 2},
  [18] = {.lex_state = 1, .external_lex_state = 2},
  [19] = {.lex_state = 1, .external_lex_state = 2},
  [20] = {.lex_state = 1, .external_lex_state = 2},
  [21] = {.lex_state = 1, .external_lex_state = 2},
  [22] = {.lex_state = 1, .external_lex_state = 3},
  [23] = {.lex_state = 1, .external_lex_state = 3},
  [24] = {.lex_state = 1, .external_lex_state = 3},
  [25] = {.lex_state = 1, .external_lex_state = 3},
  [26] = {.lex_state = 1, .external_lex_state = 3},
  [27] = {.lex_state = 1, .external_lex_state = 3},
  [28] = {.lex_state = 1, .external_lex_state = 3},
  [29] = {.lex_state = 1, .external_lex_state = 2},
  [30] = {.lex_state = 1, .external_lex_state = 2},
  [31] = {.lex_state = 1, .external_lex_state = 2},
  [32] = {.lex_state = 1, .external_lex_state = 2},
  [33] = {.lex_state = 1, .external_lex_state = 2},
  [34] = {.lex_state = 1, .external_lex_state = 2},
  [35] = {.lex_state = 1, .external_lex_state = 2},
  [36] = {.lex_state = 1, .external_lex_state = 2},
  [37] = {.lex_state = 1, .external_lex_state = 2},
  [38] = {.lex_state = 88, .external_lex_state = 3},
  [39] = {.lex_state = 1, .external_lex_state = 2},
  [40] = {.lex_state = 88, .external_lex_state = 2},
  [41] = {.lex_state = 88, .external_lex_state = 2},
  [42] = {.lex_state = 88, .external_lex_state = 2},
  [43] = {.lex_state = 88, .external_lex_state = 2},
  [44] = {.lex_state = 88, .external_lex_state = 2},
  [45] = {.lex_state = 88, .external_lex_state = 2},
  [46] = {.lex_state = 88, .external_lex_state = 2},
  [47] = {.lex_state = 88, .external_lex_state = 2},
  [48] = {.lex_state = 88, .external_lex_state = 2},
  [49] = {.lex_state = 88, .external_lex_state = 2},
  [50] = {.lex_state = 88, .external_lex_state = 2},
  [51] = {.lex_state = 88, .external_lex_state = 2},
  [52] = {.lex_state = 88, .external_lex_state = 2},
  [53] = {.lex_state = 88, .external_lex_state = 2},
  [54] = {.lex_state = 88, .external_lex_state = 2},
  [55] = {.lex_state = 88, .external_lex_state = 2},
  [56] = {.lex_state = 88, .external_lex_state = 2},
  [57] = {.lex_state = 88, .external_lex_state = 2},
  [58] = {.lex_state = 88, .external_lex_state = 2},
  [59] = {.lex_state = 88, .external_lex_state = 2},
  [60] = {.lex_state = 88, .external_lex_state = 2},
  [61] = {.lex_state = 88, .external_lex_state = 2},
  [62] = {.lex_state = 88, .external_lex_state = 2},
  [63] = {.lex_state = 88, .external_lex_state = 2},
  [64] = {.lex_state = 88, .external_lex_state = 2},
  [65] = {.lex_state = 88, .external_lex_state = 2},
  [66] = {.lex_state = 88, .external_lex_state = 2},
  [67] = {.lex_state = 88, .external_lex_state = 2},
  [68] = {.lex_state = 88, .external_lex_state = 2},
  [69] = {.lex_state = 88, .external_lex_state = 2},
  [70] = {.lex_state = 88, .external_lex_state = 2},
  [71] = {.lex_state = 88, .external_lex_state = 2},
  [72] = {.lex_state = 88, .external_lex_state = 2},
  [73] = {.lex_state = 88, .external_lex_state = 2},
  [74] = {.lex_state = 88, .external_lex_state = 2},
  [75] = {.lex_state = 88, .external_lex_state = 2},
  [76] = {.lex_state = 88, .external_lex_state = 2},
  [77] = {.lex_state = 88, .external_lex_state = 2},
  [78] = {.lex_state = 88, .external_lex_state = 2},
  [79] = {.lex_state = 88, .external_lex_state = 2},
  [80] = {.lex_state = 88, .external_lex_state = 2},
  [81] = {.lex_state = 88, .external_lex_state = 2},
  [82] = {.lex_state = 88, .external_lex_state = 2},
  [83] = {.lex_state = 88, .external_lex_state = 2},
  [84] = {.lex_state = 88, .external_lex_state = 2},
  [85] = {.lex_state = 88, .external_lex_state = 2},
  [86] = {.lex_state = 88, .external_lex_state = 2},
  [87] = {.lex_state = 88, .external_lex_state = 2},
  [88] = {.lex_state = 88, .external_lex_state = 2},
  [89] = {.lex_state = 88, .external_lex_state = 2},
  [90] = {.lex_state = 88, .external_lex_state = 2},
  [91] = {.lex_state = 88, .external_lex_state = 2},
  [92] = {.lex_state = 88, .external_lex_state = 2},
  [93] = {.lex_state = 88, .external_lex_state = 2},
  [94] = {.lex_state = 88, .external_lex_state = 2},
  [95] = {.lex_state = 88, .external_lex_state = 2},
  [96] = {.lex_state = 88, .external_lex_state = 2},
  [97] = {.lex_state = 88, .external_lex_state = 2},
  [98] = {.lex_state = 86, .external_lex_state = 3},
  [99] = {.lex_state = 86, .external_lex_state = 3},
  [100] = {.lex_state = 88, .external_lex_state = 2},
  [101] = {.lex_state = 88, .external_lex_state = 2},
  [102] = {.lex_state = 88, .external_lex_state = 2},
  [103] = {.lex_state = 86, .external_lex_state = 2},
  [104] = {.lex_state = 86, .external_lex_state = 2},
  [105] = {.lex_state = 88, .external_lex_state = 2},
  [106] = {.lex_state = 88, .external_lex_state = 2},
  [107] = {.lex_state = 88, .external_lex_state = 2},
  [108] = {.lex_state = 84, .external_lex_state = 3},
  [109] = {.lex_state = 84, .external_lex_state = 3},
  [110] = {.lex_state = 86, .external_lex_state = 2},
  [111] = {.lex_state = 86, .external_lex_state = 2},
  [112] = {.lex_state = 86, .external_lex_state = 3},
  [113] = {.lex_state = 86, .external_lex_state = 3},
  [114] = {.lex_state = 84, .external_lex_state = 3},
  [115] = {.lex_state = 86, .external_lex_state = 1},
  [116] = {.lex_state = 84, .external_lex_state = 3},
  [117] = {.lex_state = 86, .external_lex_state = 1},
  [118] = {.lex_state = 86, .external_lex_state = 1},
  [119] = {.lex_state = 2, .external_lex_state = 4},
  [120] = {.lex_state = 86, .external_lex_state = 1},
  [121] = {.lex_state = 86, .external_lex_state = 3},
  [122] = {.lex_state = 86, .external_lex_state = 3},
  [123] = {.lex_state = 2, .external_lex_state = 4},
  [124] = {.lex_state = 86, .external_lex_state = 3},
  [125] = {.lex_state = 2, .external_lex_state = 4},
  [126] = {.lex_state = 2, .external_lex_state = 4},
  [127] = {.lex_state = 2, .external_lex_state = 4},
  [128] = {.lex_state = 2, .external_lex_state = 4},
  [129] = {.lex_state = 2, .external_lex_state = 4},
  [130] = {.lex_state = 86, .external_lex_state = 1},
  [131] = {.lex_state = 86, .external_lex_state = 1},
  [132] = {.lex_state = 86, .external_lex_state = 3},
  [133] = {.lex_state = 86, .external_lex_state = 3},
  [134] = {.lex_state = 86, .external_lex_state = 2},
  [135] = {.lex_state = 86, .external_lex_state = 2},
  [136] = {.lex_state = 86, .external_lex_state = 2},
  [137] = {.lex_state = 86, .external_lex_state = 3},
  [138] = {.lex_state = 86, .external_lex_state = 3},
  [139] = {.lex_state = 86, .external_lex_state = 2},
  [140] = {.lex_state = 3, .external_lex_state = 4},
  [141] = {.lex_state = 3, .external_lex_state = 4},
  [142] = {.lex_state = 3, .external_lex_state = 4},
  [143] = {.lex_state = 3, .external_lex_state = 4},
  [144] = {.lex_state = 86, .external_lex_state = 2},
  [145] = {.lex_state = 3, .external_lex_state = 4},
  [146] = {.lex_state = 3, .external_lex_state = 4},
  [147] = {.lex_state = 3, .external_lex_state = 4},
  [148] = {.lex_state = 3, .external_lex_state = 5},
  [149] = {.lex_state = 2, .external_lex_state = 6},
  [150] = {.lex_state = 86, .external_lex_state = 2},
  [151] = {.lex_state = 86, .external_lex_state = 2},
  [152] = {.lex_state = 2, .external_lex_state = 6},
  [153] = {.lex_state = 2, .external_lex_state = 6},
  [154] = {.lex_state = 86, .external_lex_state = 2},
  [155] = {.lex_state = 2, .external_lex_state = 6},
  [156] = {.lex_state = 2, .external_lex_state = 6},
  [157] = {.lex_state = 3, .external_lex_state = 5},
  [158] = {.lex_state = 3, .external_lex_state = 5},
  [159] = {.lex_state = 3, .external_lex_state = 5},
  [160] = {.lex_state = 3, .external_lex_state = 5},
  [161] = {.lex_state = 2, .external_lex_state = 6},
  [162] = {.lex_state = 3, .external_lex_state = 5},
  [163] = {.lex_state = 3, .external_lex_state = 5},
  [164] = {.lex_state = 86, .external_lex_state = 2},
  [165] = {.lex_state = 2, .external_lex_state = 6},
  [166] = {.lex_state = 86, .external_lex_state = 2},
  [167] = {.lex_state = 3, .external_lex_state = 6},
  [168] = {.lex_state = 3, .external_lex_state = 6},
  [169] = {.lex_state = 86, .external_lex_state = 2},
  [170] = {.lex_state = 3, .external_lex_state = 6},
  [171] = {.lex_state = 3, .external_lex_state = 6},
  [172] = {.lex_state = 3, .external_lex_state = 6},
  [173] = {.lex_state = 3, .external_lex_state = 6},
  [174] = {.lex_state = 3, .external_lex_state = 6},
  [175] = {.lex_state = 86, .external_lex_state = 2},
  [176] = {.lex_state = 86, .external_lex_state = 2},
  [177] = {.lex_state = 86, .external_lex_state = 2},
  [178] = {.lex_state = 86, .external_lex_state = 2},
  [179] = {.lex_state = 86, .external_lex_state = 2},
  [180] = {.lex_state = 86, .external_lex_state = 2},
  [181] = {.lex_state = 86, .external_lex_state = 2},
  [182] = {.lex_state = 3, .external_lex_state = 7},
  [183] = {.lex_state = 3, .external_lex_state = 7},
  [184] = {.lex_state = 3, .external_lex_state = 7},
  [185] = {.lex_state = 3, .external_lex_state = 7},
  [186] = {.lex_state = 3, .external_lex_state = 7},
  [187] = {.lex_state = 3, .external_lex_state = 7},
  [188] = {.lex_state = 86, .external_lex_state = 2},
  [189] = {.lex_state = 3, .external_lex_state = 7},
  [190] = {.lex_state = 86, .external_lex_state = 2},
  [191] = {.lex_state = 88, .external_lex_state = 2},
  [192] = {.lex_state = 88, .external_lex_state = 2},
  [193] = {.lex_state = 85, .external_lex_state = 4},
  [194] = {.lex_state = 85, .external_lex_state = 4},
  [195] = {.lex_state = 85, .external_lex_state = 4},
  [196] = {.lex_state = 85, .external_lex_state = 4},
  [197] = {.lex_state = 85, .external_lex_state = 4},
  [198] = {.lex_state = 85, .external_lex_state = 6},
  [199] = {.lex_state = 85, .external_lex_state = 6},
  [200] = {.lex_state = 85, .external_lex_state = 6},
  [201] = {.lex_state = 85, .external_lex_state = 6},
  [202] = {.lex_state = 85, .external_lex_state = 4},
  [203] = {.lex_state = 85, .external_lex_state = 4},
  [204] = {.lex_state = 85, .external_lex_state = 6},
  [205] = {.lex_state = 85, .external_lex_state = 6},
  [206] = {.lex_state = 85, .external_lex_state = 6},
  [207] = {.lex_state = 87, .external_lex_state = 6},
  [208] = {.lex_state = 87, .external_lex_state = 6},
  [209] = {.lex_state = 87, .external_lex_state = 6},
  [210] = {.lex_state = 87, .external_lex_state = 6},
  [211] = {.lex_state = 87, .external_lex_state = 6},
  [212] = {.lex_state = 87, .external_lex_state = 6},
  [213] = {.lex_state = 87, .external_lex_state = 6},
  [214] = {.lex_state = 87, .external_lex_state = 4},
  [215] = {.lex_state = 85, .external_lex_state = 8},
  [216] = {.lex_state = 85, .external_lex_state = 8},
  [217] = {.lex_state = 85, .external_lex_state = 8},
  [218] = {.lex_state = 85, .external_lex_state = 8},
  [219] = {.lex_state = 85, .external_lex_state = 8},
  [220] = {.lex_state = 85, .external_lex_state = 8},
  [221] = {.lex_state = 85, .external_lex_state = 8},
  [222] = {.lex_state = 87, .external_lex_state = 4},
  [223] = {.lex_state = 87, .external_lex_state = 4},
  [224] = {.lex_state = 87, .external_lex_state = 4},
  [225] = {.lex_state = 87, .external_lex_state = 4},
  [226] = {.lex_state = 87, .external_lex_state = 4},
  [227] = {.lex_state = 87, .external_lex_state = 4},
  [228] = {.lex_state = 87, .external_lex_state = 7},
  [229] = {.lex_state = 87, .external_lex_state = 5},
  [230] = {.lex_state = 87, .external_lex_state = 7},
  [231] = {.lex_state = 87, .external_lex_state = 5},
  [232] = {.lex_state = 87, .external_lex_state = 7},
  [233] = {.lex_state = 87, .external_lex_state = 7},
  [234] = {.lex_state = 87, .external_lex_state = 5},
  [235] = {.lex_state = 87, .external_lex_state = 7},
  [236] = {.lex_state = 87, .external_lex_state = 7},
  [237] = {.lex_state = 87, .external_lex_state = 5},
  [238] = {.lex_state = 87, .external_lex_state = 5},
  [239] = {.lex_state = 87, .external_lex_state = 5},
  [240] = {.lex_state = 87, .external_lex_state = 5},
  [241] = {.lex_state = 87, .external_lex_state = 7},
  [242] = {.lex_state = 87, .external_lex_state = 8},
  [243] = {.lex_state = 87, .external_lex_state = 8},
  [244] = {.lex_state = 85, .external_lex_state = 6},
  [245] = {.lex_state = 87, .external_lex_state = 8},
  [246] = {.lex_state = 85, .external_lex_state = 6},
  [247] = {.lex_state = 87, .external_lex_state = 8},
  [248] = {.lex_state = 85, .external_lex_state = 6},
  [249] = {.lex_state = 87, .external_lex_state = 8},
  [250] = {.lex_state = 85, .external_lex_state = 6},
  [251] = {.lex_state = 85, .external_lex_state = 6},
  [252] = {.lex_state = 85, .external_lex_state = 6},
  [253] = {.lex_state = 87, .external_lex_state = 8},
  [254] = {.lex_state = 85, .external_lex_state = 6},
  [255] = {.lex_state = 87, .external_lex_state = 8},
  [256] = {.lex_state = 87, .external_lex_state = 9},
  [257] = {.lex_state = 87, .external_lex_state = 9},
  [258] = {.lex_state = 87, .external_lex_state = 9},
  [259] = {.lex_state = 87, .external_lex_state = 9},
  [260] = {.lex_state = 87, .external_lex_state = 9},
  [261] = {.lex_state = 87, .external_lex_state = 9},
  [262] = {.lex_state = 87, .external_lex_state = 9},
  [263] = {.lex_state = 85, .external_lex_state = 6},
  [264] = {.lex_state = 85, .external_lex_state = 6},
  [265] = {.lex_state = 85, .external_lex_state = 6},
  [266] = {.lex_state = 85, .external_lex_state = 6},
  [267] = {.lex_state = 85, .external_lex_state = 6},
  [268] = {.lex_state = 85, .external_lex_state = 6},
  [269] = {.lex_state = 85, .external_lex_state = 6},
  [270] = {.lex_state = 88, .external_lex_state = 2},
  [271] = {.lex_state = 88, .external_lex_state = 2},
  [272] = {.lex_state = 4, .external_lex_state = 2},
  [273] = {.lex_state = 4, .external_lex_state = 2},
  [274] = {.lex_state = 88, .external_lex_state = 2},
  [275] = {.lex_state = 88, .external_lex_state = 2},
  [276] = {.lex_state = 88, .external_lex_state = 2},
  [277] = {.lex_state = 88, .external_lex_state = 2},
  [278] = {.lex_state = 88, .external_lex_state = 2},
  [279] = {.lex_state = 88, .external_lex_state = 2},
  [280] = {.lex_state = 88, .external_lex_state = 2},
  [281] = {.lex_state = 88, .external_lex_state = 2},
  [282] = {.lex_state = 88, .external_lex_state = 2},
  [283] = {.lex_state = 88, .external_lex_state = 2},
  [284] = {.lex_state = 88, .external_lex_state = 2},
  [285] = {.lex_state = 88, .external_lex_state = 2},
  [286] = {.lex_state = 88, .external_lex_state = 2},
  [287] = {.lex_state = 88, .external_lex_state = 2},
  [288] = {.lex_state = 88, .external_lex_state = 2},
  [289] = {.lex_state = 88, .external_lex_state = 3},
  [290] = {.lex_state = 88, .external_lex_state = 2},
  [291] = {.lex_state = 88, .external_lex_state = 2},
  [292] = {.lex_state = 88, .external_lex_state = 2},
  [293] = {.lex_state = 88, .external_lex_state = 2},
  [294] = {.lex_state = 88, .external_lex_state = 2},
  [295] = {.lex_state = 88, .external_lex_state = 2},
  [296] = {.lex_state = 88, .external_lex_state = 2},
  [297] = {.lex_state = 88, .external_lex_state = 2},
  [298] = {.lex_state = 88, .external_lex_state = 2},
  [299] = {.lex_state = 88, .external_lex_state = 2},
  [300] = {.lex_state = 88, .external_lex_state = 2},
  [301] = {.lex_state = 88, .external_lex_state = 2},
  [302] = {.lex_state = 88, .external_lex_state = 2},
  [303] = {.lex_state = 88, .external_lex_state = 2},
  [304] = {.lex_state = 88, .external_lex_state = 2},
  [305] = {.lex_state = 88, .external_lex_state = 2},
  [306] = {.lex_state = 88, .external_lex_state = 2},
  [307] = {.lex_state = 88, .external_lex_state = 2},
  [308] = {.lex_state = 88, .external_lex_state = 2},
  [309] = {.lex_state = 88, .external_lex_state = 3},
  [310] = {.lex_state = 88, .external_lex_state = 2},
  [311] = {.lex_state = 88, .external_lex_state = 2},
  [312] = {.lex_state = 88, .external_lex_state = 2},
  [313] = {.lex_state = 88, .external_lex_state = 2},
  [314] = {.lex_state = 88, .external_lex_state = 2},
  [315] = {.lex_state = 88, .external_lex_state = 2},
  [316] = {.lex_state = 88, .external_lex_state = 2},
  [317] = {.lex_state = 88, .external_lex_state = 2},
  [318] = {.lex_state = 88, .external_lex_state = 2},
  [319] = {.lex_state = 88, .external_lex_state = 2},
  [320] = {.lex_state = 88, .external_lex_state = 2},
  [321] = {.lex_state = 88, .external_lex_state = 2},
  [322] = {.lex_state = 88, .external_lex_state = 2},
  [323] = {.lex_state = 88, .external_lex_state = 2},
  [324] = {.lex_state = 88, .external_lex_state = 2},
  [325] = {.lex_state = 88, .external_lex_state = 2},
  [326] = {.lex_state = 88, .external_lex_state = 2},
  [327] = {.lex_state = 88, .external_lex_state = 2},
  [328] = {.lex_state = 88, .external_lex_state = 2},
  [329] = {.lex_state = 88, .external_lex_state = 2},
  [330] = {.lex_state = 88, .external_lex_state = 2},
  [331] = {.lex_state = 88, .external_lex_state = 2},
  [332] = {.lex_state = 88, .external_lex_state = 2},
  [333] = {.lex_state = 88, .external_lex_state = 2},
  [334] = {.lex_state = 88, .external_lex_state = 2},
  [335] = {.lex_state = 88, .external_lex_state = 2},
  [336] = {.lex_state = 88, .external_lex_state = 2},
  [337] = {.lex_state = 88, .external_lex_state = 2},
  [338] = {.lex_state = 88, .external_lex_state = 2},
  [339] = {.lex_state = 88, .external_lex_state = 2},
  [340] = {.lex_state = 88, .external_lex_state = 2},
  [341] = {.lex_state = 88, .external_lex_state = 2},
  [342] = {.lex_state = 88, .external_lex_state = 2},
  [343] = {.lex_state = 88, .external_lex_state = 2},
  [344] = {.lex_state = 88, .external_lex_state = 2},
  [345] = {.lex_state = 88, .external_lex_state = 2},
  [346] = {.lex_state = 88, .external_lex_state = 2},
  [347] = {.lex_state = 88, .external_lex_state = 2},
  [348] = {.lex_state = 88, .external_lex_state = 2},
  [349] = {.lex_state = 88, .external_lex_state = 2},
  [350] = {.lex_state = 88, .external_lex_state = 2},
  [351] = {.lex_state = 88, .external_lex_state = 2},
  [352] = {.lex_state = 88, .external_lex_state = 2},
  [353] = {.lex_state = 88, .external_lex_state = 2},
  [354] = {.lex_state = 88, .external_lex_state = 2},
  [355] = {.lex_state = 88, .external_lex_state = 2},
  [356] = {.lex_state = 88, .external_lex_state = 2},
  [357] = {.lex_state = 88, .external_lex_state = 2},
  [358] = {.lex_state = 88, .external_lex_state = 2},
  [359] = {.lex_state = 88, .external_lex_state = 2},
  [360] = {.lex_state = 88, .external_lex_state = 2},
  [361] = {.lex_state = 88, .external_lex_state = 2},
  [362] = {.lex_state = 88, .external_lex_state = 2},
  [363] = {.lex_state = 88, .external_lex_state = 2},
  [364] = {.lex_state = 88, .external_lex_state = 2},
  [365] = {.lex_state = 88, .external_lex_state = 2},
  [366] = {.lex_state = 88, .external_lex_state = 2},
  [367] = {.lex_state = 88, .external_lex_state = 2},
  [368] = {.lex_state = 88, .external_lex_state = 3},
  [369] = {.lex_state = 88, .external_lex_state = 2},
  [370] = {.lex_state = 88, .external_lex_state = 2},
  [371] = {.lex_state = 88, .external_lex_state = 2},
  [372] = {.lex_state = 88, .external_lex_state = 2},
  [373] = {.lex_state = 88, .external_lex_state = 2},
  [374] = {.lex_state = 88, .external_lex_state = 2},
  [375] = {.lex_state = 88, .external_lex_state = 2},
  [376] = {.lex_state = 88, .external_lex_state = 2},
  [377] = {.lex_state = 88, .external_lex_state = 2},
  [378] = {.lex_state = 88, .external_lex_state = 2},
  [379] = {.lex_state = 88, .external_lex_state = 2},
  [380] = {.lex_state = 88, .external_lex_state = 2},
  [381] = {.lex_state = 88, .external_lex_state = 2},
  [382] = {.lex_state = 88, .external_lex_state = 2},
  [383] = {.lex_state = 88, .external_lex_state = 2},
  [384] = {.lex_state = 88, .external_lex_state = 2},
  [385] = {.lex_state = 88, .external_lex_state = 2},
  [386] = {.lex_state = 88, .external_lex_state = 2},
  [387] = {.lex_state = 88, .external_lex_state = 2},
  [388] = {.lex_state = 88, .external_lex_state = 2},
  [389] = {.lex_state = 88, .external_lex_state = 2},
  [390] = {.lex_state = 88, .external_lex_state = 2},
  [391] = {.lex_state = 88, .external_lex_state = 2},
  [392] = {.lex_state = 88, .external_lex_state = 2},
  [393] = {.lex_state = 88, .external_lex_state = 2},
  [394] = {.lex_state = 88, .external_lex_state = 2},
  [395] = {.lex_state = 88, .external_lex_state = 2},
  [396] = {.lex_state = 88, .external_lex_state = 2},
  [397] = {.lex_state = 88, .external_lex_state = 2},
  [398] = {.lex_state = 88, .external_lex_state = 2},
  [399] = {.lex_state = 88, .external_lex_state = 2},
  [400] = {.lex_state = 88, .external_lex_state = 2},
  [401] = {.lex_state = 88, .external_lex_state = 2},
  [402] = {.lex_state = 88, .external_lex_state = 2},
  [403] = {.lex_state = 88, .external_lex_state = 2},
  [404] = {.lex_state = 88, .external_lex_state = 2},
  [405] = {.lex_state = 88, .external_lex_state = 2},
  [406] = {.lex_state = 88, .external_lex_state = 2},
  [407] = {.lex_state = 88, .external_lex_state = 2},
  [408] = {.lex_state = 88, .external_lex_state = 2},
  [409] = {.lex_state = 88, .external_lex_state = 2},
  [410] = {.lex_state = 88, .external_lex_state = 2},
  [411] = {.lex_state = 88, .external_lex_state = 2},
  [412] = {.lex_state = 88, .external_lex_state = 2},
  [413] = {.lex_state = 88, .external_lex_state = 2},
  [414] = {.lex_state = 88, .external_lex_state = 2},
  [415] = {.lex_state = 88, .external_lex_state = 2},
  [416] = {.lex_state = 88, .external_lex_state = 2},
  [417] = {.lex_state = 88, .external_lex_state = 2},
  [418] = {.lex_state = 88, .external_lex_state = 2},
  [419] = {.lex_state = 88, .external_lex_state = 2},
  [420] = {.lex_state = 88, .external_lex_state = 3},
  [421] = {.lex_state = 88, .external_lex_state = 2},
  [422] = {.lex_state = 88, .external_lex_state = 2},
  [423] = {.lex_state = 88, .external_lex_state = 2},
  [424] = {.lex_state = 88, .external_lex_state = 2},
  [425] = {.lex_state = 88, .external_lex_state = 2},
  [426] = {.lex_state = 88, .external_lex_state = 2},
  [427] = {.lex_state = 88, .external_lex_state = 2},
  [428] = {.lex_state = 88, .external_lex_state = 2},
  [429] = {.lex_state = 88, .external_lex_state = 2},
  [430] = {.lex_state = 88, .external_lex_state = 2},
  [431] = {.lex_state = 88, .external_lex_state = 2},
  [432] = {.lex_state = 88, .external_lex_state = 2},
  [433] = {.lex_state = 88, .external_lex_state = 2},
  [434] = {.lex_state = 88, .external_lex_state = 2},
  [435] = {.lex_state = 88, .external_lex_state = 2},
  [436] = {.lex_state = 88, .external_lex_state = 2},
  [437] = {.lex_state = 88, .external_lex_state = 2},
  [438] = {.lex_state = 88, .external_lex_state = 2},
  [439] = {.lex_state = 88, .external_lex_state = 2},
  [440] = {.lex_state = 88, .external_lex_state = 2},
  [441] = {.lex_state = 88, .external_lex_state = 2},
  [442] = {.lex_state = 88, .external_lex_state = 2},
  [443] = {.lex_state = 88, .external_lex_state = 2},
  [444] = {.lex_state = 88, .external_lex_state = 2},
  [445] = {.lex_state = 88, .external_lex_state = 2},
  [446] = {.lex_state = 88, .external_lex_state = 2},
  [447] = {.lex_state = 88, .external_lex_state = 2},
  [448] = {.lex_state = 88, .external_lex_state = 2},
  [449] = {.lex_state = 88, .external_lex_state = 2},
  [450] = {.lex_state = 88, .external_lex_state = 2},
  [451] = {.lex_state = 88, .external_lex_state = 2},
  [452] = {.lex_state = 88, .external_lex_state = 2},
  [453] = {.lex_state = 88, .external_lex_state = 2},
  [454] = {.lex_state = 88, .external_lex_state = 2},
  [455] = {.lex_state = 88, .external_lex_state = 2},
  [456] = {.lex_state = 88, .external_lex_state = 2},
  [457] = {.lex_state = 88, .external_lex_state = 2},
  [458] = {.lex_state = 88, .external_lex_state = 2},
  [459] = {.lex_state = 88, .external_lex_state = 2},
  [460] = {.lex_state = 88, .external_lex_state = 2},
  [461] = {.lex_state = 88, .external_lex_state = 2},
  [462] = {.lex_state = 88, .external_lex_state = 2},
  [463] = {.lex_state = 88, .external_lex_state = 2},
  [464] = {.lex_state = 88, .external_lex_state = 2},
  [465] = {.lex_state = 88, .external_lex_state = 2},
  [466] = {.lex_state = 88, .external_lex_state = 2},
  [467] = {.lex_state = 88, .external_lex_state = 2},
  [468] = {.lex_state = 88, .external_lex_state = 2},
  [469] = {.lex_state = 88, .external_lex_state = 2},
  [470] = {.lex_state = 88, .external_lex_state = 2},
  [471] = {.lex_state = 88, .external_lex_state = 2},
  [472] = {.lex_state = 88, .external_lex_state = 2},
  [473] = {.lex_state = 88, .external_lex_state = 2},
  [474] = {.lex_state = 88, .external_lex_state = 2},
  [475] = {.lex_state = 88, .external_lex_state = 2},
  [476] = {.lex_state = 88, .external_lex_state = 2},
  [477] = {.lex_state = 88, .external_lex_state = 2},
  [478] = {.lex_state = 88, .external_lex_state = 2},
  [479] = {.lex_state = 88, .external_lex_state = 2},
  [480] = {.lex_state = 88, .external_lex_state = 2},
  [481] = {.lex_state = 88, .external_lex_state = 2},
  [482] = {.lex_state = 88, .external_lex_state = 2},
  [483] = {.lex_state = 88, .external_lex_state = 2},
  [484] = {.lex_state = 88, .external_lex_state = 2},
  [485] = {.lex_state = 88, .external_lex_state = 2},
  [486] = {.lex_state = 88, .external_lex_state = 2},
  [487] = {.lex_state = 88, .external_lex_state = 2},
  [488] = {.lex_state = 88, .external_lex_state = 2},
  [489] = {.lex_state = 88, .external_lex_state = 2},
  [490] = {.lex_state = 88, .external_lex_state = 2},
  [491] = {.lex_state = 88, .external_lex_state = 2},
  [492] = {.lex_state = 4, .external_lex_state = 2},
  [493] = {.lex_state = 88, .external_lex_state = 2},
  [494] = {.lex_state = 88, .external_lex_state = 3},
  [495] = {.lex_state = 88, .external_lex_state = 2},
  [496] = {.lex_state = 88, .external_lex_state = 2},
  [497] = {.lex_state = 88, .external_lex_state = 3},
  [498] = {.lex_state = 4, .external_lex_state = 2},
  [499] = {.lex_state = 88, .external_lex_state = 2},
  [500] = {.lex_state = 4, .external_lex_state = 2},
  [501] = {.lex_state = 88, .external_lex_state = 3},
  [502] = {.lex_state = 88, .external_lex_state = 3},
  [503] = {.lex_state = 88, .external_lex_state = 2},
  [504] = {.lex_state = 88, .external_lex_state = 2},
  [505] = {.lex_state = 88, .external_lex_state = 2},
  [506] = {.lex_state = 88, .external_lex_state = 2},
  [507] = {.lex_state = 88, .external_lex_state = 2},
  [508] = {.lex_state = 88, .external_lex_state = 2},
  [509] = {.lex_state = 88, .external_lex_state = 2},
  [510] = {.lex_state = 88, .external_lex_state = 2},
  [511] = {.lex_state = 88, .external_lex_state = 2},
  [512] = {.lex_state = 88, .external_lex_state = 2},
  [513] = {.lex_state = 88, .external_lex_state = 2},
  [514] = {.lex_state = 88, .external_lex_state = 2},
  [515] = {.lex_state = 88, .external_lex_state = 2},
  [516] = {.lex_state = 88, .external_lex_state = 2},
  [517] = {.lex_state = 88, .external_lex_state = 2},
  [518] = {.lex_state = 88, .external_lex_state = 2},
  [519] = {.lex_state = 88, .external_lex_state = 2},
  [520] = {.lex_state = 88, .external_lex_state = 2},
  [521] = {.lex_state = 88, .external_lex_state = 2},
  [522] = {.lex_state = 88, .external_lex_state = 2},
  [523] = {.lex_state = 88, .external_lex_state = 2},
  [524] = {.lex_state = 88, .external_lex_state = 2},
  [525] = {.lex_state = 88, .external_lex_state = 2},
  [526] = {.lex_state = 88, .external_lex_state = 2},
  [527] = {.lex_state = 88, .external_lex_state = 2},
  [528] = {.lex_state = 88, .external_lex_state = 2},
  [529] = {.lex_state = 88, .external_lex_state = 2},
  [530] = {.lex_state = 88, .external_lex_state = 2},
  [531] = {.lex_state = 88, .external_lex_state = 2},
  [532] = {.lex_state = 88, .external_lex_state = 2},
  [533] = {.lex_state = 88, .external_lex_state = 2},
  [534] = {.lex_state = 88, .external_lex_state = 2},
  [535] = {.lex_state = 88, .external_lex_state = 2},
  [536] = {.lex_state = 88, .external_lex_state = 2},
  [537] = {.lex_state = 88, .external_lex_state = 2},
  [538] = {.lex_state = 88, .external_lex_state = 2},
  [539] = {.lex_state = 88, .external_lex_state = 2},
  [540] = {.lex_state = 88, .external_lex_state = 2},
  [541] = {.lex_state = 88, .external_lex_state = 2},
  [542] = {.lex_state = 88, .external_lex_state = 2},
  [543] = {.lex_state = 88, .external_lex_state = 2},
  [544] = {.lex_state = 88, .external_lex_state = 2},
  [545] = {.lex_state = 88, .external_lex_state = 2},
  [546] = {.lex_state = 88, .external_lex_state = 2},
  [547] = {.lex_state = 88, .external_lex_state = 2},
  [548] = {.lex_state = 88, .external_lex_state = 2},
  [549] = {.lex_state = 88, .external_lex_state = 2},
  [550] = {.lex_state = 88, .external_lex_state = 2},
  [551] = {.lex_state = 88, .external_lex_state = 2},
  [552] = {.lex_state = 88, .external_lex_state = 2},
  [553] = {.lex_state = 88, .external_lex_state = 2},
  [554] = {.lex_state = 88, .external_lex_state = 2},
  [555] = {.lex_state = 88, .external_lex_state = 2},
  [556] = {.lex_state = 88, .external_lex_state = 2},
  [557] = {.lex_state = 88, .external_lex_state = 2},
  [558] = {.lex_state = 88, .external_lex_state = 2},
  [559] = {.lex_state = 88, .external_lex_state = 2},
  [560] = {.lex_state = 88, .external_lex_state = 2},
  [561] = {.lex_state = 88, .external_lex_state = 2},
  [562] = {.lex_state = 88, .external_lex_state = 2},
  [563] = {.lex_state = 88, .external_lex_state = 2},
  [564] = {.lex_state = 88, .external_lex_state = 2},
  [565] = {.lex_state = 88, .external_lex_state = 2},
  [566] = {.lex_state = 88, .external_lex_state = 2},
  [567] = {.lex_state = 88, .external_lex_state = 2},
  [568] = {.lex_state = 88, .external_lex_state = 2},
  [569] = {.lex_state = 88, .external_lex_state = 2},
  [570] = {.lex_state = 88, .external_lex_state = 2},
  [571] = {.lex_state = 88, .external_lex_state = 2},
  [572] = {.lex_state = 88, .external_lex_state = 2},
  [573] = {.lex_state = 88, .external_lex_state = 2},
  [574] = {.lex_state = 88, .external_lex_state = 2},
  [575] = {.lex_state = 88, .external_lex_state = 2},
  [576] = {.lex_state = 88, .external_lex_state = 2},
  [577] = {.lex_state = 88, .external_lex_state = 2},
  [578] = {.lex_state = 88, .external_lex_state = 2},
  [579] = {.lex_state = 88, .external_lex_state = 2},
  [580] = {.lex_state = 88, .external_lex_state = 2},
  [581] = {.lex_state = 88, .external_lex_state = 2},
  [582] = {.lex_state = 88, .external_lex_state = 2},
  [583] = {.lex_state = 88, .external_lex_state = 2},
  [584] = {.lex_state = 88, .external_lex_state = 2},
  [585] = {.lex_state = 88, .external_lex_state = 2},
  [586] = {.lex_state = 88, .external_lex_state = 2},
  [587] = {.lex_state = 88, .external_lex_state = 2},
  [588] = {.lex_state = 88, .external_lex_state = 2},
  [589] = {.lex_state = 88, .external_lex_state = 2},
  [590] = {.lex_state = 88, .external_lex_state = 2},
  [591] = {.lex_state = 88, .external_lex_state = 2},
  [592] = {.lex_state = 88, .external_lex_state = 2},
  [593] = {.lex_state = 88, .external_lex_state = 2},
  [594] = {.lex_state = 88, .external_lex_state = 2},
  [595] = {.lex_state = 88, .external_lex_state = 2},
  [596] = {.lex_state = 88, .external_lex_state = 2},
  [597] = {.lex_state = 88, .external_lex_state = 2},
  [598] = {.lex_state = 88, .external_lex_state = 2},
  [599] = {.lex_state = 88, .external_lex_state = 2},
  [600] = {.lex_state = 88, .external_lex_state = 2},
  [601] = {.lex_state = 88, .external_lex_state = 2},
  [602] = {.lex_state = 5, .external_lex_state = 4},
  [603] = {.lex_state = 5, .external_lex_state = 4},
  [604] = {.lex_state = 5, .external_lex_state = 4},
  [605] = {.lex_state = 5, .external_lex_state = 4},
  [606] = {.lex_state = 5, .external_lex_state = 4},
  [607] = {.lex_state = 88, .external_lex_state = 2},
  [608] = {.lex_state = 5, .external_lex_state = 4},
  [609] = {.lex_state = 88, .external_lex_state = 2},
  [610] = {.lex_state = 5, .external_lex_state = 4},
  [611] = {.lex_state = 88, .external_lex_state = 2},
  [612] = {.lex_state = 5, .external_lex_state = 4},
  [613] = {.lex_state = 88, .external_lex_state = 2},
  [614] = {.lex_state = 5, .external_lex_state = 4},
  [615] = {.lex_state = 88, .external_lex_state = 2},
  [616] = {.lex_state = 88, .external_lex_state = 2},
  [617] = {.lex_state = 88, .external_lex_state = 2},
  [618] = {.lex_state = 5, .external_lex_state = 4},
  [619] = {.lex_state = 5, .external_lex_state = 4},
  [620] = {.lex_state = 5, .external_lex_state = 4},
  [621] = {.lex_state = 5, .external_lex_state = 4},
  [622] = {.lex_state = 88, .external_lex_state = 2},
  [623] = {.lex_state = 88, .external_lex_state = 2},
  [624] = {.lex_state = 88, .external_lex_state = 2},
  [625] = {.lex_state = 88, .external_lex_state = 2},
  [626] = {.lex_state = 88, .external_lex_state = 2},
  [627] = {.lex_state = 88, .external_lex_state = 2},
  [628] = {.lex_state = 5, .external_lex_state = 4},
  [629] = {.lex_state = 5, .external_lex_state = 4},
  [630] = {.lex_state = 5, .external_lex_state = 4},
  [631] = {.lex_state = 5, .external_lex_state = 4},
  [632] = {.lex_state = 88, .external_lex_state = 2},
  [633] = {.lex_state = 5, .external_lex_state = 4},
  [634] = {.lex_state = 88, .external_lex_state = 2},
  [635] = {.lex_state = 5, .external_lex_state = 4},
  [636] = {.lex_state = 5, .external_lex_state = 4},
  [637] = {.lex_state = 88, .external_lex_state = 2},
  [638] = {.lex_state = 5, .external_lex_state = 4},
  [639] = {.lex_state = 5, .external_lex_state = 4},
  [640] = {.lex_state = 5, .external_lex_state = 4},
  [641] = {.lex_state = 5, .external_lex_state = 4},
  [642] = {.lex_state = 5, .external_lex_state = 4},
  [643] = {.lex_state = 5, .external_lex_state = 4},
  [644] = {.lex_state = 5, .external_lex_state = 4},
  [645] = {.lex_state = 5, .external_lex_state = 4},
  [646] = {.lex_state = 90, .external_lex_state = 4},
  [647] = {.lex_state = 5, .external_lex_state = 4},
  [648] = {.lex_state = 90, .external_lex_state = 4},
  [649] = {.lex_state = 88, .external_lex_state = 2},
  [650] = {.lex_state = 5, .external_lex_state = 4},
  [651] = {.lex_state = 88, .external_lex_state = 2},
  [652] = {.lex_state = 88, .external_lex_state = 2},
  [653] = {.lex_state = 90, .external_lex_state = 4},
  [654] = {.lex_state = 90, .external_lex_state = 4},
  [655] = {.lex_state = 5, .external_lex_state = 4},
  [656] = {.lex_state = 88, .external_lex_state = 2},
  [657] = {.lex_state = 5, .external_lex_state = 4},
  [658] = {.lex_state = 5, .external_lex_state = 4},
  [659] = {.lex_state = 88, .external_lex_state = 2},
  [660] = {.lex_state = 88, .external_lex_state = 2},
  [661] = {.lex_state = 88, .external_lex_state = 2},
  [662] = {.lex_state = 88, .external_lex_state = 2},
  [663] = {.lex_state = 88, .external_lex_state = 2},
  [664] = {.lex_state = 88, .external_lex_state = 2},
  [665] = {.lex_state = 88, .external_lex_state = 2},
  [666] = {.lex_state = 88, .external_lex_state = 2},
  [667] = {.lex_state = 88, .external_lex_state = 2},
  [668] = {.lex_state = 88, .external_lex_state = 2},
  [669] = {.lex_state = 88, .external_lex_state = 2},
  [670] = {.lex_state = 88, .external_lex_state = 2},
  [671] = {.lex_state = 88, .external_lex_state = 2},
  [672] = {.lex_state = 88, .external_lex_state = 2},
  [673] = {.lex_state = 88, .external_lex_state = 2},
  [674] = {.lex_state = 88, .external_lex_state = 2},
  [675] = {.lex_state = 88, .external_lex_state = 2},
  [676] = {.lex_state = 88, .external_lex_state = 2},
  [677] = {.lex_state = 88, .external_lex_state = 2},
  [678] = {.lex_state = 88, .external_lex_state = 2},
  [679] = {.lex_state = 88, .external_lex_state = 2},
  [680] = {.lex_state = 88, .external_lex_state = 2},
  [681] = {.lex_state = 88, .external_lex_state = 2},
  [682] = {.lex_state = 88, .external_lex_state = 2},
  [683] = {.lex_state = 88, .external_lex_state = 2},
  [684] = {.lex_state = 88, .external_lex_state = 2},
  [685] = {.lex_state = 88, .external_lex_state = 2},
  [686] = {.lex_state = 88, .external_lex_state = 2},
  [687] = {.lex_state = 88, .external_lex_state = 2},
  [688] = {.lex_state = 88, .external_lex_state = 2},
  [689] = {.lex_state = 88, .external_lex_state = 2},
  [690] = {.lex_state = 88, .external_lex_state = 2},
  [691] = {.lex_state = 88, .external_lex_state = 2},
  [692] = {.lex_state = 88, .external_lex_state = 2},
  [693] = {.lex_state = 88, .external_lex_state = 2},
  [694] = {.lex_state = 88, .external_lex_state = 2},
  [695] = {.lex_state = 88, .external_lex_state = 2},
  [696] = {.lex_state = 88, .external_lex_state = 2},
  [697] = {.lex_state = 88, .external_lex_state = 2},
  [698] = {.lex_state = 88, .external_lex_state = 2},
  [699] = {.lex_state = 88, .external_lex_state = 2},
  [700] = {.lex_state = 88, .external_lex_state = 2},
  [701] = {.lex_state = 88, .external_lex_state = 2},
  [702] = {.lex_state = 88, .external_lex_state = 2},
  [703] = {.lex_state = 88, .external_lex_state = 2},
  [704] = {.lex_state = 88, .external_lex_state = 2},
  [705] = {.lex_state = 88, .external_lex_state = 2},
  [706] = {.lex_state = 88, .external_lex_state = 2},
  [707] = {.lex_state = 88, .external_lex_state = 2},
  [708] = {.lex_state = 88, .external_lex_state = 2},
  [709] = {.lex_state = 88, .external_lex_state = 2},
  [710] = {.lex_state = 88, .external_lex_state = 2},
  [711] = {.lex_state = 88, .external_lex_state = 2},
  [712] = {.lex_state = 88, .external_lex_state = 2},
  [713] = {.lex_state = 88, .external_lex_state = 2},
  [714] = {.lex_state = 88, .external_lex_state = 2},
  [715] = {.lex_state = 88, .external_lex_state = 2},
  [716] = {.lex_state = 88, .external_lex_state = 2},
  [717] = {.lex_state = 88, .external_lex_state = 2},
  [718] = {.lex_state = 88, .external_lex_state = 2},
  [719] = {.lex_state = 88, .external_lex_state = 2},
  [720] = {.lex_state = 88, .external_lex_state = 2},
  [721] = {.lex_state = 88, .external_lex_state = 2},
  [722] = {.lex_state = 88, .external_lex_state = 2},
  [723] = {.lex_state = 88, .external_lex_state = 2},
  [724] = {.lex_state = 88, .external_lex_state = 2},
  [725] = {.lex_state = 88, .external_lex_state = 2},
  [726] = {.lex_state = 88, .external_lex_state = 2},
  [727] = {.lex_state = 88, .external_lex_state = 2},
  [728] = {.lex_state = 88, .external_lex_state = 2},
  [729] = {.lex_state = 88, .external_lex_state = 2},
  [730] = {.lex_state = 88, .external_lex_state = 2},
  [731] = {.lex_state = 88, .external_lex_state = 2},
  [732] = {.lex_state = 88, .external_lex_state = 2},
  [733] = {.lex_state = 88, .external_lex_state = 2},
  [734] = {.lex_state = 88, .external_lex_state = 2},
  [735] = {.lex_state = 88, .external_lex_state = 2},
  [736] = {.lex_state = 88, .external_lex_state = 2},
  [737] = {.lex_state = 88, .external_lex_state = 2},
  [738] = {.lex_state = 88, .external_lex_state = 2},
  [739] = {.lex_state = 88, .external_lex_state = 2},
  [740] = {.lex_state = 88, .external_lex_state = 2},
  [741] = {.lex_state = 88, .external_lex_state = 2},
  [742] = {.lex_state = 88, .external_lex_state = 2},
  [743] = {.lex_state = 88, .external_lex_state = 2},
  [744] = {.lex_state = 88, .external_lex_state = 2},
  [745] = {.lex_state = 88, .external_lex_state = 2},
  [746] = {.lex_state = 88, .external_lex_state = 2},
  [747] = {.lex_state = 88, .external_lex_state = 2},
  [748] = {.lex_state = 88, .external_lex_state = 2},
  [749] = {.lex_state = 88, .external_lex_state = 2},
  [750] = {.lex_state = 88, .external_lex_state = 2},
  [751] = {.lex_state = 88, .external_lex_state = 2},
  [752] = {.lex_state = 88, .external_lex_state = 2},
  [753] = {.lex_state = 88, .external_lex_state = 2},
  [754] = {.lex_state = 88, .external_lex_state = 2},
  [755] = {.lex_state = 88, .external_lex_state = 2},
  [756] = {.lex_state = 88, .external_lex_state = 2},
  [757] = {.lex_state = 88, .external_lex_state = 2},
  [758] = {.lex_state = 88, .external_lex_state = 2},
  [759] = {.lex_state = 88, .external_lex_state = 2},
  [760] = {.lex_state = 5, .external_lex_state = 4},
  [761] = {.lex_state = 88, .external_lex_state = 2},
  [762] = {.lex_state = 88, .external_lex_state = 2},
  [763] = {.lex_state = 88, .external_lex_state = 2},
  [764] = {.lex_state = 88, .external_lex_state = 2},
  [765] = {.lex_state = 88, .external_lex_state = 2},
  [766] = {.lex_state = 88, .external_lex_state = 2},
  [767] = {.lex_state = 88, .external_lex_state = 2},
  [768] = {.lex_state = 88, .external_lex_state = 2},
  [769] = {.lex_state = 88, .external_lex_state = 2},
  [770] = {.lex_state = 88, .external_lex_state = 2},
  [771] = {.lex_state = 88, .external_lex_state = 2},
  [772] = {.lex_state = 88, .external_lex_state = 2},
  [773] = {.lex_state = 5, .external_lex_state = 4},
  [774] = {.lex_state = 88, .external_lex_state = 2},
  [775] = {.lex_state = 88, .external_lex_state = 2},
  [776] = {.lex_state = 88, .external_lex_state = 2},
  [777] = {.lex_state = 88, .external_lex_state = 2},
  [778] = {.lex_state = 88, .external_lex_state = 2},
  [779] = {.lex_state = 88, .external_lex_state = 2},
  [780] = {.lex_state = 88, .external_lex_state = 2},
  [781] = {.lex_state = 88, .external_lex_state = 2},
  [782] = {.lex_state = 88, .external_lex_state = 2},
  [783] = {.lex_state = 88, .external_lex_state = 2},
  [784] = {.lex_state = 88, .external_lex_state = 2},
  [785] = {.lex_state = 88, .external_lex_state = 2},
  [786] = {.lex_state = 88, .external_lex_state = 2},
  [787] = {.lex_state = 88, .external_lex_state = 2},
  [788] = {.lex_state = 88, .external_lex_state = 2},
  [789] = {.lex_state = 88, .external_lex_state = 2},
  [790] = {.lex_state = 88, .external_lex_state = 2},
  [791] = {.lex_state = 88, .external_lex_state = 2},
  [792] = {.lex_state = 88, .external_lex_state = 2},
  [793] = {.lex_state = 88, .external_lex_state = 2},
  [794] = {.lex_state = 88, .external_lex_state = 2},
  [795] = {.lex_state = 88, .external_lex_state = 2},
  [796] = {.lex_state = 88, .external_lex_state = 2},
  [797] = {.lex_state = 88, .external_lex_state = 2},
  [798] = {.lex_state = 88, .external_lex_state = 2},
  [799] = {.lex_state = 88, .external_lex_state = 2},
  [800] = {.lex_state = 88, .external_lex_state = 2},
  [801] = {.lex_state = 88, .external_lex_state = 2},
  [802] = {.lex_state = 88, .external_lex_state = 2},
  [803] = {.lex_state = 88, .external_lex_state = 2},
  [804] = {.lex_state = 88, .external_lex_state = 2},
  [805] = {.lex_state = 88, .external_lex_state = 2},
  [806] = {.lex_state = 88, .external_lex_state = 2},
  [807] = {.lex_state = 88, .external_lex_state = 2},
  [808] = {.lex_state = 88, .external_lex_state = 2},
  [809] = {.lex_state = 88, .external_lex_state = 2},
  [810] = {.lex_state = 88, .external_lex_state = 2},
  [811] = {.lex_state = 88, .external_lex_state = 2},
  [812] = {.lex_state = 88, .external_lex_state = 2},
  [813] = {.lex_state = 88, .external_lex_state = 2},
  [814] = {.lex_state = 88, .external_lex_state = 2},
  [815] = {.lex_state = 88, .external_lex_state = 2},
  [816] = {.lex_state = 88, .external_lex_state = 2},
  [817] = {.lex_state = 88, .external_lex_state = 2},
  [818] = {.lex_state = 88, .external_lex_state = 2},
  [819] = {.lex_state = 5, .external_lex_state = 4},
  [820] = {.lex_state = 88, .external_lex_state = 2},
  [821] = {.lex_state = 5, .external_lex_state = 4},
  [822] = {.lex_state = 5, .external_lex_state = 4},
  [823] = {.lex_state = 5, .external_lex_state = 4},
  [824] = {.lex_state = 5, .external_lex_state = 4},
  [825] = {.lex_state = 88, .external_lex_state = 2},
  [826] = {.lex_state = 5, .external_lex_state = 4},
  [827] = {.lex_state = 5, .external_lex_state = 4},
  [828] = {.lex_state = 88, .external_lex_state = 2},
  [829] = {.lex_state = 88, .external_lex_state = 2},
  [830] = {.lex_state = 88, .external_lex_state = 2},
  [831] = {.lex_state = 5, .external_lex_state = 4},
  [832] = {.lex_state = 5, .external_lex_state = 4},
  [833] = {.lex_state = 5, .external_lex_state = 4},
  [834] = {.lex_state = 88, .external_lex_state = 2},
  [835] = {.lex_state = 88, .external_lex_state = 2},
  [836] = {.lex_state = 88, .external_lex_state = 2},
  [837] = {.lex_state = 88, .external_lex_state = 2},
  [838] = {.lex_state = 5, .external_lex_state = 4},
  [839] = {.lex_state = 5, .external_lex_state = 4},
  [840] = {.lex_state = 5, .external_lex_state = 4},
  [841] = {.lex_state = 5, .external_lex_state = 4},
  [842] = {.lex_state = 88, .external_lex_state = 2},
  [843] = {.lex_state = 88, .external_lex_state = 2},
  [844] = {.lex_state = 88, .external_lex_state = 2},
  [845] = {.lex_state = 88, .external_lex_state = 2},
  [846] = {.lex_state = 88, .external_lex_state = 2},
  [847] = {.lex_state = 88, .external_lex_state = 2},
  [848] = {.lex_state = 88, .external_lex_state = 2},
  [849] = {.lex_state = 88, .external_lex_state = 2},
  [850] = {.lex_state = 88, .external_lex_state = 2},
  [851] = {.lex_state = 88, .external_lex_state = 2},
  [852] = {.lex_state = 5, .external_lex_state = 4},
  [853] = {.lex_state = 88, .external_lex_state = 2},
  [854] = {.lex_state = 88, .external_lex_state = 2},
  [855] = {.lex_state = 88, .external_lex_state = 2},
  [856] = {.lex_state = 88, .external_lex_state = 2},
  [857] = {.lex_state = 88, .external_lex_state = 2},
  [858] = {.lex_state = 88, .external_lex_state = 2},
  [859] = {.lex_state = 88, .external_lex_state = 2},
  [860] = {.lex_state = 88, .external_lex_state = 2},
  [861] = {.lex_state = 88, .external_lex_state = 2},
  [862] = {.lex_state = 88, .external_lex_state = 2},
  [863] = {.lex_state = 88, .external_lex_state = 2},
  [864] = {.lex_state = 88, .external_lex_state = 2},
  [865] = {.lex_state = 88, .external_lex_state = 2},
  [866] = {.lex_state = 88, .external_lex_state = 2},
  [867] = {.lex_state = 88, .external_lex_state = 2},
  [868] = {.lex_state = 88, .external_lex_state = 2},
  [869] = {.lex_state = 88, .external_lex_state = 2},
  [870] = {.lex_state = 88, .external_lex_state = 2},
  [871] = {.lex_state = 88, .external_lex_state = 2},
  [872] = {.lex_state = 88, .external_lex_state = 2},
  [873] = {.lex_state = 88, .external_lex_state = 2},
  [874] = {.lex_state = 88, .external_lex_state = 2},
  [875] = {.lex_state = 88, .external_lex_state = 2},
  [876] = {.lex_state = 88, .external_lex_state = 2},
  [877] = {.lex_state = 88, .external_lex_state = 2},
  [878] = {.lex_state = 88, .external_lex_state = 2},
  [879] = {.lex_state = 88, .external_lex_state = 2},
  [880] = {.lex_state = 88, .external_lex_state = 2},
  [881] = {.lex_state = 88, .external_lex_state = 2},
  [882] = {.lex_state = 5, .external_lex_state = 4},
  [883] = {.lex_state = 5, .external_lex_state = 4},
  [884] = {.lex_state = 88, .external_lex_state = 2},
  [885] = {.lex_state = 88, .external_lex_state = 2},
  [886] = {.lex_state = 88, .external_lex_state = 2},
  [887] = {.lex_state = 88, .external_lex_state = 2},
  [888] = {.lex_state = 88, .external_lex_state = 2},
  [889] = {.lex_state = 88, .external_lex_state = 2},
  [890] = {.lex_state = 88, .external_lex_state = 2},
  [891] = {.lex_state = 88, .external_lex_state = 2},
  [892] = {.lex_state = 88, .external_lex_state = 2},
  [893] = {.lex_state = 5, .external_lex_state = 4},
  [894] = {.lex_state = 88, .external_lex_state = 2},
  [895] = {.lex_state = 88, .external_lex_state = 2},
  [896] = {.lex_state = 88, .external_lex_state = 2},
  [897] = {.lex_state = 88, .external_lex_state = 2},
  [898] = {.lex_state = 88, .external_lex_state = 2},
  [899] = {.lex_state = 88, .external_lex_state = 2},
  [900] = {.lex_state = 88, .external_lex_state = 2},
  [901] = {.lex_state = 88, .external_lex_state = 2},
  [902] = {.lex_state = 88, .external_lex_state = 2},
  [903] = {.lex_state = 88, .external_lex_state = 2},
  [904] = {.lex_state = 88, .external_lex_state = 2},
  [905] = {.lex_state = 88, .external_lex_state = 2},
  [906] = {.lex_state = 88, .external_lex_state = 2},
  [907] = {.lex_state = 88, .external_lex_state = 2},
  [908] = {.lex_state = 88, .external_lex_state = 2},
  [909] = {.lex_state = 88, .external_lex_state = 2},
  [910] = {.lex_state = 88, .external_lex_state = 2},
  [911] = {.lex_state = 88, .external_lex_state = 2},
  [912] = {.lex_state = 88, .external_lex_state = 2},
  [913] = {.lex_state = 88, .external_lex_state = 2},
  [914] = {.lex_state = 88, .external_lex_state = 2},
  [915] = {.lex_state = 88, .external_lex_state = 2},
  [916] = {.lex_state = 88, .external_lex_state = 2},
  [917] = {.lex_state = 88, .external_lex_state = 2},
  [918] = {.lex_state = 88, .external_lex_state = 2},
  [919] = {.lex_state = 88, .external_lex_state = 2},
  [920] = {.lex_state = 88, .external_lex_state = 2},
  [921] = {.lex_state = 88, .external_lex_state = 2},
  [922] = {.lex_state = 88, .external_lex_state = 2},
  [923] = {.lex_state = 88, .external_lex_state = 2},
  [924] = {.lex_state = 88, .external_lex_state = 2},
  [925] = {.lex_state = 88, .external_lex_state = 2},
  [926] = {.lex_state = 88, .external_lex_state = 2},
  [927] = {.lex_state = 88, .external_lex_state = 2},
  [928] = {.lex_state = 88, .external_lex_state = 2},
  [929] = {.lex_state = 88, .external_lex_state = 2},
  [930] = {.lex_state = 88, .external_lex_state = 2},
  [931] = {.lex_state = 88, .external_lex_state = 2},
  [932] = {.lex_state = 88, .external_lex_state = 2},
  [933] = {.lex_state = 88, .external_lex_state = 2},
  [934] = {.lex_state = 88, .external_lex_state = 2},
  [935] = {.lex_state = 88, .external_lex_state = 2},
  [936] = {.lex_state = 88, .external_lex_state = 2},
  [937] = {.lex_state = 88, .external_lex_state = 2},
  [938] = {.lex_state = 88, .external_lex_state = 2},
  [939] = {.lex_state = 88, .external_lex_state = 2},
  [940] = {.lex_state = 88, .external_lex_state = 2},
  [941] = {.lex_state = 88, .external_lex_state = 2},
  [942] = {.lex_state = 88, .external_lex_state = 2},
  [943] = {.lex_state = 88, .external_lex_state = 2},
  [944] = {.lex_state = 88, .external_lex_state = 2},
  [945] = {.lex_state = 88, .external_lex_state = 2},
  [946] = {.lex_state = 5, .external_lex_state = 4},
  [947] = {.lex_state = 88, .external_lex_state = 2},
  [948] = {.lex_state = 88, .external_lex_state = 2},
  [949] = {.lex_state = 88, .external_lex_state = 2},
  [950] = {.lex_state = 88, .external_lex_state = 2},
  [951] = {.lex_state = 88, .external_lex_state = 2},
  [952] = {.lex_state = 88, .external_lex_state = 2},
  [953] = {.lex_state = 88, .external_lex_state = 2},
  [954] = {.lex_state = 88, .external_lex_state = 2},
  [955] = {.lex_state = 88, .external_lex_state = 2},
  [956] = {.lex_state = 88, .external_lex_state = 2},
  [957] = {.lex_state = 88, .external_lex_state = 2},
  [958] = {.lex_state = 88, .external_lex_state = 2},
  [959] = {.lex_state = 88, .external_lex_state = 2},
  [960] = {.lex_state = 88, .external_lex_state = 2},
  [961] = {.lex_state = 88, .external_lex_state = 2},
  [962] = {.lex_state = 88, .external_lex_state = 2},
  [963] = {.lex_state = 88, .external_lex_state = 2},
  [964] = {.lex_state = 88, .external_lex_state = 2},
  [965] = {.lex_state = 88, .external_lex_state = 2},
  [966] = {.lex_state = 88, .external_lex_state = 2},
  [967] = {.lex_state = 88, .external_lex_state = 2},
  [968] = {.lex_state = 88, .external_lex_state = 2},
  [969] = {.lex_state = 88, .external_lex_state = 2},
  [970] = {.lex_state = 88, .external_lex_state = 2},
  [971] = {.lex_state = 88, .external_lex_state = 2},
  [972] = {.lex_state = 88, .external_lex_state = 2},
  [973] = {.lex_state = 88, .external_lex_state = 2},
  [974] = {.lex_state = 5, .external_lex_state = 4},
  [975] = {.lex_state = 88, .external_lex_state = 2},
  [976] = {.lex_state = 88, .external_lex_state = 2},
  [977] = {.lex_state = 88, .external_lex_state = 2},
  [978] = {.lex_state = 88, .external_lex_state = 2},
  [979] = {.lex_state = 88, .external_lex_state = 2},
  [980] = {.lex_state = 88, .external_lex_state = 2},
  [981] = {.lex_state = 88, .external_lex_state = 2},
  [982] = {.lex_state = 88, .external_lex_state = 2},
  [983] = {.lex_state = 88, .external_lex_state = 2},
  [984] = {.lex_state = 88, .external_lex_state = 2},
  [985] = {.lex_state = 88, .external_lex_state = 2},
  [986] = {.lex_state = 88, .external_lex_state = 2},
  [987] = {.lex_state = 88, .external_lex_state = 2},
  [988] = {.lex_state = 88, .external_lex_state = 2},
  [989] = {.lex_state = 88, .external_lex_state = 2},
  [990] = {.lex_state = 90, .external_lex_state = 4},
  [991] = {.lex_state = 88, .external_lex_state = 2},
  [992] = {.lex_state = 88, .external_lex_state = 2},
  [993] = {.lex_state = 88, .external_lex_state = 2},
  [994] = {.lex_state = 88, .external_lex_state = 2},
  [995] = {.lex_state = 88, .external_lex_state = 2},
  [996] = {.lex_state = 88, .external_lex_state = 2},
  [997] = {.lex_state = 88, .external_lex_state = 2},
  [998] = {.lex_state = 5, .external_lex_state = 4},
  [999] = {.lex_state = 88, .external_lex_state = 2},
  [1000] = {.lex_state = 88, .external_lex_state = 2},
  [1001] = {.lex_state = 88, .external_lex_state = 2},
  [1002] = {.lex_state = 88, .external_lex_state = 2},
  [1003] = {.lex_state = 88, .external_lex_state = 2},
  [1004] = {.lex_state = 88, .external_lex_state = 2},
  [1005] = {.lex_state = 88, .external_lex_state = 2},
  [1006] = {.lex_state = 88, .external_lex_state = 2},
  [1007] = {.lex_state = 88, .external_lex_state = 2},
  [1008] = {.lex_state = 88, .external_lex_state = 2},
  [1009] = {.lex_state = 88, .external_lex_state = 2},
  [1010] = {.lex_state = 88, .external_lex_state = 2},
  [1011] = {.lex_state = 88, .external_lex_state = 2},
  [1012] = {.lex_state = 88, .external_lex_state = 2},
  [1013] = {.lex_state = 88, .external_lex_state = 2},
  [1014] = {.lex_state = 88, .external_lex_state = 2},
  [1015] = {.lex_state = 88, .external_lex_state = 2},
  [1016] = {.lex_state = 88, .external_lex_state = 2},
  [1017] = {.lex_state = 88, .external_lex_state = 2},
  [1018] = {.lex_state = 88, .external_lex_state = 2},
  [1019] = {.lex_state = 88, .external_lex_state = 2},
  [1020] = {.lex_state = 88, .external_lex_state = 2},
  [1021] = {.lex_state = 88, .external_lex_state = 2},
  [1022] = {.lex_state = 88, .external_lex_state = 2},
  [1023] = {.lex_state = 88, .external_lex_state = 2},
  [1024] = {.lex_state = 88, .external_lex_state = 2},
  [1025] = {.lex_state = 88, .external_lex_state = 2},
  [1026] = {.lex_state = 88, .external_lex_state = 2},
  [1027] = {.lex_state = 88, .external_lex_state = 2},
  [1028] = {.lex_state = 88, .external_lex_state = 2},
  [1029] = {.lex_state = 88, .external_lex_state = 2},
  [1030] = {.lex_state = 88, .external_lex_state = 2},
  [1031] = {.lex_state = 88, .external_lex_state = 2},
  [1032] = {.lex_state = 88, .external_lex_state = 2},
  [1033] = {.lex_state = 88, .external_lex_state = 2},
  [1034] = {.lex_state = 88, .external_lex_state = 2},
  [1035] = {.lex_state = 88, .external_lex_state = 2},
  [1036] = {.lex_state = 88, .external_lex_state = 2},
  [1037] = {.lex_state = 88, .external_lex_state = 2},
  [1038] = {.lex_state = 88, .external_lex_state = 2},
  [1039] = {.lex_state = 88, .external_lex_state = 2},
  [1040] = {.lex_state = 88, .external_lex_state = 2},
  [1041] = {.lex_state = 88, .external_lex_state = 2},
  [1042] = {.lex_state = 88, .external_lex_state = 2},
  [1043] = {.lex_state = 5, .external_lex_state = 4},
  [1044] = {.lex_state = 88, .external_lex_state = 2},
  [1045] = {.lex_state = 5, .external_lex_state = 4},
  [1046] = {.lex_state = 5, .external_lex_state = 4},
  [1047] = {.lex_state = 5, .external_lex_state = 4},
  [1048] = {.lex_state = 5, .external_lex_state = 4},
  [1049] = {.lex_state = 5, .external_lex_state = 4},
  [1050] = {.lex_state = 5, .external_lex_state = 4},
  [1051] = {.lex_state = 5, .external_lex_state = 4},
  [1052] = {.lex_state = 5, .external_lex_state = 4},
  [1053] = {.lex_state = 5, .external_lex_state = 4},
  [1054] = {.lex_state = 5, .external_lex_state = 4},
  [1055] = {.lex_state = 5, .external_lex_state = 4},
  [1056] = {.lex_state = 5, .external_lex_state = 4},
  [1057] = {.lex_state = 5, .external_lex_state = 4},
  [1058] = {.lex_state = 5, .external_lex_state = 4},
  [1059] = {.lex_state = 5, .external_lex_state = 4},
  [1060] = {.lex_state = 5, .external_lex_state = 4},
  [1061] = {.lex_state = 5, .external_lex_state = 4},
  [1062] = {.lex_state = 5, .external_lex_state = 4},
  [1063] = {.lex_state = 5, .external_lex_state = 4},
  [1064] = {.lex_state = 5, .external_lex_state = 4},
  [1065] = {.lex_state = 5, .external_lex_state = 4},
  [1066] = {.lex_state = 5, .external_lex_state = 4},
  [1067] = {.lex_state = 5, .external_lex_state = 4},
  [1068] = {.lex_state = 5, .external_lex_state = 4},
  [1069] = {.lex_state = 88, .external_lex_state = 2},
  [1070] = {.lex_state = 5, .external_lex_state = 4},
  [1071] = {.lex_state = 5, .external_lex_state = 4},
  [1072] = {.lex_state = 5, .external_lex_state = 4},
  [1073] = {.lex_state = 5, .external_lex_state = 4},
  [1074] = {.lex_state = 88, .external_lex_state = 2},
  [1075] = {.lex_state = 88, .external_lex_state = 2},
  [1076] = {.lex_state = 88, .external_lex_state = 2},
  [1077] = {.lex_state = 5, .external_lex_state = 4},
  [1078] = {.lex_state = 88, .external_lex_state = 2},
  [1079] = {.lex_state = 88, .external_lex_state = 2},
  [1080] = {.lex_state = 88, .external_lex_state = 2},
  [1081] = {.lex_state = 5, .external_lex_state = 4},
  [1082] = {.lex_state = 88, .external_lex_state = 2},
  [1083] = {.lex_state = 88, .external_lex_state = 2},
  [1084] = {.lex_state = 88, .external_lex_state = 2},
  [1085] = {.lex_state = 5, .external_lex_state = 4},
  [1086] = {.lex_state = 88, .external_lex_state = 2},
  [1087] = {.lex_state = 5, .external_lex_state = 4},
  [1088] = {.lex_state = 5, .external_lex_state = 4},
  [1089] = {.lex_state = 88, .external_lex_state = 2},
  [1090] = {.lex_state = 88, .external_lex_state = 2},
  [1091] = {.lex_state = 5, .external_lex_state = 4},
  [1092] = {.lex_state = 5, .external_lex_state = 4},
  [1093] = {.lex_state = 5, .external_lex_state = 4},
  [1094] = {.lex_state = 5, .external_lex_state = 4},
  [1095] = {.lex_state = 88, .external_lex_state = 2},
  [1096] = {.lex_state = 5, .external_lex_state = 4},
  [1097] = {.lex_state = 5, .external_lex_state = 4},
  [1098] = {.lex_state = 5, .external_lex_state = 4},
  [1099] = {.lex_state = 5, .external_lex_state = 4},
  [1100] = {.lex_state = 88, .external_lex_state = 2},
  [1101] = {.lex_state = 5, .external_lex_state = 4},
  [1102] = {.lex_state = 88, .external_lex_state = 2},
  [1103] = {.lex_state = 5, .external_lex_state = 4},
  [1104] = {.lex_state = 88, .external_lex_state = 2},
  [1105] = {.lex_state = 5, .external_lex_state = 4},
  [1106] = {.lex_state = 88, .external_lex_state = 2},
  [1107] = {.lex_state = 88, .external_lex_state = 2},
  [1108] = {.lex_state = 88, .external_lex_state = 2},
  [1109] = {.lex_state = 5, .external_lex_state = 4},
  [1110] = {.lex_state = 5, .external_lex_state = 4},
  [1111] = {.lex_state = 5, .external_lex_state = 4},
  [1112] = {.lex_state = 5, .external_lex_state = 4},
  [1113] = {.lex_state = 5, .external_lex_state = 4},
  [1114] = {.lex_state = 5, .external_lex_state = 4},
  [1115] = {.lex_state = 5, .external_lex_state = 4},
  [1116] = {.lex_state = 88, .external_lex_state = 2},
  [1117] = {.lex_state = 5, .external_lex_state = 4},
  [1118] = {.lex_state = 5, .external_lex_state = 4},
  [1119] = {.lex_state = 5, .external_lex_state = 4},
  [1120] = {.lex_state = 5, .external_lex_state = 4},
  [1121] = {.lex_state = 5, .external_lex_state = 4},
  [1122] = {.lex_state = 5, .external_lex_state = 4},
  [1123] = {.lex_state = 5, .external_lex_state = 4},
  [1124] = {.lex_state = 5, .external_lex_state = 4},
  [1125] = {.lex_state = 5, .external_lex_state = 4},
  [1126] = {.lex_state = 5, .external_lex_state = 4},
  [1127] = {.lex_state = 5, .external_lex_state = 4},
  [1128] = {.lex_state = 5, .external_lex_state = 4},
  [1129] = {.lex_state = 5, .external_lex_state = 4},
  [1130] = {.lex_state = 5, .external_lex_state = 4},
  [1131] = {.lex_state = 5, .external_lex_state = 4},
  [1132] = {.lex_state = 88, .external_lex_state = 2},
  [1133] = {.lex_state = 5, .external_lex_state = 4},
  [1134] = {.lex_state = 5, .external_lex_state = 4},
  [1135] = {.lex_state = 88, .external_lex_state = 2},
  [1136] = {.lex_state = 5, .external_lex_state = 4},
  [1137] = {.lex_state = 5, .external_lex_state = 4},
  [1138] = {.lex_state = 5, .external_lex_state = 4},
  [1139] = {.lex_state = 5, .external_lex_state = 4},
  [1140] = {.lex_state = 5, .external_lex_state = 4},
  [1141] = {.lex_state = 5, .external_lex_state = 4},
  [1142] = {.lex_state = 5, .external_lex_state = 4},
  [1143] = {.lex_state = 5, .external_lex_state = 4},
  [1144] = {.lex_state = 5, .external_lex_state = 4},
  [1145] = {.lex_state = 5, .external_lex_state = 4},
  [1146] = {.lex_state = 5, .external_lex_state = 4},
  [1147] = {.lex_state = 88, .external_lex_state = 2},
  [1148] = {.lex_state = 88, .external_lex_state = 2},
  [1149] = {.lex_state = 5, .external_lex_state = 4},
  [1150] = {.lex_state = 5, .external_lex_state = 4},
  [1151] = {.lex_state = 5, .external_lex_state = 4},
  [1152] = {.lex_state = 5, .external_lex_state = 4},
  [1153] = {.lex_state = 5, .external_lex_state = 4},
  [1154] = {.lex_state = 5, .external_lex_state = 4},
  [1155] = {.lex_state = 5, .external_lex_state = 4},
  [1156] = {.lex_state = 5, .external_lex_state = 4},
  [1157] = {.lex_state = 5, .external_lex_state = 4},
  [1158] = {.lex_state = 5, .external_lex_state = 4},
  [1159] = {.lex_state = 5, .external_lex_state = 4},
  [1160] = {.lex_state = 5, .external_lex_state = 4},
  [1161] = {.lex_state = 5, .external_lex_state = 4},
  [1162] = {.lex_state = 88, .external_lex_state = 2},
  [1163] = {.lex_state = 88, .external_lex_state = 2},
  [1164] = {.lex_state = 5, .external_lex_state = 4},
  [1165] = {.lex_state = 5, .external_lex_state = 4},
  [1166] = {.lex_state = 5, .external_lex_state = 4},
  [1167] = {.lex_state = 5, .external_lex_state = 4},
  [1168] = {.lex_state = 5, .external_lex_state = 4},
  [1169] = {.lex_state = 5, .external_lex_state = 4},
  [1170] = {.lex_state = 5, .external_lex_state = 4},
  [1171] = {.lex_state = 88, .external_lex_state = 2},
  [1172] = {.lex_state = 5, .external_lex_state = 4},
  [1173] = {.lex_state = 5, .external_lex_state = 4},
  [1174] = {.lex_state = 5, .external_lex_state = 4},
  [1175] = {.lex_state = 5, .external_lex_state = 4},
  [1176] = {.lex_state = 5, .external_lex_state = 4},
  [1177] = {.lex_state = 5, .external_lex_state = 4},
  [1178] = {.lex_state = 5, .external_lex_state = 4},
  [1179] = {.lex_state = 5, .external_lex_state = 4},
  [1180] = {.lex_state = 5, .external_lex_state = 4},
  [1181] = {.lex_state = 5, .external_lex_state = 4},
  [1182] = {.lex_state = 5, .external_lex_state = 4},
  [1183] = {.lex_state = 88, .external_lex_state = 2},
  [1184] = {.lex_state = 5, .external_lex_state = 4},
  [1185] = {.lex_state = 88, .external_lex_state = 2},
  [1186] = {.lex_state = 5, .external_lex_state = 4},
  [1187] = {.lex_state = 5, .external_lex_state = 4},
  [1188] = {.lex_state = 88, .external_lex_state = 2},
  [1189] = {.lex_state = 5, .external_lex_state = 4},
  [1190] = {.lex_state = 5, .external_lex_state = 4},
  [1191] = {.lex_state = 5, .external_lex_state = 4},
  [1192] = {.lex_state = 5, .external_lex_state = 4},
  [1193] = {.lex_state = 5, .external_lex_state = 4},
  [1194] = {.lex_state = 5, .external_lex_state = 4},
  [1195] = {.lex_state = 5, .external_lex_state = 4},
  [1196] = {.lex_state = 5, .external_lex_state = 4},
  [1197] = {.lex_state = 88, .external_lex_state = 2},
  [1198] = {.lex_state = 5, .external_lex_state = 4},
  [1199] = {.lex_state = 5, .external_lex_state = 4},
  [1200] = {.lex_state = 5, .external_lex_state = 4},
  [1201] = {.lex_state = 5, .external_lex_state = 4},
  [1202] = {.lex_state = 5, .external_lex_state = 4},
  [1203] = {.lex_state = 5, .external_lex_state = 4},
  [1204] = {.lex_state = 5, .external_lex_state = 4},
  [1205] = {.lex_state = 88, .external_lex_state = 2},
  [1206] = {.lex_state = 5, .external_lex_state = 4},
  [1207] = {.lex_state = 5, .external_lex_state = 4},
  [1208] = {.lex_state = 5, .external_lex_state = 4},
  [1209] = {.lex_state = 5, .external_lex_state = 4},
  [1210] = {.lex_state = 5, .external_lex_state = 4},
  [1211] = {.lex_state = 5, .external_lex_state = 4},
  [1212] = {.lex_state = 5, .external_lex_state = 4},
  [1213] = {.lex_state = 88, .external_lex_state = 2},
  [1214] = {.lex_state = 5, .external_lex_state = 4},
  [1215] = {.lex_state = 5, .external_lex_state = 4},
  [1216] = {.lex_state = 88, .external_lex_state = 2},
  [1217] = {.lex_state = 88, .external_lex_state = 2},
  [1218] = {.lex_state = 5, .external_lex_state = 4},
  [1219] = {.lex_state = 5, .external_lex_state = 4},
  [1220] = {.lex_state = 5, .external_lex_state = 4},
  [1221] = {.lex_state = 88, .external_lex_state = 2},
  [1222] = {.lex_state = 88, .external_lex_state = 2},
  [1223] = {.lex_state = 88, .external_lex_state = 2},
  [1224] = {.lex_state = 88, .external_lex_state = 2},
  [1225] = {.lex_state = 88, .external_lex_state = 2},
  [1226] = {.lex_state = 88, .external_lex_state = 2},
  [1227] = {.lex_state = 88, .external_lex_state = 2},
  [1228] = {.lex_state = 88, .external_lex_state = 2},
  [1229] = {.lex_state = 88, .external_lex_state = 2},
  [1230] = {.lex_state = 88, .external_lex_state = 2},
  [1231] = {.lex_state = 5, .external_lex_state = 4},
  [1232] = {.lex_state = 5, .external_lex_state = 4},
  [1233] = {.lex_state = 5, .external_lex_state = 4},
  [1234] = {.lex_state = 5, .external_lex_state = 4},
  [1235] = {.lex_state = 88, .external_lex_state = 2},
  [1236] = {.lex_state = 88, .external_lex_state = 2},
  [1237] = {.lex_state = 5, .external_lex_state = 4},
  [1238] = {.lex_state = 88, .external_lex_state = 2},
  [1239] = {.lex_state = 88, .external_lex_state = 2},
  [1240] = {.lex_state = 88, .external_lex_state = 2},
  [1241] = {.lex_state = 88, .external_lex_state = 2},
  [1242] = {.lex_state = 88, .external_lex_state = 2},
  [1243] = {.lex_state = 88, .external_lex_state = 2},
  [1244] = {.lex_state = 5, .external_lex_state = 4},
  [1245] = {.lex_state = 88, .external_lex_state = 2},
  [1246] = {.lex_state = 88, .external_lex_state = 2},
  [1247] = {.lex_state = 88, .external_lex_state = 2},
  [1248] = {.lex_state = 88, .external_lex_state = 2},
  [1249] = {.lex_state = 88, .external_lex_state = 2},
  [1250] = {.lex_state = 88, .external_lex_state = 2},
  [1251] = {.lex_state = 88, .external_lex_state = 2},
  [1252] = {.lex_state = 88, .external_lex_state = 2},
  [1253] = {.lex_state = 88, .external_lex_state = 2},
  [1254] = {.lex_state = 5, .external_lex_state = 4},
  [1255] = {.lex_state = 88, .external_lex_state = 2},
  [1256] = {.lex_state = 88, .external_lex_state = 2},
  [1257] = {.lex_state = 88, .external_lex_state = 2},
  [1258] = {.lex_state = 5, .external_lex_state = 4},
  [1259] = {.lex_state = 5, .external_lex_state = 4},
  [1260] = {.lex_state = 88, .external_lex_state = 2},
  [1261] = {.lex_state = 88, .external_lex_state = 2},
  [1262] = {.lex_state = 88, .external_lex_state = 2},
  [1263] = {.lex_state = 88, .external_lex_state = 2},
  [1264] = {.lex_state = 88, .external_lex_state = 2},
  [1265] = {.lex_state = 88, .external_lex_state = 2},
  [1266] = {.lex_state = 88, .external_lex_state = 2},
  [1267] = {.lex_state = 5, .external_lex_state = 4},
  [1268] = {.lex_state = 5, .external_lex_state = 4},
  [1269] = {.lex_state = 88, .external_lex_state = 2},
  [1270] = {.lex_state = 88, .external_lex_state = 2},
  [1271] = {.lex_state = 5, .external_lex_state = 4},
  [1272] = {.lex_state = 88, .external_lex_state = 2},
  [1273] = {.lex_state = 88, .external_lex_state = 2},
  [1274] = {.lex_state = 88, .external_lex_state = 2},
  [1275] = {.lex_state = 5, .external_lex_state = 4},
  [1276] = {.lex_state = 88, .external_lex_state = 2},
  [1277] = {.lex_state = 88, .external_lex_state = 2},
  [1278] = {.lex_state = 5, .external_lex_state = 4},
  [1279] = {.lex_state = 88, .external_lex_state = 2},
  [1280] = {.lex_state = 88, .external_lex_state = 2},
  [1281] = {.lex_state = 88, .external_lex_state = 2},
  [1282] = {.lex_state = 5, .external_lex_state = 4},
  [1283] = {.lex_state = 88, .external_lex_state = 2},
  [1284] = {.lex_state = 88, .external_lex_state = 2},
  [1285] = {.lex_state = 88, .external_lex_state = 2},
  [1286] = {.lex_state = 88, .external_lex_state = 2},
  [1287] = {.lex_state = 5, .external_lex_state = 4},
  [1288] = {.lex_state = 5, .external_lex_state = 4},
  [1289] = {.lex_state = 5, .external_lex_state = 4},
  [1290] = {.lex_state = 88, .external_lex_state = 2},
  [1291] = {.lex_state = 5, .external_lex_state = 4},
  [1292] = {.lex_state = 88, .external_lex_state = 2},
  [1293] = {.lex_state = 88, .external_lex_state = 2},
  [1294] = {.lex_state = 88, .external_lex_state = 2},
  [1295] = {.lex_state = 88, .external_lex_state = 2},
  [1296] = {.lex_state = 88, .external_lex_state = 2},
  [1297] = {.lex_state = 88, .external_lex_state = 2},
  [1298] = {.lex_state = 88, .external_lex_state = 2},
  [1299] = {.lex_state = 88, .external_lex_state = 2},
  [1300] = {.lex_state = 88, .external_lex_state = 2},
  [1301] = {.lex_state = 88, .external_lex_state = 2},
  [1302] = {.lex_state = 88, .external_lex_state = 2},
  [1303] = {.lex_state = 88, .external_lex_state = 2},
  [1304] = {.lex_state = 88, .external_lex_state = 2},
  [1305] = {.lex_state = 88, .external_lex_state = 2},
  [1306] = {.lex_state = 88, .external_lex_state = 2},
  [1307] = {.lex_state = 88, .external_lex_state = 2},
  [1308] = {.lex_state = 88, .external_lex_state = 2},
  [1309] = {.lex_state = 88, .external_lex_state = 2},
  [1310] = {.lex_state = 88, .external_lex_state = 2},
  [1311] = {.lex_state = 88, .external_lex_state = 2},
  [1312] = {.lex_state = 88, .external_lex_state = 2},
  [1313] = {.lex_state = 88, .external_lex_state = 2},
  [1314] = {.lex_state = 88, .external_lex_state = 2},
  [1315] = {.lex_state = 88, .external_lex_state = 2},
  [1316] = {.lex_state = 88, .external_lex_state = 2},
  [1317] = {.lex_state = 88, .external_lex_state = 2},
  [1318] = {.lex_state = 88, .external_lex_state = 2},
  [1319] = {.lex_state = 88, .external_lex_state = 2},
  [1320] = {.lex_state = 88, .external_lex_state = 2},
  [1321] = {.lex_state = 88, .external_lex_state = 2},
  [1322] = {.lex_state = 88, .external_lex_state = 2},
  [1323] = {.lex_state = 88, .external_lex_state = 2},
  [1324] = {.lex_state = 88, .external_lex_state = 2},
  [1325] = {.lex_state = 88, .external_lex_state = 2},
  [1326] = {.lex_state = 88, .external_lex_state = 2},
  [1327] = {.lex_state = 88, .external_lex_state = 2},
  [1328] = {.lex_state = 88, .external_lex_state = 2},
  [1329] = {.lex_state = 88, .external_lex_state = 2},
  [1330] = {.lex_state = 88, .external_lex_state = 2},
  [1331] = {.lex_state = 88, .external_lex_state = 2},
  [1332] = {.lex_state = 88, .external_lex_state = 2},
  [1333] = {.lex_state = 88, .external_lex_state = 2},
  [1334] = {.lex_state = 88, .external_lex_state = 2},
  [1335] = {.lex_state = 88, .external_lex_state = 2},
  [1336] = {.lex_state = 88, .external_lex_state = 2},
  [1337] = {.lex_state = 88, .external_lex_state = 2},
  [1338] = {.lex_state = 88, .external_lex_state = 2},
  [1339] = {.lex_state = 88, .external_lex_state = 2},
  [1340] = {.lex_state = 88, .external_lex_state = 2},
  [1341] = {.lex_state = 88, .external_lex_state = 2},
  [1342] = {.lex_state = 88, .external_lex_state = 2},
  [1343] = {.lex_state = 88, .external_lex_state = 2},
  [1344] = {.lex_state = 88, .external_lex_state = 2},
  [1345] = {.lex_state = 88, .external_lex_state = 2},
  [1346] = {.lex_state = 88, .external_lex_state = 2},
  [1347] = {.lex_state = 88, .external_lex_state = 2},
  [1348] = {.lex_state = 88, .external_lex_state = 2},
  [1349] = {.lex_state = 88, .external_lex_state = 2},
  [1350] = {.lex_state = 88, .external_lex_state = 2},
  [1351] = {.lex_state = 88, .external_lex_state = 2},
  [1352] = {.lex_state = 88, .external_lex_state = 2},
  [1353] = {.lex_state = 88, .external_lex_state = 2},
  [1354] = {.lex_state = 88, .external_lex_state = 2},
  [1355] = {.lex_state = 88, .external_lex_state = 2},
  [1356] = {.lex_state = 88, .external_lex_state = 2},
  [1357] = {.lex_state = 88, .external_lex_state = 2},
  [1358] = {.lex_state = 88, .external_lex_state = 2},
  [1359] = {.lex_state = 88, .external_lex_state = 2},
  [1360] = {.lex_state = 88, .external_lex_state = 2},
  [1361] = {.lex_state = 88, .external_lex_state = 2},
  [1362] = {.lex_state = 88, .external_lex_state = 2},
  [1363] = {.lex_state = 88, .external_lex_state = 2},
  [1364] = {.lex_state = 88, .external_lex_state = 2},
  [1365] = {.lex_state = 88, .external_lex_state = 2},
  [1366] = {.lex_state = 88, .external_lex_state = 2},
  [1367] = {.lex_state = 88, .external_lex_state = 2},
  [1368] = {.lex_state = 88, .external_lex_state = 2},
  [1369] = {.lex_state = 5, .external_lex_state = 4},
  [1370] = {.lex_state = 88, .external_lex_state = 2},
  [1371] = {.lex_state = 88, .external_lex_state = 2},
  [1372] = {.lex_state = 88, .external_lex_state = 2},
  [1373] = {.lex_state = 5, .external_lex_state = 4},
  [1374] = {.lex_state = 88, .external_lex_state = 2},
  [1375] = {.lex_state = 88, .external_lex_state = 2},
  [1376] = {.lex_state = 88, .external_lex_state = 2},
  [1377] = {.lex_state = 88, .external_lex_state = 2},
  [1378] = {.lex_state = 88, .external_lex_state = 2},
  [1379] = {.lex_state = 88, .external_lex_state = 2},
  [1380] = {.lex_state = 5, .external_lex_state = 4},
  [1381] = {.lex_state = 88, .external_lex_state = 2},
  [1382] = {.lex_state = 5, .external_lex_state = 4},
  [1383] = {.lex_state = 88, .external_lex_state = 2},
  [1384] = {.lex_state = 88, .external_lex_state = 2},
  [1385] = {.lex_state = 5, .external_lex_state = 4},
  [1386] = {.lex_state = 5, .external_lex_state = 4},
  [1387] = {.lex_state = 88, .external_lex_state = 2},
  [1388] = {.lex_state = 88, .external_lex_state = 2},
  [1389] = {.lex_state = 5, .external_lex_state = 4},
  [1390] = {.lex_state = 88, .external_lex_state = 2},
  [1391] = {.lex_state = 88, .external_lex_state = 2},
  [1392] = {.lex_state = 88, .external_lex_state = 2},
  [1393] = {.lex_state = 88, .external_lex_state = 2},
  [1394] = {.lex_state = 88, .external_lex_state = 2},
  [1395] = {.lex_state = 88, .external_lex_state = 2},
  [1396] = {.lex_state = 88, .external_lex_state = 2},
  [1397] = {.lex_state = 88, .external_lex_state = 2},
  [1398] = {.lex_state = 88, .external_lex_state = 2},
  [1399] = {.lex_state = 88, .external_lex_state = 2},
  [1400] = {.lex_state = 88, .external_lex_state = 2},
  [1401] = {.lex_state = 88, .external_lex_state = 2},
  [1402] = {.lex_state = 88, .external_lex_state = 2},
  [1403] = {.lex_state = 88, .external_lex_state = 2},
  [1404] = {.lex_state = 88, .external_lex_state = 2},
  [1405] = {.lex_state = 88, .external_lex_state = 2},
  [1406] = {.lex_state = 88, .external_lex_state = 2},
  [1407] = {.lex_state = 88, .external_lex_state = 2},
  [1408] = {.lex_state = 88, .external_lex_state = 2},
  [1409] = {.lex_state = 88, .external_lex_state = 2},
  [1410] = {.lex_state = 88, .external_lex_state = 2},
  [1411] = {.lex_state = 88, .external_lex_state = 2},
  [1412] = {.lex_state = 88, .external_lex_state = 2},
  [1413] = {.lex_state = 88, .external_lex_state = 2},
  [1414] = {.lex_state = 88, .external_lex_state = 2},
  [1415] = {.lex_state = 88, .external_lex_state = 2},
  [1416] = {.lex_state = 88, .external_lex_state = 2},
  [1417] = {.lex_state = 88, .external_lex_state = 2},
  [1418] = {.lex_state = 88, .external_lex_state = 2},
  [1419] = {.lex_state = 88, .external_lex_state = 2},
  [1420] = {.lex_state = 88, .external_lex_state = 2},
  [1421] = {.lex_state = 88, .external_lex_state = 2},
  [1422] = {.lex_state = 88, .external_lex_state = 2},
  [1423] = {.lex_state = 88, .external_lex_state = 2},
  [1424] = {.lex_state = 88, .external_lex_state = 2},
  [1425] = {.lex_state = 88, .external_lex_state = 2},
  [1426] = {.lex_state = 88, .external_lex_state = 2},
  [1427] = {.lex_state = 88, .external_lex_state = 2},
  [1428] = {.lex_state = 88, .external_lex_state = 2},
  [1429] = {.lex_state = 88, .external_lex_state = 2},
  [1430] = {.lex_state = 88, .external_lex_state = 2},
  [1431] = {.lex_state = 88, .external_lex_state = 2},
  [1432] = {.lex_state = 88, .external_lex_state = 2},
  [1433] = {.lex_state = 88, .external_lex_state = 2},
  [1434] = {.lex_state = 88, .external_lex_state = 2},
  [1435] = {.lex_state = 88, .external_lex_state = 2},
  [1436] = {.lex_state = 88, .external_lex_state = 2},
  [1437] = {.lex_state = 88, .external_lex_state = 2},
  [1438] = {.lex_state = 88, .external_lex_state = 2},
  [1439] = {.lex_state = 88, .external_lex_state = 2},
  [1440] = {.lex_state = 88, .external_lex_state = 2},
  [1441] = {.lex_state = 88, .external_lex_state = 2},
  [1442] = {.lex_state = 88, .external_lex_state = 2},
  [1443] = {.lex_state = 88, .external_lex_state = 2},
  [1444] = {.lex_state = 88, .external_lex_state = 2},
  [1445] = {.lex_state = 88, .external_lex_state = 2},
  [1446] = {.lex_state = 88, .external_lex_state = 2},
  [1447] = {.lex_state = 88, .external_lex_state = 2},
  [1448] = {.lex_state = 88, .external_lex_state = 2},
  [1449] = {.lex_state = 88, .external_lex_state = 2},
  [1450] = {.lex_state = 88, .external_lex_state = 2},
  [1451] = {.lex_state = 88, .external_lex_state = 2},
  [1452] = {.lex_state = 88, .external_lex_state = 2},
  [1453] = {.lex_state = 88, .external_lex_state = 2},
  [1454] = {.lex_state = 88, .external_lex_state = 2},
  [1455] = {.lex_state = 88, .external_lex_state = 2},
  [1456] = {.lex_state = 88, .external_lex_state = 2},
  [1457] = {.lex_state = 88, .external_lex_state = 2},
  [1458] = {.lex_state = 88, .external_lex_state = 2},
  [1459] = {.lex_state = 88, .external_lex_state = 2},
  [1460] = {.lex_state = 88, .external_lex_state = 2},
  [1461] = {.lex_state = 88, .external_lex_state = 2},
  [1462] = {.lex_state = 88, .external_lex_state = 2},
  [1463] = {.lex_state = 88, .external_lex_state = 2},
  [1464] = {.lex_state = 88, .external_lex_state = 2},
  [1465] = {.lex_state = 88, .external_lex_state = 2},
  [1466] = {.lex_state = 88, .external_lex_state = 2},
  [1467] = {.lex_state = 88, .external_lex_state = 2},
  [1468] = {.lex_state = 88, .external_lex_state = 2},
  [1469] = {.lex_state = 88, .external_lex_state = 2},
  [1470] = {.lex_state = 88, .external_lex_state = 2},
  [1471] = {.lex_state = 88, .external_lex_state = 2},
  [1472] = {.lex_state = 88, .external_lex_state = 2},
  [1473] = {.lex_state = 88, .external_lex_state = 2},
  [1474] = {.lex_state = 88, .external_lex_state = 2},
  [1475] = {.lex_state = 88, .external_lex_state = 2},
  [1476] = {.lex_state = 88, .external_lex_state = 2},
  [1477] = {.lex_state = 88, .external_lex_state = 2},
  [1478] = {.lex_state = 88, .external_lex_state = 2},
  [1479] = {.lex_state = 88, .external_lex_state = 2},
  [1480] = {.lex_state = 88, .external_lex_state = 2},
  [1481] = {.lex_state = 88, .external_lex_state = 2},
  [1482] = {.lex_state = 88, .external_lex_state = 2},
  [1483] = {.lex_state = 88, .external_lex_state = 2},
  [1484] = {.lex_state = 88, .external_lex_state = 2},
  [1485] = {.lex_state = 88, .external_lex_state = 2},
  [1486] = {.lex_state = 88, .external_lex_state = 2},
  [1487] = {.lex_state = 88, .external_lex_state = 2},
  [1488] = {.lex_state = 88, .external_lex_state = 2},
  [1489] = {.lex_state = 88, .external_lex_state = 2},
  [1490] = {.lex_state = 88, .external_lex_state = 2},
  [1491] = {.lex_state = 88, .external_lex_state = 2},
  [1492] = {.lex_state = 88, .external_lex_state = 2},
  [1493] = {.lex_state = 88, .external_lex_state = 2},
  [1494] = {.lex_state = 88, .external_lex_state = 2},
  [1495] = {.lex_state = 88, .external_lex_state = 2},
  [1496] = {.lex_state = 88, .external_lex_state = 2},
  [1497] = {.lex_state = 88, .external_lex_state = 2},
  [1498] = {.lex_state = 88, .external_lex_state = 2},
  [1499] = {.lex_state = 88, .external_lex_state = 2},
  [1500] = {.lex_state = 88, .external_lex_state = 2},
  [1501] = {.lex_state = 88, .external_lex_state = 2},
  [1502] = {.lex_state = 88, .external_lex_state = 2},
  [1503] = {.lex_state = 88, .external_lex_state = 2},
  [1504] = {.lex_state = 90, .external_lex_state = 6},
  [1505] = {.lex_state = 88, .external_lex_state = 2},
  [1506] = {.lex_state = 88, .external_lex_state = 2},
  [1507] = {.lex_state = 88, .external_lex_state = 2},
  [1508] = {.lex_state = 88, .external_lex_state = 2},
  [1509] = {.lex_state = 88, .external_lex_state = 2},
  [1510] = {.lex_state = 88, .external_lex_state = 2},
  [1511] = {.lex_state = 88, .external_lex_state = 2},
  [1512] = {.lex_state = 90, .external_lex_state = 6},
  [1513] = {.lex_state = 88, .external_lex_state = 2},
  [1514] = {.lex_state = 88, .external_lex_state = 2},
  [1515] = {.lex_state = 88, .external_lex_state = 2},
  [1516] = {.lex_state = 88, .external_lex_state = 2},
  [1517] = {.lex_state = 88, .external_lex_state = 2},
  [1518] = {.lex_state = 88, .external_lex_state = 2},
  [1519] = {.lex_state = 90, .external_lex_state = 6},
  [1520] = {.lex_state = 88, .external_lex_state = 2},
  [1521] = {.lex_state = 88, .external_lex_state = 2},
  [1522] = {.lex_state = 88, .external_lex_state = 2},
  [1523] = {.lex_state = 88, .external_lex_state = 2},
  [1524] = {.lex_state = 88, .external_lex_state = 2},
  [1525] = {.lex_state = 88, .external_lex_state = 2},
  [1526] = {.lex_state = 88, .external_lex_state = 2},
  [1527] = {.lex_state = 88, .external_lex_state = 2},
  [1528] = {.lex_state = 88, .external_lex_state = 2},
  [1529] = {.lex_state = 88, .external_lex_state = 2},
  [1530] = {.lex_state = 88, .external_lex_state = 2},
  [1531] = {.lex_state = 88, .external_lex_state = 2},
  [1532] = {.lex_state = 88, .external_lex_state = 2},
  [1533] = {.lex_state = 88, .external_lex_state = 2},
  [1534] = {.lex_state = 88, .external_lex_state = 2},
  [1535] = {.lex_state = 88, .external_lex_state = 2},
  [1536] = {.lex_state = 88, .external_lex_state = 2},
  [1537] = {.lex_state = 88, .external_lex_state = 2},
  [1538] = {.lex_state = 88, .external_lex_state = 2},
  [1539] = {.lex_state = 88, .external_lex_state = 2},
  [1540] = {.lex_state = 88, .external_lex_state = 2},
  [1541] = {.lex_state = 88, .external_lex_state = 2},
  [1542] = {.lex_state = 88, .external_lex_state = 2},
  [1543] = {.lex_state = 88, .external_lex_state = 2},
  [1544] = {.lex_state = 88, .external_lex_state = 2},
  [1545] = {.lex_state = 88, .external_lex_state = 2},
  [1546] = {.lex_state = 88, .external_lex_state = 2},
  [1547] = {.lex_state = 88, .external_lex_state = 2},
  [1548] = {.lex_state = 88, .external_lex_state = 2},
  [1549] = {.lex_state = 88, .external_lex_state = 2},
  [1550] = {.lex_state = 88, .external_lex_state = 2},
  [1551] = {.lex_state = 88, .external_lex_state = 2},
  [1552] = {.lex_state = 88, .external_lex_state = 2},
  [1553] = {.lex_state = 88, .external_lex_state = 2},
  [1554] = {.lex_state = 88, .external_lex_state = 2},
  [1555] = {.lex_state = 88, .external_lex_state = 2},
  [1556] = {.lex_state = 88, .external_lex_state = 2},
  [1557] = {.lex_state = 88, .external_lex_state = 2},
  [1558] = {.lex_state = 88, .external_lex_state = 2},
  [1559] = {.lex_state = 88, .external_lex_state = 2},
  [1560] = {.lex_state = 88, .external_lex_state = 2},
  [1561] = {.lex_state = 88, .external_lex_state = 2},
  [1562] = {.lex_state = 88, .external_lex_state = 2},
  [1563] = {.lex_state = 88, .external_lex_state = 2},
  [1564] = {.lex_state = 88, .external_lex_state = 2},
  [1565] = {.lex_state = 88, .external_lex_state = 2},
  [1566] = {.lex_state = 88, .external_lex_state = 2},
  [1567] = {.lex_state = 88, .external_lex_state = 2},
  [1568] = {.lex_state = 88, .external_lex_state = 2},
  [1569] = {.lex_state = 88, .external_lex_state = 2},
  [1570] = {.lex_state = 88, .external_lex_state = 2},
  [1571] = {.lex_state = 88, .external_lex_state = 2},
  [1572] = {.lex_state = 5, .external_lex_state = 6},
  [1573] = {.lex_state = 5, .external_lex_state = 6},
  [1574] = {.lex_state = 5, .external_lex_state = 4},
  [1575] = {.lex_state = 88, .external_lex_state = 2},
  [1576] = {.lex_state = 88, .external_lex_state = 2},
  [1577] = {.lex_state = 88, .external_lex_state = 2},
  [1578] = {.lex_state = 88, .external_lex_state = 2},
  [1579] = {.lex_state = 88, .external_lex_state = 2},
  [1580] = {.lex_state = 88, .external_lex_state = 2},
  [1581] = {.lex_state = 5, .external_lex_state = 6},
  [1582] = {.lex_state = 5, .external_lex_state = 6},
  [1583] = {.lex_state = 88, .external_lex_state = 2},
  [1584] = {.lex_state = 88, .external_lex_state = 2},
  [1585] = {.lex_state = 88, .external_lex_state = 2},
  [1586] = {.lex_state = 88, .external_lex_state = 2},
  [1587] = {.lex_state = 88, .external_lex_state = 2},
  [1588] = {.lex_state = 88, .external_lex_state = 2},
  [1589] = {.lex_state = 88, .external_lex_state = 2},
  [1590] = {.lex_state = 88, .external_lex_state = 2},
  [1591] = {.lex_state = 88, .external_lex_state = 2},
  [1592] = {.lex_state = 5, .external_lex_state = 6},
  [1593] = {.lex_state = 88, .external_lex_state = 2},
  [1594] = {.lex_state = 88, .external_lex_state = 2},
  [1595] = {.lex_state = 88, .external_lex_state = 2},
  [1596] = {.lex_state = 88, .external_lex_state = 2},
  [1597] = {.lex_state = 88, .external_lex_state = 2},
  [1598] = {.lex_state = 88, .external_lex_state = 2},
  [1599] = {.lex_state = 88, .external_lex_state = 2},
  [1600] = {.lex_state = 88, .external_lex_state = 2},
  [1601] = {.lex_state = 88, .external_lex_state = 2},
  [1602] = {.lex_state = 5, .external_lex_state = 6},
  [1603] = {.lex_state = 88, .external_lex_state = 2},
  [1604] = {.lex_state = 88, .external_lex_state = 2},
  [1605] = {.lex_state = 88, .external_lex_state = 2},
  [1606] = {.lex_state = 88, .external_lex_state = 2},
  [1607] = {.lex_state = 88, .external_lex_state = 2},
  [1608] = {.lex_state = 88, .external_lex_state = 2},
  [1609] = {.lex_state = 88, .external_lex_state = 2},
  [1610] = {.lex_state = 88, .external_lex_state = 2},
  [1611] = {.lex_state = 88, .external_lex_state = 2},
  [1612] = {.lex_state = 88, .external_lex_state = 2},
  [1613] = {.lex_state = 88, .external_lex_state = 2},
  [1614] = {.lex_state = 88, .external_lex_state = 2},
  [1615] = {.lex_state = 88, .external_lex_state = 2},
  [1616] = {.lex_state = 88, .external_lex_state = 2},
  [1617] = {.lex_state = 5, .external_lex_state = 6},
  [1618] = {.lex_state = 88, .external_lex_state = 2},
  [1619] = {.lex_state = 88, .external_lex_state = 2},
  [1620] = {.lex_state = 88, .external_lex_state = 2},
  [1621] = {.lex_state = 88, .external_lex_state = 2},
  [1622] = {.lex_state = 88, .external_lex_state = 2},
  [1623] = {.lex_state = 88, .external_lex_state = 2},
  [1624] = {.lex_state = 88, .external_lex_state = 2},
  [1625] = {.lex_state = 88, .external_lex_state = 2},
  [1626] = {.lex_state = 88, .external_lex_state = 2},
  [1627] = {.lex_state = 88, .external_lex_state = 2},
  [1628] = {.lex_state = 88, .external_lex_state = 2},
  [1629] = {.lex_state = 88, .external_lex_state = 2},
  [1630] = {.lex_state = 88, .external_lex_state = 2},
  [1631] = {.lex_state = 88, .external_lex_state = 2},
  [1632] = {.lex_state = 88, .external_lex_state = 2},
  [1633] = {.lex_state = 88, .external_lex_state = 2},
  [1634] = {.lex_state = 5, .external_lex_state = 6},
  [1635] = {.lex_state = 88, .external_lex_state = 2},
  [1636] = {.lex_state = 88, .external_lex_state = 2},
  [1637] = {.lex_state = 88, .external_lex_state = 2},
  [1638] = {.lex_state = 88, .external_lex_state = 2},
  [1639] = {.lex_state = 88, .external_lex_state = 2},
  [1640] = {.lex_state = 88, .external_lex_state = 2},
  [1641] = {.lex_state = 88, .external_lex_state = 2},
  [1642] = {.lex_state = 88, .external_lex_state = 2},
  [1643] = {.lex_state = 88, .external_lex_state = 2},
  [1644] = {.lex_state = 88, .external_lex_state = 2},
  [1645] = {.lex_state = 88, .external_lex_state = 2},
  [1646] = {.lex_state = 88, .external_lex_state = 2},
  [1647] = {.lex_state = 88, .external_lex_state = 2},
  [1648] = {.lex_state = 88, .external_lex_state = 2},
  [1649] = {.lex_state = 88, .external_lex_state = 2},
  [1650] = {.lex_state = 88, .external_lex_state = 2},
  [1651] = {.lex_state = 88, .external_lex_state = 2},
  [1652] = {.lex_state = 88, .external_lex_state = 2},
  [1653] = {.lex_state = 88, .external_lex_state = 2},
  [1654] = {.lex_state = 5, .external_lex_state = 6},
  [1655] = {.lex_state = 5, .external_lex_state = 6},
  [1656] = {.lex_state = 88, .external_lex_state = 2},
  [1657] = {.lex_state = 88, .external_lex_state = 2},
  [1658] = {.lex_state = 88, .external_lex_state = 2},
  [1659] = {.lex_state = 88, .external_lex_state = 2},
  [1660] = {.lex_state = 88, .external_lex_state = 2},
  [1661] = {.lex_state = 88, .external_lex_state = 2},
  [1662] = {.lex_state = 88, .external_lex_state = 2},
  [1663] = {.lex_state = 88, .external_lex_state = 2},
  [1664] = {.lex_state = 88, .external_lex_state = 2},
  [1665] = {.lex_state = 88, .external_lex_state = 2},
  [1666] = {.lex_state = 88, .external_lex_state = 2},
  [1667] = {.lex_state = 88, .external_lex_state = 2},
  [1668] = {.lex_state = 5, .external_lex_state = 6},
  [1669] = {.lex_state = 88, .external_lex_state = 2},
  [1670] = {.lex_state = 88, .external_lex_state = 2},
  [1671] = {.lex_state = 88, .external_lex_state = 2},
  [1672] = {.lex_state = 5, .external_lex_state = 4},
  [1673] = {.lex_state = 88, .external_lex_state = 2},
  [1674] = {.lex_state = 88, .external_lex_state = 2},
  [1675] = {.lex_state = 88, .external_lex_state = 2},
  [1676] = {.lex_state = 88, .external_lex_state = 2},
  [1677] = {.lex_state = 88, .external_lex_state = 2},
  [1678] = {.lex_state = 88, .external_lex_state = 2},
  [1679] = {.lex_state = 88, .external_lex_state = 2},
  [1680] = {.lex_state = 88, .external_lex_state = 2},
  [1681] = {.lex_state = 88, .external_lex_state = 2},
  [1682] = {.lex_state = 88, .external_lex_state = 2},
  [1683] = {.lex_state = 5, .external_lex_state = 6},
  [1684] = {.lex_state = 6, .external_lex_state = 4},
  [1685] = {.lex_state = 88, .external_lex_state = 2},
  [1686] = {.lex_state = 88, .external_lex_state = 2},
  [1687] = {.lex_state = 88, .external_lex_state = 2},
  [1688] = {.lex_state = 88, .external_lex_state = 2},
  [1689] = {.lex_state = 88, .external_lex_state = 2},
  [1690] = {.lex_state = 88, .external_lex_state = 2},
  [1691] = {.lex_state = 88, .external_lex_state = 2},
  [1692] = {.lex_state = 88, .external_lex_state = 2},
  [1693] = {.lex_state = 88, .external_lex_state = 2},
  [1694] = {.lex_state = 88, .external_lex_state = 2},
  [1695] = {.lex_state = 88, .external_lex_state = 2},
  [1696] = {.lex_state = 88, .external_lex_state = 2},
  [1697] = {.lex_state = 88, .external_lex_state = 2},
  [1698] = {.lex_state = 88, .external_lex_state = 2},
  [1699] = {.lex_state = 88, .external_lex_state = 2},
  [1700] = {.lex_state = 88, .external_lex_state = 2},
  [1701] = {.lex_state = 88, .external_lex_state = 2},
  [1702] = {.lex_state = 5, .external_lex_state = 6},
  [1703] = {.lex_state = 5, .external_lex_state = 6},
  [1704] = {.lex_state = 5, .external_lex_state = 6},
  [1705] = {.lex_state = 88, .external_lex_state = 2},
  [1706] = {.lex_state = 88, .external_lex_state = 2},
  [1707] = {.lex_state = 88, .external_lex_state = 2},
  [1708] = {.lex_state = 88, .external_lex_state = 2},
  [1709] = {.lex_state = 88, .external_lex_state = 2},
  [1710] = {.lex_state = 88, .external_lex_state = 2},
  [1711] = {.lex_state = 88, .external_lex_state = 2},
  [1712] = {.lex_state = 88, .external_lex_state = 2},
  [1713] = {.lex_state = 88, .external_lex_state = 2},
  [1714] = {.lex_state = 88, .external_lex_state = 2},
  [1715] = {.lex_state = 88, .external_lex_state = 2},
  [1716] = {.lex_state = 5, .external_lex_state = 6},
  [1717] = {.lex_state = 5, .external_lex_state = 6},
  [1718] = {.lex_state = 5, .external_lex_state = 6},
  [1719] = {.lex_state = 88, .external_lex_state = 2},
  [1720] = {.lex_state = 88, .external_lex_state = 2},
  [1721] = {.lex_state = 88, .external_lex_state = 2},
  [1722] = {.lex_state = 6, .external_lex_state = 4},
  [1723] = {.lex_state = 88, .external_lex_state = 2},
  [1724] = {.lex_state = 88, .external_lex_state = 2},
  [1725] = {.lex_state = 88, .external_lex_state = 2},
  [1726] = {.lex_state = 88, .external_lex_state = 2},
  [1727] = {.lex_state = 88, .external_lex_state = 2},
  [1728] = {.lex_state = 88, .external_lex_state = 2},
  [1729] = {.lex_state = 88, .external_lex_state = 2},
  [1730] = {.lex_state = 88, .external_lex_state = 2},
  [1731] = {.lex_state = 88, .external_lex_state = 2},
  [1732] = {.lex_state = 88, .external_lex_state = 2},
  [1733] = {.lex_state = 88, .external_lex_state = 2},
  [1734] = {.lex_state = 88, .external_lex_state = 2},
  [1735] = {.lex_state = 88, .external_lex_state = 2},
  [1736] = {.lex_state = 88, .external_lex_state = 2},
  [1737] = {.lex_state = 88, .external_lex_state = 2},
  [1738] = {.lex_state = 88, .external_lex_state = 2},
  [1739] = {.lex_state = 88, .external_lex_state = 2},
  [1740] = {.lex_state = 88, .external_lex_state = 2},
  [1741] = {.lex_state = 88, .external_lex_state = 2},
  [1742] = {.lex_state = 88, .external_lex_state = 2},
  [1743] = {.lex_state = 88, .external_lex_state = 2},
  [1744] = {.lex_state = 88, .external_lex_state = 2},
  [1745] = {.lex_state = 88, .external_lex_state = 2},
  [1746] = {.lex_state = 88, .external_lex_state = 2},
  [1747] = {.lex_state = 88, .external_lex_state = 2},
  [1748] = {.lex_state = 88, .external_lex_state = 2},
  [1749] = {.lex_state = 88, .external_lex_state = 2},
  [1750] = {.lex_state = 88, .external_lex_state = 2},
  [1751] = {.lex_state = 88, .external_lex_state = 2},
  [1752] = {.lex_state = 88, .external_lex_state = 2},
  [1753] = {.lex_state = 88, .external_lex_state = 2},
  [1754] = {.lex_state = 88, .external_lex_state = 2},
  [1755] = {.lex_state = 88, .external_lex_state = 2},
  [1756] = {.lex_state = 88, .external_lex_state = 2},
  [1757] = {.lex_state = 5, .external_lex_state = 6},
  [1758] = {.lex_state = 5, .external_lex_state = 6},
  [1759] = {.lex_state = 88, .external_lex_state = 2},
  [1760] = {.lex_state = 88, .external_lex_state = 2},
  [1761] = {.lex_state = 88, .external_lex_state = 2},
  [1762] = {.lex_state = 88, .external_lex_state = 2},
  [1763] = {.lex_state = 88, .external_lex_state = 2},
  [1764] = {.lex_state = 88, .external_lex_state = 2},
  [1765] = {.lex_state = 88, .external_lex_state = 2},
  [1766] = {.lex_state = 88, .external_lex_state = 2},
  [1767] = {.lex_state = 88, .external_lex_state = 2},
  [1768] = {.lex_state = 88, .external_lex_state = 2},
  [1769] = {.lex_state = 88, .external_lex_state = 2},
  [1770] = {.lex_state = 88, .external_lex_state = 2},
  [1771] = {.lex_state = 88, .external_lex_state = 2},
  [1772] = {.lex_state = 88, .external_lex_state = 2},
  [1773] = {.lex_state = 88, .external_lex_state = 2},
  [1774] = {.lex_state = 88, .external_lex_state = 2},
  [1775] = {.lex_state = 88, .external_lex_state = 2},
  [1776] = {.lex_state = 88, .external_lex_state = 2},
  [1777] = {.lex_state = 88, .external_lex_state = 2},
  [1778] = {.lex_state = 90, .external_lex_state = 6},
  [1779] = {.lex_state = 88, .external_lex_state = 2},
  [1780] = {.lex_state = 88, .external_lex_state = 2},
  [1781] = {.lex_state = 88, .external_lex_state = 2},
  [1782] = {.lex_state = 88, .external_lex_state = 2},
  [1783] = {.lex_state = 88, .external_lex_state = 2},
  [1784] = {.lex_state = 88, .external_lex_state = 2},
  [1785] = {.lex_state = 88, .external_lex_state = 2},
  [1786] = {.lex_state = 88, .external_lex_state = 2},
  [1787] = {.lex_state = 88, .external_lex_state = 2},
  [1788] = {.lex_state = 88, .external_lex_state = 2},
  [1789] = {.lex_state = 88, .external_lex_state = 2},
  [1790] = {.lex_state = 88, .external_lex_state = 2},
  [1791] = {.lex_state = 88, .external_lex_state = 2},
  [1792] = {.lex_state = 88, .external_lex_state = 2},
  [1793] = {.lex_state = 88, .external_lex_state = 2},
  [1794] = {.lex_state = 88, .external_lex_state = 2},
  [1795] = {.lex_state = 88, .external_lex_state = 2},
  [1796] = {.lex_state = 88, .external_lex_state = 2},
  [1797] = {.lex_state = 88, .external_lex_state = 2},
  [1798] = {.lex_state = 88, .external_lex_state = 2},
  [1799] = {.lex_state = 88, .external_lex_state = 2},
  [1800] = {.lex_state = 88, .external_lex_state = 2},
  [1801] = {.lex_state = 88, .external_lex_state = 2},
  [1802] = {.lex_state = 88, .external_lex_state = 2},
  [1803] = {.lex_state = 88, .external_lex_state = 2},
  [1804] = {.lex_state = 88, .external_lex_state = 2},
  [1805] = {.lex_state = 88, .external_lex_state = 2},
  [1806] = {.lex_state = 88, .external_lex_state = 2},
  [1807] = {.lex_state = 88, .external_lex_state = 2},
  [1808] = {.lex_state = 88, .external_lex_state = 2},
  [1809] = {.lex_state = 88, .external_lex_state = 2},
  [1810] = {.lex_state = 88, .external_lex_state = 2},
  [1811] = {.lex_state = 88, .external_lex_state = 2},
  [1812] = {.lex_state = 88, .external_lex_state = 2},
  [1813] = {.lex_state = 88, .external_lex_state = 2},
  [1814] = {.lex_state = 88, .external_lex_state = 2},
  [1815] = {.lex_state = 88, .external_lex_state = 2},
  [1816] = {.lex_state = 88, .external_lex_state = 2},
  [1817] = {.lex_state = 88, .external_lex_state = 2},
  [1818] = {.lex_state = 5, .external_lex_state = 6},
  [1819] = {.lex_state = 88, .external_lex_state = 2},
  [1820] = {.lex_state = 88, .external_lex_state = 2},
  [1821] = {.lex_state = 88, .external_lex_state = 2},
  [1822] = {.lex_state = 88, .external_lex_state = 2},
  [1823] = {.lex_state = 88, .external_lex_state = 2},
  [1824] = {.lex_state = 88, .external_lex_state = 2},
  [1825] = {.lex_state = 88, .external_lex_state = 2},
  [1826] = {.lex_state = 88, .external_lex_state = 2},
  [1827] = {.lex_state = 88, .external_lex_state = 2},
  [1828] = {.lex_state = 88, .external_lex_state = 2},
  [1829] = {.lex_state = 88, .external_lex_state = 2},
  [1830] = {.lex_state = 88, .external_lex_state = 2},
  [1831] = {.lex_state = 88, .external_lex_state = 2},
  [1832] = {.lex_state = 88, .external_lex_state = 2},
  [1833] = {.lex_state = 88, .external_lex_state = 2},
  [1834] = {.lex_state = 88, .external_lex_state = 2},
  [1835] = {.lex_state = 88, .external_lex_state = 2},
  [1836] = {.lex_state = 88, .external_lex_state = 2},
  [1837] = {.lex_state = 88, .external_lex_state = 2},
  [1838] = {.lex_state = 88, .external_lex_state = 2},
  [1839] = {.lex_state = 88, .external_lex_state = 2},
  [1840] = {.lex_state = 88, .external_lex_state = 2},
  [1841] = {.lex_state = 88, .external_lex_state = 2},
  [1842] = {.lex_state = 88, .external_lex_state = 2},
  [1843] = {.lex_state = 88, .external_lex_state = 2},
  [1844] = {.lex_state = 88, .external_lex_state = 2},
  [1845] = {.lex_state = 5, .external_lex_state = 6},
  [1846] = {.lex_state = 88, .external_lex_state = 2},
  [1847] = {.lex_state = 88, .external_lex_state = 2},
  [1848] = {.lex_state = 88, .external_lex_state = 2},
  [1849] = {.lex_state = 88, .external_lex_state = 2},
  [1850] = {.lex_state = 88, .external_lex_state = 2},
  [1851] = {.lex_state = 88, .external_lex_state = 2},
  [1852] = {.lex_state = 88, .external_lex_state = 2},
  [1853] = {.lex_state = 88, .external_lex_state = 2},
  [1854] = {.lex_state = 88, .external_lex_state = 2},
  [1855] = {.lex_state = 88, .external_lex_state = 2},
  [1856] = {.lex_state = 88, .external_lex_state = 2},
  [1857] = {.lex_state = 88, .external_lex_state = 2},
  [1858] = {.lex_state = 88, .external_lex_state = 2},
  [1859] = {.lex_state = 88, .external_lex_state = 2},
  [1860] = {.lex_state = 88, .external_lex_state = 2},
  [1861] = {.lex_state = 88, .external_lex_state = 2},
  [1862] = {.lex_state = 88, .external_lex_state = 2},
  [1863] = {.lex_state = 88, .external_lex_state = 2},
  [1864] = {.lex_state = 88, .external_lex_state = 2},
  [1865] = {.lex_state = 88, .external_lex_state = 2},
  [1866] = {.lex_state = 88, .external_lex_state = 2},
  [1867] = {.lex_state = 88, .external_lex_state = 2},
  [1868] = {.lex_state = 88, .external_lex_state = 2},
  [1869] = {.lex_state = 88, .external_lex_state = 2},
  [1870] = {.lex_state = 88, .external_lex_state = 2},
  [1871] = {.lex_state = 88, .external_lex_state = 2},
  [1872] = {.lex_state = 88, .external_lex_state = 2},
  [1873] = {.lex_state = 88, .external_lex_state = 2},
  [1874] = {.lex_state = 88, .external_lex_state = 2},
  [1875] = {.lex_state = 88, .external_lex_state = 2},
  [1876] = {.lex_state = 88, .external_lex_state = 2},
  [1877] = {.lex_state = 88, .external_lex_state = 2},
  [1878] = {.lex_state = 88, .external_lex_state = 2},
  [1879] = {.lex_state = 88, .external_lex_state = 2},
  [1880] = {.lex_state = 88, .external_lex_state = 2},
  [1881] = {.lex_state = 88, .external_lex_state = 2},
  [1882] = {.lex_state = 88, .external_lex_state = 2},
  [1883] = {.lex_state = 88, .external_lex_state = 2},
  [1884] = {.lex_state = 88, .external_lex_state = 2},
  [1885] = {.lex_state = 88, .external_lex_state = 2},
  [1886] = {.lex_state = 88, .external_lex_state = 2},
  [1887] = {.lex_state = 88, .external_lex_state = 2},
  [1888] = {.lex_state = 88, .external_lex_state = 2},
  [1889] = {.lex_state = 88, .external_lex_state = 2},
  [1890] = {.lex_state = 88, .external_lex_state = 2},
  [1891] = {.lex_state = 88, .external_lex_state = 2},
  [1892] = {.lex_state = 88, .external_lex_state = 2},
  [1893] = {.lex_state = 88, .external_lex_state = 2},
  [1894] = {.lex_state = 88, .external_lex_state = 2},
  [1895] = {.lex_state = 88, .external_lex_state = 2},
  [1896] = {.lex_state = 88, .external_lex_state = 2},
  [1897] = {.lex_state = 88, .external_lex_state = 2},
  [1898] = {.lex_state = 88, .external_lex_state = 2},
  [1899] = {.lex_state = 88, .external_lex_state = 2},
  [1900] = {.lex_state = 88, .external_lex_state = 2},
  [1901] = {.lex_state = 88, .external_lex_state = 2},
  [1902] = {.lex_state = 88, .external_lex_state = 2},
  [1903] = {.lex_state = 88, .external_lex_state = 2},
  [1904] = {.lex_state = 88, .external_lex_state = 2},
  [1905] = {.lex_state = 88, .external_lex_state = 2},
  [1906] = {.lex_state = 88, .external_lex_state = 2},
  [1907] = {.lex_state = 88, .external_lex_state = 2},
  [1908] = {.lex_state = 88, .external_lex_state = 2},
  [1909] = {.lex_state = 88, .external_lex_state = 2},
  [1910] = {.lex_state = 88, .external_lex_state = 2},
  [1911] = {.lex_state = 88, .external_lex_state = 2},
  [1912] = {.lex_state = 88, .external_lex_state = 2},
  [1913] = {.lex_state = 88, .external_lex_state = 2},
  [1914] = {.lex_state = 88, .external_lex_state = 2},
  [1915] = {.lex_state = 88, .external_lex_state = 2},
  [1916] = {.lex_state = 88, .external_lex_state = 2},
  [1917] = {.lex_state = 88, .external_lex_state = 2},
  [1918] = {.lex_state = 88, .external_lex_state = 2},
  [1919] = {.lex_state = 88, .external_lex_state = 2},
  [1920] = {.lex_state = 88, .external_lex_state = 2},
  [1921] = {.lex_state = 88, .external_lex_state = 2},
  [1922] = {.lex_state = 88, .external_lex_state = 2},
  [1923] = {.lex_state = 88, .external_lex_state = 2},
  [1924] = {.lex_state = 88, .external_lex_state = 2},
  [1925] = {.lex_state = 88, .external_lex_state = 2},
  [1926] = {.lex_state = 88, .external_lex_state = 2},
  [1927] = {.lex_state = 88, .external_lex_state = 2},
  [1928] = {.lex_state = 88, .external_lex_state = 2},
  [1929] = {.lex_state = 88, .external_lex_state = 2},
  [1930] = {.lex_state = 88, .external_lex_state = 2},
  [1931] = {.lex_state = 88, .external_lex_state = 2},
  [1932] = {.lex_state = 88, .external_lex_state = 2},
  [1933] = {.lex_state = 88, .external_lex_state = 2},
  [1934] = {.lex_state = 88, .external_lex_state = 2},
  [1935] = {.lex_state = 88, .external_lex_state = 2},
  [1936] = {.lex_state = 88, .external_lex_state = 2},
  [1937] = {.lex_state = 88, .external_lex_state = 2},
  [1938] = {.lex_state = 88, .external_lex_state = 2},
  [1939] = {.lex_state = 88, .external_lex_state = 2},
  [1940] = {.lex_state = 88, .external_lex_state = 2},
  [1941] = {.lex_state = 88, .external_lex_state = 2},
  [1942] = {.lex_state = 88, .external_lex_state = 2},
  [1943] = {.lex_state = 88, .external_lex_state = 2},
  [1944] = {.lex_state = 88, .external_lex_state = 2},
  [1945] = {.lex_state = 88, .external_lex_state = 2},
  [1946] = {.lex_state = 88, .external_lex_state = 2},
  [1947] = {.lex_state = 88, .external_lex_state = 2},
  [1948] = {.lex_state = 88, .external_lex_state = 2},
  [1949] = {.lex_state = 5, .external_lex_state = 4},
  [1950] = {.lex_state = 88, .external_lex_state = 2},
  [1951] = {.lex_state = 88, .external_lex_state = 2},
  [1952] = {.lex_state = 88, .external_lex_state = 2},
  [1953] = {.lex_state = 88, .external_lex_state = 2},
  [1954] = {.lex_state = 6, .external_lex_state = 4},
  [1955] = {.lex_state = 88, .external_lex_state = 2},
  [1956] = {.lex_state = 88, .external_lex_state = 2},
  [1957] = {.lex_state = 88, .external_lex_state = 2},
  [1958] = {.lex_state = 88, .external_lex_state = 2},
  [1959] = {.lex_state = 88, .external_lex_state = 2},
  [1960] = {.lex_state = 5, .external_lex_state = 4},
  [1961] = {.lex_state = 88, .external_lex_state = 2},
  [1962] = {.lex_state = 88, .external_lex_state = 2},
  [1963] = {.lex_state = 5, .external_lex_state = 4},
  [1964] = {.lex_state = 88, .external_lex_state = 2},
  [1965] = {.lex_state = 88, .external_lex_state = 2},
  [1966] = {.lex_state = 88, .external_lex_state = 2},
  [1967] = {.lex_state = 88, .external_lex_state = 2},
  [1968] = {.lex_state = 88, .external_lex_state = 2},
  [1969] = {.lex_state = 88, .external_lex_state = 2},
  [1970] = {.lex_state = 88, .external_lex_state = 2},
  [1971] = {.lex_state = 88, .external_lex_state = 2},
  [1972] = {.lex_state = 88, .external_lex_state = 2},
  [1973] = {.lex_state = 88, .external_lex_state = 2},
  [1974] = {.lex_state = 88, .external_lex_state = 2},
  [1975] = {.lex_state = 88, .external_lex_state = 2},
  [1976] = {.lex_state = 88, .external_lex_state = 2},
  [1977] = {.lex_state = 5, .external_lex_state = 4},
  [1978] = {.lex_state = 88, .external_lex_state = 2},
  [1979] = {.lex_state = 88, .external_lex_state = 2},
  [1980] = {.lex_state = 88, .external_lex_state = 2},
  [1981] = {.lex_state = 88, .external_lex_state = 2},
  [1982] = {.lex_state = 88, .external_lex_state = 2},
  [1983] = {.lex_state = 88, .external_lex_state = 2},
  [1984] = {.lex_state = 88, .external_lex_state = 2},
  [1985] = {.lex_state = 88, .external_lex_state = 2},
  [1986] = {.lex_state = 88, .external_lex_state = 2},
  [1987] = {.lex_state = 88, .external_lex_state = 2},
  [1988] = {.lex_state = 88, .external_lex_state = 2},
  [1989] = {.lex_state = 88, .external_lex_state = 2},
  [1990] = {.lex_state = 88, .external_lex_state = 2},
  [1991] = {.lex_state = 88, .external_lex_state = 2},
  [1992] = {.lex_state = 88, .external_lex_state = 2},
  [1993] = {.lex_state = 88, .external_lex_state = 2},
  [1994] = {.lex_state = 88, .external_lex_state = 2},
  [1995] = {.lex_state = 88, .external_lex_state = 2},
  [1996] = {.lex_state = 88, .external_lex_state = 2},
  [1997] = {.lex_state = 88, .external_lex_state = 2},
  [1998] = {.lex_state = 88, .external_lex_state = 2},
  [1999] = {.lex_state = 88, .external_lex_state = 2},
  [2000] = {.lex_state = 88, .external_lex_state = 2},
  [2001] = {.lex_state = 88, .external_lex_state = 2},
  [2002] = {.lex_state = 5, .external_lex_state = 4},
  [2003] = {.lex_state = 88, .external_lex_state = 2},
  [2004] = {.lex_state = 88, .external_lex_state = 2},
  [2005] = {.lex_state = 88, .external_lex_state = 2},
  [2006] = {.lex_state = 88, .external_lex_state = 2},
  [2007] = {.lex_state = 88, .external_lex_state = 2},
  [2008] = {.lex_state = 88, .external_lex_state = 2},
  [2009] = {.lex_state = 88, .external_lex_state = 2},
  [2010] = {.lex_state = 88, .external_lex_state = 2},
  [2011] = {.lex_state = 88, .external_lex_state = 2},
  [2012] = {.lex_state = 88, .external_lex_state = 2},
  [2013] = {.lex_state = 88, .external_lex_state = 2},
  [2014] = {.lex_state = 88, .external_lex_state = 2},
  [2015] = {.lex_state = 88, .external_lex_state = 2},
  [2016] = {.lex_state = 88, .external_lex_state = 2},
  [2017] = {.lex_state = 88, .external_lex_state = 2},
  [2018] = {.lex_state = 88, .external_lex_state = 2},
  [2019] = {.lex_state = 88, .external_lex_state = 2},
  [2020] = {.lex_state = 88, .external_lex_state = 2},
  [2021] = {.lex_state = 6, .external_lex_state = 5},
  [2022] = {.lex_state = 7, .external_lex_state = 4},
  [2023] = {.lex_state = 7, .external_lex_state = 4},
  [2024] = {.lex_state = 5, .external_lex_state = 6},
  [2025] = {.lex_state = 5, .external_lex_state = 6},
  [2026] = {.lex_state = 5, .external_lex_state = 6},
  [2027] = {.lex_state = 5, .external_lex_state = 6},
  [2028] = {.lex_state = 7, .external_lex_state = 4},
  [2029] = {.lex_state = 5, .external_lex_state = 6},
  [2030] = {.lex_state = 5, .external_lex_state = 6},
  [2031] = {.lex_state = 5, .external_lex_state = 6},
  [2032] = {.lex_state = 5, .external_lex_state = 6},
  [2033] = {.lex_state = 7, .external_lex_state = 4},
  [2034] = {.lex_state = 7, .external_lex_state = 4},
  [2035] = {.lex_state = 7, .external_lex_state = 4},
  [2036] = {.lex_state = 5, .external_lex_state = 6},
  [2037] = {.lex_state = 5, .external_lex_state = 6},
  [2038] = {.lex_state = 6, .external_lex_state = 4},
  [2039] = {.lex_state = 5, .external_lex_state = 6},
  [2040] = {.lex_state = 5, .external_lex_state = 6},
  [2041] = {.lex_state = 7, .external_lex_state = 4},
  [2042] = {.lex_state = 5, .external_lex_state = 6},
  [2043] = {.lex_state = 5, .external_lex_state = 6},
  [2044] = {.lex_state = 5, .external_lex_state = 6},
  [2045] = {.lex_state = 5, .external_lex_state = 6},
  [2046] = {.lex_state = 6, .external_lex_state = 5},
  [2047] = {.lex_state = 5, .external_lex_state = 6},
  [2048] = {.lex_state = 7, .external_lex_state = 4},
  [2049] = {.lex_state = 6, .external_lex_state = 5},
  [2050] = {.lex_state = 5, .external_lex_state = 6},
  [2051] = {.lex_state = 5, .external_lex_state = 6},
  [2052] = {.lex_state = 5, .external_lex_state = 6},
  [2053] = {.lex_state = 5, .external_lex_state = 6},
  [2054] = {.lex_state = 90, .external_lex_state = 6},
  [2055] = {.lex_state = 5, .external_lex_state = 6},
  [2056] = {.lex_state = 5, .external_lex_state = 6},
  [2057] = {.lex_state = 7, .external_lex_state = 4},
  [2058] = {.lex_state = 5, .external_lex_state = 6},
  [2059] = {.lex_state = 7, .external_lex_state = 4},
  [2060] = {.lex_state = 7, .external_lex_state = 4},
  [2061] = {.lex_state = 7, .external_lex_state = 4},
  [2062] = {.lex_state = 5, .external_lex_state = 6},
  [2063] = {.lex_state = 5, .external_lex_state = 6},
  [2064] = {.lex_state = 7, .external_lex_state = 4},
  [2065] = {.lex_state = 5, .external_lex_state = 6},
  [2066] = {.lex_state = 7, .external_lex_state = 4},
  [2067] = {.lex_state = 7, .external_lex_state = 4},
  [2068] = {.lex_state = 7, .external_lex_state = 4},
  [2069] = {.lex_state = 5, .external_lex_state = 6},
  [2070] = {.lex_state = 5, .external_lex_state = 6},
  [2071] = {.lex_state = 89, .external_lex_state = 2},
  [2072] = {.lex_state = 7, .external_lex_state = 4},
  [2073] = {.lex_state = 7, .external_lex_state = 4},
  [2074] = {.lex_state = 5, .external_lex_state = 6},
  [2075] = {.lex_state = 5, .external_lex_state = 6},
  [2076] = {.lex_state = 5, .external_lex_state = 6},
  [2077] = {.lex_state = 7, .external_lex_state = 4},
  [2078] = {.lex_state = 5, .external_lex_state = 6},
  [2079] = {.lex_state = 5, .external_lex_state = 6},
  [2080] = {.lex_state = 5, .external_lex_state = 6},
  [2081] = {.lex_state = 6, .external_lex_state = 5},
  [2082] = {.lex_state = 7, .external_lex_state = 4},
  [2083] = {.lex_state = 5, .external_lex_state = 6},
  [2084] = {.lex_state = 5, .external_lex_state = 6},
  [2085] = {.lex_state = 5, .external_lex_state = 6},
  [2086] = {.lex_state = 89, .external_lex_state = 2},
  [2087] = {.lex_state = 5, .external_lex_state = 6},
  [2088] = {.lex_state = 89, .external_lex_state = 2},
  [2089] = {.lex_state = 5, .external_lex_state = 6},
  [2090] = {.lex_state = 7, .external_lex_state = 4},
  [2091] = {.lex_state = 7, .external_lex_state = 4},
  [2092] = {.lex_state = 5, .external_lex_state = 6},
  [2093] = {.lex_state = 7, .external_lex_state = 5},
  [2094] = {.lex_state = 5, .external_lex_state = 6},
  [2095] = {.lex_state = 5, .external_lex_state = 6},
  [2096] = {.lex_state = 5, .external_lex_state = 6},
  [2097] = {.lex_state = 5, .external_lex_state = 6},
  [2098] = {.lex_state = 7, .external_lex_state = 4},
  [2099] = {.lex_state = 89, .external_lex_state = 2},
  [2100] = {.lex_state = 5, .external_lex_state = 6},
  [2101] = {.lex_state = 5, .external_lex_state = 6},
  [2102] = {.lex_state = 5, .external_lex_state = 6},
  [2103] = {.lex_state = 5, .external_lex_state = 6},
  [2104] = {.lex_state = 89, .external_lex_state = 2},
  [2105] = {.lex_state = 7, .external_lex_state = 4},
  [2106] = {.lex_state = 7, .external_lex_state = 4},
  [2107] = {.lex_state = 7, .external_lex_state = 4},
  [2108] = {.lex_state = 89, .external_lex_state = 2},
  [2109] = {.lex_state = 7, .external_lex_state = 4},
  [2110] = {.lex_state = 5, .external_lex_state = 6},
  [2111] = {.lex_state = 5, .external_lex_state = 6},
  [2112] = {.lex_state = 5, .external_lex_state = 6},
  [2113] = {.lex_state = 5, .external_lex_state = 6},
  [2114] = {.lex_state = 5, .external_lex_state = 6},
  [2115] = {.lex_state = 5, .external_lex_state = 6},
  [2116] = {.lex_state = 5, .external_lex_state = 6},
  [2117] = {.lex_state = 5, .external_lex_state = 6},
  [2118] = {.lex_state = 5, .external_lex_state = 6},
  [2119] = {.lex_state = 5, .external_lex_state = 6},
  [2120] = {.lex_state = 5, .external_lex_state = 6},
  [2121] = {.lex_state = 5, .external_lex_state = 6},
  [2122] = {.lex_state = 5, .external_lex_state = 6},
  [2123] = {.lex_state = 7, .external_lex_state = 4},
  [2124] = {.lex_state = 7, .external_lex_state = 4},
  [2125] = {.lex_state = 7, .external_lex_state = 4},
  [2126] = {.lex_state = 7, .external_lex_state = 4},
  [2127] = {.lex_state = 7, .external_lex_state = 5},
  [2128] = {.lex_state = 7, .external_lex_state = 4},
  [2129] = {.lex_state = 7, .external_lex_state = 4},
  [2130] = {.lex_state = 5, .external_lex_state = 6},
  [2131] = {.lex_state = 5, .external_lex_state = 6},
  [2132] = {.lex_state = 5, .external_lex_state = 6},
  [2133] = {.lex_state = 89, .external_lex_state = 2},
  [2134] = {.lex_state = 5, .external_lex_state = 6},
  [2135] = {.lex_state = 5, .external_lex_state = 6},
  [2136] = {.lex_state = 5, .external_lex_state = 6},
  [2137] = {.lex_state = 5, .external_lex_state = 6},
  [2138] = {.lex_state = 5, .external_lex_state = 6},
  [2139] = {.lex_state = 5, .external_lex_state = 6},
  [2140] = {.lex_state = 5, .external_lex_state = 6},
  [2141] = {.lex_state = 5, .external_lex_state = 6},
  [2142] = {.lex_state = 7, .external_lex_state = 4},
  [2143] = {.lex_state = 7, .external_lex_state = 4},
  [2144] = {.lex_state = 7, .external_lex_state = 4},
  [2145] = {.lex_state = 7, .external_lex_state = 4},
  [2146] = {.lex_state = 5, .external_lex_state = 6},
  [2147] = {.lex_state = 5, .external_lex_state = 6},
  [2148] = {.lex_state = 5, .external_lex_state = 6},
  [2149] = {.lex_state = 5, .external_lex_state = 6},
  [2150] = {.lex_state = 5, .external_lex_state = 6},
  [2151] = {.lex_state = 5, .external_lex_state = 6},
  [2152] = {.lex_state = 5, .external_lex_state = 6},
  [2153] = {.lex_state = 89, .external_lex_state = 2},
  [2154] = {.lex_state = 7, .external_lex_state = 4},
  [2155] = {.lex_state = 5, .external_lex_state = 6},
  [2156] = {.lex_state = 5, .external_lex_state = 6},
  [2157] = {.lex_state = 5, .external_lex_state = 6},
  [2158] = {.lex_state = 5, .external_lex_state = 6},
  [2159] = {.lex_state = 5, .external_lex_state = 6},
  [2160] = {.lex_state = 7, .external_lex_state = 4},
  [2161] = {.lex_state = 5, .external_lex_state = 6},
  [2162] = {.lex_state = 7, .external_lex_state = 4},
  [2163] = {.lex_state = 89, .external_lex_state = 2},
  [2164] = {.lex_state = 5, .external_lex_state = 6},
  [2165] = {.lex_state = 5, .external_lex_state = 6},
  [2166] = {.lex_state = 7, .external_lex_state = 4},
  [2167] = {.lex_state = 5, .external_lex_state = 6},
  [2168] = {.lex_state = 5, .external_lex_state = 6},
  [2169] = {.lex_state = 7, .external_lex_state = 4},
  [2170] = {.lex_state = 5, .external_lex_state = 6},
  [2171] = {.lex_state = 5, .external_lex_state = 6},
  [2172] = {.lex_state = 7, .external_lex_state = 4},
  [2173] = {.lex_state = 5, .external_lex_state = 6},
  [2174] = {.lex_state = 5, .external_lex_state = 6},
  [2175] = {.lex_state = 5, .external_lex_state = 6},
  [2176] = {.lex_state = 5, .external_lex_state = 6},
  [2177] = {.lex_state = 5, .external_lex_state = 6},
  [2178] = {.lex_state = 5, .external_lex_state = 6},
  [2179] = {.lex_state = 5, .external_lex_state = 6},
  [2180] = {.lex_state = 5, .external_lex_state = 6},
  [2181] = {.lex_state = 5, .external_lex_state = 6},
  [2182] = {.lex_state = 89, .external_lex_state = 2},
  [2183] = {.lex_state = 5, .external_lex_state = 6},
  [2184] = {.lex_state = 5, .external_lex_state = 6},
  [2185] = {.lex_state = 5, .external_lex_state = 6},
  [2186] = {.lex_state = 7, .external_lex_state = 4},
  [2187] = {.lex_state = 5, .external_lex_state = 6},
  [2188] = {.lex_state = 5, .external_lex_state = 6},
  [2189] = {.lex_state = 5, .external_lex_state = 6},
  [2190] = {.lex_state = 5, .external_lex_state = 6},
  [2191] = {.lex_state = 5, .external_lex_state = 6},
  [2192] = {.lex_state = 5, .external_lex_state = 6},
  [2193] = {.lex_state = 5, .external_lex_state = 6},
  [2194] = {.lex_state = 5, .external_lex_state = 6},
  [2195] = {.lex_state = 5, .external_lex_state = 6},
  [2196] = {.lex_state = 5, .external_lex_state = 6},
  [2197] = {.lex_state = 5, .external_lex_state = 6},
  [2198] = {.lex_state = 5, .external_lex_state = 6},
  [2199] = {.lex_state = 5, .external_lex_state = 6},
  [2200] = {.lex_state = 5, .external_lex_state = 6},
  [2201] = {.lex_state = 5, .external_lex_state = 6},
  [2202] = {.lex_state = 5, .external_lex_state = 6},
  [2203] = {.lex_state = 5, .external_lex_state = 6},
  [2204] = {.lex_state = 5, .external_lex_state = 6},
  [2205] = {.lex_state = 5, .external_lex_state = 6},
  [2206] = {.lex_state = 5, .external_lex_state = 6},
  [2207] = {.lex_state = 5, .external_lex_state = 6},
  [2208] = {.lex_state = 5, .external_lex_state = 6},
  [2209] = {.lex_state = 5, .external_lex_state = 6},
  [2210] = {.lex_state = 5, .external_lex_state = 6},
  [2211] = {.lex_state = 5, .external_lex_state = 6},
  [2212] = {.lex_state = 5, .external_lex_state = 6},
  [2213] = {.lex_state = 5, .external_lex_state = 6},
  [2214] = {.lex_state = 5, .external_lex_state = 6},
  [2215] = {.lex_state = 5, .external_lex_state = 6},
  [2216] = {.lex_state = 5, .external_lex_state = 6},
  [2217] = {.lex_state = 5, .external_lex_state = 6},
  [2218] = {.lex_state = 5, .external_lex_state = 6},
  [2219] = {.lex_state = 5, .external_lex_state = 6},
  [2220] = {.lex_state = 5, .external_lex_state = 6},
  [2221] = {.lex_state = 5, .external_lex_state = 6},
  [2222] = {.lex_state = 5, .external_lex_state = 6},
  [2223] = {.lex_state = 5, .external_lex_state = 6},
  [2224] = {.lex_state = 5, .external_lex_state = 6},
  [2225] = {.lex_state = 5, .external_lex_state = 6},
  [2226] = {.lex_state = 5, .external_lex_state = 6},
  [2227] = {.lex_state = 5, .external_lex_state = 6},
  [2228] = {.lex_state = 7, .external_lex_state = 4},
  [2229] = {.lex_state = 7, .external_lex_state = 4},
  [2230] = {.lex_state = 89, .external_lex_state = 2},
  [2231] = {.lex_state = 7, .external_lex_state = 4},
  [2232] = {.lex_state = 5, .external_lex_state = 6},
  [2233] = {.lex_state = 7, .external_lex_state = 4},
  [2234] = {.lex_state = 5, .external_lex_state = 6},
  [2235] = {.lex_state = 89, .external_lex_state = 2},
  [2236] = {.lex_state = 7, .external_lex_state = 4},
  [2237] = {.lex_state = 5, .external_lex_state = 6},
  [2238] = {.lex_state = 5, .external_lex_state = 6},
  [2239] = {.lex_state = 5, .external_lex_state = 6},
  [2240] = {.lex_state = 5, .external_lex_state = 6},
  [2241] = {.lex_state = 5, .external_lex_state = 6},
  [2242] = {.lex_state = 5, .external_lex_state = 6},
  [2243] = {.lex_state = 5, .external_lex_state = 6},
  [2244] = {.lex_state = 5, .external_lex_state = 6},
  [2245] = {.lex_state = 5, .external_lex_state = 6},
  [2246] = {.lex_state = 7, .external_lex_state = 4},
  [2247] = {.lex_state = 89, .external_lex_state = 2},
  [2248] = {.lex_state = 5, .external_lex_state = 6},
  [2249] = {.lex_state = 5, .external_lex_state = 6},
  [2250] = {.lex_state = 7, .external_lex_state = 4},
  [2251] = {.lex_state = 7, .external_lex_state = 4},
  [2252] = {.lex_state = 7, .external_lex_state = 4},
  [2253] = {.lex_state = 7, .external_lex_state = 4},
  [2254] = {.lex_state = 7, .external_lex_state = 4},
  [2255] = {.lex_state = 7, .external_lex_state = 4},
  [2256] = {.lex_state = 7, .external_lex_state = 4},
  [2257] = {.lex_state = 7, .external_lex_state = 4},
  [2258] = {.lex_state = 5, .external_lex_state = 6},
  [2259] = {.lex_state = 5, .external_lex_state = 6},
  [2260] = {.lex_state = 5, .external_lex_state = 6},
  [2261] = {.lex_state = 5, .external_lex_state = 6},
  [2262] = {.lex_state = 5, .external_lex_state = 6},
  [2263] = {.lex_state = 5, .external_lex_state = 6},
  [2264] = {.lex_state = 7, .external_lex_state = 4},
  [2265] = {.lex_state = 5, .external_lex_state = 6},
  [2266] = {.lex_state = 5, .external_lex_state = 6},
  [2267] = {.lex_state = 5, .external_lex_state = 6},
  [2268] = {.lex_state = 89, .external_lex_state = 2},
  [2269] = {.lex_state = 5, .external_lex_state = 6},
  [2270] = {.lex_state = 5, .external_lex_state = 6},
  [2271] = {.lex_state = 7, .external_lex_state = 4},
  [2272] = {.lex_state = 7, .external_lex_state = 4},
  [2273] = {.lex_state = 5, .external_lex_state = 6},
  [2274] = {.lex_state = 5, .external_lex_state = 6},
  [2275] = {.lex_state = 7, .external_lex_state = 4},
  [2276] = {.lex_state = 89, .external_lex_state = 2},
  [2277] = {.lex_state = 5, .external_lex_state = 6},
  [2278] = {.lex_state = 5, .external_lex_state = 6},
  [2279] = {.lex_state = 5, .external_lex_state = 6},
  [2280] = {.lex_state = 7, .external_lex_state = 4},
  [2281] = {.lex_state = 5, .external_lex_state = 6},
  [2282] = {.lex_state = 7, .external_lex_state = 4},
  [2283] = {.lex_state = 5, .external_lex_state = 6},
  [2284] = {.lex_state = 5, .external_lex_state = 6},
  [2285] = {.lex_state = 5, .external_lex_state = 6},
  [2286] = {.lex_state = 5, .external_lex_state = 6},
  [2287] = {.lex_state = 5, .external_lex_state = 6},
  [2288] = {.lex_state = 5, .external_lex_state = 6},
  [2289] = {.lex_state = 89, .external_lex_state = 2},
  [2290] = {.lex_state = 5, .external_lex_state = 6},
  [2291] = {.lex_state = 5, .external_lex_state = 6},
  [2292] = {.lex_state = 5, .external_lex_state = 6},
  [2293] = {.lex_state = 5, .external_lex_state = 6},
  [2294] = {.lex_state = 5, .external_lex_state = 6},
  [2295] = {.lex_state = 5, .external_lex_state = 6},
  [2296] = {.lex_state = 5, .external_lex_state = 6},
  [2297] = {.lex_state = 7, .external_lex_state = 5},
  [2298] = {.lex_state = 7, .external_lex_state = 5},
  [2299] = {.lex_state = 7, .external_lex_state = 5},
  [2300] = {.lex_state = 7, .external_lex_state = 5},
  [2301] = {.lex_state = 7, .external_lex_state = 5},
  [2302] = {.lex_state = 7, .external_lex_state = 5},
  [2303] = {.lex_state = 7, .external_lex_state = 5},
  [2304] = {.lex_state = 5, .external_lex_state = 6},
  [2305] = {.lex_state = 7, .external_lex_state = 5},
  [2306] = {.lex_state = 7, .external_lex_state = 5},
  [2307] = {.lex_state = 7, .external_lex_state = 5},
  [2308] = {.lex_state = 7, .external_lex_state = 5},
  [2309] = {.lex_state = 7, .external_lex_state = 5},
  [2310] = {.lex_state = 7, .external_lex_state = 5},
  [2311] = {.lex_state = 6, .external_lex_state = 6},
  [2312] = {.lex_state = 7, .external_lex_state = 5},
  [2313] = {.lex_state = 7, .external_lex_state = 5},
  [2314] = {.lex_state = 7, .external_lex_state = 5},
  [2315] = {.lex_state = 7, .external_lex_state = 5},
  [2316] = {.lex_state = 6, .external_lex_state = 6},
  [2317] = {.lex_state = 7, .external_lex_state = 5},
  [2318] = {.lex_state = 7, .external_lex_state = 5},
  [2319] = {.lex_state = 7, .external_lex_state = 5},
  [2320] = {.lex_state = 7, .external_lex_state = 5},
  [2321] = {.lex_state = 7, .external_lex_state = 4},
  [2322] = {.lex_state = 7, .external_lex_state = 5},
  [2323] = {.lex_state = 7, .external_lex_state = 5},
  [2324] = {.lex_state = 7, .external_lex_state = 5},
  [2325] = {.lex_state = 7, .external_lex_state = 5},
  [2326] = {.lex_state = 7, .external_lex_state = 5},
  [2327] = {.lex_state = 7, .external_lex_state = 5},
  [2328] = {.lex_state = 5, .external_lex_state = 6},
  [2329] = {.lex_state = 7, .external_lex_state = 5},
  [2330] = {.lex_state = 7, .external_lex_state = 5},
  [2331] = {.lex_state = 7, .external_lex_state = 5},
  [2332] = {.lex_state = 7, .external_lex_state = 5},
  [2333] = {.lex_state = 7, .external_lex_state = 5},
  [2334] = {.lex_state = 7, .external_lex_state = 5},
  [2335] = {.lex_state = 7, .external_lex_state = 5},
  [2336] = {.lex_state = 7, .external_lex_state = 5},
  [2337] = {.lex_state = 7, .external_lex_state = 5},
  [2338] = {.lex_state = 7, .external_lex_state = 5},
  [2339] = {.lex_state = 7, .external_lex_state = 5},
  [2340] = {.lex_state = 7, .external_lex_state = 5},
  [2341] = {.lex_state = 7, .external_lex_state = 5},
  [2342] = {.lex_state = 7, .external_lex_state = 5},
  [2343] = {.lex_state = 7, .external_lex_state = 5},
  [2344] = {.lex_state = 6, .external_lex_state = 6},
  [2345] = {.lex_state = 7, .external_lex_state = 5},
  [2346] = {.lex_state = 7, .external_lex_state = 5},
  [2347] = {.lex_state = 7, .external_lex_state = 5},
  [2348] = {.lex_state = 7, .external_lex_state = 5},
  [2349] = {.lex_state = 7, .external_lex_state = 5},
  [2350] = {.lex_state = 7, .external_lex_state = 5},
  [2351] = {.lex_state = 7, .external_lex_state = 5},
  [2352] = {.lex_state = 7, .external_lex_state = 5},
  [2353] = {.lex_state = 7, .external_lex_state = 5},
  [2354] = {.lex_state = 7, .external_lex_state = 5},
  [2355] = {.lex_state = 7, .external_lex_state = 5},
  [2356] = {.lex_state = 7, .external_lex_state = 5},
  [2357] = {.lex_state = 7, .external_lex_state = 5},
  [2358] = {.lex_state = 7, .external_lex_state = 5},
  [2359] = {.lex_state = 7, .external_lex_state = 5},
  [2360] = {.lex_state = 7, .external_lex_state = 5},
  [2361] = {.lex_state = 7, .external_lex_state = 5},
  [2362] = {.lex_state = 7, .external_lex_state = 5},
  [2363] = {.lex_state = 7, .external_lex_state = 5},
  [2364] = {.lex_state = 7, .external_lex_state = 5},
  [2365] = {.lex_state = 7, .external_lex_state = 5},
  [2366] = {.lex_state = 5, .external_lex_state = 6},
  [2367] = {.lex_state = 7, .external_lex_state = 5},
  [2368] = {.lex_state = 7, .external_lex_state = 5},
  [2369] = {.lex_state = 7, .external_lex_state = 5},
  [2370] = {.lex_state = 7, .external_lex_state = 5},
  [2371] = {.lex_state = 7, .external_lex_state = 5},
  [2372] = {.lex_state = 7, .external_lex_state = 5},
  [2373] = {.lex_state = 7, .external_lex_state = 5},
  [2374] = {.lex_state = 7, .external_lex_state = 5},
  [2375] = {.lex_state = 7, .external_lex_state = 5},
  [2376] = {.lex_state = 7, .external_lex_state = 5},
  [2377] = {.lex_state = 7, .external_lex_state = 5},
  [2378] = {.lex_state = 7, .external_lex_state = 5},
  [2379] = {.lex_state = 7, .external_lex_state = 5},
  [2380] = {.lex_state = 7, .external_lex_state = 5},
  [2381] = {.lex_state = 7, .external_lex_state = 5},
  [2382] = {.lex_state = 7, .external_lex_state = 5},
  [2383] = {.lex_state = 7, .external_lex_state = 5},
  [2384] = {.lex_state = 7, .external_lex_state = 5},
  [2385] = {.lex_state = 7, .external_lex_state = 5},
  [2386] = {.lex_state = 7, .external_lex_state = 5},
  [2387] = {.lex_state = 7, .external_lex_state = 5},
  [2388] = {.lex_state = 7, .external_lex_state = 5},
  [2389] = {.lex_state = 7, .external_lex_state = 5},
  [2390] = {.lex_state = 7, .external_lex_state = 5},
  [2391] = {.lex_state = 7, .external_lex_state = 5},
  [2392] = {.lex_state = 7, .external_lex_state = 5},
  [2393] = {.lex_state = 7, .external_lex_state = 5},
  [2394] = {.lex_state = 7, .external_lex_state = 5},
  [2395] = {.lex_state = 7, .external_lex_state = 5},
  [2396] = {.lex_state = 7, .external_lex_state = 5},
  [2397] = {.lex_state = 7, .external_lex_state = 5},
  [2398] = {.lex_state = 7, .external_lex_state = 5},
  [2399] = {.lex_state = 5, .external_lex_state = 6},
  [2400] = {.lex_state = 7, .external_lex_state = 5},
  [2401] = {.lex_state = 7, .external_lex_state = 5},
  [2402] = {.lex_state = 7, .external_lex_state = 5},
  [2403] = {.lex_state = 7, .external_lex_state = 5},
  [2404] = {.lex_state = 7, .external_lex_state = 5},
  [2405] = {.lex_state = 7, .external_lex_state = 5},
  [2406] = {.lex_state = 7, .external_lex_state = 5},
  [2407] = {.lex_state = 7, .external_lex_state = 5},
  [2408] = {.lex_state = 7, .external_lex_state = 5},
  [2409] = {.lex_state = 7, .external_lex_state = 5},
  [2410] = {.lex_state = 7, .external_lex_state = 5},
  [2411] = {.lex_state = 7, .external_lex_state = 5},
  [2412] = {.lex_state = 7, .external_lex_state = 5},
  [2413] = {.lex_state = 7, .external_lex_state = 5},
  [2414] = {.lex_state = 7, .external_lex_state = 5},
  [2415] = {.lex_state = 7, .external_lex_state = 5},
  [2416] = {.lex_state = 7, .external_lex_state = 5},
  [2417] = {.lex_state = 7, .external_lex_state = 5},
  [2418] = {.lex_state = 7, .external_lex_state = 5},
  [2419] = {.lex_state = 7, .external_lex_state = 5},
  [2420] = {.lex_state = 7, .external_lex_state = 5},
  [2421] = {.lex_state = 7, .external_lex_state = 5},
  [2422] = {.lex_state = 7, .external_lex_state = 5},
  [2423] = {.lex_state = 7, .external_lex_state = 5},
  [2424] = {.lex_state = 5, .external_lex_state = 6},
  [2425] = {.lex_state = 7, .external_lex_state = 5},
  [2426] = {.lex_state = 7, .external_lex_state = 5},
  [2427] = {.lex_state = 7, .external_lex_state = 5},
  [2428] = {.lex_state = 7, .external_lex_state = 5},
  [2429] = {.lex_state = 7, .external_lex_state = 5},
  [2430] = {.lex_state = 7, .external_lex_state = 5},
  [2431] = {.lex_state = 7, .external_lex_state = 5},
  [2432] = {.lex_state = 7, .external_lex_state = 5},
  [2433] = {.lex_state = 5, .external_lex_state = 6},
  [2434] = {.lex_state = 7, .external_lex_state = 5},
  [2435] = {.lex_state = 7, .external_lex_state = 5},
  [2436] = {.lex_state = 7, .external_lex_state = 5},
  [2437] = {.lex_state = 7, .external_lex_state = 5},
  [2438] = {.lex_state = 7, .external_lex_state = 5},
  [2439] = {.lex_state = 7, .external_lex_state = 5},
  [2440] = {.lex_state = 5, .external_lex_state = 6},
  [2441] = {.lex_state = 7, .external_lex_state = 5},
  [2442] = {.lex_state = 7, .external_lex_state = 5},
  [2443] = {.lex_state = 7, .external_lex_state = 5},
  [2444] = {.lex_state = 7, .external_lex_state = 5},
  [2445] = {.lex_state = 7, .external_lex_state = 5},
  [2446] = {.lex_state = 7, .external_lex_state = 5},
  [2447] = {.lex_state = 7, .external_lex_state = 5},
  [2448] = {.lex_state = 5, .external_lex_state = 6},
  [2449] = {.lex_state = 7, .external_lex_state = 5},
  [2450] = {.lex_state = 5, .external_lex_state = 6},
  [2451] = {.lex_state = 7, .external_lex_state = 5},
  [2452] = {.lex_state = 7, .external_lex_state = 5},
  [2453] = {.lex_state = 7, .external_lex_state = 5},
  [2454] = {.lex_state = 7, .external_lex_state = 6},
  [2455] = {.lex_state = 7, .external_lex_state = 5},
  [2456] = {.lex_state = 5, .external_lex_state = 6},
  [2457] = {.lex_state = 7, .external_lex_state = 5},
  [2458] = {.lex_state = 7, .external_lex_state = 5},
  [2459] = {.lex_state = 7, .external_lex_state = 5},
  [2460] = {.lex_state = 7, .external_lex_state = 5},
  [2461] = {.lex_state = 5, .external_lex_state = 6},
  [2462] = {.lex_state = 7, .external_lex_state = 5},
  [2463] = {.lex_state = 7, .external_lex_state = 5},
  [2464] = {.lex_state = 7, .external_lex_state = 5},
  [2465] = {.lex_state = 6, .external_lex_state = 6},
  [2466] = {.lex_state = 7, .external_lex_state = 5},
  [2467] = {.lex_state = 7, .external_lex_state = 5},
  [2468] = {.lex_state = 7, .external_lex_state = 6},
  [2469] = {.lex_state = 7, .external_lex_state = 5},
  [2470] = {.lex_state = 7, .external_lex_state = 5},
  [2471] = {.lex_state = 7, .external_lex_state = 5},
  [2472] = {.lex_state = 7, .external_lex_state = 6},
  [2473] = {.lex_state = 7, .external_lex_state = 5},
  [2474] = {.lex_state = 7, .external_lex_state = 5},
  [2475] = {.lex_state = 5, .external_lex_state = 6},
  [2476] = {.lex_state = 7, .external_lex_state = 5},
  [2477] = {.lex_state = 7, .external_lex_state = 5},
  [2478] = {.lex_state = 7, .external_lex_state = 5},
  [2479] = {.lex_state = 7, .external_lex_state = 5},
  [2480] = {.lex_state = 7, .external_lex_state = 5},
  [2481] = {.lex_state = 7, .external_lex_state = 6},
  [2482] = {.lex_state = 7, .external_lex_state = 5},
  [2483] = {.lex_state = 7, .external_lex_state = 5},
  [2484] = {.lex_state = 7, .external_lex_state = 5},
  [2485] = {.lex_state = 5, .external_lex_state = 6},
  [2486] = {.lex_state = 7, .external_lex_state = 5},
  [2487] = {.lex_state = 7, .external_lex_state = 5},
  [2488] = {.lex_state = 5, .external_lex_state = 6},
  [2489] = {.lex_state = 7, .external_lex_state = 6},
  [2490] = {.lex_state = 5, .external_lex_state = 6},
  [2491] = {.lex_state = 7, .external_lex_state = 6},
  [2492] = {.lex_state = 7, .external_lex_state = 6},
  [2493] = {.lex_state = 7, .external_lex_state = 6},
  [2494] = {.lex_state = 7, .external_lex_state = 6},
  [2495] = {.lex_state = 7, .external_lex_state = 6},
  [2496] = {.lex_state = 7, .external_lex_state = 6},
  [2497] = {.lex_state = 7, .external_lex_state = 6},
  [2498] = {.lex_state = 7, .external_lex_state = 6},
  [2499] = {.lex_state = 7, .external_lex_state = 6},
  [2500] = {.lex_state = 7, .external_lex_state = 6},
  [2501] = {.lex_state = 7, .external_lex_state = 6},
  [2502] = {.lex_state = 7, .external_lex_state = 6},
  [2503] = {.lex_state = 7, .external_lex_state = 6},
  [2504] = {.lex_state = 7, .external_lex_state = 6},
  [2505] = {.lex_state = 7, .external_lex_state = 6},
  [2506] = {.lex_state = 7, .external_lex_state = 6},
  [2507] = {.lex_state = 7, .external_lex_state = 6},
  [2508] = {.lex_state = 7, .external_lex_state = 6},
  [2509] = {.lex_state = 7, .external_lex_state = 6},
  [2510] = {.lex_state = 7, .external_lex_state = 6},
  [2511] = {.lex_state = 7, .external_lex_state = 6},
  [2512] = {.lex_state = 7, .external_lex_state = 6},
  [2513] = {.lex_state = 7, .external_lex_state = 6},
  [2514] = {.lex_state = 7, .external_lex_state = 6},
  [2515] = {.lex_state = 7, .external_lex_state = 6},
  [2516] = {.lex_state = 7, .external_lex_state = 6},
  [2517] = {.lex_state = 7, .external_lex_state = 6},
  [2518] = {.lex_state = 7, .external_lex_state = 6},
  [2519] = {.lex_state = 5, .external_lex_state = 6},
  [2520] = {.lex_state = 5, .external_lex_state = 6},
  [2521] = {.lex_state = 7, .external_lex_state = 6},
  [2522] = {.lex_state = 7, .external_lex_state = 6},
  [2523] = {.lex_state = 7, .external_lex_state = 6},
  [2524] = {.lex_state = 7, .external_lex_state = 6},
  [2525] = {.lex_state = 7, .external_lex_state = 6},
  [2526] = {.lex_state = 7, .external_lex_state = 6},
  [2527] = {.lex_state = 7, .external_lex_state = 6},
  [2528] = {.lex_state = 7, .external_lex_state = 6},
  [2529] = {.lex_state = 7, .external_lex_state = 6},
  [2530] = {.lex_state = 7, .external_lex_state = 6},
  [2531] = {.lex_state = 7, .external_lex_state = 6},
  [2532] = {.lex_state = 7, .external_lex_state = 6},
  [2533] = {.lex_state = 5, .external_lex_state = 6},
  [2534] = {.lex_state = 7, .external_lex_state = 6},
  [2535] = {.lex_state = 7, .external_lex_state = 6},
  [2536] = {.lex_state = 7, .external_lex_state = 6},
  [2537] = {.lex_state = 7, .external_lex_state = 6},
  [2538] = {.lex_state = 7, .external_lex_state = 6},
  [2539] = {.lex_state = 5, .external_lex_state = 6},
  [2540] = {.lex_state = 7, .external_lex_state = 6},
  [2541] = {.lex_state = 7, .external_lex_state = 6},
  [2542] = {.lex_state = 7, .external_lex_state = 6},
  [2543] = {.lex_state = 7, .external_lex_state = 6},
  [2544] = {.lex_state = 7, .external_lex_state = 6},
  [2545] = {.lex_state = 5, .external_lex_state = 6},
  [2546] = {.lex_state = 7, .external_lex_state = 6},
  [2547] = {.lex_state = 7, .external_lex_state = 6},
  [2548] = {.lex_state = 7, .external_lex_state = 6},
  [2549] = {.lex_state = 7, .external_lex_state = 6},
  [2550] = {.lex_state = 7, .external_lex_state = 6},
  [2551] = {.lex_state = 7, .external_lex_state = 6},
  [2552] = {.lex_state = 7, .external_lex_state = 6},
  [2553] = {.lex_state = 6, .external_lex_state = 7},
  [2554] = {.lex_state = 7, .external_lex_state = 6},
  [2555] = {.lex_state = 92, .external_lex_state = 6},
  [2556] = {.lex_state = 92, .external_lex_state = 6},
  [2557] = {.lex_state = 92, .external_lex_state = 6},
  [2558] = {.lex_state = 7, .external_lex_state = 6},
  [2559] = {.lex_state = 7, .external_lex_state = 6},
  [2560] = {.lex_state = 7, .external_lex_state = 6},
  [2561] = {.lex_state = 7, .external_lex_state = 6},
  [2562] = {.lex_state = 7, .external_lex_state = 6},
  [2563] = {.lex_state = 7, .external_lex_state = 6},
  [2564] = {.lex_state = 7, .external_lex_state = 6},
  [2565] = {.lex_state = 7, .external_lex_state = 6},
  [2566] = {.lex_state = 7, .external_lex_state = 6},
  [2567] = {.lex_state = 7, .external_lex_state = 6},
  [2568] = {.lex_state = 7, .external_lex_state = 6},
  [2569] = {.lex_state = 7, .external_lex_state = 6},
  [2570] = {.lex_state = 7, .external_lex_state = 6},
  [2571] = {.lex_state = 7, .external_lex_state = 6},
  [2572] = {.lex_state = 7, .external_lex_state = 6},
  [2573] = {.lex_state = 7, .external_lex_state = 6},
  [2574] = {.lex_state = 7, .external_lex_state = 6},
  [2575] = {.lex_state = 7, .external_lex_state = 6},
  [2576] = {.lex_state = 7, .external_lex_state = 6},
  [2577] = {.lex_state = 7, .external_lex_state = 6},
  [2578] = {.lex_state = 7, .external_lex_state = 6},
  [2579] = {.lex_state = 7, .external_lex_state = 6},
  [2580] = {.lex_state = 7, .external_lex_state = 6},
  [2581] = {.lex_state = 7, .external_lex_state = 6},
  [2582] = {.lex_state = 7, .external_lex_state = 6},
  [2583] = {.lex_state = 7, .external_lex_state = 6},
  [2584] = {.lex_state = 7, .external_lex_state = 6},
  [2585] = {.lex_state = 7, .external_lex_state = 6},
  [2586] = {.lex_state = 6, .external_lex_state = 7},
  [2587] = {.lex_state = 7, .external_lex_state = 6},
  [2588] = {.lex_state = 7, .external_lex_state = 6},
  [2589] = {.lex_state = 7, .external_lex_state = 6},
  [2590] = {.lex_state = 7, .external_lex_state = 6},
  [2591] = {.lex_state = 7, .external_lex_state = 6},
  [2592] = {.lex_state = 7, .external_lex_state = 6},
  [2593] = {.lex_state = 7, .external_lex_state = 6},
  [2594] = {.lex_state = 7, .external_lex_state = 6},
  [2595] = {.lex_state = 7, .external_lex_state = 6},
  [2596] = {.lex_state = 7, .external_lex_state = 6},
  [2597] = {.lex_state = 7, .external_lex_state = 6},
  [2598] = {.lex_state = 7, .external_lex_state = 6},
  [2599] = {.lex_state = 7, .external_lex_state = 6},
  [2600] = {.lex_state = 7, .external_lex_state = 6},
  [2601] = {.lex_state = 7, .external_lex_state = 6},
  [2602] = {.lex_state = 7, .external_lex_state = 6},
  [2603] = {.lex_state = 7, .external_lex_state = 6},
  [2604] = {.lex_state = 7, .external_lex_state = 6},
  [2605] = {.lex_state = 7, .external_lex_state = 6},
  [2606] = {.lex_state = 7, .external_lex_state = 6},
  [2607] = {.lex_state = 7, .external_lex_state = 6},
  [2608] = {.lex_state = 7, .external_lex_state = 6},
  [2609] = {.lex_state = 7, .external_lex_state = 6},
  [2610] = {.lex_state = 7, .external_lex_state = 6},
  [2611] = {.lex_state = 7, .external_lex_state = 6},
  [2612] = {.lex_state = 7, .external_lex_state = 6},
  [2613] = {.lex_state = 7, .external_lex_state = 6},
  [2614] = {.lex_state = 7, .external_lex_state = 6},
  [2615] = {.lex_state = 7, .external_lex_state = 6},
  [2616] = {.lex_state = 7, .external_lex_state = 6},
  [2617] = {.lex_state = 7, .external_lex_state = 6},
  [2618] = {.lex_state = 7, .external_lex_state = 6},
  [2619] = {.lex_state = 7, .external_lex_state = 6},
  [2620] = {.lex_state = 7, .external_lex_state = 6},
  [2621] = {.lex_state = 7, .external_lex_state = 6},
  [2622] = {.lex_state = 7, .external_lex_state = 6},
  [2623] = {.lex_state = 7, .external_lex_state = 6},
  [2624] = {.lex_state = 7, .external_lex_state = 6},
  [2625] = {.lex_state = 7, .external_lex_state = 6},
  [2626] = {.lex_state = 7, .external_lex_state = 6},
  [2627] = {.lex_state = 7, .external_lex_state = 6},
  [2628] = {.lex_state = 6, .external_lex_state = 7},
  [2629] = {.lex_state = 7, .external_lex_state = 6},
  [2630] = {.lex_state = 7, .external_lex_state = 6},
  [2631] = {.lex_state = 7, .external_lex_state = 6},
  [2632] = {.lex_state = 7, .external_lex_state = 6},
  [2633] = {.lex_state = 7, .external_lex_state = 6},
  [2634] = {.lex_state = 7, .external_lex_state = 6},
  [2635] = {.lex_state = 7, .external_lex_state = 6},
  [2636] = {.lex_state = 7, .external_lex_state = 6},
  [2637] = {.lex_state = 7, .external_lex_state = 6},
  [2638] = {.lex_state = 7, .external_lex_state = 6},
  [2639] = {.lex_state = 7, .external_lex_state = 6},
  [2640] = {.lex_state = 7, .external_lex_state = 6},
  [2641] = {.lex_state = 7, .external_lex_state = 6},
  [2642] = {.lex_state = 7, .external_lex_state = 6},
  [2643] = {.lex_state = 7, .external_lex_state = 6},
  [2644] = {.lex_state = 7, .external_lex_state = 6},
  [2645] = {.lex_state = 7, .external_lex_state = 6},
  [2646] = {.lex_state = 7, .external_lex_state = 6},
  [2647] = {.lex_state = 7, .external_lex_state = 6},
  [2648] = {.lex_state = 7, .external_lex_state = 6},
  [2649] = {.lex_state = 7, .external_lex_state = 6},
  [2650] = {.lex_state = 7, .external_lex_state = 6},
  [2651] = {.lex_state = 7, .external_lex_state = 6},
  [2652] = {.lex_state = 7, .external_lex_state = 6},
  [2653] = {.lex_state = 7, .external_lex_state = 6},
  [2654] = {.lex_state = 7, .external_lex_state = 6},
  [2655] = {.lex_state = 7, .external_lex_state = 6},
  [2656] = {.lex_state = 7, .external_lex_state = 6},
  [2657] = {.lex_state = 7, .external_lex_state = 6},
  [2658] = {.lex_state = 7, .external_lex_state = 6},
  [2659] = {.lex_state = 7, .external_lex_state = 7},
  [2660] = {.lex_state = 7, .external_lex_state = 6},
  [2661] = {.lex_state = 7, .external_lex_state = 6},
  [2662] = {.lex_state = 7, .external_lex_state = 6},
  [2663] = {.lex_state = 7, .external_lex_state = 6},
  [2664] = {.lex_state = 7, .external_lex_state = 6},
  [2665] = {.lex_state = 7, .external_lex_state = 6},
  [2666] = {.lex_state = 93, .external_lex_state = 6},
  [2667] = {.lex_state = 7, .external_lex_state = 6},
  [2668] = {.lex_state = 7, .external_lex_state = 6},
  [2669] = {.lex_state = 93, .external_lex_state = 6},
  [2670] = {.lex_state = 7, .external_lex_state = 6},
  [2671] = {.lex_state = 7, .external_lex_state = 6},
  [2672] = {.lex_state = 7, .external_lex_state = 6},
  [2673] = {.lex_state = 7, .external_lex_state = 6},
  [2674] = {.lex_state = 7, .external_lex_state = 6},
  [2675] = {.lex_state = 7, .external_lex_state = 6},
  [2676] = {.lex_state = 7, .external_lex_state = 6},
  [2677] = {.lex_state = 7, .external_lex_state = 6},
  [2678] = {.lex_state = 7, .external_lex_state = 6},
  [2679] = {.lex_state = 7, .external_lex_state = 6},
  [2680] = {.lex_state = 7, .external_lex_state = 6},
  [2681] = {.lex_state = 7, .external_lex_state = 6},
  [2682] = {.lex_state = 7, .external_lex_state = 6},
  [2683] = {.lex_state = 7, .external_lex_state = 6},
  [2684] = {.lex_state = 7, .external_lex_state = 6},
  [2685] = {.lex_state = 7, .external_lex_state = 6},
  [2686] = {.lex_state = 93, .external_lex_state = 6},
  [2687] = {.lex_state = 93, .external_lex_state = 6},
  [2688] = {.lex_state = 93, .external_lex_state = 6},
  [2689] = {.lex_state = 93, .external_lex_state = 6},
  [2690] = {.lex_state = 93, .external_lex_state = 6},
  [2691] = {.lex_state = 93, .external_lex_state = 6},
  [2692] = {.lex_state = 93, .external_lex_state = 6},
  [2693] = {.lex_state = 7, .external_lex_state = 7},
  [2694] = {.lex_state = 93, .external_lex_state = 6},
  [2695] = {.lex_state = 7, .external_lex_state = 6},
  [2696] = {.lex_state = 93, .external_lex_state = 6},
  [2697] = {.lex_state = 93, .external_lex_state = 6},
  [2698] = {.lex_state = 6, .external_lex_state = 7},
  [2699] = {.lex_state = 93, .external_lex_state = 6},
  [2700] = {.lex_state = 93, .external_lex_state = 6},
  [2701] = {.lex_state = 93, .external_lex_state = 6},
  [2702] = {.lex_state = 93, .external_lex_state = 6},
  [2703] = {.lex_state = 93, .external_lex_state = 6},
  [2704] = {.lex_state = 93, .external_lex_state = 6},
  [2705] = {.lex_state = 92, .external_lex_state = 6},
  [2706] = {.lex_state = 7, .external_lex_state = 7},
  [2707] = {.lex_state = 7, .external_lex_state = 7},
  [2708] = {.lex_state = 7, .external_lex_state = 7},
  [2709] = {.lex_state = 93, .external_lex_state = 6},
  [2710] = {.lex_state = 93, .external_lex_state = 6},
  [2711] = {.lex_state = 93, .external_lex_state = 6},
  [2712] = {.lex_state = 7, .external_lex_state = 7},
  [2713] = {.lex_state = 7, .external_lex_state = 7},
  [2714] = {.lex_state = 93, .external_lex_state = 6},
  [2715] = {.lex_state = 7, .external_lex_state = 7},
  [2716] = {.lex_state = 7, .external_lex_state = 7},
  [2717] = {.lex_state = 7, .external_lex_state = 7},
  [2718] = {.lex_state = 7, .external_lex_state = 7},
  [2719] = {.lex_state = 7, .external_lex_state = 7},
  [2720] = {.lex_state = 7, .external_lex_state = 7},
  [2721] = {.lex_state = 7, .external_lex_state = 7},
  [2722] = {.lex_state = 7, .external_lex_state = 7},
  [2723] = {.lex_state = 7, .external_lex_state = 7},
  [2724] = {.lex_state = 7, .external_lex_state = 7},
  [2725] = {.lex_state = 7, .external_lex_state = 7},
  [2726] = {.lex_state = 7, .external_lex_state = 7},
  [2727] = {.lex_state = 7, .external_lex_state = 7},
  [2728] = {.lex_state = 7, .external_lex_state = 7},
  [2729] = {.lex_state = 7, .external_lex_state = 7},
  [2730] = {.lex_state = 7, .external_lex_state = 7},
  [2731] = {.lex_state = 7, .external_lex_state = 7},
  [2732] = {.lex_state = 7, .external_lex_state = 7},
  [2733] = {.lex_state = 7, .external_lex_state = 7},
  [2734] = {.lex_state = 7, .external_lex_state = 7},
  [2735] = {.lex_state = 7, .external_lex_state = 7},
  [2736] = {.lex_state = 93, .external_lex_state = 6},
  [2737] = {.lex_state = 93, .external_lex_state = 6},
  [2738] = {.lex_state = 93, .external_lex_state = 6},
  [2739] = {.lex_state = 7, .external_lex_state = 7},
  [2740] = {.lex_state = 93, .external_lex_state = 6},
  [2741] = {.lex_state = 7, .external_lex_state = 7},
  [2742] = {.lex_state = 93, .external_lex_state = 6},
  [2743] = {.lex_state = 7, .external_lex_state = 7},
  [2744] = {.lex_state = 93, .external_lex_state = 6},
  [2745] = {.lex_state = 7, .external_lex_state = 6},
  [2746] = {.lex_state = 7, .external_lex_state = 7},
  [2747] = {.lex_state = 7, .external_lex_state = 7},
  [2748] = {.lex_state = 7, .external_lex_state = 7},
  [2749] = {.lex_state = 7, .external_lex_state = 7},
  [2750] = {.lex_state = 7, .external_lex_state = 7},
  [2751] = {.lex_state = 7, .external_lex_state = 7},
  [2752] = {.lex_state = 7, .external_lex_state = 7},
  [2753] = {.lex_state = 93, .external_lex_state = 6},
  [2754] = {.lex_state = 7, .external_lex_state = 7},
  [2755] = {.lex_state = 7, .external_lex_state = 7},
  [2756] = {.lex_state = 7, .external_lex_state = 7},
  [2757] = {.lex_state = 7, .external_lex_state = 7},
  [2758] = {.lex_state = 7, .external_lex_state = 7},
  [2759] = {.lex_state = 93, .external_lex_state = 6},
  [2760] = {.lex_state = 7, .external_lex_state = 7},
  [2761] = {.lex_state = 93, .external_lex_state = 6},
  [2762] = {.lex_state = 93, .external_lex_state = 6},
  [2763] = {.lex_state = 93, .external_lex_state = 6},
  [2764] = {.lex_state = 7, .external_lex_state = 7},
  [2765] = {.lex_state = 93, .external_lex_state = 6},
  [2766] = {.lex_state = 7, .external_lex_state = 7},
  [2767] = {.lex_state = 93, .external_lex_state = 6},
  [2768] = {.lex_state = 93, .external_lex_state = 6},
  [2769] = {.lex_state = 7, .external_lex_state = 7},
  [2770] = {.lex_state = 7, .external_lex_state = 7},
  [2771] = {.lex_state = 7, .external_lex_state = 7},
  [2772] = {.lex_state = 7, .external_lex_state = 7},
  [2773] = {.lex_state = 7, .external_lex_state = 7},
  [2774] = {.lex_state = 7, .external_lex_state = 7},
  [2775] = {.lex_state = 7, .external_lex_state = 7},
  [2776] = {.lex_state = 7, .external_lex_state = 7},
  [2777] = {.lex_state = 7, .external_lex_state = 7},
  [2778] = {.lex_state = 93, .external_lex_state = 6},
  [2779] = {.lex_state = 93, .external_lex_state = 6},
  [2780] = {.lex_state = 93, .external_lex_state = 6},
  [2781] = {.lex_state = 7, .external_lex_state = 7},
  [2782] = {.lex_state = 7, .external_lex_state = 7},
  [2783] = {.lex_state = 7, .external_lex_state = 7},
  [2784] = {.lex_state = 93, .external_lex_state = 6},
  [2785] = {.lex_state = 93, .external_lex_state = 6},
  [2786] = {.lex_state = 93, .external_lex_state = 6},
  [2787] = {.lex_state = 7, .external_lex_state = 7},
  [2788] = {.lex_state = 93, .external_lex_state = 6},
  [2789] = {.lex_state = 93, .external_lex_state = 6},
  [2790] = {.lex_state = 93, .external_lex_state = 6},
  [2791] = {.lex_state = 7, .external_lex_state = 7},
  [2792] = {.lex_state = 7, .external_lex_state = 7},
  [2793] = {.lex_state = 7, .external_lex_state = 7},
  [2794] = {.lex_state = 7, .external_lex_state = 7},
  [2795] = {.lex_state = 7, .external_lex_state = 7},
  [2796] = {.lex_state = 7, .external_lex_state = 7},
  [2797] = {.lex_state = 7, .external_lex_state = 7},
  [2798] = {.lex_state = 7, .external_lex_state = 7},
  [2799] = {.lex_state = 93, .external_lex_state = 6},
  [2800] = {.lex_state = 7, .external_lex_state = 7},
  [2801] = {.lex_state = 93, .external_lex_state = 6},
  [2802] = {.lex_state = 7, .external_lex_state = 7},
  [2803] = {.lex_state = 7, .external_lex_state = 7},
  [2804] = {.lex_state = 7, .external_lex_state = 7},
  [2805] = {.lex_state = 7, .external_lex_state = 7},
  [2806] = {.lex_state = 7, .external_lex_state = 7},
  [2807] = {.lex_state = 93, .external_lex_state = 6},
  [2808] = {.lex_state = 93, .external_lex_state = 6},
  [2809] = {.lex_state = 93, .external_lex_state = 6},
  [2810] = {.lex_state = 7, .external_lex_state = 7},
  [2811] = {.lex_state = 7, .external_lex_state = 7},
  [2812] = {.lex_state = 7, .external_lex_state = 7},
  [2813] = {.lex_state = 7, .external_lex_state = 7},
  [2814] = {.lex_state = 7, .external_lex_state = 7},
  [2815] = {.lex_state = 7, .external_lex_state = 7},
  [2816] = {.lex_state = 93, .external_lex_state = 6},
  [2817] = {.lex_state = 7, .external_lex_state = 7},
  [2818] = {.lex_state = 7, .external_lex_state = 7},
  [2819] = {.lex_state = 93, .external_lex_state = 6},
  [2820] = {.lex_state = 93, .external_lex_state = 6},
  [2821] = {.lex_state = 7, .external_lex_state = 7},
  [2822] = {.lex_state = 7, .external_lex_state = 7},
  [2823] = {.lex_state = 7, .external_lex_state = 7},
  [2824] = {.lex_state = 93, .external_lex_state = 6},
  [2825] = {.lex_state = 7, .external_lex_state = 7},
  [2826] = {.lex_state = 7, .external_lex_state = 7},
  [2827] = {.lex_state = 93, .external_lex_state = 6},
  [2828] = {.lex_state = 7, .external_lex_state = 7},
  [2829] = {.lex_state = 93, .external_lex_state = 6},
  [2830] = {.lex_state = 7, .external_lex_state = 7},
  [2831] = {.lex_state = 7, .external_lex_state = 7},
  [2832] = {.lex_state = 93, .external_lex_state = 6},
  [2833] = {.lex_state = 7, .external_lex_state = 7},
  [2834] = {.lex_state = 93, .external_lex_state = 6},
  [2835] = {.lex_state = 7, .external_lex_state = 7},
  [2836] = {.lex_state = 7, .external_lex_state = 7},
  [2837] = {.lex_state = 93, .external_lex_state = 6},
  [2838] = {.lex_state = 7, .external_lex_state = 7},
  [2839] = {.lex_state = 7, .external_lex_state = 7},
  [2840] = {.lex_state = 93, .external_lex_state = 6},
  [2841] = {.lex_state = 93, .external_lex_state = 6},
  [2842] = {.lex_state = 93, .external_lex_state = 6},
  [2843] = {.lex_state = 7, .external_lex_state = 7},
  [2844] = {.lex_state = 7, .external_lex_state = 7},
  [2845] = {.lex_state = 93, .external_lex_state = 6},
  [2846] = {.lex_state = 93, .external_lex_state = 6},
  [2847] = {.lex_state = 93, .external_lex_state = 6},
  [2848] = {.lex_state = 93, .external_lex_state = 6},
  [2849] = {.lex_state = 93, .external_lex_state = 6},
  [2850] = {.lex_state = 93, .external_lex_state = 6},
  [2851] = {.lex_state = 93, .external_lex_state = 6},
  [2852] = {.lex_state = 93, .external_lex_state = 6},
  [2853] = {.lex_state = 93, .external_lex_state = 6},
  [2854] = {.lex_state = 7, .external_lex_state = 7},
  [2855] = {.lex_state = 7, .external_lex_state = 7},
  [2856] = {.lex_state = 93, .external_lex_state = 6},
  [2857] = {.lex_state = 7, .external_lex_state = 7},
  [2858] = {.lex_state = 93, .external_lex_state = 6},
  [2859] = {.lex_state = 93, .external_lex_state = 6},
  [2860] = {.lex_state = 7, .external_lex_state = 6},
  [2861] = {.lex_state = 7, .external_lex_state = 7},
  [2862] = {.lex_state = 7, .external_lex_state = 7},
  [2863] = {.lex_state = 7, .external_lex_state = 7},
  [2864] = {.lex_state = 7, .external_lex_state = 7},
  [2865] = {.lex_state = 93, .external_lex_state = 6},
  [2866] = {.lex_state = 93, .external_lex_state = 6},
  [2867] = {.lex_state = 7, .external_lex_state = 7},
  [2868] = {.lex_state = 7, .external_lex_state = 7},
  [2869] = {.lex_state = 7, .external_lex_state = 7},
  [2870] = {.lex_state = 93, .external_lex_state = 6},
  [2871] = {.lex_state = 7, .external_lex_state = 7},
  [2872] = {.lex_state = 7, .external_lex_state = 7},
  [2873] = {.lex_state = 7, .external_lex_state = 7},
  [2874] = {.lex_state = 7, .external_lex_state = 7},
  [2875] = {.lex_state = 7, .external_lex_state = 7},
  [2876] = {.lex_state = 7, .external_lex_state = 7},
  [2877] = {.lex_state = 93, .external_lex_state = 6},
  [2878] = {.lex_state = 93, .external_lex_state = 6},
  [2879] = {.lex_state = 7, .external_lex_state = 7},
  [2880] = {.lex_state = 7, .external_lex_state = 6},
  [2881] = {.lex_state = 93, .external_lex_state = 6},
  [2882] = {.lex_state = 93, .external_lex_state = 6},
  [2883] = {.lex_state = 93, .external_lex_state = 6},
  [2884] = {.lex_state = 93, .external_lex_state = 6},
  [2885] = {.lex_state = 93, .external_lex_state = 6},
  [2886] = {.lex_state = 93, .external_lex_state = 6},
  [2887] = {.lex_state = 93, .external_lex_state = 6},
  [2888] = {.lex_state = 93, .external_lex_state = 6},
  [2889] = {.lex_state = 7, .external_lex_state = 7},
  [2890] = {.lex_state = 7, .external_lex_state = 7},
  [2891] = {.lex_state = 7, .external_lex_state = 7},
  [2892] = {.lex_state = 7, .external_lex_state = 7},
  [2893] = {.lex_state = 93, .external_lex_state = 6},
  [2894] = {.lex_state = 93, .external_lex_state = 6},
  [2895] = {.lex_state = 93, .external_lex_state = 6},
  [2896] = {.lex_state = 7, .external_lex_state = 7},
  [2897] = {.lex_state = 7, .external_lex_state = 7},
  [2898] = {.lex_state = 93, .external_lex_state = 6},
  [2899] = {.lex_state = 93, .external_lex_state = 6},
  [2900] = {.lex_state = 93, .external_lex_state = 6},
  [2901] = {.lex_state = 93, .external_lex_state = 6},
  [2902] = {.lex_state = 93, .external_lex_state = 6},
  [2903] = {.lex_state = 93, .external_lex_state = 6},
  [2904] = {.lex_state = 93, .external_lex_state = 6},
  [2905] = {.lex_state = 93, .external_lex_state = 6},
  [2906] = {.lex_state = 93, .external_lex_state = 6},
  [2907] = {.lex_state = 7, .external_lex_state = 7},
  [2908] = {.lex_state = 93, .external_lex_state = 6},
  [2909] = {.lex_state = 7, .external_lex_state = 7},
  [2910] = {.lex_state = 7, .external_lex_state = 7},
  [2911] = {.lex_state = 93, .external_lex_state = 6},
  [2912] = {.lex_state = 7, .external_lex_state = 7},
  [2913] = {.lex_state = 7, .external_lex_state = 7},
  [2914] = {.lex_state = 7, .external_lex_state = 7},
  [2915] = {.lex_state = 93, .external_lex_state = 6},
  [2916] = {.lex_state = 93, .external_lex_state = 6},
  [2917] = {.lex_state = 93, .external_lex_state = 6},
  [2918] = {.lex_state = 7, .external_lex_state = 7},
  [2919] = {.lex_state = 93, .external_lex_state = 6},
  [2920] = {.lex_state = 7, .external_lex_state = 7},
  [2921] = {.lex_state = 7, .external_lex_state = 7},
  [2922] = {.lex_state = 93, .external_lex_state = 6},
  [2923] = {.lex_state = 7, .external_lex_state = 7},
  [2924] = {.lex_state = 93, .external_lex_state = 6},
  [2925] = {.lex_state = 93, .external_lex_state = 6},
  [2926] = {.lex_state = 93, .external_lex_state = 6},
  [2927] = {.lex_state = 7, .external_lex_state = 7},
  [2928] = {.lex_state = 93, .external_lex_state = 6},
  [2929] = {.lex_state = 93, .external_lex_state = 6},
  [2930] = {.lex_state = 93, .external_lex_state = 6},
  [2931] = {.lex_state = 7, .external_lex_state = 7},
  [2932] = {.lex_state = 93, .external_lex_state = 6},
  [2933] = {.lex_state = 7, .external_lex_state = 7},
  [2934] = {.lex_state = 93, .external_lex_state = 6},
  [2935] = {.lex_state = 93, .external_lex_state = 6},
  [2936] = {.lex_state = 93, .external_lex_state = 6},
  [2937] = {.lex_state = 93, .external_lex_state = 6},
  [2938] = {.lex_state = 93, .external_lex_state = 6},
  [2939] = {.lex_state = 7, .external_lex_state = 6},
  [2940] = {.lex_state = 93, .external_lex_state = 6},
  [2941] = {.lex_state = 7, .external_lex_state = 7},
  [2942] = {.lex_state = 93, .external_lex_state = 6},
  [2943] = {.lex_state = 93, .external_lex_state = 6},
  [2944] = {.lex_state = 93, .external_lex_state = 6},
  [2945] = {.lex_state = 7, .external_lex_state = 7},
  [2946] = {.lex_state = 93, .external_lex_state = 6},
  [2947] = {.lex_state = 93, .external_lex_state = 6},
  [2948] = {.lex_state = 93, .external_lex_state = 6},
  [2949] = {.lex_state = 93, .external_lex_state = 6},
  [2950] = {.lex_state = 93, .external_lex_state = 6},
  [2951] = {.lex_state = 93, .external_lex_state = 6},
  [2952] = {.lex_state = 7, .external_lex_state = 7},
  [2953] = {.lex_state = 93, .external_lex_state = 6},
  [2954] = {.lex_state = 7, .external_lex_state = 7},
  [2955] = {.lex_state = 7, .external_lex_state = 7},
  [2956] = {.lex_state = 93, .external_lex_state = 6},
  [2957] = {.lex_state = 7, .external_lex_state = 7},
  [2958] = {.lex_state = 93, .external_lex_state = 6},
  [2959] = {.lex_state = 93, .external_lex_state = 6},
  [2960] = {.lex_state = 93, .external_lex_state = 6},
  [2961] = {.lex_state = 93, .external_lex_state = 6},
  [2962] = {.lex_state = 93, .external_lex_state = 6},
  [2963] = {.lex_state = 93, .external_lex_state = 6},
  [2964] = {.lex_state = 93, .external_lex_state = 6},
  [2965] = {.lex_state = 7, .external_lex_state = 7},
  [2966] = {.lex_state = 93, .external_lex_state = 6},
  [2967] = {.lex_state = 7, .external_lex_state = 7},
  [2968] = {.lex_state = 93, .external_lex_state = 6},
  [2969] = {.lex_state = 93, .external_lex_state = 6},
  [2970] = {.lex_state = 93, .external_lex_state = 4},
  [2971] = {.lex_state = 93, .external_lex_state = 4},
  [2972] = {.lex_state = 92, .external_lex_state = 4},
  [2973] = {.lex_state = 93, .external_lex_state = 6},
  [2974] = {.lex_state = 7, .external_lex_state = 6},
  [2975] = {.lex_state = 93, .external_lex_state = 6},
  [2976] = {.lex_state = 93, .external_lex_state = 6},
  [2977] = {.lex_state = 93, .external_lex_state = 6},
  [2978] = {.lex_state = 93, .external_lex_state = 6},
  [2979] = {.lex_state = 93, .external_lex_state = 6},
  [2980] = {.lex_state = 93, .external_lex_state = 6},
  [2981] = {.lex_state = 92, .external_lex_state = 4},
  [2982] = {.lex_state = 93, .external_lex_state = 6},
  [2983] = {.lex_state = 93, .external_lex_state = 6},
  [2984] = {.lex_state = 93, .external_lex_state = 4},
  [2985] = {.lex_state = 93, .external_lex_state = 6},
  [2986] = {.lex_state = 93, .external_lex_state = 4},
  [2987] = {.lex_state = 93, .external_lex_state = 6},
  [2988] = {.lex_state = 93, .external_lex_state = 6},
  [2989] = {.lex_state = 93, .external_lex_state = 4},
  [2990] = {.lex_state = 93, .external_lex_state = 4},
  [2991] = {.lex_state = 93, .external_lex_state = 6},
  [2992] = {.lex_state = 93, .external_lex_state = 4},
  [2993] = {.lex_state = 93, .external_lex_state = 6},
  [2994] = {.lex_state = 93, .external_lex_state = 6},
  [2995] = {.lex_state = 93, .external_lex_state = 6},
  [2996] = {.lex_state = 93, .external_lex_state = 6},
  [2997] = {.lex_state = 93, .external_lex_state = 6},
  [2998] = {.lex_state = 93, .external_lex_state = 6},
  [2999] = {.lex_state = 7, .external_lex_state = 6},
  [3000] = {.lex_state = 93, .external_lex_state = 4},
  [3001] = {.lex_state = 93, .external_lex_state = 6},
  [3002] = {.lex_state = 92, .external_lex_state = 4},
  [3003] = {.lex_state = 92, .external_lex_state = 6},
  [3004] = {.lex_state = 93, .external_lex_state = 4},
  [3005] = {.lex_state = 93, .external_lex_state = 6},
  [3006] = {.lex_state = 93, .external_lex_state = 6},
  [3007] = {.lex_state = 93, .external_lex_state = 6},
  [3008] = {.lex_state = 92, .external_lex_state = 4},
  [3009] = {.lex_state = 93, .external_lex_state = 6},
  [3010] = {.lex_state = 93, .external_lex_state = 4},
  [3011] = {.lex_state = 7, .external_lex_state = 6},
  [3012] = {.lex_state = 93, .external_lex_state = 6},
  [3013] = {.lex_state = 93, .external_lex_state = 6},
  [3014] = {.lex_state = 93, .external_lex_state = 4},
  [3015] = {.lex_state = 93, .external_lex_state = 6},
  [3016] = {.lex_state = 93, .external_lex_state = 6},
  [3017] = {.lex_state = 93, .external_lex_state = 4},
  [3018] = {.lex_state = 93, .external_lex_state = 4},
  [3019] = {.lex_state = 93, .external_lex_state = 4},
  [3020] = {.lex_state = 93, .external_lex_state = 4},
  [3021] = {.lex_state = 93, .external_lex_state = 6},
  [3022] = {.lex_state = 93, .external_lex_state = 4},
  [3023] = {.lex_state = 93, .external_lex_state = 4},
  [3024] = {.lex_state = 93, .external_lex_state = 4},
  [3025] = {.lex_state = 93, .external_lex_state = 6},
  [3026] = {.lex_state = 93, .external_lex_state = 4},
  [3027] = {.lex_state = 93, .external_lex_state = 6},
  [3028] = {.lex_state = 93, .external_lex_state = 4},
  [3029] = {.lex_state = 93, .external_lex_state = 4},
  [3030] = {.lex_state = 93, .external_lex_state = 4},
  [3031] = {.lex_state = 93, .external_lex_state = 6},
  [3032] = {.lex_state = 7, .external_lex_state = 7},
  [3033] = {.lex_state = 93, .external_lex_state = 6},
  [3034] = {.lex_state = 93, .external_lex_state = 6},
  [3035] = {.lex_state = 93, .external_lex_state = 4},
  [3036] = {.lex_state = 93, .external_lex_state = 4},
  [3037] = {.lex_state = 93, .external_lex_state = 4},
  [3038] = {.lex_state = 93, .external_lex_state = 4},
  [3039] = {.lex_state = 95, .external_lex_state = 6},
  [3040] = {.lex_state = 93, .external_lex_state = 6},
  [3041] = {.lex_state = 93, .external_lex_state = 6},
  [3042] = {.lex_state = 93, .external_lex_state = 4},
  [3043] = {.lex_state = 93, .external_lex_state = 4},
  [3044] = {.lex_state = 93, .external_lex_state = 4},
  [3045] = {.lex_state = 93, .external_lex_state = 4},
  [3046] = {.lex_state = 93, .external_lex_state = 4},
  [3047] = {.lex_state = 93, .external_lex_state = 4},
  [3048] = {.lex_state = 93, .external_lex_state = 4},
  [3049] = {.lex_state = 93, .external_lex_state = 4},
  [3050] = {.lex_state = 93, .external_lex_state = 4},
  [3051] = {.lex_state = 93, .external_lex_state = 6},
  [3052] = {.lex_state = 93, .external_lex_state = 4},
  [3053] = {.lex_state = 93, .external_lex_state = 4},
  [3054] = {.lex_state = 93, .external_lex_state = 4},
  [3055] = {.lex_state = 93, .external_lex_state = 4},
  [3056] = {.lex_state = 93, .external_lex_state = 6},
  [3057] = {.lex_state = 93, .external_lex_state = 4},
  [3058] = {.lex_state = 93, .external_lex_state = 6},
  [3059] = {.lex_state = 93, .external_lex_state = 4},
  [3060] = {.lex_state = 93, .external_lex_state = 4},
  [3061] = {.lex_state = 93, .external_lex_state = 4},
  [3062] = {.lex_state = 93, .external_lex_state = 6},
  [3063] = {.lex_state = 93, .external_lex_state = 4},
  [3064] = {.lex_state = 93, .external_lex_state = 6},
  [3065] = {.lex_state = 93, .external_lex_state = 6},
  [3066] = {.lex_state = 93, .external_lex_state = 4},
  [3067] = {.lex_state = 93, .external_lex_state = 4},
  [3068] = {.lex_state = 93, .external_lex_state = 4},
  [3069] = {.lex_state = 93, .external_lex_state = 4},
  [3070] = {.lex_state = 93, .external_lex_state = 4},
  [3071] = {.lex_state = 93, .external_lex_state = 6},
  [3072] = {.lex_state = 93, .external_lex_state = 4},
  [3073] = {.lex_state = 93, .external_lex_state = 4},
  [3074] = {.lex_state = 93, .external_lex_state = 4},
  [3075] = {.lex_state = 93, .external_lex_state = 6},
  [3076] = {.lex_state = 93, .external_lex_state = 6},
  [3077] = {.lex_state = 93, .external_lex_state = 6},
  [3078] = {.lex_state = 93, .external_lex_state = 4},
  [3079] = {.lex_state = 93, .external_lex_state = 6},
  [3080] = {.lex_state = 93, .external_lex_state = 4},
  [3081] = {.lex_state = 93, .external_lex_state = 6},
  [3082] = {.lex_state = 92, .external_lex_state = 4},
  [3083] = {.lex_state = 93, .external_lex_state = 4},
  [3084] = {.lex_state = 93, .external_lex_state = 4},
  [3085] = {.lex_state = 93, .external_lex_state = 6},
  [3086] = {.lex_state = 89, .external_lex_state = 4},
  [3087] = {.lex_state = 93, .external_lex_state = 4},
  [3088] = {.lex_state = 93, .external_lex_state = 4},
  [3089] = {.lex_state = 93, .external_lex_state = 4},
  [3090] = {.lex_state = 93, .external_lex_state = 4},
  [3091] = {.lex_state = 93, .external_lex_state = 4},
  [3092] = {.lex_state = 93, .external_lex_state = 4},
  [3093] = {.lex_state = 93, .external_lex_state = 4},
  [3094] = {.lex_state = 93, .external_lex_state = 4},
  [3095] = {.lex_state = 93, .external_lex_state = 4},
  [3096] = {.lex_state = 93, .external_lex_state = 4},
  [3097] = {.lex_state = 93, .external_lex_state = 4},
  [3098] = {.lex_state = 93, .external_lex_state = 4},
  [3099] = {.lex_state = 93, .external_lex_state = 4},
  [3100] = {.lex_state = 93, .external_lex_state = 4},
  [3101] = {.lex_state = 93, .external_lex_state = 4},
  [3102] = {.lex_state = 93, .external_lex_state = 4},
  [3103] = {.lex_state = 93, .external_lex_state = 4},
  [3104] = {.lex_state = 93, .external_lex_state = 4},
  [3105] = {.lex_state = 93, .external_lex_state = 4},
  [3106] = {.lex_state = 93, .external_lex_state = 4},
  [3107] = {.lex_state = 93, .external_lex_state = 4},
  [3108] = {.lex_state = 93, .external_lex_state = 4},
  [3109] = {.lex_state = 93, .external_lex_state = 4},
  [3110] = {.lex_state = 93, .external_lex_state = 6},
  [3111] = {.lex_state = 93, .external_lex_state = 4},
  [3112] = {.lex_state = 93, .external_lex_state = 4},
  [3113] = {.lex_state = 93, .external_lex_state = 4},
  [3114] = {.lex_state = 93, .external_lex_state = 4},
  [3115] = {.lex_state = 93, .external_lex_state = 6},
  [3116] = {.lex_state = 93, .external_lex_state = 4},
  [3117] = {.lex_state = 93, .external_lex_state = 4},
  [3118] = {.lex_state = 93, .external_lex_state = 6},
  [3119] = {.lex_state = 93, .external_lex_state = 4},
  [3120] = {.lex_state = 93, .external_lex_state = 4},
  [3121] = {.lex_state = 93, .external_lex_state = 4},
  [3122] = {.lex_state = 93, .external_lex_state = 4},
  [3123] = {.lex_state = 93, .external_lex_state = 4},
  [3124] = {.lex_state = 93, .external_lex_state = 4},
  [3125] = {.lex_state = 93, .external_lex_state = 4},
  [3126] = {.lex_state = 93, .external_lex_state = 4},
  [3127] = {.lex_state = 93, .external_lex_state = 6},
  [3128] = {.lex_state = 93, .external_lex_state = 4},
  [3129] = {.lex_state = 93, .external_lex_state = 6},
  [3130] = {.lex_state = 93, .external_lex_state = 4},
  [3131] = {.lex_state = 93, .external_lex_state = 4},
  [3132] = {.lex_state = 93, .external_lex_state = 4},
  [3133] = {.lex_state = 93, .external_lex_state = 4},
  [3134] = {.lex_state = 93, .external_lex_state = 4},
  [3135] = {.lex_state = 93, .external_lex_state = 4},
  [3136] = {.lex_state = 93, .external_lex_state = 4},
  [3137] = {.lex_state = 93, .external_lex_state = 6},
  [3138] = {.lex_state = 93, .external_lex_state = 4},
  [3139] = {.lex_state = 93, .external_lex_state = 4},
  [3140] = {.lex_state = 93, .external_lex_state = 4},
  [3141] = {.lex_state = 93, .external_lex_state = 4},
  [3142] = {.lex_state = 93, .external_lex_state = 4},
  [3143] = {.lex_state = 93, .external_lex_state = 4},
  [3144] = {.lex_state = 93, .external_lex_state = 4},
  [3145] = {.lex_state = 93, .external_lex_state = 4},
  [3146] = {.lex_state = 93, .external_lex_state = 4},
  [3147] = {.lex_state = 93, .external_lex_state = 4},
  [3148] = {.lex_state = 93, .external_lex_state = 4},
  [3149] = {.lex_state = 93, .external_lex_state = 4},
  [3150] = {.lex_state = 93, .external_lex_state = 4},
  [3151] = {.lex_state = 93, .external_lex_state = 4},
  [3152] = {.lex_state = 93, .external_lex_state = 4},
  [3153] = {.lex_state = 93, .external_lex_state = 4},
  [3154] = {.lex_state = 93, .external_lex_state = 4},
  [3155] = {.lex_state = 93, .external_lex_state = 4},
  [3156] = {.lex_state = 93, .external_lex_state = 4},
  [3157] = {.lex_state = 93, .external_lex_state = 4},
  [3158] = {.lex_state = 93, .external_lex_state = 4},
  [3159] = {.lex_state = 93, .external_lex_state = 4},
  [3160] = {.lex_state = 93, .external_lex_state = 4},
  [3161] = {.lex_state = 93, .external_lex_state = 4},
  [3162] = {.lex_state = 93, .external_lex_state = 4},
  [3163] = {.lex_state = 93, .external_lex_state = 4},
  [3164] = {.lex_state = 93, .external_lex_state = 4},
  [3165] = {.lex_state = 93, .external_lex_state = 4},
  [3166] = {.lex_state = 93, .external_lex_state = 4},
  [3167] = {.lex_state = 93, .external_lex_state = 4},
  [3168] = {.lex_state = 93, .external_lex_state = 4},
  [3169] = {.lex_state = 93, .external_lex_state = 4},
  [3170] = {.lex_state = 93, .external_lex_state = 4},
  [3171] = {.lex_state = 93, .external_lex_state = 4},
  [3172] = {.lex_state = 93, .external_lex_state = 4},
  [3173] = {.lex_state = 93, .external_lex_state = 4},
  [3174] = {.lex_state = 93, .external_lex_state = 4},
  [3175] = {.lex_state = 93, .external_lex_state = 4},
  [3176] = {.lex_state = 93, .external_lex_state = 4},
  [3177] = {.lex_state = 93, .external_lex_state = 4},
  [3178] = {.lex_state = 93, .external_lex_state = 4},
  [3179] = {.lex_state = 93, .external_lex_state = 4},
  [3180] = {.lex_state = 93, .external_lex_state = 4},
  [3181] = {.lex_state = 93, .external_lex_state = 4},
  [3182] = {.lex_state = 93, .external_lex_state = 4},
  [3183] = {.lex_state = 93, .external_lex_state = 4},
  [3184] = {.lex_state = 93, .external_lex_state = 4},
  [3185] = {.lex_state = 93, .external_lex_state = 4},
  [3186] = {.lex_state = 93, .external_lex_state = 4},
  [3187] = {.lex_state = 93, .external_lex_state = 4},
  [3188] = {.lex_state = 93, .external_lex_state = 4},
  [3189] = {.lex_state = 93, .external_lex_state = 4},
  [3190] = {.lex_state = 93, .external_lex_state = 4},
  [3191] = {.lex_state = 93, .external_lex_state = 4},
  [3192] = {.lex_state = 93, .external_lex_state = 4},
  [3193] = {.lex_state = 93, .external_lex_state = 4},
  [3194] = {.lex_state = 93, .external_lex_state = 4},
  [3195] = {.lex_state = 93, .external_lex_state = 4},
  [3196] = {.lex_state = 93, .external_lex_state = 4},
  [3197] = {.lex_state = 93, .external_lex_state = 4},
  [3198] = {.lex_state = 93, .external_lex_state = 4},
  [3199] = {.lex_state = 93, .external_lex_state = 4},
  [3200] = {.lex_state = 93, .external_lex_state = 4},
  [3201] = {.lex_state = 93, .external_lex_state = 4},
  [3202] = {.lex_state = 93, .external_lex_state = 4},
  [3203] = {.lex_state = 93, .external_lex_state = 4},
  [3204] = {.lex_state = 93, .external_lex_state = 4},
  [3205] = {.lex_state = 93, .external_lex_state = 4},
  [3206] = {.lex_state = 93, .external_lex_state = 4},
  [3207] = {.lex_state = 93, .external_lex_state = 4},
  [3208] = {.lex_state = 93, .external_lex_state = 4},
  [3209] = {.lex_state = 93, .external_lex_state = 4},
  [3210] = {.lex_state = 93, .external_lex_state = 4},
  [3211] = {.lex_state = 93, .external_lex_state = 4},
  [3212] = {.lex_state = 93, .external_lex_state = 4},
  [3213] = {.lex_state = 93, .external_lex_state = 4},
  [3214] = {.lex_state = 93, .external_lex_state = 4},
  [3215] = {.lex_state = 93, .external_lex_state = 4},
  [3216] = {.lex_state = 93, .external_lex_state = 4},
  [3217] = {.lex_state = 93, .external_lex_state = 4},
  [3218] = {.lex_state = 93, .external_lex_state = 4},
  [3219] = {.lex_state = 89, .external_lex_state = 4},
  [3220] = {.lex_state = 95, .external_lex_state = 6},
  [3221] = {.lex_state = 93, .external_lex_state = 4},
  [3222] = {.lex_state = 93, .external_lex_state = 4},
  [3223] = {.lex_state = 95, .external_lex_state = 6},
  [3224] = {.lex_state = 93, .external_lex_state = 4},
  [3225] = {.lex_state = 93, .external_lex_state = 6},
  [3226] = {.lex_state = 93, .external_lex_state = 6},
  [3227] = {.lex_state = 93, .external_lex_state = 6},
  [3228] = {.lex_state = 93, .external_lex_state = 6},
  [3229] = {.lex_state = 93, .external_lex_state = 6},
  [3230] = {.lex_state = 89, .external_lex_state = 4},
  [3231] = {.lex_state = 7, .external_lex_state = 7},
  [3232] = {.lex_state = 93, .external_lex_state = 6},
  [3233] = {.lex_state = 93, .external_lex_state = 6},
  [3234] = {.lex_state = 94, .external_lex_state = 7},
  [3235] = {.lex_state = 93, .external_lex_state = 4},
  [3236] = {.lex_state = 93, .external_lex_state = 6},
  [3237] = {.lex_state = 93, .external_lex_state = 4},
  [3238] = {.lex_state = 93, .external_lex_state = 6},
  [3239] = {.lex_state = 93, .external_lex_state = 4},
  [3240] = {.lex_state = 93, .external_lex_state = 4},
  [3241] = {.lex_state = 93, .external_lex_state = 4},
  [3242] = {.lex_state = 95, .external_lex_state = 6},
  [3243] = {.lex_state = 95, .external_lex_state = 6},
  [3244] = {.lex_state = 93, .external_lex_state = 6},
  [3245] = {.lex_state = 89, .external_lex_state = 4},
  [3246] = {.lex_state = 93, .external_lex_state = 4},
  [3247] = {.lex_state = 93, .external_lex_state = 6},
  [3248] = {.lex_state = 93, .external_lex_state = 4},
  [3249] = {.lex_state = 93, .external_lex_state = 6},
  [3250] = {.lex_state = 93, .external_lex_state = 4},
  [3251] = {.lex_state = 92, .external_lex_state = 8},
  [3252] = {.lex_state = 93, .external_lex_state = 4},
  [3253] = {.lex_state = 93, .external_lex_state = 6},
  [3254] = {.lex_state = 93, .external_lex_state = 4},
  [3255] = {.lex_state = 7, .external_lex_state = 7},
  [3256] = {.lex_state = 93, .external_lex_state = 6},
  [3257] = {.lex_state = 93, .external_lex_state = 4},
  [3258] = {.lex_state = 93, .external_lex_state = 4},
  [3259] = {.lex_state = 93, .external_lex_state = 4},
  [3260] = {.lex_state = 93, .external_lex_state = 6},
  [3261] = {.lex_state = 93, .external_lex_state = 6},
  [3262] = {.lex_state = 93, .external_lex_state = 4},
  [3263] = {.lex_state = 93, .external_lex_state = 6},
  [3264] = {.lex_state = 93, .external_lex_state = 4},
  [3265] = {.lex_state = 93, .external_lex_state = 6},
  [3266] = {.lex_state = 93, .external_lex_state = 6},
  [3267] = {.lex_state = 93, .external_lex_state = 6},
  [3268] = {.lex_state = 93, .external_lex_state = 4},
  [3269] = {.lex_state = 93, .external_lex_state = 6},
  [3270] = {.lex_state = 93, .external_lex_state = 4},
  [3271] = {.lex_state = 93, .external_lex_state = 4},
  [3272] = {.lex_state = 93, .external_lex_state = 6},
  [3273] = {.lex_state = 89, .external_lex_state = 4},
  [3274] = {.lex_state = 93, .external_lex_state = 6},
  [3275] = {.lex_state = 93, .external_lex_state = 6},
  [3276] = {.lex_state = 93, .external_lex_state = 4},
  [3277] = {.lex_state = 93, .external_lex_state = 6},
  [3278] = {.lex_state = 93, .external_lex_state = 6},
  [3279] = {.lex_state = 93, .external_lex_state = 4},
  [3280] = {.lex_state = 93, .external_lex_state = 6},
  [3281] = {.lex_state = 93, .external_lex_state = 4},
  [3282] = {.lex_state = 93, .external_lex_state = 4},
  [3283] = {.lex_state = 93, .external_lex_state = 6},
  [3284] = {.lex_state = 89, .external_lex_state = 4},
  [3285] = {.lex_state = 93, .external_lex_state = 4},
  [3286] = {.lex_state = 93, .external_lex_state = 4},
  [3287] = {.lex_state = 89, .external_lex_state = 4},
  [3288] = {.lex_state = 94, .external_lex_state = 7},
  [3289] = {.lex_state = 95, .external_lex_state = 6},
  [3290] = {.lex_state = 94, .external_lex_state = 7},
  [3291] = {.lex_state = 93, .external_lex_state = 4},
  [3292] = {.lex_state = 92, .external_lex_state = 8},
  [3293] = {.lex_state = 93, .external_lex_state = 6},
  [3294] = {.lex_state = 94, .external_lex_state = 6},
  [3295] = {.lex_state = 94, .external_lex_state = 6},
  [3296] = {.lex_state = 94, .external_lex_state = 6},
  [3297] = {.lex_state = 93, .external_lex_state = 4},
  [3298] = {.lex_state = 7, .external_lex_state = 7},
  [3299] = {.lex_state = 93, .external_lex_state = 4},
  [3300] = {.lex_state = 93, .external_lex_state = 4},
  [3301] = {.lex_state = 89, .external_lex_state = 6},
  [3302] = {.lex_state = 93, .external_lex_state = 4},
  [3303] = {.lex_state = 93, .external_lex_state = 4},
  [3304] = {.lex_state = 89, .external_lex_state = 6},
  [3305] = {.lex_state = 93, .external_lex_state = 4},
  [3306] = {.lex_state = 93, .external_lex_state = 4},
  [3307] = {.lex_state = 89, .external_lex_state = 6},
  [3308] = {.lex_state = 89, .external_lex_state = 8},
  [3309] = {.lex_state = 93, .external_lex_state = 6},
  [3310] = {.lex_state = 89, .external_lex_state = 6},
  [3311] = {.lex_state = 89, .external_lex_state = 8},
  [3312] = {.lex_state = 94, .external_lex_state = 7},
  [3313] = {.lex_state = 93, .external_lex_state = 4},
  [3314] = {.lex_state = 93, .external_lex_state = 6},
  [3315] = {.lex_state = 93, .external_lex_state = 8},
  [3316] = {.lex_state = 89, .external_lex_state = 6},
  [3317] = {.lex_state = 89, .external_lex_state = 8},
  [3318] = {.lex_state = 93, .external_lex_state = 4},
  [3319] = {.lex_state = 89, .external_lex_state = 8},
  [3320] = {.lex_state = 89, .external_lex_state = 8},
  [3321] = {.lex_state = 93, .external_lex_state = 8},
  [3322] = {.lex_state = 93, .external_lex_state = 8},
  [3323] = {.lex_state = 93, .external_lex_state = 4},
  [3324] = {.lex_state = 89, .external_lex_state = 8},
  [3325] = {.lex_state = 93, .external_lex_state = 4},
  [3326] = {.lex_state = 93, .external_lex_state = 8},
  [3327] = {.lex_state = 93, .external_lex_state = 8},
  [3328] = {.lex_state = 93, .external_lex_state = 8},
  [3329] = {.lex_state = 93, .external_lex_state = 6},
  [3330] = {.lex_state = 93, .external_lex_state = 4},
  [3331] = {.lex_state = 92, .external_lex_state = 8},
  [3332] = {.lex_state = 89, .external_lex_state = 6},
  [3333] = {.lex_state = 93, .external_lex_state = 8},
  [3334] = {.lex_state = 89, .external_lex_state = 8},
  [3335] = {.lex_state = 93, .external_lex_state = 8},
  [3336] = {.lex_state = 92, .external_lex_state = 8},
  [3337] = {.lex_state = 93, .external_lex_state = 6},
  [3338] = {.lex_state = 89, .external_lex_state = 6},
  [3339] = {.lex_state = 93, .external_lex_state = 8},
  [3340] = {.lex_state = 93, .external_lex_state = 8},
  [3341] = {.lex_state = 93, .external_lex_state = 6},
  [3342] = {.lex_state = 93, .external_lex_state = 6},
  [3343] = {.lex_state = 93, .external_lex_state = 8},
  [3344] = {.lex_state = 93, .external_lex_state = 4},
  [3345] = {.lex_state = 95, .external_lex_state = 7},
  [3346] = {.lex_state = 93, .external_lex_state = 8},
  [3347] = {.lex_state = 94, .external_lex_state = 5},
  [3348] = {.lex_state = 95, .external_lex_state = 7},
  [3349] = {.lex_state = 93, .external_lex_state = 8},
  [3350] = {.lex_state = 95, .external_lex_state = 7},
  [3351] = {.lex_state = 93, .external_lex_state = 8},
  [3352] = {.lex_state = 93, .external_lex_state = 4},
  [3353] = {.lex_state = 95, .external_lex_state = 7},
  [3354] = {.lex_state = 93, .external_lex_state = 8},
  [3355] = {.lex_state = 95, .external_lex_state = 7},
  [3356] = {.lex_state = 95, .external_lex_state = 7},
  [3357] = {.lex_state = 93, .external_lex_state = 8},
  [3358] = {.lex_state = 95, .external_lex_state = 7},
  [3359] = {.lex_state = 95, .external_lex_state = 7},
  [3360] = {.lex_state = 95, .external_lex_state = 7},
  [3361] = {.lex_state = 95, .external_lex_state = 7},
  [3362] = {.lex_state = 95, .external_lex_state = 7},
  [3363] = {.lex_state = 95, .external_lex_state = 7},
  [3364] = {.lex_state = 94, .external_lex_state = 4},
  [3365] = {.lex_state = 94, .external_lex_state = 4},
  [3366] = {.lex_state = 93, .external_lex_state = 8},
  [3367] = {.lex_state = 95, .external_lex_state = 4},
  [3368] = {.lex_state = 95, .external_lex_state = 7},
  [3369] = {.lex_state = 93, .external_lex_state = 8},
  [3370] = {.lex_state = 93, .external_lex_state = 4},
  [3371] = {.lex_state = 95, .external_lex_state = 7},
  [3372] = {.lex_state = 93, .external_lex_state = 4},
  [3373] = {.lex_state = 95, .external_lex_state = 7},
  [3374] = {.lex_state = 93, .external_lex_state = 8},
  [3375] = {.lex_state = 94, .external_lex_state = 5},
  [3376] = {.lex_state = 95, .external_lex_state = 7},
  [3377] = {.lex_state = 95, .external_lex_state = 7},
  [3378] = {.lex_state = 94, .external_lex_state = 4},
  [3379] = {.lex_state = 95, .external_lex_state = 7},
  [3380] = {.lex_state = 95, .external_lex_state = 7},
  [3381] = {.lex_state = 95, .external_lex_state = 4},
  [3382] = {.lex_state = 93, .external_lex_state = 8},
  [3383] = {.lex_state = 95, .external_lex_state = 7},
  [3384] = {.lex_state = 95, .external_lex_state = 7},
  [3385] = {.lex_state = 95, .external_lex_state = 7},
  [3386] = {.lex_state = 95, .external_lex_state = 6},
  [3387] = {.lex_state = 95, .external_lex_state = 7},
  [3388] = {.lex_state = 95, .external_lex_state = 7},
  [3389] = {.lex_state = 95, .external_lex_state = 4},
  [3390] = {.lex_state = 7, .external_lex_state = 7},
  [3391] = {.lex_state = 95, .external_lex_state = 7},
  [3392] = {.lex_state = 95, .external_lex_state = 7},
  [3393] = {.lex_state = 93, .external_lex_state = 8},
  [3394] = {.lex_state = 93, .external_lex_state = 8},
  [3395] = {.lex_state = 95, .external_lex_state = 6},
  [3396] = {.lex_state = 95, .external_lex_state = 7},
  [3397] = {.lex_state = 93, .external_lex_state = 8},
  [3398] = {.lex_state = 94, .external_lex_state = 6},
  [3399] = {.lex_state = 93, .external_lex_state = 4},
  [3400] = {.lex_state = 95, .external_lex_state = 7},
  [3401] = {.lex_state = 93, .external_lex_state = 8},
  [3402] = {.lex_state = 93, .external_lex_state = 8},
  [3403] = {.lex_state = 95, .external_lex_state = 7},
  [3404] = {.lex_state = 95, .external_lex_state = 7},
  [3405] = {.lex_state = 93, .external_lex_state = 4},
  [3406] = {.lex_state = 95, .external_lex_state = 7},
  [3407] = {.lex_state = 93, .external_lex_state = 8},
  [3408] = {.lex_state = 93, .external_lex_state = 8},
  [3409] = {.lex_state = 93, .external_lex_state = 4},
  [3410] = {.lex_state = 7, .external_lex_state = 7},
  [3411] = {.lex_state = 93, .external_lex_state = 8},
  [3412] = {.lex_state = 93, .external_lex_state = 8},
  [3413] = {.lex_state = 94, .external_lex_state = 5},
  [3414] = {.lex_state = 95, .external_lex_state = 7},
  [3415] = {.lex_state = 93, .external_lex_state = 8},
  [3416] = {.lex_state = 93, .external_lex_state = 8},
  [3417] = {.lex_state = 93, .external_lex_state = 8},
  [3418] = {.lex_state = 93, .external_lex_state = 8},
  [3419] = {.lex_state = 93, .external_lex_state = 8},
  [3420] = {.lex_state = 93, .external_lex_state = 8},
  [3421] = {.lex_state = 95, .external_lex_state = 7},
  [3422] = {.lex_state = 93, .external_lex_state = 8},
  [3423] = {.lex_state = 95, .external_lex_state = 6},
  [3424] = {.lex_state = 93, .external_lex_state = 8},
  [3425] = {.lex_state = 93, .external_lex_state = 8},
  [3426] = {.lex_state = 93, .external_lex_state = 8},
  [3427] = {.lex_state = 95, .external_lex_state = 7},
  [3428] = {.lex_state = 93, .external_lex_state = 8},
  [3429] = {.lex_state = 95, .external_lex_state = 7},
  [3430] = {.lex_state = 93, .external_lex_state = 8},
  [3431] = {.lex_state = 95, .external_lex_state = 7},
  [3432] = {.lex_state = 95, .external_lex_state = 7},
  [3433] = {.lex_state = 95, .external_lex_state = 7},
  [3434] = {.lex_state = 95, .external_lex_state = 7},
  [3435] = {.lex_state = 95, .external_lex_state = 7},
  [3436] = {.lex_state = 93, .external_lex_state = 8},
  [3437] = {.lex_state = 95, .external_lex_state = 7},
  [3438] = {.lex_state = 93, .external_lex_state = 4},
  [3439] = {.lex_state = 92, .external_lex_state = 8},
  [3440] = {.lex_state = 93, .external_lex_state = 8},
  [3441] = {.lex_state = 95, .external_lex_state = 7},
  [3442] = {.lex_state = 93, .external_lex_state = 8},
  [3443] = {.lex_state = 93, .external_lex_state = 8},
  [3444] = {.lex_state = 93, .external_lex_state = 8},
  [3445] = {.lex_state = 93, .external_lex_state = 8},
  [3446] = {.lex_state = 93, .external_lex_state = 4},
  [3447] = {.lex_state = 95, .external_lex_state = 7},
  [3448] = {.lex_state = 93, .external_lex_state = 8},
  [3449] = {.lex_state = 93, .external_lex_state = 8},
  [3450] = {.lex_state = 95, .external_lex_state = 7},
  [3451] = {.lex_state = 93, .external_lex_state = 8},
  [3452] = {.lex_state = 93, .external_lex_state = 8},
  [3453] = {.lex_state = 93, .external_lex_state = 8},
  [3454] = {.lex_state = 93, .external_lex_state = 8},
  [3455] = {.lex_state = 93, .external_lex_state = 8},
  [3456] = {.lex_state = 95, .external_lex_state = 7},
  [3457] = {.lex_state = 93, .external_lex_state = 8},
  [3458] = {.lex_state = 93, .external_lex_state = 8},
  [3459] = {.lex_state = 95, .external_lex_state = 4},
  [3460] = {.lex_state = 95, .external_lex_state = 6},
  [3461] = {.lex_state = 95, .external_lex_state = 6},
  [3462] = {.lex_state = 93, .external_lex_state = 8},
  [3463] = {.lex_state = 93, .external_lex_state = 8},
  [3464] = {.lex_state = 93, .external_lex_state = 8},
  [3465] = {.lex_state = 95, .external_lex_state = 6},
  [3466] = {.lex_state = 93, .external_lex_state = 8},
  [3467] = {.lex_state = 93, .external_lex_state = 8},
  [3468] = {.lex_state = 93, .external_lex_state = 8},
  [3469] = {.lex_state = 93, .external_lex_state = 8},
  [3470] = {.lex_state = 95, .external_lex_state = 6},
  [3471] = {.lex_state = 95, .external_lex_state = 4},
  [3472] = {.lex_state = 93, .external_lex_state = 8},
  [3473] = {.lex_state = 95, .external_lex_state = 4},
  [3474] = {.lex_state = 93, .external_lex_state = 8},
  [3475] = {.lex_state = 93, .external_lex_state = 8},
  [3476] = {.lex_state = 89, .external_lex_state = 5},
  [3477] = {.lex_state = 89, .external_lex_state = 5},
  [3478] = {.lex_state = 95, .external_lex_state = 6},
  [3479] = {.lex_state = 95, .external_lex_state = 6},
  [3480] = {.lex_state = 93, .external_lex_state = 8},
  [3481] = {.lex_state = 93, .external_lex_state = 8},
  [3482] = {.lex_state = 95, .external_lex_state = 6},
  [3483] = {.lex_state = 93, .external_lex_state = 8},
  [3484] = {.lex_state = 93, .external_lex_state = 8},
  [3485] = {.lex_state = 93, .external_lex_state = 8},
  [3486] = {.lex_state = 95, .external_lex_state = 6},
  [3487] = {.lex_state = 93, .external_lex_state = 8},
  [3488] = {.lex_state = 93, .external_lex_state = 8},
  [3489] = {.lex_state = 93, .external_lex_state = 8},
  [3490] = {.lex_state = 95, .external_lex_state = 6},
  [3491] = {.lex_state = 93, .external_lex_state = 8},
  [3492] = {.lex_state = 93, .external_lex_state = 8},
  [3493] = {.lex_state = 93, .external_lex_state = 8},
  [3494] = {.lex_state = 93, .external_lex_state = 8},
  [3495] = {.lex_state = 95, .external_lex_state = 6},
  [3496] = {.lex_state = 93, .external_lex_state = 8},
  [3497] = {.lex_state = 95, .external_lex_state = 6},
  [3498] = {.lex_state = 93, .external_lex_state = 8},
  [3499] = {.lex_state = 93, .external_lex_state = 8},
  [3500] = {.lex_state = 95, .external_lex_state = 6},
  [3501] = {.lex_state = 95, .external_lex_state = 6},
  [3502] = {.lex_state = 95, .external_lex_state = 6},
  [3503] = {.lex_state = 95, .external_lex_state = 6},
  [3504] = {.lex_state = 93, .external_lex_state = 8},
  [3505] = {.lex_state = 93, .external_lex_state = 8},
  [3506] = {.lex_state = 93, .external_lex_state = 8},
  [3507] = {.lex_state = 93, .external_lex_state = 8},
  [3508] = {.lex_state = 93, .external_lex_state = 8},
  [3509] = {.lex_state = 95, .external_lex_state = 6},
  [3510] = {.lex_state = 93, .external_lex_state = 8},
  [3511] = {.lex_state = 95, .external_lex_state = 6},
  [3512] = {.lex_state = 95, .external_lex_state = 6},
  [3513] = {.lex_state = 93, .external_lex_state = 8},
  [3514] = {.lex_state = 95, .external_lex_state = 6},
  [3515] = {.lex_state = 95, .external_lex_state = 6},
  [3516] = {.lex_state = 95, .external_lex_state = 6},
  [3517] = {.lex_state = 93, .external_lex_state = 8},
  [3518] = {.lex_state = 95, .external_lex_state = 6},
  [3519] = {.lex_state = 95, .external_lex_state = 6},
  [3520] = {.lex_state = 95, .external_lex_state = 6},
  [3521] = {.lex_state = 93, .external_lex_state = 8},
  [3522] = {.lex_state = 95, .external_lex_state = 6},
  [3523] = {.lex_state = 95, .external_lex_state = 6},
  [3524] = {.lex_state = 93, .external_lex_state = 8},
  [3525] = {.lex_state = 93, .external_lex_state = 8},
  [3526] = {.lex_state = 93, .external_lex_state = 8},
  [3527] = {.lex_state = 93, .external_lex_state = 8},
  [3528] = {.lex_state = 93, .external_lex_state = 8},
  [3529] = {.lex_state = 93, .external_lex_state = 8},
  [3530] = {.lex_state = 93, .external_lex_state = 8},
  [3531] = {.lex_state = 93, .external_lex_state = 8},
  [3532] = {.lex_state = 93, .external_lex_state = 8},
  [3533] = {.lex_state = 93, .external_lex_state = 8},
  [3534] = {.lex_state = 93, .external_lex_state = 8},
  [3535] = {.lex_state = 93, .external_lex_state = 8},
  [3536] = {.lex_state = 93, .external_lex_state = 8},
  [3537] = {.lex_state = 93, .external_lex_state = 8},
  [3538] = {.lex_state = 95, .external_lex_state = 6},
  [3539] = {.lex_state = 93, .external_lex_state = 8},
  [3540] = {.lex_state = 93, .external_lex_state = 8},
  [3541] = {.lex_state = 95, .external_lex_state = 6},
  [3542] = {.lex_state = 95, .external_lex_state = 4},
  [3543] = {.lex_state = 93, .external_lex_state = 8},
  [3544] = {.lex_state = 93, .external_lex_state = 8},
  [3545] = {.lex_state = 93, .external_lex_state = 8},
  [3546] = {.lex_state = 95, .external_lex_state = 6},
  [3547] = {.lex_state = 93, .external_lex_state = 8},
  [3548] = {.lex_state = 93, .external_lex_state = 8},
  [3549] = {.lex_state = 93, .external_lex_state = 8},
  [3550] = {.lex_state = 93, .external_lex_state = 8},
  [3551] = {.lex_state = 93, .external_lex_state = 8},
  [3552] = {.lex_state = 93, .external_lex_state = 8},
  [3553] = {.lex_state = 93, .external_lex_state = 8},
  [3554] = {.lex_state = 93, .external_lex_state = 8},
  [3555] = {.lex_state = 93, .external_lex_state = 8},
  [3556] = {.lex_state = 93, .external_lex_state = 8},
  [3557] = {.lex_state = 95, .external_lex_state = 6},
  [3558] = {.lex_state = 95, .external_lex_state = 6},
  [3559] = {.lex_state = 93, .external_lex_state = 8},
  [3560] = {.lex_state = 92, .external_lex_state = 6},
  [3561] = {.lex_state = 95, .external_lex_state = 6},
  [3562] = {.lex_state = 93, .external_lex_state = 8},
  [3563] = {.lex_state = 93, .external_lex_state = 8},
  [3564] = {.lex_state = 95, .external_lex_state = 6},
  [3565] = {.lex_state = 95, .external_lex_state = 6},
  [3566] = {.lex_state = 93, .external_lex_state = 8},
  [3567] = {.lex_state = 95, .external_lex_state = 6},
  [3568] = {.lex_state = 95, .external_lex_state = 6},
  [3569] = {.lex_state = 89, .external_lex_state = 5},
  [3570] = {.lex_state = 93, .external_lex_state = 8},
  [3571] = {.lex_state = 95, .external_lex_state = 6},
  [3572] = {.lex_state = 95, .external_lex_state = 6},
  [3573] = {.lex_state = 93, .external_lex_state = 8},
  [3574] = {.lex_state = 93, .external_lex_state = 8},
  [3575] = {.lex_state = 93, .external_lex_state = 8},
  [3576] = {.lex_state = 93, .external_lex_state = 8},
  [3577] = {.lex_state = 93, .external_lex_state = 8},
  [3578] = {.lex_state = 95, .external_lex_state = 6},
  [3579] = {.lex_state = 95, .external_lex_state = 6},
  [3580] = {.lex_state = 93, .external_lex_state = 8},
  [3581] = {.lex_state = 93, .external_lex_state = 8},
  [3582] = {.lex_state = 93, .external_lex_state = 8},
  [3583] = {.lex_state = 93, .external_lex_state = 8},
  [3584] = {.lex_state = 93, .external_lex_state = 8},
  [3585] = {.lex_state = 93, .external_lex_state = 8},
  [3586] = {.lex_state = 93, .external_lex_state = 8},
  [3587] = {.lex_state = 93, .external_lex_state = 8},
  [3588] = {.lex_state = 95, .external_lex_state = 6},
  [3589] = {.lex_state = 93, .external_lex_state = 8},
  [3590] = {.lex_state = 95, .external_lex_state = 6},
  [3591] = {.lex_state = 93, .external_lex_state = 8},
  [3592] = {.lex_state = 93, .external_lex_state = 8},
  [3593] = {.lex_state = 93, .external_lex_state = 8},
  [3594] = {.lex_state = 93, .external_lex_state = 8},
  [3595] = {.lex_state = 95, .external_lex_state = 6},
  [3596] = {.lex_state = 93, .external_lex_state = 8},
  [3597] = {.lex_state = 95, .external_lex_state = 6},
  [3598] = {.lex_state = 93, .external_lex_state = 8},
  [3599] = {.lex_state = 93, .external_lex_state = 8},
  [3600] = {.lex_state = 95, .external_lex_state = 6},
  [3601] = {.lex_state = 93, .external_lex_state = 8},
  [3602] = {.lex_state = 93, .external_lex_state = 8},
  [3603] = {.lex_state = 93, .external_lex_state = 8},
  [3604] = {.lex_state = 95, .external_lex_state = 6},
  [3605] = {.lex_state = 93, .external_lex_state = 8},
  [3606] = {.lex_state = 93, .external_lex_state = 8},
  [3607] = {.lex_state = 95, .external_lex_state = 6},
  [3608] = {.lex_state = 93, .external_lex_state = 8},
  [3609] = {.lex_state = 95, .external_lex_state = 6},
  [3610] = {.lex_state = 95, .external_lex_state = 6},
  [3611] = {.lex_state = 93, .external_lex_state = 8},
  [3612] = {.lex_state = 93, .external_lex_state = 8},
  [3613] = {.lex_state = 95, .external_lex_state = 6},
  [3614] = {.lex_state = 93, .external_lex_state = 8},
  [3615] = {.lex_state = 95, .external_lex_state = 6},
  [3616] = {.lex_state = 95, .external_lex_state = 4},
  [3617] = {.lex_state = 93, .external_lex_state = 8},
  [3618] = {.lex_state = 93, .external_lex_state = 8},
  [3619] = {.lex_state = 93, .external_lex_state = 8},
  [3620] = {.lex_state = 93, .external_lex_state = 8},
  [3621] = {.lex_state = 93, .external_lex_state = 8},
  [3622] = {.lex_state = 93, .external_lex_state = 8},
  [3623] = {.lex_state = 93, .external_lex_state = 8},
  [3624] = {.lex_state = 93, .external_lex_state = 8},
  [3625] = {.lex_state = 94, .external_lex_state = 4},
  [3626] = {.lex_state = 93, .external_lex_state = 8},
  [3627] = {.lex_state = 93, .external_lex_state = 8},
  [3628] = {.lex_state = 89, .external_lex_state = 5},
  [3629] = {.lex_state = 93, .external_lex_state = 8},
  [3630] = {.lex_state = 93, .external_lex_state = 8},
  [3631] = {.lex_state = 93, .external_lex_state = 8},
  [3632] = {.lex_state = 93, .external_lex_state = 8},
  [3633] = {.lex_state = 93, .external_lex_state = 8},
  [3634] = {.lex_state = 93, .external_lex_state = 8},
  [3635] = {.lex_state = 93, .external_lex_state = 8},
  [3636] = {.lex_state = 93, .external_lex_state = 8},
  [3637] = {.lex_state = 93, .external_lex_state = 8},
  [3638] = {.lex_state = 93, .external_lex_state = 8},
  [3639] = {.lex_state = 94, .external_lex_state = 5},
  [3640] = {.lex_state = 93, .external_lex_state = 8},
  [3641] = {.lex_state = 93, .external_lex_state = 8},
  [3642] = {.lex_state = 93, .external_lex_state = 8},
  [3643] = {.lex_state = 93, .external_lex_state = 8},
  [3644] = {.lex_state = 93, .external_lex_state = 8},
  [3645] = {.lex_state = 95, .external_lex_state = 4},
  [3646] = {.lex_state = 93, .external_lex_state = 8},
  [3647] = {.lex_state = 93, .external_lex_state = 8},
  [3648] = {.lex_state = 93, .external_lex_state = 8},
  [3649] = {.lex_state = 93, .external_lex_state = 8},
  [3650] = {.lex_state = 93, .external_lex_state = 8},
  [3651] = {.lex_state = 93, .external_lex_state = 8},
  [3652] = {.lex_state = 93, .external_lex_state = 8},
  [3653] = {.lex_state = 93, .external_lex_state = 8},
  [3654] = {.lex_state = 89, .external_lex_state = 5},
  [3655] = {.lex_state = 93, .external_lex_state = 8},
  [3656] = {.lex_state = 89, .external_lex_state = 5},
  [3657] = {.lex_state = 93, .external_lex_state = 8},
  [3658] = {.lex_state = 93, .external_lex_state = 8},
  [3659] = {.lex_state = 93, .external_lex_state = 8},
  [3660] = {.lex_state = 93, .external_lex_state = 8},
  [3661] = {.lex_state = 93, .external_lex_state = 8},
  [3662] = {.lex_state = 93, .external_lex_state = 8},
  [3663] = {.lex_state = 93, .external_lex_state = 8},
  [3664] = {.lex_state = 93, .external_lex_state = 8},
  [3665] = {.lex_state = 93, .external_lex_state = 8},
  [3666] = {.lex_state = 93, .external_lex_state = 8},
  [3667] = {.lex_state = 93, .external_lex_state = 8},
  [3668] = {.lex_state = 93, .external_lex_state = 8},
  [3669] = {.lex_state = 93, .external_lex_state = 8},
  [3670] = {.lex_state = 93, .external_lex_state = 8},
  [3671] = {.lex_state = 89, .external_lex_state = 5},
  [3672] = {.lex_state = 93, .external_lex_state = 8},
  [3673] = {.lex_state = 93, .external_lex_state = 8},
  [3674] = {.lex_state = 95, .external_lex_state = 4},
  [3675] = {.lex_state = 93, .external_lex_state = 8},
  [3676] = {.lex_state = 93, .external_lex_state = 8},
  [3677] = {.lex_state = 95, .external_lex_state = 5},
  [3678] = {.lex_state = 95, .external_lex_state = 5},
  [3679] = {.lex_state = 89, .external_lex_state = 4},
  [3680] = {.lex_state = 89, .external_lex_state = 4},
  [3681] = {.lex_state = 95, .external_lex_state = 5},
  [3682] = {.lex_state = 95, .external_lex_state = 5},
  [3683] = {.lex_state = 95, .external_lex_state = 4},
  [3684] = {.lex_state = 95, .external_lex_state = 5},
  [3685] = {.lex_state = 93, .external_lex_state = 6},
  [3686] = {.lex_state = 93, .external_lex_state = 6},
  [3687] = {.lex_state = 93, .external_lex_state = 6},
  [3688] = {.lex_state = 95, .external_lex_state = 5},
  [3689] = {.lex_state = 95, .external_lex_state = 5},
  [3690] = {.lex_state = 95, .external_lex_state = 6},
  [3691] = {.lex_state = 95, .external_lex_state = 5},
  [3692] = {.lex_state = 95, .external_lex_state = 5},
  [3693] = {.lex_state = 95, .external_lex_state = 4},
  [3694] = {.lex_state = 95, .external_lex_state = 5},
  [3695] = {.lex_state = 95, .external_lex_state = 5},
  [3696] = {.lex_state = 93, .external_lex_state = 4},
  [3697] = {.lex_state = 95, .external_lex_state = 4},
  [3698] = {.lex_state = 95, .external_lex_state = 5},
  [3699] = {.lex_state = 93, .external_lex_state = 6},
  [3700] = {.lex_state = 93, .external_lex_state = 6},
  [3701] = {.lex_state = 93, .external_lex_state = 6},
  [3702] = {.lex_state = 93, .external_lex_state = 6},
  [3703] = {.lex_state = 93, .external_lex_state = 6},
  [3704] = {.lex_state = 93, .external_lex_state = 6},
  [3705] = {.lex_state = 89, .external_lex_state = 6},
  [3706] = {.lex_state = 93, .external_lex_state = 6},
  [3707] = {.lex_state = 93, .external_lex_state = 6},
  [3708] = {.lex_state = 95, .external_lex_state = 5},
  [3709] = {.lex_state = 95, .external_lex_state = 5},
  [3710] = {.lex_state = 95, .external_lex_state = 4},
  [3711] = {.lex_state = 95, .external_lex_state = 4},
  [3712] = {.lex_state = 92, .external_lex_state = 6},
  [3713] = {.lex_state = 95, .external_lex_state = 5},
  [3714] = {.lex_state = 95, .external_lex_state = 7},
  [3715] = {.lex_state = 95, .external_lex_state = 4},
  [3716] = {.lex_state = 95, .external_lex_state = 5},
  [3717] = {.lex_state = 89, .external_lex_state = 6},
  [3718] = {.lex_state = 95, .external_lex_state = 4},
  [3719] = {.lex_state = 95, .external_lex_state = 5},
  [3720] = {.lex_state = 95, .external_lex_state = 5},
  [3721] = {.lex_state = 95, .external_lex_state = 5},
  [3722] = {.lex_state = 89, .external_lex_state = 6},
  [3723] = {.lex_state = 89, .external_lex_state = 6},
  [3724] = {.lex_state = 95, .external_lex_state = 5},
  [3725] = {.lex_state = 95, .external_lex_state = 4},
  [3726] = {.lex_state = 89, .external_lex_state = 7},
  [3727] = {.lex_state = 89, .external_lex_state = 6},
  [3728] = {.lex_state = 89, .external_lex_state = 6},
  [3729] = {.lex_state = 89, .external_lex_state = 7},
  [3730] = {.lex_state = 95, .external_lex_state = 5},
  [3731] = {.lex_state = 95, .external_lex_state = 5},
  [3732] = {.lex_state = 89, .external_lex_state = 6},
  [3733] = {.lex_state = 95, .external_lex_state = 5},
  [3734] = {.lex_state = 95, .external_lex_state = 4},
  [3735] = {.lex_state = 95, .external_lex_state = 4},
  [3736] = {.lex_state = 95, .external_lex_state = 5},
  [3737] = {.lex_state = 95, .external_lex_state = 5},
  [3738] = {.lex_state = 95, .external_lex_state = 4},
  [3739] = {.lex_state = 95, .external_lex_state = 5},
  [3740] = {.lex_state = 93, .external_lex_state = 8},
  [3741] = {.lex_state = 89, .external_lex_state = 7},
  [3742] = {.lex_state = 89, .external_lex_state = 4},
  [3743] = {.lex_state = 89, .external_lex_state = 4},
  [3744] = {.lex_state = 95, .external_lex_state = 5},
  [3745] = {.lex_state = 95, .external_lex_state = 5},
  [3746] = {.lex_state = 95, .external_lex_state = 4},
  [3747] = {.lex_state = 95, .external_lex_state = 4},
  [3748] = {.lex_state = 95, .external_lex_state = 4},
  [3749] = {.lex_state = 95, .external_lex_state = 5},
  [3750] = {.lex_state = 95, .external_lex_state = 4},
  [3751] = {.lex_state = 95, .external_lex_state = 4},
  [3752] = {.lex_state = 95, .external_lex_state = 4},
  [3753] = {.lex_state = 95, .external_lex_state = 4},
  [3754] = {.lex_state = 95, .external_lex_state = 4},
  [3755] = {.lex_state = 95, .external_lex_state = 4},
  [3756] = {.lex_state = 89, .external_lex_state = 4},
  [3757] = {.lex_state = 89, .external_lex_state = 4},
  [3758] = {.lex_state = 89, .external_lex_state = 7},
  [3759] = {.lex_state = 95, .external_lex_state = 4},
  [3760] = {.lex_state = 95, .external_lex_state = 4},
  [3761] = {.lex_state = 95, .external_lex_state = 4},
  [3762] = {.lex_state = 95, .external_lex_state = 5},
  [3763] = {.lex_state = 89, .external_lex_state = 4},
  [3764] = {.lex_state = 95, .external_lex_state = 4},
  [3765] = {.lex_state = 93, .external_lex_state = 6},
  [3766] = {.lex_state = 95, .external_lex_state = 5},
  [3767] = {.lex_state = 95, .external_lex_state = 5},
  [3768] = {.lex_state = 95, .external_lex_state = 4},
  [3769] = {.lex_state = 95, .external_lex_state = 6},
  [3770] = {.lex_state = 95, .external_lex_state = 4},
  [3771] = {.lex_state = 95, .external_lex_state = 5},
  [3772] = {.lex_state = 95, .external_lex_state = 5},
  [3773] = {.lex_state = 95, .external_lex_state = 4},
  [3774] = {.lex_state = 95, .external_lex_state = 5},
  [3775] = {.lex_state = 95, .external_lex_state = 5},
  [3776] = {.lex_state = 95, .external_lex_state = 5},
  [3777] = {.lex_state = 95, .external_lex_state = 4},
  [3778] = {.lex_state = 95, .external_lex_state = 5},
  [3779] = {.lex_state = 95, .external_lex_state = 4},
  [3780] = {.lex_state = 93, .external_lex_state = 8},
  [3781] = {.lex_state = 95, .external_lex_state = 5},
  [3782] = {.lex_state = 93, .external_lex_state = 8},
  [3783] = {.lex_state = 95, .external_lex_state = 4},
  [3784] = {.lex_state = 95, .external_lex_state = 4},
  [3785] = {.lex_state = 93, .external_lex_state = 8},
  [3786] = {.lex_state = 93, .external_lex_state = 8},
  [3787] = {.lex_state = 95, .external_lex_state = 4},
  [3788] = {.lex_state = 95, .external_lex_state = 4},
  [3789] = {.lex_state = 95, .external_lex_state = 5},
  [3790] = {.lex_state = 93, .external_lex_state = 8},
  [3791] = {.lex_state = 95, .external_lex_state = 5},
  [3792] = {.lex_state = 95, .external_lex_state = 5},
  [3793] = {.lex_state = 93, .external_lex_state = 8},
  [3794] = {.lex_state = 95, .external_lex_state = 4},
  [3795] = {.lex_state = 93, .external_lex_state = 8},
  [3796] = {.lex_state = 95, .external_lex_state = 5},
  [3797] = {.lex_state = 93, .external_lex_state = 8},
  [3798] = {.lex_state = 93, .external_lex_state = 8},
  [3799] = {.lex_state = 93, .external_lex_state = 8},
  [3800] = {.lex_state = 95, .external_lex_state = 4},
  [3801] = {.lex_state = 95, .external_lex_state = 4},
  [3802] = {.lex_state = 89, .external_lex_state = 7},
  [3803] = {.lex_state = 95, .external_lex_state = 4},
  [3804] = {.lex_state = 95, .external_lex_state = 5},
  [3805] = {.lex_state = 89, .external_lex_state = 7},
  [3806] = {.lex_state = 95, .external_lex_state = 5},
  [3807] = {.lex_state = 95, .external_lex_state = 4},
  [3808] = {.lex_state = 95, .external_lex_state = 4},
  [3809] = {.lex_state = 95, .external_lex_state = 7},
  [3810] = {.lex_state = 95, .external_lex_state = 4},
  [3811] = {.lex_state = 95, .external_lex_state = 4},
  [3812] = {.lex_state = 95, .external_lex_state = 4},
  [3813] = {.lex_state = 95, .external_lex_state = 4},
  [3814] = {.lex_state = 95, .external_lex_state = 5},
  [3815] = {.lex_state = 95, .external_lex_state = 4},
  [3816] = {.lex_state = 89, .external_lex_state = 7},
  [3817] = {.lex_state = 95, .external_lex_state = 4},
  [3818] = {.lex_state = 95, .external_lex_state = 4},
  [3819] = {.lex_state = 95, .external_lex_state = 4},
  [3820] = {.lex_state = 95, .external_lex_state = 4},
  [3821] = {.lex_state = 95, .external_lex_state = 5},
  [3822] = {.lex_state = 95, .external_lex_state = 4},
  [3823] = {.lex_state = 95, .external_lex_state = 4},
  [3824] = {.lex_state = 95, .external_lex_state = 4},
  [3825] = {.lex_state = 95, .external_lex_state = 4},
  [3826] = {.lex_state = 95, .external_lex_state = 5},
  [3827] = {.lex_state = 95, .external_lex_state = 7},
  [3828] = {.lex_state = 93, .external_lex_state = 8},
  [3829] = {.lex_state = 93, .external_lex_state = 8},
  [3830] = {.lex_state = 93, .external_lex_state = 8},
  [3831] = {.lex_state = 93, .external_lex_state = 8},
  [3832] = {.lex_state = 93, .external_lex_state = 8},
  [3833] = {.lex_state = 95, .external_lex_state = 5},
  [3834] = {.lex_state = 95, .external_lex_state = 5},
  [3835] = {.lex_state = 93, .external_lex_state = 8},
  [3836] = {.lex_state = 95, .external_lex_state = 5},
  [3837] = {.lex_state = 95, .external_lex_state = 5},
  [3838] = {.lex_state = 95, .external_lex_state = 5},
  [3839] = {.lex_state = 89, .external_lex_state = 6},
  [3840] = {.lex_state = 95, .external_lex_state = 7},
  [3841] = {.lex_state = 95, .external_lex_state = 5},
  [3842] = {.lex_state = 95, .external_lex_state = 7},
  [3843] = {.lex_state = 95, .external_lex_state = 7},
  [3844] = {.lex_state = 95, .external_lex_state = 5},
  [3845] = {.lex_state = 94, .external_lex_state = 8},
  [3846] = {.lex_state = 95, .external_lex_state = 7},
  [3847] = {.lex_state = 95, .external_lex_state = 7},
  [3848] = {.lex_state = 95, .external_lex_state = 7},
  [3849] = {.lex_state = 95, .external_lex_state = 7},
  [3850] = {.lex_state = 94, .external_lex_state = 8},
  [3851] = {.lex_state = 95, .external_lex_state = 7},
  [3852] = {.lex_state = 95, .external_lex_state = 7},
  [3853] = {.lex_state = 95, .external_lex_state = 7},
  [3854] = {.lex_state = 95, .external_lex_state = 7},
  [3855] = {.lex_state = 95, .external_lex_state = 5},
  [3856] = {.lex_state = 95, .external_lex_state = 7},
  [3857] = {.lex_state = 95, .external_lex_state = 7},
  [3858] = {.lex_state = 95, .external_lex_state = 7},
  [3859] = {.lex_state = 89, .external_lex_state = 6},
  [3860] = {.lex_state = 94, .external_lex_state = 8},
  [3861] = {.lex_state = 95, .external_lex_state = 7},
  [3862] = {.lex_state = 95, .external_lex_state = 5},
  [3863] = {.lex_state = 95, .external_lex_state = 5},
  [3864] = {.lex_state = 95, .external_lex_state = 7},
  [3865] = {.lex_state = 95, .external_lex_state = 5},
  [3866] = {.lex_state = 95, .external_lex_state = 5},
  [3867] = {.lex_state = 95, .external_lex_state = 5},
  [3868] = {.lex_state = 95, .external_lex_state = 7},
  [3869] = {.lex_state = 95, .external_lex_state = 5},
  [3870] = {.lex_state = 95, .external_lex_state = 7},
  [3871] = {.lex_state = 95, .external_lex_state = 7},
  [3872] = {.lex_state = 95, .external_lex_state = 7},
  [3873] = {.lex_state = 95, .external_lex_state = 7},
  [3874] = {.lex_state = 95, .external_lex_state = 7},
  [3875] = {.lex_state = 95, .external_lex_state = 7},
  [3876] = {.lex_state = 95, .external_lex_state = 7},
  [3877] = {.lex_state = 95, .external_lex_state = 7},
  [3878] = {.lex_state = 93, .external_lex_state = 6},
  [3879] = {.lex_state = 95, .external_lex_state = 7},
  [3880] = {.lex_state = 95, .external_lex_state = 7},
  [3881] = {.lex_state = 93, .external_lex_state = 6},
  [3882] = {.lex_state = 95, .external_lex_state = 5},
  [3883] = {.lex_state = 95, .external_lex_state = 5},
  [3884] = {.lex_state = 95, .external_lex_state = 7},
  [3885] = {.lex_state = 95, .external_lex_state = 7},
  [3886] = {.lex_state = 95, .external_lex_state = 7},
  [3887] = {.lex_state = 95, .external_lex_state = 7},
  [3888] = {.lex_state = 95, .external_lex_state = 7},
  [3889] = {.lex_state = 95, .external_lex_state = 7},
  [3890] = {.lex_state = 95, .external_lex_state = 5},
  [3891] = {.lex_state = 95, .external_lex_state = 7},
  [3892] = {.lex_state = 95, .external_lex_state = 7},
  [3893] = {.lex_state = 95, .external_lex_state = 5},
  [3894] = {.lex_state = 93, .external_lex_state = 8},
  [3895] = {.lex_state = 95, .external_lex_state = 5},
  [3896] = {.lex_state = 95, .external_lex_state = 7},
  [3897] = {.lex_state = 95, .external_lex_state = 7},
  [3898] = {.lex_state = 95, .external_lex_state = 7},
  [3899] = {.lex_state = 95, .external_lex_state = 7},
  [3900] = {.lex_state = 95, .external_lex_state = 7},
  [3901] = {.lex_state = 95, .external_lex_state = 5},
  [3902] = {.lex_state = 95, .external_lex_state = 5},
  [3903] = {.lex_state = 95, .external_lex_state = 5},
  [3904] = {.lex_state = 95, .external_lex_state = 5},
  [3905] = {.lex_state = 95, .external_lex_state = 5},
  [3906] = {.lex_state = 95, .external_lex_state = 5},
  [3907] = {.lex_state = 95, .external_lex_state = 5},
  [3908] = {.lex_state = 95, .external_lex_state = 7},
  [3909] = {.lex_state = 95, .external_lex_state = 5},
  [3910] = {.lex_state = 95, .external_lex_state = 7},
  [3911] = {.lex_state = 95, .external_lex_state = 5},
  [3912] = {.lex_state = 95, .external_lex_state = 7},
  [3913] = {.lex_state = 95, .external_lex_state = 7},
  [3914] = {.lex_state = 95, .external_lex_state = 7},
  [3915] = {.lex_state = 95, .external_lex_state = 7},
  [3916] = {.lex_state = 95, .external_lex_state = 7},
  [3917] = {.lex_state = 95, .external_lex_state = 7},
  [3918] = {.lex_state = 95, .external_lex_state = 7},
  [3919] = {.lex_state = 95, .external_lex_state = 5},
  [3920] = {.lex_state = 95, .external_lex_state = 7},
  [3921] = {.lex_state = 95, .external_lex_state = 7},
  [3922] = {.lex_state = 95, .external_lex_state = 7},
  [3923] = {.lex_state = 95, .external_lex_state = 7},
  [3924] = {.lex_state = 95, .external_lex_state = 7},
  [3925] = {.lex_state = 95, .external_lex_state = 7},
  [3926] = {.lex_state = 95, .external_lex_state = 7},
  [3927] = {.lex_state = 95, .external_lex_state = 7},
  [3928] = {.lex_state = 95, .external_lex_state = 7},
  [3929] = {.lex_state = 95, .external_lex_state = 7},
  [3930] = {.lex_state = 95, .external_lex_state = 7},
  [3931] = {.lex_state = 95, .external_lex_state = 7},
  [3932] = {.lex_state = 95, .external_lex_state = 5},
  [3933] = {.lex_state = 95, .external_lex_state = 7},
  [3934] = {.lex_state = 95, .external_lex_state = 7},
  [3935] = {.lex_state = 95, .external_lex_state = 7},
  [3936] = {.lex_state = 95, .external_lex_state = 7},
  [3937] = {.lex_state = 95, .external_lex_state = 5},
  [3938] = {.lex_state = 95, .external_lex_state = 7},
  [3939] = {.lex_state = 95, .external_lex_state = 7},
  [3940] = {.lex_state = 95, .external_lex_state = 7},
  [3941] = {.lex_state = 95, .external_lex_state = 5},
  [3942] = {.lex_state = 95, .external_lex_state = 7},
  [3943] = {.lex_state = 95, .external_lex_state = 7},
  [3944] = {.lex_state = 95, .external_lex_state = 7},
  [3945] = {.lex_state = 95, .external_lex_state = 7},
  [3946] = {.lex_state = 95, .external_lex_state = 7},
  [3947] = {.lex_state = 95, .external_lex_state = 5},
  [3948] = {.lex_state = 95, .external_lex_state = 7},
  [3949] = {.lex_state = 95, .external_lex_state = 7},
  [3950] = {.lex_state = 95, .external_lex_state = 7},
  [3951] = {.lex_state = 95, .external_lex_state = 7},
  [3952] = {.lex_state = 95, .external_lex_state = 7},
  [3953] = {.lex_state = 95, .external_lex_state = 5},
  [3954] = {.lex_state = 95, .external_lex_state = 7},
  [3955] = {.lex_state = 95, .external_lex_state = 7},
  [3956] = {.lex_state = 95, .external_lex_state = 7},
  [3957] = {.lex_state = 95, .external_lex_state = 5},
  [3958] = {.lex_state = 95, .external_lex_state = 5},
  [3959] = {.lex_state = 95, .external_lex_state = 5},
  [3960] = {.lex_state = 95, .external_lex_state = 7},
  [3961] = {.lex_state = 95, .external_lex_state = 7},
  [3962] = {.lex_state = 95, .external_lex_state = 7},
  [3963] = {.lex_state = 95, .external_lex_state = 7},
  [3964] = {.lex_state = 95, .external_lex_state = 5},
  [3965] = {.lex_state = 95, .external_lex_state = 7},
  [3966] = {.lex_state = 95, .external_lex_state = 7},
  [3967] = {.lex_state = 95, .external_lex_state = 7},
  [3968] = {.lex_state = 95, .external_lex_state = 5},
  [3969] = {.lex_state = 95, .external_lex_state = 7},
  [3970] = {.lex_state = 95, .external_lex_state = 7},
  [3971] = {.lex_state = 95, .external_lex_state = 5},
  [3972] = {.lex_state = 93, .external_lex_state = 8},
  [3973] = {.lex_state = 95, .external_lex_state = 5},
  [3974] = {.lex_state = 95, .external_lex_state = 5},
  [3975] = {.lex_state = 95, .external_lex_state = 5},
  [3976] = {.lex_state = 95, .external_lex_state = 5},
  [3977] = {.lex_state = 95, .external_lex_state = 5},
  [3978] = {.lex_state = 95, .external_lex_state = 5},
  [3979] = {.lex_state = 95, .external_lex_state = 5},
  [3980] = {.lex_state = 95, .external_lex_state = 5},
  [3981] = {.lex_state = 95, .external_lex_state = 5},
  [3982] = {.lex_state = 95, .external_lex_state = 5},
  [3983] = {.lex_state = 95, .external_lex_state = 5},
  [3984] = {.lex_state = 93, .external_lex_state = 8},
  [3985] = {.lex_state = 95, .external_lex_state = 5},
  [3986] = {.lex_state = 95, .external_lex_state = 5},
  [3987] = {.lex_state = 95, .external_lex_state = 5},
  [3988] = {.lex_state = 95, .external_lex_state = 5},
  [3989] = {.lex_state = 95, .external_lex_state = 5},
  [3990] = {.lex_state = 95, .external_lex_state = 5},
  [3991] = {.lex_state = 95, .external_lex_state = 5},
  [3992] = {.lex_state = 93, .external_lex_state = 6},
  [3993] = {.lex_state = 95, .external_lex_state = 5},
  [3994] = {.lex_state = 95, .external_lex_state = 5},
  [3995] = {.lex_state = 93, .external_lex_state = 6},
  [3996] = {.lex_state = 93, .external_lex_state = 4},
  [3997] = {.lex_state = 95, .external_lex_state = 5},
  [3998] = {.lex_state = 93, .external_lex_state = 6},
  [3999] = {.lex_state = 93, .external_lex_state = 6},
  [4000] = {.lex_state = 95, .external_lex_state = 5},
  [4001] = {.lex_state = 93, .external_lex_state = 6},
  [4002] = {.lex_state = 93, .external_lex_state = 6},
  [4003] = {.lex_state = 95, .external_lex_state = 5},
  [4004] = {.lex_state = 95, .external_lex_state = 5},
  [4005] = {.lex_state = 95, .external_lex_state = 7},
  [4006] = {.lex_state = 93, .external_lex_state = 6},
  [4007] = {.lex_state = 93, .external_lex_state = 6},
  [4008] = {.lex_state = 93, .external_lex_state = 6},
  [4009] = {.lex_state = 93, .external_lex_state = 6},
  [4010] = {.lex_state = 93, .external_lex_state = 6},
  [4011] = {.lex_state = 95, .external_lex_state = 5},
  [4012] = {.lex_state = 95, .external_lex_state = 5},
  [4013] = {.lex_state = 93, .external_lex_state = 8},
  [4014] = {.lex_state = 95, .external_lex_state = 5},
  [4015] = {.lex_state = 95, .external_lex_state = 5},
  [4016] = {.lex_state = 89, .external_lex_state = 6},
  [4017] = {.lex_state = 93, .external_lex_state = 6},
  [4018] = {.lex_state = 89, .external_lex_state = 6},
  [4019] = {.lex_state = 89, .external_lex_state = 6},
  [4020] = {.lex_state = 95, .external_lex_state = 5},
  [4021] = {.lex_state = 95, .external_lex_state = 5},
  [4022] = {.lex_state = 95, .external_lex_state = 5},
  [4023] = {.lex_state = 89, .external_lex_state = 6},
  [4024] = {.lex_state = 95, .external_lex_state = 5},
  [4025] = {.lex_state = 95, .external_lex_state = 5},
  [4026] = {.lex_state = 95, .external_lex_state = 5},
  [4027] = {.lex_state = 89, .external_lex_state = 6},
  [4028] = {.lex_state = 95, .external_lex_state = 5},
  [4029] = {.lex_state = 95, .external_lex_state = 7},
  [4030] = {.lex_state = 95, .external_lex_state = 5},
  [4031] = {.lex_state = 95, .external_lex_state = 5},
  [4032] = {.lex_state = 89, .external_lex_state = 6},
  [4033] = {.lex_state = 89, .external_lex_state = 6},
  [4034] = {.lex_state = 95, .external_lex_state = 5},
  [4035] = {.lex_state = 95, .external_lex_state = 5},
  [4036] = {.lex_state = 95, .external_lex_state = 5},
  [4037] = {.lex_state = 93, .external_lex_state = 8},
  [4038] = {.lex_state = 95, .external_lex_state = 5},
  [4039] = {.lex_state = 95, .external_lex_state = 5},
  [4040] = {.lex_state = 95, .external_lex_state = 5},
  [4041] = {.lex_state = 95, .external_lex_state = 5},
  [4042] = {.lex_state = 95, .external_lex_state = 5},
  [4043] = {.lex_state = 95, .external_lex_state = 5},
  [4044] = {.lex_state = 95, .external_lex_state = 5},
  [4045] = {.lex_state = 93, .external_lex_state = 8},
  [4046] = {.lex_state = 93, .external_lex_state = 8},
  [4047] = {.lex_state = 95, .external_lex_state = 5},
  [4048] = {.lex_state = 95, .external_lex_state = 5},
  [4049] = {.lex_state = 93, .external_lex_state = 8},
  [4050] = {.lex_state = 95, .external_lex_state = 5},
  [4051] = {.lex_state = 93, .external_lex_state = 8},
  [4052] = {.lex_state = 95, .external_lex_state = 5},
  [4053] = {.lex_state = 95, .external_lex_state = 4},
  [4054] = {.lex_state = 95, .external_lex_state = 8},
  [4055] = {.lex_state = 89, .external_lex_state = 6},
  [4056] = {.lex_state = 93, .external_lex_state = 6},
  [4057] = {.lex_state = 89, .external_lex_state = 6},
  [4058] = {.lex_state = 93, .external_lex_state = 6},
  [4059] = {.lex_state = 89, .external_lex_state = 6},
  [4060] = {.lex_state = 93, .external_lex_state = 6},
  [4061] = {.lex_state = 93, .external_lex_state = 6},
  [4062] = {.lex_state = 93, .external_lex_state = 6},
  [4063] = {.lex_state = 89, .external_lex_state = 6},
  [4064] = {.lex_state = 93, .external_lex_state = 6},
  [4065] = {.lex_state = 89, .external_lex_state = 6},
  [4066] = {.lex_state = 89, .external_lex_state = 5},
  [4067] = {.lex_state = 89, .external_lex_state = 6},
  [4068] = {.lex_state = 89, .external_lex_state = 6},
  [4069] = {.lex_state = 93, .external_lex_state = 6},
  [4070] = {.lex_state = 93, .external_lex_state = 6},
  [4071] = {.lex_state = 89, .external_lex_state = 5},
  [4072] = {.lex_state = 93, .external_lex_state = 6},
  [4073] = {.lex_state = 95, .external_lex_state = 8},
  [4074] = {.lex_state = 93, .external_lex_state = 6},
  [4075] = {.lex_state = 95, .external_lex_state = 8},
  [4076] = {.lex_state = 93, .external_lex_state = 6},
  [4077] = {.lex_state = 93, .external_lex_state = 6},
  [4078] = {.lex_state = 93, .external_lex_state = 6},
  [4079] = {.lex_state = 94, .external_lex_state = 9},
  [4080] = {.lex_state = 93, .external_lex_state = 6},
  [4081] = {.lex_state = 93, .external_lex_state = 6},
  [4082] = {.lex_state = 93, .external_lex_state = 6},
  [4083] = {.lex_state = 93, .external_lex_state = 6},
  [4084] = {.lex_state = 93, .external_lex_state = 6},
  [4085] = {.lex_state = 95, .external_lex_state = 8},
  [4086] = {.lex_state = 93, .external_lex_state = 6},
  [4087] = {.lex_state = 93, .external_lex_state = 6},
  [4088] = {.lex_state = 94, .external_lex_state = 9},
  [4089] = {.lex_state = 93, .external_lex_state = 6},
  [4090] = {.lex_state = 93, .external_lex_state = 6},
  [4091] = {.lex_state = 89, .external_lex_state = 5},
  [4092] = {.lex_state = 93, .external_lex_state = 6},
  [4093] = {.lex_state = 89, .external_lex_state = 5},
  [4094] = {.lex_state = 93, .external_lex_state = 6},
  [4095] = {.lex_state = 93, .external_lex_state = 6},
  [4096] = {.lex_state = 93, .external_lex_state = 6},
  [4097] = {.lex_state = 89, .external_lex_state = 5},
  [4098] = {.lex_state = 93, .external_lex_state = 6},
  [4099] = {.lex_state = 93, .external_lex_state = 6},
  [4100] = {.lex_state = 93, .external_lex_state = 6},
  [4101] = {.lex_state = 95, .external_lex_state = 4},
  [4102] = {.lex_state = 95, .external_lex_state = 8},
  [4103] = {.lex_state = 93, .external_lex_state = 6},
  [4104] = {.lex_state = 93, .external_lex_state = 6},
  [4105] = {.lex_state = 94, .external_lex_state = 9},
  [4106] = {.lex_state = 93, .external_lex_state = 6},
  [4107] = {.lex_state = 93, .external_lex_state = 6},
  [4108] = {.lex_state = 89, .external_lex_state = 5},
  [4109] = {.lex_state = 95, .external_lex_state = 8},
  [4110] = {.lex_state = 93, .external_lex_state = 6},
  [4111] = {.lex_state = 95, .external_lex_state = 8},
  [4112] = {.lex_state = 94, .external_lex_state = 8},
  [4113] = {.lex_state = 95, .external_lex_state = 8},
  [4114] = {.lex_state = 89, .external_lex_state = 5},
  [4115] = {.lex_state = 95, .external_lex_state = 8},
  [4116] = {.lex_state = 93, .external_lex_state = 8},
  [4117] = {.lex_state = 89, .external_lex_state = 5},
  [4118] = {.lex_state = 93, .external_lex_state = 6},
  [4119] = {.lex_state = 89, .external_lex_state = 6},
  [4120] = {.lex_state = 89, .external_lex_state = 6},
  [4121] = {.lex_state = 95, .external_lex_state = 8},
  [4122] = {.lex_state = 95, .external_lex_state = 8},
  [4123] = {.lex_state = 95, .external_lex_state = 8},
  [4124] = {.lex_state = 95, .external_lex_state = 8},
  [4125] = {.lex_state = 95, .external_lex_state = 8},
  [4126] = {.lex_state = 93, .external_lex_state = 6},
  [4127] = {.lex_state = 95, .external_lex_state = 8},
  [4128] = {.lex_state = 95, .external_lex_state = 8},
  [4129] = {.lex_state = 95, .external_lex_state = 8},
  [4130] = {.lex_state = 95, .external_lex_state = 8},
  [4131] = {.lex_state = 95, .external_lex_state = 9},
  [4132] = {.lex_state = 93, .external_lex_state = 6},
  [4133] = {.lex_state = 93, .external_lex_state = 6},
  [4134] = {.lex_state = 93, .external_lex_state = 6},
  [4135] = {.lex_state = 93, .external_lex_state = 6},
  [4136] = {.lex_state = 93, .external_lex_state = 6},
  [4137] = {.lex_state = 93, .external_lex_state = 6},
  [4138] = {.lex_state = 93, .external_lex_state = 6},
  [4139] = {.lex_state = 93, .external_lex_state = 6},
  [4140] = {.lex_state = 93, .external_lex_state = 6},
  [4141] = {.lex_state = 93, .external_lex_state = 6},
  [4142] = {.lex_state = 93, .external_lex_state = 6},
  [4143] = {.lex_state = 93, .external_lex_state = 6},
  [4144] = {.lex_state = 93, .external_lex_state = 6},
  [4145] = {.lex_state = 93, .external_lex_state = 6},
  [4146] = {.lex_state = 93, .external_lex_state = 6},
  [4147] = {.lex_state = 93, .external_lex_state = 6},
  [4148] = {.lex_state = 93, .external_lex_state = 6},
  [4149] = {.lex_state = 95, .external_lex_state = 8},
  [4150] = {.lex_state = 89, .external_lex_state = 6},
  [4151] = {.lex_state = 95, .external_lex_state = 8},
  [4152] = {.lex_state = 95, .external_lex_state = 9},
  [4153] = {.lex_state = 95, .external_lex_state = 8},
  [4154] = {.lex_state = 95, .external_lex_state = 8},
  [4155] = {.lex_state = 95, .external_lex_state = 8},
  [4156] = {.lex_state = 95, .external_lex_state = 8},
  [4157] = {.lex_state = 95, .external_lex_state = 8},
  [4158] = {.lex_state = 95, .external_lex_state = 8},
  [4159] = {.lex_state = 95, .external_lex_state = 8},
  [4160] = {.lex_state = 95, .external_lex_state = 8},
  [4161] = {.lex_state = 95, .external_lex_state = 8},
  [4162] = {.lex_state = 95, .external_lex_state = 8},
  [4163] = {.lex_state = 95, .external_lex_state = 8},
  [4164] = {.lex_state = 95, .external_lex_state = 8},
  [4165] = {.lex_state = 95, .external_lex_state = 8},
  [4166] = {.lex_state = 95, .external_lex_state = 8},
  [4167] = {.lex_state = 95, .external_lex_state = 8},
  [4168] = {.lex_state = 95, .external_lex_state = 8},
  [4169] = {.lex_state = 95, .external_lex_state = 8},
  [4170] = {.lex_state = 95, .external_lex_state = 8},
  [4171] = {.lex_state = 95, .external_lex_state = 8},
  [4172] = {.lex_state = 95, .external_lex_state = 8},
  [4173] = {.lex_state = 95, .external_lex_state = 8},
  [4174] = {.lex_state = 95, .external_lex_state = 8},
  [4175] = {.lex_state = 95, .external_lex_state = 8},
  [4176] = {.lex_state = 95, .external_lex_state = 8},
  [4177] = {.lex_state = 95, .external_lex_state = 8},
  [4178] = {.lex_state = 95, .external_lex_state = 8},
  [4179] = {.lex_state = 95, .external_lex_state = 8},
  [4180] = {.lex_state = 95, .external_lex_state = 8},
  [4181] = {.lex_state = 95, .external_lex_state = 8},
  [4182] = {.lex_state = 95, .external_lex_state = 8},
  [4183] = {.lex_state = 95, .external_lex_state = 8},
  [4184] = {.lex_state = 89, .external_lex_state = 6},
  [4185] = {.lex_state = 94, .external_lex_state = 9},
  [4186] = {.lex_state = 95, .external_lex_state = 8},
  [4187] = {.lex_state = 95, .external_lex_state = 8},
  [4188] = {.lex_state = 95, .external_lex_state = 8},
  [4189] = {.lex_state = 89, .external_lex_state = 6},
  [4190] = {.lex_state = 95, .external_lex_state = 8},
  [4191] = {.lex_state = 95, .external_lex_state = 8},
  [4192] = {.lex_state = 93, .external_lex_state = 6},
  [4193] = {.lex_state = 93, .external_lex_state = 6},
  [4194] = {.lex_state = 95, .external_lex_state = 8},
  [4195] = {.lex_state = 95, .external_lex_state = 8},
  [4196] = {.lex_state = 95, .external_lex_state = 8},
  [4197] = {.lex_state = 95, .external_lex_state = 8},
  [4198] = {.lex_state = 95, .external_lex_state = 8},
  [4199] = {.lex_state = 95, .external_lex_state = 8},
  [4200] = {.lex_state = 95, .external_lex_state = 8},
  [4201] = {.lex_state = 95, .external_lex_state = 8},
  [4202] = {.lex_state = 95, .external_lex_state = 4},
  [4203] = {.lex_state = 93, .external_lex_state = 6},
  [4204] = {.lex_state = 93, .external_lex_state = 6},
  [4205] = {.lex_state = 93, .external_lex_state = 6},
  [4206] = {.lex_state = 93, .external_lex_state = 6},
  [4207] = {.lex_state = 93, .external_lex_state = 6},
  [4208] = {.lex_state = 89, .external_lex_state = 6},
  [4209] = {.lex_state = 93, .external_lex_state = 6},
  [4210] = {.lex_state = 93, .external_lex_state = 6},
  [4211] = {.lex_state = 93, .external_lex_state = 6},
  [4212] = {.lex_state = 95, .external_lex_state = 5},
  [4213] = {.lex_state = 89, .external_lex_state = 6},
  [4214] = {.lex_state = 95, .external_lex_state = 9},
  [4215] = {.lex_state = 95, .external_lex_state = 5},
  [4216] = {.lex_state = 95, .external_lex_state = 9},
  [4217] = {.lex_state = 95, .external_lex_state = 9},
  [4218] = {.lex_state = 95, .external_lex_state = 9},
  [4219] = {.lex_state = 95, .external_lex_state = 9},
  [4220] = {.lex_state = 95, .external_lex_state = 5},
  [4221] = {.lex_state = 95, .external_lex_state = 9},
  [4222] = {.lex_state = 95, .external_lex_state = 9},
  [4223] = {.lex_state = 95, .external_lex_state = 9},
  [4224] = {.lex_state = 95, .external_lex_state = 9},
  [4225] = {.lex_state = 95, .external_lex_state = 9},
  [4226] = {.lex_state = 95, .external_lex_state = 9},
  [4227] = {.lex_state = 93, .external_lex_state = 6},
  [4228] = {.lex_state = 95, .external_lex_state = 5},
  [4229] = {.lex_state = 95, .external_lex_state = 9},
  [4230] = {.lex_state = 95, .external_lex_state = 9},
  [4231] = {.lex_state = 95, .external_lex_state = 9},
  [4232] = {.lex_state = 95, .external_lex_state = 9},
  [4233] = {.lex_state = 95, .external_lex_state = 9},
  [4234] = {.lex_state = 95, .external_lex_state = 9},
  [4235] = {.lex_state = 95, .external_lex_state = 9},
  [4236] = {.lex_state = 95, .external_lex_state = 5},
  [4237] = {.lex_state = 95, .external_lex_state = 9},
  [4238] = {.lex_state = 95, .external_lex_state = 9},
  [4239] = {.lex_state = 95, .external_lex_state = 5},
  [4240] = {.lex_state = 95, .external_lex_state = 5},
  [4241] = {.lex_state = 95, .external_lex_state = 9},
  [4242] = {.lex_state = 95, .external_lex_state = 5},
  [4243] = {.lex_state = 95, .external_lex_state = 9},
  [4244] = {.lex_state = 95, .external_lex_state = 9},
  [4245] = {.lex_state = 95, .external_lex_state = 9},
  [4246] = {.lex_state = 95, .external_lex_state = 6},
  [4247] = {.lex_state = 95, .external_lex_state = 5},
  [4248] = {.lex_state = 95, .external_lex_state = 5},
  [4249] = {.lex_state = 95, .external_lex_state = 9},
  [4250] = {.lex_state = 95, .external_lex_state = 9},
  [4251] = {.lex_state = 95, .external_lex_state = 9},
  [4252] = {.lex_state = 95, .external_lex_state = 9},
  [4253] = {.lex_state = 95, .external_lex_state = 5},
  [4254] = {.lex_state = 95, .external_lex_state = 9},
  [4255] = {.lex_state = 95, .external_lex_state = 9},
  [4256] = {.lex_state = 95, .external_lex_state = 9},
  [4257] = {.lex_state = 95, .external_lex_state = 5},
  [4258] = {.lex_state = 95, .external_lex_state = 5},
  [4259] = {.lex_state = 95, .external_lex_state = 9},
  [4260] = {.lex_state = 95, .external_lex_state = 5},
  [4261] = {.lex_state = 95, .external_lex_state = 5},
  [4262] = {.lex_state = 95, .external_lex_state = 5},
  [4263] = {.lex_state = 95, .external_lex_state = 5},
  [4264] = {.lex_state = 95, .external_lex_state = 5},
  [4265] = {.lex_state = 95, .external_lex_state = 5},
  [4266] = {.lex_state = 95, .external_lex_state = 5},
  [4267] = {.lex_state = 95, .external_lex_state = 5},
  [4268] = {.lex_state = 95, .external_lex_state = 9},
  [4269] = {.lex_state = 95, .external_lex_state = 9},
  [4270] = {.lex_state = 95, .external_lex_state = 9},
  [4271] = {.lex_state = 95, .external_lex_state = 9},
  [4272] = {.lex_state = 95, .external_lex_state = 9},
  [4273] = {.lex_state = 95, .external_lex_state = 9},
  [4274] = {.lex_state = 95, .external_lex_state = 9},
  [4275] = {.lex_state = 95, .external_lex_state = 9},
  [4276] = {.lex_state = 95, .external_lex_state = 9},
  [4277] = {.lex_state = 95, .external_lex_state = 9},
  [4278] = {.lex_state = 95, .external_lex_state = 9},
  [4279] = {.lex_state = 95, .external_lex_state = 9},
  [4280] = {.lex_state = 95, .external_lex_state = 9},
  [4281] = {.lex_state = 95, .external_lex_state = 9},
  [4282] = {.lex_state = 95, .external_lex_state = 9},
  [4283] = {.lex_state = 95, .external_lex_state = 9},
  [4284] = {.lex_state = 95, .external_lex_state = 5},
  [4285] = {.lex_state = 95, .external_lex_state = 9},
  [4286] = {.lex_state = 95, .external_lex_state = 9},
  [4287] = {.lex_state = 95, .external_lex_state = 9},
  [4288] = {.lex_state = 95, .external_lex_state = 9},
  [4289] = {.lex_state = 95, .external_lex_state = 9},
  [4290] = {.lex_state = 95, .external_lex_state = 9},
  [4291] = {.lex_state = 95, .external_lex_state = 9},
  [4292] = {.lex_state = 95, .external_lex_state = 9},
  [4293] = {.lex_state = 95, .external_lex_state = 9},
  [4294] = {.lex_state = 95, .external_lex_state = 7},
  [4295] = {.lex_state = 95, .external_lex_state = 9},
  [4296] = {.lex_state = 95, .external_lex_state = 9},
  [4297] = {.lex_state = 95, .external_lex_state = 9},
  [4298] = {.lex_state = 95, .external_lex_state = 6},
  [4299] = {.lex_state = 95, .external_lex_state = 9},
  [4300] = {.lex_state = 95, .external_lex_state = 9},
  [4301] = {.lex_state = 95, .external_lex_state = 9},
  [4302] = {.lex_state = 95, .external_lex_state = 9},
  [4303] = {.lex_state = 95, .external_lex_state = 9},
  [4304] = {.lex_state = 95, .external_lex_state = 9},
  [4305] = {.lex_state = 95, .external_lex_state = 9},
  [4306] = {.lex_state = 95, .external_lex_state = 9},
  [4307] = {.lex_state = 95, .external_lex_state = 9},
  [4308] = {.lex_state = 95, .external_lex_state = 9},
  [4309] = {.lex_state = 95, .external_lex_state = 9},
  [4310] = {.lex_state = 95, .external_lex_state = 9},
  [4311] = {.lex_state = 95, .external_lex_state = 9},
  [4312] = {.lex_state = 95, .external_lex_state = 9},
  [4313] = {.lex_state = 95, .external_lex_state = 9},
  [4314] = {.lex_state = 95, .external_lex_state = 9},
  [4315] = {.lex_state = 95, .external_lex_state = 9},
  [4316] = {.lex_state = 95, .external_lex_state = 9},
  [4317] = {.lex_state = 89, .external_lex_state = 7},
  [4318] = {.lex_state = 95, .external_lex_state = 9},
  [4319] = {.lex_state = 95, .external_lex_state = 9},
  [4320] = {.lex_state = 95, .external_lex_state = 9},
  [4321] = {.lex_state = 95, .external_lex_state = 9},
  [4322] = {.lex_state = 95, .external_lex_state = 9},
  [4323] = {.lex_state = 89, .external_lex_state = 7},
  [4324] = {.lex_state = 95, .external_lex_state = 9},
  [4325] = {.lex_state = 95, .external_lex_state = 9},
  [4326] = {.lex_state = 95, .external_lex_state = 9},
  [4327] = {.lex_state = 95, .external_lex_state = 9},
  [4328] = {.lex_state = 95, .external_lex_state = 9},
  [4329] = {.lex_state = 95, .external_lex_state = 9},
  [4330] = {.lex_state = 95, .external_lex_state = 9},
  [4331] = {.lex_state = 89, .external_lex_state = 7},
  [4332] = {.lex_state = 89, .external_lex_state = 7},
  [4333] = {.lex_state = 95, .external_lex_state = 4},
  [4334] = {.lex_state = 95, .external_lex_state = 5},
  [4335] = {.lex_state = 89, .external_lex_state = 7},
  [4336] = {.lex_state = 95, .external_lex_state = 9},
  [4337] = {.lex_state = 89, .external_lex_state = 7},
  [4338] = {.lex_state = 95, .external_lex_state = 9},
  [4339] = {.lex_state = 95, .external_lex_state = 9},
  [4340] = {.lex_state = 95, .external_lex_state = 9},
  [4341] = {.lex_state = 95, .external_lex_state = 9},
  [4342] = {.lex_state = 95, .external_lex_state = 9},
  [4343] = {.lex_state = 95, .external_lex_state = 9},
  [4344] = {.lex_state = 89, .external_lex_state = 7},
  [4345] = {.lex_state = 95, .external_lex_state = 9},
  [4346] = {.lex_state = 95, .external_lex_state = 5},
  [4347] = {.lex_state = 95, .external_lex_state = 9},
  [4348] = {.lex_state = 95, .external_lex_state = 9},
  [4349] = {.lex_state = 95, .external_lex_state = 5},
  [4350] = {.lex_state = 95, .external_lex_state = 9},
  [4351] = {.lex_state = 95, .external_lex_state = 9},
  [4352] = {.lex_state = 95, .external_lex_state = 9},
  [4353] = {.lex_state = 95, .external_lex_state = 9},
  [4354] = {.lex_state = 95, .external_lex_state = 9},
  [4355] = {.lex_state = 95, .external_lex_state = 9},
  [4356] = {.lex_state = 95, .external_lex_state = 9},
  [4357] = {.lex_state = 95, .external_lex_state = 9},
  [4358] = {.lex_state = 95, .external_lex_state = 9},
  [4359] = {.lex_state = 95, .external_lex_state = 9},
  [4360] = {.lex_state = 95, .external_lex_state = 9},
  [4361] = {.lex_state = 95, .external_lex_state = 9},
  [4362] = {.lex_state = 95, .external_lex_state = 9},
  [4363] = {.lex_state = 95, .external_lex_state = 9},
  [4364] = {.lex_state = 95, .external_lex_state = 6},
  [4365] = {.lex_state = 95, .external_lex_state = 9},
  [4366] = {.lex_state = 95, .external_lex_state = 9},
  [4367] = {.lex_state = 95, .external_lex_state = 9},
  [4368] = {.lex_state = 95, .external_lex_state = 9},
  [4369] = {.lex_state = 95, .external_lex_state = 9},
  [4370] = {.lex_state = 95, .external_lex_state = 6},
  [4371] = {.lex_state = 93, .external_lex_state = 6},
  [4372] = {.lex_state = 95, .external_lex_state = 9},
  [4373] = {.lex_state = 95, .external_lex_state = 9},
  [4374] = {.lex_state = 95, .external_lex_state = 5},
  [4375] = {.lex_state = 95, .external_lex_state = 9},
  [4376] = {.lex_state = 95, .external_lex_state = 5},
  [4377] = {.lex_state = 95, .external_lex_state = 9},
  [4378] = {.lex_state = 95, .external_lex_state = 5},
  [4379] = {.lex_state = 95, .external_lex_state = 9},
  [4380] = {.lex_state = 95, .external_lex_state = 5},
  [4381] = {.lex_state = 95, .external_lex_state = 9},
  [4382] = {.lex_state = 95, .external_lex_state = 9},
  [4383] = {.lex_state = 95, .external_lex_state = 5},
  [4384] = {.lex_state = 95, .external_lex_state = 5},
  [4385] = {.lex_state = 95, .external_lex_state = 9},
  [4386] = {.lex_state = 95, .external_lex_state = 9},
  [4387] = {.lex_state = 95, .external_lex_state = 9},
  [4388] = {.lex_state = 95, .external_lex_state = 9},
  [4389] = {.lex_state = 95, .external_lex_state = 9},
  [4390] = {.lex_state = 95, .external_lex_state = 9},
  [4391] = {.lex_state = 95, .external_lex_state = 9},
  [4392] = {.lex_state = 95, .external_lex_state = 9},
  [4393] = {.lex_state = 95, .external_lex_state = 9},
  [4394] = {.lex_state = 95, .external_lex_state = 9},
  [4395] = {.lex_state = 95, .external_lex_state = 9},
  [4396] = {.lex_state = 95, .external_lex_state = 9},
  [4397] = {.lex_state = 95, .external_lex_state = 9},
  [4398] = {.lex_state = 95, .external_lex_state = 9},
  [4399] = {.lex_state = 95, .external_lex_state = 9},
  [4400] = {.lex_state = 95, .external_lex_state = 9},
  [4401] = {.lex_state = 95, .external_lex_state = 9},
  [4402] = {.lex_state = 95, .external_lex_state = 9},
  [4403] = {.lex_state = 95, .external_lex_state = 9},
  [4404] = {.lex_state = 95, .external_lex_state = 6},
  [4405] = {.lex_state = 89, .external_lex_state = 7},
  [4406] = {.lex_state = 95, .external_lex_state = 6},
  [4407] = {.lex_state = 95, .external_lex_state = 7},
  [4408] = {.lex_state = 95, .external_lex_state = 7},
  [4409] = {.lex_state = 95, .external_lex_state = 7},
  [4410] = {.lex_state = 95, .external_lex_state = 7},
  [4411] = {.lex_state = 95, .external_lex_state = 7},
  [4412] = {.lex_state = 95, .external_lex_state = 7},
  [4413] = {.lex_state = 95, .external_lex_state = 7},
  [4414] = {.lex_state = 95, .external_lex_state = 7},
  [4415] = {.lex_state = 95, .external_lex_state = 7},
  [4416] = {.lex_state = 95, .external_lex_state = 7},
  [4417] = {.lex_state = 95, .external_lex_state = 7},
  [4418] = {.lex_state = 95, .external_lex_state = 6},
  [4419] = {.lex_state = 95, .external_lex_state = 6},
  [4420] = {.lex_state = 95, .external_lex_state = 7},
  [4421] = {.lex_state = 95, .external_lex_state = 7},
  [4422] = {.lex_state = 95, .external_lex_state = 7},
  [4423] = {.lex_state = 89, .external_lex_state = 7},
  [4424] = {.lex_state = 95, .external_lex_state = 6},
  [4425] = {.lex_state = 95, .external_lex_state = 6},
  [4426] = {.lex_state = 95, .external_lex_state = 7},
  [4427] = {.lex_state = 95, .external_lex_state = 7},
  [4428] = {.lex_state = 95, .external_lex_state = 7},
  [4429] = {.lex_state = 95, .external_lex_state = 7},
  [4430] = {.lex_state = 89, .external_lex_state = 7},
  [4431] = {.lex_state = 95, .external_lex_state = 7},
  [4432] = {.lex_state = 95, .external_lex_state = 6},
  [4433] = {.lex_state = 93, .external_lex_state = 6},
  [4434] = {.lex_state = 89, .external_lex_state = 7},
  [4435] = {.lex_state = 95, .external_lex_state = 6},
  [4436] = {.lex_state = 95, .external_lex_state = 6},
  [4437] = {.lex_state = 95, .external_lex_state = 6},
  [4438] = {.lex_state = 89, .external_lex_state = 7},
  [4439] = {.lex_state = 95, .external_lex_state = 6},
  [4440] = {.lex_state = 95, .external_lex_state = 6},
  [4441] = {.lex_state = 95, .external_lex_state = 6},
  [4442] = {.lex_state = 89, .external_lex_state = 7},
  [4443] = {.lex_state = 95, .external_lex_state = 6},
  [4444] = {.lex_state = 93, .external_lex_state = 6},
  [4445] = {.lex_state = 89, .external_lex_state = 7},
  [4446] = {.lex_state = 95, .external_lex_state = 6},
  [4447] = {.lex_state = 89, .external_lex_state = 7},
  [4448] = {.lex_state = 95, .external_lex_state = 7},
  [4449] = {.lex_state = 95, .external_lex_state = 6},
  [4450] = {.lex_state = 95, .external_lex_state = 6},
  [4451] = {.lex_state = 95, .external_lex_state = 6},
  [4452] = {.lex_state = 95, .external_lex_state = 6},
  [4453] = {.lex_state = 95, .external_lex_state = 6},
  [4454] = {.lex_state = 95, .external_lex_state = 6},
  [4455] = {.lex_state = 95, .external_lex_state = 6},
  [4456] = {.lex_state = 89, .external_lex_state = 7},
  [4457] = {.lex_state = 95, .external_lex_state = 6},
  [4458] = {.lex_state = 95, .external_lex_state = 6},
  [4459] = {.lex_state = 89, .external_lex_state = 7},
  [4460] = {.lex_state = 95, .external_lex_state = 6},
  [4461] = {.lex_state = 89, .external_lex_state = 7},
  [4462] = {.lex_state = 95, .external_lex_state = 6},
  [4463] = {.lex_state = 89, .external_lex_state = 7},
  [4464] = {.lex_state = 95, .external_lex_state = 6},
  [4465] = {.lex_state = 89, .external_lex_state = 7},
  [4466] = {.lex_state = 95, .external_lex_state = 6},
  [4467] = {.lex_state = 95, .external_lex_state = 6},
  [4468] = {.lex_state = 95, .external_lex_state = 6},
  [4469] = {.lex_state = 95, .external_lex_state = 6},
  [4470] = {.lex_state = 89, .external_lex_state = 7},
  [4471] = {.lex_state = 95, .external_lex_state = 6},
  [4472] = {.lex_state = 95, .external_lex_state = 6},
  [4473] = {.lex_state = 95, .external_lex_state = 6},
  [4474] = {.lex_state = 95, .external_lex_state = 6},
  [4475] = {.lex_state = 95, .external_lex_state = 6},
  [4476] = {.lex_state = 95, .external_lex_state = 6},
  [4477] = {.lex_state = 95, .external_lex_state = 4},
  [4478] = {.lex_state = 95, .external_lex_state = 6},
  [4479] = {.lex_state = 95, .external_lex_state = 6},
  [4480] = {.lex_state = 95, .external_lex_state = 6},
  [4481] = {.lex_state = 95, .external_lex_state = 6},
  [4482] = {.lex_state = 95, .external_lex_state = 6},
  [4483] = {.lex_state = 95, .external_lex_state = 6},
  [4484] = {.lex_state = 95, .external_lex_state = 5},
  [4485] = {.lex_state = 95, .external_lex_state = 6},
  [4486] = {.lex_state = 95, .external_lex_state = 6},
  [4487] = {.lex_state = 95, .external_lex_state = 6},
  [4488] = {.lex_state = 95, .external_lex_state = 6},
  [4489] = {.lex_state = 95, .external_lex_state = 6},
  [4490] = {.lex_state = 95, .external_lex_state = 6},
  [4491] = {.lex_state = 89, .external_lex_state = 7},
  [4492] = {.lex_state = 95, .external_lex_state = 6},
  [4493] = {.lex_state = 95, .external_lex_state = 6},
  [4494] = {.lex_state = 95, .external_lex_state = 6},
  [4495] = {.lex_state = 95, .external_lex_state = 6},
  [4496] = {.lex_state = 95, .external_lex_state = 6},
  [4497] = {.lex_state = 95, .external_lex_state = 6},
  [4498] = {.lex_state = 95, .external_lex_state = 6},
  [4499] = {.lex_state = 95, .external_lex_state = 6},
  [4500] = {.lex_state = 95, .external_lex_state = 6},
  [4501] = {.lex_state = 95, .external_lex_state = 6},
  [4502] = {.lex_state = 95, .external_lex_state = 6},
  [4503] = {.lex_state = 95, .external_lex_state = 6},
  [4504] = {.lex_state = 95, .external_lex_state = 6},
  [4505] = {.lex_state = 95, .external_lex_state = 6},
  [4506] = {.lex_state = 95, .external_lex_state = 6},
  [4507] = {.lex_state = 95, .external_lex_state = 6},
  [4508] = {.lex_state = 95, .external_lex_state = 6},
  [4509] = {.lex_state = 95, .external_lex_state = 6},
  [4510] = {.lex_state = 95, .external_lex_state = 7},
  [4511] = {.lex_state = 95, .external_lex_state = 6},
  [4512] = {.lex_state = 95, .external_lex_state = 6},
  [4513] = {.lex_state = 95, .external_lex_state = 6},
  [4514] = {.lex_state = 95, .external_lex_state = 6},
  [4515] = {.lex_state = 95, .external_lex_state = 6},
  [4516] = {.lex_state = 95, .external_lex_state = 6},
  [4517] = {.lex_state = 95, .external_lex_state = 6},
  [4518] = {.lex_state = 95, .external_lex_state = 6},
  [4519] = {.lex_state = 95, .external_lex_state = 6},
  [4520] = {.lex_state = 95, .external_lex_state = 6},
  [4521] = {.lex_state = 95, .external_lex_state = 6},
  [4522] = {.lex_state = 95, .external_lex_state = 7},
  [4523] = {.lex_state = 95, .external_lex_state = 6},
  [4524] = {.lex_state = 95, .external_lex_state = 7},
  [4525] = {.lex_state = 95, .external_lex_state = 6},
  [4526] = {.lex_state = 89, .external_lex_state = 7},
  [4527] = {.lex_state = 95, .external_lex_state = 6},
  [4528] = {.lex_state = 95, .external_lex_state = 6},
  [4529] = {.lex_state = 95, .external_lex_state = 6},
  [4530] = {.lex_state = 95, .external_lex_state = 6},
  [4531] = {.lex_state = 89, .external_lex_state = 7},
  [4532] = {.lex_state = 95, .external_lex_state = 7},
  [4533] = {.lex_state = 89, .external_lex_state = 7},
  [4534] = {.lex_state = 95, .external_lex_state = 6},
  [4535] = {.lex_state = 95, .external_lex_state = 6},
  [4536] = {.lex_state = 89, .external_lex_state = 7},
  [4537] = {.lex_state = 95, .external_lex_state = 6},
  [4538] = {.lex_state = 95, .external_lex_state = 6},
  [4539] = {.lex_state = 95, .external_lex_state = 7},
  [4540] = {.lex_state = 95, .external_lex_state = 6},
  [4541] = {.lex_state = 95, .external_lex_state = 6},
  [4542] = {.lex_state = 95, .external_lex_state = 6},
  [4543] = {.lex_state = 95, .external_lex_state = 6},
  [4544] = {.lex_state = 95, .external_lex_state = 6},
  [4545] = {.lex_state = 95, .external_lex_state = 7},
  [4546] = {.lex_state = 95, .external_lex_state = 6},
  [4547] = {.lex_state = 95, .external_lex_state = 7},
  [4548] = {.lex_state = 95, .external_lex_state = 6},
  [4549] = {.lex_state = 93, .external_lex_state = 6},
  [4550] = {.lex_state = 95, .external_lex_state = 7},
  [4551] = {.lex_state = 95, .external_lex_state = 7},
  [4552] = {.lex_state = 95, .external_lex_state = 4},
  [4553] = {.lex_state = 95, .external_lex_state = 6},
  [4554] = {.lex_state = 89, .external_lex_state = 7},
  [4555] = {.lex_state = 89, .external_lex_state = 7},
  [4556] = {.lex_state = 89, .external_lex_state = 7},
  [4557] = {.lex_state = 93, .external_lex_state = 6},
  [4558] = {.lex_state = 89, .external_lex_state = 7},
  [4559] = {.lex_state = 89, .external_lex_state = 7},
  [4560] = {.lex_state = 89, .external_lex_state = 7},
  [4561] = {.lex_state = 89, .external_lex_state = 7},
  [4562] = {.lex_state = 89, .external_lex_state = 7},
  [4563] = {.lex_state = 89, .external_lex_state = 7},
  [4564] = {.lex_state = 89, .external_lex_state = 7},
  [4565] = {.lex_state = 89, .external_lex_state = 7},
  [4566] = {.lex_state = 89, .external_lex_state = 7},
  [4567] = {.lex_state = 89, .external_lex_state = 7},
  [4568] = {.lex_state = 89, .external_lex_state = 7},
  [4569] = {.lex_state = 89, .external_lex_state = 7},
  [4570] = {.lex_state = 89, .external_lex_state = 7},
  [4571] = {.lex_state = 89, .external_lex_state = 7},
  [4572] = {.lex_state = 89, .external_lex_state = 7},
  [4573] = {.lex_state = 89, .external_lex_state = 7},
  [4574] = {.lex_state = 89, .external_lex_state = 7},
  [4575] = {.lex_state = 89, .external_lex_state = 7},
  [4576] = {.lex_state = 89, .external_lex_state = 7},
  [4577] = {.lex_state = 89, .external_lex_state = 7},
  [4578] = {.lex_state = 89, .external_lex_state = 7},
  [4579] = {.lex_state = 89, .external_lex_state = 7},
  [4580] = {.lex_state = 89, .external_lex_state = 7},
  [4581] = {.lex_state = 89, .external_lex_state = 7},
  [4582] = {.lex_state = 89, .external_lex_state = 7},
  [4583] = {.lex_state = 89, .external_lex_state = 7},
  [4584] = {.lex_state = 89, .external_lex_state = 7},
  [4585] = {.lex_state = 89, .external_lex_state = 7},
  [4586] = {.lex_state = 89, .external_lex_state = 7},
  [4587] = {.lex_state = 89, .external_lex_state = 7},
  [4588] = {.lex_state = 89, .external_lex_state = 7},
  [4589] = {.lex_state = 89, .external_lex_state = 7},
  [4590] = {.lex_state = 89, .external_lex_state = 7},
  [4591] = {.lex_state = 89, .external_lex_state = 7},
  [4592] = {.lex_state = 89, .external_lex_state = 7},
  [4593] = {.lex_state = 89, .external_lex_state = 7},
  [4594] = {.lex_state = 89, .external_lex_state = 7},
  [4595] = {.lex_state = 89, .external_lex_state = 7},
  [4596] = {.lex_state = 89, .external_lex_state = 7},
  [4597] = {.lex_state = 89, .external_lex_state = 7},
  [4598] = {.lex_state = 89, .external_lex_state = 7},
  [4599] = {.lex_state = 89, .external_lex_state = 7},
  [4600] = {.lex_state = 89, .external_lex_state = 7},
  [4601] = {.lex_state = 89, .external_lex_state = 7},
  [4602] = {.lex_state = 95, .external_lex_state = 5},
  [4603] = {.lex_state = 89, .external_lex_state = 7},
  [4604] = {.lex_state = 89, .external_lex_state = 7},
  [4605] = {.lex_state = 89, .external_lex_state = 7},
  [4606] = {.lex_state = 89, .external_lex_state = 7},
  [4607] = {.lex_state = 95, .external_lex_state = 5},
  [4608] = {.lex_state = 95, .external_lex_state = 5},
  [4609] = {.lex_state = 95, .external_lex_state = 5},
  [4610] = {.lex_state = 89, .external_lex_state = 7},
  [4611] = {.lex_state = 95, .external_lex_state = 5},
  [4612] = {.lex_state = 95, .external_lex_state = 5},
  [4613] = {.lex_state = 95, .external_lex_state = 5},
  [4614] = {.lex_state = 95, .external_lex_state = 9},
  [4615] = {.lex_state = 95, .external_lex_state = 5},
  [4616] = {.lex_state = 95, .external_lex_state = 9},
  [4617] = {.lex_state = 95, .external_lex_state = 5},
  [4618] = {.lex_state = 89, .external_lex_state = 7},
  [4619] = {.lex_state = 89, .external_lex_state = 7},
  [4620] = {.lex_state = 95, .external_lex_state = 5},
  [4621] = {.lex_state = 89, .external_lex_state = 7},
  [4622] = {.lex_state = 89, .external_lex_state = 7},
  [4623] = {.lex_state = 89, .external_lex_state = 7},
  [4624] = {.lex_state = 89, .external_lex_state = 7},
  [4625] = {.lex_state = 89, .external_lex_state = 7},
  [4626] = {.lex_state = 89, .external_lex_state = 7},
  [4627] = {.lex_state = 89, .external_lex_state = 6},
  [4628] = {.lex_state = 89, .external_lex_state = 7},
  [4629] = {.lex_state = 89, .external_lex_state = 7},
  [4630] = {.lex_state = 89, .external_lex_state = 7},
  [4631] = {.lex_state = 89, .external_lex_state = 7},
  [4632] = {.lex_state = 89, .external_lex_state = 7},
  [4633] = {.lex_state = 95, .external_lex_state = 5},
  [4634] = {.lex_state = 89, .external_lex_state = 7},
  [4635] = {.lex_state = 89, .external_lex_state = 7},
  [4636] = {.lex_state = 89, .external_lex_state = 7},
  [4637] = {.lex_state = 89, .external_lex_state = 7},
  [4638] = {.lex_state = 89, .external_lex_state = 7},
  [4639] = {.lex_state = 89, .external_lex_state = 7},
  [4640] = {.lex_state = 95, .external_lex_state = 5},
  [4641] = {.lex_state = 89, .external_lex_state = 7},
  [4642] = {.lex_state = 89, .external_lex_state = 7},
  [4643] = {.lex_state = 89, .external_lex_state = 7},
  [4644] = {.lex_state = 89, .external_lex_state = 7},
  [4645] = {.lex_state = 89, .external_lex_state = 7},
  [4646] = {.lex_state = 89, .external_lex_state = 7},
  [4647] = {.lex_state = 89, .external_lex_state = 7},
  [4648] = {.lex_state = 89, .external_lex_state = 7},
  [4649] = {.lex_state = 89, .external_lex_state = 7},
  [4650] = {.lex_state = 89, .external_lex_state = 7},
  [4651] = {.lex_state = 89, .external_lex_state = 7},
  [4652] = {.lex_state = 89, .external_lex_state = 7},
  [4653] = {.lex_state = 89, .external_lex_state = 7},
  [4654] = {.lex_state = 95, .external_lex_state = 5},
  [4655] = {.lex_state = 89, .external_lex_state = 7},
  [4656] = {.lex_state = 89, .external_lex_state = 7},
  [4657] = {.lex_state = 89, .external_lex_state = 7},
  [4658] = {.lex_state = 89, .external_lex_state = 7},
  [4659] = {.lex_state = 89, .external_lex_state = 7},
  [4660] = {.lex_state = 89, .external_lex_state = 7},
  [4661] = {.lex_state = 89, .external_lex_state = 7},
  [4662] = {.lex_state = 89, .external_lex_state = 7},
  [4663] = {.lex_state = 89, .external_lex_state = 7},
  [4664] = {.lex_state = 89, .external_lex_state = 7},
  [4665] = {.lex_state = 89, .external_lex_state = 7},
  [4666] = {.lex_state = 89, .external_lex_state = 7},
  [4667] = {.lex_state = 89, .external_lex_state = 7},
  [4668] = {.lex_state = 89, .external_lex_state = 7},
  [4669] = {.lex_state = 89, .external_lex_state = 7},
  [4670] = {.lex_state = 89, .external_lex_state = 7},
  [4671] = {.lex_state = 89, .external_lex_state = 6},
  [4672] = {.lex_state = 89, .external_lex_state = 7},
  [4673] = {.lex_state = 95, .external_lex_state = 5},
  [4674] = {.lex_state = 89, .external_lex_state = 7},
  [4675] = {.lex_state = 89, .external_lex_state = 7},
  [4676] = {.lex_state = 89, .external_lex_state = 7},
  [4677] = {.lex_state = 95, .external_lex_state = 6},
  [4678] = {.lex_state = 89, .external_lex_state = 7},
  [4679] = {.lex_state = 89, .external_lex_state = 7},
  [4680] = {.lex_state = 89, .external_lex_state = 7},
  [4681] = {.lex_state = 95, .external_lex_state = 9},
  [4682] = {.lex_state = 89, .external_lex_state = 7},
  [4683] = {.lex_state = 89, .external_lex_state = 7},
  [4684] = {.lex_state = 89, .external_lex_state = 7},
  [4685] = {.lex_state = 89, .external_lex_state = 7},
  [4686] = {.lex_state = 89, .external_lex_state = 7},
  [4687] = {.lex_state = 89, .external_lex_state = 7},
  [4688] = {.lex_state = 89, .external_lex_state = 7},
  [4689] = {.lex_state = 89, .external_lex_state = 7},
  [4690] = {.lex_state = 89, .external_lex_state = 7},
  [4691] = {.lex_state = 89, .external_lex_state = 7},
  [4692] = {.lex_state = 89, .external_lex_state = 7},
  [4693] = {.lex_state = 89, .external_lex_state = 7},
  [4694] = {.lex_state = 89, .external_lex_state = 7},
  [4695] = {.lex_state = 95, .external_lex_state = 5},
  [4696] = {.lex_state = 89, .external_lex_state = 7},
  [4697] = {.lex_state = 89, .external_lex_state = 7},
  [4698] = {.lex_state = 89, .external_lex_state = 7},
  [4699] = {.lex_state = 89, .external_lex_state = 7},
  [4700] = {.lex_state = 89, .external_lex_state = 7},
  [4701] = {.lex_state = 89, .external_lex_state = 7},
  [4702] = {.lex_state = 89, .external_lex_state = 7},
  [4703] = {.lex_state = 89, .external_lex_state = 7},
  [4704] = {.lex_state = 89, .external_lex_state = 7},
  [4705] = {.lex_state = 89, .external_lex_state = 7},
  [4706] = {.lex_state = 89, .external_lex_state = 7},
  [4707] = {.lex_state = 89, .external_lex_state = 7},
  [4708] = {.lex_state = 89, .external_lex_state = 7},
  [4709] = {.lex_state = 89, .external_lex_state = 7},
  [4710] = {.lex_state = 89, .external_lex_state = 7},
  [4711] = {.lex_state = 89, .external_lex_state = 7},
  [4712] = {.lex_state = 89, .external_lex_state = 7},
  [4713] = {.lex_state = 89, .external_lex_state = 7},
  [4714] = {.lex_state = 89, .external_lex_state = 7},
  [4715] = {.lex_state = 89, .external_lex_state = 7},
  [4716] = {.lex_state = 89, .external_lex_state = 7},
  [4717] = {.lex_state = 89, .external_lex_state = 7},
  [4718] = {.lex_state = 89, .external_lex_state = 7},
  [4719] = {.lex_state = 89, .external_lex_state = 7},
  [4720] = {.lex_state = 89, .external_lex_state = 7},
  [4721] = {.lex_state = 89, .external_lex_state = 7},
  [4722] = {.lex_state = 89, .external_lex_state = 7},
  [4723] = {.lex_state = 89, .external_lex_state = 7},
  [4724] = {.lex_state = 89, .external_lex_state = 7},
  [4725] = {.lex_state = 89, .external_lex_state = 7},
  [4726] = {.lex_state = 89, .external_lex_state = 7},
  [4727] = {.lex_state = 89, .external_lex_state = 7},
  [4728] = {.lex_state = 89, .external_lex_state = 7},
  [4729] = {.lex_state = 89, .external_lex_state = 7},
  [4730] = {.lex_state = 95, .external_lex_state = 5},
  [4731] = {.lex_state = 89, .external_lex_state = 7},
  [4732] = {.lex_state = 89, .external_lex_state = 7},
  [4733] = {.lex_state = 89, .external_lex_state = 7},
  [4734] = {.lex_state = 89, .external_lex_state = 7},
  [4735] = {.lex_state = 89, .external_lex_state = 7},
  [4736] = {.lex_state = 89, .external_lex_state = 7},
  [4737] = {.lex_state = 89, .external_lex_state = 7},
  [4738] = {.lex_state = 89, .external_lex_state = 7},
  [4739] = {.lex_state = 89, .external_lex_state = 6},
  [4740] = {.lex_state = 89, .external_lex_state = 7},
  [4741] = {.lex_state = 89, .external_lex_state = 7},
  [4742] = {.lex_state = 89, .external_lex_state = 7},
  [4743] = {.lex_state = 89, .external_lex_state = 7},
  [4744] = {.lex_state = 89, .external_lex_state = 7},
  [4745] = {.lex_state = 89, .external_lex_state = 7},
  [4746] = {.lex_state = 89, .external_lex_state = 7},
  [4747] = {.lex_state = 95, .external_lex_state = 5},
  [4748] = {.lex_state = 89, .external_lex_state = 7},
  [4749] = {.lex_state = 89, .external_lex_state = 7},
  [4750] = {.lex_state = 95, .external_lex_state = 5},
  [4751] = {.lex_state = 89, .external_lex_state = 7},
  [4752] = {.lex_state = 89, .external_lex_state = 7},
  [4753] = {.lex_state = 89, .external_lex_state = 7},
  [4754] = {.lex_state = 89, .external_lex_state = 7},
  [4755] = {.lex_state = 89, .external_lex_state = 7},
  [4756] = {.lex_state = 95, .external_lex_state = 6},
  [4757] = {.lex_state = 89, .external_lex_state = 7},
  [4758] = {.lex_state = 89, .external_lex_state = 7},
  [4759] = {.lex_state = 89, .external_lex_state = 7},
  [4760] = {.lex_state = 89, .external_lex_state = 7},
  [4761] = {.lex_state = 89, .external_lex_state = 7},
  [4762] = {.lex_state = 89, .external_lex_state = 7},
  [4763] = {.lex_state = 89, .external_lex_state = 7},
  [4764] = {.lex_state = 89, .external_lex_state = 7},
  [4765] = {.lex_state = 95, .external_lex_state = 6},
  [4766] = {.lex_state = 89, .external_lex_state = 7},
  [4767] = {.lex_state = 89, .external_lex_state = 7},
  [4768] = {.lex_state = 89, .external_lex_state = 7},
  [4769] = {.lex_state = 89, .external_lex_state = 7},
  [4770] = {.lex_state = 89, .external_lex_state = 7},
  [4771] = {.lex_state = 95, .external_lex_state = 5},
  [4772] = {.lex_state = 89, .external_lex_state = 7},
  [4773] = {.lex_state = 89, .external_lex_state = 7},
  [4774] = {.lex_state = 89, .external_lex_state = 7},
  [4775] = {.lex_state = 89, .external_lex_state = 7},
  [4776] = {.lex_state = 89, .external_lex_state = 7},
  [4777] = {.lex_state = 89, .external_lex_state = 7},
  [4778] = {.lex_state = 89, .external_lex_state = 7},
  [4779] = {.lex_state = 89, .external_lex_state = 7},
  [4780] = {.lex_state = 89, .external_lex_state = 7},
  [4781] = {.lex_state = 89, .external_lex_state = 7},
  [4782] = {.lex_state = 89, .external_lex_state = 7},
  [4783] = {.lex_state = 89, .external_lex_state = 7},
  [4784] = {.lex_state = 89, .external_lex_state = 7},
  [4785] = {.lex_state = 89, .external_lex_state = 7},
  [4786] = {.lex_state = 89, .external_lex_state = 7},
  [4787] = {.lex_state = 89, .external_lex_state = 7},
  [4788] = {.lex_state = 89, .external_lex_state = 7},
  [4789] = {.lex_state = 89, .external_lex_state = 7},
  [4790] = {.lex_state = 89, .external_lex_state = 7},
  [4791] = {.lex_state = 89, .external_lex_state = 7},
  [4792] = {.lex_state = 89, .external_lex_state = 7},
  [4793] = {.lex_state = 89, .external_lex_state = 7},
  [4794] = {.lex_state = 89, .external_lex_state = 7},
  [4795] = {.lex_state = 89, .external_lex_state = 7},
  [4796] = {.lex_state = 89, .external_lex_state = 7},
  [4797] = {.lex_state = 89, .external_lex_state = 7},
  [4798] = {.lex_state = 89, .external_lex_state = 7},
  [4799] = {.lex_state = 89, .external_lex_state = 7},
  [4800] = {.lex_state = 95, .external_lex_state = 6},
  [4801] = {.lex_state = 95, .external_lex_state = 6},
  [4802] = {.lex_state = 95, .external_lex_state = 6},
  [4803] = {.lex_state = 89, .external_lex_state = 7},
  [4804] = {.lex_state = 89, .external_lex_state = 7},
  [4805] = {.lex_state = 95, .external_lex_state = 6},
  [4806] = {.lex_state = 89, .external_lex_state = 7},
  [4807] = {.lex_state = 95, .external_lex_state = 6},
  [4808] = {.lex_state = 95, .external_lex_state = 6},
  [4809] = {.lex_state = 89, .external_lex_state = 7},
  [4810] = {.lex_state = 95, .external_lex_state = 6},
  [4811] = {.lex_state = 89, .external_lex_state = 7},
  [4812] = {.lex_state = 89, .external_lex_state = 7},
  [4813] = {.lex_state = 89, .external_lex_state = 7},
  [4814] = {.lex_state = 89, .external_lex_state = 7},
  [4815] = {.lex_state = 89, .external_lex_state = 7},
  [4816] = {.lex_state = 95, .external_lex_state = 6},
  [4817] = {.lex_state = 89, .external_lex_state = 7},
  [4818] = {.lex_state = 95, .external_lex_state = 6},
  [4819] = {.lex_state = 95, .external_lex_state = 6},
  [4820] = {.lex_state = 95, .external_lex_state = 6},
  [4821] = {.lex_state = 89, .external_lex_state = 7},
  [4822] = {.lex_state = 89, .external_lex_state = 7},
  [4823] = {.lex_state = 95, .external_lex_state = 6},
  [4824] = {.lex_state = 89, .external_lex_state = 7},
  [4825] = {.lex_state = 95, .external_lex_state = 6},
  [4826] = {.lex_state = 89, .external_lex_state = 7},
  [4827] = {.lex_state = 89, .external_lex_state = 7},
  [4828] = {.lex_state = 89, .external_lex_state = 7},
  [4829] = {.lex_state = 89, .external_lex_state = 7},
  [4830] = {.lex_state = 89, .external_lex_state = 7},
  [4831] = {.lex_state = 89, .external_lex_state = 7},
  [4832] = {.lex_state = 89, .external_lex_state = 7},
  [4833] = {.lex_state = 95, .external_lex_state = 6},
  [4834] = {.lex_state = 89, .external_lex_state = 7},
  [4835] = {.lex_state = 95, .external_lex_state = 6},
  [4836] = {.lex_state = 89, .external_lex_state = 7},
  [4837] = {.lex_state = 89, .external_lex_state = 7},
  [4838] = {.lex_state = 95, .external_lex_state = 6},
  [4839] = {.lex_state = 95, .external_lex_state = 6},
  [4840] = {.lex_state = 89, .external_lex_state = 7},
  [4841] = {.lex_state = 89, .external_lex_state = 7},
  [4842] = {.lex_state = 89, .external_lex_state = 7},
  [4843] = {.lex_state = 89, .external_lex_state = 7},
  [4844] = {.lex_state = 89, .external_lex_state = 7},
  [4845] = {.lex_state = 89, .external_lex_state = 7},
  [4846] = {.lex_state = 89, .external_lex_state = 7},
  [4847] = {.lex_state = 95, .external_lex_state = 6},
  [4848] = {.lex_state = 89, .external_lex_state = 7},
  [4849] = {.lex_state = 89, .external_lex_state = 7},
  [4850] = {.lex_state = 89, .external_lex_state = 7},
  [4851] = {.lex_state = 89, .external_lex_state = 7},
  [4852] = {.lex_state = 89, .external_lex_state = 7},
  [4853] = {.lex_state = 89, .external_lex_state = 7},
  [4854] = {.lex_state = 89, .external_lex_state = 7},
  [4855] = {.lex_state = 89, .external_lex_state = 7},
  [4856] = {.lex_state = 89, .external_lex_state = 7},
  [4857] = {.lex_state = 89, .external_lex_state = 7},
  [4858] = {.lex_state = 89, .external_lex_state = 7},
  [4859] = {.lex_state = 89, .external_lex_state = 7},
  [4860] = {.lex_state = 89, .external_lex_state = 7},
  [4861] = {.lex_state = 89, .external_lex_state = 7},
  [4862] = {.lex_state = 89, .external_lex_state = 7},
  [4863] = {.lex_state = 89, .external_lex_state = 7},
  [4864] = {.lex_state = 89, .external_lex_state = 7},
  [4865] = {.lex_state = 89, .external_lex_state = 7},
  [4866] = {.lex_state = 89, .external_lex_state = 7},
  [4867] = {.lex_state = 89, .external_lex_state = 7},
  [4868] = {.lex_state = 89, .external_lex_state = 7},
  [4869] = {.lex_state = 89, .external_lex_state = 7},
  [4870] = {.lex_state = 89, .external_lex_state = 7},
  [4871] = {.lex_state = 89, .external_lex_state = 7},
  [4872] = {.lex_state = 89, .external_lex_state = 7},
  [4873] = {.lex_state = 89, .external_lex_state = 7},
  [4874] = {.lex_state = 89, .external_lex_state = 7},
  [4875] = {.lex_state = 89, .external_lex_state = 7},
  [4876] = {.lex_state = 89, .external_lex_state = 7},
  [4877] = {.lex_state = 89, .external_lex_state = 7},
  [4878] = {.lex_state = 89, .external_lex_state = 7},
  [4879] = {.lex_state = 89, .external_lex_state = 7},
  [4880] = {.lex_state = 89, .external_lex_state = 7},
  [4881] = {.lex_state = 89, .external_lex_state = 7},
  [4882] = {.lex_state = 89, .external_lex_state = 7},
  [4883] = {.lex_state = 89, .external_lex_state = 7},
  [4884] = {.lex_state = 89, .external_lex_state = 7},
  [4885] = {.lex_state = 89, .external_lex_state = 7},
  [4886] = {.lex_state = 89, .external_lex_state = 7},
  [4887] = {.lex_state = 89, .external_lex_state = 7},
  [4888] = {.lex_state = 89, .external_lex_state = 7},
  [4889] = {.lex_state = 89, .external_lex_state = 7},
  [4890] = {.lex_state = 89, .external_lex_state = 7},
  [4891] = {.lex_state = 89, .external_lex_state = 7},
  [4892] = {.lex_state = 89, .external_lex_state = 7},
  [4893] = {.lex_state = 89, .external_lex_state = 7},
  [4894] = {.lex_state = 89, .external_lex_state = 7},
  [4895] = {.lex_state = 89, .external_lex_state = 7},
  [4896] = {.lex_state = 89, .external_lex_state = 7},
  [4897] = {.lex_state = 89, .external_lex_state = 7},
  [4898] = {.lex_state = 89, .external_lex_state = 7},
  [4899] = {.lex_state = 89, .external_lex_state = 7},
  [4900] = {.lex_state = 89, .external_lex_state = 7},
  [4901] = {.lex_state = 89, .external_lex_state = 7},
  [4902] = {.lex_state = 89, .external_lex_state = 7},
  [4903] = {.lex_state = 89, .external_lex_state = 7},
  [4904] = {.lex_state = 89, .external_lex_state = 7},
  [4905] = {.lex_state = 89, .external_lex_state = 7},
  [4906] = {.lex_state = 89, .external_lex_state = 7},
  [4907] = {.lex_state = 89, .external_lex_state = 7},
  [4908] = {.lex_state = 89, .external_lex_state = 7},
  [4909] = {.lex_state = 89, .external_lex_state = 7},
  [4910] = {.lex_state = 89, .external_lex_state = 7},
  [4911] = {.lex_state = 89, .external_lex_state = 7},
  [4912] = {.lex_state = 89, .external_lex_state = 7},
  [4913] = {.lex_state = 89, .external_lex_state = 7},
  [4914] = {.lex_state = 89, .external_lex_state = 7},
  [4915] = {.lex_state = 89, .external_lex_state = 7},
  [4916] = {.lex_state = 89, .external_lex_state = 7},
  [4917] = {.lex_state = 89, .external_lex_state = 7},
  [4918] = {.lex_state = 89, .external_lex_state = 7},
  [4919] = {.lex_state = 89, .external_lex_state = 7},
  [4920] = {.lex_state = 89, .external_lex_state = 7},
  [4921] = {.lex_state = 89, .external_lex_state = 7},
  [4922] = {.lex_state = 89, .external_lex_state = 7},
  [4923] = {.lex_state = 89, .external_lex_state = 7},
  [4924] = {.lex_state = 89, .external_lex_state = 7},
  [4925] = {.lex_state = 89, .external_lex_state = 7},
  [4926] = {.lex_state = 89, .external_lex_state = 7},
  [4927] = {.lex_state = 89, .external_lex_state = 7},
  [4928] = {.lex_state = 89, .external_lex_state = 7},
  [4929] = {.lex_state = 89, .external_lex_state = 7},
  [4930] = {.lex_state = 89, .external_lex_state = 7},
  [4931] = {.lex_state = 89, .external_lex_state = 7},
  [4932] = {.lex_state = 89, .external_lex_state = 7},
  [4933] = {.lex_state = 89, .external_lex_state = 7},
  [4934] = {.lex_state = 89, .external_lex_state = 7},
  [4935] = {.lex_state = 89, .external_lex_state = 7},
  [4936] = {.lex_state = 89, .external_lex_state = 7},
  [4937] = {.lex_state = 89, .external_lex_state = 7},
  [4938] = {.lex_state = 89, .external_lex_state = 7},
  [4939] = {.lex_state = 89, .external_lex_state = 7},
  [4940] = {.lex_state = 89, .external_lex_state = 7},
  [4941] = {.lex_state = 89, .external_lex_state = 7},
  [4942] = {.lex_state = 89, .external_lex_state = 7},
  [4943] = {.lex_state = 89, .external_lex_state = 7},
  [4944] = {.lex_state = 89, .external_lex_state = 7},
  [4945] = {.lex_state = 89, .external_lex_state = 7},
  [4946] = {.lex_state = 89, .external_lex_state = 7},
  [4947] = {.lex_state = 89, .external_lex_state = 7},
  [4948] = {.lex_state = 89, .external_lex_state = 7},
  [4949] = {.lex_state = 89, .external_lex_state = 7},
  [4950] = {.lex_state = 89, .external_lex_state = 7},
  [4951] = {.lex_state = 89, .external_lex_state = 7},
  [4952] = {.lex_state = 89, .external_lex_state = 7},
  [4953] = {.lex_state = 89, .external_lex_state = 7},
  [4954] = {.lex_state = 89, .external_lex_state = 7},
  [4955] = {.lex_state = 89, .external_lex_state = 7},
  [4956] = {.lex_state = 89, .external_lex_state = 7},
  [4957] = {.lex_state = 89, .external_lex_state = 7},
  [4958] = {.lex_state = 89, .external_lex_state = 7},
  [4959] = {.lex_state = 89, .external_lex_state = 7},
  [4960] = {.lex_state = 89, .external_lex_state = 7},
  [4961] = {.lex_state = 89, .external_lex_state = 7},
  [4962] = {.lex_state = 89, .external_lex_state = 7},
  [4963] = {.lex_state = 89, .external_lex_state = 7},
  [4964] = {.lex_state = 89, .external_lex_state = 7},
  [4965] = {.lex_state = 89, .external_lex_state = 7},
  [4966] = {.lex_state = 89, .external_lex_state = 7},
  [4967] = {.lex_state = 89, .external_lex_state = 7},
  [4968] = {.lex_state = 89, .external_lex_state = 7},
  [4969] = {.lex_state = 89, .external_lex_state = 7},
  [4970] = {.lex_state = 89, .external_lex_state = 7},
  [4971] = {.lex_state = 89, .external_lex_state = 7},
  [4972] = {.lex_state = 89, .external_lex_state = 7},
  [4973] = {.lex_state = 89, .external_lex_state = 7},
  [4974] = {.lex_state = 89, .external_lex_state = 7},
  [4975] = {.lex_state = 89, .external_lex_state = 7},
  [4976] = {.lex_state = 89, .external_lex_state = 7},
  [4977] = {.lex_state = 89, .external_lex_state = 7},
  [4978] = {.lex_state = 89, .external_lex_state = 7},
  [4979] = {.lex_state = 89, .external_lex_state = 7},
  [4980] = {.lex_state = 89, .external_lex_state = 7},
  [4981] = {.lex_state = 89, .external_lex_state = 7},
  [4982] = {.lex_state = 89, .external_lex_state = 7},
  [4983] = {.lex_state = 89, .external_lex_state = 7},
  [4984] = {.lex_state = 89, .external_lex_state = 7},
  [4985] = {.lex_state = 89, .external_lex_state = 7},
  [4986] = {.lex_state = 89, .external_lex_state = 7},
  [4987] = {.lex_state = 89, .external_lex_state = 7},
  [4988] = {.lex_state = 89, .external_lex_state = 7},
  [4989] = {.lex_state = 89, .external_lex_state = 7},
  [4990] = {.lex_state = 89, .external_lex_state = 7},
  [4991] = {.lex_state = 89, .external_lex_state = 7},
  [4992] = {.lex_state = 89, .external_lex_state = 7},
  [4993] = {.lex_state = 89, .external_lex_state = 7},
  [4994] = {.lex_state = 89, .external_lex_state = 7},
  [4995] = {.lex_state = 89, .external_lex_state = 7},
  [4996] = {.lex_state = 89, .external_lex_state = 7},
  [4997] = {.lex_state = 89, .external_lex_state = 7},
  [4998] = {.lex_state = 89, .external_lex_state = 7},
  [4999] = {.lex_state = 95, .external_lex_state = 6},
  [5000] = {.lex_state = 89, .external_lex_state = 7},
  [5001] = {.lex_state = 89, .external_lex_state = 7},
  [5002] = {.lex_state = 89, .external_lex_state = 7},
  [5003] = {.lex_state = 89, .external_lex_state = 7},
  [5004] = {.lex_state = 89, .external_lex_state = 7},
  [5005] = {.lex_state = 89, .external_lex_state = 7},
  [5006] = {.lex_state = 89, .external_lex_state = 7},
  [5007] = {.lex_state = 89, .external_lex_state = 7},
  [5008] = {.lex_state = 89, .external_lex_state = 7},
  [5009] = {.lex_state = 89, .external_lex_state = 7},
  [5010] = {.lex_state = 89, .external_lex_state = 7},
  [5011] = {.lex_state = 89, .external_lex_state = 7},
  [5012] = {.lex_state = 89, .external_lex_state = 7},
  [5013] = {.lex_state = 89, .external_lex_state = 7},
  [5014] = {.lex_state = 89, .external_lex_state = 7},
  [5015] = {.lex_state = 89, .external_lex_state = 7},
  [5016] = {.lex_state = 89, .external_lex_state = 7},
  [5017] = {.lex_state = 89, .external_lex_state = 7},
  [5018] = {.lex_state = 89, .external_lex_state = 7},
  [5019] = {.lex_state = 89, .external_lex_state = 7},
  [5020] = {.lex_state = 89, .external_lex_state = 7},
  [5021] = {.lex_state = 89, .external_lex_state = 7},
  [5022] = {.lex_state = 89, .external_lex_state = 7},
  [5023] = {.lex_state = 89, .external_lex_state = 7},
  [5024] = {.lex_state = 89, .external_lex_state = 7},
  [5025] = {.lex_state = 89, .external_lex_state = 7},
  [5026] = {.lex_state = 89, .external_lex_state = 7},
  [5027] = {.lex_state = 89, .external_lex_state = 7},
  [5028] = {.lex_state = 89, .external_lex_state = 7},
  [5029] = {.lex_state = 89, .external_lex_state = 7},
  [5030] = {.lex_state = 89, .external_lex_state = 7},
  [5031] = {.lex_state = 89, .external_lex_state = 7},
  [5032] = {.lex_state = 89, .external_lex_state = 7},
  [5033] = {.lex_state = 89, .external_lex_state = 7},
  [5034] = {.lex_state = 89, .external_lex_state = 7},
  [5035] = {.lex_state = 89, .external_lex_state = 7},
  [5036] = {.lex_state = 89, .external_lex_state = 7},
  [5037] = {.lex_state = 89, .external_lex_state = 7},
  [5038] = {.lex_state = 89, .external_lex_state = 7},
  [5039] = {.lex_state = 89, .external_lex_state = 7},
  [5040] = {.lex_state = 89, .external_lex_state = 7},
  [5041] = {.lex_state = 89, .external_lex_state = 7},
  [5042] = {.lex_state = 89, .external_lex_state = 7},
  [5043] = {.lex_state = 89, .external_lex_state = 7},
  [5044] = {.lex_state = 89, .external_lex_state = 7},
  [5045] = {.lex_state = 89, .external_lex_state = 7},
  [5046] = {.lex_state = 89, .external_lex_state = 7},
  [5047] = {.lex_state = 89, .external_lex_state = 7},
  [5048] = {.lex_state = 89, .external_lex_state = 7},
  [5049] = {.lex_state = 89, .external_lex_state = 7},
  [5050] = {.lex_state = 89, .external_lex_state = 7},
  [5051] = {.lex_state = 89, .external_lex_state = 7},
  [5052] = {.lex_state = 89, .external_lex_state = 7},
  [5053] = {.lex_state = 89, .external_lex_state = 7},
  [5054] = {.lex_state = 89, .external_lex_state = 7},
  [5055] = {.lex_state = 89, .external_lex_state = 7},
  [5056] = {.lex_state = 89, .external_lex_state = 7},
  [5057] = {.lex_state = 89, .external_lex_state = 7},
  [5058] = {.lex_state = 89, .external_lex_state = 7},
  [5059] = {.lex_state = 89, .external_lex_state = 7},
  [5060] = {.lex_state = 89, .external_lex_state = 7},
  [5061] = {.lex_state = 89, .external_lex_state = 7},
  [5062] = {.lex_state = 89, .external_lex_state = 7},
  [5063] = {.lex_state = 89, .external_lex_state = 7},
  [5064] = {.lex_state = 89, .external_lex_state = 7},
  [5065] = {.lex_state = 89, .external_lex_state = 7},
  [5066] = {.lex_state = 89, .external_lex_state = 7},
  [5067] = {.lex_state = 89, .external_lex_state = 7},
  [5068] = {.lex_state = 89, .external_lex_state = 7},
  [5069] = {.lex_state = 89, .external_lex_state = 7},
  [5070] = {.lex_state = 89, .external_lex_state = 7},
  [5071] = {.lex_state = 89, .external_lex_state = 7},
  [5072] = {.lex_state = 89, .external_lex_state = 7},
  [5073] = {.lex_state = 89, .external_lex_state = 7},
  [5074] = {.lex_state = 89, .external_lex_state = 7},
  [5075] = {.lex_state = 89, .external_lex_state = 7},
  [5076] = {.lex_state = 89, .external_lex_state = 7},
  [5077] = {.lex_state = 89, .external_lex_state = 7},
  [5078] = {.lex_state = 95, .external_lex_state = 7},
  [5079] = {.lex_state = 89, .external_lex_state = 7},
  [5080] = {.lex_state = 89, .external_lex_state = 7},
  [5081] = {.lex_state = 89, .external_lex_state = 7},
  [5082] = {.lex_state = 89, .external_lex_state = 7},
  [5083] = {.lex_state = 89, .external_lex_state = 7},
  [5084] = {.lex_state = 89, .external_lex_state = 7},
  [5085] = {.lex_state = 89, .external_lex_state = 7},
  [5086] = {.lex_state = 89, .external_lex_state = 7},
  [5087] = {.lex_state = 89, .external_lex_state = 7},
  [5088] = {.lex_state = 95, .external_lex_state = 5},
  [5089] = {.lex_state = 89, .external_lex_state = 7},
  [5090] = {.lex_state = 89, .external_lex_state = 7},
  [5091] = {.lex_state = 89, .external_lex_state = 7},
  [5092] = {.lex_state = 95, .external_lex_state = 6},
  [5093] = {.lex_state = 89, .external_lex_state = 7},
  [5094] = {.lex_state = 89, .external_lex_state = 7},
  [5095] = {.lex_state = 95, .external_lex_state = 6},
  [5096] = {.lex_state = 89, .external_lex_state = 7},
  [5097] = {.lex_state = 89, .external_lex_state = 7},
  [5098] = {.lex_state = 89, .external_lex_state = 7},
  [5099] = {.lex_state = 89, .external_lex_state = 7},
  [5100] = {.lex_state = 89, .external_lex_state = 7},
  [5101] = {.lex_state = 89, .external_lex_state = 7},
  [5102] = {.lex_state = 89, .external_lex_state = 7},
  [5103] = {.lex_state = 89, .external_lex_state = 7},
  [5104] = {.lex_state = 89, .external_lex_state = 7},
  [5105] = {.lex_state = 89, .external_lex_state = 7},
  [5106] = {.lex_state = 89, .external_lex_state = 7},
  [5107] = {.lex_state = 89, .external_lex_state = 7},
  [5108] = {.lex_state = 89, .external_lex_state = 7},
  [5109] = {.lex_state = 89, .external_lex_state = 7},
  [5110] = {.lex_state = 89, .external_lex_state = 7},
  [5111] = {.lex_state = 89, .external_lex_state = 7},
  [5112] = {.lex_state = 89, .external_lex_state = 7},
  [5113] = {.lex_state = 89, .external_lex_state = 7},
  [5114] = {.lex_state = 89, .external_lex_state = 7},
  [5115] = {.lex_state = 89, .external_lex_state = 7},
  [5116] = {.lex_state = 89, .external_lex_state = 7},
  [5117] = {.lex_state = 89, .external_lex_state = 7},
  [5118] = {.lex_state = 89, .external_lex_state = 7},
  [5119] = {.lex_state = 89, .external_lex_state = 7},
  [5120] = {.lex_state = 89, .external_lex_state = 7},
  [5121] = {.lex_state = 89, .external_lex_state = 7},
  [5122] = {.lex_state = 89, .external_lex_state = 7},
  [5123] = {.lex_state = 89, .external_lex_state = 7},
  [5124] = {.lex_state = 89, .external_lex_state = 7},
  [5125] = {.lex_state = 89, .external_lex_state = 7},
  [5126] = {.lex_state = 89, .external_lex_state = 7},
  [5127] = {.lex_state = 89, .external_lex_state = 7},
  [5128] = {.lex_state = 89, .external_lex_state = 7},
  [5129] = {.lex_state = 89, .external_lex_state = 7},
  [5130] = {.lex_state = 89, .external_lex_state = 7},
  [5131] = {.lex_state = 89, .external_lex_state = 7},
  [5132] = {.lex_state = 89, .external_lex_state = 7},
  [5133] = {.lex_state = 89, .external_lex_state = 7},
  [5134] = {.lex_state = 89, .external_lex_state = 7},
  [5135] = {.lex_state = 89, .external_lex_state = 7},
  [5136] = {.lex_state = 89, .external_lex_state = 7},
  [5137] = {.lex_state = 89, .external_lex_state = 7},
  [5138] = {.lex_state = 89, .external_lex_state = 7},
  [5139] = {.lex_state = 89, .external_lex_state = 7},
  [5140] = {.lex_state = 89, .external_lex_state = 7},
  [5141] = {.lex_state = 89, .external_lex_state = 7},
  [5142] = {.lex_state = 89, .external_lex_state = 7},
  [5143] = {.lex_state = 89, .external_lex_state = 7},
  [5144] = {.lex_state = 89, .external_lex_state = 7},
  [5145] = {.lex_state = 89, .external_lex_state = 7},
  [5146] = {.lex_state = 95, .external_lex_state = 6},
  [5147] = {.lex_state = 89, .external_lex_state = 7},
  [5148] = {.lex_state = 89, .external_lex_state = 7},
  [5149] = {.lex_state = 95, .external_lex_state = 6},
  [5150] = {.lex_state = 89, .external_lex_state = 7},
  [5151] = {.lex_state = 89, .external_lex_state = 7},
  [5152] = {.lex_state = 89, .external_lex_state = 7},
  [5153] = {.lex_state = 89, .external_lex_state = 7},
  [5154] = {.lex_state = 95, .external_lex_state = 6},
  [5155] = {.lex_state = 89, .external_lex_state = 7},
  [5156] = {.lex_state = 89, .external_lex_state = 7},
  [5157] = {.lex_state = 89, .external_lex_state = 7},
  [5158] = {.lex_state = 89, .external_lex_state = 7},
  [5159] = {.lex_state = 89, .external_lex_state = 7},
  [5160] = {.lex_state = 89, .external_lex_state = 7},
  [5161] = {.lex_state = 89, .external_lex_state = 7},
  [5162] = {.lex_state = 89, .external_lex_state = 7},
  [5163] = {.lex_state = 89, .external_lex_state = 7},
  [5164] = {.lex_state = 89, .external_lex_state = 7},
  [5165] = {.lex_state = 89, .external_lex_state = 7},
  [5166] = {.lex_state = 89, .external_lex_state = 7},
  [5167] = {.lex_state = 89, .external_lex_state = 7},
  [5168] = {.lex_state = 89, .external_lex_state = 7},
  [5169] = {.lex_state = 89, .external_lex_state = 7},
  [5170] = {.lex_state = 89, .external_lex_state = 7},
  [5171] = {.lex_state = 89, .external_lex_state = 7},
  [5172] = {.lex_state = 95, .external_lex_state = 7},
  [5173] = {.lex_state = 89, .external_lex_state = 7},
  [5174] = {.lex_state = 89, .external_lex_state = 7},
  [5175] = {.lex_state = 89, .external_lex_state = 7},
  [5176] = {.lex_state = 89, .external_lex_state = 7},
  [5177] = {.lex_state = 89, .external_lex_state = 7},
  [5178] = {.lex_state = 89, .external_lex_state = 7},
  [5179] = {.lex_state = 89, .external_lex_state = 7},
  [5180] = {.lex_state = 89, .external_lex_state = 7},
  [5181] = {.lex_state = 89, .external_lex_state = 7},
  [5182] = {.lex_state = 89, .external_lex_state = 7},
  [5183] = {.lex_state = 89, .external_lex_state = 7},
  [5184] = {.lex_state = 89, .external_lex_state = 7},
  [5185] = {.lex_state = 89, .external_lex_state = 7},
  [5186] = {.lex_state = 89, .external_lex_state = 7},
  [5187] = {.lex_state = 89, .external_lex_state = 7},
  [5188] = {.lex_state = 89, .external_lex_state = 7},
  [5189] = {.lex_state = 89, .external_lex_state = 7},
  [5190] = {.lex_state = 89, .external_lex_state = 7},
  [5191] = {.lex_state = 89, .external_lex_state = 7},
  [5192] = {.lex_state = 89, .external_lex_state = 7},
  [5193] = {.lex_state = 89, .external_lex_state = 7},
  [5194] = {.lex_state = 89, .external_lex_state = 7},
  [5195] = {.lex_state = 89, .external_lex_state = 7},
  [5196] = {.lex_state = 89, .external_lex_state = 7},
  [5197] = {.lex_state = 89, .external_lex_state = 7},
  [5198] = {.lex_state = 89, .external_lex_state = 7},
  [5199] = {.lex_state = 95, .external_lex_state = 7},
  [5200] = {.lex_state = 95, .external_lex_state = 6},
  [5201] = {.lex_state = 89, .external_lex_state = 7},
  [5202] = {.lex_state = 95, .external_lex_state = 6},
  [5203] = {.lex_state = 89, .external_lex_state = 7},
  [5204] = {.lex_state = 89, .external_lex_state = 7},
  [5205] = {.lex_state = 95, .external_lex_state = 6},
  [5206] = {.lex_state = 89, .external_lex_state = 7},
  [5207] = {.lex_state = 89, .external_lex_state = 7},
  [5208] = {.lex_state = 89, .external_lex_state = 7},
  [5209] = {.lex_state = 89, .external_lex_state = 7},
  [5210] = {.lex_state = 89, .external_lex_state = 7},
  [5211] = {.lex_state = 89, .external_lex_state = 7},
  [5212] = {.lex_state = 89, .external_lex_state = 7},
  [5213] = {.lex_state = 89, .external_lex_state = 7},
  [5214] = {.lex_state = 89, .external_lex_state = 7},
  [5215] = {.lex_state = 89, .external_lex_state = 7},
  [5216] = {.lex_state = 89, .external_lex_state = 7},
  [5217] = {.lex_state = 89, .external_lex_state = 7},
  [5218] = {.lex_state = 95, .external_lex_state = 6},
  [5219] = {.lex_state = 89, .external_lex_state = 7},
  [5220] = {.lex_state = 89, .external_lex_state = 7},
  [5221] = {.lex_state = 89, .external_lex_state = 7},
  [5222] = {.lex_state = 95, .external_lex_state = 6},
  [5223] = {.lex_state = 95, .external_lex_state = 6},
  [5224] = {.lex_state = 89, .external_lex_state = 7},
  [5225] = {.lex_state = 89, .external_lex_state = 7},
  [5226] = {.lex_state = 89, .external_lex_state = 7},
  [5227] = {.lex_state = 89, .external_lex_state = 7},
  [5228] = {.lex_state = 89, .external_lex_state = 7},
  [5229] = {.lex_state = 89, .external_lex_state = 7},
  [5230] = {.lex_state = 89, .external_lex_state = 7},
  [5231] = {.lex_state = 89, .external_lex_state = 7},
  [5232] = {.lex_state = 89, .external_lex_state = 7},
  [5233] = {.lex_state = 89, .external_lex_state = 7},
  [5234] = {.lex_state = 89, .external_lex_state = 7},
  [5235] = {.lex_state = 89, .external_lex_state = 7},
  [5236] = {.lex_state = 89, .external_lex_state = 7},
  [5237] = {.lex_state = 89, .external_lex_state = 7},
  [5238] = {.lex_state = 89, .external_lex_state = 7},
  [5239] = {.lex_state = 89, .external_lex_state = 7},
  [5240] = {.lex_state = 89, .external_lex_state = 7},
  [5241] = {.lex_state = 89, .external_lex_state = 7},
  [5242] = {.lex_state = 89, .external_lex_state = 7},
  [5243] = {.lex_state = 89, .external_lex_state = 7},
  [5244] = {.lex_state = 89, .external_lex_state = 7},
  [5245] = {.lex_state = 89, .external_lex_state = 7},
  [5246] = {.lex_state = 89, .external_lex_state = 7},
  [5247] = {.lex_state = 89, .external_lex_state = 7},
  [5248] = {.lex_state = 89, .external_lex_state = 7},
  [5249] = {.lex_state = 89, .external_lex_state = 7},
  [5250] = {.lex_state = 89, .external_lex_state = 7},
  [5251] = {.lex_state = 89, .external_lex_state = 7},
  [5252] = {.lex_state = 89, .external_lex_state = 7},
  [5253] = {.lex_state = 89, .external_lex_state = 7},
  [5254] = {.lex_state = 89, .external_lex_state = 7},
  [5255] = {.lex_state = 89, .external_lex_state = 7},
  [5256] = {.lex_state = 89, .external_lex_state = 7},
  [5257] = {.lex_state = 89, .external_lex_state = 7},
  [5258] = {.lex_state = 89, .external_lex_state = 7},
  [5259] = {.lex_state = 89, .external_lex_state = 7},
  [5260] = {.lex_state = 89, .external_lex_state = 7},
  [5261] = {.lex_state = 89, .external_lex_state = 7},
  [5262] = {.lex_state = 89, .external_lex_state = 7},
  [5263] = {.lex_state = 89, .external_lex_state = 7},
  [5264] = {.lex_state = 89, .external_lex_state = 7},
  [5265] = {.lex_state = 89, .external_lex_state = 7},
  [5266] = {.lex_state = 89, .external_lex_state = 7},
  [5267] = {.lex_state = 89, .external_lex_state = 7},
  [5268] = {.lex_state = 89, .external_lex_state = 7},
  [5269] = {.lex_state = 89, .external_lex_state = 7},
  [5270] = {.lex_state = 89, .external_lex_state = 7},
  [5271] = {.lex_state = 89, .external_lex_state = 7},
  [5272] = {.lex_state = 89, .external_lex_state = 7},
  [5273] = {.lex_state = 89, .external_lex_state = 7},
  [5274] = {.lex_state = 89, .external_lex_state = 7},
  [5275] = {.lex_state = 89, .external_lex_state = 7},
  [5276] = {.lex_state = 89, .external_lex_state = 7},
  [5277] = {.lex_state = 89, .external_lex_state = 7},
  [5278] = {.lex_state = 89, .external_lex_state = 7},
  [5279] = {.lex_state = 89, .external_lex_state = 7},
  [5280] = {.lex_state = 89, .external_lex_state = 7},
  [5281] = {.lex_state = 89, .external_lex_state = 7},
  [5282] = {.lex_state = 89, .external_lex_state = 7},
  [5283] = {.lex_state = 89, .external_lex_state = 7},
  [5284] = {.lex_state = 89, .external_lex_state = 7},
  [5285] = {.lex_state = 89, .external_lex_state = 7},
  [5286] = {.lex_state = 89, .external_lex_state = 7},
  [5287] = {.lex_state = 89, .external_lex_state = 7},
  [5288] = {.lex_state = 89, .external_lex_state = 7},
  [5289] = {.lex_state = 95, .external_lex_state = 6},
  [5290] = {.lex_state = 89, .external_lex_state = 7},
  [5291] = {.lex_state = 89, .external_lex_state = 7},
  [5292] = {.lex_state = 89, .external_lex_state = 7},
  [5293] = {.lex_state = 89, .external_lex_state = 7},
  [5294] = {.lex_state = 89, .external_lex_state = 7},
  [5295] = {.lex_state = 89, .external_lex_state = 7},
  [5296] = {.lex_state = 89, .external_lex_state = 7},
  [5297] = {.lex_state = 89, .external_lex_state = 7},
  [5298] = {.lex_state = 89, .external_lex_state = 7},
  [5299] = {.lex_state = 89, .external_lex_state = 7},
  [5300] = {.lex_state = 89, .external_lex_state = 7},
  [5301] = {.lex_state = 89, .external_lex_state = 7},
  [5302] = {.lex_state = 89, .external_lex_state = 7},
  [5303] = {.lex_state = 89, .external_lex_state = 7},
  [5304] = {.lex_state = 89, .external_lex_state = 7},
  [5305] = {.lex_state = 89, .external_lex_state = 7},
  [5306] = {.lex_state = 89, .external_lex_state = 7},
  [5307] = {.lex_state = 89, .external_lex_state = 7},
  [5308] = {.lex_state = 89, .external_lex_state = 7},
  [5309] = {.lex_state = 89, .external_lex_state = 7},
  [5310] = {.lex_state = 89, .external_lex_state = 7},
  [5311] = {.lex_state = 89, .external_lex_state = 7},
  [5312] = {.lex_state = 89, .external_lex_state = 7},
  [5313] = {.lex_state = 89, .external_lex_state = 7},
  [5314] = {.lex_state = 89, .external_lex_state = 7},
  [5315] = {.lex_state = 89, .external_lex_state = 7},
  [5316] = {.lex_state = 89, .external_lex_state = 7},
  [5317] = {.lex_state = 89, .external_lex_state = 7},
  [5318] = {.lex_state = 89, .external_lex_state = 7},
  [5319] = {.lex_state = 89, .external_lex_state = 7},
  [5320] = {.lex_state = 89, .external_lex_state = 7},
  [5321] = {.lex_state = 89, .external_lex_state = 7},
  [5322] = {.lex_state = 89, .external_lex_state = 7},
  [5323] = {.lex_state = 89, .external_lex_state = 7},
  [5324] = {.lex_state = 89, .external_lex_state = 7},
  [5325] = {.lex_state = 89, .external_lex_state = 7},
  [5326] = {.lex_state = 89, .external_lex_state = 7},
  [5327] = {.lex_state = 89, .external_lex_state = 7},
  [5328] = {.lex_state = 89, .external_lex_state = 7},
  [5329] = {.lex_state = 89, .external_lex_state = 7},
  [5330] = {.lex_state = 89, .external_lex_state = 7},
  [5331] = {.lex_state = 89, .external_lex_state = 7},
  [5332] = {.lex_state = 89, .external_lex_state = 7},
  [5333] = {.lex_state = 89, .external_lex_state = 7},
  [5334] = {.lex_state = 89, .external_lex_state = 7},
  [5335] = {.lex_state = 89, .external_lex_state = 7},
  [5336] = {.lex_state = 89, .external_lex_state = 7},
  [5337] = {.lex_state = 89, .external_lex_state = 7},
  [5338] = {.lex_state = 89, .external_lex_state = 7},
  [5339] = {.lex_state = 89, .external_lex_state = 7},
  [5340] = {.lex_state = 89, .external_lex_state = 7},
  [5341] = {.lex_state = 89, .external_lex_state = 7},
  [5342] = {.lex_state = 89, .external_lex_state = 7},
  [5343] = {.lex_state = 89, .external_lex_state = 7},
  [5344] = {.lex_state = 89, .external_lex_state = 7},
  [5345] = {.lex_state = 89, .external_lex_state = 7},
  [5346] = {.lex_state = 95, .external_lex_state = 7},
  [5347] = {.lex_state = 89, .external_lex_state = 7},
  [5348] = {.lex_state = 89, .external_lex_state = 7},
  [5349] = {.lex_state = 89, .external_lex_state = 7},
  [5350] = {.lex_state = 89, .external_lex_state = 7},
  [5351] = {.lex_state = 89, .external_lex_state = 7},
  [5352] = {.lex_state = 89, .external_lex_state = 7},
  [5353] = {.lex_state = 89, .external_lex_state = 7},
  [5354] = {.lex_state = 89, .external_lex_state = 7},
  [5355] = {.lex_state = 89, .external_lex_state = 7},
  [5356] = {.lex_state = 95, .external_lex_state = 5},
  [5357] = {.lex_state = 95, .external_lex_state = 7},
  [5358] = {.lex_state = 95, .external_lex_state = 7},
  [5359] = {.lex_state = 95, .external_lex_state = 7},
  [5360] = {.lex_state = 95, .external_lex_state = 7},
  [5361] = {.lex_state = 95, .external_lex_state = 7},
  [5362] = {.lex_state = 95, .external_lex_state = 7},
  [5363] = {.lex_state = 95, .external_lex_state = 7},
  [5364] = {.lex_state = 95, .external_lex_state = 7},
  [5365] = {.lex_state = 95, .external_lex_state = 7},
  [5366] = {.lex_state = 95, .external_lex_state = 7},
  [5367] = {.lex_state = 95, .external_lex_state = 7},
  [5368] = {.lex_state = 95, .external_lex_state = 7},
  [5369] = {.lex_state = 95, .external_lex_state = 7},
  [5370] = {.lex_state = 95, .external_lex_state = 7},
  [5371] = {.lex_state = 95, .external_lex_state = 7},
  [5372] = {.lex_state = 95, .external_lex_state = 7},
  [5373] = {.lex_state = 95, .external_lex_state = 7},
  [5374] = {.lex_state = 95, .external_lex_state = 7},
  [5375] = {.lex_state = 95, .external_lex_state = 7},
  [5376] = {.lex_state = 95, .external_lex_state = 7},
  [5377] = {.lex_state = 95, .external_lex_state = 7},
  [5378] = {.lex_state = 95, .external_lex_state = 5},
  [5379] = {.lex_state = 95, .external_lex_state = 7},
  [5380] = {.lex_state = 95, .external_lex_state = 7},
  [5381] = {.lex_state = 95, .external_lex_state = 7},
  [5382] = {.lex_state = 95, .external_lex_state = 7},
  [5383] = {.lex_state = 95, .external_lex_state = 7},
  [5384] = {.lex_state = 95, .external_lex_state = 7},
  [5385] = {.lex_state = 95, .external_lex_state = 7},
  [5386] = {.lex_state = 95, .external_lex_state = 7},
  [5387] = {.lex_state = 95, .external_lex_state = 7},
  [5388] = {.lex_state = 95, .external_lex_state = 7},
  [5389] = {.lex_state = 95, .external_lex_state = 6},
  [5390] = {.lex_state = 95, .external_lex_state = 7},
  [5391] = {.lex_state = 95, .external_lex_state = 7},
  [5392] = {.lex_state = 95, .external_lex_state = 7},
  [5393] = {.lex_state = 95, .external_lex_state = 7},
  [5394] = {.lex_state = 95, .external_lex_state = 7},
  [5395] = {.lex_state = 95, .external_lex_state = 7},
  [5396] = {.lex_state = 95, .external_lex_state = 7},
  [5397] = {.lex_state = 95, .external_lex_state = 7},
  [5398] = {.lex_state = 95, .external_lex_state = 7},
  [5399] = {.lex_state = 95, .external_lex_state = 7},
  [5400] = {.lex_state = 95, .external_lex_state = 7},
  [5401] = {.lex_state = 95, .external_lex_state = 7},
  [5402] = {.lex_state = 95, .external_lex_state = 7},
  [5403] = {.lex_state = 95, .external_lex_state = 7},
  [5404] = {.lex_state = 95, .external_lex_state = 7},
  [5405] = {.lex_state = 95, .external_lex_state = 7},
  [5406] = {.lex_state = 95, .external_lex_state = 7},
  [5407] = {.lex_state = 95, .external_lex_state = 7},
  [5408] = {.lex_state = 95, .external_lex_state = 7},
  [5409] = {.lex_state = 95, .external_lex_state = 7},
  [5410] = {.lex_state = 95, .external_lex_state = 7},
  [5411] = {.lex_state = 95, .external_lex_state = 7},
  [5412] = {.lex_state = 95, .external_lex_state = 7},
  [5413] = {.lex_state = 95, .external_lex_state = 5},
  [5414] = {.lex_state = 95, .external_lex_state = 7},
  [5415] = {.lex_state = 95, .external_lex_state = 7},
  [5416] = {.lex_state = 95, .external_lex_state = 7},
  [5417] = {.lex_state = 95, .external_lex_state = 7},
  [5418] = {.lex_state = 95, .external_lex_state = 7},
  [5419] = {.lex_state = 95, .external_lex_state = 7},
  [5420] = {.lex_state = 95, .external_lex_state = 7},
  [5421] = {.lex_state = 95, .external_lex_state = 7},
  [5422] = {.lex_state = 95, .external_lex_state = 7},
  [5423] = {.lex_state = 95, .external_lex_state = 7},
  [5424] = {.lex_state = 95, .external_lex_state = 7},
  [5425] = {.lex_state = 95, .external_lex_state = 7},
  [5426] = {.lex_state = 95, .external_lex_state = 7},
  [5427] = {.lex_state = 95, .external_lex_state = 7},
  [5428] = {.lex_state = 95, .external_lex_state = 5},
  [5429] = {.lex_state = 95, .external_lex_state = 5},
  [5430] = {.lex_state = 95, .external_lex_state = 7},
  [5431] = {.lex_state = 95, .external_lex_state = 7},
  [5432] = {.lex_state = 95, .external_lex_state = 7},
  [5433] = {.lex_state = 95, .external_lex_state = 7},
  [5434] = {.lex_state = 95, .external_lex_state = 7},
  [5435] = {.lex_state = 95, .external_lex_state = 7},
  [5436] = {.lex_state = 95, .external_lex_state = 7},
  [5437] = {.lex_state = 95, .external_lex_state = 7},
  [5438] = {.lex_state = 95, .external_lex_state = 7},
  [5439] = {.lex_state = 95, .external_lex_state = 7},
  [5440] = {.lex_state = 95, .external_lex_state = 7},
  [5441] = {.lex_state = 95, .external_lex_state = 7},
  [5442] = {.lex_state = 95, .external_lex_state = 7},
  [5443] = {.lex_state = 95, .external_lex_state = 7},
  [5444] = {.lex_state = 95, .external_lex_state = 7},
  [5445] = {.lex_state = 95, .external_lex_state = 7},
  [5446] = {.lex_state = 95, .external_lex_state = 7},
  [5447] = {.lex_state = 95, .external_lex_state = 7},
  [5448] = {.lex_state = 95, .external_lex_state = 7},
  [5449] = {.lex_state = 95, .external_lex_state = 7},
  [5450] = {.lex_state = 95, .external_lex_state = 6},
  [5451] = {.lex_state = 95, .external_lex_state = 7},
  [5452] = {.lex_state = 95, .external_lex_state = 7},
  [5453] = {.lex_state = 95, .external_lex_state = 7},
  [5454] = {.lex_state = 95, .external_lex_state = 7},
  [5455] = {.lex_state = 95, .external_lex_state = 7},
  [5456] = {.lex_state = 95, .external_lex_state = 5},
  [5457] = {.lex_state = 95, .external_lex_state = 7},
  [5458] = {.lex_state = 95, .external_lex_state = 7},
  [5459] = {.lex_state = 95, .external_lex_state = 7},
  [5460] = {.lex_state = 95, .external_lex_state = 7},
  [5461] = {.lex_state = 95, .external_lex_state = 7},
  [5462] = {.lex_state = 95, .external_lex_state = 7},
  [5463] = {.lex_state = 95, .external_lex_state = 7},
  [5464] = {.lex_state = 95, .external_lex_state = 7},
  [5465] = {.lex_state = 95, .external_lex_state = 7},
  [5466] = {.lex_state = 95, .external_lex_state = 7},
  [5467] = {.lex_state = 95, .external_lex_state = 7},
  [5468] = {.lex_state = 95, .external_lex_state = 7},
  [5469] = {.lex_state = 95, .external_lex_state = 7},
  [5470] = {.lex_state = 95, .external_lex_state = 7},
  [5471] = {.lex_state = 95, .external_lex_state = 7},
  [5472] = {.lex_state = 95, .external_lex_state = 7},
  [5473] = {.lex_state = 95, .external_lex_state = 7},
  [5474] = {.lex_state = 95, .external_lex_state = 7},
  [5475] = {.lex_state = 95, .external_lex_state = 7},
  [5476] = {.lex_state = 95, .external_lex_state = 7},
  [5477] = {.lex_state = 95, .external_lex_state = 7},
  [5478] = {.lex_state = 95, .external_lex_state = 7},
  [5479] = {.lex_state = 95, .external_lex_state = 7},
  [5480] = {.lex_state = 95, .external_lex_state = 7},
  [5481] = {.lex_state = 95, .external_lex_state = 7},
  [5482] = {.lex_state = 95, .external_lex_state = 7},
  [5483] = {.lex_state = 95, .external_lex_state = 7},
  [5484] = {.lex_state = 95, .external_lex_state = 7},
  [5485] = {.lex_state = 95, .external_lex_state = 7},
  [5486] = {.lex_state = 95, .external_lex_state = 7},
  [5487] = {.lex_state = 95, .external_lex_state = 7},
  [5488] = {.lex_state = 95, .external_lex_state = 7},
  [5489] = {.lex_state = 95, .external_lex_state = 7},
  [5490] = {.lex_state = 95, .external_lex_state = 7},
  [5491] = {.lex_state = 95, .external_lex_state = 7},
  [5492] = {.lex_state = 95, .external_lex_state = 7},
  [5493] = {.lex_state = 95, .external_lex_state = 7},
  [5494] = {.lex_state = 95, .external_lex_state = 7},
  [5495] = {.lex_state = 95, .external_lex_state = 7},
  [5496] = {.lex_state = 95, .external_lex_state = 7},
  [5497] = {.lex_state = 95, .external_lex_state = 7},
  [5498] = {.lex_state = 95, .external_lex_state = 7},
  [5499] = {.lex_state = 95, .external_lex_state = 7},
  [5500] = {.lex_state = 95, .external_lex_state = 7},
  [5501] = {.lex_state = 95, .external_lex_state = 7},
  [5502] = {.lex_state = 95, .external_lex_state = 7},
  [5503] = {.lex_state = 95, .external_lex_state = 7},
  [5504] = {.lex_state = 95, .external_lex_state = 7},
  [5505] = {.lex_state = 95, .external_lex_state = 7},
  [5506] = {.lex_state = 95, .external_lex_state = 7},
  [5507] = {.lex_state = 95, .external_lex_state = 7},
  [5508] = {.lex_state = 95, .external_lex_state = 7},
  [5509] = {.lex_state = 95, .external_lex_state = 7},
  [5510] = {.lex_state = 95, .external_lex_state = 7},
  [5511] = {.lex_state = 95, .external_lex_state = 7},
  [5512] = {.lex_state = 95, .external_lex_state = 7},
  [5513] = {.lex_state = 95, .external_lex_state = 7},
  [5514] = {.lex_state = 95, .external_lex_state = 7},
  [5515] = {.lex_state = 95, .external_lex_state = 7},
  [5516] = {.lex_state = 95, .external_lex_state = 7},
  [5517] = {.lex_state = 95, .external_lex_state = 7},
  [5518] = {.lex_state = 95, .external_lex_state = 7},
  [5519] = {.lex_state = 95, .external_lex_state = 7},
  [5520] = {.lex_state = 95, .external_lex_state = 7},
  [5521] = {.lex_state = 95, .external_lex_state = 7},
  [5522] = {.lex_state = 95, .external_lex_state = 7},
  [5523] = {.lex_state = 95, .external_lex_state = 7},
  [5524] = {.lex_state = 95, .external_lex_state = 7},
  [5525] = {.lex_state = 95, .external_lex_state = 7},
  [5526] = {.lex_state = 95, .external_lex_state = 7},
  [5527] = {.lex_state = 95, .external_lex_state = 7},
  [5528] = {.lex_state = 95, .external_lex_state = 7},
  [5529] = {.lex_state = 95, .external_lex_state = 7},
  [5530] = {.lex_state = 95, .external_lex_state = 7},
  [5531] = {.lex_state = 95, .external_lex_state = 7},
  [5532] = {.lex_state = 95, .external_lex_state = 7},
  [5533] = {.lex_state = 95, .external_lex_state = 7},
  [5534] = {.lex_state = 95, .external_lex_state = 7},
  [5535] = {.lex_state = 95, .external_lex_state = 7},
  [5536] = {.lex_state = 95, .external_lex_state = 7},
  [5537] = {.lex_state = 95, .external_lex_state = 7},
  [5538] = {.lex_state = 95, .external_lex_state = 7},
  [5539] = {.lex_state = 95, .external_lex_state = 7},
  [5540] = {.lex_state = 95, .external_lex_state = 7},
  [5541] = {.lex_state = 95, .external_lex_state = 7},
  [5542] = {.lex_state = 95, .external_lex_state = 7},
  [5543] = {.lex_state = 95, .external_lex_state = 7},
  [5544] = {.lex_state = 95, .external_lex_state = 7},
  [5545] = {.lex_state = 95, .external_lex_state = 7},
  [5546] = {.lex_state = 95, .external_lex_state = 7},
  [5547] = {.lex_state = 95, .external_lex_state = 7},
  [5548] = {.lex_state = 95, .external_lex_state = 7},
  [5549] = {.lex_state = 95, .external_lex_state = 6},
  [5550] = {.lex_state = 95, .external_lex_state = 7},
  [5551] = {.lex_state = 95, .external_lex_state = 7},
  [5552] = {.lex_state = 95, .external_lex_state = 7},
  [5553] = {.lex_state = 95, .external_lex_state = 7},
  [5554] = {.lex_state = 95, .external_lex_state = 7},
  [5555] = {.lex_state = 95, .external_lex_state = 7},
  [5556] = {.lex_state = 95, .external_lex_state = 6},
  [5557] = {.lex_state = 95, .external_lex_state = 7},
  [5558] = {.lex_state = 95, .external_lex_state = 6},
  [5559] = {.lex_state = 95, .external_lex_state = 7},
  [5560] = {.lex_state = 95, .external_lex_state = 7},
  [5561] = {.lex_state = 95, .external_lex_state = 7},
  [5562] = {.lex_state = 95, .external_lex_state = 7},
  [5563] = {.lex_state = 95, .external_lex_state = 6},
  [5564] = {.lex_state = 95, .external_lex_state = 7},
  [5565] = {.lex_state = 95, .external_lex_state = 7},
  [5566] = {.lex_state = 95, .external_lex_state = 7},
  [5567] = {.lex_state = 95, .external_lex_state = 7},
  [5568] = {.lex_state = 95, .external_lex_state = 7},
  [5569] = {.lex_state = 95, .external_lex_state = 7},
  [5570] = {.lex_state = 95, .external_lex_state = 7},
  [5571] = {.lex_state = 95, .external_lex_state = 7},
  [5572] = {.lex_state = 95, .external_lex_state = 6},
  [5573] = {.lex_state = 95, .external_lex_state = 7},
  [5574] = {.lex_state = 95, .external_lex_state = 7},
  [5575] = {.lex_state = 95, .external_lex_state = 7},
  [5576] = {.lex_state = 95, .external_lex_state = 7},
  [5577] = {.lex_state = 95, .external_lex_state = 7},
  [5578] = {.lex_state = 95, .external_lex_state = 7},
  [5579] = {.lex_state = 95, .external_lex_state = 7},
  [5580] = {.lex_state = 95, .external_lex_state = 7},
  [5581] = {.lex_state = 95, .external_lex_state = 7},
  [5582] = {.lex_state = 95, .external_lex_state = 7},
  [5583] = {.lex_state = 95, .external_lex_state = 7},
  [5584] = {.lex_state = 95, .external_lex_state = 7},
  [5585] = {.lex_state = 95, .external_lex_state = 7},
  [5586] = {.lex_state = 95, .external_lex_state = 6},
  [5587] = {.lex_state = 95, .external_lex_state = 7},
  [5588] = {.lex_state = 95, .external_lex_state = 7},
  [5589] = {.lex_state = 95, .external_lex_state = 7},
  [5590] = {.lex_state = 95, .external_lex_state = 7},
  [5591] = {.lex_state = 95, .external_lex_state = 7},
  [5592] = {.lex_state = 95, .external_lex_state = 7},
  [5593] = {.lex_state = 95, .external_lex_state = 7},
  [5594] = {.lex_state = 95, .external_lex_state = 7},
  [5595] = {.lex_state = 95, .external_lex_state = 7},
  [5596] = {.lex_state = 95, .external_lex_state = 7},
  [5597] = {.lex_state = 95, .external_lex_state = 7},
  [5598] = {.lex_state = 95, .external_lex_state = 7},
  [5599] = {.lex_state = 95, .external_lex_state = 6},
  [5600] = {.lex_state = 95, .external_lex_state = 7},
  [5601] = {.lex_state = 95, .external_lex_state = 7},
  [5602] = {.lex_state = 95, .external_lex_state = 7},
  [5603] = {.lex_state = 95, .external_lex_state = 7},
  [5604] = {.lex_state = 95, .external_lex_state = 7},
  [5605] = {.lex_state = 95, .external_lex_state = 6},
  [5606] = {.lex_state = 95, .external_lex_state = 7},
  [5607] = {.lex_state = 95, .external_lex_state = 7},
  [5608] = {.lex_state = 95, .external_lex_state = 7},
  [5609] = {.lex_state = 95, .external_lex_state = 7},
  [5610] = {.lex_state = 95, .external_lex_state = 7},
  [5611] = {.lex_state = 95, .external_lex_state = 7},
  [5612] = {.lex_state = 95, .external_lex_state = 7},
  [5613] = {.lex_state = 95, .external_lex_state = 7},
  [5614] = {.lex_state = 95, .external_lex_state = 7},
  [5615] = {.lex_state = 95, .external_lex_state = 7},
  [5616] = {.lex_state = 95, .external_lex_state = 7},
  [5617] = {.lex_state = 95, .external_lex_state = 7},
  [5618] = {.lex_state = 95, .external_lex_state = 7},
  [5619] = {.lex_state = 95, .external_lex_state = 7},
  [5620] = {.lex_state = 95, .external_lex_state = 7},
  [5621] = {.lex_state = 95, .external_lex_state = 7},
  [5622] = {.lex_state = 95, .external_lex_state = 7},
  [5623] = {.lex_state = 95, .external_lex_state = 7},
  [5624] = {.lex_state = 95, .external_lex_state = 7},
  [5625] = {.lex_state = 95, .external_lex_state = 7},
  [5626] = {.lex_state = 95, .external_lex_state = 7},
  [5627] = {.lex_state = 95, .external_lex_state = 7},
  [5628] = {.lex_state = 95, .external_lex_state = 7},
  [5629] = {.lex_state = 95, .external_lex_state = 7},
  [5630] = {.lex_state = 95, .external_lex_state = 7},
  [5631] = {.lex_state = 95, .external_lex_state = 7},
  [5632] = {.lex_state = 95, .external_lex_state = 7},
  [5633] = {.lex_state = 95, .external_lex_state = 7},
  [5634] = {.lex_state = 95, .external_lex_state = 7},
  [5635] = {.lex_state = 95, .external_lex_state = 7},
  [5636] = {.lex_state = 95, .external_lex_state = 7},
  [5637] = {.lex_state = 95, .external_lex_state = 7},
  [5638] = {.lex_state = 95, .external_lex_state = 6},
  [5639] = {.lex_state = 95, .external_lex_state = 7},
  [5640] = {.lex_state = 95, .external_lex_state = 7},
  [5641] = {.lex_state = 95, .external_lex_state = 7},
  [5642] = {.lex_state = 95, .external_lex_state = 7},
  [5643] = {.lex_state = 88, .external_lex_state = 2},
  [5644] = {.lex_state = 95, .external_lex_state = 7},
  [5645] = {.lex_state = 95, .external_lex_state = 6},
  [5646] = {.lex_state = 95, .external_lex_state = 7},
  [5647] = {.lex_state = 95, .external_lex_state = 7},
  [5648] = {.lex_state = 95, .external_lex_state = 7},
  [5649] = {.lex_state = 95, .external_lex_state = 7},
  [5650] = {.lex_state = 95, .external_lex_state = 7},
  [5651] = {.lex_state = 95, .external_lex_state = 7},
  [5652] = {.lex_state = 95, .external_lex_state = 7},
  [5653] = {.lex_state = 95, .external_lex_state = 7},
  [5654] = {.lex_state = 95, .external_lex_state = 7},
  [5655] = {.lex_state = 95, .external_lex_state = 7},
  [5656] = {.lex_state = 95, .external_lex_state = 7},
  [5657] = {.lex_state = 95, .external_lex_state = 7},
  [5658] = {.lex_state = 95, .external_lex_state = 7},
  [5659] = {.lex_state = 95, .external_lex_state = 7},
  [5660] = {.lex_state = 95, .external_lex_state = 7},
  [5661] = {.lex_state = 95, .external_lex_state = 7},
  [5662] = {.lex_state = 95, .external_lex_state = 7},
  [5663] = {.lex_state = 95, .external_lex_state = 7},
  [5664] = {.lex_state = 95, .external_lex_state = 7},
  [5665] = {.lex_state = 95, .external_lex_state = 6},
  [5666] = {.lex_state = 95, .external_lex_state = 6},
  [5667] = {.lex_state = 95, .external_lex_state = 7},
  [5668] = {.lex_state = 95, .external_lex_state = 7},
  [5669] = {.lex_state = 95, .external_lex_state = 7},
  [5670] = {.lex_state = 95, .external_lex_state = 7},
  [5671] = {.lex_state = 95, .external_lex_state = 7},
  [5672] = {.lex_state = 95, .external_lex_state = 7},
  [5673] = {.lex_state = 95, .external_lex_state = 7},
  [5674] = {.lex_state = 95, .external_lex_state = 7},
  [5675] = {.lex_state = 95, .external_lex_state = 7},
  [5676] = {.lex_state = 95, .external_lex_state = 7},
  [5677] = {.lex_state = 95, .external_lex_state = 7},
  [5678] = {.lex_state = 95, .external_lex_state = 7},
  [5679] = {.lex_state = 95, .external_lex_state = 7},
  [5680] = {.lex_state = 95, .external_lex_state = 7},
  [5681] = {.lex_state = 95, .external_lex_state = 7},
  [5682] = {.lex_state = 95, .external_lex_state = 7},
  [5683] = {.lex_state = 95, .external_lex_state = 7},
  [5684] = {.lex_state = 95, .external_lex_state = 7},
  [5685] = {.lex_state = 95, .external_lex_state = 7},
  [5686] = {.lex_state = 95, .external_lex_state = 7},
  [5687] = {.lex_state = 95, .external_lex_state = 6},
  [5688] = {.lex_state = 95, .external_lex_state = 7},
  [5689] = {.lex_state = 95, .external_lex_state = 7},
  [5690] = {.lex_state = 95, .external_lex_state = 7},
  [5691] = {.lex_state = 95, .external_lex_state = 7},
  [5692] = {.lex_state = 95, .external_lex_state = 7},
  [5693] = {.lex_state = 95, .external_lex_state = 7},
  [5694] = {.lex_state = 95, .external_lex_state = 7},
  [5695] = {.lex_state = 95, .external_lex_state = 7},
  [5696] = {.lex_state = 95, .external_lex_state = 7},
  [5697] = {.lex_state = 95, .external_lex_state = 7},
  [5698] = {.lex_state = 95, .external_lex_state = 7},
  [5699] = {.lex_state = 95, .external_lex_state = 7},
  [5700] = {.lex_state = 95, .external_lex_state = 7},
  [5701] = {.lex_state = 95, .external_lex_state = 7},
  [5702] = {.lex_state = 95, .external_lex_state = 7},
  [5703] = {.lex_state = 95, .external_lex_state = 7},
  [5704] = {.lex_state = 95, .external_lex_state = 7},
  [5705] = {.lex_state = 95, .external_lex_state = 7},
  [5706] = {.lex_state = 95, .external_lex_state = 7},
  [5707] = {.lex_state = 95, .external_lex_state = 7},
  [5708] = {.lex_state = 95, .external_lex_state = 7},
  [5709] = {.lex_state = 95, .external_lex_state = 7},
  [5710] = {.lex_state = 95, .external_lex_state = 6},
  [5711] = {.lex_state = 95, .external_lex_state = 7},
  [5712] = {.lex_state = 95, .external_lex_state = 7},
  [5713] = {.lex_state = 95, .external_lex_state = 7},
  [5714] = {.lex_state = 95, .external_lex_state = 7},
  [5715] = {.lex_state = 95, .external_lex_state = 7},
  [5716] = {.lex_state = 95, .external_lex_state = 7},
  [5717] = {.lex_state = 95, .external_lex_state = 7},
  [5718] = {.lex_state = 95, .external_lex_state = 7},
  [5719] = {.lex_state = 95, .external_lex_state = 7},
  [5720] = {.lex_state = 95, .external_lex_state = 7},
  [5721] = {.lex_state = 95, .external_lex_state = 7},
  [5722] = {.lex_state = 95, .external_lex_state = 7},
  [5723] = {.lex_state = 95, .external_lex_state = 7},
  [5724] = {.lex_state = 95, .external_lex_state = 7},
  [5725] = {.lex_state = 95, .external_lex_state = 7},
  [5726] = {.lex_state = 95, .external_lex_state = 7},
  [5727] = {.lex_state = 95, .external_lex_state = 6},
  [5728] = {.lex_state = 88, .external_lex_state = 2},
  [5729] = {.lex_state = 95, .external_lex_state = 6},
  [5730] = {.lex_state = 95, .external_lex_state = 7},
  [5731] = {.lex_state = 95, .external_lex_state = 7},
  [5732] = {.lex_state = 95, .external_lex_state = 7},
  [5733] = {.lex_state = 95, .external_lex_state = 7},
  [5734] = {.lex_state = 95, .external_lex_state = 7},
  [5735] = {.lex_state = 95, .external_lex_state = 7},
  [5736] = {.lex_state = 95, .external_lex_state = 7},
  [5737] = {.lex_state = 95, .external_lex_state = 7},
  [5738] = {.lex_state = 95, .external_lex_state = 7},
  [5739] = {.lex_state = 95, .external_lex_state = 7},
  [5740] = {.lex_state = 88, .external_lex_state = 2},
  [5741] = {.lex_state = 95, .external_lex_state = 6},
  [5742] = {.lex_state = 95, .external_lex_state = 7},
  [5743] = {.lex_state = 95, .external_lex_state = 7},
  [5744] = {.lex_state = 95, .external_lex_state = 6},
  [5745] = {.lex_state = 95, .external_lex_state = 7},
  [5746] = {.lex_state = 95, .external_lex_state = 7},
  [5747] = {.lex_state = 95, .external_lex_state = 7},
  [5748] = {.lex_state = 95, .external_lex_state = 7},
  [5749] = {.lex_state = 95, .external_lex_state = 7},
  [5750] = {.lex_state = 95, .external_lex_state = 7},
  [5751] = {.lex_state = 95, .external_lex_state = 6},
  [5752] = {.lex_state = 95, .external_lex_state = 7},
  [5753] = {.lex_state = 95, .external_lex_state = 7},
  [5754] = {.lex_state = 95, .external_lex_state = 7},
  [5755] = {.lex_state = 95, .external_lex_state = 7},
  [5756] = {.lex_state = 95, .external_lex_state = 7},
  [5757] = {.lex_state = 95, .external_lex_state = 7},
  [5758] = {.lex_state = 95, .external_lex_state = 7},
  [5759] = {.lex_state = 95, .external_lex_state = 7},
  [5760] = {.lex_state = 95, .external_lex_state = 7},
  [5761] = {.lex_state = 95, .external_lex_state = 7},
  [5762] = {.lex_state = 95, .external_lex_state = 6},
  [5763] = {.lex_state = 95, .external_lex_state = 7},
  [5764] = {.lex_state = 95, .external_lex_state = 7},
  [5765] = {.lex_state = 95, .external_lex_state = 7},
  [5766] = {.lex_state = 95, .external_lex_state = 7},
  [5767] = {.lex_state = 95, .external_lex_state = 7},
  [5768] = {.lex_state = 95, .external_lex_state = 7},
  [5769] = {.lex_state = 95, .external_lex_state = 7},
  [5770] = {.lex_state = 95, .external_lex_state = 7},
  [5771] = {.lex_state = 95, .external_lex_state = 7},
  [5772] = {.lex_state = 95, .external_lex_state = 7},
  [5773] = {.lex_state = 95, .external_lex_state = 6},
  [5774] = {.lex_state = 95, .external_lex_state = 7},
  [5775] = {.lex_state = 95, .external_lex_state = 7},
  [5776] = {.lex_state = 95, .external_lex_state = 7},
  [5777] = {.lex_state = 95, .external_lex_state = 7},
  [5778] = {.lex_state = 95, .external_lex_state = 7},
  [5779] = {.lex_state = 95, .external_lex_state = 7},
  [5780] = {.lex_state = 95, .external_lex_state = 7},
  [5781] = {.lex_state = 95, .external_lex_state = 7},
  [5782] = {.lex_state = 95, .external_lex_state = 7},
  [5783] = {.lex_state = 95, .external_lex_state = 7},
  [5784] = {.lex_state = 95, .external_lex_state = 7},
  [5785] = {.lex_state = 95, .external_lex_state = 7},
  [5786] = {.lex_state = 95, .external_lex_state = 7},
  [5787] = {.lex_state = 95, .external_lex_state = 7},
  [5788] = {.lex_state = 95, .external_lex_state = 7},
  [5789] = {.lex_state = 95, .external_lex_state = 7},
  [5790] = {.lex_state = 95, .external_lex_state = 7},
  [5791] = {.lex_state = 95, .external_lex_state = 7},
  [5792] = {.lex_state = 95, .external_lex_state = 7},
  [5793] = {.lex_state = 95, .external_lex_state = 7},
  [5794] = {.lex_state = 95, .external_lex_state = 7},
  [5795] = {.lex_state = 95, .external_lex_state = 7},
  [5796] = {.lex_state = 95, .external_lex_state = 7},
  [5797] = {.lex_state = 95, .external_lex_state = 7},
  [5798] = {.lex_state = 95, .external_lex_state = 7},
  [5799] = {.lex_state = 95, .external_lex_state = 7},
  [5800] = {.lex_state = 95, .external_lex_state = 7},
  [5801] = {.lex_state = 95, .external_lex_state = 7},
  [5802] = {.lex_state = 95, .external_lex_state = 7},
  [5803] = {.lex_state = 95, .external_lex_state = 7},
  [5804] = {.lex_state = 95, .external_lex_state = 7},
  [5805] = {.lex_state = 95, .external_lex_state = 7},
  [5806] = {.lex_state = 95, .external_lex_state = 7},
  [5807] = {.lex_state = 95, .external_lex_state = 7},
  [5808] = {.lex_state = 95, .external_lex_state = 7},
  [5809] = {.lex_state = 95, .external_lex_state = 7},
  [5810] = {.lex_state = 95, .external_lex_state = 7},
  [5811] = {.lex_state = 95, .external_lex_state = 7},
  [5812] = {.lex_state = 95, .external_lex_state = 7},
  [5813] = {.lex_state = 95, .external_lex_state = 7},
  [5814] = {.lex_state = 95, .external_lex_state = 7},
  [5815] = {.lex_state = 95, .external_lex_state = 7},
  [5816] = {.lex_state = 95, .external_lex_state = 7},
  [5817] = {.lex_state = 95, .external_lex_state = 7},
  [5818] = {.lex_state = 95, .external_lex_state = 7},
  [5819] = {.lex_state = 95, .external_lex_state = 6},
  [5820] = {.lex_state = 95, .external_lex_state = 7},
  [5821] = {.lex_state = 95, .external_lex_state = 7},
  [5822] = {.lex_state = 95, .external_lex_state = 7},
  [5823] = {.lex_state = 95, .external_lex_state = 7},
  [5824] = {.lex_state = 95, .external_lex_state = 7},
  [5825] = {.lex_state = 95, .external_lex_state = 7},
  [5826] = {.lex_state = 95, .external_lex_state = 7},
  [5827] = {.lex_state = 95, .external_lex_state = 7},
  [5828] = {.lex_state = 95, .external_lex_state = 7},
  [5829] = {.lex_state = 95, .external_lex_state = 7},
  [5830] = {.lex_state = 95, .external_lex_state = 7},
  [5831] = {.lex_state = 95, .external_lex_state = 7},
  [5832] = {.lex_state = 95, .external_lex_state = 7},
  [5833] = {.lex_state = 95, .external_lex_state = 7},
  [5834] = {.lex_state = 95, .external_lex_state = 7},
  [5835] = {.lex_state = 95, .external_lex_state = 7},
  [5836] = {.lex_state = 95, .external_lex_state = 7},
  [5837] = {.lex_state = 95, .external_lex_state = 7},
  [5838] = {.lex_state = 95, .external_lex_state = 7},
  [5839] = {.lex_state = 95, .external_lex_state = 7},
  [5840] = {.lex_state = 95, .external_lex_state = 7},
  [5841] = {.lex_state = 95, .external_lex_state = 7},
  [5842] = {.lex_state = 95, .external_lex_state = 7},
  [5843] = {.lex_state = 95, .external_lex_state = 7},
  [5844] = {.lex_state = 95, .external_lex_state = 7},
  [5845] = {.lex_state = 95, .external_lex_state = 7},
  [5846] = {.lex_state = 95, .external_lex_state = 7},
  [5847] = {.lex_state = 95, .external_lex_state = 7},
  [5848] = {.lex_state = 95, .external_lex_state = 7},
  [5849] = {.lex_state = 95, .external_lex_state = 7},
  [5850] = {.lex_state = 95, .external_lex_state = 7},
  [5851] = {.lex_state = 95, .external_lex_state = 7},
  [5852] = {.lex_state = 95, .external_lex_state = 7},
  [5853] = {.lex_state = 95, .external_lex_state = 7},
  [5854] = {.lex_state = 95, .external_lex_state = 7},
  [5855] = {.lex_state = 95, .external_lex_state = 7},
  [5856] = {.lex_state = 95, .external_lex_state = 7},
  [5857] = {.lex_state = 95, .external_lex_state = 7},
  [5858] = {.lex_state = 95, .external_lex_state = 7},
  [5859] = {.lex_state = 95, .external_lex_state = 7},
  [5860] = {.lex_state = 95, .external_lex_state = 7},
  [5861] = {.lex_state = 95, .external_lex_state = 7},
  [5862] = {.lex_state = 95, .external_lex_state = 7},
  [5863] = {.lex_state = 95, .external_lex_state = 7},
  [5864] = {.lex_state = 95, .external_lex_state = 7},
  [5865] = {.lex_state = 95, .external_lex_state = 7},
  [5866] = {.lex_state = 95, .external_lex_state = 7},
  [5867] = {.lex_state = 95, .external_lex_state = 7},
  [5868] = {.lex_state = 95, .external_lex_state = 7},
  [5869] = {.lex_state = 95, .external_lex_state = 7},
  [5870] = {.lex_state = 95, .external_lex_state = 7},
  [5871] = {.lex_state = 95, .external_lex_state = 7},
  [5872] = {.lex_state = 95, .external_lex_state = 7},
  [5873] = {.lex_state = 95, .external_lex_state = 7},
  [5874] = {.lex_state = 95, .external_lex_state = 7},
  [5875] = {.lex_state = 95, .external_lex_state = 7},
  [5876] = {.lex_state = 95, .external_lex_state = 7},
  [5877] = {.lex_state = 95, .external_lex_state = 7},
  [5878] = {.lex_state = 95, .external_lex_state = 7},
  [5879] = {.lex_state = 95, .external_lex_state = 7},
  [5880] = {.lex_state = 95, .external_lex_state = 7},
  [5881] = {.lex_state = 95, .external_lex_state = 7},
  [5882] = {.lex_state = 95, .external_lex_state = 7},
  [5883] = {.lex_state = 95, .external_lex_state = 7},
  [5884] = {.lex_state = 95, .external_lex_state = 7},
  [5885] = {.lex_state = 95, .external_lex_state = 7},
  [5886] = {.lex_state = 95, .external_lex_state = 7},
  [5887] = {.lex_state = 95, .external_lex_state = 7},
  [5888] = {.lex_state = 95, .external_lex_state = 7},
  [5889] = {.lex_state = 95, .external_lex_state = 7},
  [5890] = {.lex_state = 95, .external_lex_state = 7},
  [5891] = {.lex_state = 95, .external_lex_state = 7},
  [5892] = {.lex_state = 95, .external_lex_state = 7},
  [5893] = {.lex_state = 95, .external_lex_state = 7},
  [5894] = {.lex_state = 95, .external_lex_state = 7},
  [5895] = {.lex_state = 95, .external_lex_state = 7},
  [5896] = {.lex_state = 95, .external_lex_state = 7},
  [5897] = {.lex_state = 95, .external_lex_state = 7},
  [5898] = {.lex_state = 95, .external_lex_state = 7},
  [5899] = {.lex_state = 95, .external_lex_state = 7},
  [5900] = {.lex_state = 95, .external_lex_state = 7},
  [5901] = {.lex_state = 95, .external_lex_state = 7},
  [5902] = {.lex_state = 95, .external_lex_state = 7},
  [5903] = {.lex_state = 95, .external_lex_state = 7},
  [5904] = {.lex_state = 95, .external_lex_state = 7},
  [5905] = {.lex_state = 95, .external_lex_state = 7},
  [5906] = {.lex_state = 95, .external_lex_state = 7},
  [5907] = {.lex_state = 95, .external_lex_state = 7},
  [5908] = {.lex_state = 95, .external_lex_state = 7},
  [5909] = {.lex_state = 95, .external_lex_state = 7},
  [5910] = {.lex_state = 95, .external_lex_state = 7},
  [5911] = {.lex_state = 95, .external_lex_state = 7},
  [5912] = {.lex_state = 95, .external_lex_state = 7},
  [5913] = {.lex_state = 95, .external_lex_state = 7},
  [5914] = {.lex_state = 95, .external_lex_state = 7},
  [5915] = {.lex_state = 95, .external_lex_state = 7},
  [5916] = {.lex_state = 95, .external_lex_state = 7},
  [5917] = {.lex_state = 95, .external_lex_state = 7},
  [5918] = {.lex_state = 95, .external_lex_state = 7},
  [5919] = {.lex_state = 95, .external_lex_state = 7},
  [5920] = {.lex_state = 95, .external_lex_state = 7},
  [5921] = {.lex_state = 95, .external_lex_state = 7},
  [5922] = {.lex_state = 95, .external_lex_state = 7},
  [5923] = {.lex_state = 95, .external_lex_state = 7},
  [5924] = {.lex_state = 95, .external_lex_state = 7},
  [5925] = {.lex_state = 95, .external_lex_state = 7},
  [5926] = {.lex_state = 95, .external_lex_state = 7},
  [5927] = {.lex_state = 95, .external_lex_state = 7},
  [5928] = {.lex_state = 95, .external_lex_state = 7},
  [5929] = {.lex_state = 95, .external_lex_state = 7},
  [5930] = {.lex_state = 95, .external_lex_state = 7},
  [5931] = {.lex_state = 95, .external_lex_state = 7},
  [5932] = {.lex_state = 95, .external_lex_state = 7},
  [5933] = {.lex_state = 95, .external_lex_state = 7},
  [5934] = {.lex_state = 95, .external_lex_state = 7},
  [5935] = {.lex_state = 95, .external_lex_state = 7},
  [5936] = {.lex_state = 95, .external_lex_state = 7},
  [5937] = {.lex_state = 95, .external_lex_state = 7},
  [5938] = {.lex_state = 95, .external_lex_state = 7},
  [5939] = {.lex_state = 95, .external_lex_state = 7},
  [5940] = {.lex_state = 95, .external_lex_state = 7},
  [5941] = {.lex_state = 95, .external_lex_state = 7},
  [5942] = {.lex_state = 95, .external_lex_state = 7},
  [5943] = {.lex_state = 95, .external_lex_state = 7},
  [5944] = {.lex_state = 95, .external_lex_state = 7},
  [5945] = {.lex_state = 95, .external_lex_state = 7},
  [5946] = {.lex_state = 95, .external_lex_state = 7},
  [5947] = {.lex_state = 95, .external_lex_state = 7},
  [5948] = {.lex_state = 95, .external_lex_state = 7},
  [5949] = {.lex_state = 95, .external_lex_state = 7},
  [5950] = {.lex_state = 95, .external_lex_state = 7},
  [5951] = {.lex_state = 95, .external_lex_state = 7},
  [5952] = {.lex_state = 95, .external_lex_state = 7},
  [5953] = {.lex_state = 95, .external_lex_state = 7},
  [5954] = {.lex_state = 95, .external_lex_state = 7},
  [5955] = {.lex_state = 95, .external_lex_state = 7},
  [5956] = {.lex_state = 95, .external_lex_state = 7},
  [5957] = {.lex_state = 95, .external_lex_state = 7},
  [5958] = {.lex_state = 95, .external_lex_state = 7},
  [5959] = {.lex_state = 95, .external_lex_state = 7},
  [5960] = {.lex_state = 95, .external_lex_state = 7},
  [5961] = {.lex_state = 95, .external_lex_state = 7},
  [5962] = {.lex_state = 95, .external_lex_state = 7},
  [5963] = {.lex_state = 95, .external_lex_state = 7},
  [5964] = {.lex_state = 95, .external_lex_state = 7},
  [5965] = {.lex_state = 95, .external_lex_state = 7},
  [5966] = {.lex_state = 95, .external_lex_state = 7},
  [5967] = {.lex_state = 95, .external_lex_state = 7},
  [5968] = {.lex_state = 95, .external_lex_state = 7},
  [5969] = {.lex_state = 95, .external_lex_state = 7},
  [5970] = {.lex_state = 95, .external_lex_state = 7},
  [5971] = {.lex_state = 95, .external_lex_state = 7},
  [5972] = {.lex_state = 95, .external_lex_state = 7},
  [5973] = {.lex_state = 95, .external_lex_state = 7},
  [5974] = {.lex_state = 95, .external_lex_state = 7},
  [5975] = {.lex_state = 95, .external_lex_state = 7},
  [5976] = {.lex_state = 95, .external_lex_state = 7},
  [5977] = {.lex_state = 95, .external_lex_state = 7},
  [5978] = {.lex_state = 95, .external_lex_state = 7},
  [5979] = {.lex_state = 95, .external_lex_state = 7},
  [5980] = {.lex_state = 95, .external_lex_state = 7},
  [5981] = {.lex_state = 95, .external_lex_state = 7},
  [5982] = {.lex_state = 95, .external_lex_state = 7},
  [5983] = {.lex_state = 95, .external_lex_state = 7},
  [5984] = {.lex_state = 95, .external_lex_state = 7},
  [5985] = {.lex_state = 95, .external_lex_state = 7},
  [5986] = {.lex_state = 95, .external_lex_state = 7},
  [5987] = {.lex_state = 95, .external_lex_state = 7},
  [5988] = {.lex_state = 95, .external_lex_state = 7},
  [5989] = {.lex_state = 95, .external_lex_state = 7},
  [5990] = {.lex_state = 95, .external_lex_state = 7},
  [5991] = {.lex_state = 95, .external_lex_state = 7},
  [5992] = {.lex_state = 95, .external_lex_state = 7},
  [5993] = {.lex_state = 95, .external_lex_state = 7},
  [5994] = {.lex_state = 95, .external_lex_state = 7},
  [5995] = {.lex_state = 95, .external_lex_state = 7},
  [5996] = {.lex_state = 95, .external_lex_state = 7},
  [5997] = {.lex_state = 95, .external_lex_state = 7},
  [5998] = {.lex_state = 95, .external_lex_state = 7},
  [5999] = {.lex_state = 95, .external_lex_state = 7},
  [6000] = {.lex_state = 95, .external_lex_state = 7},
  [6001] = {.lex_state = 95, .external_lex_state = 7},
  [6002] = {.lex_state = 95, .external_lex_state = 7},
  [6003] = {.lex_state = 95, .external_lex_state = 7},
  [6004] = {.lex_state = 95, .external_lex_state = 7},
  [6005] = {.lex_state = 95, .external_lex_state = 7},
  [6006] = {.lex_state = 95, .external_lex_state = 7},
  [6007] = {.lex_state = 95, .external_lex_state = 7},
  [6008] = {.lex_state = 95, .external_lex_state = 7},
  [6009] = {.lex_state = 95, .external_lex_state = 7},
  [6010] = {.lex_state = 95, .external_lex_state = 7},
  [6011] = {.lex_state = 95, .external_lex_state = 7},
  [6012] = {.lex_state = 95, .external_lex_state = 7},
  [6013] = {.lex_state = 95, .external_lex_state = 7},
  [6014] = {.lex_state = 95, .external_lex_state = 7},
  [6015] = {.lex_state = 95, .external_lex_state = 7},
  [6016] = {.lex_state = 95, .external_lex_state = 7},
  [6017] = {.lex_state = 95, .external_lex_state = 7},
  [6018] = {.lex_state = 95, .external_lex_state = 7},
  [6019] = {.lex_state = 95, .external_lex_state = 7},
  [6020] = {.lex_state = 95, .external_lex_state = 7},
  [6021] = {.lex_state = 95, .external_lex_state = 7},
  [6022] = {.lex_state = 95, .external_lex_state = 7},
  [6023] = {.lex_state = 95, .external_lex_state = 7},
  [6024] = {.lex_state = 95, .external_lex_state = 7},
  [6025] = {.lex_state = 95, .external_lex_state = 7},
  [6026] = {.lex_state = 95, .external_lex_state = 7},
  [6027] = {.lex_state = 95, .external_lex_state = 7},
  [6028] = {.lex_state = 95, .external_lex_state = 7},
  [6029] = {.lex_state = 95, .external_lex_state = 7},
  [6030] = {.lex_state = 95, .external_lex_state = 7},
  [6031] = {.lex_state = 95, .external_lex_state = 7},
  [6032] = {.lex_state = 95, .external_lex_state = 7},
  [6033] = {.lex_state = 95, .external_lex_state = 7},
  [6034] = {.lex_state = 95, .external_lex_state = 7},
  [6035] = {.lex_state = 95, .external_lex_state = 7},
  [6036] = {.lex_state = 95, .external_lex_state = 7},
  [6037] = {.lex_state = 95, .external_lex_state = 7},
  [6038] = {.lex_state = 95, .external_lex_state = 7},
  [6039] = {.lex_state = 95, .external_lex_state = 7},
  [6040] = {.lex_state = 95, .external_lex_state = 7},
  [6041] = {.lex_state = 95, .external_lex_state = 7},
  [6042] = {.lex_state = 95, .external_lex_state = 7},
  [6043] = {.lex_state = 95, .external_lex_state = 7},
  [6044] = {.lex_state = 95, .external_lex_state = 7},
  [6045] = {.lex_state = 95, .external_lex_state = 7},
  [6046] = {.lex_state = 95, .external_lex_state = 7},
  [6047] = {.lex_state = 95, .external_lex_state = 7},
  [6048] = {.lex_state = 95, .external_lex_state = 7},
  [6049] = {.lex_state = 95, .external_lex_state = 7},
  [6050] = {.lex_state = 95, .external_lex_state = 7},
  [6051] = {.lex_state = 95, .external_lex_state = 7},
  [6052] = {.lex_state = 95, .external_lex_state = 7},
  [6053] = {.lex_state = 95, .external_lex_state = 7},
  [6054] = {.lex_state = 95, .external_lex_state = 7},
  [6055] = {.lex_state = 95, .external_lex_state = 7},
  [6056] = {.lex_state = 95, .external_lex_state = 7},
  [6057] = {.lex_state = 95, .external_lex_state = 7},
  [6058] = {.lex_state = 95, .external_lex_state = 7},
  [6059] = {.lex_state = 95, .external_lex_state = 7},
  [6060] = {.lex_state = 95, .external_lex_state = 7},
  [6061] = {.lex_state = 95, .external_lex_state = 7},
  [6062] = {.lex_state = 95, .external_lex_state = 7},
  [6063] = {.lex_state = 95, .external_lex_state = 7},
  [6064] = {.lex_state = 95, .external_lex_state = 7},
  [6065] = {.lex_state = 95, .external_lex_state = 7},
  [6066] = {.lex_state = 95, .external_lex_state = 7},
  [6067] = {.lex_state = 95, .external_lex_state = 7},
  [6068] = {.lex_state = 95, .external_lex_state = 7},
  [6069] = {.lex_state = 95, .external_lex_state = 7},
  [6070] = {.lex_state = 95, .external_lex_state = 7},
  [6071] = {.lex_state = 95, .external_lex_state = 7},
  [6072] = {.lex_state = 95, .external_lex_state = 7},
  [6073] = {.lex_state = 95, .external_lex_state = 7},
  [6074] = {.lex_state = 95, .external_lex_state = 7},
  [6075] = {.lex_state = 95, .external_lex_state = 7},
  [6076] = {.lex_state = 95, .external_lex_state = 7},
  [6077] = {.lex_state = 95, .external_lex_state = 7},
  [6078] = {.lex_state = 95, .external_lex_state = 7},
  [6079] = {.lex_state = 95, .external_lex_state = 7},
  [6080] = {.lex_state = 95, .external_lex_state = 7},
  [6081] = {.lex_state = 95, .external_lex_state = 7},
  [6082] = {.lex_state = 95, .external_lex_state = 7},
  [6083] = {.lex_state = 95, .external_lex_state = 7},
  [6084] = {.lex_state = 95, .external_lex_state = 7},
  [6085] = {.lex_state = 95, .external_lex_state = 7},
  [6086] = {.lex_state = 95, .external_lex_state = 7},
  [6087] = {.lex_state = 95, .external_lex_state = 7},
  [6088] = {.lex_state = 95, .external_lex_state = 7},
  [6089] = {.lex_state = 95, .external_lex_state = 7},
  [6090] = {.lex_state = 95, .external_lex_state = 7},
  [6091] = {.lex_state = 95, .external_lex_state = 7},
  [6092] = {.lex_state = 95, .external_lex_state = 7},
  [6093] = {.lex_state = 95, .external_lex_state = 7},
  [6094] = {.lex_state = 95, .external_lex_state = 7},
  [6095] = {.lex_state = 95, .external_lex_state = 7},
  [6096] = {.lex_state = 95, .external_lex_state = 7},
  [6097] = {.lex_state = 95, .external_lex_state = 7},
  [6098] = {.lex_state = 95, .external_lex_state = 7},
  [6099] = {.lex_state = 95, .external_lex_state = 7},
  [6100] = {.lex_state = 95, .external_lex_state = 7},
  [6101] = {.lex_state = 95, .external_lex_state = 7},
  [6102] = {.lex_state = 95, .external_lex_state = 6},
  [6103] = {.lex_state = 95, .external_lex_state = 7},
  [6104] = {.lex_state = 95, .external_lex_state = 7},
  [6105] = {.lex_state = 95, .external_lex_state = 7},
  [6106] = {.lex_state = 95, .external_lex_state = 7},
  [6107] = {.lex_state = 95, .external_lex_state = 7},
  [6108] = {.lex_state = 95, .external_lex_state = 7},
  [6109] = {.lex_state = 95, .external_lex_state = 7},
  [6110] = {.lex_state = 95, .external_lex_state = 7},
  [6111] = {.lex_state = 95, .external_lex_state = 7},
  [6112] = {.lex_state = 95, .external_lex_state = 7},
  [6113] = {.lex_state = 95, .external_lex_state = 7},
  [6114] = {.lex_state = 95, .external_lex_state = 7},
  [6115] = {.lex_state = 95, .external_lex_state = 7},
  [6116] = {.lex_state = 95, .external_lex_state = 7},
  [6117] = {.lex_state = 95, .external_lex_state = 7},
  [6118] = {.lex_state = 95, .external_lex_state = 7},
  [6119] = {.lex_state = 95, .external_lex_state = 7},
  [6120] = {.lex_state = 95, .external_lex_state = 7},
  [6121] = {.lex_state = 95, .external_lex_state = 7},
  [6122] = {.lex_state = 95, .external_lex_state = 7},
  [6123] = {.lex_state = 95, .external_lex_state = 7},
  [6124] = {.lex_state = 95, .external_lex_state = 7},
  [6125] = {.lex_state = 95, .external_lex_state = 7},
  [6126] = {.lex_state = 95, .external_lex_state = 7},
  [6127] = {.lex_state = 95, .external_lex_state = 7},
  [6128] = {.lex_state = 95, .external_lex_state = 7},
  [6129] = {.lex_state = 95, .external_lex_state = 7},
  [6130] = {.lex_state = 95, .external_lex_state = 7},
  [6131] = {.lex_state = 95, .external_lex_state = 7},
  [6132] = {.lex_state = 95, .external_lex_state = 7},
  [6133] = {.lex_state = 95, .external_lex_state = 7},
  [6134] = {.lex_state = 95, .external_lex_state = 7},
  [6135] = {.lex_state = 95, .external_lex_state = 7},
  [6136] = {.lex_state = 95, .external_lex_state = 7},
  [6137] = {.lex_state = 95, .external_lex_state = 7},
  [6138] = {.lex_state = 95, .external_lex_state = 7},
  [6139] = {.lex_state = 95, .external_lex_state = 7},
  [6140] = {.lex_state = 95, .external_lex_state = 7},
  [6141] = {.lex_state = 95, .external_lex_state = 7},
  [6142] = {.lex_state = 95, .external_lex_state = 7},
  [6143] = {.lex_state = 95, .external_lex_state = 7},
  [6144] = {.lex_state = 95, .external_lex_state = 7},
  [6145] = {.lex_state = 95, .external_lex_state = 7},
  [6146] = {.lex_state = 95, .external_lex_state = 7},
  [6147] = {.lex_state = 95, .external_lex_state = 7},
  [6148] = {.lex_state = 95, .external_lex_state = 7},
  [6149] = {.lex_state = 95, .external_lex_state = 7},
  [6150] = {.lex_state = 95, .external_lex_state = 7},
  [6151] = {.lex_state = 95, .external_lex_state = 7},
  [6152] = {.lex_state = 95, .external_lex_state = 7},
  [6153] = {.lex_state = 95, .external_lex_state = 7},
  [6154] = {.lex_state = 95, .external_lex_state = 7},
  [6155] = {.lex_state = 95, .external_lex_state = 7},
  [6156] = {.lex_state = 95, .external_lex_state = 7},
  [6157] = {.lex_state = 95, .external_lex_state = 7},
  [6158] = {.lex_state = 95, .external_lex_state = 7},
  [6159] = {.lex_state = 95, .external_lex_state = 7},
  [6160] = {.lex_state = 95, .external_lex_state = 7},
  [6161] = {.lex_state = 95, .external_lex_state = 7},
  [6162] = {.lex_state = 95, .external_lex_state = 7},
  [6163] = {.lex_state = 95, .external_lex_state = 7},
  [6164] = {.lex_state = 95, .external_lex_state = 7},
  [6165] = {.lex_state = 95, .external_lex_state = 7},
  [6166] = {.lex_state = 95, .external_lex_state = 7},
  [6167] = {.lex_state = 95, .external_lex_state = 7},
  [6168] = {.lex_state = 95, .external_lex_state = 7},
  [6169] = {.lex_state = 95, .external_lex_state = 7},
  [6170] = {.lex_state = 95, .external_lex_state = 7},
  [6171] = {.lex_state = 95, .external_lex_state = 7},
  [6172] = {.lex_state = 95, .external_lex_state = 7},
  [6173] = {.lex_state = 95, .external_lex_state = 7},
  [6174] = {.lex_state = 95, .external_lex_state = 7},
  [6175] = {.lex_state = 95, .external_lex_state = 7},
  [6176] = {.lex_state = 95, .external_lex_state = 7},
  [6177] = {.lex_state = 95, .external_lex_state = 7},
  [6178] = {.lex_state = 95, .external_lex_state = 7},
  [6179] = {.lex_state = 95, .external_lex_state = 7},
  [6180] = {.lex_state = 95, .external_lex_state = 7},
  [6181] = {.lex_state = 95, .external_lex_state = 7},
  [6182] = {.lex_state = 95, .external_lex_state = 7},
  [6183] = {.lex_state = 95, .external_lex_state = 7},
  [6184] = {.lex_state = 95, .external_lex_state = 7},
  [6185] = {.lex_state = 95, .external_lex_state = 7},
  [6186] = {.lex_state = 95, .external_lex_state = 7},
  [6187] = {.lex_state = 95, .external_lex_state = 7},
  [6188] = {.lex_state = 88, .external_lex_state = 2},
  [6189] = {.lex_state = 88, .external_lex_state = 2},
  [6190] = {.lex_state = 88, .external_lex_state = 2},
  [6191] = {.lex_state = 88, .external_lex_state = 2},
  [6192] = {.lex_state = 88, .external_lex_state = 2},
  [6193] = {.lex_state = 0, .external_lex_state = 2},
  [6194] = {.lex_state = 0, .external_lex_state = 2},
  [6195] = {.lex_state = 0, .external_lex_state = 2},
  [6196] = {.lex_state = 0, .external_lex_state = 2},
  [6197] = {.lex_state = 0, .external_lex_state = 2},
  [6198] = {.lex_state = 0, .external_lex_state = 2},
  [6199] = {.lex_state = 0, .external_lex_state = 2},
  [6200] = {.lex_state = 0, .external_lex_state = 2},
  [6201] = {.lex_state = 0, .external_lex_state = 2},
  [6202] = {.lex_state = 0, .external_lex_state = 2},
  [6203] = {.lex_state = 0, .external_lex_state = 2},
  [6204] = {.lex_state = 0, .external_lex_state = 2},
  [6205] = {.lex_state = 0, .external_lex_state = 2},
  [6206] = {.lex_state = 0, .external_lex_state = 2},
  [6207] = {.lex_state = 0, .external_lex_state = 2},
  [6208] = {.lex_state = 0, .external_lex_state = 2},
  [6209] = {.lex_state = 0, .external_lex_state = 2},
  [6210] = {.lex_state = 0, .external_lex_state = 2},
  [6211] = {.lex_state = 0, .external_lex_state = 2},
  [6212] = {.lex_state = 0, .external_lex_state = 2},
  [6213] = {.lex_state = 0, .external_lex_state = 2},
  [6214] = {.lex_state = 0, .external_lex_state = 7},
  [6215] = {.lex_state = 0, .external_lex_state = 7},
  [6216] = {.lex_state = 0, .external_lex_state = 7},
  [6217] = {.lex_state = 0, .external_lex_state = 7},
  [6218] = {.lex_state = 88, .external_lex_state = 4},
  [6219] = {.lex_state = 88, .external_lex_state = 4},
  [6220] = {.lex_state = 88, .external_lex_state = 4},
  [6221] = {.lex_state = 88, .external_lex_state = 4},
  [6222] = {.lex_state = 0, .external_lex_state = 7},
  [6223] = {.lex_state = 88, .external_lex_state = 7},
  [6224] = {.lex_state = 88, .external_lex_state = 6},
  [6225] = {.lex_state = 88, .external_lex_state = 4},
  [6226] = {.lex_state = 88, .external_lex_state = 7},
  [6227] = {.lex_state = 88, .external_lex_state = 4},
  [6228] = {.lex_state = 88, .external_lex_state = 4},
  [6229] = {.lex_state = 88, .external_lex_state = 4},
  [6230] = {.lex_state = 88, .external_lex_state = 4},
  [6231] = {.lex_state = 88, .external_lex_state = 4},
  [6232] = {.lex_state = 88, .external_lex_state = 4},
  [6233] = {.lex_state = 88, .external_lex_state = 4},
  [6234] = {.lex_state = 88, .external_lex_state = 4},
  [6235] = {.lex_state = 88, .external_lex_state = 4},
  [6236] = {.lex_state = 88, .external_lex_state = 7},
  [6237] = {.lex_state = 88, .external_lex_state = 6},
  [6238] = {.lex_state = 88, .external_lex_state = 4},
  [6239] = {.lex_state = 88, .external_lex_state = 4},
  [6240] = {.lex_state = 88, .external_lex_state = 4},
  [6241] = {.lex_state = 88, .external_lex_state = 4},
  [6242] = {.lex_state = 88, .external_lex_state = 4},
  [6243] = {.lex_state = 88, .external_lex_state = 4},
  [6244] = {.lex_state = 88, .external_lex_state = 6},
  [6245] = {.lex_state = 88, .external_lex_state = 7},
  [6246] = {.lex_state = 88, .external_lex_state = 8},
  [6247] = {.lex_state = 88, .external_lex_state = 4},
  [6248] = {.lex_state = 88, .external_lex_state = 8},
  [6249] = {.lex_state = 88, .external_lex_state = 7},
  [6250] = {.lex_state = 88, .external_lex_state = 7},
  [6251] = {.lex_state = 90, .external_lex_state = 4},
  [6252] = {.lex_state = 88, .external_lex_state = 7},
  [6253] = {.lex_state = 0, .external_lex_state = 7},
  [6254] = {.lex_state = 88, .external_lex_state = 7},
  [6255] = {.lex_state = 88, .external_lex_state = 7},
  [6256] = {.lex_state = 88, .external_lex_state = 4},
  [6257] = {.lex_state = 88, .external_lex_state = 7},
  [6258] = {.lex_state = 88, .external_lex_state = 6},
  [6259] = {.lex_state = 88, .external_lex_state = 7},
  [6260] = {.lex_state = 88, .external_lex_state = 7},
  [6261] = {.lex_state = 88, .external_lex_state = 7},
  [6262] = {.lex_state = 88, .external_lex_state = 7},
  [6263] = {.lex_state = 88, .external_lex_state = 7},
  [6264] = {.lex_state = 90, .external_lex_state = 8},
  [6265] = {.lex_state = 88, .external_lex_state = 6},
  [6266] = {.lex_state = 88, .external_lex_state = 8},
  [6267] = {.lex_state = 88, .external_lex_state = 6},
  [6268] = {.lex_state = 88, .external_lex_state = 4},
  [6269] = {.lex_state = 88, .external_lex_state = 4},
  [6270] = {.lex_state = 88, .external_lex_state = 6},
  [6271] = {.lex_state = 88, .external_lex_state = 6},
  [6272] = {.lex_state = 88, .external_lex_state = 8},
  [6273] = {.lex_state = 88, .external_lex_state = 6},
  [6274] = {.lex_state = 88, .external_lex_state = 6},
  [6275] = {.lex_state = 88, .external_lex_state = 4},
  [6276] = {.lex_state = 88, .external_lex_state = 6},
  [6277] = {.lex_state = 88, .external_lex_state = 7},
  [6278] = {.lex_state = 88, .external_lex_state = 4},
  [6279] = {.lex_state = 88, .external_lex_state = 6},
  [6280] = {.lex_state = 88, .external_lex_state = 6},
  [6281] = {.lex_state = 88, .external_lex_state = 6},
  [6282] = {.lex_state = 88, .external_lex_state = 6},
  [6283] = {.lex_state = 88, .external_lex_state = 6},
  [6284] = {.lex_state = 88, .external_lex_state = 6},
  [6285] = {.lex_state = 88, .external_lex_state = 8},
  [6286] = {.lex_state = 88, .external_lex_state = 6},
  [6287] = {.lex_state = 88, .external_lex_state = 8},
  [6288] = {.lex_state = 88, .external_lex_state = 6},
  [6289] = {.lex_state = 88, .external_lex_state = 8},
  [6290] = {.lex_state = 88, .external_lex_state = 8},
  [6291] = {.lex_state = 88, .external_lex_state = 6},
  [6292] = {.lex_state = 88, .external_lex_state = 8},
  [6293] = {.lex_state = 88, .external_lex_state = 8},
  [6294] = {.lex_state = 90, .external_lex_state = 6},
  [6295] = {.lex_state = 88, .external_lex_state = 6},
  [6296] = {.lex_state = 88, .external_lex_state = 8},
  [6297] = {.lex_state = 88, .external_lex_state = 6},
  [6298] = {.lex_state = 88, .external_lex_state = 8},
  [6299] = {.lex_state = 88, .external_lex_state = 4},
  [6300] = {.lex_state = 88, .external_lex_state = 8},
  [6301] = {.lex_state = 88, .external_lex_state = 8},
  [6302] = {.lex_state = 88, .external_lex_state = 8},
  [6303] = {.lex_state = 88, .external_lex_state = 4},
  [6304] = {.lex_state = 88, .external_lex_state = 4},
  [6305] = {.lex_state = 88, .external_lex_state = 4},
  [6306] = {.lex_state = 88, .external_lex_state = 4},
  [6307] = {.lex_state = 88, .external_lex_state = 4},
  [6308] = {.lex_state = 88, .external_lex_state = 4},
  [6309] = {.lex_state = 88, .external_lex_state = 8},
  [6310] = {.lex_state = 88, .external_lex_state = 4},
  [6311] = {.lex_state = 88, .external_lex_state = 4},
  [6312] = {.lex_state = 88, .external_lex_state = 4},
  [6313] = {.lex_state = 88, .external_lex_state = 4},
  [6314] = {.lex_state = 88, .external_lex_state = 4},
  [6315] = {.lex_state = 88, .external_lex_state = 4},
  [6316] = {.lex_state = 88, .external_lex_state = 4},
  [6317] = {.lex_state = 88, .external_lex_state = 4},
  [6318] = {.lex_state = 88, .external_lex_state = 6},
  [6319] = {.lex_state = 88, .external_lex_state = 6},
  [6320] = {.lex_state = 88, .external_lex_state = 8},
  [6321] = {.lex_state = 88, .external_lex_state = 6},
  [6322] = {.lex_state = 2, .external_lex_state = 6},
  [6323] = {.lex_state = 88, .external_lex_state = 7},
  [6324] = {.lex_state = 88, .external_lex_state = 6},
  [6325] = {.lex_state = 88, .external_lex_state = 8},
  [6326] = {.lex_state = 90, .external_lex_state = 6},
  [6327] = {.lex_state = 88, .external_lex_state = 8},
  [6328] = {.lex_state = 88, .external_lex_state = 6},
  [6329] = {.lex_state = 88, .external_lex_state = 6},
  [6330] = {.lex_state = 88, .external_lex_state = 8},
  [6331] = {.lex_state = 88, .external_lex_state = 6},
  [6332] = {.lex_state = 88, .external_lex_state = 8},
  [6333] = {.lex_state = 88, .external_lex_state = 8},
  [6334] = {.lex_state = 88, .external_lex_state = 6},
  [6335] = {.lex_state = 88, .external_lex_state = 8},
  [6336] = {.lex_state = 88, .external_lex_state = 6},
  [6337] = {.lex_state = 88, .external_lex_state = 8},
  [6338] = {.lex_state = 2, .external_lex_state = 6},
  [6339] = {.lex_state = 88, .external_lex_state = 6},
  [6340] = {.lex_state = 2, .external_lex_state = 7},
  [6341] = {.lex_state = 2, .external_lex_state = 7},
  [6342] = {.lex_state = 2, .external_lex_state = 7},
  [6343] = {.lex_state = 88, .external_lex_state = 6},
  [6344] = {.lex_state = 88, .external_lex_state = 6},
  [6345] = {.lex_state = 2, .external_lex_state = 7},
  [6346] = {.lex_state = 88, .external_lex_state = 7},
  [6347] = {.lex_state = 90, .external_lex_state = 6},
  [6348] = {.lex_state = 2, .external_lex_state = 7},
  [6349] = {.lex_state = 2, .external_lex_state = 7},
  [6350] = {.lex_state = 2, .external_lex_state = 7},
  [6351] = {.lex_state = 88, .external_lex_state = 8},
  [6352] = {.lex_state = 2, .external_lex_state = 7},
  [6353] = {.lex_state = 88, .external_lex_state = 6},
  [6354] = {.lex_state = 88, .external_lex_state = 8},
  [6355] = {.lex_state = 88, .external_lex_state = 8},
  [6356] = {.lex_state = 88, .external_lex_state = 8},
  [6357] = {.lex_state = 2, .external_lex_state = 7},
  [6358] = {.lex_state = 2, .external_lex_state = 7},
  [6359] = {.lex_state = 2, .external_lex_state = 7},
  [6360] = {.lex_state = 2, .external_lex_state = 7},
  [6361] = {.lex_state = 88, .external_lex_state = 6},
  [6362] = {.lex_state = 88, .external_lex_state = 7},
  [6363] = {.lex_state = 90, .external_lex_state = 6},
  [6364] = {.lex_state = 88, .external_lex_state = 6},
  [6365] = {.lex_state = 2, .external_lex_state = 7},
  [6366] = {.lex_state = 2, .external_lex_state = 7},
  [6367] = {.lex_state = 88, .external_lex_state = 6},
  [6368] = {.lex_state = 2, .external_lex_state = 7},
  [6369] = {.lex_state = 2, .external_lex_state = 7},
  [6370] = {.lex_state = 88, .external_lex_state = 6},
  [6371] = {.lex_state = 2, .external_lex_state = 7},
  [6372] = {.lex_state = 88, .external_lex_state = 6},
  [6373] = {.lex_state = 2, .external_lex_state = 7},
  [6374] = {.lex_state = 2, .external_lex_state = 7},
  [6375] = {.lex_state = 2, .external_lex_state = 7},
  [6376] = {.lex_state = 88, .external_lex_state = 6},
  [6377] = {.lex_state = 88, .external_lex_state = 6},
  [6378] = {.lex_state = 2, .external_lex_state = 7},
  [6379] = {.lex_state = 88, .external_lex_state = 6},
  [6380] = {.lex_state = 88, .external_lex_state = 7},
  [6381] = {.lex_state = 2, .external_lex_state = 7},
  [6382] = {.lex_state = 88, .external_lex_state = 8},
  [6383] = {.lex_state = 2, .external_lex_state = 7},
  [6384] = {.lex_state = 88, .external_lex_state = 6},
  [6385] = {.lex_state = 2, .external_lex_state = 7},
  [6386] = {.lex_state = 88, .external_lex_state = 8},
  [6387] = {.lex_state = 2, .external_lex_state = 7},
  [6388] = {.lex_state = 88, .external_lex_state = 6},
  [6389] = {.lex_state = 2, .external_lex_state = 7},
  [6390] = {.lex_state = 88, .external_lex_state = 6},
  [6391] = {.lex_state = 2, .external_lex_state = 7},
  [6392] = {.lex_state = 88, .external_lex_state = 6},
  [6393] = {.lex_state = 2, .external_lex_state = 7},
  [6394] = {.lex_state = 2, .external_lex_state = 7},
  [6395] = {.lex_state = 88, .external_lex_state = 6},
  [6396] = {.lex_state = 88, .external_lex_state = 6},
  [6397] = {.lex_state = 2, .external_lex_state = 7},
  [6398] = {.lex_state = 88, .external_lex_state = 6},
  [6399] = {.lex_state = 88, .external_lex_state = 6},
  [6400] = {.lex_state = 2, .external_lex_state = 7},
  [6401] = {.lex_state = 88, .external_lex_state = 6},
  [6402] = {.lex_state = 88, .external_lex_state = 6},
  [6403] = {.lex_state = 88, .external_lex_state = 6},
  [6404] = {.lex_state = 88, .external_lex_state = 6},
  [6405] = {.lex_state = 88, .external_lex_state = 7},
  [6406] = {.lex_state = 88, .external_lex_state = 6},
  [6407] = {.lex_state = 88, .external_lex_state = 6},
  [6408] = {.lex_state = 88, .external_lex_state = 6},
  [6409] = {.lex_state = 88, .external_lex_state = 6},
  [6410] = {.lex_state = 88, .external_lex_state = 6},
  [6411] = {.lex_state = 88, .external_lex_state = 6},
  [6412] = {.lex_state = 88, .external_lex_state = 6},
  [6413] = {.lex_state = 88, .external_lex_state = 7},
  [6414] = {.lex_state = 88, .external_lex_state = 6},
  [6415] = {.lex_state = 88, .external_lex_state = 6},
  [6416] = {.lex_state = 88, .external_lex_state = 6},
  [6417] = {.lex_state = 88, .external_lex_state = 6},
  [6418] = {.lex_state = 88, .external_lex_state = 6},
  [6419] = {.lex_state = 88, .external_lex_state = 7},
  [6420] = {.lex_state = 88, .external_lex_state = 6},
  [6421] = {.lex_state = 88, .external_lex_state = 7},
  [6422] = {.lex_state = 88, .external_lex_state = 6},
  [6423] = {.lex_state = 88, .external_lex_state = 6},
  [6424] = {.lex_state = 88, .external_lex_state = 6},
  [6425] = {.lex_state = 88, .external_lex_state = 6},
  [6426] = {.lex_state = 88, .external_lex_state = 6},
  [6427] = {.lex_state = 88, .external_lex_state = 6},
  [6428] = {.lex_state = 88, .external_lex_state = 6},
  [6429] = {.lex_state = 88, .external_lex_state = 6},
  [6430] = {.lex_state = 88, .external_lex_state = 6},
  [6431] = {.lex_state = 88, .external_lex_state = 6},
  [6432] = {.lex_state = 88, .external_lex_state = 6},
  [6433] = {.lex_state = 88, .external_lex_state = 6},
  [6434] = {.lex_state = 88, .external_lex_state = 6},
  [6435] = {.lex_state = 88, .external_lex_state = 6},
  [6436] = {.lex_state = 88, .external_lex_state = 6},
  [6437] = {.lex_state = 88, .external_lex_state = 6},
  [6438] = {.lex_state = 88, .external_lex_state = 6},
  [6439] = {.lex_state = 88, .external_lex_state = 6},
  [6440] = {.lex_state = 88, .external_lex_state = 6},
  [6441] = {.lex_state = 88, .external_lex_state = 6},
  [6442] = {.lex_state = 88, .external_lex_state = 6},
  [6443] = {.lex_state = 88, .external_lex_state = 6},
  [6444] = {.lex_state = 88, .external_lex_state = 6},
  [6445] = {.lex_state = 88, .external_lex_state = 6},
  [6446] = {.lex_state = 88, .external_lex_state = 6},
  [6447] = {.lex_state = 88, .external_lex_state = 6},
  [6448] = {.lex_state = 88, .external_lex_state = 6},
  [6449] = {.lex_state = 88, .external_lex_state = 6},
  [6450] = {.lex_state = 88, .external_lex_state = 6},
  [6451] = {.lex_state = 88, .external_lex_state = 6},
  [6452] = {.lex_state = 88, .external_lex_state = 6},
  [6453] = {.lex_state = 88, .external_lex_state = 6},
  [6454] = {.lex_state = 88, .external_lex_state = 6},
  [6455] = {.lex_state = 88, .external_lex_state = 6},
  [6456] = {.lex_state = 88, .external_lex_state = 6},
  [6457] = {.lex_state = 88, .external_lex_state = 6},
  [6458] = {.lex_state = 0, .external_lex_state = 5},
  [6459] = {.lex_state = 88, .external_lex_state = 6},
  [6460] = {.lex_state = 88, .external_lex_state = 6},
  [6461] = {.lex_state = 0, .external_lex_state = 5},
  [6462] = {.lex_state = 88, .external_lex_state = 6},
  [6463] = {.lex_state = 88, .external_lex_state = 6},
  [6464] = {.lex_state = 88, .external_lex_state = 6},
  [6465] = {.lex_state = 88, .external_lex_state = 6},
  [6466] = {.lex_state = 0, .external_lex_state = 5},
  [6467] = {.lex_state = 88, .external_lex_state = 6},
  [6468] = {.lex_state = 88, .external_lex_state = 6},
  [6469] = {.lex_state = 88, .external_lex_state = 6},
  [6470] = {.lex_state = 0, .external_lex_state = 5},
  [6471] = {.lex_state = 88, .external_lex_state = 6},
  [6472] = {.lex_state = 88, .external_lex_state = 6},
  [6473] = {.lex_state = 88, .external_lex_state = 6},
  [6474] = {.lex_state = 88, .external_lex_state = 6},
  [6475] = {.lex_state = 0, .external_lex_state = 5},
  [6476] = {.lex_state = 88, .external_lex_state = 6},
  [6477] = {.lex_state = 88, .external_lex_state = 6},
  [6478] = {.lex_state = 0, .external_lex_state = 4},
  [6479] = {.lex_state = 88, .external_lex_state = 6},
  [6480] = {.lex_state = 88, .external_lex_state = 6},
  [6481] = {.lex_state = 0, .external_lex_state = 4},
  [6482] = {.lex_state = 88, .external_lex_state = 6},
  [6483] = {.lex_state = 88, .external_lex_state = 6},
  [6484] = {.lex_state = 0, .external_lex_state = 5},
  [6485] = {.lex_state = 0, .external_lex_state = 4},
  [6486] = {.lex_state = 88, .external_lex_state = 6},
  [6487] = {.lex_state = 88, .external_lex_state = 6},
  [6488] = {.lex_state = 0, .external_lex_state = 5},
  [6489] = {.lex_state = 0, .external_lex_state = 4},
  [6490] = {.lex_state = 0, .external_lex_state = 5},
  [6491] = {.lex_state = 0, .external_lex_state = 5},
  [6492] = {.lex_state = 88, .external_lex_state = 6},
  [6493] = {.lex_state = 0, .external_lex_state = 5},
  [6494] = {.lex_state = 88, .external_lex_state = 6},
  [6495] = {.lex_state = 0, .external_lex_state = 7},
  [6496] = {.lex_state = 0, .external_lex_state = 7},
  [6497] = {.lex_state = 0, .external_lex_state = 4},
  [6498] = {.lex_state = 0, .external_lex_state = 7},
  [6499] = {.lex_state = 0, .external_lex_state = 5},
  [6500] = {.lex_state = 0, .external_lex_state = 5},
  [6501] = {.lex_state = 0, .external_lex_state = 7},
  [6502] = {.lex_state = 88, .external_lex_state = 6},
  [6503] = {.lex_state = 0, .external_lex_state = 4},
  [6504] = {.lex_state = 0, .external_lex_state = 4},
  [6505] = {.lex_state = 0, .external_lex_state = 7},
  [6506] = {.lex_state = 0, .external_lex_state = 4},
  [6507] = {.lex_state = 88, .external_lex_state = 6},
  [6508] = {.lex_state = 0, .external_lex_state = 4},
  [6509] = {.lex_state = 88, .external_lex_state = 6},
  [6510] = {.lex_state = 88, .external_lex_state = 6},
  [6511] = {.lex_state = 0, .external_lex_state = 7},
  [6512] = {.lex_state = 0, .external_lex_state = 5},
  [6513] = {.lex_state = 0, .external_lex_state = 7},
  [6514] = {.lex_state = 0, .external_lex_state = 5},
  [6515] = {.lex_state = 0, .external_lex_state = 7},
  [6516] = {.lex_state = 0, .external_lex_state = 5},
  [6517] = {.lex_state = 0, .external_lex_state = 7},
  [6518] = {.lex_state = 19, .external_lex_state = 6},
  [6519] = {.lex_state = 0, .external_lex_state = 7},
  [6520] = {.lex_state = 0, .external_lex_state = 5},
  [6521] = {.lex_state = 0, .external_lex_state = 7},
  [6522] = {.lex_state = 90, .external_lex_state = 7},
  [6523] = {.lex_state = 0, .external_lex_state = 5},
  [6524] = {.lex_state = 0, .external_lex_state = 7},
  [6525] = {.lex_state = 0, .external_lex_state = 7},
  [6526] = {.lex_state = 0, .external_lex_state = 5},
  [6527] = {.lex_state = 0, .external_lex_state = 5},
  [6528] = {.lex_state = 0, .external_lex_state = 7},
  [6529] = {.lex_state = 0, .external_lex_state = 5},
  [6530] = {.lex_state = 0, .external_lex_state = 5},
  [6531] = {.lex_state = 0, .external_lex_state = 5},
  [6532] = {.lex_state = 0, .external_lex_state = 5},
  [6533] = {.lex_state = 0, .external_lex_state = 5},
  [6534] = {.lex_state = 0, .external_lex_state = 5},
  [6535] = {.lex_state = 0, .external_lex_state = 5},
  [6536] = {.lex_state = 0, .external_lex_state = 9},
  [6537] = {.lex_state = 0, .external_lex_state = 5},
  [6538] = {.lex_state = 0, .external_lex_state = 9},
  [6539] = {.lex_state = 0, .external_lex_state = 5},
  [6540] = {.lex_state = 0, .external_lex_state = 5},
  [6541] = {.lex_state = 0, .external_lex_state = 5},
  [6542] = {.lex_state = 0, .external_lex_state = 5},
  [6543] = {.lex_state = 0, .external_lex_state = 5},
  [6544] = {.lex_state = 0, .external_lex_state = 5},
  [6545] = {.lex_state = 0, .external_lex_state = 5},
  [6546] = {.lex_state = 0, .external_lex_state = 5},
  [6547] = {.lex_state = 0, .external_lex_state = 5},
  [6548] = {.lex_state = 0, .external_lex_state = 5},
  [6549] = {.lex_state = 0, .external_lex_state = 9},
  [6550] = {.lex_state = 0, .external_lex_state = 5},
  [6551] = {.lex_state = 0, .external_lex_state = 5},
  [6552] = {.lex_state = 0, .external_lex_state = 5},
  [6553] = {.lex_state = 0, .external_lex_state = 5},
  [6554] = {.lex_state = 0, .external_lex_state = 5},
  [6555] = {.lex_state = 0, .external_lex_state = 5},
  [6556] = {.lex_state = 0, .external_lex_state = 9},
  [6557] = {.lex_state = 0, .external_lex_state = 5},
  [6558] = {.lex_state = 0, .external_lex_state = 5},
  [6559] = {.lex_state = 0, .external_lex_state = 5},
  [6560] = {.lex_state = 0, .external_lex_state = 5},
  [6561] = {.lex_state = 0, .external_lex_state = 5},
  [6562] = {.lex_state = 0, .external_lex_state = 5},
  [6563] = {.lex_state = 0, .external_lex_state = 5},
  [6564] = {.lex_state = 0, .external_lex_state = 5},
  [6565] = {.lex_state = 0, .external_lex_state = 5},
  [6566] = {.lex_state = 0, .external_lex_state = 5},
  [6567] = {.lex_state = 0, .external_lex_state = 4},
  [6568] = {.lex_state = 0, .external_lex_state = 5},
  [6569] = {.lex_state = 0, .external_lex_state = 5},
  [6570] = {.lex_state = 0, .external_lex_state = 5},
  [6571] = {.lex_state = 0, .external_lex_state = 5},
  [6572] = {.lex_state = 0, .external_lex_state = 5},
  [6573] = {.lex_state = 0, .external_lex_state = 9},
  [6574] = {.lex_state = 90, .external_lex_state = 7},
  [6575] = {.lex_state = 0, .external_lex_state = 5},
  [6576] = {.lex_state = 0, .external_lex_state = 6},
  [6577] = {.lex_state = 0, .external_lex_state = 5},
  [6578] = {.lex_state = 0, .external_lex_state = 5},
  [6579] = {.lex_state = 0, .external_lex_state = 5},
  [6580] = {.lex_state = 0, .external_lex_state = 6},
  [6581] = {.lex_state = 88, .external_lex_state = 6},
  [6582] = {.lex_state = 0, .external_lex_state = 5},
  [6583] = {.lex_state = 0, .external_lex_state = 6},
  [6584] = {.lex_state = 0, .external_lex_state = 5},
  [6585] = {.lex_state = 90, .external_lex_state = 7},
  [6586] = {.lex_state = 0, .external_lex_state = 5},
  [6587] = {.lex_state = 0, .external_lex_state = 6},
  [6588] = {.lex_state = 0, .external_lex_state = 6},
  [6589] = {.lex_state = 0, .external_lex_state = 5},
  [6590] = {.lex_state = 0, .external_lex_state = 6},
  [6591] = {.lex_state = 0, .external_lex_state = 5},
  [6592] = {.lex_state = 0, .external_lex_state = 5},
  [6593] = {.lex_state = 0, .external_lex_state = 5},
  [6594] = {.lex_state = 0, .external_lex_state = 6},
  [6595] = {.lex_state = 0, .external_lex_state = 6},
  [6596] = {.lex_state = 0, .external_lex_state = 9},
  [6597] = {.lex_state = 0, .external_lex_state = 5},
  [6598] = {.lex_state = 0, .external_lex_state = 5},
  [6599] = {.lex_state = 88, .external_lex_state = 6},
  [6600] = {.lex_state = 0, .external_lex_state = 5},
  [6601] = {.lex_state = 0, .external_lex_state = 5},
  [6602] = {.lex_state = 0, .external_lex_state = 6},
  [6603] = {.lex_state = 0, .external_lex_state = 7},
  [6604] = {.lex_state = 0, .external_lex_state = 5},
  [6605] = {.lex_state = 0, .external_lex_state = 6},
  [6606] = {.lex_state = 0, .external_lex_state = 5},
  [6607] = {.lex_state = 21, .external_lex_state = 6},
  [6608] = {.lex_state = 0, .external_lex_state = 5},
  [6609] = {.lex_state = 0, .external_lex_state = 5},
  [6610] = {.lex_state = 0, .external_lex_state = 5},
  [6611] = {.lex_state = 0, .external_lex_state = 5},
  [6612] = {.lex_state = 0, .external_lex_state = 5},
  [6613] = {.lex_state = 0, .external_lex_state = 7},
  [6614] = {.lex_state = 90, .external_lex_state = 7},
  [6615] = {.lex_state = 0, .external_lex_state = 5},
  [6616] = {.lex_state = 0, .external_lex_state = 6},
  [6617] = {.lex_state = 0, .external_lex_state = 5},
  [6618] = {.lex_state = 0, .external_lex_state = 5},
  [6619] = {.lex_state = 0, .external_lex_state = 5},
  [6620] = {.lex_state = 0, .external_lex_state = 5},
  [6621] = {.lex_state = 0, .external_lex_state = 5},
  [6622] = {.lex_state = 0, .external_lex_state = 7},
  [6623] = {.lex_state = 0, .external_lex_state = 5},
  [6624] = {.lex_state = 0, .external_lex_state = 5},
  [6625] = {.lex_state = 0, .external_lex_state = 7},
  [6626] = {.lex_state = 0, .external_lex_state = 7},
  [6627] = {.lex_state = 0, .external_lex_state = 5},
  [6628] = {.lex_state = 0, .external_lex_state = 5},
  [6629] = {.lex_state = 0, .external_lex_state = 5},
  [6630] = {.lex_state = 0, .external_lex_state = 7},
  [6631] = {.lex_state = 0, .external_lex_state = 5},
  [6632] = {.lex_state = 0, .external_lex_state = 5},
  [6633] = {.lex_state = 0, .external_lex_state = 5},
  [6634] = {.lex_state = 88, .external_lex_state = 6},
  [6635] = {.lex_state = 0, .external_lex_state = 6},
  [6636] = {.lex_state = 0, .external_lex_state = 5},
  [6637] = {.lex_state = 0, .external_lex_state = 5},
  [6638] = {.lex_state = 0, .external_lex_state = 5},
  [6639] = {.lex_state = 0, .external_lex_state = 5},
  [6640] = {.lex_state = 0, .external_lex_state = 7},
  [6641] = {.lex_state = 0, .external_lex_state = 5},
  [6642] = {.lex_state = 0, .external_lex_state = 5},
  [6643] = {.lex_state = 0, .external_lex_state = 5},
  [6644] = {.lex_state = 0, .external_lex_state = 5},
  [6645] = {.lex_state = 0, .external_lex_state = 5},
  [6646] = {.lex_state = 88, .external_lex_state = 6},
  [6647] = {.lex_state = 0, .external_lex_state = 5},
  [6648] = {.lex_state = 0, .external_lex_state = 5},
  [6649] = {.lex_state = 0, .external_lex_state = 5},
  [6650] = {.lex_state = 0, .external_lex_state = 5},
  [6651] = {.lex_state = 0, .external_lex_state = 7},
  [6652] = {.lex_state = 0, .external_lex_state = 5},
  [6653] = {.lex_state = 0, .external_lex_state = 5},
  [6654] = {.lex_state = 0, .external_lex_state = 5},
  [6655] = {.lex_state = 0, .external_lex_state = 7},
  [6656] = {.lex_state = 0, .external_lex_state = 5},
  [6657] = {.lex_state = 0, .external_lex_state = 5},
  [6658] = {.lex_state = 0, .external_lex_state = 5},
  [6659] = {.lex_state = 0, .external_lex_state = 7},
  [6660] = {.lex_state = 0, .external_lex_state = 5},
  [6661] = {.lex_state = 0, .external_lex_state = 5},
  [6662] = {.lex_state = 0, .external_lex_state = 7},
  [6663] = {.lex_state = 0, .external_lex_state = 5},
  [6664] = {.lex_state = 0, .external_lex_state = 5},
  [6665] = {.lex_state = 0, .external_lex_state = 7},
  [6666] = {.lex_state = 88, .external_lex_state = 6},
  [6667] = {.lex_state = 0, .external_lex_state = 7},
  [6668] = {.lex_state = 0, .external_lex_state = 5},
  [6669] = {.lex_state = 0, .external_lex_state = 7},
  [6670] = {.lex_state = 0, .external_lex_state = 7},
  [6671] = {.lex_state = 0, .external_lex_state = 5},
  [6672] = {.lex_state = 88, .external_lex_state = 6},
  [6673] = {.lex_state = 0, .external_lex_state = 5},
  [6674] = {.lex_state = 0, .external_lex_state = 5},
  [6675] = {.lex_state = 0, .external_lex_state = 5},
  [6676] = {.lex_state = 0, .external_lex_state = 5},
  [6677] = {.lex_state = 0, .external_lex_state = 7},
  [6678] = {.lex_state = 88, .external_lex_state = 6},
  [6679] = {.lex_state = 0, .external_lex_state = 7},
  [6680] = {.lex_state = 0, .external_lex_state = 5},
  [6681] = {.lex_state = 0, .external_lex_state = 5},
  [6682] = {.lex_state = 21, .external_lex_state = 6},
  [6683] = {.lex_state = 0, .external_lex_state = 7},
  [6684] = {.lex_state = 88, .external_lex_state = 6},
  [6685] = {.lex_state = 0, .external_lex_state = 7},
  [6686] = {.lex_state = 0, .external_lex_state = 7},
  [6687] = {.lex_state = 0, .external_lex_state = 7},
  [6688] = {.lex_state = 0, .external_lex_state = 5},
  [6689] = {.lex_state = 0, .external_lex_state = 7},
  [6690] = {.lex_state = 0, .external_lex_state = 7},
  [6691] = {.lex_state = 88, .external_lex_state = 6},
  [6692] = {.lex_state = 0, .external_lex_state = 7},
  [6693] = {.lex_state = 0, .external_lex_state = 7},
  [6694] = {.lex_state = 0, .external_lex_state = 5},
  [6695] = {.lex_state = 0, .external_lex_state = 5},
  [6696] = {.lex_state = 0, .external_lex_state = 5},
  [6697] = {.lex_state = 0, .external_lex_state = 5},
  [6698] = {.lex_state = 0, .external_lex_state = 5},
  [6699] = {.lex_state = 0, .external_lex_state = 7},
  [6700] = {.lex_state = 0, .external_lex_state = 5},
  [6701] = {.lex_state = 0, .external_lex_state = 5},
  [6702] = {.lex_state = 0, .external_lex_state = 7},
  [6703] = {.lex_state = 0, .external_lex_state = 5},
  [6704] = {.lex_state = 0, .external_lex_state = 7},
  [6705] = {.lex_state = 0, .external_lex_state = 5},
  [6706] = {.lex_state = 0, .external_lex_state = 7},
  [6707] = {.lex_state = 0, .external_lex_state = 7},
  [6708] = {.lex_state = 0, .external_lex_state = 5},
  [6709] = {.lex_state = 90, .external_lex_state = 7},
  [6710] = {.lex_state = 0, .external_lex_state = 5},
  [6711] = {.lex_state = 0, .external_lex_state = 6},
  [6712] = {.lex_state = 88, .external_lex_state = 6},
  [6713] = {.lex_state = 88, .external_lex_state = 6},
  [6714] = {.lex_state = 88, .external_lex_state = 6},
  [6715] = {.lex_state = 0, .external_lex_state = 5},
  [6716] = {.lex_state = 0, .external_lex_state = 5},
  [6717] = {.lex_state = 0, .external_lex_state = 7},
  [6718] = {.lex_state = 0, .external_lex_state = 5},
  [6719] = {.lex_state = 0, .external_lex_state = 5},
  [6720] = {.lex_state = 0, .external_lex_state = 7},
  [6721] = {.lex_state = 88, .external_lex_state = 6},
  [6722] = {.lex_state = 0, .external_lex_state = 7},
  [6723] = {.lex_state = 88, .external_lex_state = 6},
  [6724] = {.lex_state = 0, .external_lex_state = 5},
  [6725] = {.lex_state = 0, .external_lex_state = 7},
  [6726] = {.lex_state = 0, .external_lex_state = 5},
  [6727] = {.lex_state = 0, .external_lex_state = 5},
  [6728] = {.lex_state = 0, .external_lex_state = 7},
  [6729] = {.lex_state = 90, .external_lex_state = 7},
  [6730] = {.lex_state = 0, .external_lex_state = 5},
  [6731] = {.lex_state = 0, .external_lex_state = 7},
  [6732] = {.lex_state = 0, .external_lex_state = 7},
  [6733] = {.lex_state = 0, .external_lex_state = 7},
  [6734] = {.lex_state = 0, .external_lex_state = 7},
  [6735] = {.lex_state = 0, .external_lex_state = 5},
  [6736] = {.lex_state = 0, .external_lex_state = 5},
  [6737] = {.lex_state = 88, .external_lex_state = 6},
  [6738] = {.lex_state = 0, .external_lex_state = 7},
  [6739] = {.lex_state = 0, .external_lex_state = 5},
  [6740] = {.lex_state = 0, .external_lex_state = 7},
  [6741] = {.lex_state = 0, .external_lex_state = 7},
  [6742] = {.lex_state = 0, .external_lex_state = 5},
  [6743] = {.lex_state = 0, .external_lex_state = 7},
  [6744] = {.lex_state = 0, .external_lex_state = 7},
  [6745] = {.lex_state = 0, .external_lex_state = 7},
  [6746] = {.lex_state = 0, .external_lex_state = 7},
  [6747] = {.lex_state = 0, .external_lex_state = 5},
  [6748] = {.lex_state = 0, .external_lex_state = 5},
  [6749] = {.lex_state = 0, .external_lex_state = 7},
  [6750] = {.lex_state = 0, .external_lex_state = 7},
  [6751] = {.lex_state = 0, .external_lex_state = 5},
  [6752] = {.lex_state = 0, .external_lex_state = 5},
  [6753] = {.lex_state = 0, .external_lex_state = 5},
  [6754] = {.lex_state = 0, .external_lex_state = 5},
  [6755] = {.lex_state = 88, .external_lex_state = 6},
  [6756] = {.lex_state = 88, .external_lex_state = 6},
  [6757] = {.lex_state = 0, .external_lex_state = 5},
  [6758] = {.lex_state = 0, .external_lex_state = 5},
  [6759] = {.lex_state = 0, .external_lex_state = 5},
  [6760] = {.lex_state = 0, .external_lex_state = 7},
  [6761] = {.lex_state = 0, .external_lex_state = 7},
  [6762] = {.lex_state = 0, .external_lex_state = 5},
  [6763] = {.lex_state = 0, .external_lex_state = 5},
  [6764] = {.lex_state = 0, .external_lex_state = 7},
  [6765] = {.lex_state = 0, .external_lex_state = 5},
  [6766] = {.lex_state = 0, .external_lex_state = 5},
  [6767] = {.lex_state = 0, .external_lex_state = 7},
  [6768] = {.lex_state = 0, .external_lex_state = 5},
  [6769] = {.lex_state = 88, .external_lex_state = 6},
  [6770] = {.lex_state = 0, .external_lex_state = 5},
  [6771] = {.lex_state = 88, .external_lex_state = 7},
  [6772] = {.lex_state = 0, .external_lex_state = 5},
  [6773] = {.lex_state = 0, .external_lex_state = 7},
  [6774] = {.lex_state = 0, .external_lex_state = 5},
  [6775] = {.lex_state = 88, .external_lex_state = 6},
  [6776] = {.lex_state = 0, .external_lex_state = 5},
  [6777] = {.lex_state = 0, .external_lex_state = 5},
  [6778] = {.lex_state = 0, .external_lex_state = 5},
  [6779] = {.lex_state = 0, .external_lex_state = 5},
  [6780] = {.lex_state = 0, .external_lex_state = 5},
  [6781] = {.lex_state = 88, .external_lex_state = 7},
  [6782] = {.lex_state = 0, .external_lex_state = 5},
  [6783] = {.lex_state = 0, .external_lex_state = 5},
  [6784] = {.lex_state = 0, .external_lex_state = 5},
  [6785] = {.lex_state = 0, .external_lex_state = 7},
  [6786] = {.lex_state = 0, .external_lex_state = 5},
  [6787] = {.lex_state = 0, .external_lex_state = 5},
  [6788] = {.lex_state = 0, .external_lex_state = 5},
  [6789] = {.lex_state = 0, .external_lex_state = 5},
  [6790] = {.lex_state = 0, .external_lex_state = 5},
  [6791] = {.lex_state = 88, .external_lex_state = 7},
  [6792] = {.lex_state = 0, .external_lex_state = 7},
  [6793] = {.lex_state = 0, .external_lex_state = 5},
  [6794] = {.lex_state = 0, .external_lex_state = 5},
  [6795] = {.lex_state = 0, .external_lex_state = 5},
  [6796] = {.lex_state = 0, .external_lex_state = 5},
  [6797] = {.lex_state = 0, .external_lex_state = 5},
  [6798] = {.lex_state = 0, .external_lex_state = 5},
  [6799] = {.lex_state = 0, .external_lex_state = 5},
  [6800] = {.lex_state = 0, .external_lex_state = 5},
  [6801] = {.lex_state = 0, .external_lex_state = 5},
  [6802] = {.lex_state = 0, .external_lex_state = 7},
  [6803] = {.lex_state = 0, .external_lex_state = 6},
  [6804] = {.lex_state = 0, .external_lex_state = 5},
  [6805] = {.lex_state = 0, .external_lex_state = 5},
  [6806] = {.lex_state = 0, .external_lex_state = 5},
  [6807] = {.lex_state = 0, .external_lex_state = 5},
  [6808] = {.lex_state = 0, .external_lex_state = 7},
  [6809] = {.lex_state = 0, .external_lex_state = 7},
  [6810] = {.lex_state = 0, .external_lex_state = 5},
  [6811] = {.lex_state = 0, .external_lex_state = 5},
  [6812] = {.lex_state = 0, .external_lex_state = 5},
  [6813] = {.lex_state = 0, .external_lex_state = 5},
  [6814] = {.lex_state = 0, .external_lex_state = 5},
  [6815] = {.lex_state = 0, .external_lex_state = 5},
  [6816] = {.lex_state = 0, .external_lex_state = 5},
  [6817] = {.lex_state = 0, .external_lex_state = 5},
  [6818] = {.lex_state = 0, .external_lex_state = 5},
  [6819] = {.lex_state = 0, .external_lex_state = 7},
  [6820] = {.lex_state = 88, .external_lex_state = 6},
  [6821] = {.lex_state = 0, .external_lex_state = 7},
  [6822] = {.lex_state = 0, .external_lex_state = 5},
  [6823] = {.lex_state = 0, .external_lex_state = 7},
  [6824] = {.lex_state = 90, .external_lex_state = 7},
  [6825] = {.lex_state = 0, .external_lex_state = 5},
  [6826] = {.lex_state = 0, .external_lex_state = 5},
  [6827] = {.lex_state = 0, .external_lex_state = 7},
  [6828] = {.lex_state = 0, .external_lex_state = 5},
  [6829] = {.lex_state = 88, .external_lex_state = 7},
  [6830] = {.lex_state = 0, .external_lex_state = 5},
  [6831] = {.lex_state = 0, .external_lex_state = 7},
  [6832] = {.lex_state = 90, .external_lex_state = 7},
  [6833] = {.lex_state = 0, .external_lex_state = 7},
  [6834] = {.lex_state = 0, .external_lex_state = 5},
  [6835] = {.lex_state = 0, .external_lex_state = 5},
  [6836] = {.lex_state = 0, .external_lex_state = 7},
  [6837] = {.lex_state = 0, .external_lex_state = 5},
  [6838] = {.lex_state = 0, .external_lex_state = 7},
  [6839] = {.lex_state = 0, .external_lex_state = 5},
  [6840] = {.lex_state = 0, .external_lex_state = 5},
  [6841] = {.lex_state = 0, .external_lex_state = 7},
  [6842] = {.lex_state = 0, .external_lex_state = 5},
  [6843] = {.lex_state = 0, .external_lex_state = 7},
  [6844] = {.lex_state = 0, .external_lex_state = 7},
  [6845] = {.lex_state = 0, .external_lex_state = 5},
  [6846] = {.lex_state = 0, .external_lex_state = 5},
  [6847] = {.lex_state = 0, .external_lex_state = 5},
  [6848] = {.lex_state = 0, .external_lex_state = 5},
  [6849] = {.lex_state = 0, .external_lex_state = 5},
  [6850] = {.lex_state = 0, .external_lex_state = 7},
  [6851] = {.lex_state = 0, .external_lex_state = 7},
  [6852] = {.lex_state = 0, .external_lex_state = 5},
  [6853] = {.lex_state = 0, .external_lex_state = 5},
  [6854] = {.lex_state = 0, .external_lex_state = 5},
  [6855] = {.lex_state = 0, .external_lex_state = 6},
  [6856] = {.lex_state = 0, .external_lex_state = 5},
  [6857] = {.lex_state = 0, .external_lex_state = 5},
  [6858] = {.lex_state = 0, .external_lex_state = 5},
  [6859] = {.lex_state = 0, .external_lex_state = 7},
  [6860] = {.lex_state = 0, .external_lex_state = 5},
  [6861] = {.lex_state = 0, .external_lex_state = 5},
  [6862] = {.lex_state = 0, .external_lex_state = 7},
  [6863] = {.lex_state = 0, .external_lex_state = 7},
  [6864] = {.lex_state = 0, .external_lex_state = 5},
  [6865] = {.lex_state = 0, .external_lex_state = 7},
  [6866] = {.lex_state = 0, .external_lex_state = 5},
  [6867] = {.lex_state = 0, .external_lex_state = 5},
  [6868] = {.lex_state = 0, .external_lex_state = 5},
  [6869] = {.lex_state = 0, .external_lex_state = 5},
  [6870] = {.lex_state = 0, .external_lex_state = 5},
  [6871] = {.lex_state = 0, .external_lex_state = 7},
  [6872] = {.lex_state = 0, .external_lex_state = 7},
  [6873] = {.lex_state = 0, .external_lex_state = 5},
  [6874] = {.lex_state = 0, .external_lex_state = 5},
  [6875] = {.lex_state = 0, .external_lex_state = 5},
  [6876] = {.lex_state = 0, .external_lex_state = 5},
  [6877] = {.lex_state = 0, .external_lex_state = 5},
  [6878] = {.lex_state = 0, .external_lex_state = 7},
  [6879] = {.lex_state = 0, .external_lex_state = 5},
  [6880] = {.lex_state = 0, .external_lex_state = 7},
  [6881] = {.lex_state = 0, .external_lex_state = 5},
  [6882] = {.lex_state = 0, .external_lex_state = 5},
  [6883] = {.lex_state = 0, .external_lex_state = 5},
  [6884] = {.lex_state = 88, .external_lex_state = 7},
  [6885] = {.lex_state = 88, .external_lex_state = 7},
  [6886] = {.lex_state = 0, .external_lex_state = 5},
  [6887] = {.lex_state = 0, .external_lex_state = 5},
  [6888] = {.lex_state = 0, .external_lex_state = 7},
  [6889] = {.lex_state = 0, .external_lex_state = 5},
  [6890] = {.lex_state = 0, .external_lex_state = 7},
  [6891] = {.lex_state = 0, .external_lex_state = 5},
  [6892] = {.lex_state = 0, .external_lex_state = 7},
  [6893] = {.lex_state = 0, .external_lex_state = 7},
  [6894] = {.lex_state = 0, .external_lex_state = 7},
  [6895] = {.lex_state = 0, .external_lex_state = 5},
  [6896] = {.lex_state = 0, .external_lex_state = 7},
  [6897] = {.lex_state = 0, .external_lex_state = 7},
  [6898] = {.lex_state = 0, .external_lex_state = 6},
  [6899] = {.lex_state = 0, .external_lex_state = 5},
  [6900] = {.lex_state = 88, .external_lex_state = 6},
  [6901] = {.lex_state = 0, .external_lex_state = 7},
  [6902] = {.lex_state = 0, .external_lex_state = 5},
  [6903] = {.lex_state = 0, .external_lex_state = 5},
  [6904] = {.lex_state = 0, .external_lex_state = 5},
  [6905] = {.lex_state = 88, .external_lex_state = 6},
  [6906] = {.lex_state = 0, .external_lex_state = 5},
  [6907] = {.lex_state = 88, .external_lex_state = 6},
  [6908] = {.lex_state = 88, .external_lex_state = 7},
  [6909] = {.lex_state = 0, .external_lex_state = 5},
  [6910] = {.lex_state = 0, .external_lex_state = 5},
  [6911] = {.lex_state = 0, .external_lex_state = 5},
  [6912] = {.lex_state = 0, .external_lex_state = 7},
  [6913] = {.lex_state = 0, .external_lex_state = 5},
  [6914] = {.lex_state = 0, .external_lex_state = 5},
  [6915] = {.lex_state = 0, .external_lex_state = 5},
  [6916] = {.lex_state = 0, .external_lex_state = 5},
  [6917] = {.lex_state = 0, .external_lex_state = 7},
  [6918] = {.lex_state = 0, .external_lex_state = 5},
  [6919] = {.lex_state = 0, .external_lex_state = 5},
  [6920] = {.lex_state = 0, .external_lex_state = 5},
  [6921] = {.lex_state = 0, .external_lex_state = 5},
  [6922] = {.lex_state = 0, .external_lex_state = 5},
  [6923] = {.lex_state = 88, .external_lex_state = 7},
  [6924] = {.lex_state = 0, .external_lex_state = 5},
  [6925] = {.lex_state = 0, .external_lex_state = 5},
  [6926] = {.lex_state = 0, .external_lex_state = 5},
  [6927] = {.lex_state = 0, .external_lex_state = 5},
  [6928] = {.lex_state = 0, .external_lex_state = 5},
  [6929] = {.lex_state = 0, .external_lex_state = 7},
  [6930] = {.lex_state = 0, .external_lex_state = 7},
  [6931] = {.lex_state = 0, .external_lex_state = 7},
  [6932] = {.lex_state = 0, .external_lex_state = 6},
  [6933] = {.lex_state = 0, .external_lex_state = 7},
  [6934] = {.lex_state = 0, .external_lex_state = 7},
  [6935] = {.lex_state = 0, .external_lex_state = 7},
  [6936] = {.lex_state = 0, .external_lex_state = 7},
  [6937] = {.lex_state = 0, .external_lex_state = 5},
  [6938] = {.lex_state = 0, .external_lex_state = 7},
  [6939] = {.lex_state = 0, .external_lex_state = 5},
  [6940] = {.lex_state = 0, .external_lex_state = 5},
  [6941] = {.lex_state = 0, .external_lex_state = 7},
  [6942] = {.lex_state = 0, .external_lex_state = 5},
  [6943] = {.lex_state = 0, .external_lex_state = 7},
  [6944] = {.lex_state = 0, .external_lex_state = 7},
  [6945] = {.lex_state = 0, .external_lex_state = 5},
  [6946] = {.lex_state = 0, .external_lex_state = 5},
  [6947] = {.lex_state = 0, .external_lex_state = 5},
  [6948] = {.lex_state = 0, .external_lex_state = 5},
  [6949] = {.lex_state = 88, .external_lex_state = 7},
  [6950] = {.lex_state = 0, .external_lex_state = 7},
  [6951] = {.lex_state = 0, .external_lex_state = 5},
  [6952] = {.lex_state = 0, .external_lex_state = 5},
  [6953] = {.lex_state = 0, .external_lex_state = 5},
  [6954] = {.lex_state = 0, .external_lex_state = 5},
  [6955] = {.lex_state = 0, .external_lex_state = 5},
  [6956] = {.lex_state = 0, .external_lex_state = 7},
  [6957] = {.lex_state = 0, .external_lex_state = 5},
  [6958] = {.lex_state = 88, .external_lex_state = 7},
  [6959] = {.lex_state = 0, .external_lex_state = 5},
  [6960] = {.lex_state = 0, .external_lex_state = 5},
  [6961] = {.lex_state = 0, .external_lex_state = 5},
  [6962] = {.lex_state = 0, .external_lex_state = 7},
  [6963] = {.lex_state = 0, .external_lex_state = 5},
  [6964] = {.lex_state = 0, .external_lex_state = 5},
  [6965] = {.lex_state = 0, .external_lex_state = 5},
  [6966] = {.lex_state = 0, .external_lex_state = 5},
  [6967] = {.lex_state = 0, .external_lex_state = 7},
  [6968] = {.lex_state = 0, .external_lex_state = 5},
  [6969] = {.lex_state = 0, .external_lex_state = 7},
  [6970] = {.lex_state = 0, .external_lex_state = 5},
  [6971] = {.lex_state = 0, .external_lex_state = 7},
  [6972] = {.lex_state = 0, .external_lex_state = 7},
  [6973] = {.lex_state = 88, .external_lex_state = 7},
  [6974] = {.lex_state = 0, .external_lex_state = 7},
  [6975] = {.lex_state = 0, .external_lex_state = 5},
  [6976] = {.lex_state = 0, .external_lex_state = 7},
  [6977] = {.lex_state = 0, .external_lex_state = 5},
  [6978] = {.lex_state = 0, .external_lex_state = 7},
  [6979] = {.lex_state = 0, .external_lex_state = 5},
  [6980] = {.lex_state = 0, .external_lex_state = 5},
  [6981] = {.lex_state = 0, .external_lex_state = 5},
  [6982] = {.lex_state = 0, .external_lex_state = 5},
  [6983] = {.lex_state = 0, .external_lex_state = 7},
  [6984] = {.lex_state = 0, .external_lex_state = 7},
  [6985] = {.lex_state = 0, .external_lex_state = 7},
  [6986] = {.lex_state = 0, .external_lex_state = 5},
  [6987] = {.lex_state = 0, .external_lex_state = 5},
  [6988] = {.lex_state = 0, .external_lex_state = 7},
  [6989] = {.lex_state = 0, .external_lex_state = 7},
  [6990] = {.lex_state = 0, .external_lex_state = 7},
  [6991] = {.lex_state = 0, .external_lex_state = 7},
  [6992] = {.lex_state = 0, .external_lex_state = 7},
  [6993] = {.lex_state = 0, .external_lex_state = 7},
  [6994] = {.lex_state = 0, .external_lex_state = 5},
  [6995] = {.lex_state = 0, .external_lex_state = 7},
  [6996] = {.lex_state = 0, .external_lex_state = 7},
  [6997] = {.lex_state = 88, .external_lex_state = 6},
  [6998] = {.lex_state = 8, .external_lex_state = 7},
  [6999] = {.lex_state = 0, .external_lex_state = 7},
  [7000] = {.lex_state = 0, .external_lex_state = 7},
  [7001] = {.lex_state = 88, .external_lex_state = 6},
  [7002] = {.lex_state = 8, .external_lex_state = 7},
  [7003] = {.lex_state = 0, .external_lex_state = 7},
  [7004] = {.lex_state = 0, .external_lex_state = 7},
  [7005] = {.lex_state = 0, .external_lex_state = 7},
  [7006] = {.lex_state = 88, .external_lex_state = 6},
  [7007] = {.lex_state = 8, .external_lex_state = 7},
  [7008] = {.lex_state = 0, .external_lex_state = 7},
  [7009] = {.lex_state = 21, .external_lex_state = 6},
  [7010] = {.lex_state = 0, .external_lex_state = 7},
  [7011] = {.lex_state = 0, .external_lex_state = 7},
  [7012] = {.lex_state = 0, .external_lex_state = 7},
  [7013] = {.lex_state = 0, .external_lex_state = 7},
  [7014] = {.lex_state = 0, .external_lex_state = 7},
  [7015] = {.lex_state = 88, .external_lex_state = 6},
  [7016] = {.lex_state = 88, .external_lex_state = 6},
  [7017] = {.lex_state = 88, .external_lex_state = 6},
  [7018] = {.lex_state = 0, .external_lex_state = 7},
  [7019] = {.lex_state = 88, .external_lex_state = 6},
  [7020] = {.lex_state = 88, .external_lex_state = 6},
  [7021] = {.lex_state = 88, .external_lex_state = 6},
  [7022] = {.lex_state = 88, .external_lex_state = 6},
  [7023] = {.lex_state = 0, .external_lex_state = 7},
  [7024] = {.lex_state = 88, .external_lex_state = 6},
  [7025] = {.lex_state = 88, .external_lex_state = 6},
  [7026] = {.lex_state = 0, .external_lex_state = 7},
  [7027] = {.lex_state = 0, .external_lex_state = 7},
  [7028] = {.lex_state = 8, .external_lex_state = 7},
  [7029] = {.lex_state = 0, .external_lex_state = 7},
  [7030] = {.lex_state = 0, .external_lex_state = 7},
  [7031] = {.lex_state = 8, .external_lex_state = 7},
  [7032] = {.lex_state = 0, .external_lex_state = 7},
  [7033] = {.lex_state = 88, .external_lex_state = 6},
  [7034] = {.lex_state = 0, .external_lex_state = 5},
  [7035] = {.lex_state = 0, .external_lex_state = 7},
  [7036] = {.lex_state = 8, .external_lex_state = 7},
  [7037] = {.lex_state = 0, .external_lex_state = 7},
  [7038] = {.lex_state = 0, .external_lex_state = 5},
  [7039] = {.lex_state = 0, .external_lex_state = 7},
  [7040] = {.lex_state = 0, .external_lex_state = 7},
  [7041] = {.lex_state = 8, .external_lex_state = 7},
  [7042] = {.lex_state = 8, .external_lex_state = 7},
  [7043] = {.lex_state = 0, .external_lex_state = 7},
  [7044] = {.lex_state = 0, .external_lex_state = 7},
  [7045] = {.lex_state = 0, .external_lex_state = 7},
  [7046] = {.lex_state = 88, .external_lex_state = 6},
  [7047] = {.lex_state = 21, .external_lex_state = 6},
  [7048] = {.lex_state = 0, .external_lex_state = 7},
  [7049] = {.lex_state = 0, .external_lex_state = 7},
  [7050] = {.lex_state = 88, .external_lex_state = 6},
  [7051] = {.lex_state = 0, .external_lex_state = 6},
  [7052] = {.lex_state = 0, .external_lex_state = 7},
  [7053] = {.lex_state = 88, .external_lex_state = 6},
  [7054] = {.lex_state = 0, .external_lex_state = 7},
  [7055] = {.lex_state = 0, .external_lex_state = 7},
  [7056] = {.lex_state = 21, .external_lex_state = 6},
  [7057] = {.lex_state = 8, .external_lex_state = 7},
  [7058] = {.lex_state = 21, .external_lex_state = 6},
  [7059] = {.lex_state = 0, .external_lex_state = 7},
  [7060] = {.lex_state = 0, .external_lex_state = 7},
  [7061] = {.lex_state = 0, .external_lex_state = 7},
  [7062] = {.lex_state = 0, .external_lex_state = 7},
  [7063] = {.lex_state = 0, .external_lex_state = 7},
  [7064] = {.lex_state = 0, .external_lex_state = 7},
  [7065] = {.lex_state = 0, .external_lex_state = 7},
  [7066] = {.lex_state = 0, .external_lex_state = 7},
  [7067] = {.lex_state = 8, .external_lex_state = 7},
  [7068] = {.lex_state = 0, .external_lex_state = 7},
  [7069] = {.lex_state = 0, .external_lex_state = 7},
  [7070] = {.lex_state = 0, .external_lex_state = 7},
  [7071] = {.lex_state = 8, .external_lex_state = 7},
  [7072] = {.lex_state = 0, .external_lex_state = 7},
  [7073] = {.lex_state = 88, .external_lex_state = 6},
  [7074] = {.lex_state = 21, .external_lex_state = 6},
  [7075] = {.lex_state = 88, .external_lex_state = 6},
  [7076] = {.lex_state = 0, .external_lex_state = 7},
  [7077] = {.lex_state = 88, .external_lex_state = 6},
  [7078] = {.lex_state = 0, .external_lex_state = 7},
  [7079] = {.lex_state = 0, .external_lex_state = 7},
  [7080] = {.lex_state = 0, .external_lex_state = 7},
  [7081] = {.lex_state = 0, .external_lex_state = 7},
  [7082] = {.lex_state = 0, .external_lex_state = 7},
  [7083] = {.lex_state = 0, .external_lex_state = 7},
  [7084] = {.lex_state = 8, .external_lex_state = 7},
  [7085] = {.lex_state = 0, .external_lex_state = 7},
  [7086] = {.lex_state = 0, .external_lex_state = 7},
  [7087] = {.lex_state = 0, .external_lex_state = 7},
  [7088] = {.lex_state = 0, .external_lex_state = 7},
  [7089] = {.lex_state = 0, .external_lex_state = 7},
  [7090] = {.lex_state = 0, .external_lex_state = 7},
  [7091] = {.lex_state = 88, .external_lex_state = 6},
  [7092] = {.lex_state = 0, .external_lex_state = 6},
  [7093] = {.lex_state = 8, .external_lex_state = 7},
  [7094] = {.lex_state = 88, .external_lex_state = 6},
  [7095] = {.lex_state = 0, .external_lex_state = 7},
  [7096] = {.lex_state = 88, .external_lex_state = 6},
  [7097] = {.lex_state = 88, .external_lex_state = 6},
  [7098] = {.lex_state = 88, .external_lex_state = 7},
  [7099] = {.lex_state = 0, .external_lex_state = 7},
  [7100] = {.lex_state = 88, .external_lex_state = 6},
  [7101] = {.lex_state = 0, .external_lex_state = 7},
  [7102] = {.lex_state = 0, .external_lex_state = 7},
  [7103] = {.lex_state = 88, .external_lex_state = 6},
  [7104] = {.lex_state = 0, .external_lex_state = 7},
  [7105] = {.lex_state = 0, .external_lex_state = 6},
  [7106] = {.lex_state = 0, .external_lex_state = 7},
  [7107] = {.lex_state = 88, .external_lex_state = 6},
  [7108] = {.lex_state = 0, .external_lex_state = 7},
  [7109] = {.lex_state = 88, .external_lex_state = 6},
  [7110] = {.lex_state = 0, .external_lex_state = 5},
  [7111] = {.lex_state = 21, .external_lex_state = 6},
  [7112] = {.lex_state = 0, .external_lex_state = 7},
  [7113] = {.lex_state = 21, .external_lex_state = 6},
  [7114] = {.lex_state = 88, .external_lex_state = 6},
  [7115] = {.lex_state = 0, .external_lex_state = 7},
  [7116] = {.lex_state = 21, .external_lex_state = 6},
  [7117] = {.lex_state = 0, .external_lex_state = 7},
  [7118] = {.lex_state = 0, .external_lex_state = 7},
  [7119] = {.lex_state = 8, .external_lex_state = 7},
  [7120] = {.lex_state = 8, .external_lex_state = 7},
  [7121] = {.lex_state = 0, .external_lex_state = 6},
  [7122] = {.lex_state = 88, .external_lex_state = 6},
  [7123] = {.lex_state = 88, .external_lex_state = 6},
  [7124] = {.lex_state = 0, .external_lex_state = 7},
  [7125] = {.lex_state = 8, .external_lex_state = 7},
  [7126] = {.lex_state = 0, .external_lex_state = 7},
  [7127] = {.lex_state = 88, .external_lex_state = 6},
  [7128] = {.lex_state = 88, .external_lex_state = 6},
  [7129] = {.lex_state = 88, .external_lex_state = 6},
  [7130] = {.lex_state = 0, .external_lex_state = 7},
  [7131] = {.lex_state = 0, .external_lex_state = 7},
  [7132] = {.lex_state = 88, .external_lex_state = 6},
  [7133] = {.lex_state = 88, .external_lex_state = 6},
  [7134] = {.lex_state = 0, .external_lex_state = 7},
  [7135] = {.lex_state = 0, .external_lex_state = 6},
  [7136] = {.lex_state = 0, .external_lex_state = 6},
  [7137] = {.lex_state = 88, .external_lex_state = 6},
  [7138] = {.lex_state = 8, .external_lex_state = 7},
  [7139] = {.lex_state = 88, .external_lex_state = 6},
  [7140] = {.lex_state = 0, .external_lex_state = 7},
  [7141] = {.lex_state = 0, .external_lex_state = 7},
  [7142] = {.lex_state = 88, .external_lex_state = 6},
  [7143] = {.lex_state = 88, .external_lex_state = 6},
  [7144] = {.lex_state = 88, .external_lex_state = 6},
  [7145] = {.lex_state = 88, .external_lex_state = 6},
  [7146] = {.lex_state = 0, .external_lex_state = 7},
  [7147] = {.lex_state = 0, .external_lex_state = 7},
  [7148] = {.lex_state = 8, .external_lex_state = 7},
  [7149] = {.lex_state = 0, .external_lex_state = 7},
  [7150] = {.lex_state = 0, .external_lex_state = 7},
  [7151] = {.lex_state = 0, .external_lex_state = 7},
  [7152] = {.lex_state = 88, .external_lex_state = 6},
  [7153] = {.lex_state = 0, .external_lex_state = 7},
  [7154] = {.lex_state = 8, .external_lex_state = 7},
  [7155] = {.lex_state = 0, .external_lex_state = 7},
  [7156] = {.lex_state = 0, .external_lex_state = 7},
  [7157] = {.lex_state = 0, .external_lex_state = 7},
  [7158] = {.lex_state = 88, .external_lex_state = 6},
  [7159] = {.lex_state = 0, .external_lex_state = 7},
  [7160] = {.lex_state = 88, .external_lex_state = 6},
  [7161] = {.lex_state = 0, .external_lex_state = 7},
  [7162] = {.lex_state = 88, .external_lex_state = 6},
  [7163] = {.lex_state = 0, .external_lex_state = 5},
  [7164] = {.lex_state = 8, .external_lex_state = 7},
  [7165] = {.lex_state = 0, .external_lex_state = 7},
  [7166] = {.lex_state = 0, .external_lex_state = 6},
  [7167] = {.lex_state = 0, .external_lex_state = 7},
  [7168] = {.lex_state = 88, .external_lex_state = 6},
  [7169] = {.lex_state = 88, .external_lex_state = 6},
  [7170] = {.lex_state = 0, .external_lex_state = 7},
  [7171] = {.lex_state = 8, .external_lex_state = 7},
  [7172] = {.lex_state = 0, .external_lex_state = 5},
  [7173] = {.lex_state = 0, .external_lex_state = 7},
  [7174] = {.lex_state = 0, .external_lex_state = 7},
  [7175] = {.lex_state = 88, .external_lex_state = 6},
  [7176] = {.lex_state = 8, .external_lex_state = 7},
  [7177] = {.lex_state = 0, .external_lex_state = 7},
  [7178] = {.lex_state = 0, .external_lex_state = 7},
  [7179] = {.lex_state = 0, .external_lex_state = 6},
  [7180] = {.lex_state = 0, .external_lex_state = 6},
  [7181] = {.lex_state = 0, .external_lex_state = 7},
  [7182] = {.lex_state = 8, .external_lex_state = 7},
  [7183] = {.lex_state = 0, .external_lex_state = 7},
  [7184] = {.lex_state = 8, .external_lex_state = 7},
  [7185] = {.lex_state = 0, .external_lex_state = 7},
  [7186] = {.lex_state = 0, .external_lex_state = 7},
  [7187] = {.lex_state = 8, .external_lex_state = 7},
  [7188] = {.lex_state = 0, .external_lex_state = 7},
  [7189] = {.lex_state = 0, .external_lex_state = 7},
  [7190] = {.lex_state = 0, .external_lex_state = 7},
  [7191] = {.lex_state = 0, .external_lex_state = 7},
  [7192] = {.lex_state = 0, .external_lex_state = 6},
  [7193] = {.lex_state = 0, .external_lex_state = 7},
  [7194] = {.lex_state = 0, .external_lex_state = 7},
  [7195] = {.lex_state = 0, .external_lex_state = 7},
  [7196] = {.lex_state = 0, .external_lex_state = 7},
  [7197] = {.lex_state = 0, .external_lex_state = 7},
  [7198] = {.lex_state = 0, .external_lex_state = 5},
  [7199] = {.lex_state = 0, .external_lex_state = 6},
  [7200] = {.lex_state = 27, .external_lex_state = 7},
  [7201] = {.lex_state = 0, .external_lex_state = 7},
  [7202] = {.lex_state = 0, .external_lex_state = 6},
  [7203] = {.lex_state = 0, .external_lex_state = 7},
  [7204] = {.lex_state = 0, .external_lex_state = 7},
  [7205] = {.lex_state = 0, .external_lex_state = 7},
  [7206] = {.lex_state = 0, .external_lex_state = 7},
  [7207] = {.lex_state = 0, .external_lex_state = 7},
  [7208] = {.lex_state = 0, .external_lex_state = 7},
  [7209] = {.lex_state = 0, .external_lex_state = 7},
  [7210] = {.lex_state = 0, .external_lex_state = 7},
  [7211] = {.lex_state = 0, .external_lex_state = 6},
  [7212] = {.lex_state = 0, .external_lex_state = 7},
  [7213] = {.lex_state = 0, .external_lex_state = 7},
  [7214] = {.lex_state = 0, .external_lex_state = 7},
  [7215] = {.lex_state = 0, .external_lex_state = 7},
  [7216] = {.lex_state = 0, .external_lex_state = 7},
  [7217] = {.lex_state = 0, .external_lex_state = 7},
  [7218] = {.lex_state = 27, .external_lex_state = 7},
  [7219] = {.lex_state = 0, .external_lex_state = 6},
  [7220] = {.lex_state = 0, .external_lex_state = 7},
  [7221] = {.lex_state = 0, .external_lex_state = 6},
  [7222] = {.lex_state = 0, .external_lex_state = 7},
  [7223] = {.lex_state = 0, .external_lex_state = 7},
  [7224] = {.lex_state = 0, .external_lex_state = 7},
  [7225] = {.lex_state = 0, .external_lex_state = 7},
  [7226] = {.lex_state = 0, .external_lex_state = 7},
  [7227] = {.lex_state = 0, .external_lex_state = 6},
  [7228] = {.lex_state = 0, .external_lex_state = 7},
  [7229] = {.lex_state = 0, .external_lex_state = 7},
  [7230] = {.lex_state = 0, .external_lex_state = 7},
  [7231] = {.lex_state = 0, .external_lex_state = 7},
  [7232] = {.lex_state = 0, .external_lex_state = 7},
  [7233] = {.lex_state = 0, .external_lex_state = 6},
  [7234] = {.lex_state = 0, .external_lex_state = 6},
  [7235] = {.lex_state = 0, .external_lex_state = 7},
  [7236] = {.lex_state = 0, .external_lex_state = 6},
  [7237] = {.lex_state = 0, .external_lex_state = 7},
  [7238] = {.lex_state = 0, .external_lex_state = 6},
  [7239] = {.lex_state = 0, .external_lex_state = 6},
  [7240] = {.lex_state = 0, .external_lex_state = 7},
  [7241] = {.lex_state = 0, .external_lex_state = 6},
  [7242] = {.lex_state = 0, .external_lex_state = 6},
  [7243] = {.lex_state = 0, .external_lex_state = 6},
  [7244] = {.lex_state = 0, .external_lex_state = 6},
  [7245] = {.lex_state = 0, .external_lex_state = 6},
  [7246] = {.lex_state = 0, .external_lex_state = 7},
  [7247] = {.lex_state = 21, .external_lex_state = 6},
  [7248] = {.lex_state = 0, .external_lex_state = 6},
  [7249] = {.lex_state = 0, .external_lex_state = 7},
  [7250] = {.lex_state = 0, .external_lex_state = 6},
  [7251] = {.lex_state = 0, .external_lex_state = 7},
  [7252] = {.lex_state = 0, .external_lex_state = 7},
  [7253] = {.lex_state = 0, .external_lex_state = 7},
  [7254] = {.lex_state = 0, .external_lex_state = 7},
  [7255] = {.lex_state = 0, .external_lex_state = 6},
  [7256] = {.lex_state = 0, .external_lex_state = 7},
  [7257] = {.lex_state = 0, .external_lex_state = 7},
  [7258] = {.lex_state = 0, .external_lex_state = 7},
  [7259] = {.lex_state = 0, .external_lex_state = 7},
  [7260] = {.lex_state = 0, .external_lex_state = 7},
  [7261] = {.lex_state = 0, .external_lex_state = 7},
  [7262] = {.lex_state = 0, .external_lex_state = 7},
  [7263] = {.lex_state = 0, .external_lex_state = 7},
  [7264] = {.lex_state = 0, .external_lex_state = 7},
  [7265] = {.lex_state = 0, .external_lex_state = 7},
  [7266] = {.lex_state = 0, .external_lex_state = 7},
  [7267] = {.lex_state = 0, .external_lex_state = 6},
  [7268] = {.lex_state = 0, .external_lex_state = 7},
  [7269] = {.lex_state = 0, .external_lex_state = 6},
  [7270] = {.lex_state = 0, .external_lex_state = 7},
  [7271] = {.lex_state = 0, .external_lex_state = 7},
  [7272] = {.lex_state = 0, .external_lex_state = 7},
  [7273] = {.lex_state = 0, .external_lex_state = 7},
  [7274] = {.lex_state = 0, .external_lex_state = 6},
  [7275] = {.lex_state = 0, .external_lex_state = 6},
  [7276] = {.lex_state = 0, .external_lex_state = 6},
  [7277] = {.lex_state = 0, .external_lex_state = 7},
  [7278] = {.lex_state = 0, .external_lex_state = 7},
  [7279] = {.lex_state = 0, .external_lex_state = 7},
  [7280] = {.lex_state = 0, .external_lex_state = 7},
  [7281] = {.lex_state = 0, .external_lex_state = 7},
  [7282] = {.lex_state = 0, .external_lex_state = 7},
  [7283] = {.lex_state = 0, .external_lex_state = 7},
  [7284] = {.lex_state = 0, .external_lex_state = 7},
  [7285] = {.lex_state = 0, .external_lex_state = 6},
  [7286] = {.lex_state = 0, .external_lex_state = 7},
  [7287] = {.lex_state = 0, .external_lex_state = 6},
  [7288] = {.lex_state = 0, .external_lex_state = 6},
  [7289] = {.lex_state = 0, .external_lex_state = 7},
  [7290] = {.lex_state = 0, .external_lex_state = 7},
  [7291] = {.lex_state = 0, .external_lex_state = 7},
  [7292] = {.lex_state = 0, .external_lex_state = 7},
  [7293] = {.lex_state = 0, .external_lex_state = 7},
  [7294] = {.lex_state = 0, .external_lex_state = 7},
  [7295] = {.lex_state = 0, .external_lex_state = 7},
  [7296] = {.lex_state = 0, .external_lex_state = 7},
  [7297] = {.lex_state = 0, .external_lex_state = 7},
  [7298] = {.lex_state = 0, .external_lex_state = 7},
  [7299] = {.lex_state = 0, .external_lex_state = 6},
  [7300] = {.lex_state = 0, .external_lex_state = 7},
  [7301] = {.lex_state = 0, .external_lex_state = 7},
  [7302] = {.lex_state = 0, .external_lex_state = 7},
  [7303] = {.lex_state = 0, .external_lex_state = 7},
  [7304] = {.lex_state = 0, .external_lex_state = 6},
  [7305] = {.lex_state = 0, .external_lex_state = 7},
  [7306] = {.lex_state = 0, .external_lex_state = 7},
  [7307] = {.lex_state = 0, .external_lex_state = 7},
  [7308] = {.lex_state = 0, .external_lex_state = 7},
  [7309] = {.lex_state = 0, .external_lex_state = 7},
  [7310] = {.lex_state = 0, .external_lex_state = 7},
  [7311] = {.lex_state = 0, .external_lex_state = 7},
  [7312] = {.lex_state = 0, .external_lex_state = 7},
  [7313] = {.lex_state = 27, .external_lex_state = 7},
  [7314] = {.lex_state = 0, .external_lex_state = 7},
  [7315] = {.lex_state = 0, .external_lex_state = 7},
  [7316] = {.lex_state = 0, .external_lex_state = 7},
  [7317] = {.lex_state = 0, .external_lex_state = 7},
  [7318] = {.lex_state = 0, .external_lex_state = 7},
  [7319] = {.lex_state = 0, .external_lex_state = 7},
  [7320] = {.lex_state = 0, .external_lex_state = 7},
  [7321] = {.lex_state = 0, .external_lex_state = 7},
  [7322] = {.lex_state = 0, .external_lex_state = 7},
  [7323] = {.lex_state = 0, .external_lex_state = 6},
  [7324] = {.lex_state = 0, .external_lex_state = 7},
  [7325] = {.lex_state = 0, .external_lex_state = 7},
  [7326] = {.lex_state = 0, .external_lex_state = 5},
  [7327] = {.lex_state = 0, .external_lex_state = 7},
  [7328] = {.lex_state = 0, .external_lex_state = 7},
  [7329] = {.lex_state = 0, .external_lex_state = 7},
  [7330] = {.lex_state = 0, .external_lex_state = 7},
  [7331] = {.lex_state = 0, .external_lex_state = 7},
  [7332] = {.lex_state = 0, .external_lex_state = 7},
  [7333] = {.lex_state = 0, .external_lex_state = 7},
  [7334] = {.lex_state = 0, .external_lex_state = 6},
  [7335] = {.lex_state = 0, .external_lex_state = 7},
  [7336] = {.lex_state = 0, .external_lex_state = 7},
  [7337] = {.lex_state = 0, .external_lex_state = 7},
  [7338] = {.lex_state = 0, .external_lex_state = 7},
  [7339] = {.lex_state = 0, .external_lex_state = 7},
  [7340] = {.lex_state = 0, .external_lex_state = 7},
  [7341] = {.lex_state = 0, .external_lex_state = 7},
  [7342] = {.lex_state = 0, .external_lex_state = 6},
  [7343] = {.lex_state = 0, .external_lex_state = 7},
  [7344] = {.lex_state = 0, .external_lex_state = 7},
  [7345] = {.lex_state = 0, .external_lex_state = 6},
  [7346] = {.lex_state = 0, .external_lex_state = 7},
  [7347] = {.lex_state = 0, .external_lex_state = 7},
  [7348] = {.lex_state = 0, .external_lex_state = 7},
  [7349] = {.lex_state = 0, .external_lex_state = 7},
  [7350] = {.lex_state = 0, .external_lex_state = 7},
  [7351] = {.lex_state = 0, .external_lex_state = 7},
  [7352] = {.lex_state = 0, .external_lex_state = 7},
  [7353] = {.lex_state = 0, .external_lex_state = 7},
  [7354] = {.lex_state = 0, .external_lex_state = 7},
  [7355] = {.lex_state = 0, .external_lex_state = 7},
  [7356] = {.lex_state = 0, .external_lex_state = 7},
  [7357] = {.lex_state = 0, .external_lex_state = 7},
  [7358] = {.lex_state = 0, .external_lex_state = 7},
  [7359] = {.lex_state = 0, .external_lex_state = 7},
  [7360] = {.lex_state = 0, .external_lex_state = 7},
  [7361] = {.lex_state = 0, .external_lex_state = 6},
  [7362] = {.lex_state = 0, .external_lex_state = 7},
  [7363] = {.lex_state = 0, .external_lex_state = 7},
  [7364] = {.lex_state = 0, .external_lex_state = 6},
  [7365] = {.lex_state = 0, .external_lex_state = 7},
  [7366] = {.lex_state = 0, .external_lex_state = 7},
  [7367] = {.lex_state = 0, .external_lex_state = 7},
  [7368] = {.lex_state = 27, .external_lex_state = 7},
  [7369] = {.lex_state = 0, .external_lex_state = 7},
  [7370] = {.lex_state = 27, .external_lex_state = 7},
  [7371] = {.lex_state = 0, .external_lex_state = 7},
  [7372] = {.lex_state = 0, .external_lex_state = 7},
  [7373] = {.lex_state = 0, .external_lex_state = 7},
  [7374] = {.lex_state = 0, .external_lex_state = 7},
  [7375] = {.lex_state = 0, .external_lex_state = 7},
  [7376] = {.lex_state = 0, .external_lex_state = 7},
  [7377] = {.lex_state = 0, .external_lex_state = 7},
  [7378] = {.lex_state = 0, .external_lex_state = 7},
  [7379] = {.lex_state = 27, .external_lex_state = 7},
  [7380] = {.lex_state = 0, .external_lex_state = 7},
  [7381] = {.lex_state = 0, .external_lex_state = 7},
  [7382] = {.lex_state = 0, .external_lex_state = 7},
  [7383] = {.lex_state = 0, .external_lex_state = 7},
  [7384] = {.lex_state = 0, .external_lex_state = 7},
  [7385] = {.lex_state = 0, .external_lex_state = 6},
  [7386] = {.lex_state = 0, .external_lex_state = 7},
  [7387] = {.lex_state = 0, .external_lex_state = 7},
  [7388] = {.lex_state = 0, .external_lex_state = 7},
  [7389] = {.lex_state = 0, .external_lex_state = 7},
  [7390] = {.lex_state = 0, .external_lex_state = 7},
  [7391] = {.lex_state = 0, .external_lex_state = 7},
  [7392] = {.lex_state = 0, .external_lex_state = 7},
  [7393] = {.lex_state = 0, .external_lex_state = 7},
  [7394] = {.lex_state = 0, .external_lex_state = 7},
  [7395] = {.lex_state = 0, .external_lex_state = 7},
  [7396] = {.lex_state = 0, .external_lex_state = 7},
  [7397] = {.lex_state = 0, .external_lex_state = 6},
  [7398] = {.lex_state = 0, .external_lex_state = 6},
  [7399] = {.lex_state = 0, .external_lex_state = 7},
  [7400] = {.lex_state = 0, .external_lex_state = 7},
  [7401] = {.lex_state = 0, .external_lex_state = 7},
  [7402] = {.lex_state = 0, .external_lex_state = 7},
  [7403] = {.lex_state = 0, .external_lex_state = 7},
  [7404] = {.lex_state = 0, .external_lex_state = 7},
  [7405] = {.lex_state = 0, .external_lex_state = 7},
  [7406] = {.lex_state = 88, .external_lex_state = 6},
  [7407] = {.lex_state = 88, .external_lex_state = 6},
  [7408] = {.lex_state = 0, .external_lex_state = 7},
  [7409] = {.lex_state = 0, .external_lex_state = 6},
  [7410] = {.lex_state = 0, .external_lex_state = 7},
  [7411] = {.lex_state = 0, .external_lex_state = 7},
  [7412] = {.lex_state = 27, .external_lex_state = 7},
  [7413] = {.lex_state = 0, .external_lex_state = 7},
  [7414] = {.lex_state = 0, .external_lex_state = 7},
  [7415] = {.lex_state = 0, .external_lex_state = 7},
  [7416] = {.lex_state = 0, .external_lex_state = 7},
  [7417] = {.lex_state = 0, .external_lex_state = 7},
  [7418] = {.lex_state = 0, .external_lex_state = 6},
  [7419] = {.lex_state = 27, .external_lex_state = 7},
  [7420] = {.lex_state = 0, .external_lex_state = 7},
  [7421] = {.lex_state = 0, .external_lex_state = 7},
  [7422] = {.lex_state = 0, .external_lex_state = 7},
  [7423] = {.lex_state = 0, .external_lex_state = 6},
  [7424] = {.lex_state = 0, .external_lex_state = 7},
  [7425] = {.lex_state = 0, .external_lex_state = 6},
  [7426] = {.lex_state = 0, .external_lex_state = 7},
  [7427] = {.lex_state = 0, .external_lex_state = 7},
  [7428] = {.lex_state = 0, .external_lex_state = 7},
  [7429] = {.lex_state = 0, .external_lex_state = 7},
  [7430] = {.lex_state = 0, .external_lex_state = 7},
  [7431] = {.lex_state = 0, .external_lex_state = 7},
  [7432] = {.lex_state = 0, .external_lex_state = 7},
  [7433] = {.lex_state = 0, .external_lex_state = 7},
  [7434] = {.lex_state = 0, .external_lex_state = 7},
  [7435] = {.lex_state = 0, .external_lex_state = 7},
  [7436] = {.lex_state = 0, .external_lex_state = 7},
  [7437] = {.lex_state = 0, .external_lex_state = 7},
  [7438] = {.lex_state = 0, .external_lex_state = 7},
  [7439] = {.lex_state = 27, .external_lex_state = 7},
  [7440] = {.lex_state = 0, .external_lex_state = 7},
  [7441] = {.lex_state = 0, .external_lex_state = 7},
  [7442] = {.lex_state = 0, .external_lex_state = 7},
  [7443] = {.lex_state = 0, .external_lex_state = 7},
  [7444] = {.lex_state = 0, .external_lex_state = 7},
  [7445] = {.lex_state = 0, .external_lex_state = 7},
  [7446] = {.lex_state = 0, .external_lex_state = 6},
  [7447] = {.lex_state = 0, .external_lex_state = 7},
  [7448] = {.lex_state = 0, .external_lex_state = 7},
  [7449] = {.lex_state = 0, .external_lex_state = 7},
  [7450] = {.lex_state = 0, .external_lex_state = 7},
  [7451] = {.lex_state = 0, .external_lex_state = 7},
  [7452] = {.lex_state = 27, .external_lex_state = 7},
  [7453] = {.lex_state = 0, .external_lex_state = 7},
  [7454] = {.lex_state = 0, .external_lex_state = 7},
  [7455] = {.lex_state = 0, .external_lex_state = 7},
  [7456] = {.lex_state = 0, .external_lex_state = 6},
  [7457] = {.lex_state = 0, .external_lex_state = 7},
  [7458] = {.lex_state = 0, .external_lex_state = 7},
  [7459] = {.lex_state = 0, .external_lex_state = 7},
  [7460] = {.lex_state = 88, .external_lex_state = 7},
  [7461] = {.lex_state = 0, .external_lex_state = 7},
  [7462] = {.lex_state = 0, .external_lex_state = 7},
  [7463] = {.lex_state = 0, .external_lex_state = 7},
  [7464] = {.lex_state = 0, .external_lex_state = 7},
  [7465] = {.lex_state = 0, .external_lex_state = 7},
  [7466] = {.lex_state = 0, .external_lex_state = 7},
  [7467] = {.lex_state = 0, .external_lex_state = 7},
  [7468] = {.lex_state = 0, .external_lex_state = 7},
  [7469] = {.lex_state = 0, .external_lex_state = 7},
  [7470] = {.lex_state = 0, .external_lex_state = 7},
  [7471] = {.lex_state = 0, .external_lex_state = 7},
  [7472] = {.lex_state = 0, .external_lex_state = 7},
  [7473] = {.lex_state = 0, .external_lex_state = 7},
  [7474] = {.lex_state = 0, .external_lex_state = 7},
  [7475] = {.lex_state = 0, .external_lex_state = 7},
  [7476] = {.lex_state = 0, .external_lex_state = 7},
  [7477] = {.lex_state = 0, .external_lex_state = 7},
  [7478] = {.lex_state = 0, .external_lex_state = 7},
  [7479] = {.lex_state = 0, .external_lex_state = 7},
  [7480] = {.lex_state = 0, .external_lex_state = 7},
  [7481] = {.lex_state = 0, .external_lex_state = 7},
  [7482] = {.lex_state = 0, .external_lex_state = 7},
  [7483] = {.lex_state = 0, .external_lex_state = 7},
  [7484] = {.lex_state = 0, .external_lex_state = 7},
  [7485] = {.lex_state = 0, .external_lex_state = 7},
  [7486] = {.lex_state = 0, .external_lex_state = 7},
  [7487] = {.lex_state = 0, .external_lex_state = 7},
  [7488] = {.lex_state = 0, .external_lex_state = 7},
  [7489] = {.lex_state = 0, .external_lex_state = 6},
  [7490] = {.lex_state = 0, .external_lex_state = 7},
  [7491] = {.lex_state = 27, .external_lex_state = 7},
  [7492] = {.lex_state = 0, .external_lex_state = 7},
  [7493] = {.lex_state = 0, .external_lex_state = 7},
  [7494] = {.lex_state = 0, .external_lex_state = 7},
  [7495] = {.lex_state = 0, .external_lex_state = 7},
  [7496] = {.lex_state = 0, .external_lex_state = 7},
  [7497] = {.lex_state = 0, .external_lex_state = 7},
  [7498] = {.lex_state = 0, .external_lex_state = 7},
  [7499] = {.lex_state = 0, .external_lex_state = 7},
  [7500] = {.lex_state = 0, .external_lex_state = 7},
  [7501] = {.lex_state = 0, .external_lex_state = 7},
  [7502] = {.lex_state = 0, .external_lex_state = 7},
  [7503] = {.lex_state = 0, .external_lex_state = 6},
  [7504] = {.lex_state = 0, .external_lex_state = 7},
  [7505] = {.lex_state = 27, .external_lex_state = 7},
  [7506] = {.lex_state = 0, .external_lex_state = 7},
  [7507] = {.lex_state = 0, .external_lex_state = 7},
  [7508] = {.lex_state = 0, .external_lex_state = 7},
  [7509] = {.lex_state = 0, .external_lex_state = 7},
  [7510] = {.lex_state = 0, .external_lex_state = 7},
  [7511] = {.lex_state = 0, .external_lex_state = 6},
  [7512] = {.lex_state = 0, .external_lex_state = 7},
  [7513] = {.lex_state = 0, .external_lex_state = 6},
  [7514] = {.lex_state = 0, .external_lex_state = 7},
  [7515] = {.lex_state = 88, .external_lex_state = 6},
  [7516] = {.lex_state = 0, .external_lex_state = 7},
  [7517] = {.lex_state = 0, .external_lex_state = 7},
  [7518] = {.lex_state = 0, .external_lex_state = 7},
  [7519] = {.lex_state = 0, .external_lex_state = 7},
  [7520] = {.lex_state = 0, .external_lex_state = 7},
  [7521] = {.lex_state = 0, .external_lex_state = 7},
  [7522] = {.lex_state = 0, .external_lex_state = 6},
  [7523] = {.lex_state = 0, .external_lex_state = 5},
  [7524] = {.lex_state = 0, .external_lex_state = 7},
  [7525] = {.lex_state = 0, .external_lex_state = 7},
  [7526] = {.lex_state = 0, .external_lex_state = 7},
  [7527] = {.lex_state = 0, .external_lex_state = 7},
  [7528] = {.lex_state = 0, .external_lex_state = 5},
  [7529] = {.lex_state = 0, .external_lex_state = 7},
  [7530] = {.lex_state = 0, .external_lex_state = 7},
  [7531] = {.lex_state = 0, .external_lex_state = 7},
  [7532] = {.lex_state = 0, .external_lex_state = 7},
  [7533] = {.lex_state = 0, .external_lex_state = 7},
  [7534] = {.lex_state = 0, .external_lex_state = 7},
  [7535] = {.lex_state = 0, .external_lex_state = 7},
  [7536] = {.lex_state = 0, .external_lex_state = 7},
  [7537] = {.lex_state = 0, .external_lex_state = 7},
  [7538] = {.lex_state = 0, .external_lex_state = 7},
  [7539] = {.lex_state = 0, .external_lex_state = 7},
  [7540] = {.lex_state = 0, .external_lex_state = 7},
  [7541] = {.lex_state = 0, .external_lex_state = 7},
  [7542] = {.lex_state = 0, .external_lex_state = 7},
  [7543] = {.lex_state = 0, .external_lex_state = 6},
  [7544] = {.lex_state = 0, .external_lex_state = 6},
  [7545] = {.lex_state = 0, .external_lex_state = 7},
  [7546] = {.lex_state = 0, .external_lex_state = 7},
  [7547] = {.lex_state = 0, .external_lex_state = 7},
  [7548] = {.lex_state = 0, .external_lex_state = 7},
  [7549] = {.lex_state = 0, .external_lex_state = 7},
  [7550] = {.lex_state = 0, .external_lex_state = 7},
  [7551] = {.lex_state = 27, .external_lex_state = 7},
  [7552] = {.lex_state = 0, .external_lex_state = 7},
  [7553] = {.lex_state = 0, .external_lex_state = 7},
  [7554] = {.lex_state = 0, .external_lex_state = 6},
  [7555] = {.lex_state = 0, .external_lex_state = 7},
  [7556] = {.lex_state = 0, .external_lex_state = 7},
  [7557] = {.lex_state = 0, .external_lex_state = 7},
  [7558] = {.lex_state = 0, .external_lex_state = 7},
  [7559] = {.lex_state = 0, .external_lex_state = 7},
  [7560] = {.lex_state = 0, .external_lex_state = 7},
  [7561] = {.lex_state = 0, .external_lex_state = 7},
  [7562] = {.lex_state = 0, .external_lex_state = 7},
  [7563] = {.lex_state = 0, .external_lex_state = 7},
  [7564] = {.lex_state = 0, .external_lex_state = 7},
  [7565] = {.lex_state = 0, .external_lex_state = 7},
  [7566] = {.lex_state = 0, .external_lex_state = 6},
  [7567] = {.lex_state = 0, .external_lex_state = 7},
  [7568] = {.lex_state = 0, .external_lex_state = 7},
  [7569] = {.lex_state = 0, .external_lex_state = 7},
  [7570] = {.lex_state = 0, .external_lex_state = 7},
  [7571] = {.lex_state = 0, .external_lex_state = 6},
  [7572] = {.lex_state = 0, .external_lex_state = 7},
  [7573] = {.lex_state = 0, .external_lex_state = 7},
  [7574] = {.lex_state = 0, .external_lex_state = 7},
  [7575] = {.lex_state = 27, .external_lex_state = 7},
  [7576] = {.lex_state = 0, .external_lex_state = 7},
  [7577] = {.lex_state = 0, .external_lex_state = 7},
  [7578] = {.lex_state = 0, .external_lex_state = 7},
  [7579] = {.lex_state = 0, .external_lex_state = 7},
  [7580] = {.lex_state = 0, .external_lex_state = 7},
  [7581] = {.lex_state = 0, .external_lex_state = 7},
  [7582] = {.lex_state = 0, .external_lex_state = 7},
  [7583] = {.lex_state = 0, .external_lex_state = 7},
  [7584] = {.lex_state = 0, .external_lex_state = 7},
  [7585] = {.lex_state = 0, .external_lex_state = 6},
  [7586] = {.lex_state = 0, .external_lex_state = 7},
  [7587] = {.lex_state = 0, .external_lex_state = 7},
  [7588] = {.lex_state = 0, .external_lex_state = 7},
  [7589] = {.lex_state = 0, .external_lex_state = 7},
  [7590] = {.lex_state = 0, .external_lex_state = 7},
  [7591] = {.lex_state = 0, .external_lex_state = 7},
  [7592] = {.lex_state = 0, .external_lex_state = 7},
  [7593] = {.lex_state = 0, .external_lex_state = 6},
  [7594] = {.lex_state = 0, .external_lex_state = 7},
  [7595] = {.lex_state = 0, .external_lex_state = 7},
  [7596] = {.lex_state = 0, .external_lex_state = 7},
  [7597] = {.lex_state = 0, .external_lex_state = 7},
  [7598] = {.lex_state = 0, .external_lex_state = 6},
  [7599] = {.lex_state = 0, .external_lex_state = 7},
  [7600] = {.lex_state = 0, .external_lex_state = 7},
  [7601] = {.lex_state = 0, .external_lex_state = 7},
  [7602] = {.lex_state = 0, .external_lex_state = 7},
  [7603] = {.lex_state = 0, .external_lex_state = 7},
  [7604] = {.lex_state = 0, .external_lex_state = 7},
  [7605] = {.lex_state = 0, .external_lex_state = 7},
  [7606] = {.lex_state = 0, .external_lex_state = 6},
  [7607] = {.lex_state = 0, .external_lex_state = 7},
  [7608] = {.lex_state = 0, .external_lex_state = 7},
  [7609] = {.lex_state = 0, .external_lex_state = 7},
  [7610] = {.lex_state = 0, .external_lex_state = 7},
  [7611] = {.lex_state = 0, .external_lex_state = 7},
  [7612] = {.lex_state = 0, .external_lex_state = 7},
  [7613] = {.lex_state = 0, .external_lex_state = 7},
  [7614] = {.lex_state = 0, .external_lex_state = 7},
  [7615] = {.lex_state = 0, .external_lex_state = 7},
  [7616] = {.lex_state = 0, .external_lex_state = 7},
  [7617] = {.lex_state = 0, .external_lex_state = 7},
  [7618] = {.lex_state = 0, .external_lex_state = 7},
  [7619] = {.lex_state = 0, .external_lex_state = 7},
  [7620] = {.lex_state = 0, .external_lex_state = 7},
  [7621] = {.lex_state = 0, .external_lex_state = 7},
  [7622] = {.lex_state = 0, .external_lex_state = 7},
  [7623] = {.lex_state = 0, .external_lex_state = 6},
  [7624] = {.lex_state = 0, .external_lex_state = 7},
  [7625] = {.lex_state = 0, .external_lex_state = 6},
  [7626] = {.lex_state = 0, .external_lex_state = 7},
  [7627] = {.lex_state = 0, .external_lex_state = 7},
  [7628] = {.lex_state = 0, .external_lex_state = 7},
  [7629] = {.lex_state = 0, .external_lex_state = 7},
  [7630] = {.lex_state = 0, .external_lex_state = 7},
  [7631] = {.lex_state = 0, .external_lex_state = 6},
  [7632] = {.lex_state = 0, .external_lex_state = 7},
  [7633] = {.lex_state = 0, .external_lex_state = 7},
  [7634] = {.lex_state = 0, .external_lex_state = 7},
  [7635] = {.lex_state = 0, .external_lex_state = 7},
  [7636] = {.lex_state = 0, .external_lex_state = 7},
  [7637] = {.lex_state = 0, .external_lex_state = 7},
  [7638] = {.lex_state = 0, .external_lex_state = 7},
  [7639] = {.lex_state = 0, .external_lex_state = 7},
  [7640] = {.lex_state = 0, .external_lex_state = 7},
  [7641] = {.lex_state = 0, .external_lex_state = 7},
  [7642] = {.lex_state = 0, .external_lex_state = 7},
  [7643] = {.lex_state = 0, .external_lex_state = 7},
  [7644] = {.lex_state = 0, .external_lex_state = 7},
  [7645] = {.lex_state = 0, .external_lex_state = 7},
  [7646] = {.lex_state = 0, .external_lex_state = 7},
  [7647] = {.lex_state = 0, .external_lex_state = 7},
  [7648] = {.lex_state = 0, .external_lex_state = 7},
  [7649] = {.lex_state = 88, .external_lex_state = 6},
  [7650] = {.lex_state = 0, .external_lex_state = 7},
  [7651] = {.lex_state = 0, .external_lex_state = 7},
  [7652] = {.lex_state = 0, .external_lex_state = 7},
  [7653] = {.lex_state = 0, .external_lex_state = 7},
  [7654] = {.lex_state = 0, .external_lex_state = 7},
  [7655] = {.lex_state = 0, .external_lex_state = 7},
  [7656] = {.lex_state = 0, .external_lex_state = 7},
  [7657] = {.lex_state = 0, .external_lex_state = 7},
  [7658] = {.lex_state = 0, .external_lex_state = 7},
  [7659] = {.lex_state = 0, .external_lex_state = 7},
  [7660] = {.lex_state = 0, .external_lex_state = 7},
  [7661] = {.lex_state = 0, .external_lex_state = 6},
  [7662] = {.lex_state = 0, .external_lex_state = 7},
  [7663] = {.lex_state = 0, .external_lex_state = 7},
  [7664] = {.lex_state = 0, .external_lex_state = 7},
  [7665] = {.lex_state = 0, .external_lex_state = 7},
  [7666] = {.lex_state = 0, .external_lex_state = 7},
  [7667] = {.lex_state = 0, .external_lex_state = 7},
  [7668] = {.lex_state = 0, .external_lex_state = 7},
  [7669] = {.lex_state = 0, .external_lex_state = 7},
  [7670] = {.lex_state = 0, .external_lex_state = 7},
  [7671] = {.lex_state = 0, .external_lex_state = 7},
  [7672] = {.lex_state = 27, .external_lex_state = 7},
  [7673] = {.lex_state = 0, .external_lex_state = 7},
  [7674] = {.lex_state = 0, .external_lex_state = 7},
  [7675] = {.lex_state = 0, .external_lex_state = 7},
  [7676] = {.lex_state = 0, .external_lex_state = 7},
  [7677] = {.lex_state = 0, .external_lex_state = 7},
  [7678] = {.lex_state = 0, .external_lex_state = 6},
  [7679] = {.lex_state = 88, .external_lex_state = 6},
  [7680] = {.lex_state = 27, .external_lex_state = 7},
  [7681] = {.lex_state = 0, .external_lex_state = 7},
  [7682] = {.lex_state = 0, .external_lex_state = 7},
  [7683] = {.lex_state = 0, .external_lex_state = 7},
  [7684] = {.lex_state = 0, .external_lex_state = 7},
  [7685] = {.lex_state = 0, .external_lex_state = 7},
  [7686] = {.lex_state = 0, .external_lex_state = 7},
  [7687] = {.lex_state = 0, .external_lex_state = 7},
  [7688] = {.lex_state = 0, .external_lex_state = 7},
  [7689] = {.lex_state = 0, .external_lex_state = 7},
  [7690] = {.lex_state = 0, .external_lex_state = 7},
  [7691] = {.lex_state = 27, .external_lex_state = 7},
  [7692] = {.lex_state = 0, .external_lex_state = 7},
  [7693] = {.lex_state = 0, .external_lex_state = 7},
  [7694] = {.lex_state = 0, .external_lex_state = 6},
  [7695] = {.lex_state = 0, .external_lex_state = 6},
  [7696] = {.lex_state = 0, .external_lex_state = 7},
  [7697] = {.lex_state = 0, .external_lex_state = 7},
  [7698] = {.lex_state = 0, .external_lex_state = 7},
  [7699] = {.lex_state = 0, .external_lex_state = 7},
  [7700] = {.lex_state = 0, .external_lex_state = 7},
  [7701] = {.lex_state = 27, .external_lex_state = 7},
  [7702] = {.lex_state = 0, .external_lex_state = 7},
  [7703] = {.lex_state = 0, .external_lex_state = 7},
  [7704] = {.lex_state = 0, .external_lex_state = 7},
  [7705] = {.lex_state = 0, .external_lex_state = 7},
  [7706] = {.lex_state = 0, .external_lex_state = 7},
  [7707] = {.lex_state = 27, .external_lex_state = 7},
  [7708] = {.lex_state = 0, .external_lex_state = 7},
  [7709] = {.lex_state = 0, .external_lex_state = 7},
  [7710] = {.lex_state = 0, .external_lex_state = 6},
  [7711] = {.lex_state = 0, .external_lex_state = 7},
  [7712] = {.lex_state = 0, .external_lex_state = 7},
  [7713] = {.lex_state = 0, .external_lex_state = 5},
  [7714] = {.lex_state = 0, .external_lex_state = 7},
  [7715] = {.lex_state = 0, .external_lex_state = 7},
  [7716] = {.lex_state = 0, .external_lex_state = 7},
  [7717] = {.lex_state = 0, .external_lex_state = 6},
  [7718] = {.lex_state = 0, .external_lex_state = 7},
  [7719] = {.lex_state = 0, .external_lex_state = 7},
  [7720] = {.lex_state = 0, .external_lex_state = 6},
  [7721] = {.lex_state = 0, .external_lex_state = 7},
  [7722] = {.lex_state = 0, .external_lex_state = 7},
  [7723] = {.lex_state = 0, .external_lex_state = 7},
  [7724] = {.lex_state = 0, .external_lex_state = 7},
  [7725] = {.lex_state = 0, .external_lex_state = 7},
  [7726] = {.lex_state = 0, .external_lex_state = 7},
  [7727] = {.lex_state = 0, .external_lex_state = 7},
  [7728] = {.lex_state = 27, .external_lex_state = 7},
  [7729] = {.lex_state = 0, .external_lex_state = 7},
  [7730] = {.lex_state = 0, .external_lex_state = 7},
  [7731] = {.lex_state = 0, .external_lex_state = 7},
  [7732] = {.lex_state = 0, .external_lex_state = 7},
  [7733] = {.lex_state = 0, .external_lex_state = 7},
  [7734] = {.lex_state = 0, .external_lex_state = 7},
  [7735] = {.lex_state = 0, .external_lex_state = 7},
  [7736] = {.lex_state = 0, .external_lex_state = 7},
  [7737] = {.lex_state = 0, .external_lex_state = 6},
  [7738] = {.lex_state = 0, .external_lex_state = 7},
  [7739] = {.lex_state = 0, .external_lex_state = 7},
  [7740] = {.lex_state = 0, .external_lex_state = 7},
  [7741] = {.lex_state = 0, .external_lex_state = 7},
  [7742] = {.lex_state = 0, .external_lex_state = 7},
  [7743] = {.lex_state = 0, .external_lex_state = 7},
  [7744] = {.lex_state = 0, .external_lex_state = 7},
  [7745] = {.lex_state = 0, .external_lex_state = 7},
  [7746] = {.lex_state = 0, .external_lex_state = 7},
  [7747] = {.lex_state = 0, .external_lex_state = 7},
  [7748] = {.lex_state = 0, .external_lex_state = 7},
  [7749] = {.lex_state = 0, .external_lex_state = 7},
  [7750] = {.lex_state = 0, .external_lex_state = 7},
  [7751] = {.lex_state = 0, .external_lex_state = 7},
  [7752] = {.lex_state = 0, .external_lex_state = 7},
  [7753] = {.lex_state = 0, .external_lex_state = 7},
  [7754] = {.lex_state = 0, .external_lex_state = 7},
  [7755] = {.lex_state = 0, .external_lex_state = 7},
  [7756] = {.lex_state = 0, .external_lex_state = 7},
  [7757] = {.lex_state = 0, .external_lex_state = 7},
  [7758] = {.lex_state = 0, .external_lex_state = 7},
  [7759] = {.lex_state = 0, .external_lex_state = 7},
  [7760] = {.lex_state = 0, .external_lex_state = 7},
  [7761] = {.lex_state = 0, .external_lex_state = 7},
  [7762] = {.lex_state = 0, .external_lex_state = 7},
  [7763] = {.lex_state = 0, .external_lex_state = 7},
  [7764] = {.lex_state = 0, .external_lex_state = 7},
  [7765] = {.lex_state = 27, .external_lex_state = 7},
  [7766] = {.lex_state = 0, .external_lex_state = 7},
  [7767] = {.lex_state = 0, .external_lex_state = 7},
  [7768] = {.lex_state = 0, .external_lex_state = 7},
  [7769] = {.lex_state = 0, .external_lex_state = 7},
  [7770] = {.lex_state = 0, .external_lex_state = 7},
  [7771] = {.lex_state = 0, .external_lex_state = 7},
  [7772] = {.lex_state = 0, .external_lex_state = 7},
  [7773] = {.lex_state = 0, .external_lex_state = 7},
  [7774] = {.lex_state = 0, .external_lex_state = 7},
  [7775] = {.lex_state = 0, .external_lex_state = 6},
  [7776] = {.lex_state = 0, .external_lex_state = 7},
  [7777] = {.lex_state = 0, .external_lex_state = 7},
  [7778] = {.lex_state = 0, .external_lex_state = 7},
  [7779] = {.lex_state = 0, .external_lex_state = 7},
  [7780] = {.lex_state = 0, .external_lex_state = 7},
  [7781] = {.lex_state = 0, .external_lex_state = 7},
  [7782] = {.lex_state = 27, .external_lex_state = 7},
  [7783] = {.lex_state = 0, .external_lex_state = 7},
  [7784] = {.lex_state = 0, .external_lex_state = 7},
  [7785] = {.lex_state = 0, .external_lex_state = 7},
  [7786] = {.lex_state = 0, .external_lex_state = 7},
  [7787] = {.lex_state = 0, .external_lex_state = 7},
  [7788] = {.lex_state = 0, .external_lex_state = 7},
  [7789] = {.lex_state = 0, .external_lex_state = 7},
  [7790] = {.lex_state = 0, .external_lex_state = 7},
  [7791] = {.lex_state = 0, .external_lex_state = 7},
  [7792] = {.lex_state = 0, .external_lex_state = 7},
  [7793] = {.lex_state = 0, .external_lex_state = 7},
  [7794] = {.lex_state = 0, .external_lex_state = 7},
  [7795] = {.lex_state = 0, .external_lex_state = 7},
  [7796] = {.lex_state = 88, .external_lex_state = 6},
  [7797] = {.lex_state = 0, .external_lex_state = 7},
  [7798] = {.lex_state = 0, .external_lex_state = 7},
  [7799] = {.lex_state = 0, .external_lex_state = 7},
  [7800] = {.lex_state = 0, .external_lex_state = 7},
  [7801] = {.lex_state = 0, .external_lex_state = 7},
  [7802] = {.lex_state = 0, .external_lex_state = 7},
  [7803] = {.lex_state = 0, .external_lex_state = 7},
  [7804] = {.lex_state = 0, .external_lex_state = 7},
  [7805] = {.lex_state = 0, .external_lex_state = 7},
  [7806] = {.lex_state = 0, .external_lex_state = 7},
  [7807] = {.lex_state = 88, .external_lex_state = 6},
  [7808] = {.lex_state = 0, .external_lex_state = 7},
  [7809] = {.lex_state = 0, .external_lex_state = 7},
  [7810] = {.lex_state = 0, .external_lex_state = 7},
  [7811] = {.lex_state = 0, .external_lex_state = 7},
  [7812] = {.lex_state = 0, .external_lex_state = 7},
  [7813] = {.lex_state = 0, .external_lex_state = 7},
  [7814] = {.lex_state = 0, .external_lex_state = 7},
  [7815] = {.lex_state = 0, .external_lex_state = 7},
  [7816] = {.lex_state = 0, .external_lex_state = 7},
  [7817] = {.lex_state = 0, .external_lex_state = 6},
  [7818] = {.lex_state = 0, .external_lex_state = 7},
  [7819] = {.lex_state = 0, .external_lex_state = 7},
  [7820] = {.lex_state = 0, .external_lex_state = 7},
  [7821] = {.lex_state = 0, .external_lex_state = 7},
  [7822] = {.lex_state = 0, .external_lex_state = 7},
  [7823] = {.lex_state = 0, .external_lex_state = 7},
  [7824] = {.lex_state = 0, .external_lex_state = 7},
  [7825] = {.lex_state = 0, .external_lex_state = 7},
  [7826] = {.lex_state = 0, .external_lex_state = 7},
  [7827] = {.lex_state = 0, .external_lex_state = 7},
  [7828] = {.lex_state = 0, .external_lex_state = 7},
  [7829] = {.lex_state = 0, .external_lex_state = 7},
  [7830] = {.lex_state = 0, .external_lex_state = 7},
  [7831] = {.lex_state = 0, .external_lex_state = 7},
  [7832] = {.lex_state = 0, .external_lex_state = 7},
  [7833] = {.lex_state = 0, .external_lex_state = 7},
  [7834] = {.lex_state = 0, .external_lex_state = 7},
  [7835] = {.lex_state = 0, .external_lex_state = 7},
  [7836] = {.lex_state = 0, .external_lex_state = 7},
  [7837] = {.lex_state = 0, .external_lex_state = 7},
  [7838] = {.lex_state = 0, .external_lex_state = 7},
  [7839] = {.lex_state = 0, .external_lex_state = 7},
  [7840] = {.lex_state = 0, .external_lex_state = 7},
  [7841] = {.lex_state = 27, .external_lex_state = 7},
  [7842] = {.lex_state = 0, .external_lex_state = 7},
  [7843] = {.lex_state = 0, .external_lex_state = 7},
  [7844] = {.lex_state = 0, .external_lex_state = 7},
  [7845] = {.lex_state = 0, .external_lex_state = 7},
  [7846] = {.lex_state = 0, .external_lex_state = 7},
  [7847] = {.lex_state = 0, .external_lex_state = 7},
  [7848] = {.lex_state = 0, .external_lex_state = 7},
  [7849] = {.lex_state = 0, .external_lex_state = 7},
  [7850] = {.lex_state = 0, .external_lex_state = 7},
  [7851] = {.lex_state = 0, .external_lex_state = 7},
  [7852] = {.lex_state = 0, .external_lex_state = 7},
  [7853] = {.lex_state = 0, .external_lex_state = 7},
  [7854] = {.lex_state = 0, .external_lex_state = 7},
  [7855] = {.lex_state = 0, .external_lex_state = 7},
  [7856] = {.lex_state = 0, .external_lex_state = 7},
  [7857] = {.lex_state = 0, .external_lex_state = 7},
  [7858] = {.lex_state = 0, .external_lex_state = 7},
  [7859] = {.lex_state = 0, .external_lex_state = 7},
  [7860] = {.lex_state = 0, .external_lex_state = 7},
  [7861] = {.lex_state = 0, .external_lex_state = 7},
  [7862] = {.lex_state = 0, .external_lex_state = 7},
  [7863] = {.lex_state = 0, .external_lex_state = 7},
  [7864] = {.lex_state = 0, .external_lex_state = 7},
  [7865] = {.lex_state = 27, .external_lex_state = 7},
  [7866] = {.lex_state = 0, .external_lex_state = 7},
  [7867] = {.lex_state = 0, .external_lex_state = 7},
  [7868] = {.lex_state = 0, .external_lex_state = 7},
  [7869] = {.lex_state = 0, .external_lex_state = 7},
  [7870] = {.lex_state = 0, .external_lex_state = 7},
  [7871] = {.lex_state = 0, .external_lex_state = 7},
  [7872] = {.lex_state = 0, .external_lex_state = 7},
  [7873] = {.lex_state = 0, .external_lex_state = 7},
  [7874] = {.lex_state = 0, .external_lex_state = 7},
  [7875] = {.lex_state = 0, .external_lex_state = 7},
  [7876] = {.lex_state = 0, .external_lex_state = 7},
  [7877] = {.lex_state = 0, .external_lex_state = 7},
  [7878] = {.lex_state = 0, .external_lex_state = 7},
  [7879] = {.lex_state = 0, .external_lex_state = 7},
  [7880] = {.lex_state = 0, .external_lex_state = 7},
  [7881] = {.lex_state = 0, .external_lex_state = 7},
  [7882] = {.lex_state = 0, .external_lex_state = 7},
  [7883] = {.lex_state = 0, .external_lex_state = 7},
  [7884] = {.lex_state = 0, .external_lex_state = 7},
  [7885] = {.lex_state = 0, .external_lex_state = 7},
  [7886] = {.lex_state = 0, .external_lex_state = 7},
  [7887] = {.lex_state = 0, .external_lex_state = 7},
  [7888] = {.lex_state = 0, .external_lex_state = 7},
  [7889] = {.lex_state = 0, .external_lex_state = 7},
  [7890] = {.lex_state = 0, .external_lex_state = 7},
  [7891] = {.lex_state = 0, .external_lex_state = 7},
  [7892] = {.lex_state = 0, .external_lex_state = 7},
  [7893] = {.lex_state = 0, .external_lex_state = 7},
  [7894] = {.lex_state = 0, .external_lex_state = 7},
  [7895] = {.lex_state = 0, .external_lex_state = 7},
  [7896] = {.lex_state = 0, .external_lex_state = 6},
  [7897] = {.lex_state = 0, .external_lex_state = 7},
  [7898] = {.lex_state = 0, .external_lex_state = 7},
  [7899] = {.lex_state = 0, .external_lex_state = 7},
  [7900] = {.lex_state = 0, .external_lex_state = 7},
  [7901] = {.lex_state = 0, .external_lex_state = 7},
  [7902] = {.lex_state = 0, .external_lex_state = 7},
  [7903] = {.lex_state = 0, .external_lex_state = 7},
  [7904] = {.lex_state = 0, .external_lex_state = 7},
  [7905] = {.lex_state = 0, .external_lex_state = 7},
  [7906] = {.lex_state = 0, .external_lex_state = 7},
  [7907] = {.lex_state = 0, .external_lex_state = 7},
  [7908] = {.lex_state = 0, .external_lex_state = 7},
  [7909] = {.lex_state = 0, .external_lex_state = 7},
  [7910] = {.lex_state = 0, .external_lex_state = 7},
  [7911] = {.lex_state = 0, .external_lex_state = 7},
  [7912] = {.lex_state = 0, .external_lex_state = 7},
  [7913] = {.lex_state = 0, .external_lex_state = 7},
  [7914] = {.lex_state = 0, .external_lex_state = 7},
  [7915] = {.lex_state = 0, .external_lex_state = 7},
  [7916] = {.lex_state = 0, .external_lex_state = 7},
  [7917] = {.lex_state = 0, .external_lex_state = 7},
  [7918] = {.lex_state = 0, .external_lex_state = 7},
  [7919] = {.lex_state = 0, .external_lex_state = 7},
  [7920] = {.lex_state = 0, .external_lex_state = 7},
  [7921] = {.lex_state = 0, .external_lex_state = 7},
  [7922] = {.lex_state = 0, .external_lex_state = 7},
  [7923] = {.lex_state = 0, .external_lex_state = 7},
  [7924] = {.lex_state = 0, .external_lex_state = 7},
  [7925] = {.lex_state = 0, .external_lex_state = 6},
  [7926] = {.lex_state = 0, .external_lex_state = 7},
  [7927] = {.lex_state = 0, .external_lex_state = 7},
  [7928] = {.lex_state = 0, .external_lex_state = 7},
  [7929] = {.lex_state = 0, .external_lex_state = 7},
  [7930] = {.lex_state = 0, .external_lex_state = 7},
  [7931] = {.lex_state = 0, .external_lex_state = 7},
  [7932] = {.lex_state = 0, .external_lex_state = 7},
  [7933] = {.lex_state = 0, .external_lex_state = 7},
  [7934] = {.lex_state = 0, .external_lex_state = 7},
  [7935] = {.lex_state = 0, .external_lex_state = 7},
  [7936] = {.lex_state = 0, .external_lex_state = 7},
  [7937] = {.lex_state = 0, .external_lex_state = 7},
  [7938] = {.lex_state = 27, .external_lex_state = 7},
  [7939] = {.lex_state = 0, .external_lex_state = 7},
  [7940] = {.lex_state = 0, .external_lex_state = 7},
  [7941] = {.lex_state = 0, .external_lex_state = 7},
  [7942] = {.lex_state = 0, .external_lex_state = 7},
  [7943] = {.lex_state = 0, .external_lex_state = 7},
  [7944] = {.lex_state = 0, .external_lex_state = 7},
  [7945] = {.lex_state = 0, .external_lex_state = 7},
  [7946] = {.lex_state = 0, .external_lex_state = 7},
  [7947] = {.lex_state = 0, .external_lex_state = 7},
  [7948] = {.lex_state = 0, .external_lex_state = 7},
  [7949] = {.lex_state = 0, .external_lex_state = 7},
  [7950] = {.lex_state = 0, .external_lex_state = 7},
  [7951] = {.lex_state = 0, .external_lex_state = 7},
  [7952] = {.lex_state = 0, .external_lex_state = 7},
  [7953] = {.lex_state = 0, .external_lex_state = 7},
  [7954] = {.lex_state = 0, .external_lex_state = 7},
  [7955] = {.lex_state = 0, .external_lex_state = 7},
  [7956] = {.lex_state = 0, .external_lex_state = 7},
  [7957] = {.lex_state = 0, .external_lex_state = 7},
  [7958] = {.lex_state = 0, .external_lex_state = 7},
  [7959] = {.lex_state = 0, .external_lex_state = 7},
  [7960] = {.lex_state = 0, .external_lex_state = 7},
  [7961] = {.lex_state = 0, .external_lex_state = 7},
  [7962] = {.lex_state = 0, .external_lex_state = 7},
  [7963] = {.lex_state = 0, .external_lex_state = 7},
  [7964] = {.lex_state = 0, .external_lex_state = 7},
  [7965] = {.lex_state = 0, .external_lex_state = 7},
  [7966] = {.lex_state = 0, .external_lex_state = 7},
  [7967] = {.lex_state = 0, .external_lex_state = 7},
  [7968] = {.lex_state = 0, .external_lex_state = 7},
  [7969] = {.lex_state = 0, .external_lex_state = 7},
  [7970] = {.lex_state = 0, .external_lex_state = 7},
  [7971] = {.lex_state = 88, .external_lex_state = 6},
  [7972] = {.lex_state = 0, .external_lex_state = 7},
  [7973] = {.lex_state = 0, .external_lex_state = 7},
  [7974] = {.lex_state = 0, .external_lex_state = 7},
  [7975] = {.lex_state = 0, .external_lex_state = 7},
  [7976] = {.lex_state = 0, .external_lex_state = 7},
  [7977] = {.lex_state = 0, .external_lex_state = 7},
  [7978] = {.lex_state = 0, .external_lex_state = 7},
  [7979] = {.lex_state = 0, .external_lex_state = 7},
  [7980] = {.lex_state = 0, .external_lex_state = 7},
  [7981] = {.lex_state = 0, .external_lex_state = 7},
  [7982] = {.lex_state = 0, .external_lex_state = 7},
  [7983] = {.lex_state = 0, .external_lex_state = 7},
  [7984] = {.lex_state = 0, .external_lex_state = 7},
  [7985] = {.lex_state = 0, .external_lex_state = 7},
  [7986] = {.lex_state = 0, .external_lex_state = 7},
  [7987] = {.lex_state = 88, .external_lex_state = 6},
  [7988] = {.lex_state = 0, .external_lex_state = 7},
  [7989] = {.lex_state = 0, .external_lex_state = 7},
  [7990] = {.lex_state = 0, .external_lex_state = 7},
  [7991] = {.lex_state = 0, .external_lex_state = 7},
  [7992] = {.lex_state = 0, .external_lex_state = 7},
  [7993] = {.lex_state = 0, .external_lex_state = 7},
  [7994] = {.lex_state = 0, .external_lex_state = 7},
  [7995] = {.lex_state = 0, .external_lex_state = 7},
  [7996] = {.lex_state = 0, .external_lex_state = 7},
  [7997] = {.lex_state = 28, .external_lex_state = 7},
  [7998] = {.lex_state = 0, .external_lex_state = 7},
  [7999] = {.lex_state = 0, .external_lex_state = 6},
  [8000] = {.lex_state = 0, .external_lex_state = 7},
  [8001] = {.lex_state = 0, .external_lex_state = 7},
  [8002] = {.lex_state = 0, .external_lex_state = 7},
  [8003] = {.lex_state = 0, .external_lex_state = 7},
  [8004] = {.lex_state = 0, .external_lex_state = 7},
  [8005] = {.lex_state = 0, .external_lex_state = 7},
  [8006] = {.lex_state = 0, .external_lex_state = 7},
  [8007] = {.lex_state = 0, .external_lex_state = 7},
  [8008] = {.lex_state = 0, .external_lex_state = 7},
  [8009] = {.lex_state = 0, .external_lex_state = 7},
  [8010] = {.lex_state = 0, .external_lex_state = 7},
  [8011] = {.lex_state = 0, .external_lex_state = 7},
  [8012] = {.lex_state = 0, .external_lex_state = 7},
  [8013] = {.lex_state = 0, .external_lex_state = 7},
  [8014] = {.lex_state = 0, .external_lex_state = 7},
  [8015] = {.lex_state = 0, .external_lex_state = 6},
  [8016] = {.lex_state = 0, .external_lex_state = 7},
  [8017] = {.lex_state = 0, .external_lex_state = 7},
  [8018] = {.lex_state = 0, .external_lex_state = 7},
  [8019] = {.lex_state = 0, .external_lex_state = 7},
  [8020] = {.lex_state = 0, .external_lex_state = 7},
  [8021] = {.lex_state = 0, .external_lex_state = 7},
  [8022] = {.lex_state = 0, .external_lex_state = 7},
  [8023] = {.lex_state = 0, .external_lex_state = 7},
  [8024] = {.lex_state = 0, .external_lex_state = 7},
  [8025] = {.lex_state = 0, .external_lex_state = 7},
  [8026] = {.lex_state = 0, .external_lex_state = 7},
  [8027] = {.lex_state = 0, .external_lex_state = 7},
  [8028] = {.lex_state = 0, .external_lex_state = 7},
  [8029] = {.lex_state = 0, .external_lex_state = 7},
  [8030] = {.lex_state = 0, .external_lex_state = 7},
  [8031] = {.lex_state = 0, .external_lex_state = 7},
  [8032] = {.lex_state = 0, .external_lex_state = 7},
  [8033] = {.lex_state = 0, .external_lex_state = 7},
  [8034] = {.lex_state = 0, .external_lex_state = 7},
  [8035] = {.lex_state = 0, .external_lex_state = 7},
  [8036] = {.lex_state = 0, .external_lex_state = 7},
  [8037] = {.lex_state = 0, .external_lex_state = 7},
  [8038] = {.lex_state = 0, .external_lex_state = 7},
  [8039] = {.lex_state = 0, .external_lex_state = 7},
  [8040] = {.lex_state = 0, .external_lex_state = 7},
  [8041] = {.lex_state = 0, .external_lex_state = 7},
  [8042] = {.lex_state = 0, .external_lex_state = 7},
  [8043] = {.lex_state = 88, .external_lex_state = 6},
  [8044] = {.lex_state = 0, .external_lex_state = 7},
  [8045] = {.lex_state = 0, .external_lex_state = 7},
  [8046] = {.lex_state = 0, .external_lex_state = 7},
  [8047] = {.lex_state = 0, .external_lex_state = 7},
  [8048] = {.lex_state = 0, .external_lex_state = 7},
  [8049] = {.lex_state = 0, .external_lex_state = 7},
  [8050] = {.lex_state = 0, .external_lex_state = 7},
  [8051] = {.lex_state = 0, .external_lex_state = 7},
  [8052] = {.lex_state = 0, .external_lex_state = 7},
  [8053] = {.lex_state = 0, .external_lex_state = 7},
  [8054] = {.lex_state = 0, .external_lex_state = 6},
  [8055] = {.lex_state = 0, .external_lex_state = 7},
  [8056] = {.lex_state = 0, .external_lex_state = 7},
  [8057] = {.lex_state = 0, .external_lex_state = 7},
  [8058] = {.lex_state = 0, .external_lex_state = 7},
  [8059] = {.lex_state = 0, .external_lex_state = 7},
  [8060] = {.lex_state = 0, .external_lex_state = 7},
  [8061] = {.lex_state = 0, .external_lex_state = 7},
  [8062] = {.lex_state = 0, .external_lex_state = 7},
  [8063] = {.lex_state = 0, .external_lex_state = 7},
  [8064] = {.lex_state = 0, .external_lex_state = 7},
  [8065] = {.lex_state = 0, .external_lex_state = 7},
  [8066] = {.lex_state = 0, .external_lex_state = 7},
  [8067] = {.lex_state = 28, .external_lex_state = 7},
  [8068] = {.lex_state = 0, .external_lex_state = 7},
  [8069] = {.lex_state = 0, .external_lex_state = 7},
  [8070] = {.lex_state = 0, .external_lex_state = 7},
  [8071] = {.lex_state = 0, .external_lex_state = 7},
  [8072] = {.lex_state = 0, .external_lex_state = 7},
  [8073] = {.lex_state = 28, .external_lex_state = 7},
  [8074] = {.lex_state = 0, .external_lex_state = 7},
  [8075] = {.lex_state = 0, .external_lex_state = 7},
  [8076] = {.lex_state = 0, .external_lex_state = 7},
  [8077] = {.lex_state = 0, .external_lex_state = 6},
  [8078] = {.lex_state = 0, .external_lex_state = 7},
  [8079] = {.lex_state = 0, .external_lex_state = 7},
  [8080] = {.lex_state = 0, .external_lex_state = 7},
  [8081] = {.lex_state = 0, .external_lex_state = 7},
  [8082] = {.lex_state = 0, .external_lex_state = 7},
  [8083] = {.lex_state = 0, .external_lex_state = 7},
  [8084] = {.lex_state = 0, .external_lex_state = 7},
  [8085] = {.lex_state = 0, .external_lex_state = 7},
  [8086] = {.lex_state = 0, .external_lex_state = 7},
  [8087] = {.lex_state = 0, .external_lex_state = 7},
  [8088] = {.lex_state = 0, .external_lex_state = 7},
  [8089] = {.lex_state = 0, .external_lex_state = 7},
  [8090] = {.lex_state = 0, .external_lex_state = 7},
  [8091] = {.lex_state = 28, .external_lex_state = 7},
  [8092] = {.lex_state = 0, .external_lex_state = 6},
  [8093] = {.lex_state = 0, .external_lex_state = 7},
  [8094] = {.lex_state = 0, .external_lex_state = 7},
  [8095] = {.lex_state = 0, .external_lex_state = 7},
  [8096] = {.lex_state = 0, .external_lex_state = 7},
  [8097] = {.lex_state = 0, .external_lex_state = 7},
  [8098] = {.lex_state = 0, .external_lex_state = 7},
  [8099] = {.lex_state = 0, .external_lex_state = 7},
  [8100] = {.lex_state = 0, .external_lex_state = 7},
  [8101] = {.lex_state = 28, .external_lex_state = 7},
  [8102] = {.lex_state = 0, .external_lex_state = 7},
  [8103] = {.lex_state = 0, .external_lex_state = 7},
  [8104] = {.lex_state = 0, .external_lex_state = 7},
  [8105] = {.lex_state = 0, .external_lex_state = 7},
  [8106] = {.lex_state = 0, .external_lex_state = 7},
  [8107] = {.lex_state = 0, .external_lex_state = 7},
  [8108] = {.lex_state = 0, .external_lex_state = 7},
  [8109] = {.lex_state = 0, .external_lex_state = 7},
  [8110] = {.lex_state = 0, .external_lex_state = 7},
  [8111] = {.lex_state = 0, .external_lex_state = 7},
  [8112] = {.lex_state = 28, .external_lex_state = 7},
  [8113] = {.lex_state = 0, .external_lex_state = 7},
  [8114] = {.lex_state = 0, .external_lex_state = 7},
  [8115] = {.lex_state = 0, .external_lex_state = 7},
  [8116] = {.lex_state = 0, .external_lex_state = 7},
  [8117] = {.lex_state = 0, .external_lex_state = 7},
  [8118] = {.lex_state = 0, .external_lex_state = 7},
  [8119] = {.lex_state = 0, .external_lex_state = 7},
  [8120] = {.lex_state = 0, .external_lex_state = 7},
  [8121] = {.lex_state = 0, .external_lex_state = 7},
  [8122] = {.lex_state = 0, .external_lex_state = 7},
  [8123] = {.lex_state = 0, .external_lex_state = 7},
  [8124] = {.lex_state = 0, .external_lex_state = 7},
  [8125] = {.lex_state = 0, .external_lex_state = 7},
  [8126] = {.lex_state = 0, .external_lex_state = 7},
  [8127] = {.lex_state = 0, .external_lex_state = 7},
  [8128] = {.lex_state = 28, .external_lex_state = 7},
  [8129] = {.lex_state = 0, .external_lex_state = 6},
  [8130] = {.lex_state = 0, .external_lex_state = 7},
  [8131] = {.lex_state = 0, .external_lex_state = 7},
  [8132] = {.lex_state = 0, .external_lex_state = 7},
  [8133] = {.lex_state = 0, .external_lex_state = 7},
  [8134] = {.lex_state = 0, .external_lex_state = 7},
  [8135] = {.lex_state = 0, .external_lex_state = 7},
  [8136] = {.lex_state = 0, .external_lex_state = 7},
  [8137] = {.lex_state = 0, .external_lex_state = 7},
  [8138] = {.lex_state = 0, .external_lex_state = 6},
  [8139] = {.lex_state = 0, .external_lex_state = 7},
  [8140] = {.lex_state = 0, .external_lex_state = 6},
  [8141] = {.lex_state = 0, .external_lex_state = 7},
  [8142] = {.lex_state = 0, .external_lex_state = 7},
  [8143] = {.lex_state = 28, .external_lex_state = 7},
  [8144] = {.lex_state = 0, .external_lex_state = 6},
  [8145] = {.lex_state = 0, .external_lex_state = 7},
  [8146] = {.lex_state = 0, .external_lex_state = 7},
  [8147] = {.lex_state = 0, .external_lex_state = 7},
  [8148] = {.lex_state = 0, .external_lex_state = 7},
  [8149] = {.lex_state = 0, .external_lex_state = 7},
  [8150] = {.lex_state = 0, .external_lex_state = 7},
  [8151] = {.lex_state = 0, .external_lex_state = 7},
  [8152] = {.lex_state = 0, .external_lex_state = 7},
  [8153] = {.lex_state = 0, .external_lex_state = 7},
  [8154] = {.lex_state = 0, .external_lex_state = 6},
  [8155] = {.lex_state = 28, .external_lex_state = 7},
  [8156] = {.lex_state = 28, .external_lex_state = 7},
  [8157] = {.lex_state = 0, .external_lex_state = 6},
  [8158] = {.lex_state = 0, .external_lex_state = 7},
  [8159] = {.lex_state = 0, .external_lex_state = 7},
  [8160] = {.lex_state = 0, .external_lex_state = 7},
  [8161] = {.lex_state = 0, .external_lex_state = 7},
  [8162] = {.lex_state = 0, .external_lex_state = 7},
  [8163] = {.lex_state = 0, .external_lex_state = 7},
  [8164] = {.lex_state = 0, .external_lex_state = 6},
  [8165] = {.lex_state = 28, .external_lex_state = 7},
  [8166] = {.lex_state = 0, .external_lex_state = 7},
  [8167] = {.lex_state = 0, .external_lex_state = 7},
  [8168] = {.lex_state = 0, .external_lex_state = 7},
  [8169] = {.lex_state = 0, .external_lex_state = 7},
  [8170] = {.lex_state = 0, .external_lex_state = 7},
  [8171] = {.lex_state = 0, .external_lex_state = 7},
  [8172] = {.lex_state = 28, .external_lex_state = 7},
  [8173] = {.lex_state = 0, .external_lex_state = 6},
  [8174] = {.lex_state = 0, .external_lex_state = 6},
  [8175] = {.lex_state = 0, .external_lex_state = 6},
  [8176] = {.lex_state = 0, .external_lex_state = 7},
  [8177] = {.lex_state = 0, .external_lex_state = 7},
  [8178] = {.lex_state = 0, .external_lex_state = 7},
  [8179] = {.lex_state = 0, .external_lex_state = 7},
  [8180] = {.lex_state = 0, .external_lex_state = 7},
  [8181] = {.lex_state = 0, .external_lex_state = 7},
  [8182] = {.lex_state = 0, .external_lex_state = 6},
  [8183] = {.lex_state = 0, .external_lex_state = 7},
  [8184] = {.lex_state = 0, .external_lex_state = 6},
  [8185] = {.lex_state = 0, .external_lex_state = 6},
  [8186] = {.lex_state = 0, .external_lex_state = 6},
  [8187] = {.lex_state = 0, .external_lex_state = 7},
  [8188] = {.lex_state = 0, .external_lex_state = 7},
  [8189] = {.lex_state = 0, .external_lex_state = 7},
  [8190] = {.lex_state = 0, .external_lex_state = 7},
  [8191] = {.lex_state = 0, .external_lex_state = 7},
  [8192] = {.lex_state = 0, .external_lex_state = 7},
  [8193] = {.lex_state = 0, .external_lex_state = 7},
  [8194] = {.lex_state = 0, .external_lex_state = 7},
  [8195] = {.lex_state = 0, .external_lex_state = 7},
  [8196] = {.lex_state = 0, .external_lex_state = 7},
  [8197] = {.lex_state = 0, .external_lex_state = 6},
  [8198] = {.lex_state = 0, .external_lex_state = 6},
  [8199] = {.lex_state = 0, .external_lex_state = 7},
  [8200] = {.lex_state = 0, .external_lex_state = 7},
  [8201] = {.lex_state = 0, .external_lex_state = 7},
  [8202] = {.lex_state = 0, .external_lex_state = 7},
  [8203] = {.lex_state = 0, .external_lex_state = 7},
  [8204] = {.lex_state = 0, .external_lex_state = 7},
  [8205] = {.lex_state = 0, .external_lex_state = 7},
  [8206] = {.lex_state = 0, .external_lex_state = 6},
  [8207] = {.lex_state = 0, .external_lex_state = 7},
  [8208] = {.lex_state = 0, .external_lex_state = 6},
  [8209] = {.lex_state = 0, .external_lex_state = 6},
  [8210] = {.lex_state = 0, .external_lex_state = 7},
  [8211] = {.lex_state = 0, .external_lex_state = 7},
  [8212] = {.lex_state = 0, .external_lex_state = 7},
  [8213] = {.lex_state = 0, .external_lex_state = 7},
  [8214] = {.lex_state = 0, .external_lex_state = 7},
  [8215] = {.lex_state = 0, .external_lex_state = 7},
  [8216] = {.lex_state = 0, .external_lex_state = 6},
  [8217] = {.lex_state = 0, .external_lex_state = 7},
  [8218] = {.lex_state = 0, .external_lex_state = 7},
  [8219] = {.lex_state = 0, .external_lex_state = 7},
  [8220] = {.lex_state = 0, .external_lex_state = 6},
  [8221] = {.lex_state = 0, .external_lex_state = 7},
  [8222] = {.lex_state = 0, .external_lex_state = 7},
  [8223] = {.lex_state = 0, .external_lex_state = 7},
  [8224] = {.lex_state = 0, .external_lex_state = 7},
  [8225] = {.lex_state = 0, .external_lex_state = 7},
  [8226] = {.lex_state = 0, .external_lex_state = 7},
  [8227] = {.lex_state = 0, .external_lex_state = 7},
  [8228] = {.lex_state = 0, .external_lex_state = 7},
  [8229] = {.lex_state = 0, .external_lex_state = 7},
  [8230] = {.lex_state = 0, .external_lex_state = 7},
  [8231] = {.lex_state = 0, .external_lex_state = 7},
  [8232] = {.lex_state = 0, .external_lex_state = 7},
  [8233] = {.lex_state = 0, .external_lex_state = 7},
  [8234] = {.lex_state = 0, .external_lex_state = 7},
  [8235] = {.lex_state = 0, .external_lex_state = 7},
  [8236] = {.lex_state = 0, .external_lex_state = 7},
  [8237] = {.lex_state = 0, .external_lex_state = 6},
  [8238] = {.lex_state = 0, .external_lex_state = 6},
  [8239] = {.lex_state = 0, .external_lex_state = 7},
  [8240] = {.lex_state = 0, .external_lex_state = 7},
  [8241] = {.lex_state = 0, .external_lex_state = 7},
  [8242] = {.lex_state = 0, .external_lex_state = 7},
  [8243] = {.lex_state = 0, .external_lex_state = 7},
  [8244] = {.lex_state = 0, .external_lex_state = 7},
  [8245] = {.lex_state = 0, .external_lex_state = 7},
  [8246] = {.lex_state = 0, .external_lex_state = 7},
  [8247] = {.lex_state = 0, .external_lex_state = 7},
  [8248] = {.lex_state = 0, .external_lex_state = 7},
  [8249] = {.lex_state = 0, .external_lex_state = 7},
  [8250] = {.lex_state = 0, .external_lex_state = 7},
  [8251] = {.lex_state = 0, .external_lex_state = 7},
  [8252] = {.lex_state = 0, .external_lex_state = 7},
  [8253] = {.lex_state = 0, .external_lex_state = 7},
  [8254] = {.lex_state = 0, .external_lex_state = 7},
  [8255] = {.lex_state = 0, .external_lex_state = 7},
  [8256] = {.lex_state = 0, .external_lex_state = 7},
  [8257] = {.lex_state = 0, .external_lex_state = 7},
  [8258] = {.lex_state = 0, .external_lex_state = 7},
  [8259] = {.lex_state = 0, .external_lex_state = 7},
  [8260] = {.lex_state = 0, .external_lex_state = 7},
  [8261] = {.lex_state = 0, .external_lex_state = 7},
  [8262] = {.lex_state = 0, .external_lex_state = 6},
  [8263] = {.lex_state = 0, .external_lex_state = 6},
  [8264] = {.lex_state = 0, .external_lex_state = 7},
  [8265] = {.lex_state = 0, .external_lex_state = 7},
  [8266] = {.lex_state = 0, .external_lex_state = 7},
  [8267] = {.lex_state = 0, .external_lex_state = 7},
  [8268] = {.lex_state = 0, .external_lex_state = 7},
  [8269] = {.lex_state = 0, .external_lex_state = 7},
  [8270] = {.lex_state = 0, .external_lex_state = 7},
  [8271] = {.lex_state = 0, .external_lex_state = 7},
  [8272] = {.lex_state = 0, .external_lex_state = 7},
  [8273] = {.lex_state = 0, .external_lex_state = 7},
  [8274] = {.lex_state = 0, .external_lex_state = 7},
  [8275] = {.lex_state = 0, .external_lex_state = 7},
  [8276] = {.lex_state = 0, .external_lex_state = 7},
  [8277] = {.lex_state = 0, .external_lex_state = 7},
  [8278] = {.lex_state = 0, .external_lex_state = 7},
  [8279] = {.lex_state = 0, .external_lex_state = 6},
  [8280] = {.lex_state = 0, .external_lex_state = 6},
  [8281] = {.lex_state = 0, .external_lex_state = 7},
  [8282] = {.lex_state = 0, .external_lex_state = 7},
  [8283] = {.lex_state = 0, .external_lex_state = 7},
  [8284] = {.lex_state = 0, .external_lex_state = 7},
  [8285] = {.lex_state = 0, .external_lex_state = 7},
  [8286] = {.lex_state = 0, .external_lex_state = 7},
  [8287] = {.lex_state = 0, .external_lex_state = 7},
  [8288] = {.lex_state = 0, .external_lex_state = 7},
  [8289] = {.lex_state = 0, .external_lex_state = 7},
  [8290] = {.lex_state = 0, .external_lex_state = 6},
  [8291] = {.lex_state = 0, .external_lex_state = 7},
  [8292] = {.lex_state = 0, .external_lex_state = 6},
  [8293] = {.lex_state = 0, .external_lex_state = 6},
  [8294] = {.lex_state = 0, .external_lex_state = 6},
  [8295] = {.lex_state = 0, .external_lex_state = 7},
  [8296] = {.lex_state = 0, .external_lex_state = 7},
  [8297] = {.lex_state = 0, .external_lex_state = 6},
  [8298] = {.lex_state = 0, .external_lex_state = 7},
  [8299] = {.lex_state = 0, .external_lex_state = 7},
  [8300] = {.lex_state = 0, .external_lex_state = 7},
  [8301] = {.lex_state = 0, .external_lex_state = 7},
  [8302] = {.lex_state = 0, .external_lex_state = 7},
  [8303] = {.lex_state = 0, .external_lex_state = 7},
  [8304] = {.lex_state = 0, .external_lex_state = 7},
  [8305] = {.lex_state = 0, .external_lex_state = 6},
  [8306] = {.lex_state = 0, .external_lex_state = 6},
  [8307] = {.lex_state = 0, .external_lex_state = 7},
  [8308] = {.lex_state = 0, .external_lex_state = 7},
  [8309] = {.lex_state = 0, .external_lex_state = 7},
  [8310] = {.lex_state = 0, .external_lex_state = 7},
  [8311] = {.lex_state = 0, .external_lex_state = 7},
  [8312] = {.lex_state = 0, .external_lex_state = 7},
  [8313] = {.lex_state = 0, .external_lex_state = 6},
  [8314] = {.lex_state = 0, .external_lex_state = 6},
  [8315] = {.lex_state = 0, .external_lex_state = 7},
  [8316] = {.lex_state = 0, .external_lex_state = 7},
  [8317] = {.lex_state = 0, .external_lex_state = 7},
  [8318] = {.lex_state = 0, .external_lex_state = 7},
  [8319] = {.lex_state = 0, .external_lex_state = 6},
  [8320] = {.lex_state = 0, .external_lex_state = 7},
  [8321] = {.lex_state = 0, .external_lex_state = 7},
  [8322] = {.lex_state = 0, .external_lex_state = 7},
  [8323] = {.lex_state = 0, .external_lex_state = 7},
  [8324] = {.lex_state = 0, .external_lex_state = 7},
  [8325] = {.lex_state = 0, .external_lex_state = 7},
  [8326] = {.lex_state = 0, .external_lex_state = 7},
  [8327] = {.lex_state = 0, .external_lex_state = 7},
  [8328] = {.lex_state = 0, .external_lex_state = 7},
  [8329] = {.lex_state = 0, .external_lex_state = 7},
  [8330] = {.lex_state = 0, .external_lex_state = 6},
  [8331] = {.lex_state = 0, .external_lex_state = 7},
  [8332] = {.lex_state = 0, .external_lex_state = 7},
  [8333] = {.lex_state = 0, .external_lex_state = 7},
  [8334] = {.lex_state = 0, .external_lex_state = 7},
  [8335] = {.lex_state = 0, .external_lex_state = 7},
  [8336] = {.lex_state = 0, .external_lex_state = 7},
  [8337] = {.lex_state = 0, .external_lex_state = 7},
  [8338] = {.lex_state = 0, .external_lex_state = 7},
  [8339] = {.lex_state = 0, .external_lex_state = 7},
  [8340] = {.lex_state = 0, .external_lex_state = 7},
  [8341] = {.lex_state = 0, .external_lex_state = 7},
  [8342] = {.lex_state = 0, .external_lex_state = 7},
  [8343] = {.lex_state = 0, .external_lex_state = 7},
  [8344] = {.lex_state = 0, .external_lex_state = 7},
  [8345] = {.lex_state = 0, .external_lex_state = 7},
  [8346] = {.lex_state = 0, .external_lex_state = 7},
  [8347] = {.lex_state = 0, .external_lex_state = 7},
  [8348] = {.lex_state = 0, .external_lex_state = 7},
  [8349] = {.lex_state = 0, .external_lex_state = 7},
  [8350] = {.lex_state = 0, .external_lex_state = 7},
  [8351] = {.lex_state = 0, .external_lex_state = 7},
  [8352] = {.lex_state = 0, .external_lex_state = 7},
  [8353] = {.lex_state = 0, .external_lex_state = 7},
  [8354] = {.lex_state = 0, .external_lex_state = 7},
  [8355] = {.lex_state = 0, .external_lex_state = 7},
  [8356] = {.lex_state = 0, .external_lex_state = 7},
  [8357] = {.lex_state = 0, .external_lex_state = 7},
  [8358] = {.lex_state = 0, .external_lex_state = 6},
  [8359] = {.lex_state = 0, .external_lex_state = 7},
  [8360] = {.lex_state = 0, .external_lex_state = 7},
  [8361] = {.lex_state = 0, .external_lex_state = 7},
  [8362] = {.lex_state = 0, .external_lex_state = 7},
  [8363] = {.lex_state = 0, .external_lex_state = 7},
  [8364] = {.lex_state = 0, .external_lex_state = 7},
  [8365] = {.lex_state = 0, .external_lex_state = 7},
  [8366] = {.lex_state = 0, .external_lex_state = 7},
  [8367] = {.lex_state = 0, .external_lex_state = 7},
  [8368] = {.lex_state = 0, .external_lex_state = 7},
  [8369] = {.lex_state = 0, .external_lex_state = 7},
  [8370] = {.lex_state = 0, .external_lex_state = 7},
  [8371] = {.lex_state = 0, .external_lex_state = 7},
  [8372] = {.lex_state = 0, .external_lex_state = 7},
  [8373] = {.lex_state = 0, .external_lex_state = 7},
  [8374] = {.lex_state = 0, .external_lex_state = 7},
  [8375] = {.lex_state = 0, .external_lex_state = 7},
  [8376] = {.lex_state = 0, .external_lex_state = 7},
  [8377] = {.lex_state = 0, .external_lex_state = 7},
  [8378] = {.lex_state = 0, .external_lex_state = 6},
  [8379] = {.lex_state = 0, .external_lex_state = 6},
  [8380] = {.lex_state = 0, .external_lex_state = 7},
  [8381] = {.lex_state = 0, .external_lex_state = 7},
  [8382] = {.lex_state = 0, .external_lex_state = 7},
  [8383] = {.lex_state = 0, .external_lex_state = 6},
  [8384] = {.lex_state = 0, .external_lex_state = 7},
  [8385] = {.lex_state = 0, .external_lex_state = 7},
  [8386] = {.lex_state = 0, .external_lex_state = 7},
  [8387] = {.lex_state = 0, .external_lex_state = 7},
  [8388] = {.lex_state = 0, .external_lex_state = 7},
  [8389] = {.lex_state = 0, .external_lex_state = 7},
  [8390] = {.lex_state = 0, .external_lex_state = 7},
  [8391] = {.lex_state = 0, .external_lex_state = 7},
  [8392] = {.lex_state = 0, .external_lex_state = 7},
  [8393] = {.lex_state = 0, .external_lex_state = 7},
  [8394] = {.lex_state = 0, .external_lex_state = 7},
  [8395] = {.lex_state = 0, .external_lex_state = 7},
  [8396] = {.lex_state = 0, .external_lex_state = 7},
  [8397] = {.lex_state = 0, .external_lex_state = 7},
  [8398] = {.lex_state = 0, .external_lex_state = 7},
  [8399] = {.lex_state = 0, .external_lex_state = 7},
  [8400] = {.lex_state = 0, .external_lex_state = 7},
  [8401] = {.lex_state = 0, .external_lex_state = 7},
  [8402] = {.lex_state = 0, .external_lex_state = 7},
  [8403] = {.lex_state = 0, .external_lex_state = 7},
  [8404] = {.lex_state = 0, .external_lex_state = 7},
  [8405] = {.lex_state = 0, .external_lex_state = 7},
  [8406] = {.lex_state = 0, .external_lex_state = 7},
  [8407] = {.lex_state = 0, .external_lex_state = 7},
  [8408] = {.lex_state = 0, .external_lex_state = 7},
  [8409] = {.lex_state = 0, .external_lex_state = 7},
  [8410] = {.lex_state = 0, .external_lex_state = 7},
  [8411] = {.lex_state = 0, .external_lex_state = 7},
  [8412] = {.lex_state = 0, .external_lex_state = 7},
  [8413] = {.lex_state = 0, .external_lex_state = 7},
  [8414] = {.lex_state = 0, .external_lex_state = 7},
  [8415] = {.lex_state = 0, .external_lex_state = 7},
  [8416] = {.lex_state = 0, .external_lex_state = 7},
  [8417] = {.lex_state = 0, .external_lex_state = 7},
  [8418] = {.lex_state = 0, .external_lex_state = 7},
  [8419] = {.lex_state = 0, .external_lex_state = 7},
  [8420] = {.lex_state = 0, .external_lex_state = 7},
  [8421] = {.lex_state = 0, .external_lex_state = 7},
  [8422] = {.lex_state = 0, .external_lex_state = 7},
  [8423] = {.lex_state = 0, .external_lex_state = 7},
  [8424] = {.lex_state = 0, .external_lex_state = 7},
  [8425] = {.lex_state = 0, .external_lex_state = 7},
  [8426] = {.lex_state = 0, .external_lex_state = 7},
  [8427] = {.lex_state = 0, .external_lex_state = 7},
  [8428] = {.lex_state = 0, .external_lex_state = 7},
  [8429] = {.lex_state = 0, .external_lex_state = 7},
  [8430] = {.lex_state = 0, .external_lex_state = 7},
  [8431] = {.lex_state = 0, .external_lex_state = 7},
  [8432] = {.lex_state = 0, .external_lex_state = 7},
  [8433] = {.lex_state = 0, .external_lex_state = 7},
  [8434] = {.lex_state = 0, .external_lex_state = 7},
  [8435] = {.lex_state = 0, .external_lex_state = 7},
  [8436] = {.lex_state = 0, .external_lex_state = 7},
  [8437] = {.lex_state = 0, .external_lex_state = 7},
  [8438] = {.lex_state = 0, .external_lex_state = 7},
  [8439] = {.lex_state = 0, .external_lex_state = 7},
  [8440] = {.lex_state = 0, .external_lex_state = 7},
  [8441] = {.lex_state = 0, .external_lex_state = 7},
  [8442] = {.lex_state = 0, .external_lex_state = 7},
  [8443] = {.lex_state = 0, .external_lex_state = 7},
  [8444] = {.lex_state = 0, .external_lex_state = 7},
  [8445] = {.lex_state = 0, .external_lex_state = 7},
  [8446] = {.lex_state = 0, .external_lex_state = 7},
  [8447] = {.lex_state = 0, .external_lex_state = 7},
  [8448] = {.lex_state = 0, .external_lex_state = 7},
  [8449] = {.lex_state = 0, .external_lex_state = 7},
  [8450] = {.lex_state = 0, .external_lex_state = 7},
  [8451] = {.lex_state = 0, .external_lex_state = 7},
  [8452] = {.lex_state = 0, .external_lex_state = 7},
  [8453] = {.lex_state = 0, .external_lex_state = 7},
  [8454] = {.lex_state = 0, .external_lex_state = 7},
  [8455] = {.lex_state = 0, .external_lex_state = 7},
  [8456] = {.lex_state = 0, .external_lex_state = 7},
  [8457] = {.lex_state = 0, .external_lex_state = 7},
  [8458] = {.lex_state = 0, .external_lex_state = 7},
  [8459] = {.lex_state = 0, .external_lex_state = 7},
  [8460] = {.lex_state = 0, .external_lex_state = 7},
  [8461] = {.lex_state = 0, .external_lex_state = 7},
  [8462] = {.lex_state = 0, .external_lex_state = 7},
  [8463] = {.lex_state = 0, .external_lex_state = 7},
  [8464] = {.lex_state = 0, .external_lex_state = 7},
  [8465] = {.lex_state = 0, .external_lex_state = 6},
  [8466] = {.lex_state = 0, .external_lex_state = 7},
  [8467] = {.lex_state = 0, .external_lex_state = 7},
  [8468] = {.lex_state = 0, .external_lex_state = 6},
  [8469] = {.lex_state = 0, .external_lex_state = 6},
  [8470] = {.lex_state = 0, .external_lex_state = 7},
  [8471] = {.lex_state = 0, .external_lex_state = 7},
  [8472] = {.lex_state = 0, .external_lex_state = 7},
  [8473] = {.lex_state = 0, .external_lex_state = 7},
  [8474] = {.lex_state = 0, .external_lex_state = 7},
  [8475] = {.lex_state = 0, .external_lex_state = 7},
  [8476] = {.lex_state = 0, .external_lex_state = 7},
  [8477] = {.lex_state = 0, .external_lex_state = 7},
  [8478] = {.lex_state = 0, .external_lex_state = 7},
  [8479] = {.lex_state = 0, .external_lex_state = 7},
  [8480] = {.lex_state = 0, .external_lex_state = 6},
  [8481] = {.lex_state = 0, .external_lex_state = 7},
  [8482] = {.lex_state = 0, .external_lex_state = 6},
  [8483] = {.lex_state = 0, .external_lex_state = 7},
  [8484] = {.lex_state = 0, .external_lex_state = 7},
  [8485] = {.lex_state = 0, .external_lex_state = 7},
  [8486] = {.lex_state = 0, .external_lex_state = 7},
  [8487] = {.lex_state = 0, .external_lex_state = 6},
  [8488] = {.lex_state = 0, .external_lex_state = 7},
  [8489] = {.lex_state = 0, .external_lex_state = 7},
  [8490] = {.lex_state = 0, .external_lex_state = 7},
  [8491] = {.lex_state = 0, .external_lex_state = 7},
  [8492] = {.lex_state = 0, .external_lex_state = 7},
  [8493] = {.lex_state = 0, .external_lex_state = 7},
  [8494] = {.lex_state = 0, .external_lex_state = 7},
  [8495] = {.lex_state = 0, .external_lex_state = 7},
  [8496] = {.lex_state = 0, .external_lex_state = 7},
  [8497] = {.lex_state = 0, .external_lex_state = 7},
  [8498] = {.lex_state = 0, .external_lex_state = 7},
  [8499] = {.lex_state = 0, .external_lex_state = 7},
  [8500] = {.lex_state = 0, .external_lex_state = 6},
  [8501] = {.lex_state = 0, .external_lex_state = 7},
  [8502] = {.lex_state = 0, .external_lex_state = 7},
  [8503] = {.lex_state = 0, .external_lex_state = 7},
  [8504] = {.lex_state = 0, .external_lex_state = 7},
  [8505] = {.lex_state = 0, .external_lex_state = 7},
  [8506] = {.lex_state = 0, .external_lex_state = 6},
  [8507] = {.lex_state = 0, .external_lex_state = 6},
  [8508] = {.lex_state = 0, .external_lex_state = 7},
  [8509] = {.lex_state = 0, .external_lex_state = 7},
  [8510] = {.lex_state = 0, .external_lex_state = 7},
  [8511] = {.lex_state = 0, .external_lex_state = 7},
  [8512] = {.lex_state = 0, .external_lex_state = 7},
  [8513] = {.lex_state = 0, .external_lex_state = 7},
  [8514] = {.lex_state = 0, .external_lex_state = 7},
  [8515] = {.lex_state = 0, .external_lex_state = 7},
  [8516] = {.lex_state = 0, .external_lex_state = 7},
  [8517] = {.lex_state = 0, .external_lex_state = 7},
  [8518] = {.lex_state = 0, .external_lex_state = 7},
  [8519] = {.lex_state = 0, .external_lex_state = 7},
  [8520] = {.lex_state = 0, .external_lex_state = 7},
  [8521] = {.lex_state = 0, .external_lex_state = 7},
  [8522] = {.lex_state = 0, .external_lex_state = 7},
  [8523] = {.lex_state = 0, .external_lex_state = 7},
  [8524] = {.lex_state = 0, .external_lex_state = 7},
  [8525] = {.lex_state = 0, .external_lex_state = 6},
  [8526] = {.lex_state = 0, .external_lex_state = 7},
  [8527] = {.lex_state = 0, .external_lex_state = 7},
  [8528] = {.lex_state = 0, .external_lex_state = 7},
  [8529] = {.lex_state = 0, .external_lex_state = 7},
  [8530] = {.lex_state = 0, .external_lex_state = 7},
  [8531] = {.lex_state = 0, .external_lex_state = 7},
  [8532] = {.lex_state = 0, .external_lex_state = 7},
  [8533] = {.lex_state = 0, .external_lex_state = 6},
  [8534] = {.lex_state = 0, .external_lex_state = 7},
  [8535] = {.lex_state = 0, .external_lex_state = 6},
  [8536] = {.lex_state = 0, .external_lex_state = 7},
  [8537] = {.lex_state = 0, .external_lex_state = 6},
  [8538] = {.lex_state = 0, .external_lex_state = 7},
  [8539] = {.lex_state = 0, .external_lex_state = 6},
  [8540] = {.lex_state = 0, .external_lex_state = 7},
  [8541] = {.lex_state = 0, .external_lex_state = 7},
  [8542] = {.lex_state = 0, .external_lex_state = 7},
  [8543] = {.lex_state = 0, .external_lex_state = 7},
  [8544] = {.lex_state = 0, .external_lex_state = 7},
  [8545] = {.lex_state = 0, .external_lex_state = 7},
  [8546] = {.lex_state = 0, .external_lex_state = 7},
  [8547] = {.lex_state = 0, .external_lex_state = 7},
  [8548] = {.lex_state = 0, .external_lex_state = 7},
  [8549] = {.lex_state = 0, .external_lex_state = 7},
  [8550] = {.lex_state = 0, .external_lex_state = 7},
  [8551] = {.lex_state = 0, .external_lex_state = 7},
  [8552] = {.lex_state = 0, .external_lex_state = 7},
  [8553] = {.lex_state = 0, .external_lex_state = 7},
  [8554] = {.lex_state = 0, .external_lex_state = 7},
  [8555] = {.lex_state = 0, .external_lex_state = 6},
  [8556] = {.lex_state = 0, .external_lex_state = 7},
  [8557] = {.lex_state = 0, .external_lex_state = 7},
  [8558] = {.lex_state = 0, .external_lex_state = 7},
  [8559] = {.lex_state = 0, .external_lex_state = 7},
  [8560] = {.lex_state = 0, .external_lex_state = 6},
  [8561] = {.lex_state = 0, .external_lex_state = 6},
  [8562] = {.lex_state = 0, .external_lex_state = 7},
  [8563] = {.lex_state = 0, .external_lex_state = 7},
  [8564] = {.lex_state = 0, .external_lex_state = 7},
  [8565] = {.lex_state = 0, .external_lex_state = 7},
  [8566] = {.lex_state = 0, .external_lex_state = 7},
  [8567] = {.lex_state = 0, .external_lex_state = 7},
  [8568] = {.lex_state = 0, .external_lex_state = 7},
  [8569] = {.lex_state = 0, .external_lex_state = 6},
  [8570] = {.lex_state = 0, .external_lex_state = 7},
  [8571] = {.lex_state = 0, .external_lex_state = 7},
  [8572] = {.lex_state = 0, .external_lex_state = 7},
  [8573] = {.lex_state = 0, .external_lex_state = 7},
  [8574] = {.lex_state = 0, .external_lex_state = 7},
  [8575] = {.lex_state = 0, .external_lex_state = 7},
  [8576] = {.lex_state = 0, .external_lex_state = 7},
  [8577] = {.lex_state = 0, .external_lex_state = 7},
  [8578] = {.lex_state = 0, .external_lex_state = 7},
  [8579] = {.lex_state = 0, .external_lex_state = 7},
  [8580] = {.lex_state = 0, .external_lex_state = 7},
  [8581] = {.lex_state = 0, .external_lex_state = 7},
  [8582] = {.lex_state = 0, .external_lex_state = 7},
  [8583] = {.lex_state = 0, .external_lex_state = 7},
  [8584] = {.lex_state = 0, .external_lex_state = 7},
  [8585] = {.lex_state = 0, .external_lex_state = 7},
  [8586] = {.lex_state = 0, .external_lex_state = 6},
  [8587] = {.lex_state = 0, .external_lex_state = 7},
  [8588] = {.lex_state = 0, .external_lex_state = 7},
  [8589] = {.lex_state = 0, .external_lex_state = 7},
  [8590] = {.lex_state = 0, .external_lex_state = 6},
  [8591] = {.lex_state = 0, .external_lex_state = 7},
  [8592] = {.lex_state = 0, .external_lex_state = 7},
  [8593] = {.lex_state = 0, .external_lex_state = 6},
  [8594] = {.lex_state = 0, .external_lex_state = 7},
  [8595] = {.lex_state = 0, .external_lex_state = 7},
  [8596] = {.lex_state = 0, .external_lex_state = 7},
  [8597] = {.lex_state = 0, .external_lex_state = 6},
  [8598] = {.lex_state = 0, .external_lex_state = 7},
  [8599] = {.lex_state = 0, .external_lex_state = 6},
  [8600] = {.lex_state = 0, .external_lex_state = 7},
  [8601] = {.lex_state = 0, .external_lex_state = 7},
  [8602] = {.lex_state = 0, .external_lex_state = 7},
  [8603] = {.lex_state = 0, .external_lex_state = 7},
  [8604] = {.lex_state = 0, .external_lex_state = 7},
  [8605] = {.lex_state = 0, .external_lex_state = 7},
  [8606] = {.lex_state = 0, .external_lex_state = 7},
  [8607] = {.lex_state = 0, .external_lex_state = 7},
  [8608] = {.lex_state = 0, .external_lex_state = 7},
  [8609] = {.lex_state = 0, .external_lex_state = 7},
  [8610] = {.lex_state = 0, .external_lex_state = 7},
  [8611] = {.lex_state = 0, .external_lex_state = 7},
  [8612] = {.lex_state = 0, .external_lex_state = 7},
  [8613] = {.lex_state = 0, .external_lex_state = 7},
  [8614] = {.lex_state = 0, .external_lex_state = 7},
  [8615] = {.lex_state = 0, .external_lex_state = 7},
  [8616] = {.lex_state = 0, .external_lex_state = 7},
  [8617] = {.lex_state = 0, .external_lex_state = 7},
  [8618] = {.lex_state = 0, .external_lex_state = 7},
  [8619] = {.lex_state = 0, .external_lex_state = 7},
  [8620] = {.lex_state = 0, .external_lex_state = 7},
  [8621] = {.lex_state = 0, .external_lex_state = 7},
  [8622] = {.lex_state = 0, .external_lex_state = 7},
  [8623] = {.lex_state = 0, .external_lex_state = 7},
  [8624] = {.lex_state = 0, .external_lex_state = 7},
  [8625] = {.lex_state = 0, .external_lex_state = 7},
  [8626] = {.lex_state = 0, .external_lex_state = 7},
  [8627] = {.lex_state = 0, .external_lex_state = 7},
  [8628] = {.lex_state = 0, .external_lex_state = 7},
  [8629] = {.lex_state = 0, .external_lex_state = 7},
  [8630] = {.lex_state = 0, .external_lex_state = 7},
  [8631] = {.lex_state = 0, .external_lex_state = 7},
  [8632] = {.lex_state = 0, .external_lex_state = 7},
  [8633] = {.lex_state = 0, .external_lex_state = 7},
  [8634] = {.lex_state = 0, .external_lex_state = 7},
  [8635] = {.lex_state = 0, .external_lex_state = 7},
  [8636] = {.lex_state = 0, .external_lex_state = 7},
  [8637] = {.lex_state = 0, .external_lex_state = 7},
  [8638] = {.lex_state = 0, .external_lex_state = 7},
  [8639] = {.lex_state = 0, .external_lex_state = 7},
  [8640] = {.lex_state = 0, .external_lex_state = 7},
  [8641] = {.lex_state = 0, .external_lex_state = 7},
  [8642] = {.lex_state = 0, .external_lex_state = 7},
  [8643] = {.lex_state = 0, .external_lex_state = 7},
  [8644] = {.lex_state = 0, .external_lex_state = 7},
  [8645] = {.lex_state = 0, .external_lex_state = 7},
  [8646] = {.lex_state = 0, .external_lex_state = 7},
  [8647] = {.lex_state = 0, .external_lex_state = 7},
  [8648] = {.lex_state = 0, .external_lex_state = 7},
  [8649] = {.lex_state = 0, .external_lex_state = 7},
  [8650] = {.lex_state = 0, .external_lex_state = 7},
  [8651] = {.lex_state = 0, .external_lex_state = 7},
  [8652] = {.lex_state = 0, .external_lex_state = 6},
  [8653] = {.lex_state = 0, .external_lex_state = 7},
  [8654] = {.lex_state = 0, .external_lex_state = 7},
  [8655] = {.lex_state = 0, .external_lex_state = 7},
  [8656] = {.lex_state = 0, .external_lex_state = 7},
  [8657] = {.lex_state = 0, .external_lex_state = 6},
  [8658] = {.lex_state = 0, .external_lex_state = 7},
  [8659] = {.lex_state = 0, .external_lex_state = 7},
  [8660] = {.lex_state = 0, .external_lex_state = 7},
  [8661] = {.lex_state = 0, .external_lex_state = 6},
  [8662] = {.lex_state = 0, .external_lex_state = 7},
  [8663] = {.lex_state = 0, .external_lex_state = 7},
  [8664] = {.lex_state = 0, .external_lex_state = 7},
  [8665] = {.lex_state = 0, .external_lex_state = 7},
  [8666] = {.lex_state = 0, .external_lex_state = 7},
  [8667] = {.lex_state = 0, .external_lex_state = 6},
  [8668] = {.lex_state = 0, .external_lex_state = 7},
  [8669] = {.lex_state = 0, .external_lex_state = 7},
  [8670] = {.lex_state = 0, .external_lex_state = 7},
  [8671] = {.lex_state = 0, .external_lex_state = 7},
  [8672] = {.lex_state = 0, .external_lex_state = 7},
  [8673] = {.lex_state = 0, .external_lex_state = 7},
  [8674] = {.lex_state = 0, .external_lex_state = 7},
  [8675] = {.lex_state = 0, .external_lex_state = 7},
  [8676] = {.lex_state = 0, .external_lex_state = 6},
  [8677] = {.lex_state = 0, .external_lex_state = 7},
  [8678] = {.lex_state = 0, .external_lex_state = 7},
  [8679] = {.lex_state = 0, .external_lex_state = 7},
  [8680] = {.lex_state = 0, .external_lex_state = 7},
  [8681] = {.lex_state = 0, .external_lex_state = 7},
  [8682] = {.lex_state = 0, .external_lex_state = 7},
  [8683] = {.lex_state = 0, .external_lex_state = 7},
  [8684] = {.lex_state = 0, .external_lex_state = 6},
  [8685] = {.lex_state = 0, .external_lex_state = 6},
  [8686] = {.lex_state = 0, .external_lex_state = 7},
  [8687] = {.lex_state = 0, .external_lex_state = 6},
  [8688] = {.lex_state = 0, .external_lex_state = 6},
  [8689] = {.lex_state = 0, .external_lex_state = 7},
  [8690] = {.lex_state = 0, .external_lex_state = 7},
  [8691] = {.lex_state = 0, .external_lex_state = 7},
  [8692] = {.lex_state = 0, .external_lex_state = 7},
  [8693] = {.lex_state = 0, .external_lex_state = 7},
  [8694] = {.lex_state = 0, .external_lex_state = 7},
  [8695] = {.lex_state = 0, .external_lex_state = 7},
  [8696] = {.lex_state = 0, .external_lex_state = 7},
  [8697] = {.lex_state = 0, .external_lex_state = 7},
  [8698] = {.lex_state = 0, .external_lex_state = 7},
  [8699] = {.lex_state = 0, .external_lex_state = 7},
  [8700] = {.lex_state = 0, .external_lex_state = 7},
  [8701] = {.lex_state = 0, .external_lex_state = 7},
  [8702] = {.lex_state = 0, .external_lex_state = 7},
  [8703] = {.lex_state = 0, .external_lex_state = 7},
  [8704] = {.lex_state = 0, .external_lex_state = 7},
  [8705] = {.lex_state = 0, .external_lex_state = 7},
  [8706] = {.lex_state = 0, .external_lex_state = 7},
  [8707] = {.lex_state = 0, .external_lex_state = 7},
  [8708] = {.lex_state = 0, .external_lex_state = 6},
  [8709] = {.lex_state = 0, .external_lex_state = 7},
  [8710] = {.lex_state = 0, .external_lex_state = 7},
  [8711] = {.lex_state = 0, .external_lex_state = 7},
  [8712] = {.lex_state = 0, .external_lex_state = 7},
  [8713] = {.lex_state = 0, .external_lex_state = 7},
  [8714] = {.lex_state = 0, .external_lex_state = 6},
  [8715] = {.lex_state = 0, .external_lex_state = 7},
  [8716] = {.lex_state = 0, .external_lex_state = 7},
  [8717] = {.lex_state = 0, .external_lex_state = 7},
  [8718] = {.lex_state = 0, .external_lex_state = 6},
  [8719] = {.lex_state = 0, .external_lex_state = 7},
  [8720] = {.lex_state = 0, .external_lex_state = 7},
  [8721] = {.lex_state = 0, .external_lex_state = 7},
  [8722] = {.lex_state = 0, .external_lex_state = 7},
  [8723] = {.lex_state = 0, .external_lex_state = 6},
  [8724] = {.lex_state = 0, .external_lex_state = 6},
  [8725] = {.lex_state = 0, .external_lex_state = 7},
  [8726] = {.lex_state = 0, .external_lex_state = 7},
  [8727] = {.lex_state = 0, .external_lex_state = 7},
  [8728] = {.lex_state = 0, .external_lex_state = 7},
  [8729] = {.lex_state = 0, .external_lex_state = 7},
  [8730] = {.lex_state = 0, .external_lex_state = 7},
  [8731] = {.lex_state = 0, .external_lex_state = 7},
  [8732] = {.lex_state = 0, .external_lex_state = 7},
  [8733] = {.lex_state = 0, .external_lex_state = 7},
  [8734] = {.lex_state = 0, .external_lex_state = 7},
  [8735] = {.lex_state = 0, .external_lex_state = 7},
  [8736] = {.lex_state = 0, .external_lex_state = 7},
  [8737] = {.lex_state = 0, .external_lex_state = 7},
  [8738] = {.lex_state = 0, .external_lex_state = 7},
  [8739] = {.lex_state = 0, .external_lex_state = 7},
  [8740] = {.lex_state = 0, .external_lex_state = 7},
  [8741] = {.lex_state = 0, .external_lex_state = 7},
  [8742] = {.lex_state = 0, .external_lex_state = 7},
  [8743] = {.lex_state = 0, .external_lex_state = 7},
  [8744] = {.lex_state = 0, .external_lex_state = 7},
  [8745] = {.lex_state = 0, .external_lex_state = 7},
  [8746] = {.lex_state = 0, .external_lex_state = 7},
  [8747] = {.lex_state = 0, .external_lex_state = 7},
  [8748] = {.lex_state = 0, .external_lex_state = 7},
  [8749] = {.lex_state = 0, .external_lex_state = 7},
  [8750] = {.lex_state = 0, .external_lex_state = 7},
  [8751] = {.lex_state = 0, .external_lex_state = 7},
  [8752] = {.lex_state = 0, .external_lex_state = 7},
  [8753] = {.lex_state = 0, .external_lex_state = 7},
  [8754] = {.lex_state = 0, .external_lex_state = 6},
  [8755] = {.lex_state = 0, .external_lex_state = 7},
  [8756] = {.lex_state = 0, .external_lex_state = 7},
  [8757] = {.lex_state = 0, .external_lex_state = 7},
  [8758] = {.lex_state = 0, .external_lex_state = 7},
  [8759] = {.lex_state = 0, .external_lex_state = 7},
  [8760] = {.lex_state = 0, .external_lex_state = 7},
  [8761] = {.lex_state = 0, .external_lex_state = 7},
  [8762] = {.lex_state = 0, .external_lex_state = 7},
  [8763] = {.lex_state = 0, .external_lex_state = 7},
  [8764] = {.lex_state = 0, .external_lex_state = 7},
  [8765] = {.lex_state = 0, .external_lex_state = 7},
  [8766] = {.lex_state = 0, .external_lex_state = 7},
  [8767] = {.lex_state = 0, .external_lex_state = 7},
  [8768] = {.lex_state = 0, .external_lex_state = 7},
  [8769] = {.lex_state = 0, .external_lex_state = 6},
  [8770] = {.lex_state = 0, .external_lex_state = 7},
  [8771] = {.lex_state = 0, .external_lex_state = 7},
  [8772] = {.lex_state = 0, .external_lex_state = 7},
  [8773] = {.lex_state = 0, .external_lex_state = 7},
  [8774] = {.lex_state = 0, .external_lex_state = 7},
  [8775] = {.lex_state = 0, .external_lex_state = 7},
  [8776] = {.lex_state = 0, .external_lex_state = 7},
  [8777] = {.lex_state = 0, .external_lex_state = 7},
  [8778] = {.lex_state = 0, .external_lex_state = 7},
  [8779] = {.lex_state = 0, .external_lex_state = 7},
  [8780] = {.lex_state = 0, .external_lex_state = 7},
  [8781] = {.lex_state = 0, .external_lex_state = 7},
  [8782] = {.lex_state = 0, .external_lex_state = 7},
  [8783] = {.lex_state = 0, .external_lex_state = 7},
  [8784] = {.lex_state = 0, .external_lex_state = 6},
  [8785] = {.lex_state = 0, .external_lex_state = 6},
  [8786] = {.lex_state = 0, .external_lex_state = 7},
  [8787] = {.lex_state = 0, .external_lex_state = 7},
  [8788] = {.lex_state = 0, .external_lex_state = 6},
  [8789] = {.lex_state = 0, .external_lex_state = 6},
  [8790] = {.lex_state = 0, .external_lex_state = 7},
  [8791] = {.lex_state = 0, .external_lex_state = 7},
  [8792] = {.lex_state = 0, .external_lex_state = 6},
  [8793] = {.lex_state = 0, .external_lex_state = 6},
  [8794] = {.lex_state = 0, .external_lex_state = 7},
  [8795] = {.lex_state = 0, .external_lex_state = 7},
  [8796] = {.lex_state = 0, .external_lex_state = 7},
  [8797] = {.lex_state = 0, .external_lex_state = 7},
  [8798] = {.lex_state = 0, .external_lex_state = 6},
  [8799] = {.lex_state = 0, .external_lex_state = 7},
  [8800] = {.lex_state = 0, .external_lex_state = 7},
  [8801] = {.lex_state = 0, .external_lex_state = 7},
  [8802] = {.lex_state = 0, .external_lex_state = 6},
  [8803] = {.lex_state = 0, .external_lex_state = 7},
  [8804] = {.lex_state = 0, .external_lex_state = 6},
  [8805] = {.lex_state = 0, .external_lex_state = 7},
  [8806] = {.lex_state = 0, .external_lex_state = 7},
  [8807] = {.lex_state = 0, .external_lex_state = 7},
  [8808] = {.lex_state = 0, .external_lex_state = 7},
  [8809] = {.lex_state = 0, .external_lex_state = 6},
  [8810] = {.lex_state = 0, .external_lex_state = 7},
  [8811] = {.lex_state = 0, .external_lex_state = 6},
  [8812] = {.lex_state = 0, .external_lex_state = 6},
  [8813] = {.lex_state = 0, .external_lex_state = 6},
  [8814] = {.lex_state = 0, .external_lex_state = 7},
  [8815] = {.lex_state = 0, .external_lex_state = 7},
  [8816] = {.lex_state = 0, .external_lex_state = 7},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_foreign] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_proc] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_bit_field] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_POUNDtype] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [sym_fallthrough_statement] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_or_else] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_TILDE_EQ] = ACTIONS(1),
    [anon_sym_AMP_TILDE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1),
    [anon_sym_cast] = ACTIONS(1),
    [anon_sym_transmute] = ACTIONS(1),
    [anon_sym_auto_cast] = ACTIONS(1),
    [anon_sym_not_in] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_or_return] = ACTIONS(1),
    [anon_sym_or_continue] = ACTIONS(1),
    [anon_sym_or_break] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_dynamic] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_bit_set] = ACTIONS(1),
    [anon_sym_matrix] = ACTIONS(1),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_distinct] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_nil] = ACTIONS(1),
    [sym_uninitialized] = ACTIONS(1),
    [sym_tag] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_block_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(8557),
    [sym_declaration] = STATE(7110),
    [sym_package_declaration] = STATE(7528),
    [sym_import_declaration] = STATE(7528),
    [sym_procedure_declaration] = STATE(7528),
    [sym_overloaded_procedure_declaration] = STATE(7528),
    [sym_struct_declaration] = STATE(7528),
    [sym_enum_declaration] = STATE(7528),
    [sym_union_declaration] = STATE(7528),
    [sym_bit_field_declaration] = STATE(7528),
    [sym_variable_declaration] = STATE(7528),
    [sym_const_declaration] = STATE(7528),
    [sym_const_type_declaration] = STATE(7528),
    [sym_foreign_block] = STATE(7528),
    [sym_attributes] = STATE(607),
    [sym_attribute] = STATE(5728),
    [sym_when_statement] = STATE(7528),
    [sym_var_declaration] = STATE(7528),
    [sym_expression] = STATE(5445),
    [sym__expression_no_tag] = STATE(4220),
    [sym_unary_expression] = STATE(4220),
    [sym_binary_expression] = STATE(4220),
    [sym_ternary_expression] = STATE(4220),
    [sym_call_expression] = STATE(4220),
    [sym_selector_call_expression] = STATE(4220),
    [sym_member_expression] = STATE(4220),
    [sym_index_expression] = STATE(4220),
    [sym_slice_expression] = STATE(4220),
    [sym_range_expression] = STATE(4220),
    [sym_cast_expression] = STATE(4220),
    [sym_in_expression] = STATE(4220),
    [sym_variadic_expression] = STATE(4220),
    [sym_parenthesized_expression] = STATE(4220),
    [sym_or_return_expression] = STATE(4220),
    [sym_or_continue_expression] = STATE(4220),
    [sym_or_break_expression] = STATE(4220),
    [sym_address] = STATE(4220),
    [sym_map_type] = STATE(4220),
    [sym_matrix_type] = STATE(4220),
    [sym_distinct_type] = STATE(4220),
    [sym_literal] = STATE(4220),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [aux_sym_source_file_repeat1] = STATE(191),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(17),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6957),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(7038),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6788),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6910),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6977),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6904),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6948),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6964),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6952),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6762),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6864),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6959),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6858),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6705),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6649),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6846),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6754),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6772),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6758),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_block] = STATE(7034),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6782),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression] = STATE(1170),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_where] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_STAR_EQ] = ACTIONS(129),
    [anon_sym_SLASH_EQ] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_GT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(129),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(129),
    [sym_tag] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(129),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_expression] = STATE(1174),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_where] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(165),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(165),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_expression] = STATE(2338),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(185),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(185),
    [anon_sym_BANG] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(185),
    [anon_sym_PIPE_PIPE] = ACTIONS(165),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(165),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(193),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_expression] = STATE(2350),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_STAR_EQ] = ACTIONS(129),
    [anon_sym_SLASH_EQ] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_GT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(129),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(193),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(129),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_expression] = STATE(2464),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_STAR_EQ] = ACTIONS(129),
    [anon_sym_SLASH_EQ] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_GT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(129),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(129),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_expression] = STATE(2452),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(165),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(165),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_expression] = STATE(2464),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(203),
    [anon_sym_DASH_GT] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_COLON_EQ] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_PLUS_EQ] = ACTIONS(203),
    [anon_sym_DASH_EQ] = ACTIONS(203),
    [anon_sym_STAR_EQ] = ACTIONS(203),
    [anon_sym_SLASH_EQ] = ACTIONS(203),
    [anon_sym_PERCENT_EQ] = ACTIONS(203),
    [anon_sym_AMP_EQ] = ACTIONS(203),
    [anon_sym_PIPE_EQ] = ACTIONS(203),
    [anon_sym_CARET_EQ] = ACTIONS(203),
    [anon_sym_LT_LT_EQ] = ACTIONS(203),
    [anon_sym_GT_GT_EQ] = ACTIONS(203),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(203),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(203),
    [anon_sym_when] = ACTIONS(205),
    [anon_sym_in] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_or_else] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_TILDE_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_GT_GT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(203),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(205),
    [anon_sym_or_continue] = ACTIONS(205),
    [anon_sym_or_break] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(203),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_expression] = STATE(2170),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_where] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_STAR_EQ] = ACTIONS(129),
    [anon_sym_SLASH_EQ] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_GT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(129),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(215),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(129),
    [sym_tag] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_expression] = STATE(2173),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_where] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_do] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_PIPE_PIPE] = ACTIONS(165),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(165),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(215),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_expression] = STATE(2625),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_do] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_AMP] = ACTIONS(257),
    [anon_sym_PIPE_PIPE] = ACTIONS(165),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(165),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(267),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_expression] = STATE(2626),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_STAR_EQ] = ACTIONS(129),
    [anon_sym_SLASH_EQ] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_GT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(129),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(267),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_expression] = STATE(2681),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_STAR_EQ] = ACTIONS(129),
    [anon_sym_SLASH_EQ] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_GT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(129),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_do] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(297),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_expression] = STATE(2680),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE_PIPE] = ACTIONS(165),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(165),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(297),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_expression] = STATE(4816),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_DASH_GT] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_COLON_EQ] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_PLUS_EQ] = ACTIONS(203),
    [anon_sym_DASH_EQ] = ACTIONS(203),
    [anon_sym_STAR_EQ] = ACTIONS(203),
    [anon_sym_SLASH_EQ] = ACTIONS(203),
    [anon_sym_PERCENT_EQ] = ACTIONS(203),
    [anon_sym_AMP_EQ] = ACTIONS(203),
    [anon_sym_PIPE_EQ] = ACTIONS(203),
    [anon_sym_CARET_EQ] = ACTIONS(203),
    [anon_sym_LT_LT_EQ] = ACTIONS(203),
    [anon_sym_GT_GT_EQ] = ACTIONS(203),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(203),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_do] = ACTIONS(205),
    [anon_sym_when] = ACTIONS(205),
    [anon_sym_in] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(309),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_or_else] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_TILDE_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_GT_GT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(203),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_not_in] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(315),
    [anon_sym_or_return] = ACTIONS(205),
    [anon_sym_or_continue] = ACTIONS(205),
    [anon_sym_or_break] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_expression] = STATE(2739),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_PLUS_EQ] = ACTIONS(129),
    [anon_sym_DASH_EQ] = ACTIONS(129),
    [anon_sym_STAR_EQ] = ACTIONS(129),
    [anon_sym_SLASH_EQ] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(129),
    [anon_sym_LT_LT_EQ] = ACTIONS(129),
    [anon_sym_GT_GT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(129),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(343),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(349),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_expression] = STATE(2734),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(343),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(343),
    [anon_sym_AMP] = ACTIONS(343),
    [anon_sym_PIPE_PIPE] = ACTIONS(165),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(165),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(165),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_GT_GT] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(349),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(7163),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(381),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(383),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(389),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(381),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_expression] = STATE(5710),
    [sym__expression_no_tag] = STATE(4833),
    [sym_unary_expression] = STATE(4833),
    [sym_binary_expression] = STATE(4833),
    [sym_ternary_expression] = STATE(4833),
    [sym_call_expression] = STATE(4833),
    [sym_selector_call_expression] = STATE(4833),
    [sym_member_expression] = STATE(4833),
    [sym_index_expression] = STATE(4833),
    [sym_slice_expression] = STATE(4833),
    [sym_range_expression] = STATE(4833),
    [sym_cast_expression] = STATE(4833),
    [sym_in_expression] = STATE(4833),
    [sym_variadic_expression] = STATE(4833),
    [sym_parenthesized_expression] = STATE(4833),
    [sym_or_return_expression] = STATE(4833),
    [sym_or_continue_expression] = STATE(4833),
    [sym_or_break_expression] = STATE(4833),
    [sym_address] = STATE(4833),
    [sym_map_type] = STATE(4833),
    [sym_matrix_type] = STATE(4833),
    [sym_distinct_type] = STATE(4833),
    [sym_literal] = STATE(4833),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(309),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(315),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6632),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(397),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(401),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6615),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(405),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6619),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(411),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(413),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6886),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3032),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_struct_field] = STATE(7451),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(415),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6886),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3032),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_struct_field] = STATE(7453),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(419),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6886),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3032),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_struct_field] = STATE(7689),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6886),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3032),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_struct_field] = STATE(7494),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6624),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(405),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6965),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6826),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(429),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6942),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6815),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6825),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(441),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6861),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6895),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(449),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(451),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6797),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(455),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6812),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(457),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(459),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6954),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(461),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6877),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(465),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6794),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(469),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6886),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(473),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6853),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6814),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6891),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6796),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6913),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6939),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6534),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6568),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6947),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6867),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6770),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6763),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6801),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6975),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6899),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6795),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6818),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6552),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6913),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6981),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6975),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6986),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6899),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6834),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6891),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6939),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6798),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6571),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6570),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6801),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6798),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6763),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6834),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6770),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6986),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6867),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_expression] = STATE(3111),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [ts_builtin_sym_end] = ACTIONS(129),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_where] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(503),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(129),
    [sym_tag] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(129),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_expression] = STATE(3106),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_where] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(497),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_AMP] = ACTIONS(497),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(503),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6981),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3255),
    [sym__expression_no_tag] = STATE(2480),
    [sym_unary_expression] = STATE(2480),
    [sym_binary_expression] = STATE(2480),
    [sym_ternary_expression] = STATE(2480),
    [sym_call_expression] = STATE(2480),
    [sym_selector_call_expression] = STATE(2480),
    [sym_member_expression] = STATE(2480),
    [sym_index_expression] = STATE(2480),
    [sym_slice_expression] = STATE(2480),
    [sym_range_expression] = STATE(2480),
    [sym_cast_expression] = STATE(2480),
    [sym_in_expression] = STATE(2480),
    [sym_variadic_expression] = STATE(2480),
    [sym_parenthesized_expression] = STATE(2480),
    [sym_or_return_expression] = STATE(2480),
    [sym_or_continue_expression] = STATE(2480),
    [sym_or_break_expression] = STATE(2480),
    [sym_address] = STATE(2480),
    [sym_map_type] = STATE(2480),
    [sym_matrix_type] = STATE(2480),
    [sym_distinct_type] = STATE(2480),
    [sym_literal] = STATE(2480),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6947),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_expression] = STATE(3283),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_where] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(541),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(547),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(129),
    [sym_tag] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_expression] = STATE(3278),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_where] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_do] = ACTIONS(165),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(541),
    [anon_sym_BANG] = ACTIONS(541),
    [anon_sym_AMP] = ACTIONS(541),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(547),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6795),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6796),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_block] = STATE(6882),
    [sym_tagged_block] = STATE(6882),
    [sym_import_declaration] = STATE(6882),
    [sym_procedure_declaration] = STATE(6882),
    [sym_overloaded_procedure_declaration] = STATE(6882),
    [sym_struct_declaration] = STATE(6882),
    [sym_enum_declaration] = STATE(6882),
    [sym_union_declaration] = STATE(6882),
    [sym_bit_field_declaration] = STATE(6882),
    [sym_const_declaration] = STATE(6882),
    [sym_foreign_block] = STATE(6882),
    [sym_attributes] = STATE(637),
    [sym_attribute] = STATE(5728),
    [sym_statement] = STATE(6818),
    [sym_assignment_statement] = STATE(6882),
    [sym_update_statement] = STATE(6882),
    [sym_if_statement] = STATE(6882),
    [sym_when_statement] = STATE(6882),
    [sym_for_statement] = STATE(6882),
    [sym_switch_statement] = STATE(6882),
    [sym_defer_statement] = STATE(6882),
    [sym_break_statement] = STATE(6882),
    [sym_continue_statement] = STATE(6882),
    [sym_var_declaration] = STATE(6882),
    [sym_return_statement] = STATE(6882),
    [sym_label_statement] = STATE(6882),
    [sym_using_statement] = STATE(6882),
    [sym_expression] = STATE(3231),
    [sym__expression_no_tag] = STATE(2359),
    [sym_unary_expression] = STATE(2359),
    [sym_binary_expression] = STATE(2359),
    [sym_ternary_expression] = STATE(2359),
    [sym_call_expression] = STATE(2359),
    [sym_selector_call_expression] = STATE(2359),
    [sym_member_expression] = STATE(2359),
    [sym_index_expression] = STATE(2359),
    [sym_slice_expression] = STATE(2359),
    [sym_range_expression] = STATE(2359),
    [sym_cast_expression] = STATE(2359),
    [sym_in_expression] = STATE(2359),
    [sym_variadic_expression] = STATE(2359),
    [sym_parenthesized_expression] = STATE(2359),
    [sym_or_return_expression] = STATE(2359),
    [sym_or_continue_expression] = STATE(2359),
    [sym_or_break_expression] = STATE(2359),
    [sym_address] = STATE(2359),
    [sym_map_type] = STATE(2359),
    [sym_matrix_type] = STATE(2359),
    [sym_distinct_type] = STATE(2359),
    [sym_literal] = STATE(2359),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_procedure] = STATE(6736),
    [sym_expression] = STATE(4612),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_pointer_type] = STATE(6551),
    [sym_array_type] = STATE(6551),
    [sym_map_type] = STATE(4215),
    [sym_bit_set_type] = STATE(6551),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(67),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_POUNDtype] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_procedure] = STATE(6652),
    [sym_expression] = STATE(4607),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_pointer_type] = STATE(6545),
    [sym_array_type] = STATE(6545),
    [sym_map_type] = STATE(4215),
    [sym_bit_set_type] = STATE(6545),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(67),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_POUNDtype] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_expression] = STATE(3877),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(619),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_expression] = STATE(3910),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(613),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(613),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(619),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_expression] = STATE(3866),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_expression] = STATE(3997),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(129),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(129),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_expression] = STATE(4617),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_pointer_type] = STATE(6548),
    [sym_array_type] = STATE(6548),
    [sym_map_type] = STATE(4215),
    [sym_bit_set_type] = STATE(6548),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(67),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_POUNDtype] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_expression] = STATE(3596),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_where] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(671),
    [anon_sym_BANG] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(671),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(681),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(163),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_expression] = STATE(4612),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_pointer_type] = STATE(6551),
    [sym_array_type] = STATE(6551),
    [sym_map_type] = STATE(4215),
    [sym_bit_set_type] = STATE(6551),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(67),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_POUNDtype] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_expression] = STATE(3566),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_where] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(671),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(681),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(129),
    [sym_tag] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(129),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(129),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_procedure] = STATE(4259),
    [sym_expression] = STATE(4616),
    [sym__expression_no_tag] = STATE(4244),
    [sym_unary_expression] = STATE(4244),
    [sym_binary_expression] = STATE(4244),
    [sym_ternary_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_selector_call_expression] = STATE(4244),
    [sym_member_expression] = STATE(4244),
    [sym_index_expression] = STATE(4244),
    [sym_slice_expression] = STATE(4244),
    [sym_range_expression] = STATE(4244),
    [sym_cast_expression] = STATE(4244),
    [sym_in_expression] = STATE(4244),
    [sym_variadic_expression] = STATE(4244),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_or_return_expression] = STATE(4244),
    [sym_or_continue_expression] = STATE(4244),
    [sym_or_break_expression] = STATE(4244),
    [sym_address] = STATE(4244),
    [sym_map_type] = STATE(4244),
    [sym_matrix_type] = STATE(4244),
    [sym__procedure_type] = STATE(6536),
    [sym_distinct_type] = STATE(4244),
    [sym_literal] = STATE(4244),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(709),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(709),
    [anon_sym_else] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(715),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(731),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(709),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(67),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_procedure] = STATE(1109),
    [sym_type] = STATE(1058),
    [sym_pointer_type] = STATE(1092),
    [sym_variadic_type] = STATE(1092),
    [sym_array_type] = STATE(1092),
    [sym_map_type] = STATE(1092),
    [sym_union_type] = STATE(1092),
    [sym_bit_set_type] = STATE(1092),
    [sym_matrix_type] = STATE(1092),
    [sym_field_type] = STATE(1092),
    [sym_tuple_type] = STATE(1092),
    [sym_struct_type] = STATE(1092),
    [sym_enum_type] = STATE(1092),
    [sym_bit_field_type] = STATE(1092),
    [sym_constant_type] = STATE(1092),
    [sym_specialized_type] = STATE(1092),
    [sym__procedure_type] = STATE(1092),
    [sym_distinct_type] = STATE(1092),
    [sym_empty_type] = STATE(1092),
    [sym_polymorphic_type] = STATE(1092),
    [sym_conditional_type] = STATE(1092),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(760),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_where] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(767),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(769),
    [anon_sym_bit_field] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(757),
    [anon_sym_DASH_EQ] = ACTIONS(757),
    [anon_sym_STAR_EQ] = ACTIONS(757),
    [anon_sym_SLASH_EQ] = ACTIONS(757),
    [anon_sym_PERCENT_EQ] = ACTIONS(757),
    [anon_sym_AMP_EQ] = ACTIONS(757),
    [anon_sym_PIPE_EQ] = ACTIONS(757),
    [anon_sym_CARET_EQ] = ACTIONS(757),
    [anon_sym_LT_LT_EQ] = ACTIONS(757),
    [anon_sym_GT_GT_EQ] = ACTIONS(757),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(762),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(762),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(762),
    [anon_sym_LT_LT] = ACTIONS(762),
    [anon_sym_GT_GT] = ACTIONS(762),
    [anon_sym_STAR] = ACTIONS(762),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(785),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(791),
    [anon_sym_map] = ACTIONS(793),
    [anon_sym_bit_set] = ACTIONS(795),
    [anon_sym_matrix] = ACTIONS(797),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_uninitialized] = ACTIONS(757),
    [sym_tag] = ACTIONS(799),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_expression] = STATE(4350),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_DASH_GT] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(205),
    [anon_sym_when] = ACTIONS(205),
    [anon_sym_in] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(203),
    [anon_sym_or_else] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_TILDE_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(203),
    [anon_sym_GT_GT] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(203),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_not_in] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(731),
    [anon_sym_or_return] = ACTIONS(205),
    [anon_sym_or_continue] = ACTIONS(205),
    [anon_sym_or_break] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(203),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(203),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(203),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_expression] = STATE(4242),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(129),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(129),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_expression] = STATE(4242),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(203),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_DASH_GT] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(205),
    [anon_sym_when] = ACTIONS(205),
    [anon_sym_in] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(203),
    [anon_sym_or_else] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_TILDE_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(203),
    [anon_sym_GT_GT] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(203),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(205),
    [anon_sym_or_continue] = ACTIONS(205),
    [anon_sym_or_break] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(203),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(203),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_procedure] = STATE(1109),
    [sym_type] = STATE(1056),
    [sym_pointer_type] = STATE(1092),
    [sym_variadic_type] = STATE(1092),
    [sym_array_type] = STATE(1092),
    [sym_map_type] = STATE(1092),
    [sym_union_type] = STATE(1092),
    [sym_bit_set_type] = STATE(1092),
    [sym_matrix_type] = STATE(1092),
    [sym_field_type] = STATE(1092),
    [sym_tuple_type] = STATE(1092),
    [sym_struct_type] = STATE(1092),
    [sym_enum_type] = STATE(1092),
    [sym_bit_field_type] = STATE(1092),
    [sym_constant_type] = STATE(1092),
    [sym_specialized_type] = STATE(1092),
    [sym__procedure_type] = STATE(1092),
    [sym_distinct_type] = STATE(1092),
    [sym_empty_type] = STATE(1092),
    [sym_polymorphic_type] = STATE(1092),
    [sym_conditional_type] = STATE(1092),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(760),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_where] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(767),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(769),
    [anon_sym_bit_field] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_AMP_EQ] = ACTIONS(807),
    [anon_sym_PIPE_EQ] = ACTIONS(807),
    [anon_sym_CARET_EQ] = ACTIONS(807),
    [anon_sym_LT_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_GT_EQ] = ACTIONS(807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(807),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(814),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(785),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(791),
    [anon_sym_map] = ACTIONS(793),
    [anon_sym_bit_set] = ACTIONS(795),
    [anon_sym_matrix] = ACTIONS(797),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_uninitialized] = ACTIONS(807),
    [sym_tag] = ACTIONS(820),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_expression] = STATE(4247),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(163),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_procedure] = STATE(1109),
    [sym_type] = STATE(1045),
    [sym_pointer_type] = STATE(1092),
    [sym_variadic_type] = STATE(1092),
    [sym_array_type] = STATE(1092),
    [sym_map_type] = STATE(1092),
    [sym_union_type] = STATE(1092),
    [sym_bit_set_type] = STATE(1092),
    [sym_matrix_type] = STATE(1092),
    [sym_field_type] = STATE(1092),
    [sym_tuple_type] = STATE(1092),
    [sym_struct_type] = STATE(1092),
    [sym_enum_type] = STATE(1092),
    [sym_bit_field_type] = STATE(1092),
    [sym_constant_type] = STATE(1092),
    [sym_specialized_type] = STATE(1092),
    [sym__procedure_type] = STATE(1092),
    [sym_distinct_type] = STATE(1092),
    [sym_empty_type] = STATE(1092),
    [sym_polymorphic_type] = STATE(1092),
    [sym_conditional_type] = STATE(1092),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(760),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_where] = ACTIONS(834),
    [anon_sym_struct] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(767),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(769),
    [anon_sym_bit_field] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(837),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(834),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(841),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(785),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(791),
    [anon_sym_map] = ACTIONS(793),
    [anon_sym_bit_set] = ACTIONS(795),
    [anon_sym_matrix] = ACTIONS(797),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_uninitialized] = ACTIONS(831),
    [sym_tag] = ACTIONS(849),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_procedure] = STATE(1109),
    [sym_type] = STATE(1068),
    [sym_pointer_type] = STATE(1092),
    [sym_variadic_type] = STATE(1092),
    [sym_array_type] = STATE(1092),
    [sym_map_type] = STATE(1092),
    [sym_union_type] = STATE(1092),
    [sym_bit_set_type] = STATE(1092),
    [sym_matrix_type] = STATE(1092),
    [sym_field_type] = STATE(1092),
    [sym_tuple_type] = STATE(1092),
    [sym_struct_type] = STATE(1092),
    [sym_enum_type] = STATE(1092),
    [sym_bit_field_type] = STATE(1092),
    [sym_constant_type] = STATE(1092),
    [sym_specialized_type] = STATE(1092),
    [sym__procedure_type] = STATE(1092),
    [sym_distinct_type] = STATE(1092),
    [sym_empty_type] = STATE(1092),
    [sym_polymorphic_type] = STATE(1092),
    [sym_conditional_type] = STATE(1092),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(760),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_where] = ACTIONS(856),
    [anon_sym_struct] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(767),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(769),
    [anon_sym_bit_field] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(853),
    [anon_sym_DASH_EQ] = ACTIONS(853),
    [anon_sym_STAR_EQ] = ACTIONS(853),
    [anon_sym_SLASH_EQ] = ACTIONS(853),
    [anon_sym_PERCENT_EQ] = ACTIONS(853),
    [anon_sym_AMP_EQ] = ACTIONS(853),
    [anon_sym_PIPE_EQ] = ACTIONS(853),
    [anon_sym_CARET_EQ] = ACTIONS(853),
    [anon_sym_LT_LT_EQ] = ACTIONS(853),
    [anon_sym_GT_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(856),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(856),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(856),
    [anon_sym_LT_LT] = ACTIONS(856),
    [anon_sym_GT_GT] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(856),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(785),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(791),
    [anon_sym_map] = ACTIONS(793),
    [anon_sym_bit_set] = ACTIONS(795),
    [anon_sym_matrix] = ACTIONS(797),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_uninitialized] = ACTIONS(853),
    [sym_tag] = ACTIONS(871),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(853),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_procedure] = STATE(1109),
    [sym_type] = STATE(1184),
    [sym_pointer_type] = STATE(1092),
    [sym_variadic_type] = STATE(1092),
    [sym_array_type] = STATE(1092),
    [sym_map_type] = STATE(1092),
    [sym_union_type] = STATE(1092),
    [sym_bit_set_type] = STATE(1092),
    [sym_matrix_type] = STATE(1092),
    [sym_field_type] = STATE(1092),
    [sym_tuple_type] = STATE(1092),
    [sym_struct_type] = STATE(1092),
    [sym_enum_type] = STATE(1092),
    [sym_bit_field_type] = STATE(1092),
    [sym_constant_type] = STATE(1092),
    [sym_specialized_type] = STATE(1092),
    [sym__procedure_type] = STATE(1092),
    [sym_distinct_type] = STATE(1092),
    [sym_empty_type] = STATE(1092),
    [sym_polymorphic_type] = STATE(1092),
    [sym_conditional_type] = STATE(1092),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(760),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_where] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(767),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(769),
    [anon_sym_bit_field] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(879),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_DASH_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_AMP_EQ] = ACTIONS(875),
    [anon_sym_PIPE_EQ] = ACTIONS(875),
    [anon_sym_CARET_EQ] = ACTIONS(875),
    [anon_sym_LT_LT_EQ] = ACTIONS(875),
    [anon_sym_GT_GT_EQ] = ACTIONS(875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(875),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(875),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(877),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(882),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(785),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(791),
    [anon_sym_map] = ACTIONS(793),
    [anon_sym_bit_set] = ACTIONS(795),
    [anon_sym_matrix] = ACTIONS(797),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_uninitialized] = ACTIONS(875),
    [sym_tag] = ACTIONS(888),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(875),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_procedure] = STATE(1109),
    [sym_type] = STATE(1063),
    [sym_pointer_type] = STATE(1092),
    [sym_variadic_type] = STATE(1092),
    [sym_array_type] = STATE(1092),
    [sym_map_type] = STATE(1092),
    [sym_union_type] = STATE(1092),
    [sym_bit_set_type] = STATE(1092),
    [sym_matrix_type] = STATE(1092),
    [sym_field_type] = STATE(1092),
    [sym_tuple_type] = STATE(1092),
    [sym_struct_type] = STATE(1092),
    [sym_enum_type] = STATE(1092),
    [sym_bit_field_type] = STATE(1092),
    [sym_constant_type] = STATE(1092),
    [sym_specialized_type] = STATE(1092),
    [sym__procedure_type] = STATE(1092),
    [sym_distinct_type] = STATE(1092),
    [sym_empty_type] = STATE(1092),
    [sym_polymorphic_type] = STATE(1092),
    [sym_conditional_type] = STATE(1092),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(760),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_where] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(767),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(769),
    [anon_sym_bit_field] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(895),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(898),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(785),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(791),
    [anon_sym_map] = ACTIONS(793),
    [anon_sym_bit_set] = ACTIONS(795),
    [anon_sym_matrix] = ACTIONS(797),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_uninitialized] = ACTIONS(891),
    [sym_tag] = ACTIONS(904),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_procedure] = STATE(1109),
    [sym_type] = STATE(1061),
    [sym_pointer_type] = STATE(1092),
    [sym_variadic_type] = STATE(1092),
    [sym_array_type] = STATE(1092),
    [sym_map_type] = STATE(1092),
    [sym_union_type] = STATE(1092),
    [sym_bit_set_type] = STATE(1092),
    [sym_matrix_type] = STATE(1092),
    [sym_field_type] = STATE(1092),
    [sym_tuple_type] = STATE(1092),
    [sym_struct_type] = STATE(1092),
    [sym_enum_type] = STATE(1092),
    [sym_bit_field_type] = STATE(1092),
    [sym_constant_type] = STATE(1092),
    [sym_specialized_type] = STATE(1092),
    [sym__procedure_type] = STATE(1092),
    [sym_distinct_type] = STATE(1092),
    [sym_empty_type] = STATE(1092),
    [sym_polymorphic_type] = STATE(1092),
    [sym_conditional_type] = STATE(1092),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(760),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_where] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(767),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(769),
    [anon_sym_bit_field] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_DOLLAR] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(907),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(914),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(785),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(791),
    [anon_sym_map] = ACTIONS(793),
    [anon_sym_bit_set] = ACTIONS(795),
    [anon_sym_matrix] = ACTIONS(797),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_uninitialized] = ACTIONS(907),
    [sym_tag] = ACTIONS(920),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_expression] = STATE(4345),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_case] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(731),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(163),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(163),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_expression] = STATE(4350),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(731),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(129),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(129),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_procedure] = STATE(6598),
    [sym_expression] = STATE(4654),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_procedure] = STATE(6591),
    [sym_expression] = STATE(4771),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_expression] = STATE(4422),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_COLON_COLON] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_expression] = STATE(4421),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_expression] = STATE(4422),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(203),
    [anon_sym_DASH_GT] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_COLON_EQ] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_SEMI] = ACTIONS(203),
    [anon_sym_when] = ACTIONS(205),
    [anon_sym_in] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(203),
    [anon_sym_or_else] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_TILDE_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(203),
    [anon_sym_GT_GT] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(203),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_not_in] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_or_return] = ACTIONS(205),
    [anon_sym_or_continue] = ACTIONS(205),
    [anon_sym_or_break] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(203),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_procedure] = STATE(6578),
    [sym_expression] = STATE(4633),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_procedure] = STATE(6597),
    [sym_expression] = STATE(4620),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_expression] = STATE(4540),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_COLON_EQ] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_do] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(953),
    [anon_sym_AMP] = ACTIONS(953),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(963),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_procedure] = STATE(2162),
    [sym_type] = STATE(2059),
    [sym_pointer_type] = STATE(2252),
    [sym_variadic_type] = STATE(2252),
    [sym_array_type] = STATE(2252),
    [sym_map_type] = STATE(2252),
    [sym_union_type] = STATE(2252),
    [sym_bit_set_type] = STATE(2252),
    [sym_matrix_type] = STATE(2252),
    [sym_field_type] = STATE(2252),
    [sym_tuple_type] = STATE(2252),
    [sym_struct_type] = STATE(2252),
    [sym_enum_type] = STATE(2252),
    [sym_bit_field_type] = STATE(2252),
    [sym_constant_type] = STATE(2252),
    [sym_specialized_type] = STATE(2252),
    [sym__procedure_type] = STATE(2252),
    [sym_distinct_type] = STATE(2252),
    [sym_empty_type] = STATE(2252),
    [sym_polymorphic_type] = STATE(2252),
    [sym_conditional_type] = STATE(2252),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(969),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(971),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(975),
    [anon_sym_bit_field] = ACTIONS(977),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_DOLLAR] = ACTIONS(982),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(986),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(989),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(994),
    [anon_sym_map] = ACTIONS(996),
    [anon_sym_bit_set] = ACTIONS(998),
    [anon_sym_matrix] = ACTIONS(1000),
    [anon_sym_distinct] = ACTIONS(1002),
    [sym_tag] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_procedure] = STATE(2162),
    [sym_type] = STATE(2123),
    [sym_pointer_type] = STATE(2252),
    [sym_variadic_type] = STATE(2252),
    [sym_array_type] = STATE(2252),
    [sym_map_type] = STATE(2252),
    [sym_union_type] = STATE(2252),
    [sym_bit_set_type] = STATE(2252),
    [sym_matrix_type] = STATE(2252),
    [sym_field_type] = STATE(2252),
    [sym_tuple_type] = STATE(2252),
    [sym_struct_type] = STATE(2252),
    [sym_enum_type] = STATE(2252),
    [sym_bit_field_type] = STATE(2252),
    [sym_constant_type] = STATE(2252),
    [sym_specialized_type] = STATE(2252),
    [sym__procedure_type] = STATE(2252),
    [sym_distinct_type] = STATE(2252),
    [sym_empty_type] = STATE(2252),
    [sym_polymorphic_type] = STATE(2252),
    [sym_conditional_type] = STATE(2252),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(969),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(971),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(975),
    [anon_sym_bit_field] = ACTIONS(977),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_DOLLAR] = ACTIONS(982),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_AMP_EQ] = ACTIONS(807),
    [anon_sym_PIPE_EQ] = ACTIONS(807),
    [anon_sym_CARET_EQ] = ACTIONS(807),
    [anon_sym_LT_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_GT_EQ] = ACTIONS(807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(807),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(989),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(1012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(994),
    [anon_sym_map] = ACTIONS(996),
    [anon_sym_bit_set] = ACTIONS(998),
    [anon_sym_matrix] = ACTIONS(1000),
    [anon_sym_distinct] = ACTIONS(1002),
    [sym_tag] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_procedure] = STATE(2162),
    [sym_type] = STATE(2066),
    [sym_pointer_type] = STATE(2252),
    [sym_variadic_type] = STATE(2252),
    [sym_array_type] = STATE(2252),
    [sym_map_type] = STATE(2252),
    [sym_union_type] = STATE(2252),
    [sym_bit_set_type] = STATE(2252),
    [sym_matrix_type] = STATE(2252),
    [sym_field_type] = STATE(2252),
    [sym_tuple_type] = STATE(2252),
    [sym_struct_type] = STATE(2252),
    [sym_enum_type] = STATE(2252),
    [sym_bit_field_type] = STATE(2252),
    [sym_constant_type] = STATE(2252),
    [sym_specialized_type] = STATE(2252),
    [sym__procedure_type] = STATE(2252),
    [sym_distinct_type] = STATE(2252),
    [sym_empty_type] = STATE(2252),
    [sym_polymorphic_type] = STATE(2252),
    [sym_conditional_type] = STATE(2252),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(969),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(971),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(975),
    [anon_sym_bit_field] = ACTIONS(977),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_DOLLAR] = ACTIONS(982),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_DASH_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_AMP_EQ] = ACTIONS(875),
    [anon_sym_PIPE_EQ] = ACTIONS(875),
    [anon_sym_CARET_EQ] = ACTIONS(875),
    [anon_sym_LT_LT_EQ] = ACTIONS(875),
    [anon_sym_GT_GT_EQ] = ACTIONS(875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(875),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(875),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(877),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(1018),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(989),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(1021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(994),
    [anon_sym_map] = ACTIONS(996),
    [anon_sym_bit_set] = ACTIONS(998),
    [anon_sym_matrix] = ACTIONS(1000),
    [anon_sym_distinct] = ACTIONS(1002),
    [sym_tag] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(875),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_procedure] = STATE(2162),
    [sym_type] = STATE(2061),
    [sym_pointer_type] = STATE(2252),
    [sym_variadic_type] = STATE(2252),
    [sym_array_type] = STATE(2252),
    [sym_map_type] = STATE(2252),
    [sym_union_type] = STATE(2252),
    [sym_bit_set_type] = STATE(2252),
    [sym_matrix_type] = STATE(2252),
    [sym_field_type] = STATE(2252),
    [sym_tuple_type] = STATE(2252),
    [sym_struct_type] = STATE(2252),
    [sym_enum_type] = STATE(2252),
    [sym_bit_field_type] = STATE(2252),
    [sym_constant_type] = STATE(2252),
    [sym_specialized_type] = STATE(2252),
    [sym__procedure_type] = STATE(2252),
    [sym_distinct_type] = STATE(2252),
    [sym_empty_type] = STATE(2252),
    [sym_polymorphic_type] = STATE(2252),
    [sym_conditional_type] = STATE(2252),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(969),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(971),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(975),
    [anon_sym_bit_field] = ACTIONS(977),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(1024),
    [anon_sym_DOLLAR] = ACTIONS(982),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(907),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(989),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(1030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(994),
    [anon_sym_map] = ACTIONS(996),
    [anon_sym_bit_set] = ACTIONS(998),
    [anon_sym_matrix] = ACTIONS(1000),
    [anon_sym_distinct] = ACTIONS(1002),
    [sym_tag] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_expression] = STATE(4507),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_do] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(953),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(963),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_procedure] = STATE(2162),
    [sym_type] = STATE(2060),
    [sym_pointer_type] = STATE(2252),
    [sym_variadic_type] = STATE(2252),
    [sym_array_type] = STATE(2252),
    [sym_map_type] = STATE(2252),
    [sym_union_type] = STATE(2252),
    [sym_bit_set_type] = STATE(2252),
    [sym_matrix_type] = STATE(2252),
    [sym_field_type] = STATE(2252),
    [sym_tuple_type] = STATE(2252),
    [sym_struct_type] = STATE(2252),
    [sym_enum_type] = STATE(2252),
    [sym_bit_field_type] = STATE(2252),
    [sym_constant_type] = STATE(2252),
    [sym_specialized_type] = STATE(2252),
    [sym__procedure_type] = STATE(2252),
    [sym_distinct_type] = STATE(2252),
    [sym_empty_type] = STATE(2252),
    [sym_polymorphic_type] = STATE(2252),
    [sym_conditional_type] = STATE(2252),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(969),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(971),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(975),
    [anon_sym_bit_field] = ACTIONS(977),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(982),
    [anon_sym_PLUS_EQ] = ACTIONS(853),
    [anon_sym_DASH_EQ] = ACTIONS(853),
    [anon_sym_STAR_EQ] = ACTIONS(853),
    [anon_sym_SLASH_EQ] = ACTIONS(853),
    [anon_sym_PERCENT_EQ] = ACTIONS(853),
    [anon_sym_AMP_EQ] = ACTIONS(853),
    [anon_sym_PIPE_EQ] = ACTIONS(853),
    [anon_sym_CARET_EQ] = ACTIONS(853),
    [anon_sym_LT_LT_EQ] = ACTIONS(853),
    [anon_sym_GT_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(856),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(856),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(856),
    [anon_sym_LT_LT] = ACTIONS(856),
    [anon_sym_GT_GT] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(856),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(989),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(1041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(994),
    [anon_sym_map] = ACTIONS(996),
    [anon_sym_bit_set] = ACTIONS(998),
    [anon_sym_matrix] = ACTIONS(1000),
    [anon_sym_distinct] = ACTIONS(1002),
    [sym_tag] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(853),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_procedure] = STATE(2162),
    [sym_type] = STATE(2154),
    [sym_pointer_type] = STATE(2252),
    [sym_variadic_type] = STATE(2252),
    [sym_array_type] = STATE(2252),
    [sym_map_type] = STATE(2252),
    [sym_union_type] = STATE(2252),
    [sym_bit_set_type] = STATE(2252),
    [sym_matrix_type] = STATE(2252),
    [sym_field_type] = STATE(2252),
    [sym_tuple_type] = STATE(2252),
    [sym_struct_type] = STATE(2252),
    [sym_enum_type] = STATE(2252),
    [sym_bit_field_type] = STATE(2252),
    [sym_constant_type] = STATE(2252),
    [sym_specialized_type] = STATE(2252),
    [sym__procedure_type] = STATE(2252),
    [sym_distinct_type] = STATE(2252),
    [sym_empty_type] = STATE(2252),
    [sym_polymorphic_type] = STATE(2252),
    [sym_conditional_type] = STATE(2252),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(969),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(971),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(975),
    [anon_sym_bit_field] = ACTIONS(977),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_DOLLAR] = ACTIONS(982),
    [anon_sym_PLUS_EQ] = ACTIONS(757),
    [anon_sym_DASH_EQ] = ACTIONS(757),
    [anon_sym_STAR_EQ] = ACTIONS(757),
    [anon_sym_SLASH_EQ] = ACTIONS(757),
    [anon_sym_PERCENT_EQ] = ACTIONS(757),
    [anon_sym_AMP_EQ] = ACTIONS(757),
    [anon_sym_PIPE_EQ] = ACTIONS(757),
    [anon_sym_CARET_EQ] = ACTIONS(757),
    [anon_sym_LT_LT_EQ] = ACTIONS(757),
    [anon_sym_GT_GT_EQ] = ACTIONS(757),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(762),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(762),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(762),
    [anon_sym_LT_LT] = ACTIONS(762),
    [anon_sym_GT_GT] = ACTIONS(762),
    [anon_sym_STAR] = ACTIONS(762),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(1049),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(989),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(1053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(994),
    [anon_sym_map] = ACTIONS(996),
    [anon_sym_bit_set] = ACTIONS(998),
    [anon_sym_matrix] = ACTIONS(1000),
    [anon_sym_distinct] = ACTIONS(1002),
    [sym_tag] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_procedure] = STATE(2162),
    [sym_type] = STATE(2282),
    [sym_pointer_type] = STATE(2252),
    [sym_variadic_type] = STATE(2252),
    [sym_array_type] = STATE(2252),
    [sym_map_type] = STATE(2252),
    [sym_union_type] = STATE(2252),
    [sym_bit_set_type] = STATE(2252),
    [sym_matrix_type] = STATE(2252),
    [sym_field_type] = STATE(2252),
    [sym_tuple_type] = STATE(2252),
    [sym_struct_type] = STATE(2252),
    [sym_enum_type] = STATE(2252),
    [sym_bit_field_type] = STATE(2252),
    [sym_constant_type] = STATE(2252),
    [sym_specialized_type] = STATE(2252),
    [sym__procedure_type] = STATE(2252),
    [sym_distinct_type] = STATE(2252),
    [sym_empty_type] = STATE(2252),
    [sym_polymorphic_type] = STATE(2252),
    [sym_conditional_type] = STATE(2252),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(969),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(971),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(975),
    [anon_sym_bit_field] = ACTIONS(977),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [anon_sym_DOLLAR] = ACTIONS(982),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(834),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(989),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(1065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(994),
    [anon_sym_map] = ACTIONS(996),
    [anon_sym_bit_set] = ACTIONS(998),
    [anon_sym_matrix] = ACTIONS(1000),
    [anon_sym_distinct] = ACTIONS(1002),
    [sym_tag] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_procedure] = STATE(2356),
    [sym_type] = STATE(2412),
    [sym_pointer_type] = STATE(2382),
    [sym_variadic_type] = STATE(2382),
    [sym_array_type] = STATE(2382),
    [sym_map_type] = STATE(2382),
    [sym_union_type] = STATE(2382),
    [sym_bit_set_type] = STATE(2382),
    [sym_matrix_type] = STATE(2382),
    [sym_field_type] = STATE(2382),
    [sym_tuple_type] = STATE(2382),
    [sym_struct_type] = STATE(2382),
    [sym_enum_type] = STATE(2382),
    [sym_bit_field_type] = STATE(2382),
    [sym_constant_type] = STATE(2382),
    [sym_specialized_type] = STATE(2382),
    [sym__procedure_type] = STATE(2382),
    [sym_distinct_type] = STATE(2382),
    [sym_empty_type] = STATE(2382),
    [sym_polymorphic_type] = STATE(2382),
    [sym_conditional_type] = STATE(2382),
    [sym_identifier] = ACTIONS(1069),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(1071),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1075),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(1077),
    [anon_sym_bit_field] = ACTIONS(1079),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_DOLLAR] = ACTIONS(1085),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(834),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(1093),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(1095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1099),
    [anon_sym_map] = ACTIONS(1101),
    [anon_sym_bit_set] = ACTIONS(1103),
    [anon_sym_matrix] = ACTIONS(1105),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_procedure] = STATE(2158),
    [sym_type] = STATE(2185),
    [sym_pointer_type] = STATE(2161),
    [sym_variadic_type] = STATE(2161),
    [sym_array_type] = STATE(2161),
    [sym_map_type] = STATE(2161),
    [sym_union_type] = STATE(2161),
    [sym_bit_set_type] = STATE(2161),
    [sym_matrix_type] = STATE(2161),
    [sym_field_type] = STATE(2161),
    [sym_tuple_type] = STATE(2161),
    [sym_struct_type] = STATE(2161),
    [sym_enum_type] = STATE(2161),
    [sym_bit_field_type] = STATE(2161),
    [sym_constant_type] = STATE(2161),
    [sym_specialized_type] = STATE(2161),
    [sym__procedure_type] = STATE(2161),
    [sym_distinct_type] = STATE(2161),
    [sym_empty_type] = STATE(2161),
    [sym_polymorphic_type] = STATE(2161),
    [sym_conditional_type] = STATE(2161),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(1111),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_where] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1115),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_bit_field] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(1121),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(907),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(1131),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(1133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1138),
    [anon_sym_bit_set] = ACTIONS(1140),
    [anon_sym_matrix] = ACTIONS(1142),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(907),
    [sym_tag] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_expression] = STATE(4145),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_where] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1147),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(1153),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(129),
    [sym_tag] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_expression] = STATE(4144),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_where] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1147),
    [anon_sym_BANG] = ACTIONS(1147),
    [anon_sym_AMP] = ACTIONS(1147),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(1153),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_procedure] = STATE(2158),
    [sym_type] = STATE(2176),
    [sym_pointer_type] = STATE(2161),
    [sym_variadic_type] = STATE(2161),
    [sym_array_type] = STATE(2161),
    [sym_map_type] = STATE(2161),
    [sym_union_type] = STATE(2161),
    [sym_bit_set_type] = STATE(2161),
    [sym_matrix_type] = STATE(2161),
    [sym_field_type] = STATE(2161),
    [sym_tuple_type] = STATE(2161),
    [sym_struct_type] = STATE(2161),
    [sym_enum_type] = STATE(2161),
    [sym_bit_field_type] = STATE(2161),
    [sym_constant_type] = STATE(2161),
    [sym_specialized_type] = STATE(2161),
    [sym__procedure_type] = STATE(2161),
    [sym_distinct_type] = STATE(2161),
    [sym_empty_type] = STATE(2161),
    [sym_polymorphic_type] = STATE(2161),
    [sym_conditional_type] = STATE(2161),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(1111),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_where] = ACTIONS(834),
    [anon_sym_struct] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1115),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_bit_field] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_do] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(834),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(1131),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1138),
    [anon_sym_bit_set] = ACTIONS(1140),
    [anon_sym_matrix] = ACTIONS(1142),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(831),
    [sym_tag] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_procedure] = STATE(2158),
    [sym_type] = STATE(2205),
    [sym_pointer_type] = STATE(2161),
    [sym_variadic_type] = STATE(2161),
    [sym_array_type] = STATE(2161),
    [sym_map_type] = STATE(2161),
    [sym_union_type] = STATE(2161),
    [sym_bit_set_type] = STATE(2161),
    [sym_matrix_type] = STATE(2161),
    [sym_field_type] = STATE(2161),
    [sym_tuple_type] = STATE(2161),
    [sym_struct_type] = STATE(2161),
    [sym_enum_type] = STATE(2161),
    [sym_bit_field_type] = STATE(2161),
    [sym_constant_type] = STATE(2161),
    [sym_specialized_type] = STATE(2161),
    [sym__procedure_type] = STATE(2161),
    [sym_distinct_type] = STATE(2161),
    [sym_empty_type] = STATE(2161),
    [sym_polymorphic_type] = STATE(2161),
    [sym_conditional_type] = STATE(2161),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(1111),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_where] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1115),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_bit_field] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_PLUS_EQ] = ACTIONS(757),
    [anon_sym_DASH_EQ] = ACTIONS(757),
    [anon_sym_STAR_EQ] = ACTIONS(757),
    [anon_sym_SLASH_EQ] = ACTIONS(757),
    [anon_sym_PERCENT_EQ] = ACTIONS(757),
    [anon_sym_AMP_EQ] = ACTIONS(757),
    [anon_sym_PIPE_EQ] = ACTIONS(757),
    [anon_sym_CARET_EQ] = ACTIONS(757),
    [anon_sym_LT_LT_EQ] = ACTIONS(757),
    [anon_sym_GT_GT_EQ] = ACTIONS(757),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_do] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(762),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(762),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(762),
    [anon_sym_LT_LT] = ACTIONS(762),
    [anon_sym_GT_GT] = ACTIONS(762),
    [anon_sym_STAR] = ACTIONS(762),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(1131),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(1191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1138),
    [anon_sym_bit_set] = ACTIONS(1140),
    [anon_sym_matrix] = ACTIONS(1142),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(757),
    [sym_tag] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_expression] = STATE(4110),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_where] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(1205),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(129),
    [sym_tag] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_procedure] = STATE(2158),
    [sym_type] = STATE(2184),
    [sym_pointer_type] = STATE(2161),
    [sym_variadic_type] = STATE(2161),
    [sym_array_type] = STATE(2161),
    [sym_map_type] = STATE(2161),
    [sym_union_type] = STATE(2161),
    [sym_bit_set_type] = STATE(2161),
    [sym_matrix_type] = STATE(2161),
    [sym_field_type] = STATE(2161),
    [sym_tuple_type] = STATE(2161),
    [sym_struct_type] = STATE(2161),
    [sym_enum_type] = STATE(2161),
    [sym_bit_field_type] = STATE(2161),
    [sym_constant_type] = STATE(2161),
    [sym_specialized_type] = STATE(2161),
    [sym__procedure_type] = STATE(2161),
    [sym_distinct_type] = STATE(2161),
    [sym_empty_type] = STATE(2161),
    [sym_polymorphic_type] = STATE(2161),
    [sym_conditional_type] = STATE(2161),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(1111),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_where] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1115),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_bit_field] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(1131),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1138),
    [anon_sym_bit_set] = ACTIONS(1140),
    [anon_sym_matrix] = ACTIONS(1142),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(891),
    [sym_tag] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_procedure] = STATE(2158),
    [sym_type] = STATE(2178),
    [sym_pointer_type] = STATE(2161),
    [sym_variadic_type] = STATE(2161),
    [sym_array_type] = STATE(2161),
    [sym_map_type] = STATE(2161),
    [sym_union_type] = STATE(2161),
    [sym_bit_set_type] = STATE(2161),
    [sym_matrix_type] = STATE(2161),
    [sym_field_type] = STATE(2161),
    [sym_tuple_type] = STATE(2161),
    [sym_struct_type] = STATE(2161),
    [sym_enum_type] = STATE(2161),
    [sym_bit_field_type] = STATE(2161),
    [sym_constant_type] = STATE(2161),
    [sym_specialized_type] = STATE(2161),
    [sym__procedure_type] = STATE(2161),
    [sym_distinct_type] = STATE(2161),
    [sym_empty_type] = STATE(2161),
    [sym_polymorphic_type] = STATE(2161),
    [sym_conditional_type] = STATE(2161),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(1111),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_where] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1115),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_bit_field] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_AMP_EQ] = ACTIONS(807),
    [anon_sym_PIPE_EQ] = ACTIONS(807),
    [anon_sym_CARET_EQ] = ACTIONS(807),
    [anon_sym_LT_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_GT_EQ] = ACTIONS(807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(807),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_do] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(1131),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(1231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1138),
    [anon_sym_bit_set] = ACTIONS(1140),
    [anon_sym_matrix] = ACTIONS(1142),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(807),
    [sym_tag] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_procedure] = STATE(2356),
    [sym_type] = STATE(2349),
    [sym_pointer_type] = STATE(2382),
    [sym_variadic_type] = STATE(2382),
    [sym_array_type] = STATE(2382),
    [sym_map_type] = STATE(2382),
    [sym_union_type] = STATE(2382),
    [sym_bit_set_type] = STATE(2382),
    [sym_matrix_type] = STATE(2382),
    [sym_field_type] = STATE(2382),
    [sym_tuple_type] = STATE(2382),
    [sym_struct_type] = STATE(2382),
    [sym_enum_type] = STATE(2382),
    [sym_bit_field_type] = STATE(2382),
    [sym_constant_type] = STATE(2382),
    [sym_specialized_type] = STATE(2382),
    [sym__procedure_type] = STATE(2382),
    [sym_distinct_type] = STATE(2382),
    [sym_empty_type] = STATE(2382),
    [sym_polymorphic_type] = STATE(2382),
    [sym_conditional_type] = STATE(2382),
    [sym_identifier] = ACTIONS(1069),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(1071),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1075),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(1077),
    [anon_sym_bit_field] = ACTIONS(1079),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_DOLLAR] = ACTIONS(1085),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_AMP_EQ] = ACTIONS(807),
    [anon_sym_PIPE_EQ] = ACTIONS(807),
    [anon_sym_CARET_EQ] = ACTIONS(807),
    [anon_sym_LT_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_GT_EQ] = ACTIONS(807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(807),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(1093),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1099),
    [anon_sym_map] = ACTIONS(1101),
    [anon_sym_bit_set] = ACTIONS(1103),
    [anon_sym_matrix] = ACTIONS(1105),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_procedure] = STATE(2356),
    [sym_type] = STATE(2351),
    [sym_pointer_type] = STATE(2382),
    [sym_variadic_type] = STATE(2382),
    [sym_array_type] = STATE(2382),
    [sym_map_type] = STATE(2382),
    [sym_union_type] = STATE(2382),
    [sym_bit_set_type] = STATE(2382),
    [sym_matrix_type] = STATE(2382),
    [sym_field_type] = STATE(2382),
    [sym_tuple_type] = STATE(2382),
    [sym_struct_type] = STATE(2382),
    [sym_enum_type] = STATE(2382),
    [sym_bit_field_type] = STATE(2382),
    [sym_constant_type] = STATE(2382),
    [sym_specialized_type] = STATE(2382),
    [sym__procedure_type] = STATE(2382),
    [sym_distinct_type] = STATE(2382),
    [sym_empty_type] = STATE(2382),
    [sym_polymorphic_type] = STATE(2382),
    [sym_conditional_type] = STATE(2382),
    [sym_identifier] = ACTIONS(1069),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(1071),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1075),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(1077),
    [anon_sym_bit_field] = ACTIONS(1079),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1085),
    [anon_sym_PLUS_EQ] = ACTIONS(853),
    [anon_sym_DASH_EQ] = ACTIONS(853),
    [anon_sym_STAR_EQ] = ACTIONS(853),
    [anon_sym_SLASH_EQ] = ACTIONS(853),
    [anon_sym_PERCENT_EQ] = ACTIONS(853),
    [anon_sym_AMP_EQ] = ACTIONS(853),
    [anon_sym_PIPE_EQ] = ACTIONS(853),
    [anon_sym_CARET_EQ] = ACTIONS(853),
    [anon_sym_LT_LT_EQ] = ACTIONS(853),
    [anon_sym_GT_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(856),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(856),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(856),
    [anon_sym_LT_LT] = ACTIONS(856),
    [anon_sym_GT_GT] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(856),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(1093),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(1254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1099),
    [anon_sym_map] = ACTIONS(1101),
    [anon_sym_bit_set] = ACTIONS(1103),
    [anon_sym_matrix] = ACTIONS(1105),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(853),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_procedure] = STATE(2356),
    [sym_type] = STATE(2414),
    [sym_pointer_type] = STATE(2382),
    [sym_variadic_type] = STATE(2382),
    [sym_array_type] = STATE(2382),
    [sym_map_type] = STATE(2382),
    [sym_union_type] = STATE(2382),
    [sym_bit_set_type] = STATE(2382),
    [sym_matrix_type] = STATE(2382),
    [sym_field_type] = STATE(2382),
    [sym_tuple_type] = STATE(2382),
    [sym_struct_type] = STATE(2382),
    [sym_enum_type] = STATE(2382),
    [sym_bit_field_type] = STATE(2382),
    [sym_constant_type] = STATE(2382),
    [sym_specialized_type] = STATE(2382),
    [sym__procedure_type] = STATE(2382),
    [sym_distinct_type] = STATE(2382),
    [sym_empty_type] = STATE(2382),
    [sym_polymorphic_type] = STATE(2382),
    [sym_conditional_type] = STATE(2382),
    [sym_identifier] = ACTIONS(1069),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(1071),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1075),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(1077),
    [anon_sym_bit_field] = ACTIONS(1079),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1085),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(1261),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(1093),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(1264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1099),
    [anon_sym_map] = ACTIONS(1101),
    [anon_sym_bit_set] = ACTIONS(1103),
    [anon_sym_matrix] = ACTIONS(1105),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_procedure] = STATE(2356),
    [sym_type] = STATE(2426),
    [sym_pointer_type] = STATE(2382),
    [sym_variadic_type] = STATE(2382),
    [sym_array_type] = STATE(2382),
    [sym_map_type] = STATE(2382),
    [sym_union_type] = STATE(2382),
    [sym_bit_set_type] = STATE(2382),
    [sym_matrix_type] = STATE(2382),
    [sym_field_type] = STATE(2382),
    [sym_tuple_type] = STATE(2382),
    [sym_struct_type] = STATE(2382),
    [sym_enum_type] = STATE(2382),
    [sym_bit_field_type] = STATE(2382),
    [sym_constant_type] = STATE(2382),
    [sym_specialized_type] = STATE(2382),
    [sym__procedure_type] = STATE(2382),
    [sym_distinct_type] = STATE(2382),
    [sym_empty_type] = STATE(2382),
    [sym_polymorphic_type] = STATE(2382),
    [sym_conditional_type] = STATE(2382),
    [sym_identifier] = ACTIONS(1069),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(1071),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1075),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(1077),
    [anon_sym_bit_field] = ACTIONS(1079),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_DOLLAR] = ACTIONS(1085),
    [anon_sym_PLUS_EQ] = ACTIONS(757),
    [anon_sym_DASH_EQ] = ACTIONS(757),
    [anon_sym_STAR_EQ] = ACTIONS(757),
    [anon_sym_SLASH_EQ] = ACTIONS(757),
    [anon_sym_PERCENT_EQ] = ACTIONS(757),
    [anon_sym_AMP_EQ] = ACTIONS(757),
    [anon_sym_PIPE_EQ] = ACTIONS(757),
    [anon_sym_CARET_EQ] = ACTIONS(757),
    [anon_sym_LT_LT_EQ] = ACTIONS(757),
    [anon_sym_GT_GT_EQ] = ACTIONS(757),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(762),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(762),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(762),
    [anon_sym_LT_LT] = ACTIONS(762),
    [anon_sym_GT_GT] = ACTIONS(762),
    [anon_sym_STAR] = ACTIONS(762),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(1093),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(1275),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1099),
    [anon_sym_map] = ACTIONS(1101),
    [anon_sym_bit_set] = ACTIONS(1103),
    [anon_sym_matrix] = ACTIONS(1105),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_procedure] = STATE(2158),
    [sym_type] = STATE(2223),
    [sym_pointer_type] = STATE(2161),
    [sym_variadic_type] = STATE(2161),
    [sym_array_type] = STATE(2161),
    [sym_map_type] = STATE(2161),
    [sym_union_type] = STATE(2161),
    [sym_bit_set_type] = STATE(2161),
    [sym_matrix_type] = STATE(2161),
    [sym_field_type] = STATE(2161),
    [sym_tuple_type] = STATE(2161),
    [sym_struct_type] = STATE(2161),
    [sym_enum_type] = STATE(2161),
    [sym_bit_field_type] = STATE(2161),
    [sym_constant_type] = STATE(2161),
    [sym_specialized_type] = STATE(2161),
    [sym__procedure_type] = STATE(2161),
    [sym_distinct_type] = STATE(2161),
    [sym_empty_type] = STATE(2161),
    [sym_polymorphic_type] = STATE(2161),
    [sym_conditional_type] = STATE(2161),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(1111),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_where] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1115),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_bit_field] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_DASH_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_AMP_EQ] = ACTIONS(875),
    [anon_sym_PIPE_EQ] = ACTIONS(875),
    [anon_sym_CARET_EQ] = ACTIONS(875),
    [anon_sym_LT_LT_EQ] = ACTIONS(875),
    [anon_sym_GT_GT_EQ] = ACTIONS(875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(875),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(875),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_do] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(877),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(1131),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(1285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1138),
    [anon_sym_bit_set] = ACTIONS(1140),
    [anon_sym_matrix] = ACTIONS(1142),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(875),
    [sym_tag] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_procedure] = STATE(2356),
    [sym_type] = STATE(2335),
    [sym_pointer_type] = STATE(2382),
    [sym_variadic_type] = STATE(2382),
    [sym_array_type] = STATE(2382),
    [sym_map_type] = STATE(2382),
    [sym_union_type] = STATE(2382),
    [sym_bit_set_type] = STATE(2382),
    [sym_matrix_type] = STATE(2382),
    [sym_field_type] = STATE(2382),
    [sym_tuple_type] = STATE(2382),
    [sym_struct_type] = STATE(2382),
    [sym_enum_type] = STATE(2382),
    [sym_bit_field_type] = STATE(2382),
    [sym_constant_type] = STATE(2382),
    [sym_specialized_type] = STATE(2382),
    [sym__procedure_type] = STATE(2382),
    [sym_distinct_type] = STATE(2382),
    [sym_empty_type] = STATE(2382),
    [sym_polymorphic_type] = STATE(2382),
    [sym_conditional_type] = STATE(2382),
    [sym_identifier] = ACTIONS(1069),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(1071),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1075),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(1077),
    [anon_sym_bit_field] = ACTIONS(1079),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(1291),
    [anon_sym_DOLLAR] = ACTIONS(1085),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(907),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(1093),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1099),
    [anon_sym_map] = ACTIONS(1101),
    [anon_sym_bit_set] = ACTIONS(1103),
    [anon_sym_matrix] = ACTIONS(1105),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_procedure] = STATE(2356),
    [sym_type] = STATE(2318),
    [sym_pointer_type] = STATE(2382),
    [sym_variadic_type] = STATE(2382),
    [sym_array_type] = STATE(2382),
    [sym_map_type] = STATE(2382),
    [sym_union_type] = STATE(2382),
    [sym_bit_set_type] = STATE(2382),
    [sym_matrix_type] = STATE(2382),
    [sym_field_type] = STATE(2382),
    [sym_tuple_type] = STATE(2382),
    [sym_struct_type] = STATE(2382),
    [sym_enum_type] = STATE(2382),
    [sym_bit_field_type] = STATE(2382),
    [sym_constant_type] = STATE(2382),
    [sym_specialized_type] = STATE(2382),
    [sym__procedure_type] = STATE(2382),
    [sym_distinct_type] = STATE(2382),
    [sym_empty_type] = STATE(2382),
    [sym_polymorphic_type] = STATE(2382),
    [sym_conditional_type] = STATE(2382),
    [sym_identifier] = ACTIONS(1069),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(1071),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1075),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(1077),
    [anon_sym_bit_field] = ACTIONS(1079),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1085),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_DASH_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_AMP_EQ] = ACTIONS(875),
    [anon_sym_PIPE_EQ] = ACTIONS(875),
    [anon_sym_CARET_EQ] = ACTIONS(875),
    [anon_sym_LT_LT_EQ] = ACTIONS(875),
    [anon_sym_GT_GT_EQ] = ACTIONS(875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(875),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(875),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(877),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(1093),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(1306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1099),
    [anon_sym_map] = ACTIONS(1101),
    [anon_sym_bit_set] = ACTIONS(1103),
    [anon_sym_matrix] = ACTIONS(1105),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(875),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_expression] = STATE(4103),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_where] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_AMP] = ACTIONS(1199),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(1205),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_procedure] = STATE(2158),
    [sym_type] = STATE(2219),
    [sym_pointer_type] = STATE(2161),
    [sym_variadic_type] = STATE(2161),
    [sym_array_type] = STATE(2161),
    [sym_map_type] = STATE(2161),
    [sym_union_type] = STATE(2161),
    [sym_bit_set_type] = STATE(2161),
    [sym_matrix_type] = STATE(2161),
    [sym_field_type] = STATE(2161),
    [sym_tuple_type] = STATE(2161),
    [sym_struct_type] = STATE(2161),
    [sym_enum_type] = STATE(2161),
    [sym_bit_field_type] = STATE(2161),
    [sym_constant_type] = STATE(2161),
    [sym_specialized_type] = STATE(2161),
    [sym__procedure_type] = STATE(2161),
    [sym_distinct_type] = STATE(2161),
    [sym_empty_type] = STATE(2161),
    [sym_polymorphic_type] = STATE(2161),
    [sym_conditional_type] = STATE(2161),
    [sym_identifier] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(1111),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_where] = ACTIONS(856),
    [anon_sym_struct] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1115),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_bit_field] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [anon_sym_PLUS_EQ] = ACTIONS(853),
    [anon_sym_DASH_EQ] = ACTIONS(853),
    [anon_sym_STAR_EQ] = ACTIONS(853),
    [anon_sym_SLASH_EQ] = ACTIONS(853),
    [anon_sym_PERCENT_EQ] = ACTIONS(853),
    [anon_sym_AMP_EQ] = ACTIONS(853),
    [anon_sym_PIPE_EQ] = ACTIONS(853),
    [anon_sym_CARET_EQ] = ACTIONS(853),
    [anon_sym_LT_LT_EQ] = ACTIONS(853),
    [anon_sym_GT_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(856),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(856),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(856),
    [anon_sym_LT_LT] = ACTIONS(856),
    [anon_sym_GT_GT] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(856),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(1131),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(1323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1136),
    [anon_sym_map] = ACTIONS(1138),
    [anon_sym_bit_set] = ACTIONS(1140),
    [anon_sym_matrix] = ACTIONS(1142),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(853),
    [sym_tag] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_expression] = STATE(5546),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_procedure] = STATE(2528),
    [sym_type] = STATE(2516),
    [sym_pointer_type] = STATE(2494),
    [sym_variadic_type] = STATE(2494),
    [sym_array_type] = STATE(2494),
    [sym_map_type] = STATE(2494),
    [sym_union_type] = STATE(2494),
    [sym_bit_set_type] = STATE(2494),
    [sym_matrix_type] = STATE(2494),
    [sym_field_type] = STATE(2494),
    [sym_tuple_type] = STATE(2494),
    [sym_struct_type] = STATE(2494),
    [sym_enum_type] = STATE(2494),
    [sym_bit_field_type] = STATE(2494),
    [sym_constant_type] = STATE(2494),
    [sym_specialized_type] = STATE(2494),
    [sym__procedure_type] = STATE(2494),
    [sym_distinct_type] = STATE(2494),
    [sym_empty_type] = STATE(2494),
    [sym_polymorphic_type] = STATE(2494),
    [sym_conditional_type] = STATE(2494),
    [sym_identifier] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(1339),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(1345),
    [anon_sym_bit_field] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(1359),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1364),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_bit_set] = ACTIONS(1368),
    [anon_sym_matrix] = ACTIONS(1370),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_procedure] = STATE(2528),
    [sym_type] = STATE(2538),
    [sym_pointer_type] = STATE(2494),
    [sym_variadic_type] = STATE(2494),
    [sym_array_type] = STATE(2494),
    [sym_map_type] = STATE(2494),
    [sym_union_type] = STATE(2494),
    [sym_bit_set_type] = STATE(2494),
    [sym_matrix_type] = STATE(2494),
    [sym_field_type] = STATE(2494),
    [sym_tuple_type] = STATE(2494),
    [sym_struct_type] = STATE(2494),
    [sym_enum_type] = STATE(2494),
    [sym_bit_field_type] = STATE(2494),
    [sym_constant_type] = STATE(2494),
    [sym_specialized_type] = STATE(2494),
    [sym__procedure_type] = STATE(2494),
    [sym_distinct_type] = STATE(2494),
    [sym_empty_type] = STATE(2494),
    [sym_polymorphic_type] = STATE(2494),
    [sym_conditional_type] = STATE(2494),
    [sym_identifier] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(1339),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(1345),
    [anon_sym_bit_field] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_DASH_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_AMP_EQ] = ACTIONS(875),
    [anon_sym_PIPE_EQ] = ACTIONS(875),
    [anon_sym_CARET_EQ] = ACTIONS(875),
    [anon_sym_LT_LT_EQ] = ACTIONS(875),
    [anon_sym_GT_GT_EQ] = ACTIONS(875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(875),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(875),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_do] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(877),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(1359),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1364),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_bit_set] = ACTIONS(1368),
    [anon_sym_matrix] = ACTIONS(1370),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_expression] = STATE(5593),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_procedure] = STATE(2528),
    [sym_type] = STATE(2508),
    [sym_pointer_type] = STATE(2494),
    [sym_variadic_type] = STATE(2494),
    [sym_array_type] = STATE(2494),
    [sym_map_type] = STATE(2494),
    [sym_union_type] = STATE(2494),
    [sym_bit_set_type] = STATE(2494),
    [sym_matrix_type] = STATE(2494),
    [sym_field_type] = STATE(2494),
    [sym_tuple_type] = STATE(2494),
    [sym_struct_type] = STATE(2494),
    [sym_enum_type] = STATE(2494),
    [sym_bit_field_type] = STATE(2494),
    [sym_constant_type] = STATE(2494),
    [sym_specialized_type] = STATE(2494),
    [sym__procedure_type] = STATE(2494),
    [sym_distinct_type] = STATE(2494),
    [sym_empty_type] = STATE(2494),
    [sym_polymorphic_type] = STATE(2494),
    [sym_conditional_type] = STATE(2494),
    [sym_identifier] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(1339),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(1345),
    [anon_sym_bit_field] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(1383),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(907),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(1359),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1364),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_bit_set] = ACTIONS(1368),
    [anon_sym_matrix] = ACTIONS(1370),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_procedure] = STATE(2528),
    [sym_type] = STATE(2489),
    [sym_pointer_type] = STATE(2494),
    [sym_variadic_type] = STATE(2494),
    [sym_array_type] = STATE(2494),
    [sym_map_type] = STATE(2494),
    [sym_union_type] = STATE(2494),
    [sym_bit_set_type] = STATE(2494),
    [sym_matrix_type] = STATE(2494),
    [sym_field_type] = STATE(2494),
    [sym_tuple_type] = STATE(2494),
    [sym_struct_type] = STATE(2494),
    [sym_enum_type] = STATE(2494),
    [sym_bit_field_type] = STATE(2494),
    [sym_constant_type] = STATE(2494),
    [sym_specialized_type] = STATE(2494),
    [sym__procedure_type] = STATE(2494),
    [sym_distinct_type] = STATE(2494),
    [sym_empty_type] = STATE(2494),
    [sym_polymorphic_type] = STATE(2494),
    [sym_conditional_type] = STATE(2494),
    [sym_identifier] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(1339),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(1345),
    [anon_sym_bit_field] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(757),
    [anon_sym_DASH_EQ] = ACTIONS(757),
    [anon_sym_STAR_EQ] = ACTIONS(757),
    [anon_sym_SLASH_EQ] = ACTIONS(757),
    [anon_sym_PERCENT_EQ] = ACTIONS(757),
    [anon_sym_AMP_EQ] = ACTIONS(757),
    [anon_sym_PIPE_EQ] = ACTIONS(757),
    [anon_sym_CARET_EQ] = ACTIONS(757),
    [anon_sym_LT_LT_EQ] = ACTIONS(757),
    [anon_sym_GT_GT_EQ] = ACTIONS(757),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_do] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(762),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(762),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(762),
    [anon_sym_LT_LT] = ACTIONS(762),
    [anon_sym_GT_GT] = ACTIONS(762),
    [anon_sym_STAR] = ACTIONS(762),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(1359),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1364),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_bit_set] = ACTIONS(1368),
    [anon_sym_matrix] = ACTIONS(1370),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_procedure] = STATE(2528),
    [sym_type] = STATE(2523),
    [sym_pointer_type] = STATE(2494),
    [sym_variadic_type] = STATE(2494),
    [sym_array_type] = STATE(2494),
    [sym_map_type] = STATE(2494),
    [sym_union_type] = STATE(2494),
    [sym_bit_set_type] = STATE(2494),
    [sym_matrix_type] = STATE(2494),
    [sym_field_type] = STATE(2494),
    [sym_tuple_type] = STATE(2494),
    [sym_struct_type] = STATE(2494),
    [sym_enum_type] = STATE(2494),
    [sym_bit_field_type] = STATE(2494),
    [sym_constant_type] = STATE(2494),
    [sym_specialized_type] = STATE(2494),
    [sym__procedure_type] = STATE(2494),
    [sym_distinct_type] = STATE(2494),
    [sym_empty_type] = STATE(2494),
    [sym_polymorphic_type] = STATE(2494),
    [sym_conditional_type] = STATE(2494),
    [sym_identifier] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(1339),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(1345),
    [anon_sym_bit_field] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_do] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(834),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(1359),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(1412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1364),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_bit_set] = ACTIONS(1368),
    [anon_sym_matrix] = ACTIONS(1370),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_procedure] = STATE(2528),
    [sym_type] = STATE(2543),
    [sym_pointer_type] = STATE(2494),
    [sym_variadic_type] = STATE(2494),
    [sym_array_type] = STATE(2494),
    [sym_map_type] = STATE(2494),
    [sym_union_type] = STATE(2494),
    [sym_bit_set_type] = STATE(2494),
    [sym_matrix_type] = STATE(2494),
    [sym_field_type] = STATE(2494),
    [sym_tuple_type] = STATE(2494),
    [sym_struct_type] = STATE(2494),
    [sym_enum_type] = STATE(2494),
    [sym_bit_field_type] = STATE(2494),
    [sym_constant_type] = STATE(2494),
    [sym_specialized_type] = STATE(2494),
    [sym__procedure_type] = STATE(2494),
    [sym_distinct_type] = STATE(2494),
    [sym_empty_type] = STATE(2494),
    [sym_polymorphic_type] = STATE(2494),
    [sym_conditional_type] = STATE(2494),
    [sym_identifier] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(1339),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(1345),
    [anon_sym_bit_field] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_AMP_EQ] = ACTIONS(807),
    [anon_sym_PIPE_EQ] = ACTIONS(807),
    [anon_sym_CARET_EQ] = ACTIONS(807),
    [anon_sym_LT_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_GT_EQ] = ACTIONS(807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(807),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_do] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(1359),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1364),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_bit_set] = ACTIONS(1368),
    [anon_sym_matrix] = ACTIONS(1370),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_procedure] = STATE(2528),
    [sym_type] = STATE(2544),
    [sym_pointer_type] = STATE(2494),
    [sym_variadic_type] = STATE(2494),
    [sym_array_type] = STATE(2494),
    [sym_map_type] = STATE(2494),
    [sym_union_type] = STATE(2494),
    [sym_bit_set_type] = STATE(2494),
    [sym_matrix_type] = STATE(2494),
    [sym_field_type] = STATE(2494),
    [sym_tuple_type] = STATE(2494),
    [sym_struct_type] = STATE(2494),
    [sym_enum_type] = STATE(2494),
    [sym_bit_field_type] = STATE(2494),
    [sym_constant_type] = STATE(2494),
    [sym_specialized_type] = STATE(2494),
    [sym__procedure_type] = STATE(2494),
    [sym_distinct_type] = STATE(2494),
    [sym_empty_type] = STATE(2494),
    [sym_polymorphic_type] = STATE(2494),
    [sym_conditional_type] = STATE(2494),
    [sym_identifier] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(1339),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(1345),
    [anon_sym_bit_field] = ACTIONS(1347),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(853),
    [anon_sym_DASH_EQ] = ACTIONS(853),
    [anon_sym_STAR_EQ] = ACTIONS(853),
    [anon_sym_SLASH_EQ] = ACTIONS(853),
    [anon_sym_PERCENT_EQ] = ACTIONS(853),
    [anon_sym_AMP_EQ] = ACTIONS(853),
    [anon_sym_PIPE_EQ] = ACTIONS(853),
    [anon_sym_CARET_EQ] = ACTIONS(853),
    [anon_sym_LT_LT_EQ] = ACTIONS(853),
    [anon_sym_GT_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(856),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(856),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(856),
    [anon_sym_LT_LT] = ACTIONS(856),
    [anon_sym_GT_GT] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(856),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(1359),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1364),
    [anon_sym_map] = ACTIONS(1366),
    [anon_sym_bit_set] = ACTIONS(1368),
    [anon_sym_matrix] = ACTIONS(1370),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_procedure] = STATE(7459),
    [sym_expression] = STATE(5659),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_procedure] = STATE(7891),
    [sym_expression] = STATE(5683),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_procedure] = STATE(7797),
    [sym_expression] = STATE(5669),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_procedure] = STATE(7861),
    [sym_expression] = STATE(5707),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(933),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_expression] = STATE(4818),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_do] = ACTIONS(165),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_in] = ACTIONS(165),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(309),
    [anon_sym_BANG] = ACTIONS(309),
    [anon_sym_AMP] = ACTIONS(309),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_or_else] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(165),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(165),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_TILDE_EQ] = ACTIONS(163),
    [anon_sym_AMP_TILDE] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(165),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(163),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT_LT] = ACTIONS(163),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_not_in] = ACTIONS(165),
    [anon_sym_DOT_DOT] = ACTIONS(315),
    [anon_sym_or_return] = ACTIONS(165),
    [anon_sym_or_continue] = ACTIONS(165),
    [anon_sym_or_break] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_expression] = STATE(4816),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(203),
    [anon_sym_DASH_GT] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_do] = ACTIONS(205),
    [anon_sym_when] = ACTIONS(205),
    [anon_sym_in] = ACTIONS(205),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_BANG] = ACTIONS(309),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(203),
    [anon_sym_or_else] = ACTIONS(205),
    [anon_sym_AMP_AMP] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_TILDE_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(203),
    [anon_sym_GT_GT] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(203),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(203),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_not_in] = ACTIONS(205),
    [anon_sym_DOT_DOT] = ACTIONS(315),
    [anon_sym_or_return] = ACTIONS(205),
    [anon_sym_or_continue] = ACTIONS(205),
    [anon_sym_or_break] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(203),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_expression] = STATE(4816),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_DASH_GT] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_do] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(309),
    [anon_sym_AMP] = ACTIONS(131),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_or_else] = ACTIONS(131),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(129),
    [anon_sym_TILDE_EQ] = ACTIONS(129),
    [anon_sym_AMP_TILDE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(129),
    [anon_sym_DOT_DOT_LT] = ACTIONS(129),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_not_in] = ACTIONS(131),
    [anon_sym_DOT_DOT] = ACTIONS(315),
    [anon_sym_or_return] = ACTIONS(131),
    [anon_sym_or_continue] = ACTIONS(131),
    [anon_sym_or_break] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_procedure] = STATE(2712),
    [sym_type] = STATE(2890),
    [sym_pointer_type] = STATE(2743),
    [sym_variadic_type] = STATE(2743),
    [sym_array_type] = STATE(2743),
    [sym_map_type] = STATE(2743),
    [sym_union_type] = STATE(2743),
    [sym_bit_set_type] = STATE(2743),
    [sym_matrix_type] = STATE(2743),
    [sym_field_type] = STATE(2743),
    [sym_tuple_type] = STATE(2743),
    [sym_struct_type] = STATE(2743),
    [sym_enum_type] = STATE(2743),
    [sym_bit_field_type] = STATE(2743),
    [sym_constant_type] = STATE(2743),
    [sym_specialized_type] = STATE(2743),
    [sym__procedure_type] = STATE(2743),
    [sym_distinct_type] = STATE(2743),
    [sym_empty_type] = STATE(2743),
    [sym_polymorphic_type] = STATE(2743),
    [sym_conditional_type] = STATE(2743),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(1449),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(1455),
    [anon_sym_bit_field] = ACTIONS(1457),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(1459),
    [anon_sym_DOLLAR] = ACTIONS(1463),
    [anon_sym_PLUS_EQ] = ACTIONS(757),
    [anon_sym_DASH_EQ] = ACTIONS(757),
    [anon_sym_STAR_EQ] = ACTIONS(757),
    [anon_sym_SLASH_EQ] = ACTIONS(757),
    [anon_sym_PERCENT_EQ] = ACTIONS(757),
    [anon_sym_AMP_EQ] = ACTIONS(757),
    [anon_sym_PIPE_EQ] = ACTIONS(757),
    [anon_sym_CARET_EQ] = ACTIONS(757),
    [anon_sym_LT_LT_EQ] = ACTIONS(757),
    [anon_sym_GT_GT_EQ] = ACTIONS(757),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(762),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(762),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(762),
    [anon_sym_LT_LT] = ACTIONS(762),
    [anon_sym_GT_GT] = ACTIONS(762),
    [anon_sym_STAR] = ACTIONS(762),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(1467),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(1471),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(1473),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1477),
    [anon_sym_map] = ACTIONS(1479),
    [anon_sym_bit_set] = ACTIONS(1481),
    [anon_sym_matrix] = ACTIONS(1483),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_procedure] = STATE(2712),
    [sym_type] = STATE(2907),
    [sym_pointer_type] = STATE(2743),
    [sym_variadic_type] = STATE(2743),
    [sym_array_type] = STATE(2743),
    [sym_map_type] = STATE(2743),
    [sym_union_type] = STATE(2743),
    [sym_bit_set_type] = STATE(2743),
    [sym_matrix_type] = STATE(2743),
    [sym_field_type] = STATE(2743),
    [sym_tuple_type] = STATE(2743),
    [sym_struct_type] = STATE(2743),
    [sym_enum_type] = STATE(2743),
    [sym_bit_field_type] = STATE(2743),
    [sym_constant_type] = STATE(2743),
    [sym_specialized_type] = STATE(2743),
    [sym__procedure_type] = STATE(2743),
    [sym_distinct_type] = STATE(2743),
    [sym_empty_type] = STATE(2743),
    [sym_polymorphic_type] = STATE(2743),
    [sym_conditional_type] = STATE(2743),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(1449),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(1455),
    [anon_sym_bit_field] = ACTIONS(1457),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(1487),
    [anon_sym_DOLLAR] = ACTIONS(1463),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(907),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(1471),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1477),
    [anon_sym_map] = ACTIONS(1479),
    [anon_sym_bit_set] = ACTIONS(1481),
    [anon_sym_matrix] = ACTIONS(1483),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_procedure] = STATE(2712),
    [sym_type] = STATE(2965),
    [sym_pointer_type] = STATE(2743),
    [sym_variadic_type] = STATE(2743),
    [sym_array_type] = STATE(2743),
    [sym_map_type] = STATE(2743),
    [sym_union_type] = STATE(2743),
    [sym_bit_set_type] = STATE(2743),
    [sym_matrix_type] = STATE(2743),
    [sym_field_type] = STATE(2743),
    [sym_tuple_type] = STATE(2743),
    [sym_struct_type] = STATE(2743),
    [sym_enum_type] = STATE(2743),
    [sym_bit_field_type] = STATE(2743),
    [sym_constant_type] = STATE(2743),
    [sym_specialized_type] = STATE(2743),
    [sym__procedure_type] = STATE(2743),
    [sym_distinct_type] = STATE(2743),
    [sym_empty_type] = STATE(2743),
    [sym_polymorphic_type] = STATE(2743),
    [sym_conditional_type] = STATE(2743),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(1449),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(1455),
    [anon_sym_bit_field] = ACTIONS(1457),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1463),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_DASH_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_AMP_EQ] = ACTIONS(875),
    [anon_sym_PIPE_EQ] = ACTIONS(875),
    [anon_sym_CARET_EQ] = ACTIONS(875),
    [anon_sym_LT_LT_EQ] = ACTIONS(875),
    [anon_sym_GT_GT_EQ] = ACTIONS(875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(875),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(875),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(877),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(877),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(877),
    [anon_sym_LT_LT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(877),
    [anon_sym_STAR] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(1471),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(1502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1477),
    [anon_sym_map] = ACTIONS(1479),
    [anon_sym_bit_set] = ACTIONS(1481),
    [anon_sym_matrix] = ACTIONS(1483),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_procedure] = STATE(2712),
    [sym_type] = STATE(2945),
    [sym_pointer_type] = STATE(2743),
    [sym_variadic_type] = STATE(2743),
    [sym_array_type] = STATE(2743),
    [sym_map_type] = STATE(2743),
    [sym_union_type] = STATE(2743),
    [sym_bit_set_type] = STATE(2743),
    [sym_matrix_type] = STATE(2743),
    [sym_field_type] = STATE(2743),
    [sym_tuple_type] = STATE(2743),
    [sym_struct_type] = STATE(2743),
    [sym_enum_type] = STATE(2743),
    [sym_bit_field_type] = STATE(2743),
    [sym_constant_type] = STATE(2743),
    [sym_specialized_type] = STATE(2743),
    [sym__procedure_type] = STATE(2743),
    [sym_distinct_type] = STATE(2743),
    [sym_empty_type] = STATE(2743),
    [sym_polymorphic_type] = STATE(2743),
    [sym_conditional_type] = STATE(2743),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(1449),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(1455),
    [anon_sym_bit_field] = ACTIONS(1457),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1463),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(834),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(1471),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1477),
    [anon_sym_map] = ACTIONS(1479),
    [anon_sym_bit_set] = ACTIONS(1481),
    [anon_sym_matrix] = ACTIONS(1483),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_procedure] = STATE(2712),
    [sym_type] = STATE(2896),
    [sym_pointer_type] = STATE(2743),
    [sym_variadic_type] = STATE(2743),
    [sym_array_type] = STATE(2743),
    [sym_map_type] = STATE(2743),
    [sym_union_type] = STATE(2743),
    [sym_bit_set_type] = STATE(2743),
    [sym_matrix_type] = STATE(2743),
    [sym_field_type] = STATE(2743),
    [sym_tuple_type] = STATE(2743),
    [sym_struct_type] = STATE(2743),
    [sym_enum_type] = STATE(2743),
    [sym_bit_field_type] = STATE(2743),
    [sym_constant_type] = STATE(2743),
    [sym_specialized_type] = STATE(2743),
    [sym__procedure_type] = STATE(2743),
    [sym_distinct_type] = STATE(2743),
    [sym_empty_type] = STATE(2743),
    [sym_polymorphic_type] = STATE(2743),
    [sym_conditional_type] = STATE(2743),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(1449),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(1455),
    [anon_sym_bit_field] = ACTIONS(1457),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [anon_sym_DOLLAR] = ACTIONS(1463),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(1471),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(1523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1477),
    [anon_sym_map] = ACTIONS(1479),
    [anon_sym_bit_set] = ACTIONS(1481),
    [anon_sym_matrix] = ACTIONS(1483),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_procedure] = STATE(2712),
    [sym_type] = STATE(2800),
    [sym_pointer_type] = STATE(2743),
    [sym_variadic_type] = STATE(2743),
    [sym_array_type] = STATE(2743),
    [sym_map_type] = STATE(2743),
    [sym_union_type] = STATE(2743),
    [sym_bit_set_type] = STATE(2743),
    [sym_matrix_type] = STATE(2743),
    [sym_field_type] = STATE(2743),
    [sym_tuple_type] = STATE(2743),
    [sym_struct_type] = STATE(2743),
    [sym_enum_type] = STATE(2743),
    [sym_bit_field_type] = STATE(2743),
    [sym_constant_type] = STATE(2743),
    [sym_specialized_type] = STATE(2743),
    [sym__procedure_type] = STATE(2743),
    [sym_distinct_type] = STATE(2743),
    [sym_empty_type] = STATE(2743),
    [sym_polymorphic_type] = STATE(2743),
    [sym_conditional_type] = STATE(2743),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(1449),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(1455),
    [anon_sym_bit_field] = ACTIONS(1457),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1463),
    [anon_sym_PLUS_EQ] = ACTIONS(853),
    [anon_sym_DASH_EQ] = ACTIONS(853),
    [anon_sym_STAR_EQ] = ACTIONS(853),
    [anon_sym_SLASH_EQ] = ACTIONS(853),
    [anon_sym_PERCENT_EQ] = ACTIONS(853),
    [anon_sym_AMP_EQ] = ACTIONS(853),
    [anon_sym_PIPE_EQ] = ACTIONS(853),
    [anon_sym_CARET_EQ] = ACTIONS(853),
    [anon_sym_LT_LT_EQ] = ACTIONS(853),
    [anon_sym_GT_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(856),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(856),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(856),
    [anon_sym_LT_LT] = ACTIONS(856),
    [anon_sym_GT_GT] = ACTIONS(856),
    [anon_sym_STAR] = ACTIONS(856),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(1471),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1477),
    [anon_sym_map] = ACTIONS(1479),
    [anon_sym_bit_set] = ACTIONS(1481),
    [anon_sym_matrix] = ACTIONS(1483),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_expression] = STATE(5645),
    [sym__expression_no_tag] = STATE(4833),
    [sym_unary_expression] = STATE(4833),
    [sym_binary_expression] = STATE(4833),
    [sym_ternary_expression] = STATE(4833),
    [sym_call_expression] = STATE(4833),
    [sym_selector_call_expression] = STATE(4833),
    [sym_member_expression] = STATE(4833),
    [sym_index_expression] = STATE(4833),
    [sym_slice_expression] = STATE(4833),
    [sym_range_expression] = STATE(4833),
    [sym_cast_expression] = STATE(4833),
    [sym_in_expression] = STATE(4833),
    [sym_variadic_expression] = STATE(4833),
    [sym_parenthesized_expression] = STATE(4833),
    [sym_or_return_expression] = STATE(4833),
    [sym_or_continue_expression] = STATE(4833),
    [sym_or_break_expression] = STATE(4833),
    [sym_address] = STATE(4833),
    [sym_map_type] = STATE(4833),
    [sym_matrix_type] = STATE(4833),
    [sym_distinct_type] = STATE(4833),
    [sym_literal] = STATE(4833),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(309),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(315),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_procedure] = STATE(2712),
    [sym_type] = STATE(2910),
    [sym_pointer_type] = STATE(2743),
    [sym_variadic_type] = STATE(2743),
    [sym_array_type] = STATE(2743),
    [sym_map_type] = STATE(2743),
    [sym_union_type] = STATE(2743),
    [sym_bit_set_type] = STATE(2743),
    [sym_matrix_type] = STATE(2743),
    [sym_field_type] = STATE(2743),
    [sym_tuple_type] = STATE(2743),
    [sym_struct_type] = STATE(2743),
    [sym_enum_type] = STATE(2743),
    [sym_bit_field_type] = STATE(2743),
    [sym_constant_type] = STATE(2743),
    [sym_specialized_type] = STATE(2743),
    [sym__procedure_type] = STATE(2743),
    [sym_distinct_type] = STATE(2743),
    [sym_empty_type] = STATE(2743),
    [sym_polymorphic_type] = STATE(2743),
    [sym_conditional_type] = STATE(2743),
    [sym_identifier] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(1449),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(1455),
    [anon_sym_bit_field] = ACTIONS(1457),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1463),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_AMP_EQ] = ACTIONS(807),
    [anon_sym_PIPE_EQ] = ACTIONS(807),
    [anon_sym_CARET_EQ] = ACTIONS(807),
    [anon_sym_LT_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_GT_EQ] = ACTIONS(807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(807),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(1471),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1477),
    [anon_sym_map] = ACTIONS(1479),
    [anon_sym_bit_set] = ACTIONS(1481),
    [anon_sym_matrix] = ACTIONS(1483),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_expression] = STATE(5687),
    [sym__expression_no_tag] = STATE(4833),
    [sym_unary_expression] = STATE(4833),
    [sym_binary_expression] = STATE(4833),
    [sym_ternary_expression] = STATE(4833),
    [sym_call_expression] = STATE(4833),
    [sym_selector_call_expression] = STATE(4833),
    [sym_member_expression] = STATE(4833),
    [sym_index_expression] = STATE(4833),
    [sym_slice_expression] = STATE(4833),
    [sym_range_expression] = STATE(4833),
    [sym_cast_expression] = STATE(4833),
    [sym_in_expression] = STATE(4833),
    [sym_variadic_expression] = STATE(4833),
    [sym_parenthesized_expression] = STATE(4833),
    [sym_or_return_expression] = STATE(4833),
    [sym_or_continue_expression] = STATE(4833),
    [sym_or_break_expression] = STATE(4833),
    [sym_address] = STATE(4833),
    [sym_map_type] = STATE(4833),
    [sym_matrix_type] = STATE(4833),
    [sym_distinct_type] = STATE(4833),
    [sym_literal] = STATE(4833),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(309),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(315),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_declaration] = STATE(7172),
    [sym_package_declaration] = STATE(7528),
    [sym_import_declaration] = STATE(7528),
    [sym_procedure_declaration] = STATE(7528),
    [sym_overloaded_procedure_declaration] = STATE(7528),
    [sym_struct_declaration] = STATE(7528),
    [sym_enum_declaration] = STATE(7528),
    [sym_union_declaration] = STATE(7528),
    [sym_bit_field_declaration] = STATE(7528),
    [sym_variable_declaration] = STATE(7528),
    [sym_const_declaration] = STATE(7528),
    [sym_const_type_declaration] = STATE(7528),
    [sym_foreign_block] = STATE(7528),
    [sym_attributes] = STATE(607),
    [sym_attribute] = STATE(5728),
    [sym_when_statement] = STATE(7528),
    [sym_var_declaration] = STATE(7528),
    [sym_expression] = STATE(5445),
    [sym__expression_no_tag] = STATE(4220),
    [sym_unary_expression] = STATE(4220),
    [sym_binary_expression] = STATE(4220),
    [sym_ternary_expression] = STATE(4220),
    [sym_call_expression] = STATE(4220),
    [sym_selector_call_expression] = STATE(4220),
    [sym_member_expression] = STATE(4220),
    [sym_index_expression] = STATE(4220),
    [sym_slice_expression] = STATE(4220),
    [sym_range_expression] = STATE(4220),
    [sym_cast_expression] = STATE(4220),
    [sym_in_expression] = STATE(4220),
    [sym_variadic_expression] = STATE(4220),
    [sym_parenthesized_expression] = STATE(4220),
    [sym_or_return_expression] = STATE(4220),
    [sym_or_continue_expression] = STATE(4220),
    [sym_or_break_expression] = STATE(4220),
    [sym_address] = STATE(4220),
    [sym_map_type] = STATE(4220),
    [sym_matrix_type] = STATE(4220),
    [sym_distinct_type] = STATE(4220),
    [sym_literal] = STATE(4220),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [aux_sym_source_file_repeat1] = STATE(192),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(17),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_declaration] = STATE(7198),
    [sym_package_declaration] = STATE(7528),
    [sym_import_declaration] = STATE(7528),
    [sym_procedure_declaration] = STATE(7528),
    [sym_overloaded_procedure_declaration] = STATE(7528),
    [sym_struct_declaration] = STATE(7528),
    [sym_enum_declaration] = STATE(7528),
    [sym_union_declaration] = STATE(7528),
    [sym_bit_field_declaration] = STATE(7528),
    [sym_variable_declaration] = STATE(7528),
    [sym_const_declaration] = STATE(7528),
    [sym_const_type_declaration] = STATE(7528),
    [sym_foreign_block] = STATE(7528),
    [sym_attributes] = STATE(607),
    [sym_attribute] = STATE(5728),
    [sym_when_statement] = STATE(7528),
    [sym_var_declaration] = STATE(7528),
    [sym_expression] = STATE(5445),
    [sym__expression_no_tag] = STATE(4220),
    [sym_unary_expression] = STATE(4220),
    [sym_binary_expression] = STATE(4220),
    [sym_ternary_expression] = STATE(4220),
    [sym_call_expression] = STATE(4220),
    [sym_selector_call_expression] = STATE(4220),
    [sym_member_expression] = STATE(4220),
    [sym_index_expression] = STATE(4220),
    [sym_slice_expression] = STATE(4220),
    [sym_range_expression] = STATE(4220),
    [sym_cast_expression] = STATE(4220),
    [sym_in_expression] = STATE(4220),
    [sym_variadic_expression] = STATE(4220),
    [sym_parenthesized_expression] = STATE(4220),
    [sym_or_return_expression] = STATE(4220),
    [sym_or_continue_expression] = STATE(4220),
    [sym_or_break_expression] = STATE(4220),
    [sym_address] = STATE(4220),
    [sym_map_type] = STATE(4220),
    [sym_matrix_type] = STATE(4220),
    [sym_distinct_type] = STATE(4220),
    [sym_literal] = STATE(4220),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [aux_sym_source_file_repeat1] = STATE(192),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [ts_builtin_sym_end] = ACTIONS(1553),
    [sym_identifier] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_package] = ACTIONS(1561),
    [anon_sym_foreign] = ACTIONS(1564),
    [anon_sym_import] = ACTIONS(1567),
    [anon_sym_using] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1573),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [anon_sym_when] = ACTIONS(1579),
    [anon_sym_QMARK] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1588),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_DOT] = ACTIONS(1591),
    [anon_sym_LBRACK] = ACTIONS(1594),
    [anon_sym_cast] = ACTIONS(1597),
    [anon_sym_transmute] = ACTIONS(1597),
    [anon_sym_auto_cast] = ACTIONS(1600),
    [anon_sym_DOT_DOT] = ACTIONS(1603),
    [anon_sym_map] = ACTIONS(1606),
    [anon_sym_bit_set] = ACTIONS(1609),
    [anon_sym_matrix] = ACTIONS(1612),
    [anon_sym_distinct] = ACTIONS(1615),
    [sym_number] = ACTIONS(1618),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [anon_sym_BQUOTE] = ACTIONS(1624),
    [anon_sym_SQUOTE] = ACTIONS(1627),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [anon_sym_nil] = ACTIONS(1633),
    [sym_uninitialized] = ACTIONS(1618),
    [sym_tag] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(1618),
    [sym_block_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_procedure] = STATE(3187),
    [sym_type] = STATE(3108),
    [sym_pointer_type] = STATE(3254),
    [sym_variadic_type] = STATE(3254),
    [sym_array_type] = STATE(3254),
    [sym_map_type] = STATE(3254),
    [sym_union_type] = STATE(3254),
    [sym_bit_set_type] = STATE(3254),
    [sym_matrix_type] = STATE(3254),
    [sym_field_type] = STATE(3254),
    [sym_tuple_type] = STATE(3254),
    [sym_struct_type] = STATE(3254),
    [sym_enum_type] = STATE(3254),
    [sym_bit_field_type] = STATE(3254),
    [sym_constant_type] = STATE(3254),
    [sym_specialized_type] = STATE(3254),
    [sym__procedure_type] = STATE(3254),
    [sym_distinct_type] = STATE(3254),
    [sym_empty_type] = STATE(3254),
    [sym_polymorphic_type] = STATE(3254),
    [sym_conditional_type] = STATE(3254),
    [ts_builtin_sym_end] = ACTIONS(831),
    [sym_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(1641),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_where] = ACTIONS(834),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_bit_field] = ACTIONS(1649),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(1651),
    [anon_sym_DOLLAR] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1669),
    [anon_sym_map] = ACTIONS(1671),
    [anon_sym_bit_set] = ACTIONS(1673),
    [anon_sym_matrix] = ACTIONS(1675),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_uninitialized] = ACTIONS(831),
    [sym_tag] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_procedure] = STATE(3187),
    [sym_type] = STATE(3221),
    [sym_pointer_type] = STATE(3254),
    [sym_variadic_type] = STATE(3254),
    [sym_array_type] = STATE(3254),
    [sym_map_type] = STATE(3254),
    [sym_union_type] = STATE(3254),
    [sym_bit_set_type] = STATE(3254),
    [sym_matrix_type] = STATE(3254),
    [sym_field_type] = STATE(3254),
    [sym_tuple_type] = STATE(3254),
    [sym_struct_type] = STATE(3254),
    [sym_enum_type] = STATE(3254),
    [sym_bit_field_type] = STATE(3254),
    [sym_constant_type] = STATE(3254),
    [sym_specialized_type] = STATE(3254),
    [sym__procedure_type] = STATE(3254),
    [sym_distinct_type] = STATE(3254),
    [sym_empty_type] = STATE(3254),
    [sym_polymorphic_type] = STATE(3254),
    [sym_conditional_type] = STATE(3254),
    [ts_builtin_sym_end] = ACTIONS(907),
    [sym_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(1641),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_where] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_bit_field] = ACTIONS(1649),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [anon_sym_DOLLAR] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(1687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1669),
    [anon_sym_map] = ACTIONS(1671),
    [anon_sym_bit_set] = ACTIONS(1673),
    [anon_sym_matrix] = ACTIONS(1675),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_uninitialized] = ACTIONS(907),
    [sym_tag] = ACTIONS(1690),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_procedure] = STATE(3187),
    [sym_type] = STATE(3166),
    [sym_pointer_type] = STATE(3254),
    [sym_variadic_type] = STATE(3254),
    [sym_array_type] = STATE(3254),
    [sym_map_type] = STATE(3254),
    [sym_union_type] = STATE(3254),
    [sym_bit_set_type] = STATE(3254),
    [sym_matrix_type] = STATE(3254),
    [sym_field_type] = STATE(3254),
    [sym_tuple_type] = STATE(3254),
    [sym_struct_type] = STATE(3254),
    [sym_enum_type] = STATE(3254),
    [sym_bit_field_type] = STATE(3254),
    [sym_constant_type] = STATE(3254),
    [sym_specialized_type] = STATE(3254),
    [sym__procedure_type] = STATE(3254),
    [sym_distinct_type] = STATE(3254),
    [sym_empty_type] = STATE(3254),
    [sym_polymorphic_type] = STATE(3254),
    [sym_conditional_type] = STATE(3254),
    [ts_builtin_sym_end] = ACTIONS(757),
    [sym_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(1641),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_where] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_bit_field] = ACTIONS(1649),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [anon_sym_DOLLAR] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(1701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1669),
    [anon_sym_map] = ACTIONS(1671),
    [anon_sym_bit_set] = ACTIONS(1673),
    [anon_sym_matrix] = ACTIONS(1675),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_uninitialized] = ACTIONS(757),
    [sym_tag] = ACTIONS(1705),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_procedure] = STATE(3187),
    [sym_type] = STATE(3144),
    [sym_pointer_type] = STATE(3254),
    [sym_variadic_type] = STATE(3254),
    [sym_array_type] = STATE(3254),
    [sym_map_type] = STATE(3254),
    [sym_union_type] = STATE(3254),
    [sym_bit_set_type] = STATE(3254),
    [sym_matrix_type] = STATE(3254),
    [sym_field_type] = STATE(3254),
    [sym_tuple_type] = STATE(3254),
    [sym_struct_type] = STATE(3254),
    [sym_enum_type] = STATE(3254),
    [sym_bit_field_type] = STATE(3254),
    [sym_constant_type] = STATE(3254),
    [sym_specialized_type] = STATE(3254),
    [sym__procedure_type] = STATE(3254),
    [sym_distinct_type] = STATE(3254),
    [sym_empty_type] = STATE(3254),
    [sym_polymorphic_type] = STATE(3254),
    [sym_conditional_type] = STATE(3254),
    [ts_builtin_sym_end] = ACTIONS(853),
    [sym_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(1641),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_where] = ACTIONS(856),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_bit_field] = ACTIONS(1649),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [anon_sym_DOLLAR] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1669),
    [anon_sym_map] = ACTIONS(1671),
    [anon_sym_bit_set] = ACTIONS(1673),
    [anon_sym_matrix] = ACTIONS(1675),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_uninitialized] = ACTIONS(853),
    [sym_tag] = ACTIONS(1721),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(853),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_procedure] = STATE(3187),
    [sym_type] = STATE(3258),
    [sym_pointer_type] = STATE(3254),
    [sym_variadic_type] = STATE(3254),
    [sym_array_type] = STATE(3254),
    [sym_map_type] = STATE(3254),
    [sym_union_type] = STATE(3254),
    [sym_bit_set_type] = STATE(3254),
    [sym_matrix_type] = STATE(3254),
    [sym_field_type] = STATE(3254),
    [sym_tuple_type] = STATE(3254),
    [sym_struct_type] = STATE(3254),
    [sym_enum_type] = STATE(3254),
    [sym_bit_field_type] = STATE(3254),
    [sym_constant_type] = STATE(3254),
    [sym_specialized_type] = STATE(3254),
    [sym__procedure_type] = STATE(3254),
    [sym_distinct_type] = STATE(3254),
    [sym_empty_type] = STATE(3254),
    [sym_polymorphic_type] = STATE(3254),
    [sym_conditional_type] = STATE(3254),
    [ts_builtin_sym_end] = ACTIONS(875),
    [sym_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(1641),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_where] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_bit_field] = ACTIONS(1649),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_DOLLAR] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(1731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1669),
    [anon_sym_map] = ACTIONS(1671),
    [anon_sym_bit_set] = ACTIONS(1673),
    [anon_sym_matrix] = ACTIONS(1675),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_uninitialized] = ACTIONS(875),
    [sym_tag] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(875),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2956),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(1739),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_where] = ACTIONS(856),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(1773),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_uninitialized] = ACTIONS(853),
    [sym_tag] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2943),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(1739),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_where] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_do] = ACTIONS(809),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1782),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(1773),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_uninitialized] = ACTIONS(807),
    [sym_tag] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2953),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(1739),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_where] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_do] = ACTIONS(762),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(757),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(1799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(1773),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_uninitialized] = ACTIONS(757),
    [sym_tag] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2714),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(1739),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_where] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(1807),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(1810),
    [anon_sym_RBRACK] = ACTIONS(891),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(1813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(1773),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_uninitialized] = ACTIONS(891),
    [sym_tag] = ACTIONS(1816),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_procedure] = STATE(3187),
    [sym_type] = STATE(3178),
    [sym_pointer_type] = STATE(3254),
    [sym_variadic_type] = STATE(3254),
    [sym_array_type] = STATE(3254),
    [sym_map_type] = STATE(3254),
    [sym_union_type] = STATE(3254),
    [sym_bit_set_type] = STATE(3254),
    [sym_matrix_type] = STATE(3254),
    [sym_field_type] = STATE(3254),
    [sym_tuple_type] = STATE(3254),
    [sym_struct_type] = STATE(3254),
    [sym_enum_type] = STATE(3254),
    [sym_bit_field_type] = STATE(3254),
    [sym_constant_type] = STATE(3254),
    [sym_specialized_type] = STATE(3254),
    [sym__procedure_type] = STATE(3254),
    [sym_distinct_type] = STATE(3254),
    [sym_empty_type] = STATE(3254),
    [sym_polymorphic_type] = STATE(3254),
    [sym_conditional_type] = STATE(3254),
    [ts_builtin_sym_end] = ACTIONS(807),
    [sym_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(1641),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_where] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_bit_field] = ACTIONS(1649),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(1819),
    [anon_sym_DOLLAR] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1669),
    [anon_sym_map] = ACTIONS(1671),
    [anon_sym_bit_set] = ACTIONS(1673),
    [anon_sym_matrix] = ACTIONS(1675),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_uninitialized] = ACTIONS(807),
    [sym_tag] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_procedure] = STATE(3187),
    [sym_type] = STATE(3241),
    [sym_pointer_type] = STATE(3254),
    [sym_variadic_type] = STATE(3254),
    [sym_array_type] = STATE(3254),
    [sym_map_type] = STATE(3254),
    [sym_union_type] = STATE(3254),
    [sym_bit_set_type] = STATE(3254),
    [sym_matrix_type] = STATE(3254),
    [sym_field_type] = STATE(3254),
    [sym_tuple_type] = STATE(3254),
    [sym_struct_type] = STATE(3254),
    [sym_enum_type] = STATE(3254),
    [sym_bit_field_type] = STATE(3254),
    [sym_constant_type] = STATE(3254),
    [sym_specialized_type] = STATE(3254),
    [sym__procedure_type] = STATE(3254),
    [sym_distinct_type] = STATE(3254),
    [sym_empty_type] = STATE(3254),
    [sym_polymorphic_type] = STATE(3254),
    [sym_conditional_type] = STATE(3254),
    [ts_builtin_sym_end] = ACTIONS(891),
    [sym_identifier] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(1641),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_where] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_bit_field] = ACTIONS(1649),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(1831),
    [anon_sym_DOLLAR] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(1663),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1669),
    [anon_sym_map] = ACTIONS(1671),
    [anon_sym_bit_set] = ACTIONS(1673),
    [anon_sym_matrix] = ACTIONS(1675),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_uninitialized] = ACTIONS(891),
    [sym_tag] = ACTIONS(1840),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2709),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(1739),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_where] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_RBRACK] = ACTIONS(907),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(1773),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_uninitialized] = ACTIONS(907),
    [sym_tag] = ACTIONS(1852),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2736),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(1739),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_where] = ACTIONS(834),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_do] = ACTIONS(834),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(831),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(1773),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_uninitialized] = ACTIONS(831),
    [sym_tag] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2929),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(1739),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_where] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_do] = ACTIONS(877),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(1877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(1773),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_uninitialized] = ACTIONS(875),
    [sym_tag] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_procedure] = STATE(3613),
    [sym_type] = STATE(3500),
    [sym_pointer_type] = STATE(3609),
    [sym_variadic_type] = STATE(3609),
    [sym_array_type] = STATE(3609),
    [sym_map_type] = STATE(3609),
    [sym_union_type] = STATE(3609),
    [sym_bit_set_type] = STATE(3609),
    [sym_matrix_type] = STATE(3609),
    [sym_field_type] = STATE(3609),
    [sym_tuple_type] = STATE(3609),
    [sym_struct_type] = STATE(3609),
    [sym_enum_type] = STATE(3609),
    [sym_bit_field_type] = STATE(3609),
    [sym_constant_type] = STATE(3609),
    [sym_specialized_type] = STATE(3609),
    [sym__procedure_type] = STATE(3609),
    [sym_distinct_type] = STATE(3609),
    [sym_empty_type] = STATE(3609),
    [sym_polymorphic_type] = STATE(3609),
    [sym_conditional_type] = STATE(3609),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(1885),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(1891),
    [anon_sym_bit_field] = ACTIONS(1893),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(1895),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOLLAR] = ACTIONS(1898),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_do] = ACTIONS(809),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1902),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(1907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_map] = ACTIONS(1912),
    [anon_sym_bit_set] = ACTIONS(1914),
    [anon_sym_matrix] = ACTIONS(1916),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_tag] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_procedure] = STATE(3613),
    [sym_type] = STATE(3514),
    [sym_pointer_type] = STATE(3609),
    [sym_variadic_type] = STATE(3609),
    [sym_array_type] = STATE(3609),
    [sym_map_type] = STATE(3609),
    [sym_union_type] = STATE(3609),
    [sym_bit_set_type] = STATE(3609),
    [sym_matrix_type] = STATE(3609),
    [sym_field_type] = STATE(3609),
    [sym_tuple_type] = STATE(3609),
    [sym_struct_type] = STATE(3609),
    [sym_enum_type] = STATE(3609),
    [sym_bit_field_type] = STATE(3609),
    [sym_constant_type] = STATE(3609),
    [sym_specialized_type] = STATE(3609),
    [sym__procedure_type] = STATE(3609),
    [sym_distinct_type] = STATE(3609),
    [sym_empty_type] = STATE(3609),
    [sym_polymorphic_type] = STATE(3609),
    [sym_conditional_type] = STATE(3609),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(1885),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(1891),
    [anon_sym_bit_field] = ACTIONS(1893),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(1898),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_map] = ACTIONS(1912),
    [anon_sym_bit_set] = ACTIONS(1914),
    [anon_sym_matrix] = ACTIONS(1916),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_tag] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_procedure] = STATE(3613),
    [sym_type] = STATE(3486),
    [sym_pointer_type] = STATE(3609),
    [sym_variadic_type] = STATE(3609),
    [sym_array_type] = STATE(3609),
    [sym_map_type] = STATE(3609),
    [sym_union_type] = STATE(3609),
    [sym_bit_set_type] = STATE(3609),
    [sym_matrix_type] = STATE(3609),
    [sym_field_type] = STATE(3609),
    [sym_tuple_type] = STATE(3609),
    [sym_struct_type] = STATE(3609),
    [sym_enum_type] = STATE(3609),
    [sym_bit_field_type] = STATE(3609),
    [sym_constant_type] = STATE(3609),
    [sym_specialized_type] = STATE(3609),
    [sym__procedure_type] = STATE(3609),
    [sym_distinct_type] = STATE(3609),
    [sym_empty_type] = STATE(3609),
    [sym_polymorphic_type] = STATE(3609),
    [sym_conditional_type] = STATE(3609),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(1885),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(1891),
    [anon_sym_bit_field] = ACTIONS(1893),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_DOLLAR] = ACTIONS(1898),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_do] = ACTIONS(762),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_RBRACK] = ACTIONS(757),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(1940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_map] = ACTIONS(1912),
    [anon_sym_bit_set] = ACTIONS(1914),
    [anon_sym_matrix] = ACTIONS(1916),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_tag] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_procedure] = STATE(3613),
    [sym_type] = STATE(3565),
    [sym_pointer_type] = STATE(3609),
    [sym_variadic_type] = STATE(3609),
    [sym_array_type] = STATE(3609),
    [sym_map_type] = STATE(3609),
    [sym_union_type] = STATE(3609),
    [sym_bit_set_type] = STATE(3609),
    [sym_matrix_type] = STATE(3609),
    [sym_field_type] = STATE(3609),
    [sym_tuple_type] = STATE(3609),
    [sym_struct_type] = STATE(3609),
    [sym_enum_type] = STATE(3609),
    [sym_bit_field_type] = STATE(3609),
    [sym_constant_type] = STATE(3609),
    [sym_specialized_type] = STATE(3609),
    [sym__procedure_type] = STATE(3609),
    [sym_distinct_type] = STATE(3609),
    [sym_empty_type] = STATE(3609),
    [sym_polymorphic_type] = STATE(3609),
    [sym_conditional_type] = STATE(3609),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(1885),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(1891),
    [anon_sym_bit_field] = ACTIONS(1893),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(1944),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(1898),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_do] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_RBRACK] = ACTIONS(891),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(1950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_map] = ACTIONS(1912),
    [anon_sym_bit_set] = ACTIONS(1914),
    [anon_sym_matrix] = ACTIONS(1916),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_tag] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_procedure] = STATE(3613),
    [sym_type] = STATE(3512),
    [sym_pointer_type] = STATE(3609),
    [sym_variadic_type] = STATE(3609),
    [sym_array_type] = STATE(3609),
    [sym_map_type] = STATE(3609),
    [sym_union_type] = STATE(3609),
    [sym_bit_set_type] = STATE(3609),
    [sym_matrix_type] = STATE(3609),
    [sym_field_type] = STATE(3609),
    [sym_tuple_type] = STATE(3609),
    [sym_struct_type] = STATE(3609),
    [sym_enum_type] = STATE(3609),
    [sym_bit_field_type] = STATE(3609),
    [sym_constant_type] = STATE(3609),
    [sym_specialized_type] = STATE(3609),
    [sym__procedure_type] = STATE(3609),
    [sym_distinct_type] = STATE(3609),
    [sym_empty_type] = STATE(3609),
    [sym_polymorphic_type] = STATE(3609),
    [sym_conditional_type] = STATE(3609),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(1885),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(1891),
    [anon_sym_bit_field] = ACTIONS(1893),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_DOLLAR] = ACTIONS(1898),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_do] = ACTIONS(834),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(1957),
    [anon_sym_RBRACK] = ACTIONS(831),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_map] = ACTIONS(1912),
    [anon_sym_bit_set] = ACTIONS(1914),
    [anon_sym_matrix] = ACTIONS(1916),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_tag] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_procedure] = STATE(3613),
    [sym_type] = STATE(3522),
    [sym_pointer_type] = STATE(3609),
    [sym_variadic_type] = STATE(3609),
    [sym_array_type] = STATE(3609),
    [sym_map_type] = STATE(3609),
    [sym_union_type] = STATE(3609),
    [sym_bit_set_type] = STATE(3609),
    [sym_matrix_type] = STATE(3609),
    [sym_field_type] = STATE(3609),
    [sym_tuple_type] = STATE(3609),
    [sym_struct_type] = STATE(3609),
    [sym_enum_type] = STATE(3609),
    [sym_bit_field_type] = STATE(3609),
    [sym_constant_type] = STATE(3609),
    [sym_specialized_type] = STATE(3609),
    [sym__procedure_type] = STATE(3609),
    [sym_distinct_type] = STATE(3609),
    [sym_empty_type] = STATE(3609),
    [sym_polymorphic_type] = STATE(3609),
    [sym_conditional_type] = STATE(3609),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(1885),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(1891),
    [anon_sym_bit_field] = ACTIONS(1893),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(1965),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_DOLLAR] = ACTIONS(1898),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_RBRACK] = ACTIONS(907),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_map] = ACTIONS(1912),
    [anon_sym_bit_set] = ACTIONS(1914),
    [anon_sym_matrix] = ACTIONS(1916),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_tag] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_procedure] = STATE(3613),
    [sym_type] = STATE(3578),
    [sym_pointer_type] = STATE(3609),
    [sym_variadic_type] = STATE(3609),
    [sym_array_type] = STATE(3609),
    [sym_map_type] = STATE(3609),
    [sym_union_type] = STATE(3609),
    [sym_bit_set_type] = STATE(3609),
    [sym_matrix_type] = STATE(3609),
    [sym_field_type] = STATE(3609),
    [sym_tuple_type] = STATE(3609),
    [sym_struct_type] = STATE(3609),
    [sym_enum_type] = STATE(3609),
    [sym_bit_field_type] = STATE(3609),
    [sym_constant_type] = STATE(3609),
    [sym_specialized_type] = STATE(3609),
    [sym__procedure_type] = STATE(3609),
    [sym_distinct_type] = STATE(3609),
    [sym_empty_type] = STATE(3609),
    [sym_polymorphic_type] = STATE(3609),
    [sym_conditional_type] = STATE(3609),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(1885),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(1891),
    [anon_sym_bit_field] = ACTIONS(1893),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(1974),
    [anon_sym_RPAREN] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(1898),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_do] = ACTIONS(877),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1910),
    [anon_sym_map] = ACTIONS(1912),
    [anon_sym_bit_set] = ACTIONS(1914),
    [anon_sym_matrix] = ACTIONS(1916),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_tag] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_procedure] = STATE(3754),
    [sym_type] = STATE(3752),
    [sym_pointer_type] = STATE(3748),
    [sym_variadic_type] = STATE(3748),
    [sym_array_type] = STATE(3748),
    [sym_map_type] = STATE(3748),
    [sym_union_type] = STATE(3748),
    [sym_bit_set_type] = STATE(3748),
    [sym_matrix_type] = STATE(3748),
    [sym_field_type] = STATE(3748),
    [sym_tuple_type] = STATE(3748),
    [sym_struct_type] = STATE(3748),
    [sym_enum_type] = STATE(3748),
    [sym_bit_field_type] = STATE(3748),
    [sym_constant_type] = STATE(3748),
    [sym_specialized_type] = STATE(3748),
    [sym__procedure_type] = STATE(3748),
    [sym_distinct_type] = STATE(3748),
    [sym_empty_type] = STATE(3748),
    [sym_polymorphic_type] = STATE(3748),
    [sym_conditional_type] = STATE(3748),
    [ts_builtin_sym_end] = ACTIONS(757),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(1985),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1989),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_bit_field] = ACTIONS(1993),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_DOLLAR] = ACTIONS(1999),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(2007),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(2009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2015),
    [anon_sym_bit_set] = ACTIONS(2017),
    [anon_sym_matrix] = ACTIONS(2019),
    [anon_sym_distinct] = ACTIONS(2021),
    [sym_tag] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_procedure] = STATE(3533),
    [sym_type] = STATE(3576),
    [sym_pointer_type] = STATE(3521),
    [sym_variadic_type] = STATE(3521),
    [sym_array_type] = STATE(3521),
    [sym_map_type] = STATE(3521),
    [sym_union_type] = STATE(3521),
    [sym_bit_set_type] = STATE(3521),
    [sym_matrix_type] = STATE(3521),
    [sym_field_type] = STATE(3521),
    [sym_tuple_type] = STATE(3521),
    [sym_struct_type] = STATE(3521),
    [sym_enum_type] = STATE(3521),
    [sym_bit_field_type] = STATE(3521),
    [sym_constant_type] = STATE(3521),
    [sym_specialized_type] = STATE(3521),
    [sym__procedure_type] = STATE(3521),
    [sym_distinct_type] = STATE(3521),
    [sym_empty_type] = STATE(3521),
    [sym_polymorphic_type] = STATE(3521),
    [sym_conditional_type] = STATE(3521),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(2027),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_where] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(2029),
    [anon_sym_enum] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(2033),
    [anon_sym_bit_field] = ACTIONS(2035),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(2037),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(2042),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(2044),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(2047),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2052),
    [anon_sym_map] = ACTIONS(2054),
    [anon_sym_bit_set] = ACTIONS(2056),
    [anon_sym_matrix] = ACTIONS(2058),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_uninitialized] = ACTIONS(891),
    [sym_tag] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(891),
    [sym_block_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_procedure] = STATE(3533),
    [sym_type] = STATE(3499),
    [sym_pointer_type] = STATE(3521),
    [sym_variadic_type] = STATE(3521),
    [sym_array_type] = STATE(3521),
    [sym_map_type] = STATE(3521),
    [sym_union_type] = STATE(3521),
    [sym_bit_set_type] = STATE(3521),
    [sym_matrix_type] = STATE(3521),
    [sym_field_type] = STATE(3521),
    [sym_tuple_type] = STATE(3521),
    [sym_struct_type] = STATE(3521),
    [sym_enum_type] = STATE(3521),
    [sym_bit_field_type] = STATE(3521),
    [sym_constant_type] = STATE(3521),
    [sym_specialized_type] = STATE(3521),
    [sym__procedure_type] = STATE(3521),
    [sym_distinct_type] = STATE(3521),
    [sym_empty_type] = STATE(3521),
    [sym_polymorphic_type] = STATE(3521),
    [sym_conditional_type] = STATE(3521),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(2027),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_where] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(2029),
    [anon_sym_enum] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(2033),
    [anon_sym_bit_field] = ACTIONS(2035),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(2063),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(2042),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(2066),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(2047),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2052),
    [anon_sym_map] = ACTIONS(2054),
    [anon_sym_bit_set] = ACTIONS(2056),
    [anon_sym_matrix] = ACTIONS(2058),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_uninitialized] = ACTIONS(907),
    [sym_tag] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(907),
    [sym_block_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_procedure] = STATE(3533),
    [sym_type] = STATE(3627),
    [sym_pointer_type] = STATE(3521),
    [sym_variadic_type] = STATE(3521),
    [sym_array_type] = STATE(3521),
    [sym_map_type] = STATE(3521),
    [sym_union_type] = STATE(3521),
    [sym_bit_set_type] = STATE(3521),
    [sym_matrix_type] = STATE(3521),
    [sym_field_type] = STATE(3521),
    [sym_tuple_type] = STATE(3521),
    [sym_struct_type] = STATE(3521),
    [sym_enum_type] = STATE(3521),
    [sym_bit_field_type] = STATE(3521),
    [sym_constant_type] = STATE(3521),
    [sym_specialized_type] = STATE(3521),
    [sym__procedure_type] = STATE(3521),
    [sym_distinct_type] = STATE(3521),
    [sym_empty_type] = STATE(3521),
    [sym_polymorphic_type] = STATE(3521),
    [sym_conditional_type] = STATE(3521),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(2027),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_where] = ACTIONS(834),
    [anon_sym_struct] = ACTIONS(2029),
    [anon_sym_enum] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(2033),
    [anon_sym_bit_field] = ACTIONS(2035),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(2075),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(2042),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(2079),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(2047),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(2083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2052),
    [anon_sym_map] = ACTIONS(2054),
    [anon_sym_bit_set] = ACTIONS(2056),
    [anon_sym_matrix] = ACTIONS(2058),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_uninitialized] = ACTIONS(831),
    [sym_tag] = ACTIONS(2087),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(831),
    [sym_block_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_procedure] = STATE(3533),
    [sym_type] = STATE(3669),
    [sym_pointer_type] = STATE(3521),
    [sym_variadic_type] = STATE(3521),
    [sym_array_type] = STATE(3521),
    [sym_map_type] = STATE(3521),
    [sym_union_type] = STATE(3521),
    [sym_bit_set_type] = STATE(3521),
    [sym_matrix_type] = STATE(3521),
    [sym_field_type] = STATE(3521),
    [sym_tuple_type] = STATE(3521),
    [sym_struct_type] = STATE(3521),
    [sym_enum_type] = STATE(3521),
    [sym_bit_field_type] = STATE(3521),
    [sym_constant_type] = STATE(3521),
    [sym_specialized_type] = STATE(3521),
    [sym__procedure_type] = STATE(3521),
    [sym_distinct_type] = STATE(3521),
    [sym_empty_type] = STATE(3521),
    [sym_polymorphic_type] = STATE(3521),
    [sym_conditional_type] = STATE(3521),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(2027),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_where] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(2029),
    [anon_sym_enum] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(2033),
    [anon_sym_bit_field] = ACTIONS(2035),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(2042),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(2094),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(2047),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(2097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2052),
    [anon_sym_map] = ACTIONS(2054),
    [anon_sym_bit_set] = ACTIONS(2056),
    [anon_sym_matrix] = ACTIONS(2058),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_uninitialized] = ACTIONS(875),
    [sym_tag] = ACTIONS(2100),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(875),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(875),
    [sym_block_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_procedure] = STATE(3533),
    [sym_type] = STATE(3621),
    [sym_pointer_type] = STATE(3521),
    [sym_variadic_type] = STATE(3521),
    [sym_array_type] = STATE(3521),
    [sym_map_type] = STATE(3521),
    [sym_union_type] = STATE(3521),
    [sym_bit_set_type] = STATE(3521),
    [sym_matrix_type] = STATE(3521),
    [sym_field_type] = STATE(3521),
    [sym_tuple_type] = STATE(3521),
    [sym_struct_type] = STATE(3521),
    [sym_enum_type] = STATE(3521),
    [sym_bit_field_type] = STATE(3521),
    [sym_constant_type] = STATE(3521),
    [sym_specialized_type] = STATE(3521),
    [sym__procedure_type] = STATE(3521),
    [sym_distinct_type] = STATE(3521),
    [sym_empty_type] = STATE(3521),
    [sym_polymorphic_type] = STATE(3521),
    [sym_conditional_type] = STATE(3521),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(2027),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_where] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(2029),
    [anon_sym_enum] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(2033),
    [anon_sym_bit_field] = ACTIONS(2035),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_LPAREN] = ACTIONS(2103),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(2042),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(2047),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(2111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2052),
    [anon_sym_map] = ACTIONS(2054),
    [anon_sym_bit_set] = ACTIONS(2056),
    [anon_sym_matrix] = ACTIONS(2058),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_uninitialized] = ACTIONS(757),
    [sym_tag] = ACTIONS(2115),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(757),
    [sym_block_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_procedure] = STATE(3533),
    [sym_type] = STATE(3668),
    [sym_pointer_type] = STATE(3521),
    [sym_variadic_type] = STATE(3521),
    [sym_array_type] = STATE(3521),
    [sym_map_type] = STATE(3521),
    [sym_union_type] = STATE(3521),
    [sym_bit_set_type] = STATE(3521),
    [sym_matrix_type] = STATE(3521),
    [sym_field_type] = STATE(3521),
    [sym_tuple_type] = STATE(3521),
    [sym_struct_type] = STATE(3521),
    [sym_enum_type] = STATE(3521),
    [sym_bit_field_type] = STATE(3521),
    [sym_constant_type] = STATE(3521),
    [sym_specialized_type] = STATE(3521),
    [sym__procedure_type] = STATE(3521),
    [sym_distinct_type] = STATE(3521),
    [sym_empty_type] = STATE(3521),
    [sym_polymorphic_type] = STATE(3521),
    [sym_conditional_type] = STATE(3521),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(2027),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_where] = ACTIONS(856),
    [anon_sym_struct] = ACTIONS(2029),
    [anon_sym_enum] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(2033),
    [anon_sym_bit_field] = ACTIONS(2035),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(2042),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(2047),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(2127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2052),
    [anon_sym_map] = ACTIONS(2054),
    [anon_sym_bit_set] = ACTIONS(2056),
    [anon_sym_matrix] = ACTIONS(2058),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_uninitialized] = ACTIONS(853),
    [sym_tag] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(853),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(853),
    [sym_block_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_procedure] = STATE(3533),
    [sym_type] = STATE(3544),
    [sym_pointer_type] = STATE(3521),
    [sym_variadic_type] = STATE(3521),
    [sym_array_type] = STATE(3521),
    [sym_map_type] = STATE(3521),
    [sym_union_type] = STATE(3521),
    [sym_bit_set_type] = STATE(3521),
    [sym_matrix_type] = STATE(3521),
    [sym_field_type] = STATE(3521),
    [sym_tuple_type] = STATE(3521),
    [sym_struct_type] = STATE(3521),
    [sym_enum_type] = STATE(3521),
    [sym_bit_field_type] = STATE(3521),
    [sym_constant_type] = STATE(3521),
    [sym_specialized_type] = STATE(3521),
    [sym__procedure_type] = STATE(3521),
    [sym_distinct_type] = STATE(3521),
    [sym_empty_type] = STATE(3521),
    [sym_polymorphic_type] = STATE(3521),
    [sym_conditional_type] = STATE(3521),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(2027),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_where] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(2029),
    [anon_sym_enum] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(2033),
    [anon_sym_bit_field] = ACTIONS(2035),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(2042),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(2047),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(2141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2052),
    [anon_sym_map] = ACTIONS(2054),
    [anon_sym_bit_set] = ACTIONS(2056),
    [anon_sym_matrix] = ACTIONS(2058),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_uninitialized] = ACTIONS(807),
    [sym_tag] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(807),
    [sym_block_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_procedure] = STATE(3754),
    [sym_type] = STATE(3759),
    [sym_pointer_type] = STATE(3748),
    [sym_variadic_type] = STATE(3748),
    [sym_array_type] = STATE(3748),
    [sym_map_type] = STATE(3748),
    [sym_union_type] = STATE(3748),
    [sym_bit_set_type] = STATE(3748),
    [sym_matrix_type] = STATE(3748),
    [sym_field_type] = STATE(3748),
    [sym_tuple_type] = STATE(3748),
    [sym_struct_type] = STATE(3748),
    [sym_enum_type] = STATE(3748),
    [sym_bit_field_type] = STATE(3748),
    [sym_constant_type] = STATE(3748),
    [sym_specialized_type] = STATE(3748),
    [sym__procedure_type] = STATE(3748),
    [sym_distinct_type] = STATE(3748),
    [sym_empty_type] = STATE(3748),
    [sym_polymorphic_type] = STATE(3748),
    [sym_conditional_type] = STATE(3748),
    [ts_builtin_sym_end] = ACTIONS(807),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(1985),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1989),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_bit_field] = ACTIONS(1993),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_DOLLAR] = ACTIONS(1999),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(2007),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(2153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2015),
    [anon_sym_bit_set] = ACTIONS(2017),
    [anon_sym_matrix] = ACTIONS(2019),
    [anon_sym_distinct] = ACTIONS(2021),
    [sym_tag] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_procedure] = STATE(3754),
    [sym_type] = STATE(3794),
    [sym_pointer_type] = STATE(3748),
    [sym_variadic_type] = STATE(3748),
    [sym_array_type] = STATE(3748),
    [sym_map_type] = STATE(3748),
    [sym_union_type] = STATE(3748),
    [sym_bit_set_type] = STATE(3748),
    [sym_matrix_type] = STATE(3748),
    [sym_field_type] = STATE(3748),
    [sym_tuple_type] = STATE(3748),
    [sym_struct_type] = STATE(3748),
    [sym_enum_type] = STATE(3748),
    [sym_bit_field_type] = STATE(3748),
    [sym_constant_type] = STATE(3748),
    [sym_specialized_type] = STATE(3748),
    [sym__procedure_type] = STATE(3748),
    [sym_distinct_type] = STATE(3748),
    [sym_empty_type] = STATE(3748),
    [sym_polymorphic_type] = STATE(3748),
    [sym_conditional_type] = STATE(3748),
    [ts_builtin_sym_end] = ACTIONS(891),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(1985),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1989),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_bit_field] = ACTIONS(1993),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(2156),
    [anon_sym_DOLLAR] = ACTIONS(1999),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(2007),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(2162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2015),
    [anon_sym_bit_set] = ACTIONS(2017),
    [anon_sym_matrix] = ACTIONS(2019),
    [anon_sym_distinct] = ACTIONS(2021),
    [sym_tag] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_procedure] = STATE(3754),
    [sym_type] = STATE(3764),
    [sym_pointer_type] = STATE(3748),
    [sym_variadic_type] = STATE(3748),
    [sym_array_type] = STATE(3748),
    [sym_map_type] = STATE(3748),
    [sym_union_type] = STATE(3748),
    [sym_bit_set_type] = STATE(3748),
    [sym_matrix_type] = STATE(3748),
    [sym_field_type] = STATE(3748),
    [sym_tuple_type] = STATE(3748),
    [sym_struct_type] = STATE(3748),
    [sym_enum_type] = STATE(3748),
    [sym_bit_field_type] = STATE(3748),
    [sym_constant_type] = STATE(3748),
    [sym_specialized_type] = STATE(3748),
    [sym__procedure_type] = STATE(3748),
    [sym_distinct_type] = STATE(3748),
    [sym_empty_type] = STATE(3748),
    [sym_polymorphic_type] = STATE(3748),
    [sym_conditional_type] = STATE(3748),
    [ts_builtin_sym_end] = ACTIONS(907),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(1985),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1989),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_bit_field] = ACTIONS(1993),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_DOLLAR] = ACTIONS(1999),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(2007),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(2171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2015),
    [anon_sym_bit_set] = ACTIONS(2017),
    [anon_sym_matrix] = ACTIONS(2019),
    [anon_sym_distinct] = ACTIONS(2021),
    [sym_tag] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_procedure] = STATE(3754),
    [sym_type] = STATE(3760),
    [sym_pointer_type] = STATE(3748),
    [sym_variadic_type] = STATE(3748),
    [sym_array_type] = STATE(3748),
    [sym_map_type] = STATE(3748),
    [sym_union_type] = STATE(3748),
    [sym_bit_set_type] = STATE(3748),
    [sym_matrix_type] = STATE(3748),
    [sym_field_type] = STATE(3748),
    [sym_tuple_type] = STATE(3748),
    [sym_struct_type] = STATE(3748),
    [sym_enum_type] = STATE(3748),
    [sym_bit_field_type] = STATE(3748),
    [sym_constant_type] = STATE(3748),
    [sym_specialized_type] = STATE(3748),
    [sym__procedure_type] = STATE(3748),
    [sym_distinct_type] = STATE(3748),
    [sym_empty_type] = STATE(3748),
    [sym_polymorphic_type] = STATE(3748),
    [sym_conditional_type] = STATE(3748),
    [ts_builtin_sym_end] = ACTIONS(853),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(1985),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1989),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_bit_field] = ACTIONS(1993),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_DOLLAR] = ACTIONS(1999),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(2007),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2015),
    [anon_sym_bit_set] = ACTIONS(2017),
    [anon_sym_matrix] = ACTIONS(2019),
    [anon_sym_distinct] = ACTIONS(2021),
    [sym_tag] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(853),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_procedure] = STATE(3754),
    [sym_type] = STATE(3825),
    [sym_pointer_type] = STATE(3748),
    [sym_variadic_type] = STATE(3748),
    [sym_array_type] = STATE(3748),
    [sym_map_type] = STATE(3748),
    [sym_union_type] = STATE(3748),
    [sym_bit_set_type] = STATE(3748),
    [sym_matrix_type] = STATE(3748),
    [sym_field_type] = STATE(3748),
    [sym_tuple_type] = STATE(3748),
    [sym_struct_type] = STATE(3748),
    [sym_enum_type] = STATE(3748),
    [sym_bit_field_type] = STATE(3748),
    [sym_constant_type] = STATE(3748),
    [sym_specialized_type] = STATE(3748),
    [sym__procedure_type] = STATE(3748),
    [sym_distinct_type] = STATE(3748),
    [sym_empty_type] = STATE(3748),
    [sym_polymorphic_type] = STATE(3748),
    [sym_conditional_type] = STATE(3748),
    [ts_builtin_sym_end] = ACTIONS(875),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(1985),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1989),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_bit_field] = ACTIONS(1993),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_DOLLAR] = ACTIONS(1999),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(2007),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2015),
    [anon_sym_bit_set] = ACTIONS(2017),
    [anon_sym_matrix] = ACTIONS(2019),
    [anon_sym_distinct] = ACTIONS(2021),
    [sym_tag] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(875),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_procedure] = STATE(3754),
    [sym_type] = STATE(3734),
    [sym_pointer_type] = STATE(3748),
    [sym_variadic_type] = STATE(3748),
    [sym_array_type] = STATE(3748),
    [sym_map_type] = STATE(3748),
    [sym_union_type] = STATE(3748),
    [sym_bit_set_type] = STATE(3748),
    [sym_matrix_type] = STATE(3748),
    [sym_field_type] = STATE(3748),
    [sym_tuple_type] = STATE(3748),
    [sym_struct_type] = STATE(3748),
    [sym_enum_type] = STATE(3748),
    [sym_bit_field_type] = STATE(3748),
    [sym_constant_type] = STATE(3748),
    [sym_specialized_type] = STATE(3748),
    [sym__procedure_type] = STATE(3748),
    [sym_distinct_type] = STATE(3748),
    [sym_empty_type] = STATE(3748),
    [sym_polymorphic_type] = STATE(3748),
    [sym_conditional_type] = STATE(3748),
    [ts_builtin_sym_end] = ACTIONS(831),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(1985),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(1987),
    [anon_sym_enum] = ACTIONS(1989),
    [anon_sym_union] = ACTIONS(1991),
    [anon_sym_bit_field] = ACTIONS(1993),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_DOLLAR] = ACTIONS(1999),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(2001),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(2007),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(2203),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2015),
    [anon_sym_bit_set] = ACTIONS(2017),
    [anon_sym_matrix] = ACTIONS(2019),
    [anon_sym_distinct] = ACTIONS(2021),
    [sym_tag] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_procedure] = STATE(3406),
    [sym_type] = STATE(3450),
    [sym_pointer_type] = STATE(3376),
    [sym_variadic_type] = STATE(3376),
    [sym_array_type] = STATE(3376),
    [sym_map_type] = STATE(3376),
    [sym_union_type] = STATE(3376),
    [sym_bit_set_type] = STATE(3376),
    [sym_matrix_type] = STATE(3376),
    [sym_field_type] = STATE(3376),
    [sym_tuple_type] = STATE(3376),
    [sym_struct_type] = STATE(3376),
    [sym_enum_type] = STATE(3376),
    [sym_bit_field_type] = STATE(3376),
    [sym_constant_type] = STATE(3376),
    [sym_specialized_type] = STATE(3376),
    [sym__procedure_type] = STATE(3376),
    [sym_distinct_type] = STATE(3376),
    [sym_empty_type] = STATE(3376),
    [sym_polymorphic_type] = STATE(3376),
    [sym_conditional_type] = STATE(3376),
    [sym_identifier] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(2209),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(2215),
    [anon_sym_bit_field] = ACTIONS(2217),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_RBRACK] = ACTIONS(891),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(2229),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(2231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_map] = ACTIONS(2236),
    [anon_sym_bit_set] = ACTIONS(2238),
    [anon_sym_matrix] = ACTIONS(2240),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_tag] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_procedure] = STATE(3721),
    [sym_type] = STATE(3691),
    [sym_pointer_type] = STATE(3744),
    [sym_variadic_type] = STATE(3744),
    [sym_array_type] = STATE(3744),
    [sym_map_type] = STATE(3744),
    [sym_union_type] = STATE(3744),
    [sym_bit_set_type] = STATE(3744),
    [sym_matrix_type] = STATE(3744),
    [sym_field_type] = STATE(3744),
    [sym_tuple_type] = STATE(3744),
    [sym_struct_type] = STATE(3744),
    [sym_enum_type] = STATE(3744),
    [sym_bit_field_type] = STATE(3744),
    [sym_constant_type] = STATE(3744),
    [sym_specialized_type] = STATE(3744),
    [sym__procedure_type] = STATE(3744),
    [sym_distinct_type] = STATE(3744),
    [sym_empty_type] = STATE(3744),
    [sym_polymorphic_type] = STATE(3744),
    [sym_conditional_type] = STATE(3744),
    [ts_builtin_sym_end] = ACTIONS(875),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(2246),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_bit_field] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(2256),
    [anon_sym_DOLLAR] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(2263),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(2266),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(2268),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2271),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_bit_set] = ACTIONS(2275),
    [anon_sym_matrix] = ACTIONS(2277),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2279),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(875),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_procedure] = STATE(3406),
    [sym_type] = STATE(3392),
    [sym_pointer_type] = STATE(3376),
    [sym_variadic_type] = STATE(3376),
    [sym_array_type] = STATE(3376),
    [sym_map_type] = STATE(3376),
    [sym_union_type] = STATE(3376),
    [sym_bit_set_type] = STATE(3376),
    [sym_matrix_type] = STATE(3376),
    [sym_field_type] = STATE(3376),
    [sym_tuple_type] = STATE(3376),
    [sym_struct_type] = STATE(3376),
    [sym_enum_type] = STATE(3376),
    [sym_bit_field_type] = STATE(3376),
    [sym_constant_type] = STATE(3376),
    [sym_specialized_type] = STATE(3376),
    [sym__procedure_type] = STATE(3376),
    [sym_distinct_type] = STATE(3376),
    [sym_empty_type] = STATE(3376),
    [sym_polymorphic_type] = STATE(3376),
    [sym_conditional_type] = STATE(3376),
    [sym_identifier] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(2209),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(2215),
    [anon_sym_bit_field] = ACTIONS(2217),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_COLON_EQ] = ACTIONS(875),
    [anon_sym_LPAREN] = ACTIONS(2281),
    [anon_sym_RPAREN] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(2229),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(2287),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_map] = ACTIONS(2236),
    [anon_sym_bit_set] = ACTIONS(2238),
    [anon_sym_matrix] = ACTIONS(2240),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_tag] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_procedure] = STATE(3721),
    [sym_type] = STATE(3774),
    [sym_pointer_type] = STATE(3744),
    [sym_variadic_type] = STATE(3744),
    [sym_array_type] = STATE(3744),
    [sym_map_type] = STATE(3744),
    [sym_union_type] = STATE(3744),
    [sym_bit_set_type] = STATE(3744),
    [sym_matrix_type] = STATE(3744),
    [sym_field_type] = STATE(3744),
    [sym_tuple_type] = STATE(3744),
    [sym_struct_type] = STATE(3744),
    [sym_enum_type] = STATE(3744),
    [sym_bit_field_type] = STATE(3744),
    [sym_constant_type] = STATE(3744),
    [sym_specialized_type] = STATE(3744),
    [sym__procedure_type] = STATE(3744),
    [sym_distinct_type] = STATE(3744),
    [sym_empty_type] = STATE(3744),
    [sym_polymorphic_type] = STATE(3744),
    [sym_conditional_type] = STATE(3744),
    [ts_builtin_sym_end] = ACTIONS(853),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(2246),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_bit_field] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(2290),
    [anon_sym_DOLLAR] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(2294),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(2266),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(2298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2271),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_bit_set] = ACTIONS(2275),
    [anon_sym_matrix] = ACTIONS(2277),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2279),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(853),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_procedure] = STATE(3406),
    [sym_type] = STATE(3348),
    [sym_pointer_type] = STATE(3376),
    [sym_variadic_type] = STATE(3376),
    [sym_array_type] = STATE(3376),
    [sym_map_type] = STATE(3376),
    [sym_union_type] = STATE(3376),
    [sym_bit_set_type] = STATE(3376),
    [sym_matrix_type] = STATE(3376),
    [sym_field_type] = STATE(3376),
    [sym_tuple_type] = STATE(3376),
    [sym_struct_type] = STATE(3376),
    [sym_enum_type] = STATE(3376),
    [sym_bit_field_type] = STATE(3376),
    [sym_constant_type] = STATE(3376),
    [sym_specialized_type] = STATE(3376),
    [sym__procedure_type] = STATE(3376),
    [sym_distinct_type] = STATE(3376),
    [sym_empty_type] = STATE(3376),
    [sym_polymorphic_type] = STATE(3376),
    [sym_conditional_type] = STATE(3376),
    [sym_identifier] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(2209),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(2215),
    [anon_sym_bit_field] = ACTIONS(2217),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOLLAR] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(2229),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_map] = ACTIONS(2236),
    [anon_sym_bit_set] = ACTIONS(2238),
    [anon_sym_matrix] = ACTIONS(2240),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_tag] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_procedure] = STATE(3406),
    [sym_type] = STATE(3421),
    [sym_pointer_type] = STATE(3376),
    [sym_variadic_type] = STATE(3376),
    [sym_array_type] = STATE(3376),
    [sym_map_type] = STATE(3376),
    [sym_union_type] = STATE(3376),
    [sym_bit_set_type] = STATE(3376),
    [sym_matrix_type] = STATE(3376),
    [sym_field_type] = STATE(3376),
    [sym_tuple_type] = STATE(3376),
    [sym_struct_type] = STATE(3376),
    [sym_enum_type] = STATE(3376),
    [sym_bit_field_type] = STATE(3376),
    [sym_constant_type] = STATE(3376),
    [sym_specialized_type] = STATE(3376),
    [sym__procedure_type] = STATE(3376),
    [sym_distinct_type] = STATE(3376),
    [sym_empty_type] = STATE(3376),
    [sym_polymorphic_type] = STATE(3376),
    [sym_conditional_type] = STATE(3376),
    [sym_identifier] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(2209),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(2215),
    [anon_sym_bit_field] = ACTIONS(2217),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_DOLLAR] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_RBRACK] = ACTIONS(907),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(2229),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(2317),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_map] = ACTIONS(2236),
    [anon_sym_bit_set] = ACTIONS(2238),
    [anon_sym_matrix] = ACTIONS(2240),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_tag] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_procedure] = STATE(3721),
    [sym_type] = STATE(3804),
    [sym_pointer_type] = STATE(3744),
    [sym_variadic_type] = STATE(3744),
    [sym_array_type] = STATE(3744),
    [sym_map_type] = STATE(3744),
    [sym_union_type] = STATE(3744),
    [sym_bit_set_type] = STATE(3744),
    [sym_matrix_type] = STATE(3744),
    [sym_field_type] = STATE(3744),
    [sym_tuple_type] = STATE(3744),
    [sym_struct_type] = STATE(3744),
    [sym_enum_type] = STATE(3744),
    [sym_bit_field_type] = STATE(3744),
    [sym_constant_type] = STATE(3744),
    [sym_specialized_type] = STATE(3744),
    [sym__procedure_type] = STATE(3744),
    [sym_distinct_type] = STATE(3744),
    [sym_empty_type] = STATE(3744),
    [sym_polymorphic_type] = STATE(3744),
    [sym_conditional_type] = STATE(3744),
    [ts_builtin_sym_end] = ACTIONS(831),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(2246),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_bit_field] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(2320),
    [anon_sym_DOLLAR] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(2266),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2271),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_bit_set] = ACTIONS(2275),
    [anon_sym_matrix] = ACTIONS(2277),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2279),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_procedure] = STATE(3406),
    [sym_type] = STATE(3431),
    [sym_pointer_type] = STATE(3376),
    [sym_variadic_type] = STATE(3376),
    [sym_array_type] = STATE(3376),
    [sym_map_type] = STATE(3376),
    [sym_union_type] = STATE(3376),
    [sym_bit_set_type] = STATE(3376),
    [sym_matrix_type] = STATE(3376),
    [sym_field_type] = STATE(3376),
    [sym_tuple_type] = STATE(3376),
    [sym_struct_type] = STATE(3376),
    [sym_enum_type] = STATE(3376),
    [sym_bit_field_type] = STATE(3376),
    [sym_constant_type] = STATE(3376),
    [sym_specialized_type] = STATE(3376),
    [sym__procedure_type] = STATE(3376),
    [sym_distinct_type] = STATE(3376),
    [sym_empty_type] = STATE(3376),
    [sym_polymorphic_type] = STATE(3376),
    [sym_conditional_type] = STATE(3376),
    [sym_identifier] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(2209),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(2215),
    [anon_sym_bit_field] = ACTIONS(2217),
    [anon_sym_COLON] = ACTIONS(856),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_COLON_EQ] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(2229),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_map] = ACTIONS(2236),
    [anon_sym_bit_set] = ACTIONS(2238),
    [anon_sym_matrix] = ACTIONS(2240),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_tag] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_procedure] = STATE(3406),
    [sym_type] = STATE(3427),
    [sym_pointer_type] = STATE(3376),
    [sym_variadic_type] = STATE(3376),
    [sym_array_type] = STATE(3376),
    [sym_map_type] = STATE(3376),
    [sym_union_type] = STATE(3376),
    [sym_bit_set_type] = STATE(3376),
    [sym_matrix_type] = STATE(3376),
    [sym_field_type] = STATE(3376),
    [sym_tuple_type] = STATE(3376),
    [sym_struct_type] = STATE(3376),
    [sym_enum_type] = STATE(3376),
    [sym_bit_field_type] = STATE(3376),
    [sym_constant_type] = STATE(3376),
    [sym_specialized_type] = STATE(3376),
    [sym__procedure_type] = STATE(3376),
    [sym_distinct_type] = STATE(3376),
    [sym_empty_type] = STATE(3376),
    [sym_polymorphic_type] = STATE(3376),
    [sym_conditional_type] = STATE(3376),
    [sym_identifier] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(2209),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(2215),
    [anon_sym_bit_field] = ACTIONS(2217),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_DOLLAR] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_RBRACK] = ACTIONS(831),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(2229),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_map] = ACTIONS(2236),
    [anon_sym_bit_set] = ACTIONS(2238),
    [anon_sym_matrix] = ACTIONS(2240),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_tag] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_procedure] = STATE(3721),
    [sym_type] = STATE(3772),
    [sym_pointer_type] = STATE(3744),
    [sym_variadic_type] = STATE(3744),
    [sym_array_type] = STATE(3744),
    [sym_map_type] = STATE(3744),
    [sym_union_type] = STATE(3744),
    [sym_bit_set_type] = STATE(3744),
    [sym_matrix_type] = STATE(3744),
    [sym_field_type] = STATE(3744),
    [sym_tuple_type] = STATE(3744),
    [sym_struct_type] = STATE(3744),
    [sym_enum_type] = STATE(3744),
    [sym_bit_field_type] = STATE(3744),
    [sym_constant_type] = STATE(3744),
    [sym_specialized_type] = STATE(3744),
    [sym__procedure_type] = STATE(3744),
    [sym_distinct_type] = STATE(3744),
    [sym_empty_type] = STATE(3744),
    [sym_polymorphic_type] = STATE(3744),
    [sym_conditional_type] = STATE(3744),
    [ts_builtin_sym_end] = ACTIONS(907),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(2246),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_bit_field] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(2359),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(2266),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2271),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_bit_set] = ACTIONS(2275),
    [anon_sym_matrix] = ACTIONS(2277),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2279),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_procedure] = STATE(3721),
    [sym_type] = STATE(3733),
    [sym_pointer_type] = STATE(3744),
    [sym_variadic_type] = STATE(3744),
    [sym_array_type] = STATE(3744),
    [sym_map_type] = STATE(3744),
    [sym_union_type] = STATE(3744),
    [sym_bit_set_type] = STATE(3744),
    [sym_matrix_type] = STATE(3744),
    [sym_field_type] = STATE(3744),
    [sym_tuple_type] = STATE(3744),
    [sym_struct_type] = STATE(3744),
    [sym_enum_type] = STATE(3744),
    [sym_bit_field_type] = STATE(3744),
    [sym_constant_type] = STATE(3744),
    [sym_specialized_type] = STATE(3744),
    [sym__procedure_type] = STATE(3744),
    [sym_distinct_type] = STATE(3744),
    [sym_empty_type] = STATE(3744),
    [sym_polymorphic_type] = STATE(3744),
    [sym_conditional_type] = STATE(3744),
    [ts_builtin_sym_end] = ACTIONS(807),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(2246),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_bit_field] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(2365),
    [anon_sym_DOLLAR] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(2266),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(2371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2271),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_bit_set] = ACTIONS(2275),
    [anon_sym_matrix] = ACTIONS(2277),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2279),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_procedure] = STATE(3721),
    [sym_type] = STATE(3730),
    [sym_pointer_type] = STATE(3744),
    [sym_variadic_type] = STATE(3744),
    [sym_array_type] = STATE(3744),
    [sym_map_type] = STATE(3744),
    [sym_union_type] = STATE(3744),
    [sym_bit_set_type] = STATE(3744),
    [sym_matrix_type] = STATE(3744),
    [sym_field_type] = STATE(3744),
    [sym_tuple_type] = STATE(3744),
    [sym_struct_type] = STATE(3744),
    [sym_enum_type] = STATE(3744),
    [sym_bit_field_type] = STATE(3744),
    [sym_constant_type] = STATE(3744),
    [sym_specialized_type] = STATE(3744),
    [sym__procedure_type] = STATE(3744),
    [sym_distinct_type] = STATE(3744),
    [sym_empty_type] = STATE(3744),
    [sym_polymorphic_type] = STATE(3744),
    [sym_conditional_type] = STATE(3744),
    [ts_builtin_sym_end] = ACTIONS(891),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(2246),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_bit_field] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_DOLLAR] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(2266),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(2380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2271),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_bit_set] = ACTIONS(2275),
    [anon_sym_matrix] = ACTIONS(2277),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2279),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_procedure] = STATE(3721),
    [sym_type] = STATE(3692),
    [sym_pointer_type] = STATE(3744),
    [sym_variadic_type] = STATE(3744),
    [sym_array_type] = STATE(3744),
    [sym_map_type] = STATE(3744),
    [sym_union_type] = STATE(3744),
    [sym_bit_set_type] = STATE(3744),
    [sym_matrix_type] = STATE(3744),
    [sym_field_type] = STATE(3744),
    [sym_tuple_type] = STATE(3744),
    [sym_struct_type] = STATE(3744),
    [sym_enum_type] = STATE(3744),
    [sym_bit_field_type] = STATE(3744),
    [sym_constant_type] = STATE(3744),
    [sym_specialized_type] = STATE(3744),
    [sym__procedure_type] = STATE(3744),
    [sym_distinct_type] = STATE(3744),
    [sym_empty_type] = STATE(3744),
    [sym_polymorphic_type] = STATE(3744),
    [sym_conditional_type] = STATE(3744),
    [ts_builtin_sym_end] = ACTIONS(757),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(2246),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_bit_field] = ACTIONS(2254),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_DOLLAR] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(2266),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2271),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_bit_set] = ACTIONS(2275),
    [anon_sym_matrix] = ACTIONS(2277),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2279),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_procedure] = STATE(3406),
    [sym_type] = STATE(3380),
    [sym_pointer_type] = STATE(3376),
    [sym_variadic_type] = STATE(3376),
    [sym_array_type] = STATE(3376),
    [sym_map_type] = STATE(3376),
    [sym_union_type] = STATE(3376),
    [sym_bit_set_type] = STATE(3376),
    [sym_matrix_type] = STATE(3376),
    [sym_field_type] = STATE(3376),
    [sym_tuple_type] = STATE(3376),
    [sym_struct_type] = STATE(3376),
    [sym_enum_type] = STATE(3376),
    [sym_bit_field_type] = STATE(3376),
    [sym_constant_type] = STATE(3376),
    [sym_specialized_type] = STATE(3376),
    [sym__procedure_type] = STATE(3376),
    [sym_distinct_type] = STATE(3376),
    [sym_empty_type] = STATE(3376),
    [sym_polymorphic_type] = STATE(3376),
    [sym_conditional_type] = STATE(3376),
    [sym_identifier] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(2209),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_enum] = ACTIONS(2213),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(2215),
    [anon_sym_bit_field] = ACTIONS(2217),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(2395),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_DOLLAR] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(2399),
    [anon_sym_RBRACK] = ACTIONS(757),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(2229),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(2403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2234),
    [anon_sym_map] = ACTIONS(2236),
    [anon_sym_bit_set] = ACTIONS(2238),
    [anon_sym_matrix] = ACTIONS(2240),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_tag] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_procedure] = STATE(4165),
    [sym_type] = STATE(4198),
    [sym_pointer_type] = STATE(4160),
    [sym_variadic_type] = STATE(4160),
    [sym_array_type] = STATE(4160),
    [sym_map_type] = STATE(4160),
    [sym_union_type] = STATE(4160),
    [sym_bit_set_type] = STATE(4160),
    [sym_matrix_type] = STATE(4160),
    [sym_field_type] = STATE(4160),
    [sym_tuple_type] = STATE(4160),
    [sym_struct_type] = STATE(4160),
    [sym_enum_type] = STATE(4160),
    [sym_bit_field_type] = STATE(4160),
    [sym_constant_type] = STATE(4160),
    [sym_specialized_type] = STATE(4160),
    [sym__procedure_type] = STATE(4160),
    [sym_distinct_type] = STATE(4160),
    [sym_empty_type] = STATE(4160),
    [sym_polymorphic_type] = STATE(4160),
    [sym_conditional_type] = STATE(4160),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(2411),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2415),
    [anon_sym_bit_field] = ACTIONS(2417),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_DOLLAR] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(2429),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(2431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_map] = ACTIONS(2436),
    [anon_sym_bit_set] = ACTIONS(2438),
    [anon_sym_matrix] = ACTIONS(2440),
    [anon_sym_distinct] = ACTIONS(2442),
    [sym_tag] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(907),
    [sym_block_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_procedure] = STATE(4165),
    [sym_type] = STATE(4199),
    [sym_pointer_type] = STATE(4160),
    [sym_variadic_type] = STATE(4160),
    [sym_array_type] = STATE(4160),
    [sym_map_type] = STATE(4160),
    [sym_union_type] = STATE(4160),
    [sym_bit_set_type] = STATE(4160),
    [sym_matrix_type] = STATE(4160),
    [sym_field_type] = STATE(4160),
    [sym_tuple_type] = STATE(4160),
    [sym_struct_type] = STATE(4160),
    [sym_enum_type] = STATE(4160),
    [sym_bit_field_type] = STATE(4160),
    [sym_constant_type] = STATE(4160),
    [sym_specialized_type] = STATE(4160),
    [sym__procedure_type] = STATE(4160),
    [sym_distinct_type] = STATE(4160),
    [sym_empty_type] = STATE(4160),
    [sym_polymorphic_type] = STATE(4160),
    [sym_conditional_type] = STATE(4160),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(2411),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2415),
    [anon_sym_bit_field] = ACTIONS(2417),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_DOLLAR] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(2449),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(2429),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_map] = ACTIONS(2436),
    [anon_sym_bit_set] = ACTIONS(2438),
    [anon_sym_matrix] = ACTIONS(2440),
    [anon_sym_distinct] = ACTIONS(2442),
    [sym_tag] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(891),
    [sym_block_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2929),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(2455),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_where] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2467),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2469),
    [anon_sym_distinct] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(875),
    [anon_sym_BQUOTE] = ACTIONS(875),
    [sym_uninitialized] = ACTIONS(875),
    [sym_tag] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_procedure] = STATE(4165),
    [sym_type] = STATE(4196),
    [sym_pointer_type] = STATE(4160),
    [sym_variadic_type] = STATE(4160),
    [sym_array_type] = STATE(4160),
    [sym_map_type] = STATE(4160),
    [sym_union_type] = STATE(4160),
    [sym_bit_set_type] = STATE(4160),
    [sym_matrix_type] = STATE(4160),
    [sym_field_type] = STATE(4160),
    [sym_tuple_type] = STATE(4160),
    [sym_struct_type] = STATE(4160),
    [sym_enum_type] = STATE(4160),
    [sym_bit_field_type] = STATE(4160),
    [sym_constant_type] = STATE(4160),
    [sym_specialized_type] = STATE(4160),
    [sym__procedure_type] = STATE(4160),
    [sym_distinct_type] = STATE(4160),
    [sym_empty_type] = STATE(4160),
    [sym_polymorphic_type] = STATE(4160),
    [sym_conditional_type] = STATE(4160),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(2411),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2415),
    [anon_sym_bit_field] = ACTIONS(2417),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(2429),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_map] = ACTIONS(2436),
    [anon_sym_bit_set] = ACTIONS(2438),
    [anon_sym_matrix] = ACTIONS(2440),
    [anon_sym_distinct] = ACTIONS(2442),
    [sym_tag] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(757),
    [sym_block_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2714),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(2455),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_where] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(1807),
    [anon_sym_DOLLAR] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(2489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2467),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2469),
    [anon_sym_distinct] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(891),
    [anon_sym_BQUOTE] = ACTIONS(891),
    [sym_uninitialized] = ACTIONS(891),
    [sym_tag] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_procedure] = STATE(4165),
    [sym_type] = STATE(4130),
    [sym_pointer_type] = STATE(4160),
    [sym_variadic_type] = STATE(4160),
    [sym_array_type] = STATE(4160),
    [sym_map_type] = STATE(4160),
    [sym_union_type] = STATE(4160),
    [sym_bit_set_type] = STATE(4160),
    [sym_matrix_type] = STATE(4160),
    [sym_field_type] = STATE(4160),
    [sym_tuple_type] = STATE(4160),
    [sym_struct_type] = STATE(4160),
    [sym_enum_type] = STATE(4160),
    [sym_bit_field_type] = STATE(4160),
    [sym_constant_type] = STATE(4160),
    [sym_specialized_type] = STATE(4160),
    [sym__procedure_type] = STATE(4160),
    [sym_distinct_type] = STATE(4160),
    [sym_empty_type] = STATE(4160),
    [sym_polymorphic_type] = STATE(4160),
    [sym_conditional_type] = STATE(4160),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(2411),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2415),
    [anon_sym_bit_field] = ACTIONS(2417),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_DOLLAR] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(2429),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(2501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_map] = ACTIONS(2436),
    [anon_sym_bit_set] = ACTIONS(2438),
    [anon_sym_matrix] = ACTIONS(2440),
    [anon_sym_distinct] = ACTIONS(2442),
    [sym_tag] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(807),
    [sym_block_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2943),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(2455),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_where] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_DOLLAR] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(2507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2467),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2469),
    [anon_sym_distinct] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(807),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_uninitialized] = ACTIONS(807),
    [sym_tag] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_procedure] = STATE(4165),
    [sym_type] = STATE(4200),
    [sym_pointer_type] = STATE(4160),
    [sym_variadic_type] = STATE(4160),
    [sym_array_type] = STATE(4160),
    [sym_map_type] = STATE(4160),
    [sym_union_type] = STATE(4160),
    [sym_bit_set_type] = STATE(4160),
    [sym_matrix_type] = STATE(4160),
    [sym_field_type] = STATE(4160),
    [sym_tuple_type] = STATE(4160),
    [sym_struct_type] = STATE(4160),
    [sym_enum_type] = STATE(4160),
    [sym_bit_field_type] = STATE(4160),
    [sym_constant_type] = STATE(4160),
    [sym_specialized_type] = STATE(4160),
    [sym__procedure_type] = STATE(4160),
    [sym_distinct_type] = STATE(4160),
    [sym_empty_type] = STATE(4160),
    [sym_polymorphic_type] = STATE(4160),
    [sym_conditional_type] = STATE(4160),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(2411),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2415),
    [anon_sym_bit_field] = ACTIONS(2417),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(2513),
    [anon_sym_DOLLAR] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(2517),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(2429),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(2521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_map] = ACTIONS(2436),
    [anon_sym_bit_set] = ACTIONS(2438),
    [anon_sym_matrix] = ACTIONS(2440),
    [anon_sym_distinct] = ACTIONS(2442),
    [sym_tag] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(831),
    [sym_block_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2709),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(2455),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_where] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_DOLLAR] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(2525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2467),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2469),
    [anon_sym_distinct] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_BQUOTE] = ACTIONS(907),
    [sym_uninitialized] = ACTIONS(907),
    [sym_tag] = ACTIONS(2531),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2736),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(2455),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_where] = ACTIONS(834),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2467),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2469),
    [anon_sym_distinct] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(831),
    [anon_sym_BQUOTE] = ACTIONS(831),
    [sym_uninitialized] = ACTIONS(831),
    [sym_tag] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2953),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(2455),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_where] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [anon_sym_DOLLAR] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2467),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2469),
    [anon_sym_distinct] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(757),
    [anon_sym_BQUOTE] = ACTIONS(757),
    [sym_uninitialized] = ACTIONS(757),
    [sym_tag] = ACTIONS(2554),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_procedure] = STATE(4165),
    [sym_type] = STATE(4188),
    [sym_pointer_type] = STATE(4160),
    [sym_variadic_type] = STATE(4160),
    [sym_array_type] = STATE(4160),
    [sym_map_type] = STATE(4160),
    [sym_union_type] = STATE(4160),
    [sym_bit_set_type] = STATE(4160),
    [sym_matrix_type] = STATE(4160),
    [sym_field_type] = STATE(4160),
    [sym_tuple_type] = STATE(4160),
    [sym_struct_type] = STATE(4160),
    [sym_enum_type] = STATE(4160),
    [sym_bit_field_type] = STATE(4160),
    [sym_constant_type] = STATE(4160),
    [sym_specialized_type] = STATE(4160),
    [sym__procedure_type] = STATE(4160),
    [sym_distinct_type] = STATE(4160),
    [sym_empty_type] = STATE(4160),
    [sym_polymorphic_type] = STATE(4160),
    [sym_conditional_type] = STATE(4160),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(2411),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2415),
    [anon_sym_bit_field] = ACTIONS(2417),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_LPAREN] = ACTIONS(2558),
    [anon_sym_DOLLAR] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(2429),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_map] = ACTIONS(2436),
    [anon_sym_bit_set] = ACTIONS(2438),
    [anon_sym_matrix] = ACTIONS(2440),
    [anon_sym_distinct] = ACTIONS(2442),
    [sym_tag] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(875),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(875),
    [sym_block_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2956),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(2455),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_where] = ACTIONS(856),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_DOLLAR] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(2571),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2467),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2469),
    [anon_sym_distinct] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [sym_uninitialized] = ACTIONS(853),
    [sym_tag] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_procedure] = STATE(4165),
    [sym_type] = STATE(4194),
    [sym_pointer_type] = STATE(4160),
    [sym_variadic_type] = STATE(4160),
    [sym_array_type] = STATE(4160),
    [sym_map_type] = STATE(4160),
    [sym_union_type] = STATE(4160),
    [sym_bit_set_type] = STATE(4160),
    [sym_matrix_type] = STATE(4160),
    [sym_field_type] = STATE(4160),
    [sym_tuple_type] = STATE(4160),
    [sym_struct_type] = STATE(4160),
    [sym_enum_type] = STATE(4160),
    [sym_bit_field_type] = STATE(4160),
    [sym_constant_type] = STATE(4160),
    [sym_specialized_type] = STATE(4160),
    [sym__procedure_type] = STATE(4160),
    [sym_distinct_type] = STATE(4160),
    [sym_empty_type] = STATE(4160),
    [sym_polymorphic_type] = STATE(4160),
    [sym_conditional_type] = STATE(4160),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(2411),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2415),
    [anon_sym_bit_field] = ACTIONS(2417),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_DOLLAR] = ACTIONS(2422),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(2429),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(2587),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_map] = ACTIONS(2436),
    [anon_sym_bit_set] = ACTIONS(2438),
    [anon_sym_matrix] = ACTIONS(2440),
    [anon_sym_distinct] = ACTIONS(2442),
    [sym_tag] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(853),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(853),
    [sym_block_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_procedure] = STATE(4259),
    [sym_type] = STATE(4241),
    [sym_pointer_type] = STATE(4290),
    [sym_variadic_type] = STATE(4290),
    [sym_array_type] = STATE(4290),
    [sym_map_type] = STATE(4290),
    [sym_union_type] = STATE(4290),
    [sym_bit_set_type] = STATE(4290),
    [sym_matrix_type] = STATE(4290),
    [sym_field_type] = STATE(4290),
    [sym_tuple_type] = STATE(4290),
    [sym_struct_type] = STATE(4290),
    [sym_enum_type] = STATE(4290),
    [sym_bit_field_type] = STATE(4290),
    [sym_constant_type] = STATE(4290),
    [sym_specialized_type] = STATE(4290),
    [sym__procedure_type] = STATE(4290),
    [sym_distinct_type] = STATE(4290),
    [sym_empty_type] = STATE(4290),
    [sym_polymorphic_type] = STATE(4290),
    [sym_conditional_type] = STATE(4290),
    [sym_identifier] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(2593),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_bit_field] = ACTIONS(2601),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_DOLLAR] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(2615),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_bit_set] = ACTIONS(2625),
    [anon_sym_matrix] = ACTIONS(2627),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(757),
    [sym_block_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_procedure] = STATE(4259),
    [sym_type] = STATE(4251),
    [sym_pointer_type] = STATE(4290),
    [sym_variadic_type] = STATE(4290),
    [sym_array_type] = STATE(4290),
    [sym_map_type] = STATE(4290),
    [sym_union_type] = STATE(4290),
    [sym_bit_set_type] = STATE(4290),
    [sym_matrix_type] = STATE(4290),
    [sym_field_type] = STATE(4290),
    [sym_tuple_type] = STATE(4290),
    [sym_struct_type] = STATE(4290),
    [sym_enum_type] = STATE(4290),
    [sym_bit_field_type] = STATE(4290),
    [sym_constant_type] = STATE(4290),
    [sym_specialized_type] = STATE(4290),
    [sym__procedure_type] = STATE(4290),
    [sym_distinct_type] = STATE(4290),
    [sym_empty_type] = STATE(4290),
    [sym_polymorphic_type] = STATE(4290),
    [sym_conditional_type] = STATE(4290),
    [sym_identifier] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(2593),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_bit_field] = ACTIONS(2601),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_DOLLAR] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(2615),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(2639),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_bit_set] = ACTIONS(2625),
    [anon_sym_matrix] = ACTIONS(2627),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(853),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(853),
    [sym_block_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_procedure] = STATE(4259),
    [sym_type] = STATE(4249),
    [sym_pointer_type] = STATE(4290),
    [sym_variadic_type] = STATE(4290),
    [sym_array_type] = STATE(4290),
    [sym_map_type] = STATE(4290),
    [sym_union_type] = STATE(4290),
    [sym_bit_set_type] = STATE(4290),
    [sym_matrix_type] = STATE(4290),
    [sym_field_type] = STATE(4290),
    [sym_tuple_type] = STATE(4290),
    [sym_struct_type] = STATE(4290),
    [sym_enum_type] = STATE(4290),
    [sym_bit_field_type] = STATE(4290),
    [sym_constant_type] = STATE(4290),
    [sym_specialized_type] = STATE(4290),
    [sym__procedure_type] = STATE(4290),
    [sym_distinct_type] = STATE(4290),
    [sym_empty_type] = STATE(4290),
    [sym_polymorphic_type] = STATE(4290),
    [sym_conditional_type] = STATE(4290),
    [sym_identifier] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(2593),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_bit_field] = ACTIONS(2601),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_LPAREN] = ACTIONS(2643),
    [anon_sym_DOLLAR] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(2646),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(2615),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_bit_set] = ACTIONS(2625),
    [anon_sym_matrix] = ACTIONS(2627),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(875),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(875),
    [sym_block_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_procedure] = STATE(4259),
    [sym_type] = STATE(4279),
    [sym_pointer_type] = STATE(4290),
    [sym_variadic_type] = STATE(4290),
    [sym_array_type] = STATE(4290),
    [sym_map_type] = STATE(4290),
    [sym_union_type] = STATE(4290),
    [sym_bit_set_type] = STATE(4290),
    [sym_matrix_type] = STATE(4290),
    [sym_field_type] = STATE(4290),
    [sym_tuple_type] = STATE(4290),
    [sym_struct_type] = STATE(4290),
    [sym_enum_type] = STATE(4290),
    [sym_bit_field_type] = STATE(4290),
    [sym_constant_type] = STATE(4290),
    [sym_specialized_type] = STATE(4290),
    [sym__procedure_type] = STATE(4290),
    [sym_distinct_type] = STATE(4290),
    [sym_empty_type] = STATE(4290),
    [sym_polymorphic_type] = STATE(4290),
    [sym_conditional_type] = STATE(4290),
    [sym_identifier] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(2593),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_bit_field] = ACTIONS(2601),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(2615),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_bit_set] = ACTIONS(2625),
    [anon_sym_matrix] = ACTIONS(2627),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(831),
    [sym_block_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_procedure] = STATE(4259),
    [sym_type] = STATE(4233),
    [sym_pointer_type] = STATE(4290),
    [sym_variadic_type] = STATE(4290),
    [sym_array_type] = STATE(4290),
    [sym_map_type] = STATE(4290),
    [sym_union_type] = STATE(4290),
    [sym_bit_set_type] = STATE(4290),
    [sym_matrix_type] = STATE(4290),
    [sym_field_type] = STATE(4290),
    [sym_tuple_type] = STATE(4290),
    [sym_struct_type] = STATE(4290),
    [sym_enum_type] = STATE(4290),
    [sym_bit_field_type] = STATE(4290),
    [sym_constant_type] = STATE(4290),
    [sym_specialized_type] = STATE(4290),
    [sym__procedure_type] = STATE(4290),
    [sym_distinct_type] = STATE(4290),
    [sym_empty_type] = STATE(4290),
    [sym_polymorphic_type] = STATE(4290),
    [sym_conditional_type] = STATE(4290),
    [sym_identifier] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(2593),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_bit_field] = ACTIONS(2601),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_DOLLAR] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(2615),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(2670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_bit_set] = ACTIONS(2625),
    [anon_sym_matrix] = ACTIONS(2627),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(907),
    [sym_block_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_procedure] = STATE(4259),
    [sym_type] = STATE(4231),
    [sym_pointer_type] = STATE(4290),
    [sym_variadic_type] = STATE(4290),
    [sym_array_type] = STATE(4290),
    [sym_map_type] = STATE(4290),
    [sym_union_type] = STATE(4290),
    [sym_bit_set_type] = STATE(4290),
    [sym_matrix_type] = STATE(4290),
    [sym_field_type] = STATE(4290),
    [sym_tuple_type] = STATE(4290),
    [sym_struct_type] = STATE(4290),
    [sym_enum_type] = STATE(4290),
    [sym_bit_field_type] = STATE(4290),
    [sym_constant_type] = STATE(4290),
    [sym_specialized_type] = STATE(4290),
    [sym__procedure_type] = STATE(4290),
    [sym_distinct_type] = STATE(4290),
    [sym_empty_type] = STATE(4290),
    [sym_polymorphic_type] = STATE(4290),
    [sym_conditional_type] = STATE(4290),
    [sym_identifier] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(2593),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_bit_field] = ACTIONS(2601),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_DOLLAR] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(2615),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(2679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_bit_set] = ACTIONS(2625),
    [anon_sym_matrix] = ACTIONS(2627),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(891),
    [sym_block_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_procedure] = STATE(4259),
    [sym_type] = STATE(4230),
    [sym_pointer_type] = STATE(4290),
    [sym_variadic_type] = STATE(4290),
    [sym_array_type] = STATE(4290),
    [sym_map_type] = STATE(4290),
    [sym_union_type] = STATE(4290),
    [sym_bit_set_type] = STATE(4290),
    [sym_matrix_type] = STATE(4290),
    [sym_field_type] = STATE(4290),
    [sym_tuple_type] = STATE(4290),
    [sym_struct_type] = STATE(4290),
    [sym_enum_type] = STATE(4290),
    [sym_bit_field_type] = STATE(4290),
    [sym_constant_type] = STATE(4290),
    [sym_specialized_type] = STATE(4290),
    [sym__procedure_type] = STATE(4290),
    [sym_distinct_type] = STATE(4290),
    [sym_empty_type] = STATE(4290),
    [sym_polymorphic_type] = STATE(4290),
    [sym_conditional_type] = STATE(4290),
    [sym_identifier] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(2593),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_struct] = ACTIONS(2595),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_union] = ACTIONS(2599),
    [anon_sym_bit_field] = ACTIONS(2601),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(2682),
    [anon_sym_DOLLAR] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(2685),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(2615),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [anon_sym_map] = ACTIONS(2623),
    [anon_sym_bit_set] = ACTIONS(2625),
    [anon_sym_matrix] = ACTIONS(2627),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2629),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(807),
    [sym_block_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2953),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(2691),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_proc] = ACTIONS(2695),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_where] = ACTIONS(762),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_DOLLAR] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_when] = ACTIONS(762),
    [anon_sym_in] = ACTIONS(762),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(757),
    [anon_sym_or_else] = ACTIONS(762),
    [anon_sym_AMP_AMP] = ACTIONS(757),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(757),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(762),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_or_return] = ACTIONS(762),
    [anon_sym_or_continue] = ACTIONS(762),
    [anon_sym_or_break] = ACTIONS(762),
    [anon_sym_CARET] = ACTIONS(2705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2709),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2711),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_uninitialized] = ACTIONS(757),
    [sym_tag] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2714),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_proc] = ACTIONS(2695),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_where] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(1807),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOLLAR] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(891),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(891),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(891),
    [anon_sym_LT_LT] = ACTIONS(891),
    [anon_sym_GT_GT] = ACTIONS(891),
    [anon_sym_STAR] = ACTIONS(891),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2709),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2711),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_uninitialized] = ACTIONS(891),
    [sym_tag] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2956),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_proc] = ACTIONS(2695),
    [anon_sym_DASH_GT] = ACTIONS(853),
    [anon_sym_where] = ACTIONS(856),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_when] = ACTIONS(856),
    [anon_sym_in] = ACTIONS(856),
    [anon_sym_QMARK] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_TILDE] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(856),
    [anon_sym_PIPE_PIPE] = ACTIONS(853),
    [anon_sym_or_else] = ACTIONS(856),
    [anon_sym_AMP_AMP] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(856),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(856),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_TILDE_EQ] = ACTIONS(853),
    [anon_sym_AMP_TILDE] = ACTIONS(853),
    [anon_sym_LT_LT] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(853),
    [anon_sym_STAR] = ACTIONS(853),
    [anon_sym_SLASH] = ACTIONS(856),
    [anon_sym_PERCENT] = ACTIONS(856),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(856),
    [anon_sym_LBRACK] = ACTIONS(2733),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(853),
    [anon_sym_DOT_DOT_LT] = ACTIONS(853),
    [anon_sym_not_in] = ACTIONS(856),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_or_return] = ACTIONS(856),
    [anon_sym_or_continue] = ACTIONS(856),
    [anon_sym_or_break] = ACTIONS(856),
    [anon_sym_CARET] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2709),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2711),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_uninitialized] = ACTIONS(853),
    [sym_tag] = ACTIONS(2741),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2709),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_proc] = ACTIONS(2695),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_where] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_DOLLAR] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(907),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(907),
    [anon_sym_GT_GT] = ACTIONS(907),
    [anon_sym_STAR] = ACTIONS(907),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2709),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2711),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_uninitialized] = ACTIONS(907),
    [sym_tag] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2943),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_proc] = ACTIONS(2695),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_where] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOLLAR] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_when] = ACTIONS(809),
    [anon_sym_in] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(807),
    [anon_sym_or_else] = ACTIONS(809),
    [anon_sym_AMP_AMP] = ACTIONS(807),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(807),
    [anon_sym_LT_LT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(807),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_or_return] = ACTIONS(809),
    [anon_sym_or_continue] = ACTIONS(809),
    [anon_sym_or_break] = ACTIONS(809),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2709),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2711),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_uninitialized] = ACTIONS(807),
    [sym_tag] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2929),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(875),
    [anon_sym_proc] = ACTIONS(2695),
    [anon_sym_DASH_GT] = ACTIONS(875),
    [anon_sym_where] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(877),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(875),
    [anon_sym_DOLLAR] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_when] = ACTIONS(877),
    [anon_sym_in] = ACTIONS(877),
    [anon_sym_QMARK] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(875),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(877),
    [anon_sym_PIPE_PIPE] = ACTIONS(875),
    [anon_sym_or_else] = ACTIONS(877),
    [anon_sym_AMP_AMP] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_EQ] = ACTIONS(875),
    [anon_sym_LT_EQ] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_EQ_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_TILDE_EQ] = ACTIONS(875),
    [anon_sym_AMP_TILDE] = ACTIONS(875),
    [anon_sym_LT_LT] = ACTIONS(875),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_STAR] = ACTIONS(875),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(877),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(875),
    [anon_sym_DOT_DOT_LT] = ACTIONS(875),
    [anon_sym_not_in] = ACTIONS(877),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_or_return] = ACTIONS(877),
    [anon_sym_or_continue] = ACTIONS(877),
    [anon_sym_or_break] = ACTIONS(877),
    [anon_sym_CARET] = ACTIONS(2775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2709),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2711),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_uninitialized] = ACTIONS(875),
    [sym_tag] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_procedure] = STATE(2870),
    [sym_type] = STATE(2736),
    [sym_pointer_type] = STATE(2845),
    [sym_variadic_type] = STATE(2845),
    [sym_array_type] = STATE(2845),
    [sym_map_type] = STATE(2845),
    [sym_union_type] = STATE(2845),
    [sym_bit_set_type] = STATE(2845),
    [sym_matrix_type] = STATE(2845),
    [sym_field_type] = STATE(2845),
    [sym_tuple_type] = STATE(2845),
    [sym_struct_type] = STATE(2845),
    [sym_enum_type] = STATE(2845),
    [sym_bit_field_type] = STATE(2845),
    [sym_constant_type] = STATE(2845),
    [sym_specialized_type] = STATE(2845),
    [sym__procedure_type] = STATE(2845),
    [sym_distinct_type] = STATE(2845),
    [sym_empty_type] = STATE(2845),
    [sym_polymorphic_type] = STATE(2845),
    [sym_conditional_type] = STATE(2845),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_proc] = ACTIONS(2695),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_where] = ACTIONS(834),
    [anon_sym_struct] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(1745),
    [anon_sym_bit_field] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_DOLLAR] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(831),
    [anon_sym_or_else] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(831),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(831),
    [anon_sym_LT_LT] = ACTIONS(831),
    [anon_sym_GT_GT] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(831),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(2785),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(834),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_or_return] = ACTIONS(834),
    [anon_sym_or_continue] = ACTIONS(834),
    [anon_sym_or_break] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_map] = ACTIONS(2709),
    [anon_sym_bit_set] = ACTIONS(1771),
    [anon_sym_matrix] = ACTIONS(2711),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_uninitialized] = ACTIONS(831),
    [sym_tag] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_block] = STATE(6847),
    [sym_attributes] = STATE(1506),
    [sym_attribute] = STATE(5728),
    [sym_assignment_statement] = STATE(8701),
    [sym_update_statement] = STATE(8701),
    [sym__for_in_expression] = STATE(7304),
    [sym_var_declaration] = STATE(8701),
    [sym_expression] = STATE(2880),
    [sym__expression_no_tag] = STATE(2649),
    [sym_unary_expression] = STATE(2649),
    [sym_binary_expression] = STATE(2649),
    [sym_ternary_expression] = STATE(2649),
    [sym_call_expression] = STATE(2649),
    [sym_selector_call_expression] = STATE(2649),
    [sym_member_expression] = STATE(2649),
    [sym_index_expression] = STATE(2649),
    [sym_slice_expression] = STATE(2649),
    [sym_range_expression] = STATE(2649),
    [sym_cast_expression] = STATE(2649),
    [sym_in_expression] = STATE(2649),
    [sym_variadic_expression] = STATE(2649),
    [sym_parenthesized_expression] = STATE(2649),
    [sym_or_return_expression] = STATE(2649),
    [sym_or_continue_expression] = STATE(2649),
    [sym_or_break_expression] = STATE(2649),
    [sym_address] = STATE(2649),
    [sym_map_type] = STATE(2649),
    [sym_matrix_type] = STATE(2649),
    [sym_distinct_type] = STATE(2649),
    [sym_literal] = STATE(2649),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_in] = ACTIONS(2803),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_block] = STATE(6847),
    [sym_attributes] = STATE(1506),
    [sym_attribute] = STATE(5728),
    [sym_assignment_statement] = STATE(8648),
    [sym_update_statement] = STATE(8648),
    [sym__for_in_expression] = STATE(7513),
    [sym_var_declaration] = STATE(8648),
    [sym_expression] = STATE(2860),
    [sym__expression_no_tag] = STATE(2649),
    [sym_unary_expression] = STATE(2649),
    [sym_binary_expression] = STATE(2649),
    [sym_ternary_expression] = STATE(2649),
    [sym_call_expression] = STATE(2649),
    [sym_selector_call_expression] = STATE(2649),
    [sym_member_expression] = STATE(2649),
    [sym_index_expression] = STATE(2649),
    [sym_slice_expression] = STATE(2649),
    [sym_range_expression] = STATE(2649),
    [sym_cast_expression] = STATE(2649),
    [sym_in_expression] = STATE(2649),
    [sym_variadic_expression] = STATE(2649),
    [sym_parenthesized_expression] = STATE(2649),
    [sym_or_return_expression] = STATE(2649),
    [sym_or_continue_expression] = STATE(2649),
    [sym_or_break_expression] = STATE(2649),
    [sym_address] = STATE(2649),
    [sym_map_type] = STATE(2649),
    [sym_matrix_type] = STATE(2649),
    [sym_distinct_type] = STATE(2649),
    [sym_literal] = STATE(2649),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_in] = ACTIONS(2803),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_procedure] = STATE(6724),
    [sym_expression] = STATE(4615),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_pointer_type] = STATE(6565),
    [sym_array_type] = STATE(6565),
    [sym_map_type] = STATE(4215),
    [sym_bit_set_type] = STATE(6565),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2819),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_bit_field] = ACTIONS(2823),
    [anon_sym_POUNDtype] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(2833),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_procedure] = STATE(6652),
    [sym_expression] = STATE(4607),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_pointer_type] = STATE(6545),
    [sym_array_type] = STATE(6545),
    [sym_map_type] = STATE(4215),
    [sym_bit_set_type] = STATE(6545),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(2835),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2839),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_bit_field] = ACTIONS(2843),
    [anon_sym_POUNDtype] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_block] = STATE(6784),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7598),
    [sym__simple_assignment_statement] = STATE(7598),
    [sym_expression] = STATE(2974),
    [sym__expression_no_tag] = STATE(2649),
    [sym_unary_expression] = STATE(2649),
    [sym_binary_expression] = STATE(2649),
    [sym_ternary_expression] = STATE(2649),
    [sym_call_expression] = STATE(2649),
    [sym_selector_call_expression] = STATE(2649),
    [sym_member_expression] = STATE(2649),
    [sym_index_expression] = STATE(2649),
    [sym_slice_expression] = STATE(2649),
    [sym_range_expression] = STATE(2649),
    [sym_cast_expression] = STATE(2649),
    [sym_in_expression] = STATE(2649),
    [sym_variadic_expression] = STATE(2649),
    [sym_parenthesized_expression] = STATE(2649),
    [sym_or_return_expression] = STATE(2649),
    [sym_or_continue_expression] = STATE(2649),
    [sym_or_break_expression] = STATE(2649),
    [sym_address] = STATE(2649),
    [sym_map_type] = STATE(2649),
    [sym_matrix_type] = STATE(2649),
    [sym_distinct_type] = STATE(2649),
    [sym_literal] = STATE(2649),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_procedure] = STATE(7029),
    [sym_expression] = STATE(5550),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7000),
    [sym_array_type] = STATE(7000),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7165),
    [sym__procedure_type] = STATE(8493),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2851),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_block] = STATE(6784),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7522),
    [sym__simple_assignment_statement] = STATE(7522),
    [sym_expression] = STATE(3011),
    [sym__expression_no_tag] = STATE(2649),
    [sym_unary_expression] = STATE(2649),
    [sym_binary_expression] = STATE(2649),
    [sym_ternary_expression] = STATE(2649),
    [sym_call_expression] = STATE(2649),
    [sym_selector_call_expression] = STATE(2649),
    [sym_member_expression] = STATE(2649),
    [sym_index_expression] = STATE(2649),
    [sym_slice_expression] = STATE(2649),
    [sym_range_expression] = STATE(2649),
    [sym_cast_expression] = STATE(2649),
    [sym_in_expression] = STATE(2649),
    [sym_variadic_expression] = STATE(2649),
    [sym_parenthesized_expression] = STATE(2649),
    [sym_or_return_expression] = STATE(2649),
    [sym_or_continue_expression] = STATE(2649),
    [sym_or_break_expression] = STATE(2649),
    [sym_address] = STATE(2649),
    [sym_map_type] = STATE(2649),
    [sym_matrix_type] = STATE(2649),
    [sym_distinct_type] = STATE(2649),
    [sym_literal] = STATE(2649),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(2797),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_procedure] = STATE(7043),
    [sym_expression] = STATE(5583),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7086),
    [sym_array_type] = STATE(7086),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7030),
    [sym__procedure_type] = STATE(8261),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2867),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_procedure] = STATE(7087),
    [sym_expression] = STATE(5557),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7023),
    [sym_array_type] = STATE(7023),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7126),
    [sym__procedure_type] = STATE(8454),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_procedure] = STATE(7082),
    [sym_expression] = STATE(5603),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7026),
    [sym_array_type] = STATE(7026),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7064),
    [sym__procedure_type] = STATE(8454),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2871),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_procedure] = STATE(7178),
    [sym_expression] = STATE(5577),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7083),
    [sym_array_type] = STATE(7083),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7151),
    [sym__procedure_type] = STATE(8463),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_procedure] = STATE(7011),
    [sym_expression] = STATE(5543),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7088),
    [sym_array_type] = STATE(7088),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7052),
    [sym__procedure_type] = STATE(8810),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2875),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_procedure] = STATE(7155),
    [sym_expression] = STATE(5542),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7155),
    [sym_array_type] = STATE(7155),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7155),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2879),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_procedure] = STATE(7106),
    [sym_expression] = STATE(5598),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7106),
    [sym_array_type] = STATE(7106),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7106),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2883),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2891),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_procedure] = STATE(7141),
    [sym_expression] = STATE(5565),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7141),
    [sym_array_type] = STATE(7141),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7141),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_procedure] = STATE(4259),
    [sym_expression] = STATE(4614),
    [sym__expression_no_tag] = STATE(4244),
    [sym_unary_expression] = STATE(4244),
    [sym_binary_expression] = STATE(4244),
    [sym_ternary_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_selector_call_expression] = STATE(4244),
    [sym_member_expression] = STATE(4244),
    [sym_index_expression] = STATE(4244),
    [sym_slice_expression] = STATE(4244),
    [sym_range_expression] = STATE(4244),
    [sym_cast_expression] = STATE(4244),
    [sym_in_expression] = STATE(4244),
    [sym_variadic_expression] = STATE(4244),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_or_return_expression] = STATE(4244),
    [sym_or_continue_expression] = STATE(4244),
    [sym_or_break_expression] = STATE(4244),
    [sym_address] = STATE(4244),
    [sym_map_type] = STATE(4244),
    [sym_matrix_type] = STATE(4244),
    [sym__procedure_type] = STATE(6573),
    [sym_distinct_type] = STATE(4244),
    [sym_literal] = STATE(4244),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(2895),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(2895),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2903),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2907),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_attributes] = STATE(1506),
    [sym_attribute] = STATE(5728),
    [sym_assignment_statement] = STATE(8755),
    [sym_update_statement] = STATE(8755),
    [sym_var_declaration] = STATE(8755),
    [sym_expression] = STATE(2999),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_procedure] = STATE(7080),
    [sym_expression] = STATE(5592),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7080),
    [sym_array_type] = STATE(7080),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7080),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2921),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2925),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2933),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_procedure] = STATE(7013),
    [sym_expression] = STATE(5551),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7013),
    [sym_array_type] = STATE(7013),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7013),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_procedure] = STATE(4259),
    [sym_expression] = STATE(4681),
    [sym__expression_no_tag] = STATE(4244),
    [sym_unary_expression] = STATE(4244),
    [sym_binary_expression] = STATE(4244),
    [sym_ternary_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_selector_call_expression] = STATE(4244),
    [sym_member_expression] = STATE(4244),
    [sym_index_expression] = STATE(4244),
    [sym_slice_expression] = STATE(4244),
    [sym_range_expression] = STATE(4244),
    [sym_cast_expression] = STATE(4244),
    [sym_in_expression] = STATE(4244),
    [sym_variadic_expression] = STATE(4244),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_or_return_expression] = STATE(4244),
    [sym_or_continue_expression] = STATE(4244),
    [sym_or_break_expression] = STATE(4244),
    [sym_address] = STATE(4244),
    [sym_map_type] = STATE(4244),
    [sym_matrix_type] = STATE(4244),
    [sym__procedure_type] = STATE(6596),
    [sym_distinct_type] = STATE(4244),
    [sym_literal] = STATE(4244),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(2951),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_procedure] = STATE(7078),
    [sym_expression] = STATE(5597),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7078),
    [sym_array_type] = STATE(7078),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7078),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_procedure] = STATE(7052),
    [sym_expression] = STATE(5591),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7052),
    [sym_array_type] = STATE(7052),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7052),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2875),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_procedure] = STATE(7061),
    [sym_expression] = STATE(5545),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7061),
    [sym_array_type] = STATE(7061),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7061),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_block] = STATE(6845),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7245),
    [sym__simple_assignment_statement] = STATE(7245),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_block] = STATE(6768),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7199),
    [sym__simple_assignment_statement] = STATE(7199),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_procedure] = STATE(7045),
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7045),
    [sym_array_type] = STATE(7045),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7045),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2867),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_block] = STATE(6922),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7345),
    [sym__simple_assignment_statement] = STATE(7345),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_procedure] = STATE(6999),
    [sym_expression] = STATE(5582),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(6999),
    [sym_array_type] = STATE(6999),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(6999),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_procedure] = STATE(7106),
    [sym_expression] = STATE(5598),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7106),
    [sym_array_type] = STATE(7106),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7106),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3001),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_procedure] = STATE(7115),
    [sym_expression] = STATE(5601),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7115),
    [sym_array_type] = STATE(7115),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7115),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3003),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3005),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3007),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3011),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_procedure] = STATE(7010),
    [sym_expression] = STATE(5547),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7010),
    [sym_array_type] = STATE(7010),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7010),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3013),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3015),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3017),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3023),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3029),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3033),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_procedure] = STATE(6996),
    [sym_expression] = STATE(5561),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(6996),
    [sym_array_type] = STATE(6996),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(6996),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_procedure] = STATE(7059),
    [sym_expression] = STATE(5594),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7059),
    [sym_array_type] = STATE(7059),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7059),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2851),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_procedure] = STATE(7064),
    [sym_expression] = STATE(5555),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7064),
    [sym_array_type] = STATE(7064),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7064),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2871),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3037),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_procedure] = STATE(7151),
    [sym_expression] = STATE(5587),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7151),
    [sym_array_type] = STATE(7151),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7151),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3039),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3041),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_procedure] = STATE(7155),
    [sym_expression] = STATE(5542),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7155),
    [sym_array_type] = STATE(7155),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7155),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3049),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3051),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3053),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3059),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3061),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3063),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_procedure] = STATE(4259),
    [sym_expression] = STATE(4681),
    [sym__expression_no_tag] = STATE(4244),
    [sym_unary_expression] = STATE(4244),
    [sym_binary_expression] = STATE(4244),
    [sym_ternary_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_selector_call_expression] = STATE(4244),
    [sym_member_expression] = STATE(4244),
    [sym_index_expression] = STATE(4244),
    [sym_slice_expression] = STATE(4244),
    [sym_range_expression] = STATE(4244),
    [sym_cast_expression] = STATE(4244),
    [sym_in_expression] = STATE(4244),
    [sym_variadic_expression] = STATE(4244),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_or_return_expression] = STATE(4244),
    [sym_or_continue_expression] = STATE(4244),
    [sym_or_break_expression] = STATE(4244),
    [sym_address] = STATE(4244),
    [sym_map_type] = STATE(4244),
    [sym_matrix_type] = STATE(4244),
    [sym__procedure_type] = STATE(6596),
    [sym_distinct_type] = STATE(4244),
    [sym_literal] = STATE(4244),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(3065),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(3065),
    [anon_sym_else] = ACTIONS(3067),
    [anon_sym_case] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3065),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_procedure] = STATE(7030),
    [sym_expression] = STATE(5562),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7030),
    [sym_array_type] = STATE(7030),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7030),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2867),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3069),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3071),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3073),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3075),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3077),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3079),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3083),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3085),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3087),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_procedure] = STATE(7186),
    [sym_expression] = STATE(5548),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7186),
    [sym_array_type] = STATE(7186),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7186),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3089),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_procedure] = STATE(7177),
    [sym_expression] = STATE(5602),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7177),
    [sym_array_type] = STATE(7177),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7177),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3091),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_procedure] = STATE(7170),
    [sym_expression] = STATE(5544),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7170),
    [sym_array_type] = STATE(7170),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7170),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_procedure] = STATE(7126),
    [sym_expression] = STATE(5589),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7126),
    [sym_array_type] = STATE(7126),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7126),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3095),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3097),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3099),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3101),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3105),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3109),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3111),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3113),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3115),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3117),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3119),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3121),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3123),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3125),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3127),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3129),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3131),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3133),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3135),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3137),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3139),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3141),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_procedure] = STATE(7078),
    [sym_expression] = STATE(5597),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7078),
    [sym_array_type] = STATE(7078),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7078),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3145),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3147),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_procedure] = STATE(7076),
    [sym_expression] = STATE(5573),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7076),
    [sym_array_type] = STATE(7076),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7076),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_block] = STATE(6768),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7661),
    [sym__simple_assignment_statement] = STATE(7661),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3153),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_procedure] = STATE(7130),
    [sym_expression] = STATE(5578),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7130),
    [sym_array_type] = STATE(7130),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7130),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3155),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_block] = STATE(6845),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7631),
    [sym__simple_assignment_statement] = STATE(7631),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3157),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_block] = STATE(6922),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7678),
    [sym__simple_assignment_statement] = STATE(7678),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3159),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_procedure] = STATE(7165),
    [sym_expression] = STATE(5560),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7165),
    [sym_array_type] = STATE(7165),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7165),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2851),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_procedure] = STATE(7186),
    [sym_expression] = STATE(5548),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7186),
    [sym_array_type] = STATE(7186),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7186),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(3161),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3163),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_procedure] = STATE(7055),
    [sym_expression] = STATE(5554),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7055),
    [sym_array_type] = STATE(7055),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7055),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3165),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3167),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_procedure] = STATE(4259),
    [sym_expression] = STATE(4681),
    [sym__expression_no_tag] = STATE(4244),
    [sym_unary_expression] = STATE(4244),
    [sym_binary_expression] = STATE(4244),
    [sym_ternary_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_selector_call_expression] = STATE(4244),
    [sym_member_expression] = STATE(4244),
    [sym_index_expression] = STATE(4244),
    [sym_slice_expression] = STATE(4244),
    [sym_range_expression] = STATE(4244),
    [sym_cast_expression] = STATE(4244),
    [sym_in_expression] = STATE(4244),
    [sym_variadic_expression] = STATE(4244),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_or_return_expression] = STATE(4244),
    [sym_or_continue_expression] = STATE(4244),
    [sym_or_break_expression] = STATE(4244),
    [sym_address] = STATE(4244),
    [sym_map_type] = STATE(4244),
    [sym_matrix_type] = STATE(4244),
    [sym__procedure_type] = STATE(6596),
    [sym_distinct_type] = STATE(4244),
    [sym_literal] = STATE(4244),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(3169),
    [anon_sym_else] = ACTIONS(3171),
    [anon_sym_case] = ACTIONS(3171),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3169),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3173),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3175),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3177),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3179),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3181),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3183),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3185),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_procedure] = STATE(7032),
    [sym_expression] = STATE(5568),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7032),
    [sym_array_type] = STATE(7032),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7032),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(2871),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3189),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3193),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3195),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_block] = STATE(6953),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7606),
    [sym__simple_assignment_statement] = STATE(7606),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_procedure] = STATE(7013),
    [sym_expression] = STATE(5551),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7013),
    [sym_array_type] = STATE(7013),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7013),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3199),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3201),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3203),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3205),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3207),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3209),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3211),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3213),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3215),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3217),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_procedure] = STATE(7076),
    [sym_expression] = STATE(5573),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7076),
    [sym_array_type] = STATE(7076),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7076),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3219),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3221),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3223),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3225),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_block] = STATE(6953),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7211),
    [sym__simple_assignment_statement] = STATE(7211),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3229),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [451] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3231),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3233),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3235),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3237),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [455] = {
    [sym_procedure] = STATE(7101),
    [sym_expression] = STATE(5569),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7101),
    [sym_array_type] = STATE(7101),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7101),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3239),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [456] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3241),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3243),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [458] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3245),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3247),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_procedure] = STATE(7089),
    [sym_expression] = STATE(5596),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7089),
    [sym_array_type] = STATE(7089),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7089),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3249),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_procedure] = STATE(7134),
    [sym_expression] = STATE(5553),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7134),
    [sym_array_type] = STATE(7134),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7134),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3251),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [462] = {
    [sym_block] = STATE(6839),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7585),
    [sym__simple_assignment_statement] = STATE(7585),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [463] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3255),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3257),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [465] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3259),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [466] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3261),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [467] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3263),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [468] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(3265),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [469] = {
    [sym_block] = STATE(6839),
    [sym_attributes] = STATE(1964),
    [sym_attribute] = STATE(5728),
    [sym_update_statement] = STATE(7274),
    [sym__simple_assignment_statement] = STATE(7274),
    [sym_expression] = STATE(3410),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [470] = {
    [sym_procedure] = STATE(7675),
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7675),
    [sym_array_type] = STATE(7675),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_struct_type] = STATE(7675),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [471] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(5922),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8565),
    [sym_array_type] = STATE(8565),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8565),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [472] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6017),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8503),
    [sym_array_type] = STATE(8503),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8503),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [473] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6076),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8261),
    [sym_array_type] = STATE(8261),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8261),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [474] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6017),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8233),
    [sym_array_type] = STATE(8233),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8233),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [475] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6076),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8407),
    [sym_array_type] = STATE(8407),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8407),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [476] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6034),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8396),
    [sym_array_type] = STATE(8396),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8396),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [477] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6017),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8331),
    [sym_array_type] = STATE(8331),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8331),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [478] = {
    [sym_attributes] = STATE(1457),
    [sym_attribute] = STATE(5728),
    [sym_assignment_statement] = STATE(7326),
    [sym_expression] = STATE(5450),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_in] = ACTIONS(3271),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [479] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6003),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8475),
    [sym_array_type] = STATE(8475),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8475),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [480] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(5858),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8662),
    [sym_array_type] = STATE(8662),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8662),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [481] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6101),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8369),
    [sym_array_type] = STATE(8369),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8369),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [482] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6007),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8472),
    [sym_array_type] = STATE(8472),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8472),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [483] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6033),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8342),
    [sym_array_type] = STATE(8342),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8342),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [484] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6101),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8463),
    [sym_array_type] = STATE(8463),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8463),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [485] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(5810),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8288),
    [sym_array_type] = STATE(8288),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8288),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [486] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(6034),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8493),
    [sym_array_type] = STATE(8493),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8493),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [487] = {
    [sym_attributes] = STATE(1327),
    [sym_attribute] = STATE(5728),
    [sym_assignment_statement] = STATE(8719),
    [sym_expression] = STATE(4999),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [488] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(5888),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8585),
    [sym_array_type] = STATE(8585),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8585),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [489] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(5814),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8810),
    [sym_array_type] = STATE(8810),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8810),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [490] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(5888),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8445),
    [sym_array_type] = STATE(8445),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8445),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [491] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(5810),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8454),
    [sym_array_type] = STATE(8454),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8454),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [492] = {
    [sym_expression] = STATE(4612),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_pointer_type] = STATE(6551),
    [sym_array_type] = STATE(6551),
    [sym_map_type] = STATE(4215),
    [sym_bit_set_type] = STATE(6551),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_POUNDtype] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [493] = {
    [sym_switch_case] = STATE(7037),
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7453),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [aux_sym_switch_statement_repeat1] = STATE(7037),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [494] = {
    [sym_procedure] = STATE(6589),
    [sym_expression] = STATE(4695),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(3285),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3285),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [495] = {
    [sym_attributes] = STATE(1457),
    [sym_attribute] = STATE(5728),
    [sym_assignment_statement] = STATE(7523),
    [sym_expression] = STATE(5389),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [aux_sym_attributes_repeat1] = STATE(5728),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [496] = {
    [sym_switch_case] = STATE(7147),
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7453),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [aux_sym_switch_statement_repeat1] = STATE(7147),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [497] = {
    [sym_procedure] = STATE(6589),
    [sym_expression] = STATE(4695),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(3289),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3289),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [498] = {
    [sym_expression] = STATE(4673),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_pointer_type] = STATE(6606),
    [sym_array_type] = STATE(6606),
    [sym_map_type] = STATE(4215),
    [sym_bit_set_type] = STATE(6606),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_POUNDtype] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [499] = {
    [sym_switch_case] = STATE(7069),
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7453),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [aux_sym_switch_statement_repeat1] = STATE(7069),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [500] = {
    [sym_expression] = STATE(4607),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_pointer_type] = STATE(6545),
    [sym_array_type] = STATE(6545),
    [sym_map_type] = STATE(4215),
    [sym_bit_set_type] = STATE(6545),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_POUNDtype] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [501] = {
    [sym_procedure] = STATE(6589),
    [sym_expression] = STATE(4695),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(3297),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3297),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [502] = {
    [sym_procedure] = STATE(6589),
    [sym_expression] = STATE(4695),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [ts_builtin_sym_end] = ACTIONS(3299),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [503] = {
    [sym_expression] = STATE(5845),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3301),
    [anon_sym_QMARK] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3305),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3307),
    [anon_sym_dynamic] = ACTIONS(3309),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [504] = {
    [sym_expression] = STATE(5863),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3311),
    [anon_sym_QMARK] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3315),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3317),
    [anon_sym_dynamic] = ACTIONS(3319),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [505] = {
    [sym_expression] = STATE(5942),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3321),
    [anon_sym_QMARK] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3325),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3327),
    [anon_sym_dynamic] = ACTIONS(3329),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [506] = {
    [sym_expression] = STATE(6119),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3335),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3337),
    [anon_sym_dynamic] = ACTIONS(3339),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [507] = {
    [sym_expression] = STATE(6016),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3341),
    [anon_sym_QMARK] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3345),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3347),
    [anon_sym_dynamic] = ACTIONS(3349),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [508] = {
    [sym_expression] = STATE(6059),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3351),
    [anon_sym_QMARK] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3355),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_dynamic] = ACTIONS(3359),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [509] = {
    [sym_expression] = STATE(6158),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3361),
    [anon_sym_QMARK] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3365),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3367),
    [anon_sym_dynamic] = ACTIONS(3369),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [510] = {
    [sym_expression] = STATE(5911),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3371),
    [anon_sym_QMARK] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3375),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3377),
    [anon_sym_dynamic] = ACTIONS(3379),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [511] = {
    [sym_expression] = STATE(5820),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3381),
    [anon_sym_QMARK] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3385),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3387),
    [anon_sym_dynamic] = ACTIONS(3389),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [512] = {
    [sym_expression] = STATE(5899),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3391),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3395),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3397),
    [anon_sym_dynamic] = ACTIONS(3399),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [513] = {
    [sym_expression] = STATE(5795),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3401),
    [anon_sym_QMARK] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3405),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3407),
    [anon_sym_dynamic] = ACTIONS(3409),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [514] = {
    [sym_expression] = STATE(6000),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3411),
    [anon_sym_QMARK] = ACTIONS(3413),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3415),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3417),
    [anon_sym_dynamic] = ACTIONS(3419),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [515] = {
    [sym_expression] = STATE(6179),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3421),
    [anon_sym_QMARK] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3425),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3427),
    [anon_sym_dynamic] = ACTIONS(3429),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_expression] = STATE(6023),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3431),
    [anon_sym_QMARK] = ACTIONS(3433),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3435),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3437),
    [anon_sym_dynamic] = ACTIONS(3439),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [517] = {
    [sym_expression] = STATE(5882),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3441),
    [anon_sym_QMARK] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3445),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_dynamic] = ACTIONS(3449),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [518] = {
    [sym_expression] = STATE(6044),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3451),
    [anon_sym_QMARK] = ACTIONS(3453),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3455),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3457),
    [anon_sym_dynamic] = ACTIONS(3459),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [519] = {
    [sym_expression] = STATE(5896),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3461),
    [anon_sym_QMARK] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3465),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3467),
    [anon_sym_dynamic] = ACTIONS(3469),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [520] = {
    [sym_expression] = STATE(5985),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3471),
    [anon_sym_QMARK] = ACTIONS(3473),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3475),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3477),
    [anon_sym_dynamic] = ACTIONS(3479),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [521] = {
    [sym_expression] = STATE(5842),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3481),
    [anon_sym_QMARK] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3485),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3487),
    [anon_sym_dynamic] = ACTIONS(3489),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_expression] = STATE(5826),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3491),
    [anon_sym_QMARK] = ACTIONS(3493),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3495),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3497),
    [anon_sym_dynamic] = ACTIONS(3499),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [523] = {
    [sym_expression] = STATE(6005),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3501),
    [anon_sym_QMARK] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3505),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3507),
    [anon_sym_dynamic] = ACTIONS(3509),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [524] = {
    [sym_expression] = STATE(5802),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3511),
    [anon_sym_QMARK] = ACTIONS(3513),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3515),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3517),
    [anon_sym_dynamic] = ACTIONS(3519),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [525] = {
    [sym_expression] = STATE(5893),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3521),
    [anon_sym_QMARK] = ACTIONS(3523),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3527),
    [anon_sym_dynamic] = ACTIONS(3529),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [526] = {
    [sym_expression] = STATE(5912),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3531),
    [anon_sym_QMARK] = ACTIONS(3533),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3535),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3537),
    [anon_sym_dynamic] = ACTIONS(3539),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [527] = {
    [sym_expression] = STATE(5914),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3541),
    [anon_sym_QMARK] = ACTIONS(3543),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3545),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3547),
    [anon_sym_dynamic] = ACTIONS(3549),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [528] = {
    [sym_expression] = STATE(5994),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3551),
    [anon_sym_QMARK] = ACTIONS(3553),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3555),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3557),
    [anon_sym_dynamic] = ACTIONS(3559),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [529] = {
    [sym_expression] = STATE(6167),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3561),
    [anon_sym_QMARK] = ACTIONS(3563),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3565),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3567),
    [anon_sym_dynamic] = ACTIONS(3569),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [530] = {
    [sym_expression] = STATE(6020),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3571),
    [anon_sym_QMARK] = ACTIONS(3573),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3575),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3577),
    [anon_sym_dynamic] = ACTIONS(3579),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [531] = {
    [sym_expression] = STATE(5954),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3581),
    [anon_sym_QMARK] = ACTIONS(3583),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3585),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3587),
    [anon_sym_dynamic] = ACTIONS(3589),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [532] = {
    [sym_expression] = STATE(6014),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3591),
    [anon_sym_QMARK] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3595),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3597),
    [anon_sym_dynamic] = ACTIONS(3599),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [533] = {
    [sym_expression] = STATE(6042),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3601),
    [anon_sym_QMARK] = ACTIONS(3603),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3605),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3607),
    [anon_sym_dynamic] = ACTIONS(3609),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [534] = {
    [sym_expression] = STATE(6106),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3611),
    [anon_sym_QMARK] = ACTIONS(3613),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3615),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3617),
    [anon_sym_dynamic] = ACTIONS(3619),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [535] = {
    [sym_expression] = STATE(6040),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3621),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3625),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3627),
    [anon_sym_dynamic] = ACTIONS(3629),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [536] = {
    [sym_expression] = STATE(6143),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3631),
    [anon_sym_QMARK] = ACTIONS(3633),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3635),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3637),
    [anon_sym_dynamic] = ACTIONS(3639),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [537] = {
    [sym_expression] = STATE(6175),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3641),
    [anon_sym_QMARK] = ACTIONS(3643),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3645),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3647),
    [anon_sym_dynamic] = ACTIONS(3649),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [538] = {
    [sym_expression] = STATE(6075),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3651),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3655),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3657),
    [anon_sym_dynamic] = ACTIONS(3659),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [539] = {
    [sym_expression] = STATE(6123),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3661),
    [anon_sym_QMARK] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3665),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3667),
    [anon_sym_dynamic] = ACTIONS(3669),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [540] = {
    [sym_expression] = STATE(6182),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3671),
    [anon_sym_QMARK] = ACTIONS(3673),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3675),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3677),
    [anon_sym_dynamic] = ACTIONS(3679),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [541] = {
    [sym_expression] = STATE(6170),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3681),
    [anon_sym_QMARK] = ACTIONS(3683),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3685),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3687),
    [anon_sym_dynamic] = ACTIONS(3689),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [542] = {
    [sym_expression] = STATE(5782),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3691),
    [anon_sym_QMARK] = ACTIONS(3693),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3695),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3697),
    [anon_sym_dynamic] = ACTIONS(3699),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [543] = {
    [sym_expression] = STATE(5781),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3701),
    [anon_sym_QMARK] = ACTIONS(3703),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3705),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3707),
    [anon_sym_dynamic] = ACTIONS(3709),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [544] = {
    [sym_expression] = STATE(6157),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3711),
    [anon_sym_QMARK] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3715),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3717),
    [anon_sym_dynamic] = ACTIONS(3719),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [545] = {
    [sym_expression] = STATE(6111),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3721),
    [anon_sym_QMARK] = ACTIONS(3723),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3725),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3727),
    [anon_sym_dynamic] = ACTIONS(3729),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [546] = {
    [sym_expression] = STATE(5875),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3731),
    [anon_sym_QMARK] = ACTIONS(3733),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3735),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3737),
    [anon_sym_dynamic] = ACTIONS(3739),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [547] = {
    [sym_expression] = STATE(6152),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3741),
    [anon_sym_QMARK] = ACTIONS(3743),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3745),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3747),
    [anon_sym_dynamic] = ACTIONS(3749),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [548] = {
    [sym_expression] = STATE(6144),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3751),
    [anon_sym_QMARK] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3755),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3757),
    [anon_sym_dynamic] = ACTIONS(3759),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [549] = {
    [sym_expression] = STATE(5855),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3761),
    [anon_sym_QMARK] = ACTIONS(3763),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3765),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3767),
    [anon_sym_dynamic] = ACTIONS(3769),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [550] = {
    [sym_expression] = STATE(6168),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3771),
    [anon_sym_QMARK] = ACTIONS(3773),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3775),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3777),
    [anon_sym_dynamic] = ACTIONS(3779),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [551] = {
    [sym_expression] = STATE(6132),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3781),
    [anon_sym_QMARK] = ACTIONS(3783),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3785),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_dynamic] = ACTIONS(3789),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [552] = {
    [sym_expression] = STATE(6073),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3791),
    [anon_sym_QMARK] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3797),
    [anon_sym_dynamic] = ACTIONS(3799),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [553] = {
    [sym_expression] = STATE(6154),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3801),
    [anon_sym_QMARK] = ACTIONS(3803),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3805),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3807),
    [anon_sym_dynamic] = ACTIONS(3809),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [554] = {
    [sym_expression] = STATE(5938),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3811),
    [anon_sym_QMARK] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3815),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3817),
    [anon_sym_dynamic] = ACTIONS(3819),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [555] = {
    [sym_expression] = STATE(5837),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3821),
    [anon_sym_QMARK] = ACTIONS(3823),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3825),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3827),
    [anon_sym_dynamic] = ACTIONS(3829),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [556] = {
    [sym_expression] = STATE(6136),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3831),
    [anon_sym_QMARK] = ACTIONS(3833),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3835),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3837),
    [anon_sym_dynamic] = ACTIONS(3839),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [557] = {
    [sym_expression] = STATE(6131),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3841),
    [anon_sym_QMARK] = ACTIONS(3843),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3847),
    [anon_sym_dynamic] = ACTIONS(3849),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [558] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3851),
    [anon_sym_QMARK] = ACTIONS(3853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3857),
    [anon_sym_dynamic] = ACTIONS(3859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [559] = {
    [sym_expression] = STATE(6138),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3861),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3865),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3867),
    [anon_sym_dynamic] = ACTIONS(3869),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [560] = {
    [sym_expression] = STATE(6125),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3871),
    [anon_sym_QMARK] = ACTIONS(3873),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3875),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3877),
    [anon_sym_dynamic] = ACTIONS(3879),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [561] = {
    [sym_expression] = STATE(6115),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3881),
    [anon_sym_QMARK] = ACTIONS(3883),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3885),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3887),
    [anon_sym_dynamic] = ACTIONS(3889),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [562] = {
    [sym_expression] = STATE(6128),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3891),
    [anon_sym_QMARK] = ACTIONS(3893),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3895),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3897),
    [anon_sym_dynamic] = ACTIONS(3899),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [563] = {
    [sym_expression] = STATE(6107),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3901),
    [anon_sym_QMARK] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3905),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3907),
    [anon_sym_dynamic] = ACTIONS(3909),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [564] = {
    [sym_expression] = STATE(6100),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3911),
    [anon_sym_QMARK] = ACTIONS(3913),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3915),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3917),
    [anon_sym_dynamic] = ACTIONS(3919),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [565] = {
    [sym_expression] = STATE(6098),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_QMARK] = ACTIONS(3923),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3925),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3927),
    [anon_sym_dynamic] = ACTIONS(3929),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [566] = {
    [sym_expression] = STATE(6097),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3931),
    [anon_sym_QMARK] = ACTIONS(3933),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3935),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3937),
    [anon_sym_dynamic] = ACTIONS(3939),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [567] = {
    [sym_expression] = STATE(6088),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3941),
    [anon_sym_QMARK] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3945),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3947),
    [anon_sym_dynamic] = ACTIONS(3949),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [568] = {
    [sym_expression] = STATE(6109),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3951),
    [anon_sym_QMARK] = ACTIONS(3953),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3955),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3957),
    [anon_sym_dynamic] = ACTIONS(3959),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [569] = {
    [sym_expression] = STATE(6071),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3961),
    [anon_sym_QMARK] = ACTIONS(3963),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3965),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3967),
    [anon_sym_dynamic] = ACTIONS(3969),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [570] = {
    [sym_expression] = STATE(5874),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3971),
    [anon_sym_QMARK] = ACTIONS(3973),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3975),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3977),
    [anon_sym_dynamic] = ACTIONS(3979),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [571] = {
    [sym_expression] = STATE(6056),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3981),
    [anon_sym_QMARK] = ACTIONS(3983),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3985),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3987),
    [anon_sym_dynamic] = ACTIONS(3989),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [572] = {
    [sym_expression] = STATE(5964),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(3991),
    [anon_sym_QMARK] = ACTIONS(3993),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_dynamic] = ACTIONS(3999),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [573] = {
    [sym_expression] = STATE(6027),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_QMARK] = ACTIONS(4003),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4005),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4007),
    [anon_sym_dynamic] = ACTIONS(4009),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [574] = {
    [sym_expression] = STATE(6078),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4011),
    [anon_sym_QMARK] = ACTIONS(4013),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4015),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4017),
    [anon_sym_dynamic] = ACTIONS(4019),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [575] = {
    [sym_expression] = STATE(6041),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4021),
    [anon_sym_QMARK] = ACTIONS(4023),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4025),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4027),
    [anon_sym_dynamic] = ACTIONS(4029),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [576] = {
    [sym_expression] = STATE(6050),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4031),
    [anon_sym_QMARK] = ACTIONS(4033),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4035),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4037),
    [anon_sym_dynamic] = ACTIONS(4039),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [577] = {
    [sym_expression] = STATE(5947),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4041),
    [anon_sym_QMARK] = ACTIONS(4043),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4047),
    [anon_sym_dynamic] = ACTIONS(4049),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [578] = {
    [sym_expression] = STATE(5883),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4021),
    [anon_sym_QMARK] = ACTIONS(4051),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4053),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4055),
    [anon_sym_dynamic] = ACTIONS(4057),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_expression] = STATE(6053),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4059),
    [anon_sym_QMARK] = ACTIONS(4061),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4063),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4065),
    [anon_sym_dynamic] = ACTIONS(4067),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_expression] = STATE(6086),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4069),
    [anon_sym_QMARK] = ACTIONS(4071),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4073),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4075),
    [anon_sym_dynamic] = ACTIONS(4077),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_expression] = STATE(6089),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4079),
    [anon_sym_QMARK] = ACTIONS(4081),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4083),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_dynamic] = ACTIONS(4087),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [582] = {
    [sym_expression] = STATE(5876),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4091),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4093),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4095),
    [anon_sym_dynamic] = ACTIONS(4097),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [583] = {
    [sym_expression] = STATE(5908),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4099),
    [anon_sym_QMARK] = ACTIONS(4101),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_dynamic] = ACTIONS(4107),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [584] = {
    [sym_expression] = STATE(5821),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4109),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4113),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4115),
    [anon_sym_dynamic] = ACTIONS(4117),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [585] = {
    [sym_expression] = STATE(6019),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4119),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4121),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4123),
    [anon_sym_dynamic] = ACTIONS(4125),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [586] = {
    [sym_expression] = STATE(5866),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4127),
    [anon_sym_QMARK] = ACTIONS(4129),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4131),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4133),
    [anon_sym_dynamic] = ACTIONS(4135),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [587] = {
    [sym_expression] = STATE(5939),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4137),
    [anon_sym_QMARK] = ACTIONS(4139),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4141),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4143),
    [anon_sym_dynamic] = ACTIONS(4145),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [588] = {
    [sym_expression] = STATE(6001),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4147),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4153),
    [anon_sym_dynamic] = ACTIONS(4155),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [589] = {
    [sym_expression] = STATE(5828),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4157),
    [anon_sym_QMARK] = ACTIONS(4159),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4161),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4163),
    [anon_sym_dynamic] = ACTIONS(4165),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [590] = {
    [sym_expression] = STATE(5865),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4167),
    [anon_sym_QMARK] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4171),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4173),
    [anon_sym_dynamic] = ACTIONS(4175),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [591] = {
    [sym_expression] = STATE(6164),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4179),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4181),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4183),
    [anon_sym_dynamic] = ACTIONS(4185),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [592] = {
    [sym_expression] = STATE(5856),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4187),
    [anon_sym_QMARK] = ACTIONS(4189),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4191),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4193),
    [anon_sym_dynamic] = ACTIONS(4195),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [593] = {
    [sym_expression] = STATE(5976),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4197),
    [anon_sym_QMARK] = ACTIONS(4199),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4201),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4203),
    [anon_sym_dynamic] = ACTIONS(4205),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [594] = {
    [sym_expression] = STATE(5676),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(7226),
    [sym_array_type] = STATE(7226),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(4207),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [595] = {
    [sym_expression] = STATE(5848),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4209),
    [anon_sym_QMARK] = ACTIONS(4211),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4213),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4215),
    [anon_sym_dynamic] = ACTIONS(4217),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [596] = {
    [sym_expression] = STATE(6166),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4219),
    [anon_sym_QMARK] = ACTIONS(4221),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4223),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4225),
    [anon_sym_dynamic] = ACTIONS(4227),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [597] = {
    [sym_expression] = STATE(5910),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4229),
    [anon_sym_QMARK] = ACTIONS(4231),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4233),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4235),
    [anon_sym_dynamic] = ACTIONS(4237),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [598] = {
    [sym_expression] = STATE(6124),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4239),
    [anon_sym_QMARK] = ACTIONS(4241),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4243),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4245),
    [anon_sym_dynamic] = ACTIONS(4247),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [599] = {
    [sym_expression] = STATE(6121),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4249),
    [anon_sym_QMARK] = ACTIONS(4251),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4253),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4255),
    [anon_sym_dynamic] = ACTIONS(4257),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [600] = {
    [sym_expression] = STATE(6039),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4263),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4265),
    [anon_sym_dynamic] = ACTIONS(4267),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [601] = {
    [sym_expression] = STATE(6112),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4269),
    [anon_sym_QMARK] = ACTIONS(4271),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4273),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4275),
    [anon_sym_dynamic] = ACTIONS(4277),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [602] = {
    [sym_block] = STATE(2246),
    [sym_where_clause] = STATE(1137),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4281),
    [anon_sym_COMMA] = ACTIONS(4281),
    [anon_sym_COLON_COLON] = ACTIONS(4281),
    [anon_sym_DASH_GT] = ACTIONS(4283),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4287),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_PIPE] = ACTIONS(4287),
    [anon_sym_COLON_EQ] = ACTIONS(4281),
    [anon_sym_LPAREN] = ACTIONS(4281),
    [anon_sym_PLUS_EQ] = ACTIONS(4281),
    [anon_sym_DASH_EQ] = ACTIONS(4281),
    [anon_sym_STAR_EQ] = ACTIONS(4281),
    [anon_sym_SLASH_EQ] = ACTIONS(4281),
    [anon_sym_PERCENT_EQ] = ACTIONS(4281),
    [anon_sym_AMP_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_CARET_EQ] = ACTIONS(4281),
    [anon_sym_LT_LT_EQ] = ACTIONS(4281),
    [anon_sym_GT_GT_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_if] = ACTIONS(4281),
    [anon_sym_SEMI] = ACTIONS(4281),
    [anon_sym_else] = ACTIONS(4281),
    [anon_sym_when] = ACTIONS(4281),
    [anon_sym_in] = ACTIONS(4281),
    [anon_sym_case] = ACTIONS(4281),
    [anon_sym_QMARK] = ACTIONS(4281),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_TILDE] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(4287),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_or_else] = ACTIONS(4281),
    [anon_sym_AMP_AMP] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4287),
    [anon_sym_GT_EQ] = ACTIONS(4281),
    [anon_sym_LT_EQ] = ACTIONS(4281),
    [anon_sym_LT] = ACTIONS(4287),
    [anon_sym_EQ_EQ] = ACTIONS(4281),
    [anon_sym_BANG_EQ] = ACTIONS(4281),
    [anon_sym_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE] = ACTIONS(4287),
    [anon_sym_LT_LT] = ACTIONS(4287),
    [anon_sym_GT_GT] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4287),
    [anon_sym_SLASH] = ACTIONS(4287),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4281),
    [anon_sym_DOT] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4281),
    [anon_sym_not_in] = ACTIONS(4281),
    [anon_sym_or_return] = ACTIONS(4281),
    [anon_sym_or_continue] = ACTIONS(4281),
    [anon_sym_or_break] = ACTIONS(4281),
    [anon_sym_CARET] = ACTIONS(4287),
    [sym_uninitialized] = ACTIONS(4289),
    [sym_tag] = ACTIONS(4291),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [603] = {
    [sym_block] = STATE(2432),
    [sym_where_clause] = STATE(1267),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4299),
    [sym_tag] = ACTIONS(4301),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [604] = {
    [sym_block] = STATE(2421),
    [sym_where_clause] = STATE(1268),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4307),
    [sym_tag] = ACTIONS(4309),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [605] = {
    [sym_block] = STATE(1099),
    [sym_where_clause] = STATE(827),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4321),
    [sym_tag] = ACTIONS(4323),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [606] = {
    [sym_block] = STATE(2396),
    [sym_where_clause] = STATE(1271),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4325),
    [sym_tag] = ACTIONS(4327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [607] = {
    [sym_expression] = STATE(5452),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_foreign] = ACTIONS(4329),
    [anon_sym_import] = ACTIONS(4331),
    [anon_sym_using] = ACTIONS(4333),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [608] = {
    [sym_block] = STATE(2421),
    [sym_where_clause] = STATE(1268),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4307),
    [sym_tag] = ACTIONS(4335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [609] = {
    [sym_expression] = STATE(5915),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4337),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4341),
    [anon_sym_dynamic] = ACTIONS(4343),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [610] = {
    [sym_block] = STATE(1099),
    [sym_where_clause] = STATE(827),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4321),
    [sym_tag] = ACTIONS(4345),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [611] = {
    [sym_expression] = STATE(5935),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4349),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4351),
    [anon_sym_dynamic] = ACTIONS(4353),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [612] = {
    [sym_block] = STATE(1101),
    [sym_where_clause] = STATE(831),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4359),
    [sym_tag] = ACTIONS(4361),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [613] = {
    [sym_expression] = STATE(5969),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4363),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4365),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4367),
    [anon_sym_dynamic] = ACTIONS(4369),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [614] = {
    [sym_block] = STATE(2421),
    [sym_where_clause] = STATE(1268),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4307),
    [sym_tag] = ACTIONS(4309),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [615] = {
    [sym_block] = STATE(6780),
    [sym_expression] = STATE(5549),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(4371),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(4373),
    [anon_sym_do] = ACTIONS(4375),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [616] = {
    [sym_expression] = STATE(5946),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4377),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4379),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4381),
    [anon_sym_dynamic] = ACTIONS(4383),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [617] = {
    [sym_expression] = STATE(5975),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4387),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_dynamic] = ACTIONS(4391),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [618] = {
    [sym_block] = STATE(1098),
    [sym_where_clause] = STATE(824),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4393),
    [sym_tag] = ACTIONS(4395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [619] = {
    [sym_block] = STATE(2396),
    [sym_where_clause] = STATE(1271),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4325),
    [sym_tag] = ACTIONS(4397),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [620] = {
    [sym_block] = STATE(1101),
    [sym_where_clause] = STATE(831),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4359),
    [sym_tag] = ACTIONS(4361),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [621] = {
    [sym_block] = STATE(1099),
    [sym_where_clause] = STATE(827),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4321),
    [sym_tag] = ACTIONS(4323),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [622] = {
    [sym_expression] = STATE(5765),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_pointer_type] = STATE(8105),
    [sym_array_type] = STATE(8105),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [623] = {
    [sym_expression] = STATE(5958),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4399),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4401),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_dynamic] = ACTIONS(4405),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [624] = {
    [sym_expression] = STATE(6070),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4407),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4409),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4411),
    [anon_sym_dynamic] = ACTIONS(4413),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [625] = {
    [sym_procedure] = STATE(4259),
    [sym_expression] = STATE(4681),
    [sym__expression_no_tag] = STATE(4244),
    [sym_unary_expression] = STATE(4244),
    [sym_binary_expression] = STATE(4244),
    [sym_ternary_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_selector_call_expression] = STATE(4244),
    [sym_member_expression] = STATE(4244),
    [sym_index_expression] = STATE(4244),
    [sym_slice_expression] = STATE(4244),
    [sym_range_expression] = STATE(4244),
    [sym_cast_expression] = STATE(4244),
    [sym_in_expression] = STATE(4244),
    [sym_variadic_expression] = STATE(4244),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_or_return_expression] = STATE(4244),
    [sym_or_continue_expression] = STATE(4244),
    [sym_or_break_expression] = STATE(4244),
    [sym_address] = STATE(4244),
    [sym_map_type] = STATE(4244),
    [sym_matrix_type] = STATE(4244),
    [sym__procedure_type] = STATE(6596),
    [sym_distinct_type] = STATE(4244),
    [sym_literal] = STATE(4244),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [626] = {
    [sym_expression] = STATE(5982),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4415),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4417),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4419),
    [anon_sym_dynamic] = ACTIONS(4421),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [627] = {
    [sym_procedure] = STATE(3406),
    [sym_expression] = STATE(5734),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym__procedure_type] = STATE(8168),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [628] = {
    [sym_block] = STATE(1098),
    [sym_where_clause] = STATE(824),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4393),
    [sym_tag] = ACTIONS(4395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [629] = {
    [sym_block] = STATE(2271),
    [sym_where_clause] = STATE(1203),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4423),
    [sym_tag] = ACTIONS(4425),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [630] = {
    [sym_block] = STATE(2250),
    [sym_where_clause] = STATE(1146),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4429),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4433),
    [sym_tag] = ACTIONS(4435),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [631] = {
    [sym_block] = STATE(1103),
    [sym_where_clause] = STATE(838),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4437),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4439),
    [sym_tag] = ACTIONS(4441),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [632] = {
    [sym_expression] = STATE(5904),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4443),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4445),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4447),
    [anon_sym_dynamic] = ACTIONS(4449),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [633] = {
    [sym_block] = STATE(1105),
    [sym_where_clause] = STATE(840),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4281),
    [anon_sym_COMMA] = ACTIONS(4281),
    [anon_sym_COLON_COLON] = ACTIONS(4281),
    [anon_sym_DASH_GT] = ACTIONS(4451),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4287),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_PIPE] = ACTIONS(4287),
    [anon_sym_COLON_EQ] = ACTIONS(4281),
    [anon_sym_LPAREN] = ACTIONS(4281),
    [anon_sym_PLUS_EQ] = ACTIONS(4281),
    [anon_sym_DASH_EQ] = ACTIONS(4281),
    [anon_sym_STAR_EQ] = ACTIONS(4281),
    [anon_sym_SLASH_EQ] = ACTIONS(4281),
    [anon_sym_PERCENT_EQ] = ACTIONS(4281),
    [anon_sym_AMP_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_CARET_EQ] = ACTIONS(4281),
    [anon_sym_LT_LT_EQ] = ACTIONS(4281),
    [anon_sym_GT_GT_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_if] = ACTIONS(4281),
    [anon_sym_SEMI] = ACTIONS(4281),
    [anon_sym_else] = ACTIONS(4281),
    [anon_sym_when] = ACTIONS(4281),
    [anon_sym_in] = ACTIONS(4281),
    [anon_sym_case] = ACTIONS(4281),
    [anon_sym_QMARK] = ACTIONS(4281),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_TILDE] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(4287),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_or_else] = ACTIONS(4281),
    [anon_sym_AMP_AMP] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4287),
    [anon_sym_GT_EQ] = ACTIONS(4281),
    [anon_sym_LT_EQ] = ACTIONS(4281),
    [anon_sym_LT] = ACTIONS(4287),
    [anon_sym_EQ_EQ] = ACTIONS(4281),
    [anon_sym_BANG_EQ] = ACTIONS(4281),
    [anon_sym_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE] = ACTIONS(4287),
    [anon_sym_LT_LT] = ACTIONS(4287),
    [anon_sym_GT_GT] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4287),
    [anon_sym_SLASH] = ACTIONS(4287),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4281),
    [anon_sym_DOT] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4281),
    [anon_sym_not_in] = ACTIONS(4281),
    [anon_sym_or_return] = ACTIONS(4281),
    [anon_sym_or_continue] = ACTIONS(4281),
    [anon_sym_or_break] = ACTIONS(4281),
    [anon_sym_CARET] = ACTIONS(4287),
    [sym_uninitialized] = ACTIONS(4453),
    [sym_tag] = ACTIONS(4455),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [634] = {
    [sym_expression] = STATE(6127),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4459),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4461),
    [anon_sym_dynamic] = ACTIONS(4463),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [635] = {
    [sym_block] = STATE(2256),
    [sym_where_clause] = STATE(1150),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4465),
    [sym_tag] = ACTIONS(4467),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [636] = {
    [sym_block] = STATE(1098),
    [sym_where_clause] = STATE(824),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4393),
    [sym_tag] = ACTIONS(4469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [637] = {
    [sym_expression] = STATE(5172),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_foreign] = ACTIONS(4329),
    [anon_sym_import] = ACTIONS(4331),
    [anon_sym_using] = ACTIONS(4333),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(4473),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [638] = {
    [sym_block] = STATE(2257),
    [sym_where_clause] = STATE(1043),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4475),
    [sym_tag] = ACTIONS(4477),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [639] = {
    [sym_block] = STATE(2256),
    [sym_where_clause] = STATE(1150),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4465),
    [sym_tag] = ACTIONS(4467),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [640] = {
    [sym_block] = STATE(2257),
    [sym_where_clause] = STATE(1043),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4475),
    [sym_tag] = ACTIONS(4477),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [641] = {
    [sym_block] = STATE(2396),
    [sym_where_clause] = STATE(1271),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4325),
    [sym_tag] = ACTIONS(4327),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [642] = {
    [sym_block] = STATE(2257),
    [sym_where_clause] = STATE(1043),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4475),
    [sym_tag] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [643] = {
    [sym_block] = STATE(2365),
    [sym_where_clause] = STATE(1278),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4481),
    [sym_tag] = ACTIONS(4483),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [644] = {
    [sym_block] = STATE(2365),
    [sym_where_clause] = STATE(1278),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4481),
    [sym_tag] = ACTIONS(4483),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [645] = {
    [sym_block] = STATE(2297),
    [sym_where_clause] = STATE(1289),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4281),
    [anon_sym_COMMA] = ACTIONS(4281),
    [anon_sym_COLON_COLON] = ACTIONS(4281),
    [anon_sym_DASH_GT] = ACTIONS(4485),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4287),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_PIPE] = ACTIONS(4287),
    [anon_sym_COLON_EQ] = ACTIONS(4281),
    [anon_sym_LPAREN] = ACTIONS(4281),
    [anon_sym_PLUS_EQ] = ACTIONS(4281),
    [anon_sym_DASH_EQ] = ACTIONS(4281),
    [anon_sym_STAR_EQ] = ACTIONS(4281),
    [anon_sym_SLASH_EQ] = ACTIONS(4281),
    [anon_sym_PERCENT_EQ] = ACTIONS(4281),
    [anon_sym_AMP_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_CARET_EQ] = ACTIONS(4281),
    [anon_sym_LT_LT_EQ] = ACTIONS(4281),
    [anon_sym_GT_GT_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_if] = ACTIONS(4281),
    [anon_sym_SEMI] = ACTIONS(4281),
    [anon_sym_else] = ACTIONS(4281),
    [anon_sym_when] = ACTIONS(4281),
    [anon_sym_in] = ACTIONS(4281),
    [anon_sym_case] = ACTIONS(4281),
    [anon_sym_QMARK] = ACTIONS(4281),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_TILDE] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(4287),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_or_else] = ACTIONS(4281),
    [anon_sym_AMP_AMP] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4287),
    [anon_sym_GT_EQ] = ACTIONS(4281),
    [anon_sym_LT_EQ] = ACTIONS(4281),
    [anon_sym_LT] = ACTIONS(4287),
    [anon_sym_EQ_EQ] = ACTIONS(4281),
    [anon_sym_BANG_EQ] = ACTIONS(4281),
    [anon_sym_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE] = ACTIONS(4287),
    [anon_sym_LT_LT] = ACTIONS(4287),
    [anon_sym_GT_GT] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4287),
    [anon_sym_SLASH] = ACTIONS(4287),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4281),
    [anon_sym_DOT] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4281),
    [anon_sym_not_in] = ACTIONS(4281),
    [anon_sym_or_return] = ACTIONS(4281),
    [anon_sym_or_continue] = ACTIONS(4281),
    [anon_sym_or_break] = ACTIONS(4281),
    [anon_sym_CARET] = ACTIONS(4287),
    [sym_uninitialized] = ACTIONS(4487),
    [sym_tag] = ACTIONS(4489),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [646] = {
    [aux_sym_field_type_repeat1] = STATE(654),
    [anon_sym_LBRACE] = ACTIONS(4491),
    [anon_sym_RBRACE] = ACTIONS(4491),
    [anon_sym_COMMA] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4491),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [anon_sym_where] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4495),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_COLON_EQ] = ACTIONS(4491),
    [anon_sym_LPAREN] = ACTIONS(4491),
    [anon_sym_PLUS_EQ] = ACTIONS(4491),
    [anon_sym_DASH_EQ] = ACTIONS(4491),
    [anon_sym_STAR_EQ] = ACTIONS(4491),
    [anon_sym_SLASH_EQ] = ACTIONS(4491),
    [anon_sym_PERCENT_EQ] = ACTIONS(4491),
    [anon_sym_AMP_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_CARET_EQ] = ACTIONS(4491),
    [anon_sym_LT_LT_EQ] = ACTIONS(4491),
    [anon_sym_GT_GT_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_if] = ACTIONS(4491),
    [anon_sym_SEMI] = ACTIONS(4491),
    [anon_sym_else] = ACTIONS(4491),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_in] = ACTIONS(4491),
    [anon_sym_case] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_or_else] = ACTIONS(4491),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4491),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4491),
    [anon_sym_BANG_EQ] = ACTIONS(4491),
    [anon_sym_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4491),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4491),
    [anon_sym_not_in] = ACTIONS(4491),
    [anon_sym_or_return] = ACTIONS(4491),
    [anon_sym_or_continue] = ACTIONS(4491),
    [anon_sym_or_break] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_DOT2] = ACTIONS(4497),
    [sym_uninitialized] = ACTIONS(4491),
    [sym_tag] = ACTIONS(4491),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4491),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [647] = {
    [sym_block] = STATE(2327),
    [sym_where_clause] = STATE(1287),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4499),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4501),
    [sym_tag] = ACTIONS(4503),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [648] = {
    [aux_sym_field_type_repeat1] = STATE(654),
    [anon_sym_LBRACE] = ACTIONS(4491),
    [anon_sym_RBRACE] = ACTIONS(4491),
    [anon_sym_COMMA] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4491),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [anon_sym_where] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_COLON_EQ] = ACTIONS(4491),
    [anon_sym_LPAREN] = ACTIONS(4491),
    [anon_sym_PLUS_EQ] = ACTIONS(4491),
    [anon_sym_DASH_EQ] = ACTIONS(4491),
    [anon_sym_STAR_EQ] = ACTIONS(4491),
    [anon_sym_SLASH_EQ] = ACTIONS(4491),
    [anon_sym_PERCENT_EQ] = ACTIONS(4491),
    [anon_sym_AMP_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_CARET_EQ] = ACTIONS(4491),
    [anon_sym_LT_LT_EQ] = ACTIONS(4491),
    [anon_sym_GT_GT_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_if] = ACTIONS(4491),
    [anon_sym_SEMI] = ACTIONS(4491),
    [anon_sym_else] = ACTIONS(4491),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_in] = ACTIONS(4491),
    [anon_sym_case] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_or_else] = ACTIONS(4491),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4491),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4491),
    [anon_sym_BANG_EQ] = ACTIONS(4491),
    [anon_sym_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4491),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4491),
    [anon_sym_not_in] = ACTIONS(4491),
    [anon_sym_or_return] = ACTIONS(4491),
    [anon_sym_or_continue] = ACTIONS(4491),
    [anon_sym_or_break] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_DOT2] = ACTIONS(4497),
    [sym_uninitialized] = ACTIONS(4491),
    [sym_tag] = ACTIONS(4491),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4491),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [649] = {
    [sym_expression] = STATE(5905),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4507),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4509),
    [anon_sym_dynamic] = ACTIONS(4511),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [650] = {
    [sym_block] = STATE(2264),
    [sym_where_clause] = STATE(1202),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4513),
    [sym_tag] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [651] = {
    [sym_procedure] = STATE(6951),
    [sym_expression] = STATE(5429),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym__procedure_type] = STATE(8168),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(4517),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [652] = {
    [sym_block] = STATE(6780),
    [sym_expression] = STATE(5572),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(4371),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(4519),
    [anon_sym_do] = ACTIONS(4521),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [653] = {
    [aux_sym_field_type_repeat1] = STATE(653),
    [anon_sym_LBRACE] = ACTIONS(4523),
    [anon_sym_RBRACE] = ACTIONS(4523),
    [anon_sym_COMMA] = ACTIONS(4523),
    [anon_sym_COLON_COLON] = ACTIONS(4523),
    [anon_sym_DASH_GT] = ACTIONS(4523),
    [anon_sym_where] = ACTIONS(4523),
    [anon_sym_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4525),
    [anon_sym_COLON_EQ] = ACTIONS(4523),
    [anon_sym_LPAREN] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_if] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_else] = ACTIONS(4523),
    [anon_sym_when] = ACTIONS(4523),
    [anon_sym_in] = ACTIONS(4523),
    [anon_sym_case] = ACTIONS(4523),
    [anon_sym_QMARK] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4525),
    [anon_sym_DASH] = ACTIONS(4525),
    [anon_sym_TILDE] = ACTIONS(4525),
    [anon_sym_AMP] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE] = ACTIONS(4525),
    [anon_sym_or_else] = ACTIONS(4523),
    [anon_sym_AMP_AMP] = ACTIONS(4525),
    [anon_sym_GT] = ACTIONS(4525),
    [anon_sym_GT_EQ] = ACTIONS(4523),
    [anon_sym_LT_EQ] = ACTIONS(4523),
    [anon_sym_LT] = ACTIONS(4525),
    [anon_sym_EQ_EQ] = ACTIONS(4523),
    [anon_sym_BANG_EQ] = ACTIONS(4523),
    [anon_sym_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE] = ACTIONS(4525),
    [anon_sym_LT_LT] = ACTIONS(4525),
    [anon_sym_GT_GT] = ACTIONS(4525),
    [anon_sym_STAR] = ACTIONS(4525),
    [anon_sym_SLASH] = ACTIONS(4525),
    [anon_sym_PERCENT] = ACTIONS(4525),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4523),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4523),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4523),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4523),
    [anon_sym_not_in] = ACTIONS(4523),
    [anon_sym_or_return] = ACTIONS(4523),
    [anon_sym_or_continue] = ACTIONS(4523),
    [anon_sym_or_break] = ACTIONS(4523),
    [anon_sym_CARET] = ACTIONS(4525),
    [anon_sym_DOT2] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(4523),
    [sym_tag] = ACTIONS(4523),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4523),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [654] = {
    [aux_sym_field_type_repeat1] = STATE(653),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_RBRACE] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [anon_sym_where] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4532),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4532),
    [anon_sym_COLON_EQ] = ACTIONS(4530),
    [anon_sym_LPAREN] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4530),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4530),
    [anon_sym_if] = ACTIONS(4530),
    [anon_sym_SEMI] = ACTIONS(4530),
    [anon_sym_else] = ACTIONS(4530),
    [anon_sym_when] = ACTIONS(4530),
    [anon_sym_in] = ACTIONS(4530),
    [anon_sym_case] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_or_else] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4532),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4532),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_TILDE_EQ] = ACTIONS(4530),
    [anon_sym_AMP_TILDE] = ACTIONS(4532),
    [anon_sym_LT_LT] = ACTIONS(4532),
    [anon_sym_GT_GT] = ACTIONS(4532),
    [anon_sym_STAR] = ACTIONS(4532),
    [anon_sym_SLASH] = ACTIONS(4532),
    [anon_sym_PERCENT] = ACTIONS(4532),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4530),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4530),
    [anon_sym_not_in] = ACTIONS(4530),
    [anon_sym_or_return] = ACTIONS(4530),
    [anon_sym_or_continue] = ACTIONS(4530),
    [anon_sym_or_break] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4532),
    [anon_sym_DOT2] = ACTIONS(4497),
    [sym_uninitialized] = ACTIONS(4530),
    [sym_tag] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4530),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [655] = {
    [sym_block] = STATE(2264),
    [sym_where_clause] = STATE(1202),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4513),
    [sym_tag] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [656] = {
    [sym_expression] = STATE(5929),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_dynamic] = ACTIONS(4540),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [657] = {
    [sym_block] = STATE(2264),
    [sym_where_clause] = STATE(1202),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4513),
    [sym_tag] = ACTIONS(4542),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [658] = {
    [sym_block] = STATE(1097),
    [sym_where_clause] = STATE(821),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4544),
    [sym_tag] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [659] = {
    [sym_expression] = STATE(5979),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4548),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4550),
    [anon_sym_dynamic] = ACTIONS(4552),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [660] = {
    [sym_expression] = STATE(5761),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8122),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [661] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7704),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4556),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [662] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4558),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [663] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7618),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4560),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [664] = {
    [sym_expression] = STATE(5836),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4562),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4564),
    [anon_sym_dynamic] = ACTIONS(4566),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [665] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4568),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [666] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7577),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4570),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [667] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4570),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [668] = {
    [sym_expression] = STATE(5830),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8694),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [669] = {
    [sym_expression] = STATE(5842),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3487),
    [anon_sym_dynamic] = ACTIONS(3489),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [670] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4572),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [671] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4560),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [672] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4574),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [673] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7490),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4576),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [674] = {
    [sym_procedure] = STATE(7761),
    [sym_expression] = STATE(5700),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [675] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4580),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [676] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7646),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4572),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [677] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7494),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4582),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [678] = {
    [sym_expression] = STATE(5847),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4584),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4586),
    [anon_sym_dynamic] = ACTIONS(4588),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [679] = {
    [sym_expression] = STATE(5992),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8492),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [680] = {
    [sym_procedure] = STATE(7459),
    [sym_expression] = STATE(5659),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(4590),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [681] = {
    [sym_expression] = STATE(6021),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8257),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [682] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4592),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [683] = {
    [sym_expression] = STATE(5999),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8248),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [684] = {
    [sym_expression] = STATE(5965),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8244),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [685] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4594),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [686] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7373),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4596),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [687] = {
    [sym_expression] = STATE(5917),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8236),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [688] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4598),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [689] = {
    [sym_procedure] = STATE(7797),
    [sym_expression] = STATE(5669),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(4600),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [690] = {
    [sym_expression] = STATE(5900),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8202),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [691] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7667),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4602),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [692] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7468),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4604),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [693] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4606),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [694] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7696),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4608),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [695] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4610),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [696] = {
    [sym_procedure] = STATE(8014),
    [sym_expression] = STATE(5754),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [697] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4604),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [698] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [699] = {
    [sym_expression] = STATE(5867),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8177),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [700] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4614),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [701] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7801),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4614),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [702] = {
    [sym_expression] = STATE(5824),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8225),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [703] = {
    [sym_procedure] = STATE(7861),
    [sym_expression] = STATE(5707),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_proc] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(4616),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [704] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7413),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [705] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7860),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4618),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [706] = {
    [sym_expression] = STATE(5801),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8309),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [707] = {
    [sym_expression] = STATE(5789),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8245),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [708] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4618),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [709] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7359),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4620),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [710] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4620),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [711] = {
    [sym_expression] = STATE(5850),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8272),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [712] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4622),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [713] = {
    [sym_expression] = STATE(5918),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8325),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [714] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7922),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4622),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [715] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4624),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [716] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4626),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [717] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7195),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4628),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [718] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4630),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [719] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4632),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [720] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4634),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [721] = {
    [sym_expression] = STATE(6156),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8373),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [722] = {
    [sym_expression] = STATE(5990),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8492),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [723] = {
    [sym_expression] = STATE(5995),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8491),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [724] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7689),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4636),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [725] = {
    [sym_expression] = STATE(6024),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8283),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [726] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7855),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4638),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [727] = {
    [sym_expression] = STATE(6045),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4640),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4642),
    [anon_sym_dynamic] = ACTIONS(4644),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [728] = {
    [sym_expression] = STATE(6050),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4033),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4037),
    [anon_sym_dynamic] = ACTIONS(4039),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [729] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7564),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4646),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [730] = {
    [sym_expression] = STATE(6055),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4648),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4650),
    [anon_sym_dynamic] = ACTIONS(4652),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [731] = {
    [sym_expression] = STATE(6058),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4654),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4656),
    [anon_sym_dynamic] = ACTIONS(4658),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [732] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4660),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [733] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4662),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [734] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4664),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [735] = {
    [sym_expression] = STATE(6069),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4666),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4668),
    [anon_sym_dynamic] = ACTIONS(4670),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [736] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4672),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [737] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7281),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4672),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [738] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4674),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [739] = {
    [sym_expression] = STATE(6071),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3963),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3967),
    [anon_sym_dynamic] = ACTIONS(3969),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [740] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7821),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4676),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [741] = {
    [sym_expression] = STATE(6025),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8458),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [742] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7223),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4678),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [743] = {
    [sym_expression] = STATE(6080),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8404),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [744] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4676),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [745] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4680),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [746] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7688),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4606),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [747] = {
    [sym_expression] = STATE(6012),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8458),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [748] = {
    [sym_expression] = STATE(5877),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8619),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [749] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4678),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [750] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4682),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [751] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7908),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4680),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [752] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4684),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [753] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [754] = {
    [sym_expression] = STATE(5919),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8278),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [755] = {
    [sym_expression] = STATE(5898),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8573),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [756] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7263),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4682),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [757] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4688),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [758] = {
    [sym_expression] = STATE(6084),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8257),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [759] = {
    [sym_procedure] = STATE(6597),
    [sym_expression] = STATE(4620),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(4690),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [760] = {
    [aux_sym_where_clause_repeat1] = STATE(773),
    [anon_sym_LBRACE] = ACTIONS(4692),
    [anon_sym_RBRACE] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(4694),
    [anon_sym_COLON_COLON] = ACTIONS(4692),
    [anon_sym_DASH_GT] = ACTIONS(4692),
    [anon_sym_where] = ACTIONS(4692),
    [anon_sym_EQ] = ACTIONS(4696),
    [anon_sym_COLON] = ACTIONS(4696),
    [anon_sym_PIPE] = ACTIONS(4696),
    [anon_sym_COLON_EQ] = ACTIONS(4692),
    [anon_sym_LPAREN] = ACTIONS(4692),
    [anon_sym_PLUS_EQ] = ACTIONS(4692),
    [anon_sym_DASH_EQ] = ACTIONS(4692),
    [anon_sym_STAR_EQ] = ACTIONS(4692),
    [anon_sym_SLASH_EQ] = ACTIONS(4692),
    [anon_sym_PERCENT_EQ] = ACTIONS(4692),
    [anon_sym_AMP_EQ] = ACTIONS(4692),
    [anon_sym_PIPE_EQ] = ACTIONS(4692),
    [anon_sym_CARET_EQ] = ACTIONS(4692),
    [anon_sym_LT_LT_EQ] = ACTIONS(4692),
    [anon_sym_GT_GT_EQ] = ACTIONS(4692),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4692),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4692),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4692),
    [anon_sym_if] = ACTIONS(4692),
    [anon_sym_SEMI] = ACTIONS(4692),
    [anon_sym_else] = ACTIONS(4692),
    [anon_sym_when] = ACTIONS(4692),
    [anon_sym_in] = ACTIONS(4692),
    [anon_sym_case] = ACTIONS(4692),
    [anon_sym_QMARK] = ACTIONS(4692),
    [anon_sym_PLUS] = ACTIONS(4696),
    [anon_sym_DASH] = ACTIONS(4696),
    [anon_sym_TILDE] = ACTIONS(4696),
    [anon_sym_AMP] = ACTIONS(4696),
    [anon_sym_PIPE_PIPE] = ACTIONS(4696),
    [anon_sym_or_else] = ACTIONS(4692),
    [anon_sym_AMP_AMP] = ACTIONS(4696),
    [anon_sym_GT] = ACTIONS(4696),
    [anon_sym_GT_EQ] = ACTIONS(4692),
    [anon_sym_LT_EQ] = ACTIONS(4692),
    [anon_sym_LT] = ACTIONS(4696),
    [anon_sym_EQ_EQ] = ACTIONS(4692),
    [anon_sym_BANG_EQ] = ACTIONS(4692),
    [anon_sym_TILDE_EQ] = ACTIONS(4692),
    [anon_sym_AMP_TILDE] = ACTIONS(4696),
    [anon_sym_LT_LT] = ACTIONS(4696),
    [anon_sym_GT_GT] = ACTIONS(4696),
    [anon_sym_STAR] = ACTIONS(4696),
    [anon_sym_SLASH] = ACTIONS(4696),
    [anon_sym_PERCENT] = ACTIONS(4696),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4692),
    [anon_sym_DOT] = ACTIONS(4696),
    [anon_sym_LBRACK] = ACTIONS(4692),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4692),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4692),
    [anon_sym_not_in] = ACTIONS(4692),
    [anon_sym_or_return] = ACTIONS(4692),
    [anon_sym_or_continue] = ACTIONS(4692),
    [anon_sym_or_break] = ACTIONS(4692),
    [anon_sym_CARET] = ACTIONS(4696),
    [sym_uninitialized] = ACTIONS(4692),
    [sym_tag] = ACTIONS(4692),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4692),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [761] = {
    [sym_expression] = STATE(6068),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8254),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [762] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7309),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4698),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [763] = {
    [sym_expression] = STATE(6063),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8251),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [764] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4698),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [765] = {
    [sym_procedure] = STATE(6589),
    [sym_expression] = STATE(4695),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [766] = {
    [sym_expression] = STATE(6062),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8236),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [767] = {
    [sym_expression] = STATE(6047),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8248),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [768] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7751),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4700),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [769] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7454),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4702),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [770] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4704),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [771] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7380),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4706),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [772] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4708),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [773] = {
    [aux_sym_where_clause_repeat1] = STATE(773),
    [anon_sym_LBRACE] = ACTIONS(4710),
    [anon_sym_RBRACE] = ACTIONS(4710),
    [anon_sym_COMMA] = ACTIONS(4712),
    [anon_sym_COLON_COLON] = ACTIONS(4710),
    [anon_sym_DASH_GT] = ACTIONS(4710),
    [anon_sym_where] = ACTIONS(4710),
    [anon_sym_EQ] = ACTIONS(4715),
    [anon_sym_COLON] = ACTIONS(4715),
    [anon_sym_PIPE] = ACTIONS(4715),
    [anon_sym_COLON_EQ] = ACTIONS(4710),
    [anon_sym_LPAREN] = ACTIONS(4710),
    [anon_sym_PLUS_EQ] = ACTIONS(4710),
    [anon_sym_DASH_EQ] = ACTIONS(4710),
    [anon_sym_STAR_EQ] = ACTIONS(4710),
    [anon_sym_SLASH_EQ] = ACTIONS(4710),
    [anon_sym_PERCENT_EQ] = ACTIONS(4710),
    [anon_sym_AMP_EQ] = ACTIONS(4710),
    [anon_sym_PIPE_EQ] = ACTIONS(4710),
    [anon_sym_CARET_EQ] = ACTIONS(4710),
    [anon_sym_LT_LT_EQ] = ACTIONS(4710),
    [anon_sym_GT_GT_EQ] = ACTIONS(4710),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4710),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4710),
    [anon_sym_if] = ACTIONS(4710),
    [anon_sym_SEMI] = ACTIONS(4710),
    [anon_sym_else] = ACTIONS(4710),
    [anon_sym_when] = ACTIONS(4710),
    [anon_sym_in] = ACTIONS(4710),
    [anon_sym_case] = ACTIONS(4710),
    [anon_sym_QMARK] = ACTIONS(4710),
    [anon_sym_PLUS] = ACTIONS(4715),
    [anon_sym_DASH] = ACTIONS(4715),
    [anon_sym_TILDE] = ACTIONS(4715),
    [anon_sym_AMP] = ACTIONS(4715),
    [anon_sym_PIPE_PIPE] = ACTIONS(4715),
    [anon_sym_or_else] = ACTIONS(4710),
    [anon_sym_AMP_AMP] = ACTIONS(4715),
    [anon_sym_GT] = ACTIONS(4715),
    [anon_sym_GT_EQ] = ACTIONS(4710),
    [anon_sym_LT_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(4715),
    [anon_sym_EQ_EQ] = ACTIONS(4710),
    [anon_sym_BANG_EQ] = ACTIONS(4710),
    [anon_sym_TILDE_EQ] = ACTIONS(4710),
    [anon_sym_AMP_TILDE] = ACTIONS(4715),
    [anon_sym_LT_LT] = ACTIONS(4715),
    [anon_sym_GT_GT] = ACTIONS(4715),
    [anon_sym_STAR] = ACTIONS(4715),
    [anon_sym_SLASH] = ACTIONS(4715),
    [anon_sym_PERCENT] = ACTIONS(4715),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4710),
    [anon_sym_DOT] = ACTIONS(4715),
    [anon_sym_LBRACK] = ACTIONS(4710),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4710),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4710),
    [anon_sym_not_in] = ACTIONS(4710),
    [anon_sym_or_return] = ACTIONS(4710),
    [anon_sym_or_continue] = ACTIONS(4710),
    [anon_sym_or_break] = ACTIONS(4710),
    [anon_sym_CARET] = ACTIONS(4715),
    [sym_uninitialized] = ACTIONS(4710),
    [sym_tag] = ACTIONS(4710),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4710),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [774] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4717),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [775] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7205),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4719),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [776] = {
    [sym_expression] = STATE(6038),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8244),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [777] = {
    [sym_expression] = STATE(6035),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8240),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [778] = {
    [sym_expression] = STATE(6030),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8232),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [779] = {
    [sym_expression] = STATE(6026),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8228),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [780] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4721),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [781] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7321),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4717),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [782] = {
    [sym_expression] = STATE(6009),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8224),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [783] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4723),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [784] = {
    [sym_expression] = STATE(5998),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8219),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [785] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7278),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4725),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [786] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4727),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [787] = {
    [sym_expression] = STATE(5956),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8225),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [788] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4725),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [789] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4729),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [790] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7518),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4731),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [791] = {
    [sym_expression] = STATE(5909),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8177),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [792] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7310),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4729),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [793] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4733),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [794] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7355),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [795] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4731),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [796] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4737),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [797] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [798] = {
    [sym_expression] = STATE(5885),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8212),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [799] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4741),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [800] = {
    [sym_expression] = STATE(5831),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8202),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [801] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7567),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4737),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [802] = {
    [sym_expression] = STATE(5818),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8190),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [803] = {
    [sym_expression] = STATE(5796),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8196),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [804] = {
    [sym_expression] = STATE(5832),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8245),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [805] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7608),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4743),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [806] = {
    [sym_expression] = STATE(5852),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8272),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [807] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4743),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [808] = {
    [sym_expression] = STATE(6002),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8325),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [809] = {
    [sym_expression] = STATE(6140),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8300),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [810] = {
    [sym_procedure] = STATE(6578),
    [sym_expression] = STATE(4633),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(4745),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [811] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7395),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4747),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [812] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4749),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [813] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7658),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4751),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [814] = {
    [sym_expression] = STATE(6137),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4753),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4755),
    [anon_sym_dynamic] = ACTIONS(4757),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [815] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4759),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [816] = {
    [sym_expression] = STATE(5926),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8373),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [817] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7451),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4761),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [818] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4763),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [819] = {
    [sym_block] = STATE(1094),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4765),
    [anon_sym_COMMA] = ACTIONS(4765),
    [anon_sym_COLON_COLON] = ACTIONS(4765),
    [anon_sym_DASH_GT] = ACTIONS(4765),
    [anon_sym_where] = ACTIONS(4765),
    [anon_sym_EQ] = ACTIONS(4767),
    [anon_sym_COLON] = ACTIONS(4767),
    [anon_sym_PIPE] = ACTIONS(4767),
    [anon_sym_COLON_EQ] = ACTIONS(4765),
    [anon_sym_LPAREN] = ACTIONS(4765),
    [anon_sym_PLUS_EQ] = ACTIONS(4765),
    [anon_sym_DASH_EQ] = ACTIONS(4765),
    [anon_sym_STAR_EQ] = ACTIONS(4765),
    [anon_sym_SLASH_EQ] = ACTIONS(4765),
    [anon_sym_PERCENT_EQ] = ACTIONS(4765),
    [anon_sym_AMP_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_CARET_EQ] = ACTIONS(4765),
    [anon_sym_LT_LT_EQ] = ACTIONS(4765),
    [anon_sym_GT_GT_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_if] = ACTIONS(4765),
    [anon_sym_SEMI] = ACTIONS(4765),
    [anon_sym_else] = ACTIONS(4765),
    [anon_sym_when] = ACTIONS(4765),
    [anon_sym_in] = ACTIONS(4765),
    [anon_sym_case] = ACTIONS(4765),
    [anon_sym_QMARK] = ACTIONS(4765),
    [anon_sym_PLUS] = ACTIONS(4767),
    [anon_sym_DASH] = ACTIONS(4767),
    [anon_sym_TILDE] = ACTIONS(4767),
    [anon_sym_AMP] = ACTIONS(4767),
    [anon_sym_PIPE_PIPE] = ACTIONS(4767),
    [anon_sym_or_else] = ACTIONS(4765),
    [anon_sym_AMP_AMP] = ACTIONS(4767),
    [anon_sym_GT] = ACTIONS(4767),
    [anon_sym_GT_EQ] = ACTIONS(4765),
    [anon_sym_LT_EQ] = ACTIONS(4765),
    [anon_sym_LT] = ACTIONS(4767),
    [anon_sym_EQ_EQ] = ACTIONS(4765),
    [anon_sym_BANG_EQ] = ACTIONS(4765),
    [anon_sym_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE] = ACTIONS(4767),
    [anon_sym_LT_LT] = ACTIONS(4767),
    [anon_sym_GT_GT] = ACTIONS(4767),
    [anon_sym_STAR] = ACTIONS(4767),
    [anon_sym_SLASH] = ACTIONS(4767),
    [anon_sym_PERCENT] = ACTIONS(4767),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4765),
    [anon_sym_DOT] = ACTIONS(4767),
    [anon_sym_LBRACK] = ACTIONS(4765),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4765),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4765),
    [anon_sym_not_in] = ACTIONS(4765),
    [anon_sym_or_return] = ACTIONS(4765),
    [anon_sym_or_continue] = ACTIONS(4765),
    [anon_sym_or_break] = ACTIONS(4765),
    [anon_sym_CARET] = ACTIONS(4767),
    [sym_uninitialized] = ACTIONS(4769),
    [sym_tag] = ACTIONS(4765),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4765),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [820] = {
    [sym_expression] = STATE(5953),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8309),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [821] = {
    [sym_block] = STATE(1096),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_COLON_COLON] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_where] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4773),
    [anon_sym_COLON] = ACTIONS(4773),
    [anon_sym_PIPE] = ACTIONS(4773),
    [anon_sym_COLON_EQ] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_else] = ACTIONS(4771),
    [anon_sym_when] = ACTIONS(4771),
    [anon_sym_in] = ACTIONS(4771),
    [anon_sym_case] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4773),
    [anon_sym_DASH] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_AMP] = ACTIONS(4773),
    [anon_sym_PIPE_PIPE] = ACTIONS(4773),
    [anon_sym_or_else] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4773),
    [anon_sym_GT] = ACTIONS(4773),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4773),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE] = ACTIONS(4773),
    [anon_sym_LT_LT] = ACTIONS(4773),
    [anon_sym_GT_GT] = ACTIONS(4773),
    [anon_sym_STAR] = ACTIONS(4773),
    [anon_sym_SLASH] = ACTIONS(4773),
    [anon_sym_PERCENT] = ACTIONS(4773),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4771),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4771),
    [anon_sym_not_in] = ACTIONS(4771),
    [anon_sym_or_return] = ACTIONS(4771),
    [anon_sym_or_continue] = ACTIONS(4771),
    [anon_sym_or_break] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4773),
    [sym_uninitialized] = ACTIONS(4775),
    [sym_tag] = ACTIONS(4777),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4771),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [822] = {
    [sym_block] = STATE(1096),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_COLON_COLON] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_where] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4773),
    [anon_sym_COLON] = ACTIONS(4773),
    [anon_sym_PIPE] = ACTIONS(4773),
    [anon_sym_COLON_EQ] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_else] = ACTIONS(4771),
    [anon_sym_when] = ACTIONS(4771),
    [anon_sym_in] = ACTIONS(4771),
    [anon_sym_case] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4773),
    [anon_sym_DASH] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_AMP] = ACTIONS(4773),
    [anon_sym_PIPE_PIPE] = ACTIONS(4773),
    [anon_sym_or_else] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4773),
    [anon_sym_GT] = ACTIONS(4773),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4773),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE] = ACTIONS(4773),
    [anon_sym_LT_LT] = ACTIONS(4773),
    [anon_sym_GT_GT] = ACTIONS(4773),
    [anon_sym_STAR] = ACTIONS(4773),
    [anon_sym_SLASH] = ACTIONS(4773),
    [anon_sym_PERCENT] = ACTIONS(4773),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4771),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4771),
    [anon_sym_not_in] = ACTIONS(4771),
    [anon_sym_or_return] = ACTIONS(4771),
    [anon_sym_or_continue] = ACTIONS(4771),
    [anon_sym_or_break] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4773),
    [sym_uninitialized] = ACTIONS(4775),
    [sym_tag] = ACTIONS(4771),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4771),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [823] = {
    [sym_block] = STATE(1097),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4544),
    [sym_tag] = ACTIONS(4295),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [824] = {
    [sym_block] = STATE(1097),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4544),
    [sym_tag] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [825] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4779),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [826] = {
    [sym_block] = STATE(1098),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4303),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4393),
    [sym_tag] = ACTIONS(4303),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [827] = {
    [sym_block] = STATE(1098),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4303),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4393),
    [sym_tag] = ACTIONS(4469),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [828] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7463),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4779),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [829] = {
    [sym_procedure] = STATE(6842),
    [sym_expression] = STATE(5456),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [830] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7509),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4781),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [831] = {
    [sym_block] = STATE(1099),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4313),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4321),
    [sym_tag] = ACTIONS(4345),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [832] = {
    [aux_sym_where_clause_repeat1] = STATE(760),
    [anon_sym_LBRACE] = ACTIONS(4783),
    [anon_sym_RBRACE] = ACTIONS(4783),
    [anon_sym_COMMA] = ACTIONS(4694),
    [anon_sym_COLON_COLON] = ACTIONS(4783),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(4783),
    [anon_sym_EQ] = ACTIONS(4787),
    [anon_sym_COLON] = ACTIONS(4787),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(4783),
    [anon_sym_LPAREN] = ACTIONS(4783),
    [anon_sym_PLUS_EQ] = ACTIONS(4783),
    [anon_sym_DASH_EQ] = ACTIONS(4783),
    [anon_sym_STAR_EQ] = ACTIONS(4783),
    [anon_sym_SLASH_EQ] = ACTIONS(4783),
    [anon_sym_PERCENT_EQ] = ACTIONS(4783),
    [anon_sym_AMP_EQ] = ACTIONS(4783),
    [anon_sym_PIPE_EQ] = ACTIONS(4783),
    [anon_sym_CARET_EQ] = ACTIONS(4783),
    [anon_sym_LT_LT_EQ] = ACTIONS(4783),
    [anon_sym_GT_GT_EQ] = ACTIONS(4783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4783),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4783),
    [anon_sym_if] = ACTIONS(4783),
    [anon_sym_SEMI] = ACTIONS(4783),
    [anon_sym_else] = ACTIONS(4783),
    [anon_sym_when] = ACTIONS(4783),
    [anon_sym_in] = ACTIONS(4783),
    [anon_sym_case] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(4783),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(4797),
    [anon_sym_or_else] = ACTIONS(4799),
    [anon_sym_AMP_AMP] = ACTIONS(4801),
    [anon_sym_GT] = ACTIONS(4803),
    [anon_sym_GT_EQ] = ACTIONS(4805),
    [anon_sym_LT_EQ] = ACTIONS(4805),
    [anon_sym_LT] = ACTIONS(4803),
    [anon_sym_EQ_EQ] = ACTIONS(4807),
    [anon_sym_BANG_EQ] = ACTIONS(4807),
    [anon_sym_TILDE_EQ] = ACTIONS(4807),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(4783),
    [anon_sym_or_return] = ACTIONS(4823),
    [anon_sym_or_continue] = ACTIONS(4825),
    [anon_sym_or_break] = ACTIONS(4827),
    [anon_sym_CARET] = ACTIONS(4829),
    [sym_uninitialized] = ACTIONS(4783),
    [sym_tag] = ACTIONS(4783),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4783),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [833] = {
    [sym_block] = STATE(1099),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4313),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4321),
    [sym_tag] = ACTIONS(4313),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [834] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4781),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [835] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4831),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [836] = {
    [sym_expression] = STATE(6129),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4833),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4835),
    [anon_sym_dynamic] = ACTIONS(4837),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [837] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7595),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4831),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [838] = {
    [sym_block] = STATE(1101),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4359),
    [sym_tag] = ACTIONS(4839),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [839] = {
    [sym_block] = STATE(1101),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4359),
    [sym_tag] = ACTIONS(4355),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [840] = {
    [sym_block] = STATE(1103),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4439),
    [sym_tag] = ACTIONS(4441),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [841] = {
    [sym_block] = STATE(1103),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4439),
    [sym_tag] = ACTIONS(4427),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [842] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [843] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4843),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [844] = {
    [sym_expression] = STATE(6126),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_dynamic] = ACTIONS(4849),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [845] = {
    [sym_expression] = STATE(6124),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4241),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4245),
    [anon_sym_dynamic] = ACTIONS(4247),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [846] = {
    [sym_expression] = STATE(6116),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8425),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [847] = {
    [sym_expression] = STATE(6117),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4853),
    [anon_sym_dynamic] = ACTIONS(4855),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [848] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [849] = {
    [sym_expression] = STATE(6135),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8395),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [850] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4859),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [851] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4861),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [852] = {
    [aux_sym_struct_type_repeat2] = STATE(852),
    [anon_sym_LBRACE] = ACTIONS(4863),
    [anon_sym_RBRACE] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [anon_sym_where] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_COLON_EQ] = ACTIONS(4866),
    [anon_sym_LPAREN] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4866),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4866),
    [anon_sym_if] = ACTIONS(4866),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym_else] = ACTIONS(4866),
    [anon_sym_when] = ACTIONS(4866),
    [anon_sym_in] = ACTIONS(4866),
    [anon_sym_case] = ACTIONS(4866),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_TILDE] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4868),
    [anon_sym_or_else] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4868),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4866),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_TILDE_EQ] = ACTIONS(4866),
    [anon_sym_AMP_TILDE] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4866),
    [anon_sym_not_in] = ACTIONS(4866),
    [anon_sym_or_return] = ACTIONS(4866),
    [anon_sym_or_continue] = ACTIONS(4866),
    [anon_sym_or_break] = ACTIONS(4866),
    [anon_sym_CARET] = ACTIONS(4868),
    [sym_uninitialized] = ACTIONS(4866),
    [sym_tag] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4866),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [853] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4870),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [854] = {
    [sym_expression] = STATE(6089),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4081),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4085),
    [anon_sym_dynamic] = ACTIONS(4087),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [855] = {
    [sym_expression] = STATE(6067),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_dynamic] = ACTIONS(4876),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [856] = {
    [sym_expression] = STATE(5809),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8704),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [857] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7709),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [858] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7835),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4880),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [859] = {
    [sym_expression] = STATE(6051),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8483),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [860] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7752),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [861] = {
    [sym_expression] = STATE(6057),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8573),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [862] = {
    [sym_expression] = STATE(5964),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3993),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_dynamic] = ACTIONS(3999),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [863] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4880),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [864] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4884),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [865] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [866] = {
    [sym_expression] = STATE(6083),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4888),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4890),
    [anon_sym_dynamic] = ACTIONS(4892),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [867] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4894),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [868] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7813),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4894),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [869] = {
    [sym_expression] = STATE(5739),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8023),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [870] = {
    [sym_expression] = STATE(6087),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4896),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4898),
    [anon_sym_dynamic] = ACTIONS(4900),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [871] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7864),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [872] = {
    [sym_expression] = STATE(6088),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3943),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3947),
    [anon_sym_dynamic] = ACTIONS(3949),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [873] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7897),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4902),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [874] = {
    [sym_expression] = STATE(6093),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4904),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4906),
    [anon_sym_dynamic] = ACTIONS(4908),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [875] = {
    [sym_expression] = STATE(6096),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4910),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4912),
    [anon_sym_dynamic] = ACTIONS(4914),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [876] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7767),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4763),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [877] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4902),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [878] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4916),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [879] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4918),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [880] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4916),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [881] = {
    [sym_expression] = STATE(6098),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3923),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3927),
    [anon_sym_dynamic] = ACTIONS(3929),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [882] = {
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_where] = ACTIONS(71),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(71),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_when] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [sym_uninitialized] = ACTIONS(67),
    [sym_tag] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [883] = {
    [aux_sym_field_identifier_repeat1] = STATE(7116),
    [anon_sym_LBRACE] = ACTIONS(4924),
    [anon_sym_RBRACE] = ACTIONS(4927),
    [anon_sym_COMMA] = ACTIONS(4927),
    [anon_sym_COLON_COLON] = ACTIONS(4927),
    [anon_sym_DASH_GT] = ACTIONS(4927),
    [anon_sym_where] = ACTIONS(4927),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(4929),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_COLON_EQ] = ACTIONS(4927),
    [anon_sym_LPAREN] = ACTIONS(4931),
    [anon_sym_PLUS_EQ] = ACTIONS(4927),
    [anon_sym_DASH_EQ] = ACTIONS(4927),
    [anon_sym_STAR_EQ] = ACTIONS(4927),
    [anon_sym_SLASH_EQ] = ACTIONS(4927),
    [anon_sym_PERCENT_EQ] = ACTIONS(4927),
    [anon_sym_AMP_EQ] = ACTIONS(4927),
    [anon_sym_PIPE_EQ] = ACTIONS(4927),
    [anon_sym_CARET_EQ] = ACTIONS(4927),
    [anon_sym_LT_LT_EQ] = ACTIONS(4927),
    [anon_sym_GT_GT_EQ] = ACTIONS(4927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4927),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4927),
    [anon_sym_if] = ACTIONS(4927),
    [anon_sym_SEMI] = ACTIONS(4927),
    [anon_sym_else] = ACTIONS(4927),
    [anon_sym_when] = ACTIONS(4927),
    [anon_sym_in] = ACTIONS(4927),
    [anon_sym_case] = ACTIONS(4927),
    [anon_sym_QMARK] = ACTIONS(4927),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_TILDE] = ACTIONS(4929),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_PIPE_PIPE] = ACTIONS(4929),
    [anon_sym_or_else] = ACTIONS(4927),
    [anon_sym_AMP_AMP] = ACTIONS(4929),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4927),
    [anon_sym_LT_EQ] = ACTIONS(4927),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4927),
    [anon_sym_BANG_EQ] = ACTIONS(4927),
    [anon_sym_TILDE_EQ] = ACTIONS(4927),
    [anon_sym_AMP_TILDE] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4929),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4929),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4929),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4927),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_LBRACK] = ACTIONS(4927),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4927),
    [anon_sym_not_in] = ACTIONS(4927),
    [anon_sym_or_return] = ACTIONS(4927),
    [anon_sym_or_continue] = ACTIONS(4927),
    [anon_sym_or_break] = ACTIONS(4927),
    [anon_sym_CARET] = ACTIONS(4929),
    [sym_uninitialized] = ACTIONS(4927),
    [sym_tag] = ACTIONS(4927),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4927),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [884] = {
    [sym_procedure] = STATE(6806),
    [sym_expression] = STATE(5378),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [885] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7876),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4918),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [886] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4934),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [887] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7863),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4936),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [888] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4938),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [889] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4940),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [890] = {
    [sym_expression] = STATE(6103),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4942),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4944),
    [anon_sym_dynamic] = ACTIONS(4946),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [891] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4948),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [892] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7453),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4950),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [893] = {
    [sym_identifier] = ACTIONS(4952),
    [anon_sym_LBRACE] = ACTIONS(4954),
    [anon_sym_RBRACE] = ACTIONS(4954),
    [anon_sym_COMMA] = ACTIONS(4954),
    [anon_sym_COLON_COLON] = ACTIONS(4954),
    [anon_sym_DASH_GT] = ACTIONS(4954),
    [anon_sym_where] = ACTIONS(4956),
    [anon_sym_EQ] = ACTIONS(4956),
    [anon_sym_COLON] = ACTIONS(4956),
    [anon_sym_PIPE] = ACTIONS(4956),
    [anon_sym_COLON_EQ] = ACTIONS(4954),
    [anon_sym_LPAREN] = ACTIONS(4954),
    [anon_sym_PLUS_EQ] = ACTIONS(4954),
    [anon_sym_DASH_EQ] = ACTIONS(4954),
    [anon_sym_STAR_EQ] = ACTIONS(4954),
    [anon_sym_SLASH_EQ] = ACTIONS(4954),
    [anon_sym_PERCENT_EQ] = ACTIONS(4954),
    [anon_sym_AMP_EQ] = ACTIONS(4954),
    [anon_sym_PIPE_EQ] = ACTIONS(4954),
    [anon_sym_CARET_EQ] = ACTIONS(4954),
    [anon_sym_LT_LT_EQ] = ACTIONS(4954),
    [anon_sym_GT_GT_EQ] = ACTIONS(4954),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4954),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4954),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4954),
    [anon_sym_if] = ACTIONS(4956),
    [anon_sym_SEMI] = ACTIONS(4954),
    [anon_sym_else] = ACTIONS(4956),
    [anon_sym_when] = ACTIONS(4956),
    [anon_sym_in] = ACTIONS(4956),
    [anon_sym_case] = ACTIONS(4956),
    [anon_sym_QMARK] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_TILDE] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(4956),
    [anon_sym_PIPE_PIPE] = ACTIONS(4956),
    [anon_sym_or_else] = ACTIONS(4956),
    [anon_sym_AMP_AMP] = ACTIONS(4956),
    [anon_sym_GT] = ACTIONS(4956),
    [anon_sym_GT_EQ] = ACTIONS(4954),
    [anon_sym_LT_EQ] = ACTIONS(4954),
    [anon_sym_LT] = ACTIONS(4956),
    [anon_sym_EQ_EQ] = ACTIONS(4954),
    [anon_sym_BANG_EQ] = ACTIONS(4954),
    [anon_sym_TILDE_EQ] = ACTIONS(4954),
    [anon_sym_AMP_TILDE] = ACTIONS(4956),
    [anon_sym_LT_LT] = ACTIONS(4956),
    [anon_sym_GT_GT] = ACTIONS(4956),
    [anon_sym_STAR] = ACTIONS(4956),
    [anon_sym_SLASH] = ACTIONS(4956),
    [anon_sym_PERCENT] = ACTIONS(4956),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4954),
    [anon_sym_DOT] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4954),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4954),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4954),
    [anon_sym_not_in] = ACTIONS(4956),
    [anon_sym_or_return] = ACTIONS(4956),
    [anon_sym_or_continue] = ACTIONS(4956),
    [anon_sym_or_break] = ACTIONS(4956),
    [anon_sym_CARET] = ACTIONS(4956),
    [sym_uninitialized] = ACTIONS(4954),
    [sym_tag] = ACTIONS(4954),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4954),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [894] = {
    [sym_expression] = STATE(6105),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4958),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4960),
    [anon_sym_dynamic] = ACTIONS(4962),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [895] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4964),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [896] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4966),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [897] = {
    [sym_expression] = STATE(6120),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4968),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(4972),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [898] = {
    [sym_expression] = STATE(5903),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8571),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [899] = {
    [sym_expression] = STATE(6122),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4974),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4976),
    [anon_sym_dynamic] = ACTIONS(4978),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [900] = {
    [sym_expression] = STATE(5921),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8515),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [901] = {
    [sym_expression] = STATE(6128),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3893),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3897),
    [anon_sym_dynamic] = ACTIONS(3899),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [902] = {
    [sym_expression] = STATE(6133),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4980),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4982),
    [anon_sym_dynamic] = ACTIONS(4984),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [903] = {
    [sym_expression] = STATE(5933),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8548),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [904] = {
    [sym_expression] = STATE(6165),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8287),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [905] = {
    [sym_expression] = STATE(6173),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8287),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [906] = {
    [sym_expression] = STATE(5795),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3407),
    [anon_sym_dynamic] = ACTIONS(3409),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [907] = {
    [sym_expression] = STATE(5743),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8147),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [908] = {
    [sym_expression] = STATE(6134),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4986),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4988),
    [anon_sym_dynamic] = ACTIONS(4990),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [909] = {
    [sym_expression] = STATE(6138),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3863),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3867),
    [anon_sym_dynamic] = ACTIONS(3869),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [910] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7739),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4992),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [911] = {
    [sym_expression] = STATE(5881),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4994),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4996),
    [anon_sym_dynamic] = ACTIONS(4998),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [912] = {
    [sym_expression] = STATE(6148),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5002),
    [anon_sym_dynamic] = ACTIONS(5004),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [913] = {
    [sym_expression] = STATE(5797),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8286),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [914] = {
    [sym_expression] = STATE(6150),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5006),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5008),
    [anon_sym_dynamic] = ACTIONS(5010),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [915] = {
    [sym_expression] = STATE(6154),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3803),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3807),
    [anon_sym_dynamic] = ACTIONS(3809),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [916] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5012),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [917] = {
    [sym_expression] = STATE(6052),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8615),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [918] = {
    [sym_expression] = STATE(6161),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5014),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5016),
    [anon_sym_dynamic] = ACTIONS(5018),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [919] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5020),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [920] = {
    [sym_expression] = STATE(5897),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8615),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [921] = {
    [sym_expression] = STATE(5906),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5022),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5024),
    [anon_sym_dynamic] = ACTIONS(5026),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [922] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5028),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [923] = {
    [sym_expression] = STATE(6108),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5030),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5032),
    [anon_sym_dynamic] = ACTIONS(5034),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [924] = {
    [sym_expression] = STATE(5930),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8193),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [925] = {
    [sym_expression] = STATE(6132),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3783),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_dynamic] = ACTIONS(3789),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [926] = {
    [sym_expression] = STATE(5757),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8110),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [927] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7814),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5036),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [928] = {
    [sym_expression] = STATE(6153),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5040),
    [anon_sym_dynamic] = ACTIONS(5042),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [929] = {
    [sym_expression] = STATE(5951),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8381),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [930] = {
    [sym_expression] = STATE(6151),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8381),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [931] = {
    [sym_expression] = STATE(6163),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5044),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5046),
    [anon_sym_dynamic] = ACTIONS(5048),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [932] = {
    [sym_expression] = STATE(6110),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5052),
    [anon_sym_dynamic] = ACTIONS(5054),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [933] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5036),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [934] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5056),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [935] = {
    [sym_expression] = STATE(6167),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3563),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3567),
    [anon_sym_dynamic] = ACTIONS(3569),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [936] = {
    [sym_expression] = STATE(6001),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4153),
    [anon_sym_dynamic] = ACTIONS(4155),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [937] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8047),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [938] = {
    [sym_expression] = STATE(5987),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5060),
    [anon_sym_dynamic] = ACTIONS(5062),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [939] = {
    [sym_expression] = STATE(6178),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5066),
    [anon_sym_dynamic] = ACTIONS(5068),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [940] = {
    [sym_expression] = STATE(5822),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8485),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [941] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7642),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5056),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [942] = {
    [sym_expression] = STATE(5983),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8515),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [943] = {
    [sym_expression] = STATE(6181),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8295),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [944] = {
    [sym_expression] = STATE(5780),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8147),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [945] = {
    [sym_expression] = STATE(6180),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5070),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_dynamic] = ACTIONS(5074),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [946] = {
    [aux_sym_struct_type_repeat2] = STATE(852),
    [anon_sym_LBRACE] = ACTIONS(5076),
    [anon_sym_RBRACE] = ACTIONS(5076),
    [anon_sym_COMMA] = ACTIONS(5076),
    [anon_sym_COLON_COLON] = ACTIONS(5076),
    [anon_sym_DASH_GT] = ACTIONS(5076),
    [anon_sym_where] = ACTIONS(5076),
    [anon_sym_EQ] = ACTIONS(5078),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5078),
    [anon_sym_COLON_EQ] = ACTIONS(5076),
    [anon_sym_LPAREN] = ACTIONS(5076),
    [anon_sym_PLUS_EQ] = ACTIONS(5076),
    [anon_sym_DASH_EQ] = ACTIONS(5076),
    [anon_sym_STAR_EQ] = ACTIONS(5076),
    [anon_sym_SLASH_EQ] = ACTIONS(5076),
    [anon_sym_PERCENT_EQ] = ACTIONS(5076),
    [anon_sym_AMP_EQ] = ACTIONS(5076),
    [anon_sym_PIPE_EQ] = ACTIONS(5076),
    [anon_sym_CARET_EQ] = ACTIONS(5076),
    [anon_sym_LT_LT_EQ] = ACTIONS(5076),
    [anon_sym_GT_GT_EQ] = ACTIONS(5076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5076),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5076),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5076),
    [anon_sym_if] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5076),
    [anon_sym_else] = ACTIONS(5076),
    [anon_sym_when] = ACTIONS(5076),
    [anon_sym_in] = ACTIONS(5076),
    [anon_sym_case] = ACTIONS(5076),
    [anon_sym_QMARK] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_TILDE] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym_PIPE_PIPE] = ACTIONS(5078),
    [anon_sym_or_else] = ACTIONS(5076),
    [anon_sym_AMP_AMP] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5078),
    [anon_sym_GT_EQ] = ACTIONS(5076),
    [anon_sym_LT_EQ] = ACTIONS(5076),
    [anon_sym_LT] = ACTIONS(5078),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5076),
    [anon_sym_TILDE_EQ] = ACTIONS(5076),
    [anon_sym_AMP_TILDE] = ACTIONS(5078),
    [anon_sym_LT_LT] = ACTIONS(5078),
    [anon_sym_GT_GT] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5078),
    [anon_sym_SLASH] = ACTIONS(5078),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5076),
    [anon_sym_DOT] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5076),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5076),
    [anon_sym_not_in] = ACTIONS(5076),
    [anon_sym_or_return] = ACTIONS(5076),
    [anon_sym_or_continue] = ACTIONS(5076),
    [anon_sym_or_break] = ACTIONS(5076),
    [anon_sym_CARET] = ACTIONS(5078),
    [sym_uninitialized] = ACTIONS(5076),
    [sym_tag] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5076),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [947] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7405),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5080),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [948] = {
    [sym_expression] = STATE(5865),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4173),
    [anon_sym_dynamic] = ACTIONS(4175),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [949] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5080),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [950] = {
    [sym_expression] = STATE(5752),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8137),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [951] = {
    [sym_expression] = STATE(5782),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3693),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3697),
    [anon_sym_dynamic] = ACTIONS(3699),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [952] = {
    [sym_expression] = STATE(5849),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5084),
    [anon_sym_dynamic] = ACTIONS(5086),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [953] = {
    [sym_expression] = STATE(5887),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8700),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [954] = {
    [sym_expression] = STATE(5997),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8512),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [955] = {
    [sym_expression] = STATE(5840),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5090),
    [anon_sym_dynamic] = ACTIONS(5092),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [956] = {
    [sym_expression] = STATE(6172),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5096),
    [anon_sym_dynamic] = ACTIONS(5098),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [957] = {
    [sym_procedure] = STATE(6579),
    [sym_expression] = STATE(4747),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(4517),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [958] = {
    [sym_expression] = STATE(5848),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4211),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4215),
    [anon_sym_dynamic] = ACTIONS(4217),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [959] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5100),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [960] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7194),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5102),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [961] = {
    [sym_expression] = STATE(5774),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8141),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [962] = {
    [sym_expression] = STATE(5864),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5106),
    [anon_sym_dynamic] = ACTIONS(5108),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [963] = {
    [sym_expression] = STATE(5869),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8669),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [964] = {
    [sym_expression] = STATE(5988),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8513),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [965] = {
    [sym_expression] = STATE(5870),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5110),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_dynamic] = ACTIONS(5114),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [966] = {
    [sym_expression] = STATE(6077),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8414),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [967] = {
    [sym_expression] = STATE(5947),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4043),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4047),
    [anon_sym_dynamic] = ACTIONS(4049),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [968] = {
    [sym_expression] = STATE(5731),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8066),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [969] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(7935),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5116),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [970] = {
    [sym_expression] = STATE(5962),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5118),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5120),
    [anon_sym_dynamic] = ACTIONS(5122),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [971] = {
    [sym_expression] = STATE(5857),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8512),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [972] = {
    [sym_expression] = STATE(5844),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8700),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [973] = {
    [sym_expression] = STATE(5984),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5126),
    [anon_sym_dynamic] = ACTIONS(5128),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [974] = {
    [aux_sym_struct_type_repeat2] = STATE(852),
    [anon_sym_LBRACE] = ACTIONS(5130),
    [anon_sym_RBRACE] = ACTIONS(5130),
    [anon_sym_COMMA] = ACTIONS(5130),
    [anon_sym_COLON_COLON] = ACTIONS(5130),
    [anon_sym_DASH_GT] = ACTIONS(5130),
    [anon_sym_where] = ACTIONS(5130),
    [anon_sym_EQ] = ACTIONS(5132),
    [anon_sym_COLON] = ACTIONS(5132),
    [anon_sym_PIPE] = ACTIONS(5132),
    [anon_sym_COLON_EQ] = ACTIONS(5130),
    [anon_sym_LPAREN] = ACTIONS(5130),
    [anon_sym_PLUS_EQ] = ACTIONS(5130),
    [anon_sym_DASH_EQ] = ACTIONS(5130),
    [anon_sym_STAR_EQ] = ACTIONS(5130),
    [anon_sym_SLASH_EQ] = ACTIONS(5130),
    [anon_sym_PERCENT_EQ] = ACTIONS(5130),
    [anon_sym_AMP_EQ] = ACTIONS(5130),
    [anon_sym_PIPE_EQ] = ACTIONS(5130),
    [anon_sym_CARET_EQ] = ACTIONS(5130),
    [anon_sym_LT_LT_EQ] = ACTIONS(5130),
    [anon_sym_GT_GT_EQ] = ACTIONS(5130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5130),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5130),
    [anon_sym_if] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5130),
    [anon_sym_else] = ACTIONS(5130),
    [anon_sym_when] = ACTIONS(5130),
    [anon_sym_in] = ACTIONS(5130),
    [anon_sym_case] = ACTIONS(5130),
    [anon_sym_QMARK] = ACTIONS(5130),
    [anon_sym_PLUS] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5132),
    [anon_sym_TILDE] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(5132),
    [anon_sym_PIPE_PIPE] = ACTIONS(5132),
    [anon_sym_or_else] = ACTIONS(5130),
    [anon_sym_AMP_AMP] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5132),
    [anon_sym_GT_EQ] = ACTIONS(5130),
    [anon_sym_LT_EQ] = ACTIONS(5130),
    [anon_sym_LT] = ACTIONS(5132),
    [anon_sym_EQ_EQ] = ACTIONS(5130),
    [anon_sym_BANG_EQ] = ACTIONS(5130),
    [anon_sym_TILDE_EQ] = ACTIONS(5130),
    [anon_sym_AMP_TILDE] = ACTIONS(5132),
    [anon_sym_LT_LT] = ACTIONS(5132),
    [anon_sym_GT_GT] = ACTIONS(5132),
    [anon_sym_STAR] = ACTIONS(5132),
    [anon_sym_SLASH] = ACTIONS(5132),
    [anon_sym_PERCENT] = ACTIONS(5132),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5130),
    [anon_sym_not_in] = ACTIONS(5130),
    [anon_sym_or_return] = ACTIONS(5130),
    [anon_sym_or_continue] = ACTIONS(5130),
    [anon_sym_or_break] = ACTIONS(5130),
    [anon_sym_CARET] = ACTIONS(5132),
    [sym_uninitialized] = ACTIONS(5130),
    [sym_tag] = ACTIONS(5130),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5130),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [975] = {
    [sym_expression] = STATE(6059),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3357),
    [anon_sym_dynamic] = ACTIONS(3359),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [976] = {
    [sym_expression] = STATE(5778),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8000),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [977] = {
    [sym_expression] = STATE(6104),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5134),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5136),
    [anon_sym_dynamic] = ACTIONS(5138),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [978] = {
    [sym_expression] = STATE(5829),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8524),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [979] = {
    [sym_expression] = STATE(5868),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8669),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [980] = {
    [sym_expression] = STATE(6130),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5140),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5142),
    [anon_sym_dynamic] = ACTIONS(5144),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [981] = {
    [sym_expression] = STATE(6162),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5148),
    [anon_sym_dynamic] = ACTIONS(5150),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [982] = {
    [sym_expression] = STATE(5821),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(4111),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(4115),
    [anon_sym_dynamic] = ACTIONS(4117),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [983] = {
    [sym_procedure] = STATE(6598),
    [sym_expression] = STATE(4654),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [984] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(4992),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [985] = {
    [sym_expression] = STATE(5776),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8125),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [986] = {
    [sym_expression] = STATE(6008),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5154),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5156),
    [anon_sym_dynamic] = ACTIONS(5158),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [987] = {
    [sym_expression] = STATE(5813),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8519),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [988] = {
    [sym_expression] = STATE(5970),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8524),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [989] = {
    [sym_expression] = STATE(6139),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5160),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5162),
    [anon_sym_dynamic] = ACTIONS(5164),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [990] = {
    [anon_sym_LBRACE] = ACTIONS(4523),
    [anon_sym_RBRACE] = ACTIONS(4523),
    [anon_sym_COMMA] = ACTIONS(4523),
    [anon_sym_COLON_COLON] = ACTIONS(4523),
    [anon_sym_DASH_GT] = ACTIONS(4523),
    [anon_sym_where] = ACTIONS(4523),
    [anon_sym_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4525),
    [anon_sym_COLON_EQ] = ACTIONS(4523),
    [anon_sym_LPAREN] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_if] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_else] = ACTIONS(4523),
    [anon_sym_when] = ACTIONS(4523),
    [anon_sym_in] = ACTIONS(4523),
    [anon_sym_case] = ACTIONS(4523),
    [anon_sym_QMARK] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4525),
    [anon_sym_DASH] = ACTIONS(4525),
    [anon_sym_TILDE] = ACTIONS(4525),
    [anon_sym_AMP] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE] = ACTIONS(4525),
    [anon_sym_or_else] = ACTIONS(4523),
    [anon_sym_AMP_AMP] = ACTIONS(4525),
    [anon_sym_GT] = ACTIONS(4525),
    [anon_sym_GT_EQ] = ACTIONS(4523),
    [anon_sym_LT_EQ] = ACTIONS(4523),
    [anon_sym_LT] = ACTIONS(4525),
    [anon_sym_EQ_EQ] = ACTIONS(4523),
    [anon_sym_BANG_EQ] = ACTIONS(4523),
    [anon_sym_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE] = ACTIONS(4525),
    [anon_sym_LT_LT] = ACTIONS(4525),
    [anon_sym_GT_GT] = ACTIONS(4525),
    [anon_sym_STAR] = ACTIONS(4525),
    [anon_sym_SLASH] = ACTIONS(4525),
    [anon_sym_PERCENT] = ACTIONS(4525),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4523),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4523),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4523),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4523),
    [anon_sym_not_in] = ACTIONS(4523),
    [anon_sym_or_return] = ACTIONS(4523),
    [anon_sym_or_continue] = ACTIONS(4523),
    [anon_sym_or_break] = ACTIONS(4523),
    [anon_sym_CARET] = ACTIONS(4525),
    [anon_sym_DOT2] = ACTIONS(4525),
    [sym_uninitialized] = ACTIONS(4523),
    [sym_tag] = ACTIONS(4523),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4523),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [991] = {
    [sym_expression] = STATE(5896),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3467),
    [anon_sym_dynamic] = ACTIONS(3469),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [992] = {
    [sym_expression] = STATE(6123),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3663),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3667),
    [anon_sym_dynamic] = ACTIONS(3669),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [993] = {
    [sym_expression] = STATE(5791),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5166),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5168),
    [anon_sym_dynamic] = ACTIONS(5170),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [994] = {
    [sym_expression] = STATE(5815),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8815),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [995] = {
    [sym_expression] = STATE(6118),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8418),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [996] = {
    [sym_expression] = STATE(5755),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8023),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [997] = {
    [sym_expression] = STATE(5794),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5174),
    [anon_sym_dynamic] = ACTIONS(5176),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [998] = {
    [aux_sym_struct_type_repeat2] = STATE(852),
    [anon_sym_LBRACE] = ACTIONS(5178),
    [anon_sym_RBRACE] = ACTIONS(5178),
    [anon_sym_COMMA] = ACTIONS(5178),
    [anon_sym_COLON_COLON] = ACTIONS(5178),
    [anon_sym_DASH_GT] = ACTIONS(5178),
    [anon_sym_where] = ACTIONS(5178),
    [anon_sym_EQ] = ACTIONS(5180),
    [anon_sym_COLON] = ACTIONS(5180),
    [anon_sym_PIPE] = ACTIONS(5180),
    [anon_sym_COLON_EQ] = ACTIONS(5178),
    [anon_sym_LPAREN] = ACTIONS(5178),
    [anon_sym_PLUS_EQ] = ACTIONS(5178),
    [anon_sym_DASH_EQ] = ACTIONS(5178),
    [anon_sym_STAR_EQ] = ACTIONS(5178),
    [anon_sym_SLASH_EQ] = ACTIONS(5178),
    [anon_sym_PERCENT_EQ] = ACTIONS(5178),
    [anon_sym_AMP_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_CARET_EQ] = ACTIONS(5178),
    [anon_sym_LT_LT_EQ] = ACTIONS(5178),
    [anon_sym_GT_GT_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5178),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_if] = ACTIONS(5178),
    [anon_sym_SEMI] = ACTIONS(5178),
    [anon_sym_else] = ACTIONS(5178),
    [anon_sym_when] = ACTIONS(5178),
    [anon_sym_in] = ACTIONS(5178),
    [anon_sym_case] = ACTIONS(5178),
    [anon_sym_QMARK] = ACTIONS(5178),
    [anon_sym_PLUS] = ACTIONS(5180),
    [anon_sym_DASH] = ACTIONS(5180),
    [anon_sym_TILDE] = ACTIONS(5180),
    [anon_sym_AMP] = ACTIONS(5180),
    [anon_sym_PIPE_PIPE] = ACTIONS(5180),
    [anon_sym_or_else] = ACTIONS(5178),
    [anon_sym_AMP_AMP] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5178),
    [anon_sym_LT_EQ] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_EQ_EQ] = ACTIONS(5178),
    [anon_sym_BANG_EQ] = ACTIONS(5178),
    [anon_sym_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_AMP_TILDE] = ACTIONS(5180),
    [anon_sym_LT_LT] = ACTIONS(5180),
    [anon_sym_GT_GT] = ACTIONS(5180),
    [anon_sym_STAR] = ACTIONS(5180),
    [anon_sym_SLASH] = ACTIONS(5180),
    [anon_sym_PERCENT] = ACTIONS(5180),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5178),
    [anon_sym_not_in] = ACTIONS(5178),
    [anon_sym_or_return] = ACTIONS(5178),
    [anon_sym_or_continue] = ACTIONS(5178),
    [anon_sym_or_break] = ACTIONS(5178),
    [anon_sym_CARET] = ACTIONS(5180),
    [sym_uninitialized] = ACTIONS(5178),
    [sym_tag] = ACTIONS(5178),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5178),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [999] = {
    [sym_expression] = STATE(5899),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3397),
    [anon_sym_dynamic] = ACTIONS(3399),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1000] = {
    [sym_expression] = STATE(5745),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8104),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1001] = {
    [sym_expression] = STATE(5927),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5184),
    [anon_sym_dynamic] = ACTIONS(5186),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1002] = {
    [sym_expression] = STATE(6176),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8619),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1003] = {
    [sym_expression] = STATE(5977),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8519),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1004] = {
    [sym_expression] = STATE(5940),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5190),
    [anon_sym_dynamic] = ACTIONS(5192),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1005] = {
    [sym_expression] = STATE(6111),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3723),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3727),
    [anon_sym_dynamic] = ACTIONS(3729),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1006] = {
    [sym_expression] = STATE(6044),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3453),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3457),
    [anon_sym_dynamic] = ACTIONS(3459),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1007] = {
    [sym_expression] = STATE(5742),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(7988),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1008] = {
    [sym_expression] = STATE(6072),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5196),
    [anon_sym_dynamic] = ACTIONS(5198),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1009] = {
    [sym_expression] = STATE(5839),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8295),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1010] = {
    [sym_expression] = STATE(6043),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8230),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1011] = {
    [sym_expression] = STATE(6085),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5202),
    [anon_sym_dynamic] = ACTIONS(5204),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1012] = {
    [sym_expression] = STATE(6168),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3773),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3777),
    [anon_sym_dynamic] = ACTIONS(3779),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1013] = {
    [sym_expression] = STATE(5764),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8033),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1014] = {
    [sym_expression] = STATE(6186),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5208),
    [anon_sym_dynamic] = ACTIONS(5210),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1015] = {
    [sym_expression] = STATE(5853),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8193),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1016] = {
    [sym_expression] = STATE(5786),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8815),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1017] = {
    [sym_expression] = STATE(6049),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5214),
    [anon_sym_dynamic] = ACTIONS(5216),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1018] = {
    [sym_expression] = STATE(6160),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5218),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5220),
    [anon_sym_dynamic] = ACTIONS(5222),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1019] = {
    [sym_expression] = STATE(6005),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3507),
    [anon_sym_dynamic] = ACTIONS(3509),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1020] = {
    [sym_expression] = STATE(5753),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8167),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1021] = {
    [sym_procedure] = STATE(6918),
    [sym_expression] = STATE(5356),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1022] = {
    [sym_expression] = STATE(5952),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5226),
    [anon_sym_dynamic] = ACTIONS(5228),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1023] = {
    [sym_expression] = STATE(5862),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8571),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1024] = {
    [sym_expression] = STATE(5974),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8521),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1025] = {
    [sym_expression] = STATE(5913),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5230),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5232),
    [anon_sym_dynamic] = ACTIONS(5234),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1026] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5236),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1027] = {
    [sym_expression] = STATE(5820),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3387),
    [anon_sym_dynamic] = ACTIONS(3389),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1028] = {
    [sym_expression] = STATE(5779),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8085),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1029] = {
    [sym_expression] = STATE(5798),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5238),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5240),
    [anon_sym_dynamic] = ACTIONS(5242),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1030] = {
    [sym_expression] = STATE(5941),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8547),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1031] = {
    [sym_expression] = STATE(5784),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5244),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5246),
    [anon_sym_dynamic] = ACTIONS(5248),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_expression] = STATE(5967),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8485),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1033] = {
    [sym_expression] = STATE(6046),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5250),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5252),
    [anon_sym_dynamic] = ACTIONS(5254),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1034] = {
    [sym_expression] = STATE(5912),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3533),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3537),
    [anon_sym_dynamic] = ACTIONS(3539),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_expression] = STATE(6040),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3623),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3627),
    [anon_sym_dynamic] = ACTIONS(3629),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1036] = {
    [sym_expression] = STATE(6032),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5256),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5258),
    [anon_sym_dynamic] = ACTIONS(5260),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1037] = {
    [sym_expression] = STATE(5959),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5262),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5264),
    [anon_sym_dynamic] = ACTIONS(5266),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_expression] = STATE(5973),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8523),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1039] = {
    [sym_expression] = STATE(5966),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_dynamic] = ACTIONS(5272),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1040] = {
    [sym_expression] = STATE(6014),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(3593),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(3597),
    [anon_sym_dynamic] = ACTIONS(3599),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1041] = {
    [sym_expression] = STATE(5932),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_constant_type] = STATE(8575),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1042] = {
    [sym_expression] = STATE(6031),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(5276),
    [anon_sym_dynamic] = ACTIONS(5278),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1043] = {
    [sym_block] = STATE(2264),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4513),
    [sym_tag] = ACTIONS(4542),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1044] = {
    [sym_expression] = STATE(5674),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5280),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1045] = {
    [anon_sym_LBRACE] = ACTIONS(5282),
    [anon_sym_RBRACE] = ACTIONS(5282),
    [anon_sym_COMMA] = ACTIONS(5282),
    [anon_sym_COLON_COLON] = ACTIONS(5282),
    [anon_sym_DASH_GT] = ACTIONS(5282),
    [anon_sym_where] = ACTIONS(5282),
    [anon_sym_EQ] = ACTIONS(5285),
    [anon_sym_COLON] = ACTIONS(5285),
    [anon_sym_PIPE] = ACTIONS(5285),
    [anon_sym_COLON_EQ] = ACTIONS(5282),
    [anon_sym_LPAREN] = ACTIONS(5282),
    [anon_sym_PLUS_EQ] = ACTIONS(5282),
    [anon_sym_DASH_EQ] = ACTIONS(5282),
    [anon_sym_STAR_EQ] = ACTIONS(5282),
    [anon_sym_SLASH_EQ] = ACTIONS(5282),
    [anon_sym_PERCENT_EQ] = ACTIONS(5282),
    [anon_sym_AMP_EQ] = ACTIONS(5282),
    [anon_sym_PIPE_EQ] = ACTIONS(5282),
    [anon_sym_CARET_EQ] = ACTIONS(5282),
    [anon_sym_LT_LT_EQ] = ACTIONS(5282),
    [anon_sym_GT_GT_EQ] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5282),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5282),
    [anon_sym_if] = ACTIONS(5282),
    [anon_sym_SEMI] = ACTIONS(5282),
    [anon_sym_else] = ACTIONS(5282),
    [anon_sym_when] = ACTIONS(5282),
    [anon_sym_in] = ACTIONS(5282),
    [anon_sym_case] = ACTIONS(5282),
    [anon_sym_QMARK] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(5285),
    [anon_sym_DASH] = ACTIONS(5285),
    [anon_sym_TILDE] = ACTIONS(5285),
    [anon_sym_AMP] = ACTIONS(5285),
    [anon_sym_PIPE_PIPE] = ACTIONS(5285),
    [anon_sym_or_else] = ACTIONS(5282),
    [anon_sym_AMP_AMP] = ACTIONS(5285),
    [anon_sym_GT] = ACTIONS(5285),
    [anon_sym_GT_EQ] = ACTIONS(5282),
    [anon_sym_LT_EQ] = ACTIONS(5282),
    [anon_sym_LT] = ACTIONS(5285),
    [anon_sym_EQ_EQ] = ACTIONS(5282),
    [anon_sym_BANG_EQ] = ACTIONS(5282),
    [anon_sym_TILDE_EQ] = ACTIONS(5282),
    [anon_sym_AMP_TILDE] = ACTIONS(5285),
    [anon_sym_LT_LT] = ACTIONS(5285),
    [anon_sym_GT_GT] = ACTIONS(5285),
    [anon_sym_STAR] = ACTIONS(5285),
    [anon_sym_SLASH] = ACTIONS(5285),
    [anon_sym_PERCENT] = ACTIONS(5285),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5282),
    [anon_sym_DOT] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5282),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5282),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5282),
    [anon_sym_not_in] = ACTIONS(5282),
    [anon_sym_or_return] = ACTIONS(5282),
    [anon_sym_or_continue] = ACTIONS(5282),
    [anon_sym_or_break] = ACTIONS(5282),
    [anon_sym_CARET] = ACTIONS(5285),
    [sym_uninitialized] = ACTIONS(5282),
    [sym_tag] = ACTIONS(5282),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5282),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1046] = {
    [anon_sym_LBRACE] = ACTIONS(5288),
    [anon_sym_RBRACE] = ACTIONS(5288),
    [anon_sym_COMMA] = ACTIONS(5288),
    [anon_sym_COLON_COLON] = ACTIONS(5288),
    [anon_sym_DASH_GT] = ACTIONS(5288),
    [anon_sym_where] = ACTIONS(5288),
    [anon_sym_EQ] = ACTIONS(5290),
    [anon_sym_COLON] = ACTIONS(5290),
    [anon_sym_PIPE] = ACTIONS(5290),
    [anon_sym_COLON_EQ] = ACTIONS(5288),
    [anon_sym_LPAREN] = ACTIONS(5288),
    [anon_sym_PLUS_EQ] = ACTIONS(5288),
    [anon_sym_DASH_EQ] = ACTIONS(5288),
    [anon_sym_STAR_EQ] = ACTIONS(5288),
    [anon_sym_SLASH_EQ] = ACTIONS(5288),
    [anon_sym_PERCENT_EQ] = ACTIONS(5288),
    [anon_sym_AMP_EQ] = ACTIONS(5288),
    [anon_sym_PIPE_EQ] = ACTIONS(5288),
    [anon_sym_CARET_EQ] = ACTIONS(5288),
    [anon_sym_LT_LT_EQ] = ACTIONS(5288),
    [anon_sym_GT_GT_EQ] = ACTIONS(5288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5288),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5288),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5288),
    [anon_sym_if] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5288),
    [anon_sym_else] = ACTIONS(5288),
    [anon_sym_when] = ACTIONS(5288),
    [anon_sym_in] = ACTIONS(5288),
    [anon_sym_case] = ACTIONS(5288),
    [anon_sym_QMARK] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(5290),
    [anon_sym_DASH] = ACTIONS(5290),
    [anon_sym_TILDE] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5290),
    [anon_sym_PIPE_PIPE] = ACTIONS(5290),
    [anon_sym_or_else] = ACTIONS(5288),
    [anon_sym_AMP_AMP] = ACTIONS(5290),
    [anon_sym_GT] = ACTIONS(5290),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5290),
    [anon_sym_EQ_EQ] = ACTIONS(5288),
    [anon_sym_BANG_EQ] = ACTIONS(5288),
    [anon_sym_TILDE_EQ] = ACTIONS(5288),
    [anon_sym_AMP_TILDE] = ACTIONS(5290),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_STAR] = ACTIONS(5290),
    [anon_sym_SLASH] = ACTIONS(5290),
    [anon_sym_PERCENT] = ACTIONS(5290),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5288),
    [anon_sym_DOT] = ACTIONS(5290),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5288),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5288),
    [anon_sym_not_in] = ACTIONS(5288),
    [anon_sym_or_return] = ACTIONS(5288),
    [anon_sym_or_continue] = ACTIONS(5288),
    [anon_sym_or_break] = ACTIONS(5288),
    [anon_sym_CARET] = ACTIONS(5290),
    [sym_uninitialized] = ACTIONS(5288),
    [sym_tag] = ACTIONS(5288),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5288),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1047] = {
    [anon_sym_LBRACE] = ACTIONS(5292),
    [anon_sym_RBRACE] = ACTIONS(5292),
    [anon_sym_COMMA] = ACTIONS(5292),
    [anon_sym_COLON_COLON] = ACTIONS(5292),
    [anon_sym_DASH_GT] = ACTIONS(5292),
    [anon_sym_where] = ACTIONS(5292),
    [anon_sym_EQ] = ACTIONS(5294),
    [anon_sym_COLON] = ACTIONS(5294),
    [anon_sym_PIPE] = ACTIONS(5294),
    [anon_sym_COLON_EQ] = ACTIONS(5292),
    [anon_sym_LPAREN] = ACTIONS(5292),
    [anon_sym_PLUS_EQ] = ACTIONS(5292),
    [anon_sym_DASH_EQ] = ACTIONS(5292),
    [anon_sym_STAR_EQ] = ACTIONS(5292),
    [anon_sym_SLASH_EQ] = ACTIONS(5292),
    [anon_sym_PERCENT_EQ] = ACTIONS(5292),
    [anon_sym_AMP_EQ] = ACTIONS(5292),
    [anon_sym_PIPE_EQ] = ACTIONS(5292),
    [anon_sym_CARET_EQ] = ACTIONS(5292),
    [anon_sym_LT_LT_EQ] = ACTIONS(5292),
    [anon_sym_GT_GT_EQ] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5292),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5292),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5292),
    [anon_sym_if] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5292),
    [anon_sym_else] = ACTIONS(5292),
    [anon_sym_when] = ACTIONS(5292),
    [anon_sym_in] = ACTIONS(5292),
    [anon_sym_case] = ACTIONS(5292),
    [anon_sym_QMARK] = ACTIONS(5292),
    [anon_sym_PLUS] = ACTIONS(5294),
    [anon_sym_DASH] = ACTIONS(5294),
    [anon_sym_TILDE] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(5294),
    [anon_sym_PIPE_PIPE] = ACTIONS(5294),
    [anon_sym_or_else] = ACTIONS(5292),
    [anon_sym_AMP_AMP] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5294),
    [anon_sym_GT_EQ] = ACTIONS(5292),
    [anon_sym_LT_EQ] = ACTIONS(5292),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_EQ_EQ] = ACTIONS(5292),
    [anon_sym_BANG_EQ] = ACTIONS(5292),
    [anon_sym_TILDE_EQ] = ACTIONS(5292),
    [anon_sym_AMP_TILDE] = ACTIONS(5294),
    [anon_sym_LT_LT] = ACTIONS(5294),
    [anon_sym_GT_GT] = ACTIONS(5294),
    [anon_sym_STAR] = ACTIONS(5294),
    [anon_sym_SLASH] = ACTIONS(5294),
    [anon_sym_PERCENT] = ACTIONS(5294),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5292),
    [anon_sym_DOT] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5292),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5292),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5292),
    [anon_sym_not_in] = ACTIONS(5292),
    [anon_sym_or_return] = ACTIONS(5292),
    [anon_sym_or_continue] = ACTIONS(5292),
    [anon_sym_or_break] = ACTIONS(5292),
    [anon_sym_CARET] = ACTIONS(5294),
    [sym_uninitialized] = ACTIONS(5292),
    [sym_tag] = ACTIONS(5292),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5292),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1048] = {
    [anon_sym_LBRACE] = ACTIONS(5296),
    [anon_sym_RBRACE] = ACTIONS(5296),
    [anon_sym_COMMA] = ACTIONS(5296),
    [anon_sym_COLON_COLON] = ACTIONS(5296),
    [anon_sym_DASH_GT] = ACTIONS(5296),
    [anon_sym_where] = ACTIONS(5296),
    [anon_sym_EQ] = ACTIONS(5298),
    [anon_sym_COLON] = ACTIONS(5298),
    [anon_sym_PIPE] = ACTIONS(5298),
    [anon_sym_COLON_EQ] = ACTIONS(5296),
    [anon_sym_LPAREN] = ACTIONS(5296),
    [anon_sym_PLUS_EQ] = ACTIONS(5296),
    [anon_sym_DASH_EQ] = ACTIONS(5296),
    [anon_sym_STAR_EQ] = ACTIONS(5296),
    [anon_sym_SLASH_EQ] = ACTIONS(5296),
    [anon_sym_PERCENT_EQ] = ACTIONS(5296),
    [anon_sym_AMP_EQ] = ACTIONS(5296),
    [anon_sym_PIPE_EQ] = ACTIONS(5296),
    [anon_sym_CARET_EQ] = ACTIONS(5296),
    [anon_sym_LT_LT_EQ] = ACTIONS(5296),
    [anon_sym_GT_GT_EQ] = ACTIONS(5296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5296),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5296),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5296),
    [anon_sym_if] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5296),
    [anon_sym_else] = ACTIONS(5296),
    [anon_sym_when] = ACTIONS(5296),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_case] = ACTIONS(5296),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_TILDE] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(5298),
    [anon_sym_PIPE_PIPE] = ACTIONS(5298),
    [anon_sym_or_else] = ACTIONS(5296),
    [anon_sym_AMP_AMP] = ACTIONS(5298),
    [anon_sym_GT] = ACTIONS(5298),
    [anon_sym_GT_EQ] = ACTIONS(5296),
    [anon_sym_LT_EQ] = ACTIONS(5296),
    [anon_sym_LT] = ACTIONS(5298),
    [anon_sym_EQ_EQ] = ACTIONS(5296),
    [anon_sym_BANG_EQ] = ACTIONS(5296),
    [anon_sym_TILDE_EQ] = ACTIONS(5296),
    [anon_sym_AMP_TILDE] = ACTIONS(5298),
    [anon_sym_LT_LT] = ACTIONS(5298),
    [anon_sym_GT_GT] = ACTIONS(5298),
    [anon_sym_STAR] = ACTIONS(5298),
    [anon_sym_SLASH] = ACTIONS(5298),
    [anon_sym_PERCENT] = ACTIONS(5298),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5296),
    [anon_sym_DOT] = ACTIONS(5298),
    [anon_sym_LBRACK] = ACTIONS(5296),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5296),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5296),
    [anon_sym_not_in] = ACTIONS(5296),
    [anon_sym_or_return] = ACTIONS(5296),
    [anon_sym_or_continue] = ACTIONS(5296),
    [anon_sym_or_break] = ACTIONS(5296),
    [anon_sym_CARET] = ACTIONS(5298),
    [sym_uninitialized] = ACTIONS(5296),
    [sym_tag] = ACTIONS(5296),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5296),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1049] = {
    [anon_sym_LBRACE] = ACTIONS(5300),
    [anon_sym_RBRACE] = ACTIONS(5300),
    [anon_sym_COMMA] = ACTIONS(5300),
    [anon_sym_COLON_COLON] = ACTIONS(5300),
    [anon_sym_DASH_GT] = ACTIONS(5300),
    [anon_sym_where] = ACTIONS(5300),
    [anon_sym_EQ] = ACTIONS(5302),
    [anon_sym_COLON] = ACTIONS(5302),
    [anon_sym_PIPE] = ACTIONS(5302),
    [anon_sym_COLON_EQ] = ACTIONS(5300),
    [anon_sym_LPAREN] = ACTIONS(5300),
    [anon_sym_PLUS_EQ] = ACTIONS(5300),
    [anon_sym_DASH_EQ] = ACTIONS(5300),
    [anon_sym_STAR_EQ] = ACTIONS(5300),
    [anon_sym_SLASH_EQ] = ACTIONS(5300),
    [anon_sym_PERCENT_EQ] = ACTIONS(5300),
    [anon_sym_AMP_EQ] = ACTIONS(5300),
    [anon_sym_PIPE_EQ] = ACTIONS(5300),
    [anon_sym_CARET_EQ] = ACTIONS(5300),
    [anon_sym_LT_LT_EQ] = ACTIONS(5300),
    [anon_sym_GT_GT_EQ] = ACTIONS(5300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5300),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5300),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5300),
    [anon_sym_if] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5300),
    [anon_sym_else] = ACTIONS(5300),
    [anon_sym_when] = ACTIONS(5300),
    [anon_sym_in] = ACTIONS(5300),
    [anon_sym_case] = ACTIONS(5300),
    [anon_sym_QMARK] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(5302),
    [anon_sym_DASH] = ACTIONS(5302),
    [anon_sym_TILDE] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(5302),
    [anon_sym_PIPE_PIPE] = ACTIONS(5302),
    [anon_sym_or_else] = ACTIONS(5300),
    [anon_sym_AMP_AMP] = ACTIONS(5302),
    [anon_sym_GT] = ACTIONS(5302),
    [anon_sym_GT_EQ] = ACTIONS(5300),
    [anon_sym_LT_EQ] = ACTIONS(5300),
    [anon_sym_LT] = ACTIONS(5302),
    [anon_sym_EQ_EQ] = ACTIONS(5300),
    [anon_sym_BANG_EQ] = ACTIONS(5300),
    [anon_sym_TILDE_EQ] = ACTIONS(5300),
    [anon_sym_AMP_TILDE] = ACTIONS(5302),
    [anon_sym_LT_LT] = ACTIONS(5302),
    [anon_sym_GT_GT] = ACTIONS(5302),
    [anon_sym_STAR] = ACTIONS(5302),
    [anon_sym_SLASH] = ACTIONS(5302),
    [anon_sym_PERCENT] = ACTIONS(5302),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5300),
    [anon_sym_DOT] = ACTIONS(5302),
    [anon_sym_LBRACK] = ACTIONS(5300),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5300),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5300),
    [anon_sym_not_in] = ACTIONS(5300),
    [anon_sym_or_return] = ACTIONS(5300),
    [anon_sym_or_continue] = ACTIONS(5300),
    [anon_sym_or_break] = ACTIONS(5300),
    [anon_sym_CARET] = ACTIONS(5302),
    [sym_uninitialized] = ACTIONS(5300),
    [sym_tag] = ACTIONS(5300),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5300),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1050] = {
    [anon_sym_LBRACE] = ACTIONS(5304),
    [anon_sym_RBRACE] = ACTIONS(5304),
    [anon_sym_COMMA] = ACTIONS(5304),
    [anon_sym_COLON_COLON] = ACTIONS(5304),
    [anon_sym_DASH_GT] = ACTIONS(5304),
    [anon_sym_where] = ACTIONS(5304),
    [anon_sym_EQ] = ACTIONS(5306),
    [anon_sym_COLON] = ACTIONS(5306),
    [anon_sym_PIPE] = ACTIONS(5306),
    [anon_sym_COLON_EQ] = ACTIONS(5304),
    [anon_sym_LPAREN] = ACTIONS(5304),
    [anon_sym_PLUS_EQ] = ACTIONS(5304),
    [anon_sym_DASH_EQ] = ACTIONS(5304),
    [anon_sym_STAR_EQ] = ACTIONS(5304),
    [anon_sym_SLASH_EQ] = ACTIONS(5304),
    [anon_sym_PERCENT_EQ] = ACTIONS(5304),
    [anon_sym_AMP_EQ] = ACTIONS(5304),
    [anon_sym_PIPE_EQ] = ACTIONS(5304),
    [anon_sym_CARET_EQ] = ACTIONS(5304),
    [anon_sym_LT_LT_EQ] = ACTIONS(5304),
    [anon_sym_GT_GT_EQ] = ACTIONS(5304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5304),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5304),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5304),
    [anon_sym_if] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5304),
    [anon_sym_else] = ACTIONS(5304),
    [anon_sym_when] = ACTIONS(5304),
    [anon_sym_in] = ACTIONS(5304),
    [anon_sym_case] = ACTIONS(5304),
    [anon_sym_QMARK] = ACTIONS(5304),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_TILDE] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(5306),
    [anon_sym_PIPE_PIPE] = ACTIONS(5306),
    [anon_sym_or_else] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5306),
    [anon_sym_GT] = ACTIONS(5306),
    [anon_sym_GT_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5304),
    [anon_sym_LT] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5304),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_TILDE_EQ] = ACTIONS(5304),
    [anon_sym_AMP_TILDE] = ACTIONS(5306),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym_STAR] = ACTIONS(5306),
    [anon_sym_SLASH] = ACTIONS(5306),
    [anon_sym_PERCENT] = ACTIONS(5306),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5304),
    [anon_sym_DOT] = ACTIONS(5306),
    [anon_sym_LBRACK] = ACTIONS(5304),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5304),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5304),
    [anon_sym_not_in] = ACTIONS(5304),
    [anon_sym_or_return] = ACTIONS(5304),
    [anon_sym_or_continue] = ACTIONS(5304),
    [anon_sym_or_break] = ACTIONS(5304),
    [anon_sym_CARET] = ACTIONS(5306),
    [sym_uninitialized] = ACTIONS(5304),
    [sym_tag] = ACTIONS(5304),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5304),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1051] = {
    [anon_sym_LBRACE] = ACTIONS(5308),
    [anon_sym_RBRACE] = ACTIONS(5308),
    [anon_sym_COMMA] = ACTIONS(5308),
    [anon_sym_COLON_COLON] = ACTIONS(5308),
    [anon_sym_DASH_GT] = ACTIONS(5308),
    [anon_sym_where] = ACTIONS(5308),
    [anon_sym_EQ] = ACTIONS(5310),
    [anon_sym_COLON] = ACTIONS(5310),
    [anon_sym_PIPE] = ACTIONS(5310),
    [anon_sym_COLON_EQ] = ACTIONS(5308),
    [anon_sym_LPAREN] = ACTIONS(5308),
    [anon_sym_PLUS_EQ] = ACTIONS(5308),
    [anon_sym_DASH_EQ] = ACTIONS(5308),
    [anon_sym_STAR_EQ] = ACTIONS(5308),
    [anon_sym_SLASH_EQ] = ACTIONS(5308),
    [anon_sym_PERCENT_EQ] = ACTIONS(5308),
    [anon_sym_AMP_EQ] = ACTIONS(5308),
    [anon_sym_PIPE_EQ] = ACTIONS(5308),
    [anon_sym_CARET_EQ] = ACTIONS(5308),
    [anon_sym_LT_LT_EQ] = ACTIONS(5308),
    [anon_sym_GT_GT_EQ] = ACTIONS(5308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5308),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5308),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5308),
    [anon_sym_if] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5308),
    [anon_sym_else] = ACTIONS(5308),
    [anon_sym_when] = ACTIONS(5308),
    [anon_sym_in] = ACTIONS(5308),
    [anon_sym_case] = ACTIONS(5308),
    [anon_sym_QMARK] = ACTIONS(5308),
    [anon_sym_PLUS] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5310),
    [anon_sym_TILDE] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(5310),
    [anon_sym_PIPE_PIPE] = ACTIONS(5310),
    [anon_sym_or_else] = ACTIONS(5308),
    [anon_sym_AMP_AMP] = ACTIONS(5310),
    [anon_sym_GT] = ACTIONS(5310),
    [anon_sym_GT_EQ] = ACTIONS(5308),
    [anon_sym_LT_EQ] = ACTIONS(5308),
    [anon_sym_LT] = ACTIONS(5310),
    [anon_sym_EQ_EQ] = ACTIONS(5308),
    [anon_sym_BANG_EQ] = ACTIONS(5308),
    [anon_sym_TILDE_EQ] = ACTIONS(5308),
    [anon_sym_AMP_TILDE] = ACTIONS(5310),
    [anon_sym_LT_LT] = ACTIONS(5310),
    [anon_sym_GT_GT] = ACTIONS(5310),
    [anon_sym_STAR] = ACTIONS(5310),
    [anon_sym_SLASH] = ACTIONS(5310),
    [anon_sym_PERCENT] = ACTIONS(5310),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5308),
    [anon_sym_DOT] = ACTIONS(5310),
    [anon_sym_LBRACK] = ACTIONS(5308),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5308),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_not_in] = ACTIONS(5308),
    [anon_sym_or_return] = ACTIONS(5308),
    [anon_sym_or_continue] = ACTIONS(5308),
    [anon_sym_or_break] = ACTIONS(5308),
    [anon_sym_CARET] = ACTIONS(5310),
    [sym_uninitialized] = ACTIONS(5308),
    [sym_tag] = ACTIONS(5308),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5308),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1052] = {
    [anon_sym_LBRACE] = ACTIONS(5312),
    [anon_sym_RBRACE] = ACTIONS(5312),
    [anon_sym_COMMA] = ACTIONS(5312),
    [anon_sym_COLON_COLON] = ACTIONS(5312),
    [anon_sym_DASH_GT] = ACTIONS(5312),
    [anon_sym_where] = ACTIONS(5312),
    [anon_sym_EQ] = ACTIONS(5314),
    [anon_sym_COLON] = ACTIONS(5314),
    [anon_sym_PIPE] = ACTIONS(5314),
    [anon_sym_COLON_EQ] = ACTIONS(5312),
    [anon_sym_LPAREN] = ACTIONS(5312),
    [anon_sym_PLUS_EQ] = ACTIONS(5312),
    [anon_sym_DASH_EQ] = ACTIONS(5312),
    [anon_sym_STAR_EQ] = ACTIONS(5312),
    [anon_sym_SLASH_EQ] = ACTIONS(5312),
    [anon_sym_PERCENT_EQ] = ACTIONS(5312),
    [anon_sym_AMP_EQ] = ACTIONS(5312),
    [anon_sym_PIPE_EQ] = ACTIONS(5312),
    [anon_sym_CARET_EQ] = ACTIONS(5312),
    [anon_sym_LT_LT_EQ] = ACTIONS(5312),
    [anon_sym_GT_GT_EQ] = ACTIONS(5312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5312),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5312),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5312),
    [anon_sym_if] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5312),
    [anon_sym_else] = ACTIONS(5312),
    [anon_sym_when] = ACTIONS(5312),
    [anon_sym_in] = ACTIONS(5312),
    [anon_sym_case] = ACTIONS(5312),
    [anon_sym_QMARK] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5314),
    [anon_sym_DASH] = ACTIONS(5314),
    [anon_sym_TILDE] = ACTIONS(5314),
    [anon_sym_AMP] = ACTIONS(5314),
    [anon_sym_PIPE_PIPE] = ACTIONS(5314),
    [anon_sym_or_else] = ACTIONS(5312),
    [anon_sym_AMP_AMP] = ACTIONS(5314),
    [anon_sym_GT] = ACTIONS(5314),
    [anon_sym_GT_EQ] = ACTIONS(5312),
    [anon_sym_LT_EQ] = ACTIONS(5312),
    [anon_sym_LT] = ACTIONS(5314),
    [anon_sym_EQ_EQ] = ACTIONS(5312),
    [anon_sym_BANG_EQ] = ACTIONS(5312),
    [anon_sym_TILDE_EQ] = ACTIONS(5312),
    [anon_sym_AMP_TILDE] = ACTIONS(5314),
    [anon_sym_LT_LT] = ACTIONS(5314),
    [anon_sym_GT_GT] = ACTIONS(5314),
    [anon_sym_STAR] = ACTIONS(5314),
    [anon_sym_SLASH] = ACTIONS(5314),
    [anon_sym_PERCENT] = ACTIONS(5314),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5312),
    [anon_sym_DOT] = ACTIONS(5314),
    [anon_sym_LBRACK] = ACTIONS(5312),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5312),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5312),
    [anon_sym_not_in] = ACTIONS(5312),
    [anon_sym_or_return] = ACTIONS(5312),
    [anon_sym_or_continue] = ACTIONS(5312),
    [anon_sym_or_break] = ACTIONS(5312),
    [anon_sym_CARET] = ACTIONS(5314),
    [sym_uninitialized] = ACTIONS(5312),
    [sym_tag] = ACTIONS(5312),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5312),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1053] = {
    [anon_sym_LBRACE] = ACTIONS(5316),
    [anon_sym_RBRACE] = ACTIONS(5316),
    [anon_sym_COMMA] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5316),
    [anon_sym_DASH_GT] = ACTIONS(5316),
    [anon_sym_where] = ACTIONS(5316),
    [anon_sym_EQ] = ACTIONS(5318),
    [anon_sym_COLON] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5318),
    [anon_sym_COLON_EQ] = ACTIONS(5316),
    [anon_sym_LPAREN] = ACTIONS(5316),
    [anon_sym_PLUS_EQ] = ACTIONS(5316),
    [anon_sym_DASH_EQ] = ACTIONS(5316),
    [anon_sym_STAR_EQ] = ACTIONS(5316),
    [anon_sym_SLASH_EQ] = ACTIONS(5316),
    [anon_sym_PERCENT_EQ] = ACTIONS(5316),
    [anon_sym_AMP_EQ] = ACTIONS(5316),
    [anon_sym_PIPE_EQ] = ACTIONS(5316),
    [anon_sym_CARET_EQ] = ACTIONS(5316),
    [anon_sym_LT_LT_EQ] = ACTIONS(5316),
    [anon_sym_GT_GT_EQ] = ACTIONS(5316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5316),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5316),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5316),
    [anon_sym_if] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5316),
    [anon_sym_else] = ACTIONS(5316),
    [anon_sym_when] = ACTIONS(5316),
    [anon_sym_in] = ACTIONS(5316),
    [anon_sym_case] = ACTIONS(5316),
    [anon_sym_QMARK] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5318),
    [anon_sym_TILDE] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_or_else] = ACTIONS(5316),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_GT] = ACTIONS(5318),
    [anon_sym_GT_EQ] = ACTIONS(5316),
    [anon_sym_LT_EQ] = ACTIONS(5316),
    [anon_sym_LT] = ACTIONS(5318),
    [anon_sym_EQ_EQ] = ACTIONS(5316),
    [anon_sym_BANG_EQ] = ACTIONS(5316),
    [anon_sym_TILDE_EQ] = ACTIONS(5316),
    [anon_sym_AMP_TILDE] = ACTIONS(5318),
    [anon_sym_LT_LT] = ACTIONS(5318),
    [anon_sym_GT_GT] = ACTIONS(5318),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_SLASH] = ACTIONS(5318),
    [anon_sym_PERCENT] = ACTIONS(5318),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5316),
    [anon_sym_DOT] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5316),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5316),
    [anon_sym_not_in] = ACTIONS(5316),
    [anon_sym_or_return] = ACTIONS(5316),
    [anon_sym_or_continue] = ACTIONS(5316),
    [anon_sym_or_break] = ACTIONS(5316),
    [anon_sym_CARET] = ACTIONS(5318),
    [sym_uninitialized] = ACTIONS(5316),
    [sym_tag] = ACTIONS(5316),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5316),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1054] = {
    [anon_sym_LBRACE] = ACTIONS(5320),
    [anon_sym_RBRACE] = ACTIONS(5320),
    [anon_sym_COMMA] = ACTIONS(5320),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_DASH_GT] = ACTIONS(5320),
    [anon_sym_where] = ACTIONS(5320),
    [anon_sym_EQ] = ACTIONS(5322),
    [anon_sym_COLON] = ACTIONS(5322),
    [anon_sym_PIPE] = ACTIONS(5322),
    [anon_sym_COLON_EQ] = ACTIONS(5320),
    [anon_sym_LPAREN] = ACTIONS(5320),
    [anon_sym_PLUS_EQ] = ACTIONS(5320),
    [anon_sym_DASH_EQ] = ACTIONS(5320),
    [anon_sym_STAR_EQ] = ACTIONS(5320),
    [anon_sym_SLASH_EQ] = ACTIONS(5320),
    [anon_sym_PERCENT_EQ] = ACTIONS(5320),
    [anon_sym_AMP_EQ] = ACTIONS(5320),
    [anon_sym_PIPE_EQ] = ACTIONS(5320),
    [anon_sym_CARET_EQ] = ACTIONS(5320),
    [anon_sym_LT_LT_EQ] = ACTIONS(5320),
    [anon_sym_GT_GT_EQ] = ACTIONS(5320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5320),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5320),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5320),
    [anon_sym_if] = ACTIONS(5320),
    [anon_sym_SEMI] = ACTIONS(5320),
    [anon_sym_else] = ACTIONS(5320),
    [anon_sym_when] = ACTIONS(5320),
    [anon_sym_in] = ACTIONS(5320),
    [anon_sym_case] = ACTIONS(5320),
    [anon_sym_QMARK] = ACTIONS(5320),
    [anon_sym_PLUS] = ACTIONS(5322),
    [anon_sym_DASH] = ACTIONS(5322),
    [anon_sym_TILDE] = ACTIONS(5322),
    [anon_sym_AMP] = ACTIONS(5322),
    [anon_sym_PIPE_PIPE] = ACTIONS(5322),
    [anon_sym_or_else] = ACTIONS(5320),
    [anon_sym_AMP_AMP] = ACTIONS(5322),
    [anon_sym_GT] = ACTIONS(5322),
    [anon_sym_GT_EQ] = ACTIONS(5320),
    [anon_sym_LT_EQ] = ACTIONS(5320),
    [anon_sym_LT] = ACTIONS(5322),
    [anon_sym_EQ_EQ] = ACTIONS(5320),
    [anon_sym_BANG_EQ] = ACTIONS(5320),
    [anon_sym_TILDE_EQ] = ACTIONS(5320),
    [anon_sym_AMP_TILDE] = ACTIONS(5322),
    [anon_sym_LT_LT] = ACTIONS(5322),
    [anon_sym_GT_GT] = ACTIONS(5322),
    [anon_sym_STAR] = ACTIONS(5322),
    [anon_sym_SLASH] = ACTIONS(5322),
    [anon_sym_PERCENT] = ACTIONS(5322),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5320),
    [anon_sym_DOT] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5320),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5320),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5320),
    [anon_sym_not_in] = ACTIONS(5320),
    [anon_sym_or_return] = ACTIONS(5320),
    [anon_sym_or_continue] = ACTIONS(5320),
    [anon_sym_or_break] = ACTIONS(5320),
    [anon_sym_CARET] = ACTIONS(5322),
    [sym_uninitialized] = ACTIONS(5320),
    [sym_tag] = ACTIONS(5320),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5320),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1055] = {
    [anon_sym_LBRACE] = ACTIONS(5324),
    [anon_sym_RBRACE] = ACTIONS(5324),
    [anon_sym_COMMA] = ACTIONS(5324),
    [anon_sym_COLON_COLON] = ACTIONS(5324),
    [anon_sym_DASH_GT] = ACTIONS(5324),
    [anon_sym_where] = ACTIONS(5324),
    [anon_sym_EQ] = ACTIONS(5326),
    [anon_sym_COLON] = ACTIONS(5326),
    [anon_sym_PIPE] = ACTIONS(5326),
    [anon_sym_COLON_EQ] = ACTIONS(5324),
    [anon_sym_LPAREN] = ACTIONS(5324),
    [anon_sym_PLUS_EQ] = ACTIONS(5324),
    [anon_sym_DASH_EQ] = ACTIONS(5324),
    [anon_sym_STAR_EQ] = ACTIONS(5324),
    [anon_sym_SLASH_EQ] = ACTIONS(5324),
    [anon_sym_PERCENT_EQ] = ACTIONS(5324),
    [anon_sym_AMP_EQ] = ACTIONS(5324),
    [anon_sym_PIPE_EQ] = ACTIONS(5324),
    [anon_sym_CARET_EQ] = ACTIONS(5324),
    [anon_sym_LT_LT_EQ] = ACTIONS(5324),
    [anon_sym_GT_GT_EQ] = ACTIONS(5324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5324),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5324),
    [anon_sym_if] = ACTIONS(5324),
    [anon_sym_SEMI] = ACTIONS(5324),
    [anon_sym_else] = ACTIONS(5324),
    [anon_sym_when] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5324),
    [anon_sym_case] = ACTIONS(5324),
    [anon_sym_QMARK] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(5326),
    [anon_sym_DASH] = ACTIONS(5326),
    [anon_sym_TILDE] = ACTIONS(5326),
    [anon_sym_AMP] = ACTIONS(5326),
    [anon_sym_PIPE_PIPE] = ACTIONS(5326),
    [anon_sym_or_else] = ACTIONS(5324),
    [anon_sym_AMP_AMP] = ACTIONS(5326),
    [anon_sym_GT] = ACTIONS(5326),
    [anon_sym_GT_EQ] = ACTIONS(5324),
    [anon_sym_LT_EQ] = ACTIONS(5324),
    [anon_sym_LT] = ACTIONS(5326),
    [anon_sym_EQ_EQ] = ACTIONS(5324),
    [anon_sym_BANG_EQ] = ACTIONS(5324),
    [anon_sym_TILDE_EQ] = ACTIONS(5324),
    [anon_sym_AMP_TILDE] = ACTIONS(5326),
    [anon_sym_LT_LT] = ACTIONS(5326),
    [anon_sym_GT_GT] = ACTIONS(5326),
    [anon_sym_STAR] = ACTIONS(5326),
    [anon_sym_SLASH] = ACTIONS(5326),
    [anon_sym_PERCENT] = ACTIONS(5326),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5324),
    [anon_sym_DOT] = ACTIONS(5326),
    [anon_sym_LBRACK] = ACTIONS(5324),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5324),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5324),
    [anon_sym_not_in] = ACTIONS(5324),
    [anon_sym_or_return] = ACTIONS(5324),
    [anon_sym_or_continue] = ACTIONS(5324),
    [anon_sym_or_break] = ACTIONS(5324),
    [anon_sym_CARET] = ACTIONS(5326),
    [sym_uninitialized] = ACTIONS(5324),
    [sym_tag] = ACTIONS(5324),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5324),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1056] = {
    [anon_sym_LBRACE] = ACTIONS(5328),
    [anon_sym_RBRACE] = ACTIONS(5328),
    [anon_sym_COMMA] = ACTIONS(5328),
    [anon_sym_COLON_COLON] = ACTIONS(5328),
    [anon_sym_DASH_GT] = ACTIONS(5328),
    [anon_sym_where] = ACTIONS(5328),
    [anon_sym_EQ] = ACTIONS(5330),
    [anon_sym_COLON] = ACTIONS(5330),
    [anon_sym_PIPE] = ACTIONS(5330),
    [anon_sym_COLON_EQ] = ACTIONS(5328),
    [anon_sym_LPAREN] = ACTIONS(5328),
    [anon_sym_PLUS_EQ] = ACTIONS(5328),
    [anon_sym_DASH_EQ] = ACTIONS(5328),
    [anon_sym_STAR_EQ] = ACTIONS(5328),
    [anon_sym_SLASH_EQ] = ACTIONS(5328),
    [anon_sym_PERCENT_EQ] = ACTIONS(5328),
    [anon_sym_AMP_EQ] = ACTIONS(5328),
    [anon_sym_PIPE_EQ] = ACTIONS(5328),
    [anon_sym_CARET_EQ] = ACTIONS(5328),
    [anon_sym_LT_LT_EQ] = ACTIONS(5328),
    [anon_sym_GT_GT_EQ] = ACTIONS(5328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5328),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5328),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5328),
    [anon_sym_if] = ACTIONS(5328),
    [anon_sym_SEMI] = ACTIONS(5328),
    [anon_sym_else] = ACTIONS(5328),
    [anon_sym_when] = ACTIONS(5328),
    [anon_sym_in] = ACTIONS(5328),
    [anon_sym_case] = ACTIONS(5328),
    [anon_sym_QMARK] = ACTIONS(5328),
    [anon_sym_PLUS] = ACTIONS(5330),
    [anon_sym_DASH] = ACTIONS(5330),
    [anon_sym_TILDE] = ACTIONS(5330),
    [anon_sym_AMP] = ACTIONS(5330),
    [anon_sym_PIPE_PIPE] = ACTIONS(5330),
    [anon_sym_or_else] = ACTIONS(5328),
    [anon_sym_AMP_AMP] = ACTIONS(5330),
    [anon_sym_GT] = ACTIONS(5330),
    [anon_sym_GT_EQ] = ACTIONS(5328),
    [anon_sym_LT_EQ] = ACTIONS(5328),
    [anon_sym_LT] = ACTIONS(5330),
    [anon_sym_EQ_EQ] = ACTIONS(5328),
    [anon_sym_BANG_EQ] = ACTIONS(5328),
    [anon_sym_TILDE_EQ] = ACTIONS(5328),
    [anon_sym_AMP_TILDE] = ACTIONS(5330),
    [anon_sym_LT_LT] = ACTIONS(5330),
    [anon_sym_GT_GT] = ACTIONS(5330),
    [anon_sym_STAR] = ACTIONS(5330),
    [anon_sym_SLASH] = ACTIONS(5330),
    [anon_sym_PERCENT] = ACTIONS(5330),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5328),
    [anon_sym_DOT] = ACTIONS(5330),
    [anon_sym_LBRACK] = ACTIONS(5328),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5328),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5328),
    [anon_sym_not_in] = ACTIONS(5328),
    [anon_sym_or_return] = ACTIONS(5328),
    [anon_sym_or_continue] = ACTIONS(5328),
    [anon_sym_or_break] = ACTIONS(5328),
    [anon_sym_CARET] = ACTIONS(5330),
    [sym_uninitialized] = ACTIONS(5328),
    [sym_tag] = ACTIONS(5328),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5328),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1057] = {
    [anon_sym_LBRACE] = ACTIONS(5332),
    [anon_sym_RBRACE] = ACTIONS(5332),
    [anon_sym_COMMA] = ACTIONS(5332),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_DASH_GT] = ACTIONS(5332),
    [anon_sym_where] = ACTIONS(5332),
    [anon_sym_EQ] = ACTIONS(5334),
    [anon_sym_COLON] = ACTIONS(5334),
    [anon_sym_PIPE] = ACTIONS(5334),
    [anon_sym_COLON_EQ] = ACTIONS(5332),
    [anon_sym_LPAREN] = ACTIONS(5332),
    [anon_sym_PLUS_EQ] = ACTIONS(5332),
    [anon_sym_DASH_EQ] = ACTIONS(5332),
    [anon_sym_STAR_EQ] = ACTIONS(5332),
    [anon_sym_SLASH_EQ] = ACTIONS(5332),
    [anon_sym_PERCENT_EQ] = ACTIONS(5332),
    [anon_sym_AMP_EQ] = ACTIONS(5332),
    [anon_sym_PIPE_EQ] = ACTIONS(5332),
    [anon_sym_CARET_EQ] = ACTIONS(5332),
    [anon_sym_LT_LT_EQ] = ACTIONS(5332),
    [anon_sym_GT_GT_EQ] = ACTIONS(5332),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5332),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5332),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5332),
    [anon_sym_if] = ACTIONS(5332),
    [anon_sym_SEMI] = ACTIONS(5332),
    [anon_sym_else] = ACTIONS(5332),
    [anon_sym_when] = ACTIONS(5332),
    [anon_sym_in] = ACTIONS(5332),
    [anon_sym_case] = ACTIONS(5332),
    [anon_sym_QMARK] = ACTIONS(5332),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_TILDE] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(5334),
    [anon_sym_PIPE_PIPE] = ACTIONS(5334),
    [anon_sym_or_else] = ACTIONS(5332),
    [anon_sym_AMP_AMP] = ACTIONS(5334),
    [anon_sym_GT] = ACTIONS(5334),
    [anon_sym_GT_EQ] = ACTIONS(5332),
    [anon_sym_LT_EQ] = ACTIONS(5332),
    [anon_sym_LT] = ACTIONS(5334),
    [anon_sym_EQ_EQ] = ACTIONS(5332),
    [anon_sym_BANG_EQ] = ACTIONS(5332),
    [anon_sym_TILDE_EQ] = ACTIONS(5332),
    [anon_sym_AMP_TILDE] = ACTIONS(5334),
    [anon_sym_LT_LT] = ACTIONS(5334),
    [anon_sym_GT_GT] = ACTIONS(5334),
    [anon_sym_STAR] = ACTIONS(5334),
    [anon_sym_SLASH] = ACTIONS(5334),
    [anon_sym_PERCENT] = ACTIONS(5334),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5332),
    [anon_sym_DOT] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5332),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5332),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5332),
    [anon_sym_not_in] = ACTIONS(5332),
    [anon_sym_or_return] = ACTIONS(5332),
    [anon_sym_or_continue] = ACTIONS(5332),
    [anon_sym_or_break] = ACTIONS(5332),
    [anon_sym_CARET] = ACTIONS(5334),
    [sym_uninitialized] = ACTIONS(5332),
    [sym_tag] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5332),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1058] = {
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_COMMA] = ACTIONS(831),
    [anon_sym_COLON_COLON] = ACTIONS(831),
    [anon_sym_DASH_GT] = ACTIONS(831),
    [anon_sym_where] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(834),
    [anon_sym_COLON] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_COLON_EQ] = ACTIONS(831),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(831),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(831),
    [anon_sym_when] = ACTIONS(831),
    [anon_sym_in] = ACTIONS(831),
    [anon_sym_case] = ACTIONS(831),
    [anon_sym_QMARK] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_or_else] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_EQ] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(831),
    [anon_sym_BANG_EQ] = ACTIONS(831),
    [anon_sym_TILDE_EQ] = ACTIONS(831),
    [anon_sym_AMP_TILDE] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(834),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(831),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(831),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(831),
    [anon_sym_DOT_DOT_LT] = ACTIONS(831),
    [anon_sym_not_in] = ACTIONS(831),
    [anon_sym_or_return] = ACTIONS(831),
    [anon_sym_or_continue] = ACTIONS(831),
    [anon_sym_or_break] = ACTIONS(831),
    [anon_sym_CARET] = ACTIONS(834),
    [sym_uninitialized] = ACTIONS(831),
    [sym_tag] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(831),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1059] = {
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [anon_sym_where] = ACTIONS(5336),
    [anon_sym_EQ] = ACTIONS(5338),
    [anon_sym_COLON] = ACTIONS(5338),
    [anon_sym_PIPE] = ACTIONS(5338),
    [anon_sym_COLON_EQ] = ACTIONS(5336),
    [anon_sym_LPAREN] = ACTIONS(5336),
    [anon_sym_PLUS_EQ] = ACTIONS(5336),
    [anon_sym_DASH_EQ] = ACTIONS(5336),
    [anon_sym_STAR_EQ] = ACTIONS(5336),
    [anon_sym_SLASH_EQ] = ACTIONS(5336),
    [anon_sym_PERCENT_EQ] = ACTIONS(5336),
    [anon_sym_AMP_EQ] = ACTIONS(5336),
    [anon_sym_PIPE_EQ] = ACTIONS(5336),
    [anon_sym_CARET_EQ] = ACTIONS(5336),
    [anon_sym_LT_LT_EQ] = ACTIONS(5336),
    [anon_sym_GT_GT_EQ] = ACTIONS(5336),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5336),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5336),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5336),
    [anon_sym_if] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym_else] = ACTIONS(5336),
    [anon_sym_when] = ACTIONS(5336),
    [anon_sym_in] = ACTIONS(5336),
    [anon_sym_case] = ACTIONS(5336),
    [anon_sym_QMARK] = ACTIONS(5336),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_TILDE] = ACTIONS(5338),
    [anon_sym_AMP] = ACTIONS(5338),
    [anon_sym_PIPE_PIPE] = ACTIONS(5338),
    [anon_sym_or_else] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5338),
    [anon_sym_GT] = ACTIONS(5338),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5336),
    [anon_sym_LT] = ACTIONS(5338),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_TILDE_EQ] = ACTIONS(5336),
    [anon_sym_AMP_TILDE] = ACTIONS(5338),
    [anon_sym_LT_LT] = ACTIONS(5338),
    [anon_sym_GT_GT] = ACTIONS(5338),
    [anon_sym_STAR] = ACTIONS(5338),
    [anon_sym_SLASH] = ACTIONS(5338),
    [anon_sym_PERCENT] = ACTIONS(5338),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5338),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5336),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5336),
    [anon_sym_not_in] = ACTIONS(5336),
    [anon_sym_or_return] = ACTIONS(5336),
    [anon_sym_or_continue] = ACTIONS(5336),
    [anon_sym_or_break] = ACTIONS(5336),
    [anon_sym_CARET] = ACTIONS(5338),
    [sym_uninitialized] = ACTIONS(5336),
    [sym_tag] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5336),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1060] = {
    [anon_sym_LBRACE] = ACTIONS(5340),
    [anon_sym_RBRACE] = ACTIONS(5340),
    [anon_sym_COMMA] = ACTIONS(5340),
    [anon_sym_COLON_COLON] = ACTIONS(5340),
    [anon_sym_DASH_GT] = ACTIONS(5340),
    [anon_sym_where] = ACTIONS(5340),
    [anon_sym_EQ] = ACTIONS(5342),
    [anon_sym_COLON] = ACTIONS(5342),
    [anon_sym_PIPE] = ACTIONS(5342),
    [anon_sym_COLON_EQ] = ACTIONS(5340),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(5340),
    [anon_sym_DASH_EQ] = ACTIONS(5340),
    [anon_sym_STAR_EQ] = ACTIONS(5340),
    [anon_sym_SLASH_EQ] = ACTIONS(5340),
    [anon_sym_PERCENT_EQ] = ACTIONS(5340),
    [anon_sym_AMP_EQ] = ACTIONS(5340),
    [anon_sym_PIPE_EQ] = ACTIONS(5340),
    [anon_sym_CARET_EQ] = ACTIONS(5340),
    [anon_sym_LT_LT_EQ] = ACTIONS(5340),
    [anon_sym_GT_GT_EQ] = ACTIONS(5340),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5340),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5340),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5340),
    [anon_sym_if] = ACTIONS(5340),
    [anon_sym_SEMI] = ACTIONS(5340),
    [anon_sym_else] = ACTIONS(5340),
    [anon_sym_when] = ACTIONS(5340),
    [anon_sym_in] = ACTIONS(5340),
    [anon_sym_case] = ACTIONS(5340),
    [anon_sym_QMARK] = ACTIONS(5340),
    [anon_sym_PLUS] = ACTIONS(5342),
    [anon_sym_DASH] = ACTIONS(5342),
    [anon_sym_TILDE] = ACTIONS(5342),
    [anon_sym_AMP] = ACTIONS(5342),
    [anon_sym_PIPE_PIPE] = ACTIONS(5342),
    [anon_sym_or_else] = ACTIONS(5340),
    [anon_sym_AMP_AMP] = ACTIONS(5342),
    [anon_sym_GT] = ACTIONS(5342),
    [anon_sym_GT_EQ] = ACTIONS(5340),
    [anon_sym_LT_EQ] = ACTIONS(5340),
    [anon_sym_LT] = ACTIONS(5342),
    [anon_sym_EQ_EQ] = ACTIONS(5340),
    [anon_sym_BANG_EQ] = ACTIONS(5340),
    [anon_sym_TILDE_EQ] = ACTIONS(5340),
    [anon_sym_AMP_TILDE] = ACTIONS(5342),
    [anon_sym_LT_LT] = ACTIONS(5342),
    [anon_sym_GT_GT] = ACTIONS(5342),
    [anon_sym_STAR] = ACTIONS(5342),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(5342),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5340),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5340),
    [anon_sym_not_in] = ACTIONS(5340),
    [anon_sym_or_return] = ACTIONS(5340),
    [anon_sym_or_continue] = ACTIONS(5340),
    [anon_sym_or_break] = ACTIONS(5340),
    [anon_sym_CARET] = ACTIONS(5342),
    [sym_uninitialized] = ACTIONS(5340),
    [sym_tag] = ACTIONS(5340),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5340),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1061] = {
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_COMMA] = ACTIONS(891),
    [anon_sym_COLON_COLON] = ACTIONS(891),
    [anon_sym_DASH_GT] = ACTIONS(891),
    [anon_sym_where] = ACTIONS(891),
    [anon_sym_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(893),
    [anon_sym_COLON_EQ] = ACTIONS(891),
    [anon_sym_LPAREN] = ACTIONS(891),
    [anon_sym_PLUS_EQ] = ACTIONS(891),
    [anon_sym_DASH_EQ] = ACTIONS(891),
    [anon_sym_STAR_EQ] = ACTIONS(891),
    [anon_sym_SLASH_EQ] = ACTIONS(891),
    [anon_sym_PERCENT_EQ] = ACTIONS(891),
    [anon_sym_AMP_EQ] = ACTIONS(891),
    [anon_sym_PIPE_EQ] = ACTIONS(891),
    [anon_sym_CARET_EQ] = ACTIONS(891),
    [anon_sym_LT_LT_EQ] = ACTIONS(891),
    [anon_sym_GT_GT_EQ] = ACTIONS(891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(891),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(891),
    [anon_sym_if] = ACTIONS(891),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_else] = ACTIONS(891),
    [anon_sym_when] = ACTIONS(891),
    [anon_sym_in] = ACTIONS(891),
    [anon_sym_case] = ACTIONS(891),
    [anon_sym_QMARK] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(893),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(891),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(893),
    [anon_sym_GT_EQ] = ACTIONS(891),
    [anon_sym_LT_EQ] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(891),
    [anon_sym_BANG_EQ] = ACTIONS(891),
    [anon_sym_TILDE_EQ] = ACTIONS(891),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(893),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(891),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(891),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(891),
    [anon_sym_DOT_DOT_LT] = ACTIONS(891),
    [anon_sym_not_in] = ACTIONS(891),
    [anon_sym_or_return] = ACTIONS(891),
    [anon_sym_or_continue] = ACTIONS(891),
    [anon_sym_or_break] = ACTIONS(891),
    [anon_sym_CARET] = ACTIONS(893),
    [sym_uninitialized] = ACTIONS(891),
    [sym_tag] = ACTIONS(891),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(891),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1062] = {
    [anon_sym_LBRACE] = ACTIONS(5344),
    [anon_sym_RBRACE] = ACTIONS(5344),
    [anon_sym_COMMA] = ACTIONS(5344),
    [anon_sym_COLON_COLON] = ACTIONS(5344),
    [anon_sym_DASH_GT] = ACTIONS(5344),
    [anon_sym_where] = ACTIONS(5344),
    [anon_sym_EQ] = ACTIONS(5346),
    [anon_sym_COLON] = ACTIONS(5346),
    [anon_sym_PIPE] = ACTIONS(5346),
    [anon_sym_COLON_EQ] = ACTIONS(5344),
    [anon_sym_LPAREN] = ACTIONS(5344),
    [anon_sym_PLUS_EQ] = ACTIONS(5344),
    [anon_sym_DASH_EQ] = ACTIONS(5344),
    [anon_sym_STAR_EQ] = ACTIONS(5344),
    [anon_sym_SLASH_EQ] = ACTIONS(5344),
    [anon_sym_PERCENT_EQ] = ACTIONS(5344),
    [anon_sym_AMP_EQ] = ACTIONS(5344),
    [anon_sym_PIPE_EQ] = ACTIONS(5344),
    [anon_sym_CARET_EQ] = ACTIONS(5344),
    [anon_sym_LT_LT_EQ] = ACTIONS(5344),
    [anon_sym_GT_GT_EQ] = ACTIONS(5344),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5344),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5344),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5344),
    [anon_sym_if] = ACTIONS(5344),
    [anon_sym_SEMI] = ACTIONS(5344),
    [anon_sym_else] = ACTIONS(5344),
    [anon_sym_when] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5344),
    [anon_sym_case] = ACTIONS(5344),
    [anon_sym_QMARK] = ACTIONS(5344),
    [anon_sym_PLUS] = ACTIONS(5346),
    [anon_sym_DASH] = ACTIONS(5346),
    [anon_sym_TILDE] = ACTIONS(5346),
    [anon_sym_AMP] = ACTIONS(5346),
    [anon_sym_PIPE_PIPE] = ACTIONS(5346),
    [anon_sym_or_else] = ACTIONS(5344),
    [anon_sym_AMP_AMP] = ACTIONS(5346),
    [anon_sym_GT] = ACTIONS(5346),
    [anon_sym_GT_EQ] = ACTIONS(5344),
    [anon_sym_LT_EQ] = ACTIONS(5344),
    [anon_sym_LT] = ACTIONS(5346),
    [anon_sym_EQ_EQ] = ACTIONS(5344),
    [anon_sym_BANG_EQ] = ACTIONS(5344),
    [anon_sym_TILDE_EQ] = ACTIONS(5344),
    [anon_sym_AMP_TILDE] = ACTIONS(5346),
    [anon_sym_LT_LT] = ACTIONS(5346),
    [anon_sym_GT_GT] = ACTIONS(5346),
    [anon_sym_STAR] = ACTIONS(5346),
    [anon_sym_SLASH] = ACTIONS(5346),
    [anon_sym_PERCENT] = ACTIONS(5346),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5344),
    [anon_sym_DOT] = ACTIONS(5346),
    [anon_sym_LBRACK] = ACTIONS(5344),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5344),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5344),
    [anon_sym_not_in] = ACTIONS(5344),
    [anon_sym_or_return] = ACTIONS(5344),
    [anon_sym_or_continue] = ACTIONS(5344),
    [anon_sym_or_break] = ACTIONS(5344),
    [anon_sym_CARET] = ACTIONS(5346),
    [sym_uninitialized] = ACTIONS(5344),
    [sym_tag] = ACTIONS(5344),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5344),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1063] = {
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_COLON_COLON] = ACTIONS(807),
    [anon_sym_DASH_GT] = ACTIONS(807),
    [anon_sym_where] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(809),
    [anon_sym_COLON] = ACTIONS(809),
    [anon_sym_PIPE] = ACTIONS(809),
    [anon_sym_COLON_EQ] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(807),
    [anon_sym_DASH_EQ] = ACTIONS(807),
    [anon_sym_STAR_EQ] = ACTIONS(807),
    [anon_sym_SLASH_EQ] = ACTIONS(807),
    [anon_sym_PERCENT_EQ] = ACTIONS(807),
    [anon_sym_AMP_EQ] = ACTIONS(807),
    [anon_sym_PIPE_EQ] = ACTIONS(807),
    [anon_sym_CARET_EQ] = ACTIONS(807),
    [anon_sym_LT_LT_EQ] = ACTIONS(807),
    [anon_sym_GT_GT_EQ] = ACTIONS(807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(807),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(807),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_else] = ACTIONS(807),
    [anon_sym_when] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(807),
    [anon_sym_case] = ACTIONS(807),
    [anon_sym_QMARK] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(809),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_PIPE_PIPE] = ACTIONS(809),
    [anon_sym_or_else] = ACTIONS(807),
    [anon_sym_AMP_AMP] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(809),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(807),
    [anon_sym_TILDE_EQ] = ACTIONS(807),
    [anon_sym_AMP_TILDE] = ACTIONS(809),
    [anon_sym_LT_LT] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_SLASH] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(809),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(807),
    [anon_sym_DOT_DOT_LT] = ACTIONS(807),
    [anon_sym_not_in] = ACTIONS(807),
    [anon_sym_or_return] = ACTIONS(807),
    [anon_sym_or_continue] = ACTIONS(807),
    [anon_sym_or_break] = ACTIONS(807),
    [anon_sym_CARET] = ACTIONS(809),
    [sym_uninitialized] = ACTIONS(807),
    [sym_tag] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(807),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1064] = {
    [anon_sym_LBRACE] = ACTIONS(5348),
    [anon_sym_RBRACE] = ACTIONS(5348),
    [anon_sym_COMMA] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(5348),
    [anon_sym_DASH_GT] = ACTIONS(5348),
    [anon_sym_where] = ACTIONS(5348),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_COLON_EQ] = ACTIONS(5348),
    [anon_sym_LPAREN] = ACTIONS(5348),
    [anon_sym_PLUS_EQ] = ACTIONS(5348),
    [anon_sym_DASH_EQ] = ACTIONS(5348),
    [anon_sym_STAR_EQ] = ACTIONS(5348),
    [anon_sym_SLASH_EQ] = ACTIONS(5348),
    [anon_sym_PERCENT_EQ] = ACTIONS(5348),
    [anon_sym_AMP_EQ] = ACTIONS(5348),
    [anon_sym_PIPE_EQ] = ACTIONS(5348),
    [anon_sym_CARET_EQ] = ACTIONS(5348),
    [anon_sym_LT_LT_EQ] = ACTIONS(5348),
    [anon_sym_GT_GT_EQ] = ACTIONS(5348),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5348),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5348),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5348),
    [anon_sym_if] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5348),
    [anon_sym_else] = ACTIONS(5348),
    [anon_sym_when] = ACTIONS(5348),
    [anon_sym_in] = ACTIONS(5348),
    [anon_sym_case] = ACTIONS(5348),
    [anon_sym_QMARK] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_TILDE] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_or_else] = ACTIONS(5348),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5348),
    [anon_sym_LT_EQ] = ACTIONS(5348),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5348),
    [anon_sym_BANG_EQ] = ACTIONS(5348),
    [anon_sym_TILDE_EQ] = ACTIONS(5348),
    [anon_sym_AMP_TILDE] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5348),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5348),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5348),
    [anon_sym_not_in] = ACTIONS(5348),
    [anon_sym_or_return] = ACTIONS(5348),
    [anon_sym_or_continue] = ACTIONS(5348),
    [anon_sym_or_break] = ACTIONS(5348),
    [anon_sym_CARET] = ACTIONS(5350),
    [sym_uninitialized] = ACTIONS(5348),
    [sym_tag] = ACTIONS(5348),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5348),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1065] = {
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_COLON_COLON] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [anon_sym_where] = ACTIONS(5352),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_COLON] = ACTIONS(5354),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_COLON_EQ] = ACTIONS(5352),
    [anon_sym_LPAREN] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5352),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5352),
    [anon_sym_if] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_else] = ACTIONS(5352),
    [anon_sym_when] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_case] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_DASH] = ACTIONS(5354),
    [anon_sym_TILDE] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_or_else] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5352),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_TILDE_EQ] = ACTIONS(5352),
    [anon_sym_AMP_TILDE] = ACTIONS(5354),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_STAR] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5354),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5352),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5352),
    [anon_sym_not_in] = ACTIONS(5352),
    [anon_sym_or_return] = ACTIONS(5352),
    [anon_sym_or_continue] = ACTIONS(5352),
    [anon_sym_or_break] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5354),
    [sym_uninitialized] = ACTIONS(5352),
    [sym_tag] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5352),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1066] = {
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_where] = ACTIONS(67),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_not_in] = ACTIONS(67),
    [anon_sym_or_return] = ACTIONS(67),
    [anon_sym_or_continue] = ACTIONS(67),
    [anon_sym_or_break] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(71),
    [sym_uninitialized] = ACTIONS(67),
    [sym_tag] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1067] = {
    [anon_sym_LBRACE] = ACTIONS(5356),
    [anon_sym_RBRACE] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_COLON_COLON] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_where] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_COLON] = ACTIONS(5358),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_COLON_EQ] = ACTIONS(5356),
    [anon_sym_LPAREN] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5356),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5356),
    [anon_sym_if] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym_else] = ACTIONS(5356),
    [anon_sym_when] = ACTIONS(5356),
    [anon_sym_in] = ACTIONS(5356),
    [anon_sym_case] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_TILDE] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5358),
    [anon_sym_or_else] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5358),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_TILDE_EQ] = ACTIONS(5356),
    [anon_sym_AMP_TILDE] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5356),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5356),
    [anon_sym_not_in] = ACTIONS(5356),
    [anon_sym_or_return] = ACTIONS(5356),
    [anon_sym_or_continue] = ACTIONS(5356),
    [anon_sym_or_break] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5358),
    [sym_uninitialized] = ACTIONS(5356),
    [sym_tag] = ACTIONS(5356),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5356),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1068] = {
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_COMMA] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(757),
    [anon_sym_DASH_GT] = ACTIONS(757),
    [anon_sym_where] = ACTIONS(757),
    [anon_sym_EQ] = ACTIONS(762),
    [anon_sym_COLON] = ACTIONS(762),
    [anon_sym_PIPE] = ACTIONS(762),
    [anon_sym_COLON_EQ] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_PLUS_EQ] = ACTIONS(757),
    [anon_sym_DASH_EQ] = ACTIONS(757),
    [anon_sym_STAR_EQ] = ACTIONS(757),
    [anon_sym_SLASH_EQ] = ACTIONS(757),
    [anon_sym_PERCENT_EQ] = ACTIONS(757),
    [anon_sym_AMP_EQ] = ACTIONS(757),
    [anon_sym_PIPE_EQ] = ACTIONS(757),
    [anon_sym_CARET_EQ] = ACTIONS(757),
    [anon_sym_LT_LT_EQ] = ACTIONS(757),
    [anon_sym_GT_GT_EQ] = ACTIONS(757),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(757),
    [anon_sym_when] = ACTIONS(757),
    [anon_sym_in] = ACTIONS(757),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_QMARK] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_PIPE_PIPE] = ACTIONS(762),
    [anon_sym_or_else] = ACTIONS(757),
    [anon_sym_AMP_AMP] = ACTIONS(762),
    [anon_sym_GT] = ACTIONS(762),
    [anon_sym_GT_EQ] = ACTIONS(757),
    [anon_sym_LT_EQ] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_EQ_EQ] = ACTIONS(757),
    [anon_sym_BANG_EQ] = ACTIONS(757),
    [anon_sym_TILDE_EQ] = ACTIONS(757),
    [anon_sym_AMP_TILDE] = ACTIONS(762),
    [anon_sym_LT_LT] = ACTIONS(762),
    [anon_sym_GT_GT] = ACTIONS(762),
    [anon_sym_STAR] = ACTIONS(762),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_PERCENT] = ACTIONS(762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(757),
    [anon_sym_not_in] = ACTIONS(757),
    [anon_sym_or_return] = ACTIONS(757),
    [anon_sym_or_continue] = ACTIONS(757),
    [anon_sym_or_break] = ACTIONS(757),
    [anon_sym_CARET] = ACTIONS(762),
    [sym_uninitialized] = ACTIONS(757),
    [sym_tag] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(757),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1069] = {
    [sym_expression] = STATE(5702),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5360),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1070] = {
    [anon_sym_LBRACE] = ACTIONS(5362),
    [anon_sym_RBRACE] = ACTIONS(5362),
    [anon_sym_COMMA] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5362),
    [anon_sym_DASH_GT] = ACTIONS(5362),
    [anon_sym_where] = ACTIONS(5362),
    [anon_sym_EQ] = ACTIONS(5364),
    [anon_sym_COLON] = ACTIONS(5364),
    [anon_sym_PIPE] = ACTIONS(5364),
    [anon_sym_COLON_EQ] = ACTIONS(5362),
    [anon_sym_LPAREN] = ACTIONS(5362),
    [anon_sym_PLUS_EQ] = ACTIONS(5362),
    [anon_sym_DASH_EQ] = ACTIONS(5362),
    [anon_sym_STAR_EQ] = ACTIONS(5362),
    [anon_sym_SLASH_EQ] = ACTIONS(5362),
    [anon_sym_PERCENT_EQ] = ACTIONS(5362),
    [anon_sym_AMP_EQ] = ACTIONS(5362),
    [anon_sym_PIPE_EQ] = ACTIONS(5362),
    [anon_sym_CARET_EQ] = ACTIONS(5362),
    [anon_sym_LT_LT_EQ] = ACTIONS(5362),
    [anon_sym_GT_GT_EQ] = ACTIONS(5362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5362),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5362),
    [anon_sym_if] = ACTIONS(5362),
    [anon_sym_SEMI] = ACTIONS(5362),
    [anon_sym_else] = ACTIONS(5362),
    [anon_sym_when] = ACTIONS(5362),
    [anon_sym_in] = ACTIONS(5362),
    [anon_sym_case] = ACTIONS(5362),
    [anon_sym_QMARK] = ACTIONS(5362),
    [anon_sym_PLUS] = ACTIONS(5364),
    [anon_sym_DASH] = ACTIONS(5364),
    [anon_sym_TILDE] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_PIPE_PIPE] = ACTIONS(5364),
    [anon_sym_or_else] = ACTIONS(5362),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_GT] = ACTIONS(5364),
    [anon_sym_GT_EQ] = ACTIONS(5362),
    [anon_sym_LT_EQ] = ACTIONS(5362),
    [anon_sym_LT] = ACTIONS(5364),
    [anon_sym_EQ_EQ] = ACTIONS(5362),
    [anon_sym_BANG_EQ] = ACTIONS(5362),
    [anon_sym_TILDE_EQ] = ACTIONS(5362),
    [anon_sym_AMP_TILDE] = ACTIONS(5364),
    [anon_sym_LT_LT] = ACTIONS(5364),
    [anon_sym_GT_GT] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5364),
    [anon_sym_SLASH] = ACTIONS(5364),
    [anon_sym_PERCENT] = ACTIONS(5364),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5362),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5362),
    [anon_sym_not_in] = ACTIONS(5362),
    [anon_sym_or_return] = ACTIONS(5362),
    [anon_sym_or_continue] = ACTIONS(5362),
    [anon_sym_or_break] = ACTIONS(5362),
    [anon_sym_CARET] = ACTIONS(5364),
    [sym_uninitialized] = ACTIONS(5362),
    [sym_tag] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5362),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1071] = {
    [anon_sym_LBRACE] = ACTIONS(5366),
    [anon_sym_RBRACE] = ACTIONS(5366),
    [anon_sym_COMMA] = ACTIONS(5366),
    [anon_sym_COLON_COLON] = ACTIONS(5366),
    [anon_sym_DASH_GT] = ACTIONS(5366),
    [anon_sym_where] = ACTIONS(5366),
    [anon_sym_EQ] = ACTIONS(5368),
    [anon_sym_COLON] = ACTIONS(5368),
    [anon_sym_PIPE] = ACTIONS(5368),
    [anon_sym_COLON_EQ] = ACTIONS(5366),
    [anon_sym_LPAREN] = ACTIONS(5366),
    [anon_sym_PLUS_EQ] = ACTIONS(5366),
    [anon_sym_DASH_EQ] = ACTIONS(5366),
    [anon_sym_STAR_EQ] = ACTIONS(5366),
    [anon_sym_SLASH_EQ] = ACTIONS(5366),
    [anon_sym_PERCENT_EQ] = ACTIONS(5366),
    [anon_sym_AMP_EQ] = ACTIONS(5366),
    [anon_sym_PIPE_EQ] = ACTIONS(5366),
    [anon_sym_CARET_EQ] = ACTIONS(5366),
    [anon_sym_LT_LT_EQ] = ACTIONS(5366),
    [anon_sym_GT_GT_EQ] = ACTIONS(5366),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5366),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5366),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5366),
    [anon_sym_if] = ACTIONS(5366),
    [anon_sym_SEMI] = ACTIONS(5366),
    [anon_sym_else] = ACTIONS(5366),
    [anon_sym_when] = ACTIONS(5366),
    [anon_sym_in] = ACTIONS(5366),
    [anon_sym_case] = ACTIONS(5366),
    [anon_sym_QMARK] = ACTIONS(5366),
    [anon_sym_PLUS] = ACTIONS(5368),
    [anon_sym_DASH] = ACTIONS(5368),
    [anon_sym_TILDE] = ACTIONS(5368),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_PIPE_PIPE] = ACTIONS(5368),
    [anon_sym_or_else] = ACTIONS(5366),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_GT] = ACTIONS(5368),
    [anon_sym_GT_EQ] = ACTIONS(5366),
    [anon_sym_LT_EQ] = ACTIONS(5366),
    [anon_sym_LT] = ACTIONS(5368),
    [anon_sym_EQ_EQ] = ACTIONS(5366),
    [anon_sym_BANG_EQ] = ACTIONS(5366),
    [anon_sym_TILDE_EQ] = ACTIONS(5366),
    [anon_sym_AMP_TILDE] = ACTIONS(5368),
    [anon_sym_LT_LT] = ACTIONS(5368),
    [anon_sym_GT_GT] = ACTIONS(5368),
    [anon_sym_STAR] = ACTIONS(5368),
    [anon_sym_SLASH] = ACTIONS(5368),
    [anon_sym_PERCENT] = ACTIONS(5368),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5366),
    [anon_sym_DOT] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5366),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5366),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5366),
    [anon_sym_not_in] = ACTIONS(5366),
    [anon_sym_or_return] = ACTIONS(5366),
    [anon_sym_or_continue] = ACTIONS(5366),
    [anon_sym_or_break] = ACTIONS(5366),
    [anon_sym_CARET] = ACTIONS(5368),
    [sym_uninitialized] = ACTIONS(5366),
    [sym_tag] = ACTIONS(5366),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5366),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1072] = {
    [anon_sym_LBRACE] = ACTIONS(5370),
    [anon_sym_RBRACE] = ACTIONS(5370),
    [anon_sym_COMMA] = ACTIONS(5370),
    [anon_sym_COLON_COLON] = ACTIONS(5370),
    [anon_sym_DASH_GT] = ACTIONS(5370),
    [anon_sym_where] = ACTIONS(5370),
    [anon_sym_EQ] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5372),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_COLON_EQ] = ACTIONS(5370),
    [anon_sym_LPAREN] = ACTIONS(5370),
    [anon_sym_PLUS_EQ] = ACTIONS(5370),
    [anon_sym_DASH_EQ] = ACTIONS(5370),
    [anon_sym_STAR_EQ] = ACTIONS(5370),
    [anon_sym_SLASH_EQ] = ACTIONS(5370),
    [anon_sym_PERCENT_EQ] = ACTIONS(5370),
    [anon_sym_AMP_EQ] = ACTIONS(5370),
    [anon_sym_PIPE_EQ] = ACTIONS(5370),
    [anon_sym_CARET_EQ] = ACTIONS(5370),
    [anon_sym_LT_LT_EQ] = ACTIONS(5370),
    [anon_sym_GT_GT_EQ] = ACTIONS(5370),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5370),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5370),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5370),
    [anon_sym_if] = ACTIONS(5370),
    [anon_sym_SEMI] = ACTIONS(5370),
    [anon_sym_else] = ACTIONS(5370),
    [anon_sym_when] = ACTIONS(5370),
    [anon_sym_in] = ACTIONS(5370),
    [anon_sym_case] = ACTIONS(5370),
    [anon_sym_QMARK] = ACTIONS(5370),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_TILDE] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_PIPE_PIPE] = ACTIONS(5372),
    [anon_sym_or_else] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5372),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5370),
    [anon_sym_LT_EQ] = ACTIONS(5370),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5370),
    [anon_sym_BANG_EQ] = ACTIONS(5370),
    [anon_sym_TILDE_EQ] = ACTIONS(5370),
    [anon_sym_AMP_TILDE] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5372),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5372),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5370),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5370),
    [anon_sym_not_in] = ACTIONS(5370),
    [anon_sym_or_return] = ACTIONS(5370),
    [anon_sym_or_continue] = ACTIONS(5370),
    [anon_sym_or_break] = ACTIONS(5370),
    [anon_sym_CARET] = ACTIONS(5372),
    [sym_uninitialized] = ACTIONS(5370),
    [sym_tag] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5370),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1073] = {
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_COLON_COLON] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [anon_sym_where] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5376),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_COLON_EQ] = ACTIONS(5374),
    [anon_sym_LPAREN] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5374),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5374),
    [anon_sym_if] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym_else] = ACTIONS(5374),
    [anon_sym_when] = ACTIONS(5374),
    [anon_sym_in] = ACTIONS(5374),
    [anon_sym_case] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5376),
    [anon_sym_or_else] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5374),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_TILDE_EQ] = ACTIONS(5374),
    [anon_sym_AMP_TILDE] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5374),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5374),
    [anon_sym_not_in] = ACTIONS(5374),
    [anon_sym_or_return] = ACTIONS(5374),
    [anon_sym_or_continue] = ACTIONS(5374),
    [anon_sym_or_break] = ACTIONS(5374),
    [anon_sym_CARET] = ACTIONS(5376),
    [sym_uninitialized] = ACTIONS(5374),
    [sym_tag] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5374),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1074] = {
    [sym_expression] = STATE(5675),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5378),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1075] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5380),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1076] = {
    [sym_expression] = STATE(6028),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5382),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1077] = {
    [anon_sym_LBRACE] = ACTIONS(5384),
    [anon_sym_RBRACE] = ACTIONS(5384),
    [anon_sym_COMMA] = ACTIONS(5384),
    [anon_sym_COLON_COLON] = ACTIONS(5384),
    [anon_sym_DASH_GT] = ACTIONS(5384),
    [anon_sym_where] = ACTIONS(5384),
    [anon_sym_EQ] = ACTIONS(5386),
    [anon_sym_COLON] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5386),
    [anon_sym_COLON_EQ] = ACTIONS(5384),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(5384),
    [anon_sym_DASH_EQ] = ACTIONS(5384),
    [anon_sym_STAR_EQ] = ACTIONS(5384),
    [anon_sym_SLASH_EQ] = ACTIONS(5384),
    [anon_sym_PERCENT_EQ] = ACTIONS(5384),
    [anon_sym_AMP_EQ] = ACTIONS(5384),
    [anon_sym_PIPE_EQ] = ACTIONS(5384),
    [anon_sym_CARET_EQ] = ACTIONS(5384),
    [anon_sym_LT_LT_EQ] = ACTIONS(5384),
    [anon_sym_GT_GT_EQ] = ACTIONS(5384),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5384),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5384),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5384),
    [anon_sym_if] = ACTIONS(5384),
    [anon_sym_SEMI] = ACTIONS(5384),
    [anon_sym_else] = ACTIONS(5384),
    [anon_sym_when] = ACTIONS(5384),
    [anon_sym_in] = ACTIONS(5384),
    [anon_sym_case] = ACTIONS(5384),
    [anon_sym_QMARK] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5386),
    [anon_sym_DASH] = ACTIONS(5386),
    [anon_sym_TILDE] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_or_else] = ACTIONS(5384),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_GT] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5384),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5384),
    [anon_sym_BANG_EQ] = ACTIONS(5384),
    [anon_sym_TILDE_EQ] = ACTIONS(5384),
    [anon_sym_AMP_TILDE] = ACTIONS(5386),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5384),
    [anon_sym_DOT] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5384),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5384),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5384),
    [anon_sym_not_in] = ACTIONS(5384),
    [anon_sym_or_return] = ACTIONS(5384),
    [anon_sym_or_continue] = ACTIONS(5384),
    [anon_sym_or_break] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5386),
    [sym_uninitialized] = ACTIONS(5384),
    [sym_tag] = ACTIONS(5384),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5384),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1078] = {
    [sym_expression] = STATE(5606),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5388),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1079] = {
    [sym_expression] = STATE(5696),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5390),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1080] = {
    [sym_expression] = STATE(5614),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5392),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1081] = {
    [anon_sym_LBRACE] = ACTIONS(5394),
    [anon_sym_RBRACE] = ACTIONS(5394),
    [anon_sym_COMMA] = ACTIONS(5394),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_DASH_GT] = ACTIONS(5394),
    [anon_sym_where] = ACTIONS(5394),
    [anon_sym_EQ] = ACTIONS(5396),
    [anon_sym_COLON] = ACTIONS(5396),
    [anon_sym_PIPE] = ACTIONS(5396),
    [anon_sym_COLON_EQ] = ACTIONS(5394),
    [anon_sym_LPAREN] = ACTIONS(5394),
    [anon_sym_PLUS_EQ] = ACTIONS(5394),
    [anon_sym_DASH_EQ] = ACTIONS(5394),
    [anon_sym_STAR_EQ] = ACTIONS(5394),
    [anon_sym_SLASH_EQ] = ACTIONS(5394),
    [anon_sym_PERCENT_EQ] = ACTIONS(5394),
    [anon_sym_AMP_EQ] = ACTIONS(5394),
    [anon_sym_PIPE_EQ] = ACTIONS(5394),
    [anon_sym_CARET_EQ] = ACTIONS(5394),
    [anon_sym_LT_LT_EQ] = ACTIONS(5394),
    [anon_sym_GT_GT_EQ] = ACTIONS(5394),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5394),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5394),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5394),
    [anon_sym_if] = ACTIONS(5394),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym_else] = ACTIONS(5394),
    [anon_sym_when] = ACTIONS(5394),
    [anon_sym_in] = ACTIONS(5394),
    [anon_sym_case] = ACTIONS(5394),
    [anon_sym_QMARK] = ACTIONS(5394),
    [anon_sym_PLUS] = ACTIONS(5396),
    [anon_sym_DASH] = ACTIONS(5396),
    [anon_sym_TILDE] = ACTIONS(5396),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_PIPE_PIPE] = ACTIONS(5396),
    [anon_sym_or_else] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5394),
    [anon_sym_LT_EQ] = ACTIONS(5394),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_EQ_EQ] = ACTIONS(5394),
    [anon_sym_BANG_EQ] = ACTIONS(5394),
    [anon_sym_TILDE_EQ] = ACTIONS(5394),
    [anon_sym_AMP_TILDE] = ACTIONS(5396),
    [anon_sym_LT_LT] = ACTIONS(5396),
    [anon_sym_GT_GT] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5396),
    [anon_sym_SLASH] = ACTIONS(5396),
    [anon_sym_PERCENT] = ACTIONS(5396),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5394),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5394),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5394),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5394),
    [anon_sym_not_in] = ACTIONS(5394),
    [anon_sym_or_return] = ACTIONS(5394),
    [anon_sym_or_continue] = ACTIONS(5394),
    [anon_sym_or_break] = ACTIONS(5394),
    [anon_sym_CARET] = ACTIONS(5396),
    [sym_uninitialized] = ACTIONS(5394),
    [sym_tag] = ACTIONS(5394),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5394),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1082] = {
    [sym_expression] = STATE(5639),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5398),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1083] = {
    [sym_expression] = STATE(5717),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5400),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1084] = {
    [sym_expression] = STATE(5620),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5402),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1085] = {
    [anon_sym_LBRACE] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5404),
    [anon_sym_COMMA] = ACTIONS(5404),
    [anon_sym_COLON_COLON] = ACTIONS(5404),
    [anon_sym_DASH_GT] = ACTIONS(5404),
    [anon_sym_where] = ACTIONS(5404),
    [anon_sym_EQ] = ACTIONS(5406),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5406),
    [anon_sym_COLON_EQ] = ACTIONS(5404),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(5404),
    [anon_sym_DASH_EQ] = ACTIONS(5404),
    [anon_sym_STAR_EQ] = ACTIONS(5404),
    [anon_sym_SLASH_EQ] = ACTIONS(5404),
    [anon_sym_PERCENT_EQ] = ACTIONS(5404),
    [anon_sym_AMP_EQ] = ACTIONS(5404),
    [anon_sym_PIPE_EQ] = ACTIONS(5404),
    [anon_sym_CARET_EQ] = ACTIONS(5404),
    [anon_sym_LT_LT_EQ] = ACTIONS(5404),
    [anon_sym_GT_GT_EQ] = ACTIONS(5404),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5404),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5404),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5404),
    [anon_sym_if] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5404),
    [anon_sym_else] = ACTIONS(5404),
    [anon_sym_when] = ACTIONS(5404),
    [anon_sym_in] = ACTIONS(5404),
    [anon_sym_case] = ACTIONS(5404),
    [anon_sym_QMARK] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5406),
    [anon_sym_TILDE] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5406),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_or_else] = ACTIONS(5404),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5406),
    [anon_sym_GT_EQ] = ACTIONS(5404),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5406),
    [anon_sym_EQ_EQ] = ACTIONS(5404),
    [anon_sym_BANG_EQ] = ACTIONS(5404),
    [anon_sym_TILDE_EQ] = ACTIONS(5404),
    [anon_sym_AMP_TILDE] = ACTIONS(5406),
    [anon_sym_LT_LT] = ACTIONS(5406),
    [anon_sym_GT_GT] = ACTIONS(5406),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(5406),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5404),
    [anon_sym_DOT] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5404),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5404),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5404),
    [anon_sym_not_in] = ACTIONS(5404),
    [anon_sym_or_return] = ACTIONS(5404),
    [anon_sym_or_continue] = ACTIONS(5404),
    [anon_sym_or_break] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5406),
    [sym_uninitialized] = ACTIONS(5404),
    [sym_tag] = ACTIONS(5404),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5404),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1086] = {
    [sym_expression] = STATE(5846),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5408),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1087] = {
    [anon_sym_LBRACE] = ACTIONS(5410),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_COMMA] = ACTIONS(5410),
    [anon_sym_COLON_COLON] = ACTIONS(5410),
    [anon_sym_DASH_GT] = ACTIONS(5410),
    [anon_sym_where] = ACTIONS(5410),
    [anon_sym_EQ] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5412),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_COLON_EQ] = ACTIONS(5410),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(5410),
    [anon_sym_DASH_EQ] = ACTIONS(5410),
    [anon_sym_STAR_EQ] = ACTIONS(5410),
    [anon_sym_SLASH_EQ] = ACTIONS(5410),
    [anon_sym_PERCENT_EQ] = ACTIONS(5410),
    [anon_sym_AMP_EQ] = ACTIONS(5410),
    [anon_sym_PIPE_EQ] = ACTIONS(5410),
    [anon_sym_CARET_EQ] = ACTIONS(5410),
    [anon_sym_LT_LT_EQ] = ACTIONS(5410),
    [anon_sym_GT_GT_EQ] = ACTIONS(5410),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5410),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5410),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5410),
    [anon_sym_if] = ACTIONS(5410),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym_else] = ACTIONS(5410),
    [anon_sym_when] = ACTIONS(5410),
    [anon_sym_in] = ACTIONS(5410),
    [anon_sym_case] = ACTIONS(5410),
    [anon_sym_QMARK] = ACTIONS(5410),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_TILDE] = ACTIONS(5412),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_PIPE_PIPE] = ACTIONS(5412),
    [anon_sym_or_else] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5412),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5410),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5410),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_TILDE_EQ] = ACTIONS(5410),
    [anon_sym_AMP_TILDE] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5412),
    [anon_sym_GT_GT] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5412),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(5412),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5410),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5410),
    [anon_sym_not_in] = ACTIONS(5410),
    [anon_sym_or_return] = ACTIONS(5410),
    [anon_sym_or_continue] = ACTIONS(5410),
    [anon_sym_or_break] = ACTIONS(5410),
    [anon_sym_CARET] = ACTIONS(5412),
    [sym_uninitialized] = ACTIONS(5410),
    [sym_tag] = ACTIONS(5410),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5410),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1088] = {
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_COLON_COLON] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [anon_sym_where] = ACTIONS(5414),
    [anon_sym_EQ] = ACTIONS(5416),
    [anon_sym_COLON] = ACTIONS(5416),
    [anon_sym_PIPE] = ACTIONS(5416),
    [anon_sym_COLON_EQ] = ACTIONS(5414),
    [anon_sym_LPAREN] = ACTIONS(5414),
    [anon_sym_PLUS_EQ] = ACTIONS(5414),
    [anon_sym_DASH_EQ] = ACTIONS(5414),
    [anon_sym_STAR_EQ] = ACTIONS(5414),
    [anon_sym_SLASH_EQ] = ACTIONS(5414),
    [anon_sym_PERCENT_EQ] = ACTIONS(5414),
    [anon_sym_AMP_EQ] = ACTIONS(5414),
    [anon_sym_PIPE_EQ] = ACTIONS(5414),
    [anon_sym_CARET_EQ] = ACTIONS(5414),
    [anon_sym_LT_LT_EQ] = ACTIONS(5414),
    [anon_sym_GT_GT_EQ] = ACTIONS(5414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5414),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5414),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5414),
    [anon_sym_if] = ACTIONS(5414),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym_else] = ACTIONS(5414),
    [anon_sym_when] = ACTIONS(5414),
    [anon_sym_in] = ACTIONS(5414),
    [anon_sym_case] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_PLUS] = ACTIONS(5416),
    [anon_sym_DASH] = ACTIONS(5416),
    [anon_sym_TILDE] = ACTIONS(5416),
    [anon_sym_AMP] = ACTIONS(5416),
    [anon_sym_PIPE_PIPE] = ACTIONS(5416),
    [anon_sym_or_else] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5416),
    [anon_sym_GT] = ACTIONS(5416),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5414),
    [anon_sym_LT] = ACTIONS(5416),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_TILDE_EQ] = ACTIONS(5414),
    [anon_sym_AMP_TILDE] = ACTIONS(5416),
    [anon_sym_LT_LT] = ACTIONS(5416),
    [anon_sym_GT_GT] = ACTIONS(5416),
    [anon_sym_STAR] = ACTIONS(5416),
    [anon_sym_SLASH] = ACTIONS(5416),
    [anon_sym_PERCENT] = ACTIONS(5416),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5414),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5414),
    [anon_sym_not_in] = ACTIONS(5414),
    [anon_sym_or_return] = ACTIONS(5414),
    [anon_sym_or_continue] = ACTIONS(5414),
    [anon_sym_or_break] = ACTIONS(5414),
    [anon_sym_CARET] = ACTIONS(5416),
    [sym_uninitialized] = ACTIONS(5414),
    [sym_tag] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5414),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1089] = {
    [sym_expression] = STATE(5705),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5418),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1090] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5420),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1091] = {
    [anon_sym_LBRACE] = ACTIONS(5422),
    [anon_sym_RBRACE] = ACTIONS(5422),
    [anon_sym_COMMA] = ACTIONS(5422),
    [anon_sym_COLON_COLON] = ACTIONS(5422),
    [anon_sym_DASH_GT] = ACTIONS(5422),
    [anon_sym_where] = ACTIONS(5422),
    [anon_sym_EQ] = ACTIONS(5424),
    [anon_sym_COLON] = ACTIONS(5424),
    [anon_sym_PIPE] = ACTIONS(5424),
    [anon_sym_COLON_EQ] = ACTIONS(5422),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(5422),
    [anon_sym_DASH_EQ] = ACTIONS(5422),
    [anon_sym_STAR_EQ] = ACTIONS(5422),
    [anon_sym_SLASH_EQ] = ACTIONS(5422),
    [anon_sym_PERCENT_EQ] = ACTIONS(5422),
    [anon_sym_AMP_EQ] = ACTIONS(5422),
    [anon_sym_PIPE_EQ] = ACTIONS(5422),
    [anon_sym_CARET_EQ] = ACTIONS(5422),
    [anon_sym_LT_LT_EQ] = ACTIONS(5422),
    [anon_sym_GT_GT_EQ] = ACTIONS(5422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5422),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5422),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5422),
    [anon_sym_if] = ACTIONS(5422),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym_else] = ACTIONS(5422),
    [anon_sym_when] = ACTIONS(5422),
    [anon_sym_in] = ACTIONS(5422),
    [anon_sym_case] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5422),
    [anon_sym_PLUS] = ACTIONS(5424),
    [anon_sym_DASH] = ACTIONS(5424),
    [anon_sym_TILDE] = ACTIONS(5424),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_PIPE_PIPE] = ACTIONS(5424),
    [anon_sym_or_else] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5424),
    [anon_sym_GT] = ACTIONS(5424),
    [anon_sym_GT_EQ] = ACTIONS(5422),
    [anon_sym_LT_EQ] = ACTIONS(5422),
    [anon_sym_LT] = ACTIONS(5424),
    [anon_sym_EQ_EQ] = ACTIONS(5422),
    [anon_sym_BANG_EQ] = ACTIONS(5422),
    [anon_sym_TILDE_EQ] = ACTIONS(5422),
    [anon_sym_AMP_TILDE] = ACTIONS(5424),
    [anon_sym_LT_LT] = ACTIONS(5424),
    [anon_sym_GT_GT] = ACTIONS(5424),
    [anon_sym_STAR] = ACTIONS(5424),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(5424),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5422),
    [anon_sym_DOT] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5422),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5422),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5422),
    [anon_sym_not_in] = ACTIONS(5422),
    [anon_sym_or_return] = ACTIONS(5422),
    [anon_sym_or_continue] = ACTIONS(5422),
    [anon_sym_or_break] = ACTIONS(5422),
    [anon_sym_CARET] = ACTIONS(5424),
    [sym_uninitialized] = ACTIONS(5422),
    [sym_tag] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5422),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1092] = {
    [anon_sym_LBRACE] = ACTIONS(4491),
    [anon_sym_RBRACE] = ACTIONS(4491),
    [anon_sym_COMMA] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4491),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [anon_sym_where] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_COLON_EQ] = ACTIONS(4491),
    [anon_sym_LPAREN] = ACTIONS(4491),
    [anon_sym_PLUS_EQ] = ACTIONS(4491),
    [anon_sym_DASH_EQ] = ACTIONS(4491),
    [anon_sym_STAR_EQ] = ACTIONS(4491),
    [anon_sym_SLASH_EQ] = ACTIONS(4491),
    [anon_sym_PERCENT_EQ] = ACTIONS(4491),
    [anon_sym_AMP_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_CARET_EQ] = ACTIONS(4491),
    [anon_sym_LT_LT_EQ] = ACTIONS(4491),
    [anon_sym_GT_GT_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_if] = ACTIONS(4491),
    [anon_sym_SEMI] = ACTIONS(4491),
    [anon_sym_else] = ACTIONS(4491),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_in] = ACTIONS(4491),
    [anon_sym_case] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_or_else] = ACTIONS(4491),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4491),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4491),
    [anon_sym_BANG_EQ] = ACTIONS(4491),
    [anon_sym_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4491),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4491),
    [anon_sym_not_in] = ACTIONS(4491),
    [anon_sym_or_return] = ACTIONS(4491),
    [anon_sym_or_continue] = ACTIONS(4491),
    [anon_sym_or_break] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4493),
    [sym_uninitialized] = ACTIONS(4491),
    [sym_tag] = ACTIONS(4491),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4491),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1093] = {
    [anon_sym_LBRACE] = ACTIONS(5426),
    [anon_sym_RBRACE] = ACTIONS(5426),
    [anon_sym_COMMA] = ACTIONS(5426),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_DASH_GT] = ACTIONS(5426),
    [anon_sym_where] = ACTIONS(5426),
    [anon_sym_EQ] = ACTIONS(5428),
    [anon_sym_COLON] = ACTIONS(5428),
    [anon_sym_PIPE] = ACTIONS(5428),
    [anon_sym_COLON_EQ] = ACTIONS(5426),
    [anon_sym_LPAREN] = ACTIONS(5426),
    [anon_sym_PLUS_EQ] = ACTIONS(5426),
    [anon_sym_DASH_EQ] = ACTIONS(5426),
    [anon_sym_STAR_EQ] = ACTIONS(5426),
    [anon_sym_SLASH_EQ] = ACTIONS(5426),
    [anon_sym_PERCENT_EQ] = ACTIONS(5426),
    [anon_sym_AMP_EQ] = ACTIONS(5426),
    [anon_sym_PIPE_EQ] = ACTIONS(5426),
    [anon_sym_CARET_EQ] = ACTIONS(5426),
    [anon_sym_LT_LT_EQ] = ACTIONS(5426),
    [anon_sym_GT_GT_EQ] = ACTIONS(5426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5426),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5426),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5426),
    [anon_sym_if] = ACTIONS(5426),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym_else] = ACTIONS(5426),
    [anon_sym_when] = ACTIONS(5426),
    [anon_sym_in] = ACTIONS(5426),
    [anon_sym_case] = ACTIONS(5426),
    [anon_sym_QMARK] = ACTIONS(5426),
    [anon_sym_PLUS] = ACTIONS(5428),
    [anon_sym_DASH] = ACTIONS(5428),
    [anon_sym_TILDE] = ACTIONS(5428),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_PIPE_PIPE] = ACTIONS(5428),
    [anon_sym_or_else] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5428),
    [anon_sym_GT] = ACTIONS(5428),
    [anon_sym_GT_EQ] = ACTIONS(5426),
    [anon_sym_LT_EQ] = ACTIONS(5426),
    [anon_sym_LT] = ACTIONS(5428),
    [anon_sym_EQ_EQ] = ACTIONS(5426),
    [anon_sym_BANG_EQ] = ACTIONS(5426),
    [anon_sym_TILDE_EQ] = ACTIONS(5426),
    [anon_sym_AMP_TILDE] = ACTIONS(5428),
    [anon_sym_LT_LT] = ACTIONS(5428),
    [anon_sym_GT_GT] = ACTIONS(5428),
    [anon_sym_STAR] = ACTIONS(5428),
    [anon_sym_SLASH] = ACTIONS(5428),
    [anon_sym_PERCENT] = ACTIONS(5428),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5426),
    [anon_sym_DOT] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5426),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5426),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5426),
    [anon_sym_not_in] = ACTIONS(5426),
    [anon_sym_or_return] = ACTIONS(5426),
    [anon_sym_or_continue] = ACTIONS(5426),
    [anon_sym_or_break] = ACTIONS(5426),
    [anon_sym_CARET] = ACTIONS(5428),
    [sym_uninitialized] = ACTIONS(5426),
    [sym_tag] = ACTIONS(5426),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5426),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1094] = {
    [anon_sym_LBRACE] = ACTIONS(5430),
    [anon_sym_RBRACE] = ACTIONS(5430),
    [anon_sym_COMMA] = ACTIONS(5430),
    [anon_sym_COLON_COLON] = ACTIONS(5430),
    [anon_sym_DASH_GT] = ACTIONS(5430),
    [anon_sym_where] = ACTIONS(5430),
    [anon_sym_EQ] = ACTIONS(5432),
    [anon_sym_COLON] = ACTIONS(5432),
    [anon_sym_PIPE] = ACTIONS(5432),
    [anon_sym_COLON_EQ] = ACTIONS(5430),
    [anon_sym_LPAREN] = ACTIONS(5430),
    [anon_sym_PLUS_EQ] = ACTIONS(5430),
    [anon_sym_DASH_EQ] = ACTIONS(5430),
    [anon_sym_STAR_EQ] = ACTIONS(5430),
    [anon_sym_SLASH_EQ] = ACTIONS(5430),
    [anon_sym_PERCENT_EQ] = ACTIONS(5430),
    [anon_sym_AMP_EQ] = ACTIONS(5430),
    [anon_sym_PIPE_EQ] = ACTIONS(5430),
    [anon_sym_CARET_EQ] = ACTIONS(5430),
    [anon_sym_LT_LT_EQ] = ACTIONS(5430),
    [anon_sym_GT_GT_EQ] = ACTIONS(5430),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5430),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5430),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5430),
    [anon_sym_if] = ACTIONS(5430),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym_else] = ACTIONS(5430),
    [anon_sym_when] = ACTIONS(5430),
    [anon_sym_in] = ACTIONS(5430),
    [anon_sym_case] = ACTIONS(5430),
    [anon_sym_QMARK] = ACTIONS(5430),
    [anon_sym_PLUS] = ACTIONS(5432),
    [anon_sym_DASH] = ACTIONS(5432),
    [anon_sym_TILDE] = ACTIONS(5432),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_PIPE_PIPE] = ACTIONS(5432),
    [anon_sym_or_else] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5432),
    [anon_sym_GT] = ACTIONS(5432),
    [anon_sym_GT_EQ] = ACTIONS(5430),
    [anon_sym_LT_EQ] = ACTIONS(5430),
    [anon_sym_LT] = ACTIONS(5432),
    [anon_sym_EQ_EQ] = ACTIONS(5430),
    [anon_sym_BANG_EQ] = ACTIONS(5430),
    [anon_sym_TILDE_EQ] = ACTIONS(5430),
    [anon_sym_AMP_TILDE] = ACTIONS(5432),
    [anon_sym_LT_LT] = ACTIONS(5432),
    [anon_sym_GT_GT] = ACTIONS(5432),
    [anon_sym_STAR] = ACTIONS(5432),
    [anon_sym_SLASH] = ACTIONS(5432),
    [anon_sym_PERCENT] = ACTIONS(5432),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5430),
    [anon_sym_DOT] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5430),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5430),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5430),
    [anon_sym_not_in] = ACTIONS(5430),
    [anon_sym_or_return] = ACTIONS(5430),
    [anon_sym_or_continue] = ACTIONS(5430),
    [anon_sym_or_break] = ACTIONS(5430),
    [anon_sym_CARET] = ACTIONS(5432),
    [sym_uninitialized] = ACTIONS(5430),
    [sym_tag] = ACTIONS(5430),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5430),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1095] = {
    [sym_expression] = STATE(5936),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5434),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1096] = {
    [anon_sym_LBRACE] = ACTIONS(4765),
    [anon_sym_RBRACE] = ACTIONS(4765),
    [anon_sym_COMMA] = ACTIONS(4765),
    [anon_sym_COLON_COLON] = ACTIONS(4765),
    [anon_sym_DASH_GT] = ACTIONS(4765),
    [anon_sym_where] = ACTIONS(4765),
    [anon_sym_EQ] = ACTIONS(4767),
    [anon_sym_COLON] = ACTIONS(4767),
    [anon_sym_PIPE] = ACTIONS(4767),
    [anon_sym_COLON_EQ] = ACTIONS(4765),
    [anon_sym_LPAREN] = ACTIONS(4765),
    [anon_sym_PLUS_EQ] = ACTIONS(4765),
    [anon_sym_DASH_EQ] = ACTIONS(4765),
    [anon_sym_STAR_EQ] = ACTIONS(4765),
    [anon_sym_SLASH_EQ] = ACTIONS(4765),
    [anon_sym_PERCENT_EQ] = ACTIONS(4765),
    [anon_sym_AMP_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_CARET_EQ] = ACTIONS(4765),
    [anon_sym_LT_LT_EQ] = ACTIONS(4765),
    [anon_sym_GT_GT_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_if] = ACTIONS(4765),
    [anon_sym_SEMI] = ACTIONS(4765),
    [anon_sym_else] = ACTIONS(4765),
    [anon_sym_when] = ACTIONS(4765),
    [anon_sym_in] = ACTIONS(4765),
    [anon_sym_case] = ACTIONS(4765),
    [anon_sym_QMARK] = ACTIONS(4765),
    [anon_sym_PLUS] = ACTIONS(4767),
    [anon_sym_DASH] = ACTIONS(4767),
    [anon_sym_TILDE] = ACTIONS(4767),
    [anon_sym_AMP] = ACTIONS(4767),
    [anon_sym_PIPE_PIPE] = ACTIONS(4767),
    [anon_sym_or_else] = ACTIONS(4765),
    [anon_sym_AMP_AMP] = ACTIONS(4767),
    [anon_sym_GT] = ACTIONS(4767),
    [anon_sym_GT_EQ] = ACTIONS(4765),
    [anon_sym_LT_EQ] = ACTIONS(4765),
    [anon_sym_LT] = ACTIONS(4767),
    [anon_sym_EQ_EQ] = ACTIONS(4765),
    [anon_sym_BANG_EQ] = ACTIONS(4765),
    [anon_sym_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE] = ACTIONS(4767),
    [anon_sym_LT_LT] = ACTIONS(4767),
    [anon_sym_GT_GT] = ACTIONS(4767),
    [anon_sym_STAR] = ACTIONS(4767),
    [anon_sym_SLASH] = ACTIONS(4767),
    [anon_sym_PERCENT] = ACTIONS(4767),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4765),
    [anon_sym_DOT] = ACTIONS(4767),
    [anon_sym_LBRACK] = ACTIONS(4765),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4765),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4765),
    [anon_sym_not_in] = ACTIONS(4765),
    [anon_sym_or_return] = ACTIONS(4765),
    [anon_sym_or_continue] = ACTIONS(4765),
    [anon_sym_or_break] = ACTIONS(4765),
    [anon_sym_CARET] = ACTIONS(4767),
    [sym_uninitialized] = ACTIONS(4765),
    [sym_tag] = ACTIONS(4765),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4765),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1097] = {
    [anon_sym_LBRACE] = ACTIONS(4771),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_COLON_COLON] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_where] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4773),
    [anon_sym_COLON] = ACTIONS(4773),
    [anon_sym_PIPE] = ACTIONS(4773),
    [anon_sym_COLON_EQ] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_else] = ACTIONS(4771),
    [anon_sym_when] = ACTIONS(4771),
    [anon_sym_in] = ACTIONS(4771),
    [anon_sym_case] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4773),
    [anon_sym_DASH] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_AMP] = ACTIONS(4773),
    [anon_sym_PIPE_PIPE] = ACTIONS(4773),
    [anon_sym_or_else] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4773),
    [anon_sym_GT] = ACTIONS(4773),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4773),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE] = ACTIONS(4773),
    [anon_sym_LT_LT] = ACTIONS(4773),
    [anon_sym_GT_GT] = ACTIONS(4773),
    [anon_sym_STAR] = ACTIONS(4773),
    [anon_sym_SLASH] = ACTIONS(4773),
    [anon_sym_PERCENT] = ACTIONS(4773),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4771),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4771),
    [anon_sym_not_in] = ACTIONS(4771),
    [anon_sym_or_return] = ACTIONS(4771),
    [anon_sym_or_continue] = ACTIONS(4771),
    [anon_sym_or_break] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4773),
    [sym_uninitialized] = ACTIONS(4771),
    [sym_tag] = ACTIONS(4771),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4771),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1098] = {
    [anon_sym_LBRACE] = ACTIONS(4295),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4295),
    [sym_tag] = ACTIONS(4295),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1099] = {
    [anon_sym_LBRACE] = ACTIONS(4303),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4303),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4303),
    [sym_tag] = ACTIONS(4303),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1100] = {
    [sym_expression] = STATE(5654),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5436),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1101] = {
    [anon_sym_LBRACE] = ACTIONS(4313),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4313),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4313),
    [sym_tag] = ACTIONS(4313),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1102] = {
    [sym_expression] = STATE(5704),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5438),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1103] = {
    [anon_sym_LBRACE] = ACTIONS(4355),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4355),
    [sym_tag] = ACTIONS(4355),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1104] = {
    [sym_expression] = STATE(5937),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5440),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1105] = {
    [anon_sym_LBRACE] = ACTIONS(4427),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4427),
    [sym_tag] = ACTIONS(4427),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1106] = {
    [sym_expression] = STATE(5698),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5442),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1107] = {
    [sym_expression] = STATE(5701),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5444),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1108] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1109] = {
    [anon_sym_LBRACE] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5448),
    [anon_sym_COMMA] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5448),
    [anon_sym_DASH_GT] = ACTIONS(5448),
    [anon_sym_where] = ACTIONS(5448),
    [anon_sym_EQ] = ACTIONS(5450),
    [anon_sym_COLON] = ACTIONS(5450),
    [anon_sym_PIPE] = ACTIONS(5450),
    [anon_sym_COLON_EQ] = ACTIONS(5448),
    [anon_sym_LPAREN] = ACTIONS(5448),
    [anon_sym_PLUS_EQ] = ACTIONS(5448),
    [anon_sym_DASH_EQ] = ACTIONS(5448),
    [anon_sym_STAR_EQ] = ACTIONS(5448),
    [anon_sym_SLASH_EQ] = ACTIONS(5448),
    [anon_sym_PERCENT_EQ] = ACTIONS(5448),
    [anon_sym_AMP_EQ] = ACTIONS(5448),
    [anon_sym_PIPE_EQ] = ACTIONS(5448),
    [anon_sym_CARET_EQ] = ACTIONS(5448),
    [anon_sym_LT_LT_EQ] = ACTIONS(5448),
    [anon_sym_GT_GT_EQ] = ACTIONS(5448),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5448),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5448),
    [anon_sym_if] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5448),
    [anon_sym_else] = ACTIONS(5448),
    [anon_sym_when] = ACTIONS(5448),
    [anon_sym_in] = ACTIONS(5448),
    [anon_sym_case] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_PLUS] = ACTIONS(5450),
    [anon_sym_DASH] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_PIPE_PIPE] = ACTIONS(5450),
    [anon_sym_or_else] = ACTIONS(5448),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_GT] = ACTIONS(5450),
    [anon_sym_GT_EQ] = ACTIONS(5448),
    [anon_sym_LT_EQ] = ACTIONS(5448),
    [anon_sym_LT] = ACTIONS(5450),
    [anon_sym_EQ_EQ] = ACTIONS(5448),
    [anon_sym_BANG_EQ] = ACTIONS(5448),
    [anon_sym_TILDE_EQ] = ACTIONS(5448),
    [anon_sym_AMP_TILDE] = ACTIONS(5450),
    [anon_sym_LT_LT] = ACTIONS(5450),
    [anon_sym_GT_GT] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_SLASH] = ACTIONS(5450),
    [anon_sym_PERCENT] = ACTIONS(5450),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5448),
    [anon_sym_DOT] = ACTIONS(5450),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5448),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5448),
    [anon_sym_not_in] = ACTIONS(5448),
    [anon_sym_or_return] = ACTIONS(5448),
    [anon_sym_or_continue] = ACTIONS(5448),
    [anon_sym_or_break] = ACTIONS(5448),
    [anon_sym_CARET] = ACTIONS(5450),
    [sym_uninitialized] = ACTIONS(5448),
    [sym_tag] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5448),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1110] = {
    [anon_sym_LBRACE] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5452),
    [anon_sym_COMMA] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5452),
    [anon_sym_DASH_GT] = ACTIONS(5452),
    [anon_sym_where] = ACTIONS(5452),
    [anon_sym_EQ] = ACTIONS(5454),
    [anon_sym_COLON] = ACTIONS(5454),
    [anon_sym_PIPE] = ACTIONS(5454),
    [anon_sym_COLON_EQ] = ACTIONS(5452),
    [anon_sym_LPAREN] = ACTIONS(5452),
    [anon_sym_PLUS_EQ] = ACTIONS(5452),
    [anon_sym_DASH_EQ] = ACTIONS(5452),
    [anon_sym_STAR_EQ] = ACTIONS(5452),
    [anon_sym_SLASH_EQ] = ACTIONS(5452),
    [anon_sym_PERCENT_EQ] = ACTIONS(5452),
    [anon_sym_AMP_EQ] = ACTIONS(5452),
    [anon_sym_PIPE_EQ] = ACTIONS(5452),
    [anon_sym_CARET_EQ] = ACTIONS(5452),
    [anon_sym_LT_LT_EQ] = ACTIONS(5452),
    [anon_sym_GT_GT_EQ] = ACTIONS(5452),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5452),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5452),
    [anon_sym_if] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5452),
    [anon_sym_else] = ACTIONS(5452),
    [anon_sym_when] = ACTIONS(5452),
    [anon_sym_in] = ACTIONS(5452),
    [anon_sym_case] = ACTIONS(5452),
    [anon_sym_QMARK] = ACTIONS(5452),
    [anon_sym_PLUS] = ACTIONS(5454),
    [anon_sym_DASH] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5454),
    [anon_sym_PIPE_PIPE] = ACTIONS(5454),
    [anon_sym_or_else] = ACTIONS(5452),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_GT] = ACTIONS(5454),
    [anon_sym_GT_EQ] = ACTIONS(5452),
    [anon_sym_LT_EQ] = ACTIONS(5452),
    [anon_sym_LT] = ACTIONS(5454),
    [anon_sym_EQ_EQ] = ACTIONS(5452),
    [anon_sym_BANG_EQ] = ACTIONS(5452),
    [anon_sym_TILDE_EQ] = ACTIONS(5452),
    [anon_sym_AMP_TILDE] = ACTIONS(5454),
    [anon_sym_LT_LT] = ACTIONS(5454),
    [anon_sym_GT_GT] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_SLASH] = ACTIONS(5454),
    [anon_sym_PERCENT] = ACTIONS(5454),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5452),
    [anon_sym_DOT] = ACTIONS(5454),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5452),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5452),
    [anon_sym_not_in] = ACTIONS(5452),
    [anon_sym_or_return] = ACTIONS(5452),
    [anon_sym_or_continue] = ACTIONS(5452),
    [anon_sym_or_break] = ACTIONS(5452),
    [anon_sym_CARET] = ACTIONS(5454),
    [sym_uninitialized] = ACTIONS(5452),
    [sym_tag] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5452),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1111] = {
    [anon_sym_LBRACE] = ACTIONS(5456),
    [anon_sym_RBRACE] = ACTIONS(5456),
    [anon_sym_COMMA] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5456),
    [anon_sym_DASH_GT] = ACTIONS(5456),
    [anon_sym_where] = ACTIONS(5456),
    [anon_sym_EQ] = ACTIONS(5458),
    [anon_sym_COLON] = ACTIONS(5458),
    [anon_sym_PIPE] = ACTIONS(5458),
    [anon_sym_COLON_EQ] = ACTIONS(5456),
    [anon_sym_LPAREN] = ACTIONS(5456),
    [anon_sym_PLUS_EQ] = ACTIONS(5456),
    [anon_sym_DASH_EQ] = ACTIONS(5456),
    [anon_sym_STAR_EQ] = ACTIONS(5456),
    [anon_sym_SLASH_EQ] = ACTIONS(5456),
    [anon_sym_PERCENT_EQ] = ACTIONS(5456),
    [anon_sym_AMP_EQ] = ACTIONS(5456),
    [anon_sym_PIPE_EQ] = ACTIONS(5456),
    [anon_sym_CARET_EQ] = ACTIONS(5456),
    [anon_sym_LT_LT_EQ] = ACTIONS(5456),
    [anon_sym_GT_GT_EQ] = ACTIONS(5456),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5456),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5456),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5456),
    [anon_sym_if] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5456),
    [anon_sym_else] = ACTIONS(5456),
    [anon_sym_when] = ACTIONS(5456),
    [anon_sym_in] = ACTIONS(5456),
    [anon_sym_case] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5456),
    [anon_sym_PLUS] = ACTIONS(5458),
    [anon_sym_DASH] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5458),
    [anon_sym_PIPE_PIPE] = ACTIONS(5458),
    [anon_sym_or_else] = ACTIONS(5456),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_GT] = ACTIONS(5458),
    [anon_sym_GT_EQ] = ACTIONS(5456),
    [anon_sym_LT_EQ] = ACTIONS(5456),
    [anon_sym_LT] = ACTIONS(5458),
    [anon_sym_EQ_EQ] = ACTIONS(5456),
    [anon_sym_BANG_EQ] = ACTIONS(5456),
    [anon_sym_TILDE_EQ] = ACTIONS(5456),
    [anon_sym_AMP_TILDE] = ACTIONS(5458),
    [anon_sym_LT_LT] = ACTIONS(5458),
    [anon_sym_GT_GT] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_SLASH] = ACTIONS(5458),
    [anon_sym_PERCENT] = ACTIONS(5458),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5456),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5456),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5456),
    [anon_sym_not_in] = ACTIONS(5456),
    [anon_sym_or_return] = ACTIONS(5456),
    [anon_sym_or_continue] = ACTIONS(5456),
    [anon_sym_or_break] = ACTIONS(5456),
    [anon_sym_CARET] = ACTIONS(5458),
    [sym_uninitialized] = ACTIONS(5456),
    [sym_tag] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5456),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1112] = {
    [anon_sym_LBRACE] = ACTIONS(5460),
    [anon_sym_RBRACE] = ACTIONS(5460),
    [anon_sym_COMMA] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5460),
    [anon_sym_DASH_GT] = ACTIONS(5460),
    [anon_sym_where] = ACTIONS(5460),
    [anon_sym_EQ] = ACTIONS(5462),
    [anon_sym_COLON] = ACTIONS(5462),
    [anon_sym_PIPE] = ACTIONS(5462),
    [anon_sym_COLON_EQ] = ACTIONS(5460),
    [anon_sym_LPAREN] = ACTIONS(5460),
    [anon_sym_PLUS_EQ] = ACTIONS(5460),
    [anon_sym_DASH_EQ] = ACTIONS(5460),
    [anon_sym_STAR_EQ] = ACTIONS(5460),
    [anon_sym_SLASH_EQ] = ACTIONS(5460),
    [anon_sym_PERCENT_EQ] = ACTIONS(5460),
    [anon_sym_AMP_EQ] = ACTIONS(5460),
    [anon_sym_PIPE_EQ] = ACTIONS(5460),
    [anon_sym_CARET_EQ] = ACTIONS(5460),
    [anon_sym_LT_LT_EQ] = ACTIONS(5460),
    [anon_sym_GT_GT_EQ] = ACTIONS(5460),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5460),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5460),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5460),
    [anon_sym_if] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5460),
    [anon_sym_else] = ACTIONS(5460),
    [anon_sym_when] = ACTIONS(5460),
    [anon_sym_in] = ACTIONS(5460),
    [anon_sym_case] = ACTIONS(5460),
    [anon_sym_QMARK] = ACTIONS(5460),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5462),
    [anon_sym_PIPE_PIPE] = ACTIONS(5462),
    [anon_sym_or_else] = ACTIONS(5460),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_GT] = ACTIONS(5462),
    [anon_sym_GT_EQ] = ACTIONS(5460),
    [anon_sym_LT_EQ] = ACTIONS(5460),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_EQ_EQ] = ACTIONS(5460),
    [anon_sym_BANG_EQ] = ACTIONS(5460),
    [anon_sym_TILDE_EQ] = ACTIONS(5460),
    [anon_sym_AMP_TILDE] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(5462),
    [anon_sym_GT_GT] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_SLASH] = ACTIONS(5462),
    [anon_sym_PERCENT] = ACTIONS(5462),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5460),
    [anon_sym_DOT] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5460),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5460),
    [anon_sym_not_in] = ACTIONS(5460),
    [anon_sym_or_return] = ACTIONS(5460),
    [anon_sym_or_continue] = ACTIONS(5460),
    [anon_sym_or_break] = ACTIONS(5460),
    [anon_sym_CARET] = ACTIONS(5462),
    [sym_uninitialized] = ACTIONS(5460),
    [sym_tag] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5460),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1113] = {
    [anon_sym_LBRACE] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5464),
    [anon_sym_COMMA] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5464),
    [anon_sym_DASH_GT] = ACTIONS(5464),
    [anon_sym_where] = ACTIONS(5464),
    [anon_sym_EQ] = ACTIONS(5466),
    [anon_sym_COLON] = ACTIONS(5466),
    [anon_sym_PIPE] = ACTIONS(5466),
    [anon_sym_COLON_EQ] = ACTIONS(5464),
    [anon_sym_LPAREN] = ACTIONS(5464),
    [anon_sym_PLUS_EQ] = ACTIONS(5464),
    [anon_sym_DASH_EQ] = ACTIONS(5464),
    [anon_sym_STAR_EQ] = ACTIONS(5464),
    [anon_sym_SLASH_EQ] = ACTIONS(5464),
    [anon_sym_PERCENT_EQ] = ACTIONS(5464),
    [anon_sym_AMP_EQ] = ACTIONS(5464),
    [anon_sym_PIPE_EQ] = ACTIONS(5464),
    [anon_sym_CARET_EQ] = ACTIONS(5464),
    [anon_sym_LT_LT_EQ] = ACTIONS(5464),
    [anon_sym_GT_GT_EQ] = ACTIONS(5464),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5464),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5464),
    [anon_sym_if] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5464),
    [anon_sym_else] = ACTIONS(5464),
    [anon_sym_when] = ACTIONS(5464),
    [anon_sym_in] = ACTIONS(5464),
    [anon_sym_case] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_PLUS] = ACTIONS(5466),
    [anon_sym_DASH] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5466),
    [anon_sym_PIPE_PIPE] = ACTIONS(5466),
    [anon_sym_or_else] = ACTIONS(5464),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_GT] = ACTIONS(5466),
    [anon_sym_GT_EQ] = ACTIONS(5464),
    [anon_sym_LT_EQ] = ACTIONS(5464),
    [anon_sym_LT] = ACTIONS(5466),
    [anon_sym_EQ_EQ] = ACTIONS(5464),
    [anon_sym_BANG_EQ] = ACTIONS(5464),
    [anon_sym_TILDE_EQ] = ACTIONS(5464),
    [anon_sym_AMP_TILDE] = ACTIONS(5466),
    [anon_sym_LT_LT] = ACTIONS(5466),
    [anon_sym_GT_GT] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_SLASH] = ACTIONS(5466),
    [anon_sym_PERCENT] = ACTIONS(5466),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5464),
    [anon_sym_DOT] = ACTIONS(5466),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5464),
    [anon_sym_not_in] = ACTIONS(5464),
    [anon_sym_or_return] = ACTIONS(5464),
    [anon_sym_or_continue] = ACTIONS(5464),
    [anon_sym_or_break] = ACTIONS(5464),
    [anon_sym_CARET] = ACTIONS(5466),
    [sym_uninitialized] = ACTIONS(5464),
    [sym_tag] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5464),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1114] = {
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5468),
    [anon_sym_COMMA] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5468),
    [anon_sym_DASH_GT] = ACTIONS(5468),
    [anon_sym_where] = ACTIONS(5468),
    [anon_sym_EQ] = ACTIONS(5470),
    [anon_sym_COLON] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5470),
    [anon_sym_COLON_EQ] = ACTIONS(5468),
    [anon_sym_LPAREN] = ACTIONS(5468),
    [anon_sym_PLUS_EQ] = ACTIONS(5468),
    [anon_sym_DASH_EQ] = ACTIONS(5468),
    [anon_sym_STAR_EQ] = ACTIONS(5468),
    [anon_sym_SLASH_EQ] = ACTIONS(5468),
    [anon_sym_PERCENT_EQ] = ACTIONS(5468),
    [anon_sym_AMP_EQ] = ACTIONS(5468),
    [anon_sym_PIPE_EQ] = ACTIONS(5468),
    [anon_sym_CARET_EQ] = ACTIONS(5468),
    [anon_sym_LT_LT_EQ] = ACTIONS(5468),
    [anon_sym_GT_GT_EQ] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5468),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5468),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5468),
    [anon_sym_if] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5468),
    [anon_sym_else] = ACTIONS(5468),
    [anon_sym_when] = ACTIONS(5468),
    [anon_sym_in] = ACTIONS(5468),
    [anon_sym_case] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5470),
    [anon_sym_TILDE] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5470),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_or_else] = ACTIONS(5468),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5470),
    [anon_sym_GT_EQ] = ACTIONS(5468),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5470),
    [anon_sym_EQ_EQ] = ACTIONS(5468),
    [anon_sym_BANG_EQ] = ACTIONS(5468),
    [anon_sym_TILDE_EQ] = ACTIONS(5468),
    [anon_sym_AMP_TILDE] = ACTIONS(5470),
    [anon_sym_LT_LT] = ACTIONS(5470),
    [anon_sym_GT_GT] = ACTIONS(5470),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_SLASH] = ACTIONS(5470),
    [anon_sym_PERCENT] = ACTIONS(5470),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5468),
    [anon_sym_DOT] = ACTIONS(5470),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5468),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5468),
    [anon_sym_not_in] = ACTIONS(5468),
    [anon_sym_or_return] = ACTIONS(5468),
    [anon_sym_or_continue] = ACTIONS(5468),
    [anon_sym_or_break] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5470),
    [sym_uninitialized] = ACTIONS(5468),
    [sym_tag] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5468),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1115] = {
    [anon_sym_LBRACE] = ACTIONS(5472),
    [anon_sym_RBRACE] = ACTIONS(5472),
    [anon_sym_COMMA] = ACTIONS(5472),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym_DASH_GT] = ACTIONS(5472),
    [anon_sym_where] = ACTIONS(5472),
    [anon_sym_EQ] = ACTIONS(5474),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_COLON_EQ] = ACTIONS(5472),
    [anon_sym_LPAREN] = ACTIONS(5472),
    [anon_sym_PLUS_EQ] = ACTIONS(5472),
    [anon_sym_DASH_EQ] = ACTIONS(5472),
    [anon_sym_STAR_EQ] = ACTIONS(5472),
    [anon_sym_SLASH_EQ] = ACTIONS(5472),
    [anon_sym_PERCENT_EQ] = ACTIONS(5472),
    [anon_sym_AMP_EQ] = ACTIONS(5472),
    [anon_sym_PIPE_EQ] = ACTIONS(5472),
    [anon_sym_CARET_EQ] = ACTIONS(5472),
    [anon_sym_LT_LT_EQ] = ACTIONS(5472),
    [anon_sym_GT_GT_EQ] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5472),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5472),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5472),
    [anon_sym_if] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5472),
    [anon_sym_else] = ACTIONS(5472),
    [anon_sym_when] = ACTIONS(5472),
    [anon_sym_in] = ACTIONS(5472),
    [anon_sym_case] = ACTIONS(5472),
    [anon_sym_QMARK] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_TILDE] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_or_else] = ACTIONS(5472),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5472),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5472),
    [anon_sym_BANG_EQ] = ACTIONS(5472),
    [anon_sym_TILDE_EQ] = ACTIONS(5472),
    [anon_sym_AMP_TILDE] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5472),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5472),
    [anon_sym_not_in] = ACTIONS(5472),
    [anon_sym_or_return] = ACTIONS(5472),
    [anon_sym_or_continue] = ACTIONS(5472),
    [anon_sym_or_break] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5474),
    [sym_uninitialized] = ACTIONS(5472),
    [sym_tag] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5472),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1116] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5476),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1117] = {
    [anon_sym_LBRACE] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_COLON_COLON] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [anon_sym_where] = ACTIONS(5478),
    [anon_sym_EQ] = ACTIONS(5480),
    [anon_sym_COLON] = ACTIONS(5480),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_COLON_EQ] = ACTIONS(5478),
    [anon_sym_LPAREN] = ACTIONS(5478),
    [anon_sym_PLUS_EQ] = ACTIONS(5478),
    [anon_sym_DASH_EQ] = ACTIONS(5478),
    [anon_sym_STAR_EQ] = ACTIONS(5478),
    [anon_sym_SLASH_EQ] = ACTIONS(5478),
    [anon_sym_PERCENT_EQ] = ACTIONS(5478),
    [anon_sym_AMP_EQ] = ACTIONS(5478),
    [anon_sym_PIPE_EQ] = ACTIONS(5478),
    [anon_sym_CARET_EQ] = ACTIONS(5478),
    [anon_sym_LT_LT_EQ] = ACTIONS(5478),
    [anon_sym_GT_GT_EQ] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5478),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5478),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5478),
    [anon_sym_if] = ACTIONS(5478),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym_else] = ACTIONS(5478),
    [anon_sym_when] = ACTIONS(5478),
    [anon_sym_in] = ACTIONS(5478),
    [anon_sym_case] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_TILDE] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_PIPE_PIPE] = ACTIONS(5480),
    [anon_sym_or_else] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5480),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5478),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_TILDE_EQ] = ACTIONS(5478),
    [anon_sym_AMP_TILDE] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5480),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5480),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5480),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5478),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5478),
    [anon_sym_not_in] = ACTIONS(5478),
    [anon_sym_or_return] = ACTIONS(5478),
    [anon_sym_or_continue] = ACTIONS(5478),
    [anon_sym_or_break] = ACTIONS(5478),
    [anon_sym_CARET] = ACTIONS(5480),
    [sym_uninitialized] = ACTIONS(5478),
    [sym_tag] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5478),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1118] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_TILDE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5484),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5484),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5484),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5482),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5482),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1119] = {
    [anon_sym_LBRACE] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_COLON_COLON] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [anon_sym_where] = ACTIONS(5486),
    [anon_sym_EQ] = ACTIONS(5488),
    [anon_sym_COLON] = ACTIONS(5488),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_COLON_EQ] = ACTIONS(5486),
    [anon_sym_LPAREN] = ACTIONS(5486),
    [anon_sym_PLUS_EQ] = ACTIONS(5486),
    [anon_sym_DASH_EQ] = ACTIONS(5486),
    [anon_sym_STAR_EQ] = ACTIONS(5486),
    [anon_sym_SLASH_EQ] = ACTIONS(5486),
    [anon_sym_PERCENT_EQ] = ACTIONS(5486),
    [anon_sym_AMP_EQ] = ACTIONS(5486),
    [anon_sym_PIPE_EQ] = ACTIONS(5486),
    [anon_sym_CARET_EQ] = ACTIONS(5486),
    [anon_sym_LT_LT_EQ] = ACTIONS(5486),
    [anon_sym_GT_GT_EQ] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5486),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5486),
    [anon_sym_if] = ACTIONS(5486),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym_else] = ACTIONS(5486),
    [anon_sym_when] = ACTIONS(5486),
    [anon_sym_in] = ACTIONS(5486),
    [anon_sym_case] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_TILDE] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_PIPE_PIPE] = ACTIONS(5488),
    [anon_sym_or_else] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_TILDE_EQ] = ACTIONS(5486),
    [anon_sym_AMP_TILDE] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5488),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5488),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5488),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5486),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5486),
    [anon_sym_not_in] = ACTIONS(5486),
    [anon_sym_or_return] = ACTIONS(5486),
    [anon_sym_or_continue] = ACTIONS(5486),
    [anon_sym_or_break] = ACTIONS(5486),
    [anon_sym_CARET] = ACTIONS(5488),
    [sym_uninitialized] = ACTIONS(5486),
    [sym_tag] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5486),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1120] = {
    [anon_sym_LBRACE] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [anon_sym_where] = ACTIONS(5490),
    [anon_sym_EQ] = ACTIONS(5492),
    [anon_sym_COLON] = ACTIONS(5492),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_COLON_EQ] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5490),
    [anon_sym_PLUS_EQ] = ACTIONS(5490),
    [anon_sym_DASH_EQ] = ACTIONS(5490),
    [anon_sym_STAR_EQ] = ACTIONS(5490),
    [anon_sym_SLASH_EQ] = ACTIONS(5490),
    [anon_sym_PERCENT_EQ] = ACTIONS(5490),
    [anon_sym_AMP_EQ] = ACTIONS(5490),
    [anon_sym_PIPE_EQ] = ACTIONS(5490),
    [anon_sym_CARET_EQ] = ACTIONS(5490),
    [anon_sym_LT_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT_GT_EQ] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5490),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5490),
    [anon_sym_if] = ACTIONS(5490),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym_else] = ACTIONS(5490),
    [anon_sym_when] = ACTIONS(5490),
    [anon_sym_in] = ACTIONS(5490),
    [anon_sym_case] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_TILDE] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_PIPE_PIPE] = ACTIONS(5492),
    [anon_sym_or_else] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_TILDE_EQ] = ACTIONS(5490),
    [anon_sym_AMP_TILDE] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5492),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5492),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5492),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5490),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5490),
    [anon_sym_not_in] = ACTIONS(5490),
    [anon_sym_or_return] = ACTIONS(5490),
    [anon_sym_or_continue] = ACTIONS(5490),
    [anon_sym_or_break] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5492),
    [sym_uninitialized] = ACTIONS(5490),
    [sym_tag] = ACTIONS(5490),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5490),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1121] = {
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_COLON_COLON] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [anon_sym_where] = ACTIONS(5494),
    [anon_sym_EQ] = ACTIONS(5496),
    [anon_sym_COLON] = ACTIONS(5496),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_COLON_EQ] = ACTIONS(5494),
    [anon_sym_LPAREN] = ACTIONS(5494),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_AMP_EQ] = ACTIONS(5494),
    [anon_sym_PIPE_EQ] = ACTIONS(5494),
    [anon_sym_CARET_EQ] = ACTIONS(5494),
    [anon_sym_LT_LT_EQ] = ACTIONS(5494),
    [anon_sym_GT_GT_EQ] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5494),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5494),
    [anon_sym_if] = ACTIONS(5494),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym_else] = ACTIONS(5494),
    [anon_sym_when] = ACTIONS(5494),
    [anon_sym_in] = ACTIONS(5494),
    [anon_sym_case] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_TILDE] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_or_else] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5496),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5494),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_TILDE_EQ] = ACTIONS(5494),
    [anon_sym_AMP_TILDE] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5496),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5496),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5496),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5494),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5494),
    [anon_sym_not_in] = ACTIONS(5494),
    [anon_sym_or_return] = ACTIONS(5494),
    [anon_sym_or_continue] = ACTIONS(5494),
    [anon_sym_or_break] = ACTIONS(5494),
    [anon_sym_CARET] = ACTIONS(5496),
    [sym_uninitialized] = ACTIONS(5494),
    [sym_tag] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5494),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1122] = {
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_COLON_COLON] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [anon_sym_where] = ACTIONS(5498),
    [anon_sym_EQ] = ACTIONS(5500),
    [anon_sym_COLON] = ACTIONS(5500),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_COLON_EQ] = ACTIONS(5498),
    [anon_sym_LPAREN] = ACTIONS(5498),
    [anon_sym_PLUS_EQ] = ACTIONS(5498),
    [anon_sym_DASH_EQ] = ACTIONS(5498),
    [anon_sym_STAR_EQ] = ACTIONS(5498),
    [anon_sym_SLASH_EQ] = ACTIONS(5498),
    [anon_sym_PERCENT_EQ] = ACTIONS(5498),
    [anon_sym_AMP_EQ] = ACTIONS(5498),
    [anon_sym_PIPE_EQ] = ACTIONS(5498),
    [anon_sym_CARET_EQ] = ACTIONS(5498),
    [anon_sym_LT_LT_EQ] = ACTIONS(5498),
    [anon_sym_GT_GT_EQ] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5498),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5498),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5498),
    [anon_sym_if] = ACTIONS(5498),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym_else] = ACTIONS(5498),
    [anon_sym_when] = ACTIONS(5498),
    [anon_sym_in] = ACTIONS(5498),
    [anon_sym_case] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_TILDE] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_or_else] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5498),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_TILDE_EQ] = ACTIONS(5498),
    [anon_sym_AMP_TILDE] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5500),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5500),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5500),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5498),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5498),
    [anon_sym_not_in] = ACTIONS(5498),
    [anon_sym_or_return] = ACTIONS(5498),
    [anon_sym_or_continue] = ACTIONS(5498),
    [anon_sym_or_break] = ACTIONS(5498),
    [anon_sym_CARET] = ACTIONS(5500),
    [sym_uninitialized] = ACTIONS(5498),
    [sym_tag] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5498),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1123] = {
    [anon_sym_LBRACE] = ACTIONS(5502),
    [anon_sym_RBRACE] = ACTIONS(5502),
    [anon_sym_COMMA] = ACTIONS(5502),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_DASH_GT] = ACTIONS(5502),
    [anon_sym_where] = ACTIONS(5502),
    [anon_sym_EQ] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5504),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_COLON_EQ] = ACTIONS(5502),
    [anon_sym_LPAREN] = ACTIONS(5502),
    [anon_sym_PLUS_EQ] = ACTIONS(5502),
    [anon_sym_DASH_EQ] = ACTIONS(5502),
    [anon_sym_STAR_EQ] = ACTIONS(5502),
    [anon_sym_SLASH_EQ] = ACTIONS(5502),
    [anon_sym_PERCENT_EQ] = ACTIONS(5502),
    [anon_sym_AMP_EQ] = ACTIONS(5502),
    [anon_sym_PIPE_EQ] = ACTIONS(5502),
    [anon_sym_CARET_EQ] = ACTIONS(5502),
    [anon_sym_LT_LT_EQ] = ACTIONS(5502),
    [anon_sym_GT_GT_EQ] = ACTIONS(5502),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5502),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5502),
    [anon_sym_if] = ACTIONS(5502),
    [anon_sym_SEMI] = ACTIONS(5502),
    [anon_sym_else] = ACTIONS(5502),
    [anon_sym_when] = ACTIONS(5502),
    [anon_sym_in] = ACTIONS(5502),
    [anon_sym_case] = ACTIONS(5502),
    [anon_sym_QMARK] = ACTIONS(5502),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_TILDE] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5504),
    [anon_sym_or_else] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5504),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5502),
    [anon_sym_LT_EQ] = ACTIONS(5502),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5502),
    [anon_sym_BANG_EQ] = ACTIONS(5502),
    [anon_sym_TILDE_EQ] = ACTIONS(5502),
    [anon_sym_AMP_TILDE] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5502),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5502),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5502),
    [anon_sym_not_in] = ACTIONS(5502),
    [anon_sym_or_return] = ACTIONS(5502),
    [anon_sym_or_continue] = ACTIONS(5502),
    [anon_sym_or_break] = ACTIONS(5502),
    [anon_sym_CARET] = ACTIONS(5504),
    [sym_uninitialized] = ACTIONS(5502),
    [sym_tag] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5502),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1124] = {
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_COLON_COLON] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [anon_sym_where] = ACTIONS(5506),
    [anon_sym_EQ] = ACTIONS(5508),
    [anon_sym_COLON] = ACTIONS(5508),
    [anon_sym_PIPE] = ACTIONS(5508),
    [anon_sym_COLON_EQ] = ACTIONS(5506),
    [anon_sym_LPAREN] = ACTIONS(5506),
    [anon_sym_PLUS_EQ] = ACTIONS(5506),
    [anon_sym_DASH_EQ] = ACTIONS(5506),
    [anon_sym_STAR_EQ] = ACTIONS(5506),
    [anon_sym_SLASH_EQ] = ACTIONS(5506),
    [anon_sym_PERCENT_EQ] = ACTIONS(5506),
    [anon_sym_AMP_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_CARET_EQ] = ACTIONS(5506),
    [anon_sym_LT_LT_EQ] = ACTIONS(5506),
    [anon_sym_GT_GT_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5506),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5506),
    [anon_sym_if] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym_else] = ACTIONS(5506),
    [anon_sym_when] = ACTIONS(5506),
    [anon_sym_in] = ACTIONS(5506),
    [anon_sym_case] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_PLUS] = ACTIONS(5508),
    [anon_sym_DASH] = ACTIONS(5508),
    [anon_sym_TILDE] = ACTIONS(5508),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym_PIPE_PIPE] = ACTIONS(5508),
    [anon_sym_or_else] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5508),
    [anon_sym_GT] = ACTIONS(5508),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5506),
    [anon_sym_LT] = ACTIONS(5508),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_TILDE_EQ] = ACTIONS(5506),
    [anon_sym_AMP_TILDE] = ACTIONS(5508),
    [anon_sym_LT_LT] = ACTIONS(5508),
    [anon_sym_GT_GT] = ACTIONS(5508),
    [anon_sym_STAR] = ACTIONS(5508),
    [anon_sym_SLASH] = ACTIONS(5508),
    [anon_sym_PERCENT] = ACTIONS(5508),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5506),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5506),
    [anon_sym_not_in] = ACTIONS(5506),
    [anon_sym_or_return] = ACTIONS(5506),
    [anon_sym_or_continue] = ACTIONS(5506),
    [anon_sym_or_break] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [sym_uninitialized] = ACTIONS(5506),
    [sym_tag] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5506),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1125] = {
    [anon_sym_LBRACE] = ACTIONS(5510),
    [anon_sym_RBRACE] = ACTIONS(5510),
    [anon_sym_COMMA] = ACTIONS(5510),
    [anon_sym_COLON_COLON] = ACTIONS(5510),
    [anon_sym_DASH_GT] = ACTIONS(5510),
    [anon_sym_where] = ACTIONS(5510),
    [anon_sym_EQ] = ACTIONS(5512),
    [anon_sym_COLON] = ACTIONS(5512),
    [anon_sym_PIPE] = ACTIONS(5512),
    [anon_sym_COLON_EQ] = ACTIONS(5510),
    [anon_sym_LPAREN] = ACTIONS(5510),
    [anon_sym_PLUS_EQ] = ACTIONS(5510),
    [anon_sym_DASH_EQ] = ACTIONS(5510),
    [anon_sym_STAR_EQ] = ACTIONS(5510),
    [anon_sym_SLASH_EQ] = ACTIONS(5510),
    [anon_sym_PERCENT_EQ] = ACTIONS(5510),
    [anon_sym_AMP_EQ] = ACTIONS(5510),
    [anon_sym_PIPE_EQ] = ACTIONS(5510),
    [anon_sym_CARET_EQ] = ACTIONS(5510),
    [anon_sym_LT_LT_EQ] = ACTIONS(5510),
    [anon_sym_GT_GT_EQ] = ACTIONS(5510),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5510),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5510),
    [anon_sym_if] = ACTIONS(5510),
    [anon_sym_SEMI] = ACTIONS(5510),
    [anon_sym_else] = ACTIONS(5510),
    [anon_sym_when] = ACTIONS(5510),
    [anon_sym_in] = ACTIONS(5510),
    [anon_sym_case] = ACTIONS(5510),
    [anon_sym_QMARK] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_TILDE] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(5512),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_or_else] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_GT] = ACTIONS(5512),
    [anon_sym_GT_EQ] = ACTIONS(5510),
    [anon_sym_LT_EQ] = ACTIONS(5510),
    [anon_sym_LT] = ACTIONS(5512),
    [anon_sym_EQ_EQ] = ACTIONS(5510),
    [anon_sym_BANG_EQ] = ACTIONS(5510),
    [anon_sym_TILDE_EQ] = ACTIONS(5510),
    [anon_sym_AMP_TILDE] = ACTIONS(5512),
    [anon_sym_LT_LT] = ACTIONS(5512),
    [anon_sym_GT_GT] = ACTIONS(5512),
    [anon_sym_STAR] = ACTIONS(5512),
    [anon_sym_SLASH] = ACTIONS(5512),
    [anon_sym_PERCENT] = ACTIONS(5512),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5510),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5510),
    [anon_sym_not_in] = ACTIONS(5510),
    [anon_sym_or_return] = ACTIONS(5510),
    [anon_sym_or_continue] = ACTIONS(5510),
    [anon_sym_or_break] = ACTIONS(5510),
    [anon_sym_CARET] = ACTIONS(5512),
    [sym_uninitialized] = ACTIONS(5510),
    [sym_tag] = ACTIONS(5510),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5510),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1126] = {
    [anon_sym_LBRACE] = ACTIONS(5514),
    [anon_sym_RBRACE] = ACTIONS(5514),
    [anon_sym_COMMA] = ACTIONS(5514),
    [anon_sym_COLON_COLON] = ACTIONS(5514),
    [anon_sym_DASH_GT] = ACTIONS(5514),
    [anon_sym_where] = ACTIONS(5514),
    [anon_sym_EQ] = ACTIONS(5516),
    [anon_sym_COLON] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5516),
    [anon_sym_COLON_EQ] = ACTIONS(5514),
    [anon_sym_LPAREN] = ACTIONS(5514),
    [anon_sym_PLUS_EQ] = ACTIONS(5514),
    [anon_sym_DASH_EQ] = ACTIONS(5514),
    [anon_sym_STAR_EQ] = ACTIONS(5514),
    [anon_sym_SLASH_EQ] = ACTIONS(5514),
    [anon_sym_PERCENT_EQ] = ACTIONS(5514),
    [anon_sym_AMP_EQ] = ACTIONS(5514),
    [anon_sym_PIPE_EQ] = ACTIONS(5514),
    [anon_sym_CARET_EQ] = ACTIONS(5514),
    [anon_sym_LT_LT_EQ] = ACTIONS(5514),
    [anon_sym_GT_GT_EQ] = ACTIONS(5514),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5514),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5514),
    [anon_sym_if] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5514),
    [anon_sym_else] = ACTIONS(5514),
    [anon_sym_when] = ACTIONS(5514),
    [anon_sym_in] = ACTIONS(5514),
    [anon_sym_case] = ACTIONS(5514),
    [anon_sym_QMARK] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5516),
    [anon_sym_DASH] = ACTIONS(5516),
    [anon_sym_TILDE] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_or_else] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_GT] = ACTIONS(5516),
    [anon_sym_GT_EQ] = ACTIONS(5514),
    [anon_sym_LT_EQ] = ACTIONS(5514),
    [anon_sym_LT] = ACTIONS(5516),
    [anon_sym_EQ_EQ] = ACTIONS(5514),
    [anon_sym_BANG_EQ] = ACTIONS(5514),
    [anon_sym_TILDE_EQ] = ACTIONS(5514),
    [anon_sym_AMP_TILDE] = ACTIONS(5516),
    [anon_sym_LT_LT] = ACTIONS(5516),
    [anon_sym_GT_GT] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_SLASH] = ACTIONS(5516),
    [anon_sym_PERCENT] = ACTIONS(5516),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5514),
    [anon_sym_DOT] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5514),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5514),
    [anon_sym_not_in] = ACTIONS(5514),
    [anon_sym_or_return] = ACTIONS(5514),
    [anon_sym_or_continue] = ACTIONS(5514),
    [anon_sym_or_break] = ACTIONS(5514),
    [anon_sym_CARET] = ACTIONS(5516),
    [sym_uninitialized] = ACTIONS(5514),
    [sym_tag] = ACTIONS(5514),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5514),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1127] = {
    [anon_sym_LBRACE] = ACTIONS(5514),
    [anon_sym_RBRACE] = ACTIONS(5514),
    [anon_sym_COMMA] = ACTIONS(5514),
    [anon_sym_COLON_COLON] = ACTIONS(5514),
    [anon_sym_DASH_GT] = ACTIONS(5514),
    [anon_sym_where] = ACTIONS(5514),
    [anon_sym_EQ] = ACTIONS(5516),
    [anon_sym_COLON] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5516),
    [anon_sym_COLON_EQ] = ACTIONS(5514),
    [anon_sym_LPAREN] = ACTIONS(5514),
    [anon_sym_PLUS_EQ] = ACTIONS(5514),
    [anon_sym_DASH_EQ] = ACTIONS(5514),
    [anon_sym_STAR_EQ] = ACTIONS(5514),
    [anon_sym_SLASH_EQ] = ACTIONS(5514),
    [anon_sym_PERCENT_EQ] = ACTIONS(5514),
    [anon_sym_AMP_EQ] = ACTIONS(5514),
    [anon_sym_PIPE_EQ] = ACTIONS(5514),
    [anon_sym_CARET_EQ] = ACTIONS(5514),
    [anon_sym_LT_LT_EQ] = ACTIONS(5514),
    [anon_sym_GT_GT_EQ] = ACTIONS(5514),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5514),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5514),
    [anon_sym_if] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5514),
    [anon_sym_else] = ACTIONS(5514),
    [anon_sym_when] = ACTIONS(5514),
    [anon_sym_in] = ACTIONS(5514),
    [anon_sym_case] = ACTIONS(5514),
    [anon_sym_QMARK] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5516),
    [anon_sym_DASH] = ACTIONS(5516),
    [anon_sym_TILDE] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_or_else] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_GT] = ACTIONS(5516),
    [anon_sym_GT_EQ] = ACTIONS(5514),
    [anon_sym_LT_EQ] = ACTIONS(5514),
    [anon_sym_LT] = ACTIONS(5516),
    [anon_sym_EQ_EQ] = ACTIONS(5514),
    [anon_sym_BANG_EQ] = ACTIONS(5514),
    [anon_sym_TILDE_EQ] = ACTIONS(5514),
    [anon_sym_AMP_TILDE] = ACTIONS(5516),
    [anon_sym_LT_LT] = ACTIONS(5516),
    [anon_sym_GT_GT] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_SLASH] = ACTIONS(5516),
    [anon_sym_PERCENT] = ACTIONS(5516),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5514),
    [anon_sym_DOT] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5514),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5514),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5514),
    [anon_sym_not_in] = ACTIONS(5514),
    [anon_sym_or_return] = ACTIONS(5514),
    [anon_sym_or_continue] = ACTIONS(5514),
    [anon_sym_or_break] = ACTIONS(5514),
    [anon_sym_CARET] = ACTIONS(5516),
    [sym_uninitialized] = ACTIONS(5514),
    [sym_tag] = ACTIONS(5514),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5514),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1128] = {
    [anon_sym_LBRACE] = ACTIONS(5518),
    [anon_sym_RBRACE] = ACTIONS(5518),
    [anon_sym_COMMA] = ACTIONS(5518),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_DASH_GT] = ACTIONS(5518),
    [anon_sym_where] = ACTIONS(5518),
    [anon_sym_EQ] = ACTIONS(5520),
    [anon_sym_COLON] = ACTIONS(5520),
    [anon_sym_PIPE] = ACTIONS(5520),
    [anon_sym_COLON_EQ] = ACTIONS(5518),
    [anon_sym_LPAREN] = ACTIONS(5518),
    [anon_sym_PLUS_EQ] = ACTIONS(5518),
    [anon_sym_DASH_EQ] = ACTIONS(5518),
    [anon_sym_STAR_EQ] = ACTIONS(5518),
    [anon_sym_SLASH_EQ] = ACTIONS(5518),
    [anon_sym_PERCENT_EQ] = ACTIONS(5518),
    [anon_sym_AMP_EQ] = ACTIONS(5518),
    [anon_sym_PIPE_EQ] = ACTIONS(5518),
    [anon_sym_CARET_EQ] = ACTIONS(5518),
    [anon_sym_LT_LT_EQ] = ACTIONS(5518),
    [anon_sym_GT_GT_EQ] = ACTIONS(5518),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5518),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5518),
    [anon_sym_if] = ACTIONS(5518),
    [anon_sym_SEMI] = ACTIONS(5518),
    [anon_sym_else] = ACTIONS(5518),
    [anon_sym_when] = ACTIONS(5518),
    [anon_sym_in] = ACTIONS(5518),
    [anon_sym_case] = ACTIONS(5518),
    [anon_sym_QMARK] = ACTIONS(5518),
    [anon_sym_PLUS] = ACTIONS(5520),
    [anon_sym_DASH] = ACTIONS(5520),
    [anon_sym_TILDE] = ACTIONS(5520),
    [anon_sym_AMP] = ACTIONS(5520),
    [anon_sym_PIPE_PIPE] = ACTIONS(5520),
    [anon_sym_or_else] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5520),
    [anon_sym_GT] = ACTIONS(5520),
    [anon_sym_GT_EQ] = ACTIONS(5518),
    [anon_sym_LT_EQ] = ACTIONS(5518),
    [anon_sym_LT] = ACTIONS(5520),
    [anon_sym_EQ_EQ] = ACTIONS(5518),
    [anon_sym_BANG_EQ] = ACTIONS(5518),
    [anon_sym_TILDE_EQ] = ACTIONS(5518),
    [anon_sym_AMP_TILDE] = ACTIONS(5520),
    [anon_sym_LT_LT] = ACTIONS(5520),
    [anon_sym_GT_GT] = ACTIONS(5520),
    [anon_sym_STAR] = ACTIONS(5520),
    [anon_sym_SLASH] = ACTIONS(5520),
    [anon_sym_PERCENT] = ACTIONS(5520),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5518),
    [anon_sym_DOT] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(5518),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5518),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5518),
    [anon_sym_not_in] = ACTIONS(5518),
    [anon_sym_or_return] = ACTIONS(5518),
    [anon_sym_or_continue] = ACTIONS(5518),
    [anon_sym_or_break] = ACTIONS(5518),
    [anon_sym_CARET] = ACTIONS(5520),
    [sym_uninitialized] = ACTIONS(5518),
    [sym_tag] = ACTIONS(5518),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5518),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1129] = {
    [anon_sym_LBRACE] = ACTIONS(5522),
    [anon_sym_RBRACE] = ACTIONS(5522),
    [anon_sym_COMMA] = ACTIONS(5522),
    [anon_sym_COLON_COLON] = ACTIONS(5522),
    [anon_sym_DASH_GT] = ACTIONS(5522),
    [anon_sym_where] = ACTIONS(5522),
    [anon_sym_EQ] = ACTIONS(5524),
    [anon_sym_COLON] = ACTIONS(5524),
    [anon_sym_PIPE] = ACTIONS(5524),
    [anon_sym_COLON_EQ] = ACTIONS(5522),
    [anon_sym_LPAREN] = ACTIONS(5522),
    [anon_sym_PLUS_EQ] = ACTIONS(5522),
    [anon_sym_DASH_EQ] = ACTIONS(5522),
    [anon_sym_STAR_EQ] = ACTIONS(5522),
    [anon_sym_SLASH_EQ] = ACTIONS(5522),
    [anon_sym_PERCENT_EQ] = ACTIONS(5522),
    [anon_sym_AMP_EQ] = ACTIONS(5522),
    [anon_sym_PIPE_EQ] = ACTIONS(5522),
    [anon_sym_CARET_EQ] = ACTIONS(5522),
    [anon_sym_LT_LT_EQ] = ACTIONS(5522),
    [anon_sym_GT_GT_EQ] = ACTIONS(5522),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5522),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5522),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5522),
    [anon_sym_if] = ACTIONS(5522),
    [anon_sym_SEMI] = ACTIONS(5522),
    [anon_sym_else] = ACTIONS(5522),
    [anon_sym_when] = ACTIONS(5522),
    [anon_sym_in] = ACTIONS(5522),
    [anon_sym_case] = ACTIONS(5522),
    [anon_sym_QMARK] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_TILDE] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym_PIPE_PIPE] = ACTIONS(5524),
    [anon_sym_or_else] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5524),
    [anon_sym_GT] = ACTIONS(5524),
    [anon_sym_GT_EQ] = ACTIONS(5522),
    [anon_sym_LT_EQ] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(5524),
    [anon_sym_EQ_EQ] = ACTIONS(5522),
    [anon_sym_BANG_EQ] = ACTIONS(5522),
    [anon_sym_TILDE_EQ] = ACTIONS(5522),
    [anon_sym_AMP_TILDE] = ACTIONS(5524),
    [anon_sym_LT_LT] = ACTIONS(5524),
    [anon_sym_GT_GT] = ACTIONS(5524),
    [anon_sym_STAR] = ACTIONS(5524),
    [anon_sym_SLASH] = ACTIONS(5524),
    [anon_sym_PERCENT] = ACTIONS(5524),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5522),
    [anon_sym_DOT] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5522),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5522),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5522),
    [anon_sym_not_in] = ACTIONS(5522),
    [anon_sym_or_return] = ACTIONS(5522),
    [anon_sym_or_continue] = ACTIONS(5522),
    [anon_sym_or_break] = ACTIONS(5522),
    [anon_sym_CARET] = ACTIONS(5524),
    [sym_uninitialized] = ACTIONS(5522),
    [sym_tag] = ACTIONS(5522),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5522),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1130] = {
    [anon_sym_LBRACE] = ACTIONS(5526),
    [anon_sym_RBRACE] = ACTIONS(5526),
    [anon_sym_COMMA] = ACTIONS(5526),
    [anon_sym_COLON_COLON] = ACTIONS(5526),
    [anon_sym_DASH_GT] = ACTIONS(5526),
    [anon_sym_where] = ACTIONS(5526),
    [anon_sym_EQ] = ACTIONS(5528),
    [anon_sym_COLON] = ACTIONS(5528),
    [anon_sym_PIPE] = ACTIONS(5528),
    [anon_sym_COLON_EQ] = ACTIONS(5526),
    [anon_sym_LPAREN] = ACTIONS(5526),
    [anon_sym_PLUS_EQ] = ACTIONS(5526),
    [anon_sym_DASH_EQ] = ACTIONS(5526),
    [anon_sym_STAR_EQ] = ACTIONS(5526),
    [anon_sym_SLASH_EQ] = ACTIONS(5526),
    [anon_sym_PERCENT_EQ] = ACTIONS(5526),
    [anon_sym_AMP_EQ] = ACTIONS(5526),
    [anon_sym_PIPE_EQ] = ACTIONS(5526),
    [anon_sym_CARET_EQ] = ACTIONS(5526),
    [anon_sym_LT_LT_EQ] = ACTIONS(5526),
    [anon_sym_GT_GT_EQ] = ACTIONS(5526),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5526),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5526),
    [anon_sym_if] = ACTIONS(5526),
    [anon_sym_SEMI] = ACTIONS(5526),
    [anon_sym_else] = ACTIONS(5526),
    [anon_sym_when] = ACTIONS(5526),
    [anon_sym_in] = ACTIONS(5526),
    [anon_sym_case] = ACTIONS(5526),
    [anon_sym_QMARK] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5528),
    [anon_sym_DASH] = ACTIONS(5528),
    [anon_sym_TILDE] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym_PIPE_PIPE] = ACTIONS(5528),
    [anon_sym_or_else] = ACTIONS(5526),
    [anon_sym_AMP_AMP] = ACTIONS(5528),
    [anon_sym_GT] = ACTIONS(5528),
    [anon_sym_GT_EQ] = ACTIONS(5526),
    [anon_sym_LT_EQ] = ACTIONS(5526),
    [anon_sym_LT] = ACTIONS(5528),
    [anon_sym_EQ_EQ] = ACTIONS(5526),
    [anon_sym_BANG_EQ] = ACTIONS(5526),
    [anon_sym_TILDE_EQ] = ACTIONS(5526),
    [anon_sym_AMP_TILDE] = ACTIONS(5528),
    [anon_sym_LT_LT] = ACTIONS(5528),
    [anon_sym_GT_GT] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5528),
    [anon_sym_SLASH] = ACTIONS(5528),
    [anon_sym_PERCENT] = ACTIONS(5528),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5526),
    [anon_sym_DOT] = ACTIONS(5528),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5526),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5526),
    [anon_sym_not_in] = ACTIONS(5526),
    [anon_sym_or_return] = ACTIONS(5526),
    [anon_sym_or_continue] = ACTIONS(5526),
    [anon_sym_or_break] = ACTIONS(5526),
    [anon_sym_CARET] = ACTIONS(5528),
    [sym_uninitialized] = ACTIONS(5526),
    [sym_tag] = ACTIONS(5526),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5526),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1131] = {
    [anon_sym_LBRACE] = ACTIONS(5324),
    [anon_sym_RBRACE] = ACTIONS(5324),
    [anon_sym_COMMA] = ACTIONS(5324),
    [anon_sym_COLON_COLON] = ACTIONS(5324),
    [anon_sym_DASH_GT] = ACTIONS(5324),
    [anon_sym_where] = ACTIONS(5324),
    [anon_sym_EQ] = ACTIONS(5326),
    [anon_sym_COLON] = ACTIONS(5326),
    [anon_sym_PIPE] = ACTIONS(5326),
    [anon_sym_COLON_EQ] = ACTIONS(5324),
    [anon_sym_LPAREN] = ACTIONS(5324),
    [anon_sym_PLUS_EQ] = ACTIONS(5324),
    [anon_sym_DASH_EQ] = ACTIONS(5324),
    [anon_sym_STAR_EQ] = ACTIONS(5324),
    [anon_sym_SLASH_EQ] = ACTIONS(5324),
    [anon_sym_PERCENT_EQ] = ACTIONS(5324),
    [anon_sym_AMP_EQ] = ACTIONS(5324),
    [anon_sym_PIPE_EQ] = ACTIONS(5324),
    [anon_sym_CARET_EQ] = ACTIONS(5324),
    [anon_sym_LT_LT_EQ] = ACTIONS(5324),
    [anon_sym_GT_GT_EQ] = ACTIONS(5324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5324),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5324),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5324),
    [anon_sym_if] = ACTIONS(5324),
    [anon_sym_SEMI] = ACTIONS(5324),
    [anon_sym_else] = ACTIONS(5324),
    [anon_sym_when] = ACTIONS(5324),
    [anon_sym_in] = ACTIONS(5324),
    [anon_sym_case] = ACTIONS(5324),
    [anon_sym_QMARK] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(5326),
    [anon_sym_DASH] = ACTIONS(5326),
    [anon_sym_TILDE] = ACTIONS(5326),
    [anon_sym_AMP] = ACTIONS(5326),
    [anon_sym_PIPE_PIPE] = ACTIONS(5326),
    [anon_sym_or_else] = ACTIONS(5324),
    [anon_sym_AMP_AMP] = ACTIONS(5326),
    [anon_sym_GT] = ACTIONS(5326),
    [anon_sym_GT_EQ] = ACTIONS(5324),
    [anon_sym_LT_EQ] = ACTIONS(5324),
    [anon_sym_LT] = ACTIONS(5326),
    [anon_sym_EQ_EQ] = ACTIONS(5324),
    [anon_sym_BANG_EQ] = ACTIONS(5324),
    [anon_sym_TILDE_EQ] = ACTIONS(5324),
    [anon_sym_AMP_TILDE] = ACTIONS(5326),
    [anon_sym_LT_LT] = ACTIONS(5326),
    [anon_sym_GT_GT] = ACTIONS(5326),
    [anon_sym_STAR] = ACTIONS(5326),
    [anon_sym_SLASH] = ACTIONS(5326),
    [anon_sym_PERCENT] = ACTIONS(5326),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5324),
    [anon_sym_DOT] = ACTIONS(5326),
    [anon_sym_LBRACK] = ACTIONS(5324),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5324),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5324),
    [anon_sym_not_in] = ACTIONS(5324),
    [anon_sym_or_return] = ACTIONS(5324),
    [anon_sym_or_continue] = ACTIONS(5324),
    [anon_sym_or_break] = ACTIONS(5324),
    [anon_sym_CARET] = ACTIONS(5326),
    [sym_uninitialized] = ACTIONS(5324),
    [sym_tag] = ACTIONS(5324),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5324),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1132] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5530),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1133] = {
    [anon_sym_LBRACE] = ACTIONS(5532),
    [anon_sym_RBRACE] = ACTIONS(5532),
    [anon_sym_COMMA] = ACTIONS(5532),
    [anon_sym_COLON_COLON] = ACTIONS(5532),
    [anon_sym_DASH_GT] = ACTIONS(5532),
    [anon_sym_where] = ACTIONS(5532),
    [anon_sym_EQ] = ACTIONS(5534),
    [anon_sym_COLON] = ACTIONS(5534),
    [anon_sym_PIPE] = ACTIONS(5534),
    [anon_sym_COLON_EQ] = ACTIONS(5532),
    [anon_sym_LPAREN] = ACTIONS(5532),
    [anon_sym_PLUS_EQ] = ACTIONS(5532),
    [anon_sym_DASH_EQ] = ACTIONS(5532),
    [anon_sym_STAR_EQ] = ACTIONS(5532),
    [anon_sym_SLASH_EQ] = ACTIONS(5532),
    [anon_sym_PERCENT_EQ] = ACTIONS(5532),
    [anon_sym_AMP_EQ] = ACTIONS(5532),
    [anon_sym_PIPE_EQ] = ACTIONS(5532),
    [anon_sym_CARET_EQ] = ACTIONS(5532),
    [anon_sym_LT_LT_EQ] = ACTIONS(5532),
    [anon_sym_GT_GT_EQ] = ACTIONS(5532),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5532),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5532),
    [anon_sym_if] = ACTIONS(5532),
    [anon_sym_SEMI] = ACTIONS(5532),
    [anon_sym_else] = ACTIONS(5532),
    [anon_sym_when] = ACTIONS(5532),
    [anon_sym_in] = ACTIONS(5532),
    [anon_sym_case] = ACTIONS(5532),
    [anon_sym_QMARK] = ACTIONS(5532),
    [anon_sym_PLUS] = ACTIONS(5534),
    [anon_sym_DASH] = ACTIONS(5534),
    [anon_sym_TILDE] = ACTIONS(5534),
    [anon_sym_AMP] = ACTIONS(5534),
    [anon_sym_PIPE_PIPE] = ACTIONS(5534),
    [anon_sym_or_else] = ACTIONS(5532),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_GT] = ACTIONS(5534),
    [anon_sym_GT_EQ] = ACTIONS(5532),
    [anon_sym_LT_EQ] = ACTIONS(5532),
    [anon_sym_LT] = ACTIONS(5534),
    [anon_sym_EQ_EQ] = ACTIONS(5532),
    [anon_sym_BANG_EQ] = ACTIONS(5532),
    [anon_sym_TILDE_EQ] = ACTIONS(5532),
    [anon_sym_AMP_TILDE] = ACTIONS(5534),
    [anon_sym_LT_LT] = ACTIONS(5534),
    [anon_sym_GT_GT] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_SLASH] = ACTIONS(5534),
    [anon_sym_PERCENT] = ACTIONS(5534),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5532),
    [anon_sym_DOT] = ACTIONS(5534),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5532),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5532),
    [anon_sym_not_in] = ACTIONS(5532),
    [anon_sym_or_return] = ACTIONS(5532),
    [anon_sym_or_continue] = ACTIONS(5532),
    [anon_sym_or_break] = ACTIONS(5532),
    [anon_sym_CARET] = ACTIONS(5534),
    [sym_uninitialized] = ACTIONS(5532),
    [sym_tag] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5532),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1134] = {
    [anon_sym_LBRACE] = ACTIONS(5536),
    [anon_sym_RBRACE] = ACTIONS(5536),
    [anon_sym_COMMA] = ACTIONS(5536),
    [anon_sym_COLON_COLON] = ACTIONS(5536),
    [anon_sym_DASH_GT] = ACTIONS(5536),
    [anon_sym_where] = ACTIONS(5536),
    [anon_sym_EQ] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5538),
    [anon_sym_PIPE] = ACTIONS(5538),
    [anon_sym_COLON_EQ] = ACTIONS(5536),
    [anon_sym_LPAREN] = ACTIONS(5536),
    [anon_sym_PLUS_EQ] = ACTIONS(5536),
    [anon_sym_DASH_EQ] = ACTIONS(5536),
    [anon_sym_STAR_EQ] = ACTIONS(5536),
    [anon_sym_SLASH_EQ] = ACTIONS(5536),
    [anon_sym_PERCENT_EQ] = ACTIONS(5536),
    [anon_sym_AMP_EQ] = ACTIONS(5536),
    [anon_sym_PIPE_EQ] = ACTIONS(5536),
    [anon_sym_CARET_EQ] = ACTIONS(5536),
    [anon_sym_LT_LT_EQ] = ACTIONS(5536),
    [anon_sym_GT_GT_EQ] = ACTIONS(5536),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5536),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5536),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5536),
    [anon_sym_if] = ACTIONS(5536),
    [anon_sym_SEMI] = ACTIONS(5536),
    [anon_sym_else] = ACTIONS(5536),
    [anon_sym_when] = ACTIONS(5536),
    [anon_sym_in] = ACTIONS(5536),
    [anon_sym_case] = ACTIONS(5536),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_PLUS] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5538),
    [anon_sym_TILDE] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym_PIPE_PIPE] = ACTIONS(5538),
    [anon_sym_or_else] = ACTIONS(5536),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_GT] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5536),
    [anon_sym_LT_EQ] = ACTIONS(5536),
    [anon_sym_LT] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5536),
    [anon_sym_BANG_EQ] = ACTIONS(5536),
    [anon_sym_TILDE_EQ] = ACTIONS(5536),
    [anon_sym_AMP_TILDE] = ACTIONS(5538),
    [anon_sym_LT_LT] = ACTIONS(5538),
    [anon_sym_GT_GT] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_SLASH] = ACTIONS(5538),
    [anon_sym_PERCENT] = ACTIONS(5538),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5536),
    [anon_sym_DOT] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5536),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5536),
    [anon_sym_not_in] = ACTIONS(5536),
    [anon_sym_or_return] = ACTIONS(5536),
    [anon_sym_or_continue] = ACTIONS(5536),
    [anon_sym_or_break] = ACTIONS(5536),
    [anon_sym_CARET] = ACTIONS(5538),
    [sym_uninitialized] = ACTIONS(5536),
    [sym_tag] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5536),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1135] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5540),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1136] = {
    [anon_sym_LBRACE] = ACTIONS(5542),
    [anon_sym_RBRACE] = ACTIONS(5542),
    [anon_sym_COMMA] = ACTIONS(5542),
    [anon_sym_COLON_COLON] = ACTIONS(5542),
    [anon_sym_DASH_GT] = ACTIONS(5542),
    [anon_sym_where] = ACTIONS(5542),
    [anon_sym_EQ] = ACTIONS(5544),
    [anon_sym_COLON] = ACTIONS(5544),
    [anon_sym_PIPE] = ACTIONS(5544),
    [anon_sym_COLON_EQ] = ACTIONS(5542),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_PLUS_EQ] = ACTIONS(5542),
    [anon_sym_DASH_EQ] = ACTIONS(5542),
    [anon_sym_STAR_EQ] = ACTIONS(5542),
    [anon_sym_SLASH_EQ] = ACTIONS(5542),
    [anon_sym_PERCENT_EQ] = ACTIONS(5542),
    [anon_sym_AMP_EQ] = ACTIONS(5542),
    [anon_sym_PIPE_EQ] = ACTIONS(5542),
    [anon_sym_CARET_EQ] = ACTIONS(5542),
    [anon_sym_LT_LT_EQ] = ACTIONS(5542),
    [anon_sym_GT_GT_EQ] = ACTIONS(5542),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5542),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5542),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5542),
    [anon_sym_if] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5542),
    [anon_sym_else] = ACTIONS(5542),
    [anon_sym_when] = ACTIONS(5542),
    [anon_sym_in] = ACTIONS(5542),
    [anon_sym_case] = ACTIONS(5542),
    [anon_sym_QMARK] = ACTIONS(5542),
    [anon_sym_PLUS] = ACTIONS(5544),
    [anon_sym_DASH] = ACTIONS(5544),
    [anon_sym_TILDE] = ACTIONS(5544),
    [anon_sym_AMP] = ACTIONS(5544),
    [anon_sym_PIPE_PIPE] = ACTIONS(5544),
    [anon_sym_or_else] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_GT] = ACTIONS(5544),
    [anon_sym_GT_EQ] = ACTIONS(5542),
    [anon_sym_LT_EQ] = ACTIONS(5542),
    [anon_sym_LT] = ACTIONS(5544),
    [anon_sym_EQ_EQ] = ACTIONS(5542),
    [anon_sym_BANG_EQ] = ACTIONS(5542),
    [anon_sym_TILDE_EQ] = ACTIONS(5542),
    [anon_sym_AMP_TILDE] = ACTIONS(5544),
    [anon_sym_LT_LT] = ACTIONS(5544),
    [anon_sym_GT_GT] = ACTIONS(5544),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_SLASH] = ACTIONS(5544),
    [anon_sym_PERCENT] = ACTIONS(5544),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5542),
    [anon_sym_DOT] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5542),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5542),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5542),
    [anon_sym_not_in] = ACTIONS(5542),
    [anon_sym_or_return] = ACTIONS(5542),
    [anon_sym_or_continue] = ACTIONS(5542),
    [anon_sym_or_break] = ACTIONS(5542),
    [anon_sym_CARET] = ACTIONS(5544),
    [sym_uninitialized] = ACTIONS(5542),
    [sym_tag] = ACTIONS(5542),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5542),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1137] = {
    [sym_block] = STATE(2250),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4433),
    [sym_tag] = ACTIONS(4435),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1138] = {
    [anon_sym_LBRACE] = ACTIONS(5546),
    [anon_sym_RBRACE] = ACTIONS(5546),
    [anon_sym_COMMA] = ACTIONS(5546),
    [anon_sym_COLON_COLON] = ACTIONS(5546),
    [anon_sym_DASH_GT] = ACTIONS(5546),
    [anon_sym_where] = ACTIONS(5546),
    [anon_sym_EQ] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_COLON_EQ] = ACTIONS(5546),
    [anon_sym_LPAREN] = ACTIONS(5546),
    [anon_sym_PLUS_EQ] = ACTIONS(5546),
    [anon_sym_DASH_EQ] = ACTIONS(5546),
    [anon_sym_STAR_EQ] = ACTIONS(5546),
    [anon_sym_SLASH_EQ] = ACTIONS(5546),
    [anon_sym_PERCENT_EQ] = ACTIONS(5546),
    [anon_sym_AMP_EQ] = ACTIONS(5546),
    [anon_sym_PIPE_EQ] = ACTIONS(5546),
    [anon_sym_CARET_EQ] = ACTIONS(5546),
    [anon_sym_LT_LT_EQ] = ACTIONS(5546),
    [anon_sym_GT_GT_EQ] = ACTIONS(5546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5546),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5546),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5546),
    [anon_sym_if] = ACTIONS(5546),
    [anon_sym_SEMI] = ACTIONS(5546),
    [anon_sym_else] = ACTIONS(5546),
    [anon_sym_when] = ACTIONS(5546),
    [anon_sym_in] = ACTIONS(5546),
    [anon_sym_case] = ACTIONS(5546),
    [anon_sym_QMARK] = ACTIONS(5546),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_TILDE] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_or_else] = ACTIONS(5546),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5546),
    [anon_sym_LT_EQ] = ACTIONS(5546),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5546),
    [anon_sym_BANG_EQ] = ACTIONS(5546),
    [anon_sym_TILDE_EQ] = ACTIONS(5546),
    [anon_sym_AMP_TILDE] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5546),
    [anon_sym_not_in] = ACTIONS(5546),
    [anon_sym_or_return] = ACTIONS(5546),
    [anon_sym_or_continue] = ACTIONS(5546),
    [anon_sym_or_break] = ACTIONS(5546),
    [anon_sym_CARET] = ACTIONS(5548),
    [sym_uninitialized] = ACTIONS(5546),
    [sym_tag] = ACTIONS(5546),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5546),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1139] = {
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_COLON_COLON] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [anon_sym_where] = ACTIONS(5550),
    [anon_sym_EQ] = ACTIONS(5552),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5552),
    [anon_sym_COLON_EQ] = ACTIONS(5550),
    [anon_sym_LPAREN] = ACTIONS(5550),
    [anon_sym_PLUS_EQ] = ACTIONS(5550),
    [anon_sym_DASH_EQ] = ACTIONS(5550),
    [anon_sym_STAR_EQ] = ACTIONS(5550),
    [anon_sym_SLASH_EQ] = ACTIONS(5550),
    [anon_sym_PERCENT_EQ] = ACTIONS(5550),
    [anon_sym_AMP_EQ] = ACTIONS(5550),
    [anon_sym_PIPE_EQ] = ACTIONS(5550),
    [anon_sym_CARET_EQ] = ACTIONS(5550),
    [anon_sym_LT_LT_EQ] = ACTIONS(5550),
    [anon_sym_GT_GT_EQ] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5550),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5550),
    [anon_sym_if] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym_else] = ACTIONS(5550),
    [anon_sym_when] = ACTIONS(5550),
    [anon_sym_in] = ACTIONS(5550),
    [anon_sym_case] = ACTIONS(5550),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5552),
    [anon_sym_TILDE] = ACTIONS(5552),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_or_else] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5552),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5552),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_TILDE_EQ] = ACTIONS(5550),
    [anon_sym_AMP_TILDE] = ACTIONS(5552),
    [anon_sym_LT_LT] = ACTIONS(5552),
    [anon_sym_GT_GT] = ACTIONS(5552),
    [anon_sym_STAR] = ACTIONS(5552),
    [anon_sym_SLASH] = ACTIONS(5552),
    [anon_sym_PERCENT] = ACTIONS(5552),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5550),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5550),
    [anon_sym_not_in] = ACTIONS(5550),
    [anon_sym_or_return] = ACTIONS(5550),
    [anon_sym_or_continue] = ACTIONS(5550),
    [anon_sym_or_break] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5552),
    [sym_uninitialized] = ACTIONS(5550),
    [sym_tag] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5550),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1140] = {
    [anon_sym_LBRACE] = ACTIONS(5554),
    [anon_sym_RBRACE] = ACTIONS(5554),
    [anon_sym_COMMA] = ACTIONS(5554),
    [anon_sym_COLON_COLON] = ACTIONS(5554),
    [anon_sym_DASH_GT] = ACTIONS(5554),
    [anon_sym_where] = ACTIONS(5554),
    [anon_sym_EQ] = ACTIONS(5556),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5556),
    [anon_sym_COLON_EQ] = ACTIONS(5554),
    [anon_sym_LPAREN] = ACTIONS(5554),
    [anon_sym_PLUS_EQ] = ACTIONS(5554),
    [anon_sym_DASH_EQ] = ACTIONS(5554),
    [anon_sym_STAR_EQ] = ACTIONS(5554),
    [anon_sym_SLASH_EQ] = ACTIONS(5554),
    [anon_sym_PERCENT_EQ] = ACTIONS(5554),
    [anon_sym_AMP_EQ] = ACTIONS(5554),
    [anon_sym_PIPE_EQ] = ACTIONS(5554),
    [anon_sym_CARET_EQ] = ACTIONS(5554),
    [anon_sym_LT_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT_GT_EQ] = ACTIONS(5554),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5554),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5554),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5554),
    [anon_sym_if] = ACTIONS(5554),
    [anon_sym_SEMI] = ACTIONS(5554),
    [anon_sym_else] = ACTIONS(5554),
    [anon_sym_when] = ACTIONS(5554),
    [anon_sym_in] = ACTIONS(5554),
    [anon_sym_case] = ACTIONS(5554),
    [anon_sym_QMARK] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5556),
    [anon_sym_DASH] = ACTIONS(5556),
    [anon_sym_TILDE] = ACTIONS(5556),
    [anon_sym_AMP] = ACTIONS(5556),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_or_else] = ACTIONS(5554),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_GT] = ACTIONS(5556),
    [anon_sym_GT_EQ] = ACTIONS(5554),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5556),
    [anon_sym_EQ_EQ] = ACTIONS(5554),
    [anon_sym_BANG_EQ] = ACTIONS(5554),
    [anon_sym_TILDE_EQ] = ACTIONS(5554),
    [anon_sym_AMP_TILDE] = ACTIONS(5556),
    [anon_sym_LT_LT] = ACTIONS(5556),
    [anon_sym_GT_GT] = ACTIONS(5556),
    [anon_sym_STAR] = ACTIONS(5556),
    [anon_sym_SLASH] = ACTIONS(5556),
    [anon_sym_PERCENT] = ACTIONS(5556),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5554),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5554),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5554),
    [anon_sym_not_in] = ACTIONS(5554),
    [anon_sym_or_return] = ACTIONS(5554),
    [anon_sym_or_continue] = ACTIONS(5554),
    [anon_sym_or_break] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5556),
    [sym_uninitialized] = ACTIONS(5554),
    [sym_tag] = ACTIONS(5554),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5554),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1141] = {
    [anon_sym_LBRACE] = ACTIONS(5554),
    [anon_sym_RBRACE] = ACTIONS(5554),
    [anon_sym_COMMA] = ACTIONS(5554),
    [anon_sym_COLON_COLON] = ACTIONS(5554),
    [anon_sym_DASH_GT] = ACTIONS(5554),
    [anon_sym_where] = ACTIONS(5554),
    [anon_sym_EQ] = ACTIONS(5556),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5556),
    [anon_sym_COLON_EQ] = ACTIONS(5554),
    [anon_sym_LPAREN] = ACTIONS(5554),
    [anon_sym_PLUS_EQ] = ACTIONS(5554),
    [anon_sym_DASH_EQ] = ACTIONS(5554),
    [anon_sym_STAR_EQ] = ACTIONS(5554),
    [anon_sym_SLASH_EQ] = ACTIONS(5554),
    [anon_sym_PERCENT_EQ] = ACTIONS(5554),
    [anon_sym_AMP_EQ] = ACTIONS(5554),
    [anon_sym_PIPE_EQ] = ACTIONS(5554),
    [anon_sym_CARET_EQ] = ACTIONS(5554),
    [anon_sym_LT_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT_GT_EQ] = ACTIONS(5554),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5554),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5554),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5554),
    [anon_sym_if] = ACTIONS(5554),
    [anon_sym_SEMI] = ACTIONS(5554),
    [anon_sym_else] = ACTIONS(5554),
    [anon_sym_when] = ACTIONS(5554),
    [anon_sym_in] = ACTIONS(5554),
    [anon_sym_case] = ACTIONS(5554),
    [anon_sym_QMARK] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5556),
    [anon_sym_DASH] = ACTIONS(5556),
    [anon_sym_TILDE] = ACTIONS(5556),
    [anon_sym_AMP] = ACTIONS(5556),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_or_else] = ACTIONS(5554),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_GT] = ACTIONS(5556),
    [anon_sym_GT_EQ] = ACTIONS(5554),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5556),
    [anon_sym_EQ_EQ] = ACTIONS(5554),
    [anon_sym_BANG_EQ] = ACTIONS(5554),
    [anon_sym_TILDE_EQ] = ACTIONS(5554),
    [anon_sym_AMP_TILDE] = ACTIONS(5556),
    [anon_sym_LT_LT] = ACTIONS(5556),
    [anon_sym_GT_GT] = ACTIONS(5556),
    [anon_sym_STAR] = ACTIONS(5556),
    [anon_sym_SLASH] = ACTIONS(5556),
    [anon_sym_PERCENT] = ACTIONS(5556),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5554),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5554),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5554),
    [anon_sym_not_in] = ACTIONS(5554),
    [anon_sym_or_return] = ACTIONS(5554),
    [anon_sym_or_continue] = ACTIONS(5554),
    [anon_sym_or_break] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5556),
    [sym_uninitialized] = ACTIONS(5554),
    [sym_tag] = ACTIONS(5554),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5554),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1142] = {
    [anon_sym_LBRACE] = ACTIONS(5558),
    [anon_sym_RBRACE] = ACTIONS(5558),
    [anon_sym_COMMA] = ACTIONS(5558),
    [anon_sym_COLON_COLON] = ACTIONS(5558),
    [anon_sym_DASH_GT] = ACTIONS(5558),
    [anon_sym_where] = ACTIONS(5558),
    [anon_sym_EQ] = ACTIONS(5560),
    [anon_sym_COLON] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5560),
    [anon_sym_COLON_EQ] = ACTIONS(5558),
    [anon_sym_LPAREN] = ACTIONS(5558),
    [anon_sym_PLUS_EQ] = ACTIONS(5558),
    [anon_sym_DASH_EQ] = ACTIONS(5558),
    [anon_sym_STAR_EQ] = ACTIONS(5558),
    [anon_sym_SLASH_EQ] = ACTIONS(5558),
    [anon_sym_PERCENT_EQ] = ACTIONS(5558),
    [anon_sym_AMP_EQ] = ACTIONS(5558),
    [anon_sym_PIPE_EQ] = ACTIONS(5558),
    [anon_sym_CARET_EQ] = ACTIONS(5558),
    [anon_sym_LT_LT_EQ] = ACTIONS(5558),
    [anon_sym_GT_GT_EQ] = ACTIONS(5558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5558),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5558),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5558),
    [anon_sym_if] = ACTIONS(5558),
    [anon_sym_SEMI] = ACTIONS(5558),
    [anon_sym_else] = ACTIONS(5558),
    [anon_sym_when] = ACTIONS(5558),
    [anon_sym_in] = ACTIONS(5558),
    [anon_sym_case] = ACTIONS(5558),
    [anon_sym_QMARK] = ACTIONS(5558),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_TILDE] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(5560),
    [anon_sym_PIPE_PIPE] = ACTIONS(5560),
    [anon_sym_or_else] = ACTIONS(5558),
    [anon_sym_AMP_AMP] = ACTIONS(5560),
    [anon_sym_GT] = ACTIONS(5560),
    [anon_sym_GT_EQ] = ACTIONS(5558),
    [anon_sym_LT_EQ] = ACTIONS(5558),
    [anon_sym_LT] = ACTIONS(5560),
    [anon_sym_EQ_EQ] = ACTIONS(5558),
    [anon_sym_BANG_EQ] = ACTIONS(5558),
    [anon_sym_TILDE_EQ] = ACTIONS(5558),
    [anon_sym_AMP_TILDE] = ACTIONS(5560),
    [anon_sym_LT_LT] = ACTIONS(5560),
    [anon_sym_GT_GT] = ACTIONS(5560),
    [anon_sym_STAR] = ACTIONS(5560),
    [anon_sym_SLASH] = ACTIONS(5560),
    [anon_sym_PERCENT] = ACTIONS(5560),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5558),
    [anon_sym_DOT] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5558),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5558),
    [anon_sym_not_in] = ACTIONS(5558),
    [anon_sym_or_return] = ACTIONS(5558),
    [anon_sym_or_continue] = ACTIONS(5558),
    [anon_sym_or_break] = ACTIONS(5558),
    [anon_sym_CARET] = ACTIONS(5560),
    [sym_uninitialized] = ACTIONS(5558),
    [sym_tag] = ACTIONS(5558),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5558),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1143] = {
    [anon_sym_LBRACE] = ACTIONS(5562),
    [anon_sym_RBRACE] = ACTIONS(5562),
    [anon_sym_COMMA] = ACTIONS(5562),
    [anon_sym_COLON_COLON] = ACTIONS(5562),
    [anon_sym_DASH_GT] = ACTIONS(5562),
    [anon_sym_where] = ACTIONS(5562),
    [anon_sym_EQ] = ACTIONS(5564),
    [anon_sym_COLON] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5564),
    [anon_sym_COLON_EQ] = ACTIONS(5562),
    [anon_sym_LPAREN] = ACTIONS(5562),
    [anon_sym_PLUS_EQ] = ACTIONS(5562),
    [anon_sym_DASH_EQ] = ACTIONS(5562),
    [anon_sym_STAR_EQ] = ACTIONS(5562),
    [anon_sym_SLASH_EQ] = ACTIONS(5562),
    [anon_sym_PERCENT_EQ] = ACTIONS(5562),
    [anon_sym_AMP_EQ] = ACTIONS(5562),
    [anon_sym_PIPE_EQ] = ACTIONS(5562),
    [anon_sym_CARET_EQ] = ACTIONS(5562),
    [anon_sym_LT_LT_EQ] = ACTIONS(5562),
    [anon_sym_GT_GT_EQ] = ACTIONS(5562),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5562),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5562),
    [anon_sym_if] = ACTIONS(5562),
    [anon_sym_SEMI] = ACTIONS(5562),
    [anon_sym_else] = ACTIONS(5562),
    [anon_sym_when] = ACTIONS(5562),
    [anon_sym_in] = ACTIONS(5562),
    [anon_sym_case] = ACTIONS(5562),
    [anon_sym_QMARK] = ACTIONS(5562),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_TILDE] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE] = ACTIONS(5564),
    [anon_sym_or_else] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_GT] = ACTIONS(5564),
    [anon_sym_GT_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5562),
    [anon_sym_LT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5562),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_TILDE_EQ] = ACTIONS(5562),
    [anon_sym_AMP_TILDE] = ACTIONS(5564),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_SLASH] = ACTIONS(5564),
    [anon_sym_PERCENT] = ACTIONS(5564),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5562),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5562),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5562),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5562),
    [anon_sym_not_in] = ACTIONS(5562),
    [anon_sym_or_return] = ACTIONS(5562),
    [anon_sym_or_continue] = ACTIONS(5562),
    [anon_sym_or_break] = ACTIONS(5562),
    [anon_sym_CARET] = ACTIONS(5564),
    [sym_uninitialized] = ACTIONS(5562),
    [sym_tag] = ACTIONS(5562),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5562),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1144] = {
    [anon_sym_LBRACE] = ACTIONS(5562),
    [anon_sym_RBRACE] = ACTIONS(5562),
    [anon_sym_COMMA] = ACTIONS(5562),
    [anon_sym_COLON_COLON] = ACTIONS(5562),
    [anon_sym_DASH_GT] = ACTIONS(5562),
    [anon_sym_where] = ACTIONS(5562),
    [anon_sym_EQ] = ACTIONS(5564),
    [anon_sym_COLON] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5564),
    [anon_sym_COLON_EQ] = ACTIONS(5562),
    [anon_sym_LPAREN] = ACTIONS(5562),
    [anon_sym_PLUS_EQ] = ACTIONS(5562),
    [anon_sym_DASH_EQ] = ACTIONS(5562),
    [anon_sym_STAR_EQ] = ACTIONS(5562),
    [anon_sym_SLASH_EQ] = ACTIONS(5562),
    [anon_sym_PERCENT_EQ] = ACTIONS(5562),
    [anon_sym_AMP_EQ] = ACTIONS(5562),
    [anon_sym_PIPE_EQ] = ACTIONS(5562),
    [anon_sym_CARET_EQ] = ACTIONS(5562),
    [anon_sym_LT_LT_EQ] = ACTIONS(5562),
    [anon_sym_GT_GT_EQ] = ACTIONS(5562),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5562),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5562),
    [anon_sym_if] = ACTIONS(5562),
    [anon_sym_SEMI] = ACTIONS(5562),
    [anon_sym_else] = ACTIONS(5562),
    [anon_sym_when] = ACTIONS(5562),
    [anon_sym_in] = ACTIONS(5562),
    [anon_sym_case] = ACTIONS(5562),
    [anon_sym_QMARK] = ACTIONS(5562),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_TILDE] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE] = ACTIONS(5564),
    [anon_sym_or_else] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_GT] = ACTIONS(5564),
    [anon_sym_GT_EQ] = ACTIONS(5562),
    [anon_sym_LT_EQ] = ACTIONS(5562),
    [anon_sym_LT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5562),
    [anon_sym_BANG_EQ] = ACTIONS(5562),
    [anon_sym_TILDE_EQ] = ACTIONS(5562),
    [anon_sym_AMP_TILDE] = ACTIONS(5564),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5564),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_SLASH] = ACTIONS(5564),
    [anon_sym_PERCENT] = ACTIONS(5564),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5562),
    [anon_sym_DOT] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5562),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5562),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5562),
    [anon_sym_not_in] = ACTIONS(5562),
    [anon_sym_or_return] = ACTIONS(5562),
    [anon_sym_or_continue] = ACTIONS(5562),
    [anon_sym_or_break] = ACTIONS(5562),
    [anon_sym_CARET] = ACTIONS(5564),
    [sym_uninitialized] = ACTIONS(5562),
    [sym_tag] = ACTIONS(5562),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5562),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1145] = {
    [anon_sym_LBRACE] = ACTIONS(5566),
    [anon_sym_RBRACE] = ACTIONS(5566),
    [anon_sym_COMMA] = ACTIONS(5566),
    [anon_sym_COLON_COLON] = ACTIONS(5566),
    [anon_sym_DASH_GT] = ACTIONS(5566),
    [anon_sym_where] = ACTIONS(5566),
    [anon_sym_EQ] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5568),
    [anon_sym_PIPE] = ACTIONS(5568),
    [anon_sym_COLON_EQ] = ACTIONS(5566),
    [anon_sym_LPAREN] = ACTIONS(5566),
    [anon_sym_PLUS_EQ] = ACTIONS(5566),
    [anon_sym_DASH_EQ] = ACTIONS(5566),
    [anon_sym_STAR_EQ] = ACTIONS(5566),
    [anon_sym_SLASH_EQ] = ACTIONS(5566),
    [anon_sym_PERCENT_EQ] = ACTIONS(5566),
    [anon_sym_AMP_EQ] = ACTIONS(5566),
    [anon_sym_PIPE_EQ] = ACTIONS(5566),
    [anon_sym_CARET_EQ] = ACTIONS(5566),
    [anon_sym_LT_LT_EQ] = ACTIONS(5566),
    [anon_sym_GT_GT_EQ] = ACTIONS(5566),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5566),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5566),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5566),
    [anon_sym_if] = ACTIONS(5566),
    [anon_sym_SEMI] = ACTIONS(5566),
    [anon_sym_else] = ACTIONS(5566),
    [anon_sym_when] = ACTIONS(5566),
    [anon_sym_in] = ACTIONS(5566),
    [anon_sym_case] = ACTIONS(5566),
    [anon_sym_QMARK] = ACTIONS(5566),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_TILDE] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE] = ACTIONS(5568),
    [anon_sym_or_else] = ACTIONS(5566),
    [anon_sym_AMP_AMP] = ACTIONS(5568),
    [anon_sym_GT] = ACTIONS(5568),
    [anon_sym_GT_EQ] = ACTIONS(5566),
    [anon_sym_LT_EQ] = ACTIONS(5566),
    [anon_sym_LT] = ACTIONS(5568),
    [anon_sym_EQ_EQ] = ACTIONS(5566),
    [anon_sym_BANG_EQ] = ACTIONS(5566),
    [anon_sym_TILDE_EQ] = ACTIONS(5566),
    [anon_sym_AMP_TILDE] = ACTIONS(5568),
    [anon_sym_LT_LT] = ACTIONS(5568),
    [anon_sym_GT_GT] = ACTIONS(5568),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_SLASH] = ACTIONS(5568),
    [anon_sym_PERCENT] = ACTIONS(5568),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5566),
    [anon_sym_DOT] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5566),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5566),
    [anon_sym_not_in] = ACTIONS(5566),
    [anon_sym_or_return] = ACTIONS(5566),
    [anon_sym_or_continue] = ACTIONS(5566),
    [anon_sym_or_break] = ACTIONS(5566),
    [anon_sym_CARET] = ACTIONS(5568),
    [sym_uninitialized] = ACTIONS(5566),
    [sym_tag] = ACTIONS(5566),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5566),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1146] = {
    [sym_block] = STATE(2256),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4465),
    [sym_tag] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1147] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5572),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1148] = {
    [sym_expression] = STATE(5671),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_COLON] = ACTIONS(5574),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1149] = {
    [anon_sym_LBRACE] = ACTIONS(5576),
    [anon_sym_RBRACE] = ACTIONS(5576),
    [anon_sym_COMMA] = ACTIONS(5576),
    [anon_sym_COLON_COLON] = ACTIONS(5576),
    [anon_sym_DASH_GT] = ACTIONS(5576),
    [anon_sym_where] = ACTIONS(5576),
    [anon_sym_EQ] = ACTIONS(5578),
    [anon_sym_COLON] = ACTIONS(5578),
    [anon_sym_PIPE] = ACTIONS(5578),
    [anon_sym_COLON_EQ] = ACTIONS(5576),
    [anon_sym_LPAREN] = ACTIONS(5576),
    [anon_sym_PLUS_EQ] = ACTIONS(5576),
    [anon_sym_DASH_EQ] = ACTIONS(5576),
    [anon_sym_STAR_EQ] = ACTIONS(5576),
    [anon_sym_SLASH_EQ] = ACTIONS(5576),
    [anon_sym_PERCENT_EQ] = ACTIONS(5576),
    [anon_sym_AMP_EQ] = ACTIONS(5576),
    [anon_sym_PIPE_EQ] = ACTIONS(5576),
    [anon_sym_CARET_EQ] = ACTIONS(5576),
    [anon_sym_LT_LT_EQ] = ACTIONS(5576),
    [anon_sym_GT_GT_EQ] = ACTIONS(5576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5576),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5576),
    [anon_sym_if] = ACTIONS(5576),
    [anon_sym_SEMI] = ACTIONS(5576),
    [anon_sym_else] = ACTIONS(5576),
    [anon_sym_when] = ACTIONS(5576),
    [anon_sym_in] = ACTIONS(5576),
    [anon_sym_case] = ACTIONS(5576),
    [anon_sym_QMARK] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5578),
    [anon_sym_DASH] = ACTIONS(5578),
    [anon_sym_TILDE] = ACTIONS(5578),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym_PIPE_PIPE] = ACTIONS(5578),
    [anon_sym_or_else] = ACTIONS(5576),
    [anon_sym_AMP_AMP] = ACTIONS(5578),
    [anon_sym_GT] = ACTIONS(5578),
    [anon_sym_GT_EQ] = ACTIONS(5576),
    [anon_sym_LT_EQ] = ACTIONS(5576),
    [anon_sym_LT] = ACTIONS(5578),
    [anon_sym_EQ_EQ] = ACTIONS(5576),
    [anon_sym_BANG_EQ] = ACTIONS(5576),
    [anon_sym_TILDE_EQ] = ACTIONS(5576),
    [anon_sym_AMP_TILDE] = ACTIONS(5578),
    [anon_sym_LT_LT] = ACTIONS(5578),
    [anon_sym_GT_GT] = ACTIONS(5578),
    [anon_sym_STAR] = ACTIONS(5578),
    [anon_sym_SLASH] = ACTIONS(5578),
    [anon_sym_PERCENT] = ACTIONS(5578),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5576),
    [anon_sym_not_in] = ACTIONS(5576),
    [anon_sym_or_return] = ACTIONS(5576),
    [anon_sym_or_continue] = ACTIONS(5576),
    [anon_sym_or_break] = ACTIONS(5576),
    [anon_sym_CARET] = ACTIONS(5578),
    [sym_uninitialized] = ACTIONS(5576),
    [sym_tag] = ACTIONS(5576),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5576),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1150] = {
    [sym_block] = STATE(2257),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4475),
    [sym_tag] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1151] = {
    [anon_sym_LBRACE] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_COLON_COLON] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [anon_sym_where] = ACTIONS(5580),
    [anon_sym_EQ] = ACTIONS(5582),
    [anon_sym_COLON] = ACTIONS(5582),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_COLON_EQ] = ACTIONS(5580),
    [anon_sym_LPAREN] = ACTIONS(5580),
    [anon_sym_PLUS_EQ] = ACTIONS(5580),
    [anon_sym_DASH_EQ] = ACTIONS(5580),
    [anon_sym_STAR_EQ] = ACTIONS(5580),
    [anon_sym_SLASH_EQ] = ACTIONS(5580),
    [anon_sym_PERCENT_EQ] = ACTIONS(5580),
    [anon_sym_AMP_EQ] = ACTIONS(5580),
    [anon_sym_PIPE_EQ] = ACTIONS(5580),
    [anon_sym_CARET_EQ] = ACTIONS(5580),
    [anon_sym_LT_LT_EQ] = ACTIONS(5580),
    [anon_sym_GT_GT_EQ] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5580),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5580),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5580),
    [anon_sym_if] = ACTIONS(5580),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym_else] = ACTIONS(5580),
    [anon_sym_when] = ACTIONS(5580),
    [anon_sym_in] = ACTIONS(5580),
    [anon_sym_case] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_TILDE] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_PIPE_PIPE] = ACTIONS(5582),
    [anon_sym_or_else] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_TILDE_EQ] = ACTIONS(5580),
    [anon_sym_AMP_TILDE] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5582),
    [anon_sym_GT_GT] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5582),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5582),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5580),
    [anon_sym_not_in] = ACTIONS(5580),
    [anon_sym_or_return] = ACTIONS(5580),
    [anon_sym_or_continue] = ACTIONS(5580),
    [anon_sym_or_break] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5582),
    [sym_uninitialized] = ACTIONS(5580),
    [sym_tag] = ACTIONS(5580),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5580),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1152] = {
    [anon_sym_LBRACE] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_COLON_COLON] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(5584),
    [anon_sym_where] = ACTIONS(5584),
    [anon_sym_EQ] = ACTIONS(5586),
    [anon_sym_COLON] = ACTIONS(5586),
    [anon_sym_PIPE] = ACTIONS(5586),
    [anon_sym_COLON_EQ] = ACTIONS(5584),
    [anon_sym_LPAREN] = ACTIONS(5584),
    [anon_sym_PLUS_EQ] = ACTIONS(5584),
    [anon_sym_DASH_EQ] = ACTIONS(5584),
    [anon_sym_STAR_EQ] = ACTIONS(5584),
    [anon_sym_SLASH_EQ] = ACTIONS(5584),
    [anon_sym_PERCENT_EQ] = ACTIONS(5584),
    [anon_sym_AMP_EQ] = ACTIONS(5584),
    [anon_sym_PIPE_EQ] = ACTIONS(5584),
    [anon_sym_CARET_EQ] = ACTIONS(5584),
    [anon_sym_LT_LT_EQ] = ACTIONS(5584),
    [anon_sym_GT_GT_EQ] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5584),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5584),
    [anon_sym_if] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym_else] = ACTIONS(5584),
    [anon_sym_when] = ACTIONS(5584),
    [anon_sym_in] = ACTIONS(5584),
    [anon_sym_case] = ACTIONS(5584),
    [anon_sym_QMARK] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5586),
    [anon_sym_TILDE] = ACTIONS(5586),
    [anon_sym_AMP] = ACTIONS(5586),
    [anon_sym_PIPE_PIPE] = ACTIONS(5586),
    [anon_sym_or_else] = ACTIONS(5584),
    [anon_sym_AMP_AMP] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5586),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5586),
    [anon_sym_EQ_EQ] = ACTIONS(5584),
    [anon_sym_BANG_EQ] = ACTIONS(5584),
    [anon_sym_TILDE_EQ] = ACTIONS(5584),
    [anon_sym_AMP_TILDE] = ACTIONS(5586),
    [anon_sym_LT_LT] = ACTIONS(5586),
    [anon_sym_GT_GT] = ACTIONS(5586),
    [anon_sym_STAR] = ACTIONS(5586),
    [anon_sym_SLASH] = ACTIONS(5586),
    [anon_sym_PERCENT] = ACTIONS(5586),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5584),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5584),
    [anon_sym_not_in] = ACTIONS(5584),
    [anon_sym_or_return] = ACTIONS(5584),
    [anon_sym_or_continue] = ACTIONS(5584),
    [anon_sym_or_break] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5586),
    [sym_uninitialized] = ACTIONS(5584),
    [sym_tag] = ACTIONS(5584),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5584),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1153] = {
    [anon_sym_LBRACE] = ACTIONS(5588),
    [anon_sym_RBRACE] = ACTIONS(5588),
    [anon_sym_COMMA] = ACTIONS(5588),
    [anon_sym_COLON_COLON] = ACTIONS(5588),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5588),
    [anon_sym_EQ] = ACTIONS(5590),
    [anon_sym_COLON] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(5588),
    [anon_sym_LPAREN] = ACTIONS(5588),
    [anon_sym_PLUS_EQ] = ACTIONS(5588),
    [anon_sym_DASH_EQ] = ACTIONS(5588),
    [anon_sym_STAR_EQ] = ACTIONS(5588),
    [anon_sym_SLASH_EQ] = ACTIONS(5588),
    [anon_sym_PERCENT_EQ] = ACTIONS(5588),
    [anon_sym_AMP_EQ] = ACTIONS(5588),
    [anon_sym_PIPE_EQ] = ACTIONS(5588),
    [anon_sym_CARET_EQ] = ACTIONS(5588),
    [anon_sym_LT_LT_EQ] = ACTIONS(5588),
    [anon_sym_GT_GT_EQ] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5588),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5588),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5588),
    [anon_sym_if] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5588),
    [anon_sym_else] = ACTIONS(5588),
    [anon_sym_when] = ACTIONS(5588),
    [anon_sym_in] = ACTIONS(5588),
    [anon_sym_case] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(4797),
    [anon_sym_or_else] = ACTIONS(4799),
    [anon_sym_AMP_AMP] = ACTIONS(4801),
    [anon_sym_GT] = ACTIONS(4803),
    [anon_sym_GT_EQ] = ACTIONS(4805),
    [anon_sym_LT_EQ] = ACTIONS(4805),
    [anon_sym_LT] = ACTIONS(4803),
    [anon_sym_EQ_EQ] = ACTIONS(4807),
    [anon_sym_BANG_EQ] = ACTIONS(4807),
    [anon_sym_TILDE_EQ] = ACTIONS(4807),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5588),
    [anon_sym_or_return] = ACTIONS(5588),
    [anon_sym_or_continue] = ACTIONS(5588),
    [anon_sym_or_break] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5590),
    [sym_uninitialized] = ACTIONS(5588),
    [sym_tag] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5588),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1154] = {
    [anon_sym_LBRACE] = ACTIONS(5588),
    [anon_sym_RBRACE] = ACTIONS(5588),
    [anon_sym_COMMA] = ACTIONS(5588),
    [anon_sym_COLON_COLON] = ACTIONS(5588),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5588),
    [anon_sym_EQ] = ACTIONS(5590),
    [anon_sym_COLON] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(5588),
    [anon_sym_LPAREN] = ACTIONS(5588),
    [anon_sym_PLUS_EQ] = ACTIONS(5588),
    [anon_sym_DASH_EQ] = ACTIONS(5588),
    [anon_sym_STAR_EQ] = ACTIONS(5588),
    [anon_sym_SLASH_EQ] = ACTIONS(5588),
    [anon_sym_PERCENT_EQ] = ACTIONS(5588),
    [anon_sym_AMP_EQ] = ACTIONS(5588),
    [anon_sym_PIPE_EQ] = ACTIONS(5588),
    [anon_sym_CARET_EQ] = ACTIONS(5588),
    [anon_sym_LT_LT_EQ] = ACTIONS(5588),
    [anon_sym_GT_GT_EQ] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5588),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5588),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5588),
    [anon_sym_if] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5588),
    [anon_sym_else] = ACTIONS(5588),
    [anon_sym_when] = ACTIONS(5588),
    [anon_sym_in] = ACTIONS(5588),
    [anon_sym_case] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(4797),
    [anon_sym_or_else] = ACTIONS(4799),
    [anon_sym_AMP_AMP] = ACTIONS(4801),
    [anon_sym_GT] = ACTIONS(4803),
    [anon_sym_GT_EQ] = ACTIONS(4805),
    [anon_sym_LT_EQ] = ACTIONS(4805),
    [anon_sym_LT] = ACTIONS(4803),
    [anon_sym_EQ_EQ] = ACTIONS(4807),
    [anon_sym_BANG_EQ] = ACTIONS(4807),
    [anon_sym_TILDE_EQ] = ACTIONS(4807),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5588),
    [anon_sym_or_return] = ACTIONS(4823),
    [anon_sym_or_continue] = ACTIONS(4825),
    [anon_sym_or_break] = ACTIONS(4827),
    [anon_sym_CARET] = ACTIONS(4829),
    [sym_uninitialized] = ACTIONS(5588),
    [sym_tag] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5588),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1155] = {
    [anon_sym_LBRACE] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_COLON_COLON] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [anon_sym_where] = ACTIONS(5592),
    [anon_sym_EQ] = ACTIONS(5594),
    [anon_sym_COLON] = ACTIONS(5594),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_COLON_EQ] = ACTIONS(5592),
    [anon_sym_LPAREN] = ACTIONS(5592),
    [anon_sym_PLUS_EQ] = ACTIONS(5592),
    [anon_sym_DASH_EQ] = ACTIONS(5592),
    [anon_sym_STAR_EQ] = ACTIONS(5592),
    [anon_sym_SLASH_EQ] = ACTIONS(5592),
    [anon_sym_PERCENT_EQ] = ACTIONS(5592),
    [anon_sym_AMP_EQ] = ACTIONS(5592),
    [anon_sym_PIPE_EQ] = ACTIONS(5592),
    [anon_sym_CARET_EQ] = ACTIONS(5592),
    [anon_sym_LT_LT_EQ] = ACTIONS(5592),
    [anon_sym_GT_GT_EQ] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5592),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5592),
    [anon_sym_if] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym_else] = ACTIONS(5592),
    [anon_sym_when] = ACTIONS(5592),
    [anon_sym_in] = ACTIONS(5592),
    [anon_sym_case] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_TILDE] = ACTIONS(5594),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_PIPE_PIPE] = ACTIONS(5594),
    [anon_sym_or_else] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5594),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_TILDE_EQ] = ACTIONS(5592),
    [anon_sym_AMP_TILDE] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5594),
    [anon_sym_GT_GT] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5594),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5594),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5592),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5592),
    [anon_sym_not_in] = ACTIONS(5592),
    [anon_sym_or_return] = ACTIONS(5592),
    [anon_sym_or_continue] = ACTIONS(5592),
    [anon_sym_or_break] = ACTIONS(5592),
    [anon_sym_CARET] = ACTIONS(5594),
    [sym_uninitialized] = ACTIONS(5592),
    [sym_tag] = ACTIONS(5592),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5592),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1156] = {
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_COLON_COLON] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [anon_sym_where] = ACTIONS(5596),
    [anon_sym_EQ] = ACTIONS(5598),
    [anon_sym_COLON] = ACTIONS(5598),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_COLON_EQ] = ACTIONS(5596),
    [anon_sym_LPAREN] = ACTIONS(5596),
    [anon_sym_PLUS_EQ] = ACTIONS(5596),
    [anon_sym_DASH_EQ] = ACTIONS(5596),
    [anon_sym_STAR_EQ] = ACTIONS(5596),
    [anon_sym_SLASH_EQ] = ACTIONS(5596),
    [anon_sym_PERCENT_EQ] = ACTIONS(5596),
    [anon_sym_AMP_EQ] = ACTIONS(5596),
    [anon_sym_PIPE_EQ] = ACTIONS(5596),
    [anon_sym_CARET_EQ] = ACTIONS(5596),
    [anon_sym_LT_LT_EQ] = ACTIONS(5596),
    [anon_sym_GT_GT_EQ] = ACTIONS(5596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5596),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5596),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5596),
    [anon_sym_if] = ACTIONS(5596),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym_else] = ACTIONS(5596),
    [anon_sym_when] = ACTIONS(5596),
    [anon_sym_in] = ACTIONS(5596),
    [anon_sym_case] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_TILDE] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_or_else] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5596),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_TILDE_EQ] = ACTIONS(5596),
    [anon_sym_AMP_TILDE] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5598),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5598),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5596),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5596),
    [anon_sym_not_in] = ACTIONS(5596),
    [anon_sym_or_return] = ACTIONS(5596),
    [anon_sym_or_continue] = ACTIONS(5596),
    [anon_sym_or_break] = ACTIONS(5596),
    [anon_sym_CARET] = ACTIONS(5598),
    [sym_uninitialized] = ACTIONS(5596),
    [sym_tag] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5596),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1157] = {
    [anon_sym_LBRACE] = ACTIONS(5600),
    [anon_sym_RBRACE] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [anon_sym_COLON_COLON] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [anon_sym_where] = ACTIONS(5600),
    [anon_sym_EQ] = ACTIONS(5602),
    [anon_sym_COLON] = ACTIONS(5602),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_COLON_EQ] = ACTIONS(5600),
    [anon_sym_LPAREN] = ACTIONS(5600),
    [anon_sym_PLUS_EQ] = ACTIONS(5600),
    [anon_sym_DASH_EQ] = ACTIONS(5600),
    [anon_sym_STAR_EQ] = ACTIONS(5600),
    [anon_sym_SLASH_EQ] = ACTIONS(5600),
    [anon_sym_PERCENT_EQ] = ACTIONS(5600),
    [anon_sym_AMP_EQ] = ACTIONS(5600),
    [anon_sym_PIPE_EQ] = ACTIONS(5600),
    [anon_sym_CARET_EQ] = ACTIONS(5600),
    [anon_sym_LT_LT_EQ] = ACTIONS(5600),
    [anon_sym_GT_GT_EQ] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5600),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5600),
    [anon_sym_if] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym_else] = ACTIONS(5600),
    [anon_sym_when] = ACTIONS(5600),
    [anon_sym_in] = ACTIONS(5600),
    [anon_sym_case] = ACTIONS(5600),
    [anon_sym_QMARK] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_TILDE] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_PIPE_PIPE] = ACTIONS(5602),
    [anon_sym_or_else] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5602),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_TILDE_EQ] = ACTIONS(5600),
    [anon_sym_AMP_TILDE] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5602),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5602),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5602),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5600),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5600),
    [anon_sym_not_in] = ACTIONS(5600),
    [anon_sym_or_return] = ACTIONS(5600),
    [anon_sym_or_continue] = ACTIONS(5600),
    [anon_sym_or_break] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5602),
    [sym_uninitialized] = ACTIONS(5600),
    [sym_tag] = ACTIONS(5600),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5600),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1158] = {
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [anon_sym_where] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(5606),
    [anon_sym_COLON] = ACTIONS(5606),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_COLON_EQ] = ACTIONS(5604),
    [anon_sym_LPAREN] = ACTIONS(5604),
    [anon_sym_PLUS_EQ] = ACTIONS(5604),
    [anon_sym_DASH_EQ] = ACTIONS(5604),
    [anon_sym_STAR_EQ] = ACTIONS(5604),
    [anon_sym_SLASH_EQ] = ACTIONS(5604),
    [anon_sym_PERCENT_EQ] = ACTIONS(5604),
    [anon_sym_AMP_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_CARET_EQ] = ACTIONS(5604),
    [anon_sym_LT_LT_EQ] = ACTIONS(5604),
    [anon_sym_GT_GT_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5604),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5604),
    [anon_sym_if] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym_else] = ACTIONS(5604),
    [anon_sym_when] = ACTIONS(5604),
    [anon_sym_in] = ACTIONS(5604),
    [anon_sym_case] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_TILDE] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_or_else] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_TILDE_EQ] = ACTIONS(5604),
    [anon_sym_AMP_TILDE] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5606),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5606),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5604),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5604),
    [anon_sym_not_in] = ACTIONS(5604),
    [anon_sym_or_return] = ACTIONS(5604),
    [anon_sym_or_continue] = ACTIONS(5604),
    [anon_sym_or_break] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5606),
    [sym_uninitialized] = ACTIONS(5604),
    [sym_tag] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5604),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1159] = {
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [anon_sym_where] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(5606),
    [anon_sym_COLON] = ACTIONS(5606),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_COLON_EQ] = ACTIONS(5604),
    [anon_sym_LPAREN] = ACTIONS(5604),
    [anon_sym_PLUS_EQ] = ACTIONS(5604),
    [anon_sym_DASH_EQ] = ACTIONS(5604),
    [anon_sym_STAR_EQ] = ACTIONS(5604),
    [anon_sym_SLASH_EQ] = ACTIONS(5604),
    [anon_sym_PERCENT_EQ] = ACTIONS(5604),
    [anon_sym_AMP_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_CARET_EQ] = ACTIONS(5604),
    [anon_sym_LT_LT_EQ] = ACTIONS(5604),
    [anon_sym_GT_GT_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5604),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5604),
    [anon_sym_if] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym_else] = ACTIONS(5604),
    [anon_sym_when] = ACTIONS(5604),
    [anon_sym_in] = ACTIONS(5604),
    [anon_sym_case] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_TILDE] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_or_else] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_TILDE_EQ] = ACTIONS(5604),
    [anon_sym_AMP_TILDE] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5606),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5606),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5604),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5604),
    [anon_sym_not_in] = ACTIONS(5604),
    [anon_sym_or_return] = ACTIONS(5604),
    [anon_sym_or_continue] = ACTIONS(5604),
    [anon_sym_or_break] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5606),
    [sym_uninitialized] = ACTIONS(5604),
    [sym_tag] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5604),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1160] = {
    [anon_sym_LBRACE] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5608),
    [anon_sym_COMMA] = ACTIONS(5608),
    [anon_sym_COLON_COLON] = ACTIONS(5608),
    [anon_sym_DASH_GT] = ACTIONS(5608),
    [anon_sym_where] = ACTIONS(5608),
    [anon_sym_EQ] = ACTIONS(5610),
    [anon_sym_COLON] = ACTIONS(5610),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_COLON_EQ] = ACTIONS(5608),
    [anon_sym_LPAREN] = ACTIONS(5608),
    [anon_sym_PLUS_EQ] = ACTIONS(5608),
    [anon_sym_DASH_EQ] = ACTIONS(5608),
    [anon_sym_STAR_EQ] = ACTIONS(5608),
    [anon_sym_SLASH_EQ] = ACTIONS(5608),
    [anon_sym_PERCENT_EQ] = ACTIONS(5608),
    [anon_sym_AMP_EQ] = ACTIONS(5608),
    [anon_sym_PIPE_EQ] = ACTIONS(5608),
    [anon_sym_CARET_EQ] = ACTIONS(5608),
    [anon_sym_LT_LT_EQ] = ACTIONS(5608),
    [anon_sym_GT_GT_EQ] = ACTIONS(5608),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5608),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5608),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5608),
    [anon_sym_if] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym_else] = ACTIONS(5608),
    [anon_sym_when] = ACTIONS(5608),
    [anon_sym_in] = ACTIONS(5608),
    [anon_sym_case] = ACTIONS(5608),
    [anon_sym_QMARK] = ACTIONS(5608),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_PIPE_PIPE] = ACTIONS(5610),
    [anon_sym_or_else] = ACTIONS(5608),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_GT_EQ] = ACTIONS(5608),
    [anon_sym_LT_EQ] = ACTIONS(5608),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_EQ_EQ] = ACTIONS(5608),
    [anon_sym_BANG_EQ] = ACTIONS(5608),
    [anon_sym_TILDE_EQ] = ACTIONS(5608),
    [anon_sym_AMP_TILDE] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5610),
    [anon_sym_GT_GT] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5610),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5608),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5608),
    [anon_sym_not_in] = ACTIONS(5608),
    [anon_sym_or_return] = ACTIONS(5608),
    [anon_sym_or_continue] = ACTIONS(5608),
    [anon_sym_or_break] = ACTIONS(5608),
    [anon_sym_CARET] = ACTIONS(5610),
    [sym_uninitialized] = ACTIONS(5608),
    [sym_tag] = ACTIONS(5608),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5608),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1161] = {
    [anon_sym_LBRACE] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5612),
    [anon_sym_EQ] = ACTIONS(5614),
    [anon_sym_COLON] = ACTIONS(5614),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_COLON_EQ] = ACTIONS(5612),
    [anon_sym_LPAREN] = ACTIONS(5612),
    [anon_sym_PLUS_EQ] = ACTIONS(5612),
    [anon_sym_DASH_EQ] = ACTIONS(5612),
    [anon_sym_STAR_EQ] = ACTIONS(5612),
    [anon_sym_SLASH_EQ] = ACTIONS(5612),
    [anon_sym_PERCENT_EQ] = ACTIONS(5612),
    [anon_sym_AMP_EQ] = ACTIONS(5612),
    [anon_sym_PIPE_EQ] = ACTIONS(5612),
    [anon_sym_CARET_EQ] = ACTIONS(5612),
    [anon_sym_LT_LT_EQ] = ACTIONS(5612),
    [anon_sym_GT_GT_EQ] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5612),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5612),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5612),
    [anon_sym_if] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym_else] = ACTIONS(5612),
    [anon_sym_when] = ACTIONS(5612),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_case] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_PIPE_PIPE] = ACTIONS(5614),
    [anon_sym_or_else] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5612),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_TILDE_EQ] = ACTIONS(5612),
    [anon_sym_AMP_TILDE] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5614),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5614),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5612),
    [anon_sym_or_return] = ACTIONS(5612),
    [anon_sym_or_continue] = ACTIONS(5612),
    [anon_sym_or_break] = ACTIONS(5612),
    [anon_sym_CARET] = ACTIONS(5614),
    [sym_uninitialized] = ACTIONS(5612),
    [sym_tag] = ACTIONS(5612),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5612),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1162] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1163] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5618),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1164] = {
    [anon_sym_LBRACE] = ACTIONS(5620),
    [anon_sym_RBRACE] = ACTIONS(5620),
    [anon_sym_COMMA] = ACTIONS(5620),
    [anon_sym_COLON_COLON] = ACTIONS(5620),
    [anon_sym_DASH_GT] = ACTIONS(5620),
    [anon_sym_where] = ACTIONS(5620),
    [anon_sym_EQ] = ACTIONS(5622),
    [anon_sym_COLON] = ACTIONS(5622),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_COLON_EQ] = ACTIONS(5620),
    [anon_sym_LPAREN] = ACTIONS(5620),
    [anon_sym_PLUS_EQ] = ACTIONS(5620),
    [anon_sym_DASH_EQ] = ACTIONS(5620),
    [anon_sym_STAR_EQ] = ACTIONS(5620),
    [anon_sym_SLASH_EQ] = ACTIONS(5620),
    [anon_sym_PERCENT_EQ] = ACTIONS(5620),
    [anon_sym_AMP_EQ] = ACTIONS(5620),
    [anon_sym_PIPE_EQ] = ACTIONS(5620),
    [anon_sym_CARET_EQ] = ACTIONS(5620),
    [anon_sym_LT_LT_EQ] = ACTIONS(5620),
    [anon_sym_GT_GT_EQ] = ACTIONS(5620),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5620),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5620),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5620),
    [anon_sym_if] = ACTIONS(5620),
    [anon_sym_SEMI] = ACTIONS(5620),
    [anon_sym_else] = ACTIONS(5620),
    [anon_sym_when] = ACTIONS(5620),
    [anon_sym_in] = ACTIONS(5620),
    [anon_sym_case] = ACTIONS(5620),
    [anon_sym_QMARK] = ACTIONS(5620),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_TILDE] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_PIPE_PIPE] = ACTIONS(5622),
    [anon_sym_or_else] = ACTIONS(5620),
    [anon_sym_AMP_AMP] = ACTIONS(5622),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_GT_EQ] = ACTIONS(5620),
    [anon_sym_LT_EQ] = ACTIONS(5620),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_EQ_EQ] = ACTIONS(5620),
    [anon_sym_BANG_EQ] = ACTIONS(5620),
    [anon_sym_TILDE_EQ] = ACTIONS(5620),
    [anon_sym_AMP_TILDE] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5622),
    [anon_sym_GT_GT] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5622),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5622),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5620),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5620),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5620),
    [anon_sym_not_in] = ACTIONS(5620),
    [anon_sym_or_return] = ACTIONS(5620),
    [anon_sym_or_continue] = ACTIONS(5620),
    [anon_sym_or_break] = ACTIONS(5620),
    [anon_sym_CARET] = ACTIONS(5622),
    [sym_uninitialized] = ACTIONS(5620),
    [sym_tag] = ACTIONS(5620),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5620),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1165] = {
    [anon_sym_LBRACE] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_COLON_COLON] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [anon_sym_where] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5626),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_COLON_EQ] = ACTIONS(5624),
    [anon_sym_LPAREN] = ACTIONS(5624),
    [anon_sym_PLUS_EQ] = ACTIONS(5624),
    [anon_sym_DASH_EQ] = ACTIONS(5624),
    [anon_sym_STAR_EQ] = ACTIONS(5624),
    [anon_sym_SLASH_EQ] = ACTIONS(5624),
    [anon_sym_PERCENT_EQ] = ACTIONS(5624),
    [anon_sym_AMP_EQ] = ACTIONS(5624),
    [anon_sym_PIPE_EQ] = ACTIONS(5624),
    [anon_sym_CARET_EQ] = ACTIONS(5624),
    [anon_sym_LT_LT_EQ] = ACTIONS(5624),
    [anon_sym_GT_GT_EQ] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5624),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5624),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5624),
    [anon_sym_if] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym_else] = ACTIONS(5624),
    [anon_sym_when] = ACTIONS(5624),
    [anon_sym_in] = ACTIONS(5624),
    [anon_sym_case] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5624),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_TILDE] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_PIPE_PIPE] = ACTIONS(5626),
    [anon_sym_or_else] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5626),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5624),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_TILDE_EQ] = ACTIONS(5624),
    [anon_sym_AMP_TILDE] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5626),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5626),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5626),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5624),
    [anon_sym_not_in] = ACTIONS(5624),
    [anon_sym_or_return] = ACTIONS(5624),
    [anon_sym_or_continue] = ACTIONS(5624),
    [anon_sym_or_break] = ACTIONS(5624),
    [anon_sym_CARET] = ACTIONS(5626),
    [sym_uninitialized] = ACTIONS(5624),
    [sym_tag] = ACTIONS(5624),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5624),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1166] = {
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_COLON_COLON] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [anon_sym_where] = ACTIONS(5628),
    [anon_sym_EQ] = ACTIONS(5630),
    [anon_sym_COLON] = ACTIONS(5630),
    [anon_sym_PIPE] = ACTIONS(5630),
    [anon_sym_COLON_EQ] = ACTIONS(5628),
    [anon_sym_LPAREN] = ACTIONS(5628),
    [anon_sym_PLUS_EQ] = ACTIONS(5628),
    [anon_sym_DASH_EQ] = ACTIONS(5628),
    [anon_sym_STAR_EQ] = ACTIONS(5628),
    [anon_sym_SLASH_EQ] = ACTIONS(5628),
    [anon_sym_PERCENT_EQ] = ACTIONS(5628),
    [anon_sym_AMP_EQ] = ACTIONS(5628),
    [anon_sym_PIPE_EQ] = ACTIONS(5628),
    [anon_sym_CARET_EQ] = ACTIONS(5628),
    [anon_sym_LT_LT_EQ] = ACTIONS(5628),
    [anon_sym_GT_GT_EQ] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5628),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5628),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5628),
    [anon_sym_if] = ACTIONS(5628),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym_else] = ACTIONS(5628),
    [anon_sym_when] = ACTIONS(5628),
    [anon_sym_in] = ACTIONS(5628),
    [anon_sym_case] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_PLUS] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5630),
    [anon_sym_TILDE] = ACTIONS(5630),
    [anon_sym_AMP] = ACTIONS(5630),
    [anon_sym_PIPE_PIPE] = ACTIONS(5630),
    [anon_sym_or_else] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5630),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5628),
    [anon_sym_LT] = ACTIONS(5630),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_TILDE_EQ] = ACTIONS(5628),
    [anon_sym_AMP_TILDE] = ACTIONS(5630),
    [anon_sym_LT_LT] = ACTIONS(5630),
    [anon_sym_GT_GT] = ACTIONS(5630),
    [anon_sym_STAR] = ACTIONS(5630),
    [anon_sym_SLASH] = ACTIONS(5630),
    [anon_sym_PERCENT] = ACTIONS(5630),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5628),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5628),
    [anon_sym_not_in] = ACTIONS(5628),
    [anon_sym_or_return] = ACTIONS(5628),
    [anon_sym_or_continue] = ACTIONS(5628),
    [anon_sym_or_break] = ACTIONS(5628),
    [anon_sym_CARET] = ACTIONS(5630),
    [sym_uninitialized] = ACTIONS(5628),
    [sym_tag] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5628),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1167] = {
    [anon_sym_LBRACE] = ACTIONS(5632),
    [anon_sym_RBRACE] = ACTIONS(5632),
    [anon_sym_COMMA] = ACTIONS(5632),
    [anon_sym_COLON_COLON] = ACTIONS(5632),
    [anon_sym_DASH_GT] = ACTIONS(5632),
    [anon_sym_where] = ACTIONS(5632),
    [anon_sym_EQ] = ACTIONS(5634),
    [anon_sym_COLON] = ACTIONS(5634),
    [anon_sym_PIPE] = ACTIONS(5634),
    [anon_sym_COLON_EQ] = ACTIONS(5632),
    [anon_sym_LPAREN] = ACTIONS(5632),
    [anon_sym_PLUS_EQ] = ACTIONS(5632),
    [anon_sym_DASH_EQ] = ACTIONS(5632),
    [anon_sym_STAR_EQ] = ACTIONS(5632),
    [anon_sym_SLASH_EQ] = ACTIONS(5632),
    [anon_sym_PERCENT_EQ] = ACTIONS(5632),
    [anon_sym_AMP_EQ] = ACTIONS(5632),
    [anon_sym_PIPE_EQ] = ACTIONS(5632),
    [anon_sym_CARET_EQ] = ACTIONS(5632),
    [anon_sym_LT_LT_EQ] = ACTIONS(5632),
    [anon_sym_GT_GT_EQ] = ACTIONS(5632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5632),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5632),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5632),
    [anon_sym_if] = ACTIONS(5632),
    [anon_sym_SEMI] = ACTIONS(5632),
    [anon_sym_else] = ACTIONS(5632),
    [anon_sym_when] = ACTIONS(5632),
    [anon_sym_in] = ACTIONS(5632),
    [anon_sym_case] = ACTIONS(5632),
    [anon_sym_QMARK] = ACTIONS(5632),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_TILDE] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(5634),
    [anon_sym_PIPE_PIPE] = ACTIONS(5634),
    [anon_sym_or_else] = ACTIONS(5632),
    [anon_sym_AMP_AMP] = ACTIONS(5634),
    [anon_sym_GT] = ACTIONS(5634),
    [anon_sym_GT_EQ] = ACTIONS(5632),
    [anon_sym_LT_EQ] = ACTIONS(5632),
    [anon_sym_LT] = ACTIONS(5634),
    [anon_sym_EQ_EQ] = ACTIONS(5632),
    [anon_sym_BANG_EQ] = ACTIONS(5632),
    [anon_sym_TILDE_EQ] = ACTIONS(5632),
    [anon_sym_AMP_TILDE] = ACTIONS(5634),
    [anon_sym_LT_LT] = ACTIONS(5634),
    [anon_sym_GT_GT] = ACTIONS(5634),
    [anon_sym_STAR] = ACTIONS(5634),
    [anon_sym_SLASH] = ACTIONS(5634),
    [anon_sym_PERCENT] = ACTIONS(5634),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5632),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5632),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5632),
    [anon_sym_not_in] = ACTIONS(5632),
    [anon_sym_or_return] = ACTIONS(5632),
    [anon_sym_or_continue] = ACTIONS(5632),
    [anon_sym_or_break] = ACTIONS(5632),
    [anon_sym_CARET] = ACTIONS(5634),
    [sym_uninitialized] = ACTIONS(5632),
    [sym_tag] = ACTIONS(5632),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5632),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1168] = {
    [anon_sym_LBRACE] = ACTIONS(5636),
    [anon_sym_RBRACE] = ACTIONS(5636),
    [anon_sym_COMMA] = ACTIONS(5636),
    [anon_sym_COLON_COLON] = ACTIONS(5636),
    [anon_sym_DASH_GT] = ACTIONS(5636),
    [anon_sym_where] = ACTIONS(5636),
    [anon_sym_EQ] = ACTIONS(5638),
    [anon_sym_COLON] = ACTIONS(5638),
    [anon_sym_PIPE] = ACTIONS(5638),
    [anon_sym_COLON_EQ] = ACTIONS(5636),
    [anon_sym_LPAREN] = ACTIONS(5636),
    [anon_sym_PLUS_EQ] = ACTIONS(5636),
    [anon_sym_DASH_EQ] = ACTIONS(5636),
    [anon_sym_STAR_EQ] = ACTIONS(5636),
    [anon_sym_SLASH_EQ] = ACTIONS(5636),
    [anon_sym_PERCENT_EQ] = ACTIONS(5636),
    [anon_sym_AMP_EQ] = ACTIONS(5636),
    [anon_sym_PIPE_EQ] = ACTIONS(5636),
    [anon_sym_CARET_EQ] = ACTIONS(5636),
    [anon_sym_LT_LT_EQ] = ACTIONS(5636),
    [anon_sym_GT_GT_EQ] = ACTIONS(5636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5636),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5636),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5636),
    [anon_sym_if] = ACTIONS(5636),
    [anon_sym_SEMI] = ACTIONS(5636),
    [anon_sym_else] = ACTIONS(5636),
    [anon_sym_when] = ACTIONS(5636),
    [anon_sym_in] = ACTIONS(5636),
    [anon_sym_case] = ACTIONS(5636),
    [anon_sym_QMARK] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_TILDE] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5638),
    [anon_sym_PIPE_PIPE] = ACTIONS(5638),
    [anon_sym_or_else] = ACTIONS(5636),
    [anon_sym_AMP_AMP] = ACTIONS(5638),
    [anon_sym_GT] = ACTIONS(5638),
    [anon_sym_GT_EQ] = ACTIONS(5636),
    [anon_sym_LT_EQ] = ACTIONS(5636),
    [anon_sym_LT] = ACTIONS(5638),
    [anon_sym_EQ_EQ] = ACTIONS(5636),
    [anon_sym_BANG_EQ] = ACTIONS(5636),
    [anon_sym_TILDE_EQ] = ACTIONS(5636),
    [anon_sym_AMP_TILDE] = ACTIONS(5638),
    [anon_sym_LT_LT] = ACTIONS(5638),
    [anon_sym_GT_GT] = ACTIONS(5638),
    [anon_sym_STAR] = ACTIONS(5638),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5636),
    [anon_sym_DOT] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5636),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5636),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5636),
    [anon_sym_not_in] = ACTIONS(5636),
    [anon_sym_or_return] = ACTIONS(5636),
    [anon_sym_or_continue] = ACTIONS(5636),
    [anon_sym_or_break] = ACTIONS(5636),
    [anon_sym_CARET] = ACTIONS(5638),
    [sym_uninitialized] = ACTIONS(5636),
    [sym_tag] = ACTIONS(5636),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5636),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1169] = {
    [anon_sym_LBRACE] = ACTIONS(203),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(203),
    [anon_sym_DASH_GT] = ACTIONS(203),
    [anon_sym_where] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_COLON] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_COLON_EQ] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_PLUS_EQ] = ACTIONS(203),
    [anon_sym_DASH_EQ] = ACTIONS(203),
    [anon_sym_STAR_EQ] = ACTIONS(203),
    [anon_sym_SLASH_EQ] = ACTIONS(203),
    [anon_sym_PERCENT_EQ] = ACTIONS(203),
    [anon_sym_AMP_EQ] = ACTIONS(203),
    [anon_sym_PIPE_EQ] = ACTIONS(203),
    [anon_sym_CARET_EQ] = ACTIONS(203),
    [anon_sym_LT_LT_EQ] = ACTIONS(203),
    [anon_sym_GT_GT_EQ] = ACTIONS(203),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(203),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_SEMI] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(203),
    [anon_sym_when] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_case] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(205),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_PIPE_PIPE] = ACTIONS(205),
    [anon_sym_or_else] = ACTIONS(203),
    [anon_sym_AMP_AMP] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_TILDE_EQ] = ACTIONS(203),
    [anon_sym_AMP_TILDE] = ACTIONS(205),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_GT_GT] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(203),
    [anon_sym_DOT_DOT_LT] = ACTIONS(203),
    [anon_sym_not_in] = ACTIONS(203),
    [anon_sym_or_return] = ACTIONS(203),
    [anon_sym_or_continue] = ACTIONS(203),
    [anon_sym_or_break] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(205),
    [sym_uninitialized] = ACTIONS(203),
    [sym_tag] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(203),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1170] = {
    [anon_sym_LBRACE] = ACTIONS(5640),
    [anon_sym_RBRACE] = ACTIONS(5640),
    [anon_sym_COMMA] = ACTIONS(5640),
    [anon_sym_COLON_COLON] = ACTIONS(5640),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(5642),
    [anon_sym_COLON] = ACTIONS(5642),
    [anon_sym_PIPE] = ACTIONS(5642),
    [anon_sym_COLON_EQ] = ACTIONS(5640),
    [anon_sym_LPAREN] = ACTIONS(5640),
    [anon_sym_PLUS_EQ] = ACTIONS(5640),
    [anon_sym_DASH_EQ] = ACTIONS(5640),
    [anon_sym_STAR_EQ] = ACTIONS(5640),
    [anon_sym_SLASH_EQ] = ACTIONS(5640),
    [anon_sym_PERCENT_EQ] = ACTIONS(5640),
    [anon_sym_AMP_EQ] = ACTIONS(5640),
    [anon_sym_PIPE_EQ] = ACTIONS(5640),
    [anon_sym_CARET_EQ] = ACTIONS(5640),
    [anon_sym_LT_LT_EQ] = ACTIONS(5640),
    [anon_sym_GT_GT_EQ] = ACTIONS(5640),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5640),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5640),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5640),
    [anon_sym_if] = ACTIONS(5640),
    [anon_sym_SEMI] = ACTIONS(5640),
    [anon_sym_else] = ACTIONS(5640),
    [anon_sym_when] = ACTIONS(5640),
    [anon_sym_in] = ACTIONS(5640),
    [anon_sym_case] = ACTIONS(5640),
    [anon_sym_QMARK] = ACTIONS(5640),
    [anon_sym_PLUS] = ACTIONS(5642),
    [anon_sym_DASH] = ACTIONS(5642),
    [anon_sym_TILDE] = ACTIONS(5642),
    [anon_sym_AMP] = ACTIONS(5642),
    [anon_sym_PIPE_PIPE] = ACTIONS(5642),
    [anon_sym_or_else] = ACTIONS(5640),
    [anon_sym_AMP_AMP] = ACTIONS(5642),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5640),
    [anon_sym_LT_EQ] = ACTIONS(5640),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_EQ_EQ] = ACTIONS(5640),
    [anon_sym_BANG_EQ] = ACTIONS(5640),
    [anon_sym_TILDE_EQ] = ACTIONS(5640),
    [anon_sym_AMP_TILDE] = ACTIONS(5642),
    [anon_sym_LT_LT] = ACTIONS(5642),
    [anon_sym_GT_GT] = ACTIONS(5642),
    [anon_sym_STAR] = ACTIONS(5642),
    [anon_sym_SLASH] = ACTIONS(5642),
    [anon_sym_PERCENT] = ACTIONS(5642),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5640),
    [anon_sym_or_return] = ACTIONS(5640),
    [anon_sym_or_continue] = ACTIONS(5640),
    [anon_sym_or_break] = ACTIONS(5640),
    [anon_sym_CARET] = ACTIONS(5642),
    [sym_uninitialized] = ACTIONS(5640),
    [sym_tag] = ACTIONS(5640),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5640),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1171] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5644),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1172] = {
    [anon_sym_LBRACE] = ACTIONS(5646),
    [anon_sym_RBRACE] = ACTIONS(5646),
    [anon_sym_COMMA] = ACTIONS(5646),
    [anon_sym_COLON_COLON] = ACTIONS(5646),
    [anon_sym_DASH_GT] = ACTIONS(5646),
    [anon_sym_where] = ACTIONS(5646),
    [anon_sym_EQ] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5648),
    [anon_sym_PIPE] = ACTIONS(5648),
    [anon_sym_COLON_EQ] = ACTIONS(5646),
    [anon_sym_LPAREN] = ACTIONS(5646),
    [anon_sym_PLUS_EQ] = ACTIONS(5646),
    [anon_sym_DASH_EQ] = ACTIONS(5646),
    [anon_sym_STAR_EQ] = ACTIONS(5646),
    [anon_sym_SLASH_EQ] = ACTIONS(5646),
    [anon_sym_PERCENT_EQ] = ACTIONS(5646),
    [anon_sym_AMP_EQ] = ACTIONS(5646),
    [anon_sym_PIPE_EQ] = ACTIONS(5646),
    [anon_sym_CARET_EQ] = ACTIONS(5646),
    [anon_sym_LT_LT_EQ] = ACTIONS(5646),
    [anon_sym_GT_GT_EQ] = ACTIONS(5646),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5646),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5646),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5646),
    [anon_sym_if] = ACTIONS(5646),
    [anon_sym_SEMI] = ACTIONS(5646),
    [anon_sym_else] = ACTIONS(5646),
    [anon_sym_when] = ACTIONS(5646),
    [anon_sym_in] = ACTIONS(5646),
    [anon_sym_case] = ACTIONS(5646),
    [anon_sym_QMARK] = ACTIONS(5646),
    [anon_sym_PLUS] = ACTIONS(5648),
    [anon_sym_DASH] = ACTIONS(5648),
    [anon_sym_TILDE] = ACTIONS(5648),
    [anon_sym_AMP] = ACTIONS(5648),
    [anon_sym_PIPE_PIPE] = ACTIONS(5648),
    [anon_sym_or_else] = ACTIONS(5646),
    [anon_sym_AMP_AMP] = ACTIONS(5648),
    [anon_sym_GT] = ACTIONS(5648),
    [anon_sym_GT_EQ] = ACTIONS(5646),
    [anon_sym_LT_EQ] = ACTIONS(5646),
    [anon_sym_LT] = ACTIONS(5648),
    [anon_sym_EQ_EQ] = ACTIONS(5646),
    [anon_sym_BANG_EQ] = ACTIONS(5646),
    [anon_sym_TILDE_EQ] = ACTIONS(5646),
    [anon_sym_AMP_TILDE] = ACTIONS(5648),
    [anon_sym_LT_LT] = ACTIONS(5648),
    [anon_sym_GT_GT] = ACTIONS(5648),
    [anon_sym_STAR] = ACTIONS(5648),
    [anon_sym_SLASH] = ACTIONS(5648),
    [anon_sym_PERCENT] = ACTIONS(5648),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5646),
    [anon_sym_DOT] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5646),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5646),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5646),
    [anon_sym_not_in] = ACTIONS(5646),
    [anon_sym_or_return] = ACTIONS(5646),
    [anon_sym_or_continue] = ACTIONS(5646),
    [anon_sym_or_break] = ACTIONS(5646),
    [anon_sym_CARET] = ACTIONS(5648),
    [sym_uninitialized] = ACTIONS(5646),
    [sym_tag] = ACTIONS(5646),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5646),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1173] = {
    [anon_sym_LBRACE] = ACTIONS(5650),
    [anon_sym_RBRACE] = ACTIONS(5650),
    [anon_sym_COMMA] = ACTIONS(5650),
    [anon_sym_COLON_COLON] = ACTIONS(5650),
    [anon_sym_DASH_GT] = ACTIONS(5650),
    [anon_sym_where] = ACTIONS(5650),
    [anon_sym_EQ] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5652),
    [anon_sym_COLON_EQ] = ACTIONS(5650),
    [anon_sym_LPAREN] = ACTIONS(5650),
    [anon_sym_PLUS_EQ] = ACTIONS(5650),
    [anon_sym_DASH_EQ] = ACTIONS(5650),
    [anon_sym_STAR_EQ] = ACTIONS(5650),
    [anon_sym_SLASH_EQ] = ACTIONS(5650),
    [anon_sym_PERCENT_EQ] = ACTIONS(5650),
    [anon_sym_AMP_EQ] = ACTIONS(5650),
    [anon_sym_PIPE_EQ] = ACTIONS(5650),
    [anon_sym_CARET_EQ] = ACTIONS(5650),
    [anon_sym_LT_LT_EQ] = ACTIONS(5650),
    [anon_sym_GT_GT_EQ] = ACTIONS(5650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5650),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5650),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5650),
    [anon_sym_if] = ACTIONS(5650),
    [anon_sym_SEMI] = ACTIONS(5650),
    [anon_sym_else] = ACTIONS(5650),
    [anon_sym_when] = ACTIONS(5650),
    [anon_sym_in] = ACTIONS(5650),
    [anon_sym_case] = ACTIONS(5650),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5652),
    [anon_sym_TILDE] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_or_else] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5650),
    [anon_sym_LT_EQ] = ACTIONS(5650),
    [anon_sym_LT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5650),
    [anon_sym_BANG_EQ] = ACTIONS(5650),
    [anon_sym_TILDE_EQ] = ACTIONS(5650),
    [anon_sym_AMP_TILDE] = ACTIONS(5652),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5652),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5650),
    [anon_sym_DOT] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5650),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5650),
    [anon_sym_not_in] = ACTIONS(5650),
    [anon_sym_or_return] = ACTIONS(5650),
    [anon_sym_or_continue] = ACTIONS(5650),
    [anon_sym_or_break] = ACTIONS(5650),
    [anon_sym_CARET] = ACTIONS(5652),
    [sym_uninitialized] = ACTIONS(5650),
    [sym_tag] = ACTIONS(5650),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5650),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1174] = {
    [anon_sym_LBRACE] = ACTIONS(5654),
    [anon_sym_RBRACE] = ACTIONS(5654),
    [anon_sym_COMMA] = ACTIONS(5654),
    [anon_sym_COLON_COLON] = ACTIONS(5654),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5654),
    [anon_sym_EQ] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(5654),
    [anon_sym_LPAREN] = ACTIONS(5654),
    [anon_sym_PLUS_EQ] = ACTIONS(5654),
    [anon_sym_DASH_EQ] = ACTIONS(5654),
    [anon_sym_STAR_EQ] = ACTIONS(5654),
    [anon_sym_SLASH_EQ] = ACTIONS(5654),
    [anon_sym_PERCENT_EQ] = ACTIONS(5654),
    [anon_sym_AMP_EQ] = ACTIONS(5654),
    [anon_sym_PIPE_EQ] = ACTIONS(5654),
    [anon_sym_CARET_EQ] = ACTIONS(5654),
    [anon_sym_LT_LT_EQ] = ACTIONS(5654),
    [anon_sym_GT_GT_EQ] = ACTIONS(5654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5654),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5654),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5654),
    [anon_sym_if] = ACTIONS(5654),
    [anon_sym_SEMI] = ACTIONS(5654),
    [anon_sym_else] = ACTIONS(5654),
    [anon_sym_when] = ACTIONS(5654),
    [anon_sym_in] = ACTIONS(5654),
    [anon_sym_case] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(4797),
    [anon_sym_or_else] = ACTIONS(4799),
    [anon_sym_AMP_AMP] = ACTIONS(4801),
    [anon_sym_GT] = ACTIONS(4803),
    [anon_sym_GT_EQ] = ACTIONS(4805),
    [anon_sym_LT_EQ] = ACTIONS(4805),
    [anon_sym_LT] = ACTIONS(4803),
    [anon_sym_EQ_EQ] = ACTIONS(4807),
    [anon_sym_BANG_EQ] = ACTIONS(4807),
    [anon_sym_TILDE_EQ] = ACTIONS(4807),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5654),
    [anon_sym_or_return] = ACTIONS(4823),
    [anon_sym_or_continue] = ACTIONS(4825),
    [anon_sym_or_break] = ACTIONS(4827),
    [anon_sym_CARET] = ACTIONS(4829),
    [sym_uninitialized] = ACTIONS(5654),
    [sym_tag] = ACTIONS(5654),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5654),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1175] = {
    [anon_sym_LBRACE] = ACTIONS(5658),
    [anon_sym_RBRACE] = ACTIONS(5658),
    [anon_sym_COMMA] = ACTIONS(5658),
    [anon_sym_COLON_COLON] = ACTIONS(5658),
    [anon_sym_DASH_GT] = ACTIONS(5658),
    [anon_sym_where] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5660),
    [anon_sym_COLON_EQ] = ACTIONS(5658),
    [anon_sym_LPAREN] = ACTIONS(5658),
    [anon_sym_PLUS_EQ] = ACTIONS(5658),
    [anon_sym_DASH_EQ] = ACTIONS(5658),
    [anon_sym_STAR_EQ] = ACTIONS(5658),
    [anon_sym_SLASH_EQ] = ACTIONS(5658),
    [anon_sym_PERCENT_EQ] = ACTIONS(5658),
    [anon_sym_AMP_EQ] = ACTIONS(5658),
    [anon_sym_PIPE_EQ] = ACTIONS(5658),
    [anon_sym_CARET_EQ] = ACTIONS(5658),
    [anon_sym_LT_LT_EQ] = ACTIONS(5658),
    [anon_sym_GT_GT_EQ] = ACTIONS(5658),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5658),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5658),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5658),
    [anon_sym_if] = ACTIONS(5658),
    [anon_sym_SEMI] = ACTIONS(5658),
    [anon_sym_else] = ACTIONS(5658),
    [anon_sym_when] = ACTIONS(5658),
    [anon_sym_in] = ACTIONS(5658),
    [anon_sym_case] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5660),
    [anon_sym_DASH] = ACTIONS(5660),
    [anon_sym_TILDE] = ACTIONS(5660),
    [anon_sym_AMP] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_or_else] = ACTIONS(5658),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_GT] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5658),
    [anon_sym_LT_EQ] = ACTIONS(5658),
    [anon_sym_LT] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5658),
    [anon_sym_BANG_EQ] = ACTIONS(5658),
    [anon_sym_TILDE_EQ] = ACTIONS(5658),
    [anon_sym_AMP_TILDE] = ACTIONS(5660),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5660),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5660),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5658),
    [anon_sym_DOT] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5658),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5658),
    [anon_sym_not_in] = ACTIONS(5658),
    [anon_sym_or_return] = ACTIONS(5658),
    [anon_sym_or_continue] = ACTIONS(5658),
    [anon_sym_or_break] = ACTIONS(5658),
    [anon_sym_CARET] = ACTIONS(5660),
    [sym_uninitialized] = ACTIONS(5658),
    [sym_tag] = ACTIONS(5658),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5658),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1176] = {
    [anon_sym_LBRACE] = ACTIONS(5662),
    [anon_sym_RBRACE] = ACTIONS(5662),
    [anon_sym_COMMA] = ACTIONS(5662),
    [anon_sym_COLON_COLON] = ACTIONS(5662),
    [anon_sym_DASH_GT] = ACTIONS(5662),
    [anon_sym_where] = ACTIONS(5662),
    [anon_sym_EQ] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5664),
    [anon_sym_COLON_EQ] = ACTIONS(5662),
    [anon_sym_LPAREN] = ACTIONS(5662),
    [anon_sym_PLUS_EQ] = ACTIONS(5662),
    [anon_sym_DASH_EQ] = ACTIONS(5662),
    [anon_sym_STAR_EQ] = ACTIONS(5662),
    [anon_sym_SLASH_EQ] = ACTIONS(5662),
    [anon_sym_PERCENT_EQ] = ACTIONS(5662),
    [anon_sym_AMP_EQ] = ACTIONS(5662),
    [anon_sym_PIPE_EQ] = ACTIONS(5662),
    [anon_sym_CARET_EQ] = ACTIONS(5662),
    [anon_sym_LT_LT_EQ] = ACTIONS(5662),
    [anon_sym_GT_GT_EQ] = ACTIONS(5662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5662),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5662),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5662),
    [anon_sym_if] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5662),
    [anon_sym_else] = ACTIONS(5662),
    [anon_sym_when] = ACTIONS(5662),
    [anon_sym_in] = ACTIONS(5662),
    [anon_sym_case] = ACTIONS(5662),
    [anon_sym_QMARK] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5664),
    [anon_sym_TILDE] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_or_else] = ACTIONS(5662),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5664),
    [anon_sym_GT_EQ] = ACTIONS(5662),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5664),
    [anon_sym_EQ_EQ] = ACTIONS(5662),
    [anon_sym_BANG_EQ] = ACTIONS(5662),
    [anon_sym_TILDE_EQ] = ACTIONS(5662),
    [anon_sym_AMP_TILDE] = ACTIONS(5664),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5664),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5664),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5662),
    [anon_sym_DOT] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5662),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5662),
    [anon_sym_not_in] = ACTIONS(5662),
    [anon_sym_or_return] = ACTIONS(5662),
    [anon_sym_or_continue] = ACTIONS(5662),
    [anon_sym_or_break] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5664),
    [sym_uninitialized] = ACTIONS(5662),
    [sym_tag] = ACTIONS(5662),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5662),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1177] = {
    [anon_sym_LBRACE] = ACTIONS(5666),
    [anon_sym_RBRACE] = ACTIONS(5666),
    [anon_sym_COMMA] = ACTIONS(5666),
    [anon_sym_COLON_COLON] = ACTIONS(5666),
    [anon_sym_DASH_GT] = ACTIONS(5666),
    [anon_sym_where] = ACTIONS(5666),
    [anon_sym_EQ] = ACTIONS(5668),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5668),
    [anon_sym_COLON_EQ] = ACTIONS(5666),
    [anon_sym_LPAREN] = ACTIONS(5666),
    [anon_sym_PLUS_EQ] = ACTIONS(5666),
    [anon_sym_DASH_EQ] = ACTIONS(5666),
    [anon_sym_STAR_EQ] = ACTIONS(5666),
    [anon_sym_SLASH_EQ] = ACTIONS(5666),
    [anon_sym_PERCENT_EQ] = ACTIONS(5666),
    [anon_sym_AMP_EQ] = ACTIONS(5666),
    [anon_sym_PIPE_EQ] = ACTIONS(5666),
    [anon_sym_CARET_EQ] = ACTIONS(5666),
    [anon_sym_LT_LT_EQ] = ACTIONS(5666),
    [anon_sym_GT_GT_EQ] = ACTIONS(5666),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5666),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5666),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5666),
    [anon_sym_if] = ACTIONS(5666),
    [anon_sym_SEMI] = ACTIONS(5666),
    [anon_sym_else] = ACTIONS(5666),
    [anon_sym_when] = ACTIONS(5666),
    [anon_sym_in] = ACTIONS(5666),
    [anon_sym_case] = ACTIONS(5666),
    [anon_sym_QMARK] = ACTIONS(5666),
    [anon_sym_PLUS] = ACTIONS(5668),
    [anon_sym_DASH] = ACTIONS(5668),
    [anon_sym_TILDE] = ACTIONS(5668),
    [anon_sym_AMP] = ACTIONS(5668),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_or_else] = ACTIONS(5666),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_GT] = ACTIONS(5668),
    [anon_sym_GT_EQ] = ACTIONS(5666),
    [anon_sym_LT_EQ] = ACTIONS(5666),
    [anon_sym_LT] = ACTIONS(5668),
    [anon_sym_EQ_EQ] = ACTIONS(5666),
    [anon_sym_BANG_EQ] = ACTIONS(5666),
    [anon_sym_TILDE_EQ] = ACTIONS(5666),
    [anon_sym_AMP_TILDE] = ACTIONS(5668),
    [anon_sym_LT_LT] = ACTIONS(5668),
    [anon_sym_GT_GT] = ACTIONS(5668),
    [anon_sym_STAR] = ACTIONS(5668),
    [anon_sym_SLASH] = ACTIONS(5668),
    [anon_sym_PERCENT] = ACTIONS(5668),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5666),
    [anon_sym_DOT] = ACTIONS(5668),
    [anon_sym_LBRACK] = ACTIONS(5666),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5666),
    [anon_sym_not_in] = ACTIONS(5666),
    [anon_sym_or_return] = ACTIONS(5666),
    [anon_sym_or_continue] = ACTIONS(5666),
    [anon_sym_or_break] = ACTIONS(5666),
    [anon_sym_CARET] = ACTIONS(5668),
    [sym_uninitialized] = ACTIONS(5666),
    [sym_tag] = ACTIONS(5666),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5666),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1178] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5672),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5672),
    [anon_sym_DASH] = ACTIONS(5672),
    [anon_sym_TILDE] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5670),
    [anon_sym_BANG_EQ] = ACTIONS(5670),
    [anon_sym_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE] = ACTIONS(5672),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5672),
    [anon_sym_STAR] = ACTIONS(5672),
    [anon_sym_SLASH] = ACTIONS(5672),
    [anon_sym_PERCENT] = ACTIONS(5672),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5670),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1179] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5672),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5670),
    [anon_sym_BANG_EQ] = ACTIONS(5670),
    [anon_sym_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE] = ACTIONS(5672),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5672),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1180] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5672),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5670),
    [anon_sym_BANG_EQ] = ACTIONS(5670),
    [anon_sym_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE] = ACTIONS(5672),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1181] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5670),
    [anon_sym_BANG_EQ] = ACTIONS(5670),
    [anon_sym_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1182] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(4807),
    [anon_sym_BANG_EQ] = ACTIONS(4807),
    [anon_sym_TILDE_EQ] = ACTIONS(4807),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1183] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5674),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1184] = {
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_where] = ACTIONS(907),
    [anon_sym_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(909),
    [anon_sym_COLON_EQ] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(907),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(907),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(907),
    [anon_sym_if] = ACTIONS(907),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_else] = ACTIONS(907),
    [anon_sym_when] = ACTIONS(907),
    [anon_sym_in] = ACTIONS(907),
    [anon_sym_case] = ACTIONS(907),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(909),
    [anon_sym_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(907),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(909),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(909),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_TILDE_EQ] = ACTIONS(907),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(909),
    [anon_sym_PERCENT] = ACTIONS(909),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(907),
    [anon_sym_DOT] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(907),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_DOT_DOT_LT] = ACTIONS(907),
    [anon_sym_not_in] = ACTIONS(907),
    [anon_sym_or_return] = ACTIONS(907),
    [anon_sym_or_continue] = ACTIONS(907),
    [anon_sym_or_break] = ACTIONS(907),
    [anon_sym_CARET] = ACTIONS(909),
    [sym_uninitialized] = ACTIONS(907),
    [sym_tag] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(907),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1185] = {
    [sym_expression] = STATE(5890),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1186] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5672),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5670),
    [anon_sym_BANG_EQ] = ACTIONS(5670),
    [anon_sym_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1187] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5672),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5670),
    [anon_sym_BANG_EQ] = ACTIONS(5670),
    [anon_sym_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1188] = {
    [sym_expression] = STATE(5697),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5678),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1189] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5672),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5672),
    [anon_sym_DASH] = ACTIONS(5672),
    [anon_sym_TILDE] = ACTIONS(5672),
    [anon_sym_AMP] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5670),
    [anon_sym_BANG_EQ] = ACTIONS(5670),
    [anon_sym_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE] = ACTIONS(5672),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5672),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1190] = {
    [anon_sym_LBRACE] = ACTIONS(5680),
    [anon_sym_RBRACE] = ACTIONS(5680),
    [anon_sym_COMMA] = ACTIONS(5680),
    [anon_sym_COLON_COLON] = ACTIONS(5680),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5680),
    [anon_sym_EQ] = ACTIONS(5682),
    [anon_sym_COLON] = ACTIONS(5682),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(5680),
    [anon_sym_LPAREN] = ACTIONS(5680),
    [anon_sym_PLUS_EQ] = ACTIONS(5680),
    [anon_sym_DASH_EQ] = ACTIONS(5680),
    [anon_sym_STAR_EQ] = ACTIONS(5680),
    [anon_sym_SLASH_EQ] = ACTIONS(5680),
    [anon_sym_PERCENT_EQ] = ACTIONS(5680),
    [anon_sym_AMP_EQ] = ACTIONS(5680),
    [anon_sym_PIPE_EQ] = ACTIONS(5680),
    [anon_sym_CARET_EQ] = ACTIONS(5680),
    [anon_sym_LT_LT_EQ] = ACTIONS(5680),
    [anon_sym_GT_GT_EQ] = ACTIONS(5680),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5680),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5680),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5680),
    [anon_sym_if] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5680),
    [anon_sym_else] = ACTIONS(5680),
    [anon_sym_when] = ACTIONS(5680),
    [anon_sym_in] = ACTIONS(5684),
    [anon_sym_case] = ACTIONS(5680),
    [anon_sym_QMARK] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(4797),
    [anon_sym_or_else] = ACTIONS(4799),
    [anon_sym_AMP_AMP] = ACTIONS(4801),
    [anon_sym_GT] = ACTIONS(4803),
    [anon_sym_GT_EQ] = ACTIONS(4805),
    [anon_sym_LT_EQ] = ACTIONS(4805),
    [anon_sym_LT] = ACTIONS(4803),
    [anon_sym_EQ_EQ] = ACTIONS(4807),
    [anon_sym_BANG_EQ] = ACTIONS(4807),
    [anon_sym_TILDE_EQ] = ACTIONS(4807),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5684),
    [anon_sym_or_return] = ACTIONS(4823),
    [anon_sym_or_continue] = ACTIONS(4825),
    [anon_sym_or_break] = ACTIONS(4827),
    [anon_sym_CARET] = ACTIONS(4829),
    [sym_uninitialized] = ACTIONS(5680),
    [sym_tag] = ACTIONS(5680),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5680),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1191] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5672),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5670),
    [anon_sym_LT_EQ] = ACTIONS(5670),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5670),
    [anon_sym_BANG_EQ] = ACTIONS(5670),
    [anon_sym_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1192] = {
    [anon_sym_LBRACE] = ACTIONS(5686),
    [anon_sym_RBRACE] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5686),
    [anon_sym_COLON_COLON] = ACTIONS(5686),
    [anon_sym_DASH_GT] = ACTIONS(5686),
    [anon_sym_where] = ACTIONS(5686),
    [anon_sym_EQ] = ACTIONS(5688),
    [anon_sym_COLON] = ACTIONS(5688),
    [anon_sym_PIPE] = ACTIONS(5688),
    [anon_sym_COLON_EQ] = ACTIONS(5686),
    [anon_sym_LPAREN] = ACTIONS(5686),
    [anon_sym_PLUS_EQ] = ACTIONS(5686),
    [anon_sym_DASH_EQ] = ACTIONS(5686),
    [anon_sym_STAR_EQ] = ACTIONS(5686),
    [anon_sym_SLASH_EQ] = ACTIONS(5686),
    [anon_sym_PERCENT_EQ] = ACTIONS(5686),
    [anon_sym_AMP_EQ] = ACTIONS(5686),
    [anon_sym_PIPE_EQ] = ACTIONS(5686),
    [anon_sym_CARET_EQ] = ACTIONS(5686),
    [anon_sym_LT_LT_EQ] = ACTIONS(5686),
    [anon_sym_GT_GT_EQ] = ACTIONS(5686),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5686),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5686),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5686),
    [anon_sym_if] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5686),
    [anon_sym_else] = ACTIONS(5686),
    [anon_sym_when] = ACTIONS(5686),
    [anon_sym_in] = ACTIONS(5686),
    [anon_sym_case] = ACTIONS(5686),
    [anon_sym_QMARK] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5688),
    [anon_sym_DASH] = ACTIONS(5688),
    [anon_sym_TILDE] = ACTIONS(5688),
    [anon_sym_AMP] = ACTIONS(5688),
    [anon_sym_PIPE_PIPE] = ACTIONS(5688),
    [anon_sym_or_else] = ACTIONS(5686),
    [anon_sym_AMP_AMP] = ACTIONS(5688),
    [anon_sym_GT] = ACTIONS(5688),
    [anon_sym_GT_EQ] = ACTIONS(5686),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5688),
    [anon_sym_EQ_EQ] = ACTIONS(5686),
    [anon_sym_BANG_EQ] = ACTIONS(5686),
    [anon_sym_TILDE_EQ] = ACTIONS(5686),
    [anon_sym_AMP_TILDE] = ACTIONS(5688),
    [anon_sym_LT_LT] = ACTIONS(5688),
    [anon_sym_GT_GT] = ACTIONS(5688),
    [anon_sym_STAR] = ACTIONS(5688),
    [anon_sym_SLASH] = ACTIONS(5688),
    [anon_sym_PERCENT] = ACTIONS(5688),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5686),
    [anon_sym_DOT] = ACTIONS(5688),
    [anon_sym_LBRACK] = ACTIONS(5686),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5686),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5686),
    [anon_sym_not_in] = ACTIONS(5686),
    [anon_sym_or_return] = ACTIONS(5686),
    [anon_sym_or_continue] = ACTIONS(5686),
    [anon_sym_or_break] = ACTIONS(5686),
    [anon_sym_CARET] = ACTIONS(5688),
    [sym_uninitialized] = ACTIONS(5686),
    [sym_tag] = ACTIONS(5686),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5686),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1193] = {
    [anon_sym_LBRACE] = ACTIONS(5690),
    [anon_sym_RBRACE] = ACTIONS(5690),
    [anon_sym_COMMA] = ACTIONS(5690),
    [anon_sym_COLON_COLON] = ACTIONS(5690),
    [anon_sym_DASH_GT] = ACTIONS(5690),
    [anon_sym_where] = ACTIONS(5690),
    [anon_sym_EQ] = ACTIONS(5692),
    [anon_sym_COLON] = ACTIONS(5692),
    [anon_sym_PIPE] = ACTIONS(5692),
    [anon_sym_COLON_EQ] = ACTIONS(5690),
    [anon_sym_LPAREN] = ACTIONS(5690),
    [anon_sym_PLUS_EQ] = ACTIONS(5690),
    [anon_sym_DASH_EQ] = ACTIONS(5690),
    [anon_sym_STAR_EQ] = ACTIONS(5690),
    [anon_sym_SLASH_EQ] = ACTIONS(5690),
    [anon_sym_PERCENT_EQ] = ACTIONS(5690),
    [anon_sym_AMP_EQ] = ACTIONS(5690),
    [anon_sym_PIPE_EQ] = ACTIONS(5690),
    [anon_sym_CARET_EQ] = ACTIONS(5690),
    [anon_sym_LT_LT_EQ] = ACTIONS(5690),
    [anon_sym_GT_GT_EQ] = ACTIONS(5690),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5690),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5690),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5690),
    [anon_sym_if] = ACTIONS(5690),
    [anon_sym_SEMI] = ACTIONS(5690),
    [anon_sym_else] = ACTIONS(5690),
    [anon_sym_when] = ACTIONS(5690),
    [anon_sym_in] = ACTIONS(5690),
    [anon_sym_case] = ACTIONS(5690),
    [anon_sym_QMARK] = ACTIONS(5690),
    [anon_sym_PLUS] = ACTIONS(5692),
    [anon_sym_DASH] = ACTIONS(5692),
    [anon_sym_TILDE] = ACTIONS(5692),
    [anon_sym_AMP] = ACTIONS(5692),
    [anon_sym_PIPE_PIPE] = ACTIONS(5692),
    [anon_sym_or_else] = ACTIONS(5690),
    [anon_sym_AMP_AMP] = ACTIONS(5692),
    [anon_sym_GT] = ACTIONS(5692),
    [anon_sym_GT_EQ] = ACTIONS(5690),
    [anon_sym_LT_EQ] = ACTIONS(5690),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym_EQ_EQ] = ACTIONS(5690),
    [anon_sym_BANG_EQ] = ACTIONS(5690),
    [anon_sym_TILDE_EQ] = ACTIONS(5690),
    [anon_sym_AMP_TILDE] = ACTIONS(5692),
    [anon_sym_LT_LT] = ACTIONS(5692),
    [anon_sym_GT_GT] = ACTIONS(5692),
    [anon_sym_STAR] = ACTIONS(5692),
    [anon_sym_SLASH] = ACTIONS(5692),
    [anon_sym_PERCENT] = ACTIONS(5692),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(5692),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5690),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5690),
    [anon_sym_not_in] = ACTIONS(5690),
    [anon_sym_or_return] = ACTIONS(5690),
    [anon_sym_or_continue] = ACTIONS(5690),
    [anon_sym_or_break] = ACTIONS(5690),
    [anon_sym_CARET] = ACTIONS(5692),
    [sym_uninitialized] = ACTIONS(5690),
    [sym_tag] = ACTIONS(5690),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5690),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1194] = {
    [anon_sym_LBRACE] = ACTIONS(5694),
    [anon_sym_RBRACE] = ACTIONS(5694),
    [anon_sym_COMMA] = ACTIONS(5694),
    [anon_sym_COLON_COLON] = ACTIONS(5694),
    [anon_sym_DASH_GT] = ACTIONS(5694),
    [anon_sym_where] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(5696),
    [anon_sym_COLON] = ACTIONS(5696),
    [anon_sym_PIPE] = ACTIONS(5696),
    [anon_sym_COLON_EQ] = ACTIONS(5694),
    [anon_sym_LPAREN] = ACTIONS(5694),
    [anon_sym_PLUS_EQ] = ACTIONS(5694),
    [anon_sym_DASH_EQ] = ACTIONS(5694),
    [anon_sym_STAR_EQ] = ACTIONS(5694),
    [anon_sym_SLASH_EQ] = ACTIONS(5694),
    [anon_sym_PERCENT_EQ] = ACTIONS(5694),
    [anon_sym_AMP_EQ] = ACTIONS(5694),
    [anon_sym_PIPE_EQ] = ACTIONS(5694),
    [anon_sym_CARET_EQ] = ACTIONS(5694),
    [anon_sym_LT_LT_EQ] = ACTIONS(5694),
    [anon_sym_GT_GT_EQ] = ACTIONS(5694),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5694),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5694),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5694),
    [anon_sym_if] = ACTIONS(5694),
    [anon_sym_SEMI] = ACTIONS(5694),
    [anon_sym_else] = ACTIONS(5694),
    [anon_sym_when] = ACTIONS(5694),
    [anon_sym_in] = ACTIONS(5694),
    [anon_sym_case] = ACTIONS(5694),
    [anon_sym_QMARK] = ACTIONS(5694),
    [anon_sym_PLUS] = ACTIONS(5696),
    [anon_sym_DASH] = ACTIONS(5696),
    [anon_sym_TILDE] = ACTIONS(5696),
    [anon_sym_AMP] = ACTIONS(5696),
    [anon_sym_PIPE_PIPE] = ACTIONS(5696),
    [anon_sym_or_else] = ACTIONS(5694),
    [anon_sym_AMP_AMP] = ACTIONS(5696),
    [anon_sym_GT] = ACTIONS(5696),
    [anon_sym_GT_EQ] = ACTIONS(5694),
    [anon_sym_LT_EQ] = ACTIONS(5694),
    [anon_sym_LT] = ACTIONS(5696),
    [anon_sym_EQ_EQ] = ACTIONS(5694),
    [anon_sym_BANG_EQ] = ACTIONS(5694),
    [anon_sym_TILDE_EQ] = ACTIONS(5694),
    [anon_sym_AMP_TILDE] = ACTIONS(5696),
    [anon_sym_LT_LT] = ACTIONS(5696),
    [anon_sym_GT_GT] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5696),
    [anon_sym_SLASH] = ACTIONS(5696),
    [anon_sym_PERCENT] = ACTIONS(5696),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5694),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_LBRACK] = ACTIONS(5694),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5694),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5694),
    [anon_sym_not_in] = ACTIONS(5694),
    [anon_sym_or_return] = ACTIONS(5694),
    [anon_sym_or_continue] = ACTIONS(5694),
    [anon_sym_or_break] = ACTIONS(5694),
    [anon_sym_CARET] = ACTIONS(5696),
    [sym_uninitialized] = ACTIONS(5694),
    [sym_tag] = ACTIONS(5694),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5694),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1195] = {
    [anon_sym_LBRACE] = ACTIONS(5698),
    [anon_sym_RBRACE] = ACTIONS(5698),
    [anon_sym_COMMA] = ACTIONS(5698),
    [anon_sym_COLON_COLON] = ACTIONS(5698),
    [anon_sym_DASH_GT] = ACTIONS(5698),
    [anon_sym_where] = ACTIONS(5698),
    [anon_sym_EQ] = ACTIONS(5700),
    [anon_sym_COLON] = ACTIONS(5700),
    [anon_sym_PIPE] = ACTIONS(5700),
    [anon_sym_COLON_EQ] = ACTIONS(5698),
    [anon_sym_LPAREN] = ACTIONS(5698),
    [anon_sym_PLUS_EQ] = ACTIONS(5698),
    [anon_sym_DASH_EQ] = ACTIONS(5698),
    [anon_sym_STAR_EQ] = ACTIONS(5698),
    [anon_sym_SLASH_EQ] = ACTIONS(5698),
    [anon_sym_PERCENT_EQ] = ACTIONS(5698),
    [anon_sym_AMP_EQ] = ACTIONS(5698),
    [anon_sym_PIPE_EQ] = ACTIONS(5698),
    [anon_sym_CARET_EQ] = ACTIONS(5698),
    [anon_sym_LT_LT_EQ] = ACTIONS(5698),
    [anon_sym_GT_GT_EQ] = ACTIONS(5698),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5698),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5698),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5698),
    [anon_sym_if] = ACTIONS(5698),
    [anon_sym_SEMI] = ACTIONS(5698),
    [anon_sym_else] = ACTIONS(5698),
    [anon_sym_when] = ACTIONS(5698),
    [anon_sym_in] = ACTIONS(5698),
    [anon_sym_case] = ACTIONS(5698),
    [anon_sym_QMARK] = ACTIONS(5698),
    [anon_sym_PLUS] = ACTIONS(5700),
    [anon_sym_DASH] = ACTIONS(5700),
    [anon_sym_TILDE] = ACTIONS(5700),
    [anon_sym_AMP] = ACTIONS(5700),
    [anon_sym_PIPE_PIPE] = ACTIONS(5700),
    [anon_sym_or_else] = ACTIONS(5698),
    [anon_sym_AMP_AMP] = ACTIONS(5700),
    [anon_sym_GT] = ACTIONS(5700),
    [anon_sym_GT_EQ] = ACTIONS(5698),
    [anon_sym_LT_EQ] = ACTIONS(5698),
    [anon_sym_LT] = ACTIONS(5700),
    [anon_sym_EQ_EQ] = ACTIONS(5698),
    [anon_sym_BANG_EQ] = ACTIONS(5698),
    [anon_sym_TILDE_EQ] = ACTIONS(5698),
    [anon_sym_AMP_TILDE] = ACTIONS(5700),
    [anon_sym_LT_LT] = ACTIONS(5700),
    [anon_sym_GT_GT] = ACTIONS(5700),
    [anon_sym_STAR] = ACTIONS(5700),
    [anon_sym_SLASH] = ACTIONS(5700),
    [anon_sym_PERCENT] = ACTIONS(5700),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5698),
    [anon_sym_DOT] = ACTIONS(5700),
    [anon_sym_LBRACK] = ACTIONS(5698),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5698),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5698),
    [anon_sym_not_in] = ACTIONS(5698),
    [anon_sym_or_return] = ACTIONS(5698),
    [anon_sym_or_continue] = ACTIONS(5698),
    [anon_sym_or_break] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [sym_uninitialized] = ACTIONS(5698),
    [sym_tag] = ACTIONS(5698),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5698),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1196] = {
    [anon_sym_LBRACE] = ACTIONS(5702),
    [anon_sym_RBRACE] = ACTIONS(5702),
    [anon_sym_COMMA] = ACTIONS(5702),
    [anon_sym_COLON_COLON] = ACTIONS(5702),
    [anon_sym_DASH_GT] = ACTIONS(5702),
    [anon_sym_where] = ACTIONS(5702),
    [anon_sym_EQ] = ACTIONS(5704),
    [anon_sym_COLON] = ACTIONS(5704),
    [anon_sym_PIPE] = ACTIONS(5704),
    [anon_sym_COLON_EQ] = ACTIONS(5702),
    [anon_sym_LPAREN] = ACTIONS(5702),
    [anon_sym_PLUS_EQ] = ACTIONS(5702),
    [anon_sym_DASH_EQ] = ACTIONS(5702),
    [anon_sym_STAR_EQ] = ACTIONS(5702),
    [anon_sym_SLASH_EQ] = ACTIONS(5702),
    [anon_sym_PERCENT_EQ] = ACTIONS(5702),
    [anon_sym_AMP_EQ] = ACTIONS(5702),
    [anon_sym_PIPE_EQ] = ACTIONS(5702),
    [anon_sym_CARET_EQ] = ACTIONS(5702),
    [anon_sym_LT_LT_EQ] = ACTIONS(5702),
    [anon_sym_GT_GT_EQ] = ACTIONS(5702),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5702),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5702),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5702),
    [anon_sym_if] = ACTIONS(5702),
    [anon_sym_SEMI] = ACTIONS(5702),
    [anon_sym_else] = ACTIONS(5702),
    [anon_sym_when] = ACTIONS(5702),
    [anon_sym_in] = ACTIONS(5702),
    [anon_sym_case] = ACTIONS(5702),
    [anon_sym_QMARK] = ACTIONS(5702),
    [anon_sym_PLUS] = ACTIONS(5704),
    [anon_sym_DASH] = ACTIONS(5704),
    [anon_sym_TILDE] = ACTIONS(5704),
    [anon_sym_AMP] = ACTIONS(5704),
    [anon_sym_PIPE_PIPE] = ACTIONS(5704),
    [anon_sym_or_else] = ACTIONS(5702),
    [anon_sym_AMP_AMP] = ACTIONS(5704),
    [anon_sym_GT] = ACTIONS(5704),
    [anon_sym_GT_EQ] = ACTIONS(5702),
    [anon_sym_LT_EQ] = ACTIONS(5702),
    [anon_sym_LT] = ACTIONS(5704),
    [anon_sym_EQ_EQ] = ACTIONS(5702),
    [anon_sym_BANG_EQ] = ACTIONS(5702),
    [anon_sym_TILDE_EQ] = ACTIONS(5702),
    [anon_sym_AMP_TILDE] = ACTIONS(5704),
    [anon_sym_LT_LT] = ACTIONS(5704),
    [anon_sym_GT_GT] = ACTIONS(5704),
    [anon_sym_STAR] = ACTIONS(5704),
    [anon_sym_SLASH] = ACTIONS(5704),
    [anon_sym_PERCENT] = ACTIONS(5704),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5702),
    [anon_sym_DOT] = ACTIONS(5704),
    [anon_sym_LBRACK] = ACTIONS(5702),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5702),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5702),
    [anon_sym_not_in] = ACTIONS(5702),
    [anon_sym_or_return] = ACTIONS(5702),
    [anon_sym_or_continue] = ACTIONS(5702),
    [anon_sym_or_break] = ACTIONS(5702),
    [anon_sym_CARET] = ACTIONS(5704),
    [sym_uninitialized] = ACTIONS(5702),
    [sym_tag] = ACTIONS(5702),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5702),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1197] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5706),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1198] = {
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_COLON_COLON] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [anon_sym_where] = ACTIONS(5708),
    [anon_sym_EQ] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5710),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_COLON_EQ] = ACTIONS(5708),
    [anon_sym_LPAREN] = ACTIONS(5708),
    [anon_sym_PLUS_EQ] = ACTIONS(5708),
    [anon_sym_DASH_EQ] = ACTIONS(5708),
    [anon_sym_STAR_EQ] = ACTIONS(5708),
    [anon_sym_SLASH_EQ] = ACTIONS(5708),
    [anon_sym_PERCENT_EQ] = ACTIONS(5708),
    [anon_sym_AMP_EQ] = ACTIONS(5708),
    [anon_sym_PIPE_EQ] = ACTIONS(5708),
    [anon_sym_CARET_EQ] = ACTIONS(5708),
    [anon_sym_LT_LT_EQ] = ACTIONS(5708),
    [anon_sym_GT_GT_EQ] = ACTIONS(5708),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5708),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5708),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5708),
    [anon_sym_if] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym_else] = ACTIONS(5708),
    [anon_sym_when] = ACTIONS(5708),
    [anon_sym_in] = ACTIONS(5708),
    [anon_sym_case] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_TILDE] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_PIPE_PIPE] = ACTIONS(5710),
    [anon_sym_or_else] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5710),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5708),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_TILDE_EQ] = ACTIONS(5708),
    [anon_sym_AMP_TILDE] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5710),
    [anon_sym_GT_GT] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5710),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5708),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5708),
    [anon_sym_not_in] = ACTIONS(5708),
    [anon_sym_or_return] = ACTIONS(5708),
    [anon_sym_or_continue] = ACTIONS(5708),
    [anon_sym_or_break] = ACTIONS(5708),
    [anon_sym_CARET] = ACTIONS(5710),
    [sym_uninitialized] = ACTIONS(5708),
    [sym_tag] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5708),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1199] = {
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_COLON_COLON] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [anon_sym_where] = ACTIONS(5712),
    [anon_sym_EQ] = ACTIONS(5714),
    [anon_sym_COLON] = ACTIONS(5714),
    [anon_sym_PIPE] = ACTIONS(5714),
    [anon_sym_COLON_EQ] = ACTIONS(5712),
    [anon_sym_LPAREN] = ACTIONS(5712),
    [anon_sym_PLUS_EQ] = ACTIONS(5712),
    [anon_sym_DASH_EQ] = ACTIONS(5712),
    [anon_sym_STAR_EQ] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [anon_sym_PERCENT_EQ] = ACTIONS(5712),
    [anon_sym_AMP_EQ] = ACTIONS(5712),
    [anon_sym_PIPE_EQ] = ACTIONS(5712),
    [anon_sym_CARET_EQ] = ACTIONS(5712),
    [anon_sym_LT_LT_EQ] = ACTIONS(5712),
    [anon_sym_GT_GT_EQ] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5712),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5712),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5712),
    [anon_sym_if] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym_else] = ACTIONS(5712),
    [anon_sym_when] = ACTIONS(5712),
    [anon_sym_in] = ACTIONS(5712),
    [anon_sym_case] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_TILDE] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(5714),
    [anon_sym_PIPE_PIPE] = ACTIONS(5714),
    [anon_sym_or_else] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5714),
    [anon_sym_GT] = ACTIONS(5714),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5714),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_TILDE_EQ] = ACTIONS(5712),
    [anon_sym_AMP_TILDE] = ACTIONS(5714),
    [anon_sym_LT_LT] = ACTIONS(5714),
    [anon_sym_GT_GT] = ACTIONS(5714),
    [anon_sym_STAR] = ACTIONS(5714),
    [anon_sym_SLASH] = ACTIONS(5714),
    [anon_sym_PERCENT] = ACTIONS(5714),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5712),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5712),
    [anon_sym_not_in] = ACTIONS(5712),
    [anon_sym_or_return] = ACTIONS(5712),
    [anon_sym_or_continue] = ACTIONS(5712),
    [anon_sym_or_break] = ACTIONS(5712),
    [anon_sym_CARET] = ACTIONS(5714),
    [sym_uninitialized] = ACTIONS(5712),
    [sym_tag] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5712),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1200] = {
    [anon_sym_LBRACE] = ACTIONS(5716),
    [anon_sym_RBRACE] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5716),
    [anon_sym_COLON_COLON] = ACTIONS(5716),
    [anon_sym_DASH_GT] = ACTIONS(5716),
    [anon_sym_where] = ACTIONS(5716),
    [anon_sym_EQ] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5718),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_COLON_EQ] = ACTIONS(5716),
    [anon_sym_LPAREN] = ACTIONS(5716),
    [anon_sym_PLUS_EQ] = ACTIONS(5716),
    [anon_sym_DASH_EQ] = ACTIONS(5716),
    [anon_sym_STAR_EQ] = ACTIONS(5716),
    [anon_sym_SLASH_EQ] = ACTIONS(5716),
    [anon_sym_PERCENT_EQ] = ACTIONS(5716),
    [anon_sym_AMP_EQ] = ACTIONS(5716),
    [anon_sym_PIPE_EQ] = ACTIONS(5716),
    [anon_sym_CARET_EQ] = ACTIONS(5716),
    [anon_sym_LT_LT_EQ] = ACTIONS(5716),
    [anon_sym_GT_GT_EQ] = ACTIONS(5716),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5716),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5716),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5716),
    [anon_sym_if] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5716),
    [anon_sym_else] = ACTIONS(5716),
    [anon_sym_when] = ACTIONS(5716),
    [anon_sym_in] = ACTIONS(5716),
    [anon_sym_case] = ACTIONS(5716),
    [anon_sym_QMARK] = ACTIONS(5716),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_TILDE] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_PIPE_PIPE] = ACTIONS(5718),
    [anon_sym_or_else] = ACTIONS(5716),
    [anon_sym_AMP_AMP] = ACTIONS(5718),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5716),
    [anon_sym_LT_EQ] = ACTIONS(5716),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5716),
    [anon_sym_BANG_EQ] = ACTIONS(5716),
    [anon_sym_TILDE_EQ] = ACTIONS(5716),
    [anon_sym_AMP_TILDE] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5718),
    [anon_sym_GT_GT] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5718),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5718),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5716),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5716),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5716),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5716),
    [anon_sym_not_in] = ACTIONS(5716),
    [anon_sym_or_return] = ACTIONS(5716),
    [anon_sym_or_continue] = ACTIONS(5716),
    [anon_sym_or_break] = ACTIONS(5716),
    [anon_sym_CARET] = ACTIONS(5718),
    [sym_uninitialized] = ACTIONS(5716),
    [sym_tag] = ACTIONS(5716),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5716),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1201] = {
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_COLON_COLON] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [anon_sym_where] = ACTIONS(5720),
    [anon_sym_EQ] = ACTIONS(5722),
    [anon_sym_COLON] = ACTIONS(5722),
    [anon_sym_PIPE] = ACTIONS(5722),
    [anon_sym_COLON_EQ] = ACTIONS(5720),
    [anon_sym_LPAREN] = ACTIONS(5720),
    [anon_sym_PLUS_EQ] = ACTIONS(5720),
    [anon_sym_DASH_EQ] = ACTIONS(5720),
    [anon_sym_STAR_EQ] = ACTIONS(5720),
    [anon_sym_SLASH_EQ] = ACTIONS(5720),
    [anon_sym_PERCENT_EQ] = ACTIONS(5720),
    [anon_sym_AMP_EQ] = ACTIONS(5720),
    [anon_sym_PIPE_EQ] = ACTIONS(5720),
    [anon_sym_CARET_EQ] = ACTIONS(5720),
    [anon_sym_LT_LT_EQ] = ACTIONS(5720),
    [anon_sym_GT_GT_EQ] = ACTIONS(5720),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5720),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5720),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5720),
    [anon_sym_if] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym_else] = ACTIONS(5720),
    [anon_sym_when] = ACTIONS(5720),
    [anon_sym_in] = ACTIONS(5720),
    [anon_sym_case] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(5722),
    [anon_sym_PIPE_PIPE] = ACTIONS(5722),
    [anon_sym_or_else] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5722),
    [anon_sym_GT] = ACTIONS(5722),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5720),
    [anon_sym_LT] = ACTIONS(5722),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_TILDE_EQ] = ACTIONS(5720),
    [anon_sym_AMP_TILDE] = ACTIONS(5722),
    [anon_sym_LT_LT] = ACTIONS(5722),
    [anon_sym_GT_GT] = ACTIONS(5722),
    [anon_sym_STAR] = ACTIONS(5722),
    [anon_sym_SLASH] = ACTIONS(5722),
    [anon_sym_PERCENT] = ACTIONS(5722),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5720),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5720),
    [anon_sym_not_in] = ACTIONS(5720),
    [anon_sym_or_return] = ACTIONS(5720),
    [anon_sym_or_continue] = ACTIONS(5720),
    [anon_sym_or_break] = ACTIONS(5720),
    [anon_sym_CARET] = ACTIONS(5722),
    [sym_uninitialized] = ACTIONS(5720),
    [sym_tag] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5720),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1202] = {
    [sym_block] = STATE(2271),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4423),
    [sym_tag] = ACTIONS(4425),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1203] = {
    [sym_block] = STATE(2272),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_COLON_COLON] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4773),
    [anon_sym_COLON] = ACTIONS(4773),
    [anon_sym_PIPE] = ACTIONS(4773),
    [anon_sym_COLON_EQ] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_else] = ACTIONS(4771),
    [anon_sym_when] = ACTIONS(4771),
    [anon_sym_in] = ACTIONS(4771),
    [anon_sym_case] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4773),
    [anon_sym_DASH] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_AMP] = ACTIONS(4773),
    [anon_sym_PIPE_PIPE] = ACTIONS(4773),
    [anon_sym_or_else] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4773),
    [anon_sym_GT] = ACTIONS(4773),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4773),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE] = ACTIONS(4773),
    [anon_sym_LT_LT] = ACTIONS(4773),
    [anon_sym_GT_GT] = ACTIONS(4773),
    [anon_sym_STAR] = ACTIONS(4773),
    [anon_sym_SLASH] = ACTIONS(4773),
    [anon_sym_PERCENT] = ACTIONS(4773),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4771),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4771),
    [anon_sym_not_in] = ACTIONS(4771),
    [anon_sym_or_return] = ACTIONS(4771),
    [anon_sym_or_continue] = ACTIONS(4771),
    [anon_sym_or_break] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4773),
    [sym_uninitialized] = ACTIONS(5724),
    [sym_tag] = ACTIONS(5726),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4771),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1204] = {
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_RBRACE] = ACTIONS(5728),
    [anon_sym_COMMA] = ACTIONS(5728),
    [anon_sym_COLON_COLON] = ACTIONS(5728),
    [anon_sym_DASH_GT] = ACTIONS(5728),
    [anon_sym_where] = ACTIONS(5728),
    [anon_sym_EQ] = ACTIONS(5730),
    [anon_sym_COLON] = ACTIONS(5730),
    [anon_sym_PIPE] = ACTIONS(5730),
    [anon_sym_COLON_EQ] = ACTIONS(5728),
    [anon_sym_LPAREN] = ACTIONS(5728),
    [anon_sym_PLUS_EQ] = ACTIONS(5728),
    [anon_sym_DASH_EQ] = ACTIONS(5728),
    [anon_sym_STAR_EQ] = ACTIONS(5728),
    [anon_sym_SLASH_EQ] = ACTIONS(5728),
    [anon_sym_PERCENT_EQ] = ACTIONS(5728),
    [anon_sym_AMP_EQ] = ACTIONS(5728),
    [anon_sym_PIPE_EQ] = ACTIONS(5728),
    [anon_sym_CARET_EQ] = ACTIONS(5728),
    [anon_sym_LT_LT_EQ] = ACTIONS(5728),
    [anon_sym_GT_GT_EQ] = ACTIONS(5728),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5728),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5728),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5728),
    [anon_sym_if] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5728),
    [anon_sym_else] = ACTIONS(5728),
    [anon_sym_when] = ACTIONS(5728),
    [anon_sym_in] = ACTIONS(5728),
    [anon_sym_case] = ACTIONS(5728),
    [anon_sym_QMARK] = ACTIONS(5728),
    [anon_sym_PLUS] = ACTIONS(5730),
    [anon_sym_DASH] = ACTIONS(5730),
    [anon_sym_TILDE] = ACTIONS(5730),
    [anon_sym_AMP] = ACTIONS(5730),
    [anon_sym_PIPE_PIPE] = ACTIONS(5730),
    [anon_sym_or_else] = ACTIONS(5728),
    [anon_sym_AMP_AMP] = ACTIONS(5730),
    [anon_sym_GT] = ACTIONS(5730),
    [anon_sym_GT_EQ] = ACTIONS(5728),
    [anon_sym_LT_EQ] = ACTIONS(5728),
    [anon_sym_LT] = ACTIONS(5730),
    [anon_sym_EQ_EQ] = ACTIONS(5728),
    [anon_sym_BANG_EQ] = ACTIONS(5728),
    [anon_sym_TILDE_EQ] = ACTIONS(5728),
    [anon_sym_AMP_TILDE] = ACTIONS(5730),
    [anon_sym_LT_LT] = ACTIONS(5730),
    [anon_sym_GT_GT] = ACTIONS(5730),
    [anon_sym_STAR] = ACTIONS(5730),
    [anon_sym_SLASH] = ACTIONS(5730),
    [anon_sym_PERCENT] = ACTIONS(5730),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5730),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5728),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5728),
    [anon_sym_not_in] = ACTIONS(5728),
    [anon_sym_or_return] = ACTIONS(5728),
    [anon_sym_or_continue] = ACTIONS(5728),
    [anon_sym_or_break] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5730),
    [sym_uninitialized] = ACTIONS(5728),
    [sym_tag] = ACTIONS(5728),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5728),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1205] = {
    [sym_expression] = STATE(5673),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5732),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1206] = {
    [anon_sym_LBRACE] = ACTIONS(5734),
    [anon_sym_RBRACE] = ACTIONS(5734),
    [anon_sym_COMMA] = ACTIONS(5734),
    [anon_sym_COLON_COLON] = ACTIONS(5734),
    [anon_sym_DASH_GT] = ACTIONS(5734),
    [anon_sym_where] = ACTIONS(5734),
    [anon_sym_EQ] = ACTIONS(5736),
    [anon_sym_COLON] = ACTIONS(5736),
    [anon_sym_PIPE] = ACTIONS(5736),
    [anon_sym_COLON_EQ] = ACTIONS(5734),
    [anon_sym_LPAREN] = ACTIONS(5734),
    [anon_sym_PLUS_EQ] = ACTIONS(5734),
    [anon_sym_DASH_EQ] = ACTIONS(5734),
    [anon_sym_STAR_EQ] = ACTIONS(5734),
    [anon_sym_SLASH_EQ] = ACTIONS(5734),
    [anon_sym_PERCENT_EQ] = ACTIONS(5734),
    [anon_sym_AMP_EQ] = ACTIONS(5734),
    [anon_sym_PIPE_EQ] = ACTIONS(5734),
    [anon_sym_CARET_EQ] = ACTIONS(5734),
    [anon_sym_LT_LT_EQ] = ACTIONS(5734),
    [anon_sym_GT_GT_EQ] = ACTIONS(5734),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5734),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5734),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5734),
    [anon_sym_if] = ACTIONS(5734),
    [anon_sym_SEMI] = ACTIONS(5734),
    [anon_sym_else] = ACTIONS(5734),
    [anon_sym_when] = ACTIONS(5734),
    [anon_sym_in] = ACTIONS(5734),
    [anon_sym_case] = ACTIONS(5734),
    [anon_sym_QMARK] = ACTIONS(5734),
    [anon_sym_PLUS] = ACTIONS(5736),
    [anon_sym_DASH] = ACTIONS(5736),
    [anon_sym_TILDE] = ACTIONS(5736),
    [anon_sym_AMP] = ACTIONS(5736),
    [anon_sym_PIPE_PIPE] = ACTIONS(5736),
    [anon_sym_or_else] = ACTIONS(5734),
    [anon_sym_AMP_AMP] = ACTIONS(5736),
    [anon_sym_GT] = ACTIONS(5736),
    [anon_sym_GT_EQ] = ACTIONS(5734),
    [anon_sym_LT_EQ] = ACTIONS(5734),
    [anon_sym_LT] = ACTIONS(5736),
    [anon_sym_EQ_EQ] = ACTIONS(5734),
    [anon_sym_BANG_EQ] = ACTIONS(5734),
    [anon_sym_TILDE_EQ] = ACTIONS(5734),
    [anon_sym_AMP_TILDE] = ACTIONS(5736),
    [anon_sym_LT_LT] = ACTIONS(5736),
    [anon_sym_GT_GT] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(5736),
    [anon_sym_SLASH] = ACTIONS(5736),
    [anon_sym_PERCENT] = ACTIONS(5736),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5734),
    [anon_sym_DOT] = ACTIONS(5736),
    [anon_sym_LBRACK] = ACTIONS(5734),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5734),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5734),
    [anon_sym_not_in] = ACTIONS(5734),
    [anon_sym_or_return] = ACTIONS(5734),
    [anon_sym_or_continue] = ACTIONS(5734),
    [anon_sym_or_break] = ACTIONS(5734),
    [anon_sym_CARET] = ACTIONS(5736),
    [sym_uninitialized] = ACTIONS(5734),
    [sym_tag] = ACTIONS(5734),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5734),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1207] = {
    [anon_sym_LBRACE] = ACTIONS(5738),
    [anon_sym_RBRACE] = ACTIONS(5738),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_COLON_COLON] = ACTIONS(5738),
    [anon_sym_DASH_GT] = ACTIONS(5738),
    [anon_sym_where] = ACTIONS(5738),
    [anon_sym_EQ] = ACTIONS(5740),
    [anon_sym_COLON] = ACTIONS(5740),
    [anon_sym_PIPE] = ACTIONS(5740),
    [anon_sym_COLON_EQ] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(5738),
    [anon_sym_PLUS_EQ] = ACTIONS(5738),
    [anon_sym_DASH_EQ] = ACTIONS(5738),
    [anon_sym_STAR_EQ] = ACTIONS(5738),
    [anon_sym_SLASH_EQ] = ACTIONS(5738),
    [anon_sym_PERCENT_EQ] = ACTIONS(5738),
    [anon_sym_AMP_EQ] = ACTIONS(5738),
    [anon_sym_PIPE_EQ] = ACTIONS(5738),
    [anon_sym_CARET_EQ] = ACTIONS(5738),
    [anon_sym_LT_LT_EQ] = ACTIONS(5738),
    [anon_sym_GT_GT_EQ] = ACTIONS(5738),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5738),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5738),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5738),
    [anon_sym_if] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5738),
    [anon_sym_else] = ACTIONS(5738),
    [anon_sym_when] = ACTIONS(5738),
    [anon_sym_in] = ACTIONS(5738),
    [anon_sym_case] = ACTIONS(5738),
    [anon_sym_QMARK] = ACTIONS(5738),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_TILDE] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(5740),
    [anon_sym_PIPE_PIPE] = ACTIONS(5740),
    [anon_sym_or_else] = ACTIONS(5738),
    [anon_sym_AMP_AMP] = ACTIONS(5740),
    [anon_sym_GT] = ACTIONS(5740),
    [anon_sym_GT_EQ] = ACTIONS(5738),
    [anon_sym_LT_EQ] = ACTIONS(5738),
    [anon_sym_LT] = ACTIONS(5740),
    [anon_sym_EQ_EQ] = ACTIONS(5738),
    [anon_sym_BANG_EQ] = ACTIONS(5738),
    [anon_sym_TILDE_EQ] = ACTIONS(5738),
    [anon_sym_AMP_TILDE] = ACTIONS(5740),
    [anon_sym_LT_LT] = ACTIONS(5740),
    [anon_sym_GT_GT] = ACTIONS(5740),
    [anon_sym_STAR] = ACTIONS(5740),
    [anon_sym_SLASH] = ACTIONS(5740),
    [anon_sym_PERCENT] = ACTIONS(5740),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5738),
    [anon_sym_DOT] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5738),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5738),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5738),
    [anon_sym_not_in] = ACTIONS(5738),
    [anon_sym_or_return] = ACTIONS(5738),
    [anon_sym_or_continue] = ACTIONS(5738),
    [anon_sym_or_break] = ACTIONS(5738),
    [anon_sym_CARET] = ACTIONS(5740),
    [sym_uninitialized] = ACTIONS(5738),
    [sym_tag] = ACTIONS(5738),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5738),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1208] = {
    [anon_sym_LBRACE] = ACTIONS(5742),
    [anon_sym_RBRACE] = ACTIONS(5742),
    [anon_sym_COMMA] = ACTIONS(5742),
    [anon_sym_COLON_COLON] = ACTIONS(5742),
    [anon_sym_DASH_GT] = ACTIONS(5742),
    [anon_sym_where] = ACTIONS(5742),
    [anon_sym_EQ] = ACTIONS(5744),
    [anon_sym_COLON] = ACTIONS(5744),
    [anon_sym_PIPE] = ACTIONS(5744),
    [anon_sym_COLON_EQ] = ACTIONS(5742),
    [anon_sym_LPAREN] = ACTIONS(5742),
    [anon_sym_PLUS_EQ] = ACTIONS(5742),
    [anon_sym_DASH_EQ] = ACTIONS(5742),
    [anon_sym_STAR_EQ] = ACTIONS(5742),
    [anon_sym_SLASH_EQ] = ACTIONS(5742),
    [anon_sym_PERCENT_EQ] = ACTIONS(5742),
    [anon_sym_AMP_EQ] = ACTIONS(5742),
    [anon_sym_PIPE_EQ] = ACTIONS(5742),
    [anon_sym_CARET_EQ] = ACTIONS(5742),
    [anon_sym_LT_LT_EQ] = ACTIONS(5742),
    [anon_sym_GT_GT_EQ] = ACTIONS(5742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5742),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5742),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5742),
    [anon_sym_if] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5742),
    [anon_sym_else] = ACTIONS(5742),
    [anon_sym_when] = ACTIONS(5742),
    [anon_sym_in] = ACTIONS(5742),
    [anon_sym_case] = ACTIONS(5742),
    [anon_sym_QMARK] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_TILDE] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(5744),
    [anon_sym_PIPE_PIPE] = ACTIONS(5744),
    [anon_sym_or_else] = ACTIONS(5742),
    [anon_sym_AMP_AMP] = ACTIONS(5744),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_GT_EQ] = ACTIONS(5742),
    [anon_sym_LT_EQ] = ACTIONS(5742),
    [anon_sym_LT] = ACTIONS(5744),
    [anon_sym_EQ_EQ] = ACTIONS(5742),
    [anon_sym_BANG_EQ] = ACTIONS(5742),
    [anon_sym_TILDE_EQ] = ACTIONS(5742),
    [anon_sym_AMP_TILDE] = ACTIONS(5744),
    [anon_sym_LT_LT] = ACTIONS(5744),
    [anon_sym_GT_GT] = ACTIONS(5744),
    [anon_sym_STAR] = ACTIONS(5744),
    [anon_sym_SLASH] = ACTIONS(5744),
    [anon_sym_PERCENT] = ACTIONS(5744),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5742),
    [anon_sym_DOT] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5742),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5742),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5742),
    [anon_sym_not_in] = ACTIONS(5742),
    [anon_sym_or_return] = ACTIONS(5742),
    [anon_sym_or_continue] = ACTIONS(5742),
    [anon_sym_or_break] = ACTIONS(5742),
    [anon_sym_CARET] = ACTIONS(5744),
    [sym_uninitialized] = ACTIONS(5742),
    [sym_tag] = ACTIONS(5742),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5742),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1209] = {
    [anon_sym_LBRACE] = ACTIONS(5746),
    [anon_sym_RBRACE] = ACTIONS(5746),
    [anon_sym_COMMA] = ACTIONS(5746),
    [anon_sym_COLON_COLON] = ACTIONS(5746),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5746),
    [anon_sym_EQ] = ACTIONS(5748),
    [anon_sym_COLON] = ACTIONS(5748),
    [anon_sym_PIPE] = ACTIONS(5748),
    [anon_sym_COLON_EQ] = ACTIONS(5746),
    [anon_sym_LPAREN] = ACTIONS(5746),
    [anon_sym_PLUS_EQ] = ACTIONS(5746),
    [anon_sym_DASH_EQ] = ACTIONS(5746),
    [anon_sym_STAR_EQ] = ACTIONS(5746),
    [anon_sym_SLASH_EQ] = ACTIONS(5746),
    [anon_sym_PERCENT_EQ] = ACTIONS(5746),
    [anon_sym_AMP_EQ] = ACTIONS(5746),
    [anon_sym_PIPE_EQ] = ACTIONS(5746),
    [anon_sym_CARET_EQ] = ACTIONS(5746),
    [anon_sym_LT_LT_EQ] = ACTIONS(5746),
    [anon_sym_GT_GT_EQ] = ACTIONS(5746),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5746),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5746),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5746),
    [anon_sym_if] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5746),
    [anon_sym_else] = ACTIONS(5746),
    [anon_sym_when] = ACTIONS(5746),
    [anon_sym_in] = ACTIONS(5746),
    [anon_sym_case] = ACTIONS(5746),
    [anon_sym_QMARK] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5748),
    [anon_sym_TILDE] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(5748),
    [anon_sym_PIPE_PIPE] = ACTIONS(5748),
    [anon_sym_or_else] = ACTIONS(5746),
    [anon_sym_AMP_AMP] = ACTIONS(5748),
    [anon_sym_GT] = ACTIONS(5748),
    [anon_sym_GT_EQ] = ACTIONS(5746),
    [anon_sym_LT_EQ] = ACTIONS(5746),
    [anon_sym_LT] = ACTIONS(5748),
    [anon_sym_EQ_EQ] = ACTIONS(5746),
    [anon_sym_BANG_EQ] = ACTIONS(5746),
    [anon_sym_TILDE_EQ] = ACTIONS(5746),
    [anon_sym_AMP_TILDE] = ACTIONS(5748),
    [anon_sym_LT_LT] = ACTIONS(5748),
    [anon_sym_GT_GT] = ACTIONS(5748),
    [anon_sym_STAR] = ACTIONS(5748),
    [anon_sym_SLASH] = ACTIONS(5748),
    [anon_sym_PERCENT] = ACTIONS(5748),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5746),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5746),
    [anon_sym_or_return] = ACTIONS(5746),
    [anon_sym_or_continue] = ACTIONS(5746),
    [anon_sym_or_break] = ACTIONS(5746),
    [anon_sym_CARET] = ACTIONS(5748),
    [sym_uninitialized] = ACTIONS(5746),
    [sym_tag] = ACTIONS(5746),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5746),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1210] = {
    [anon_sym_LBRACE] = ACTIONS(5750),
    [anon_sym_RBRACE] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [anon_sym_COLON_COLON] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [anon_sym_where] = ACTIONS(5750),
    [anon_sym_EQ] = ACTIONS(5752),
    [anon_sym_COLON] = ACTIONS(5752),
    [anon_sym_PIPE] = ACTIONS(5752),
    [anon_sym_COLON_EQ] = ACTIONS(5750),
    [anon_sym_LPAREN] = ACTIONS(5750),
    [anon_sym_PLUS_EQ] = ACTIONS(5750),
    [anon_sym_DASH_EQ] = ACTIONS(5750),
    [anon_sym_STAR_EQ] = ACTIONS(5750),
    [anon_sym_SLASH_EQ] = ACTIONS(5750),
    [anon_sym_PERCENT_EQ] = ACTIONS(5750),
    [anon_sym_AMP_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_CARET_EQ] = ACTIONS(5750),
    [anon_sym_LT_LT_EQ] = ACTIONS(5750),
    [anon_sym_GT_GT_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5750),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5750),
    [anon_sym_if] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5750),
    [anon_sym_else] = ACTIONS(5750),
    [anon_sym_when] = ACTIONS(5750),
    [anon_sym_in] = ACTIONS(5750),
    [anon_sym_case] = ACTIONS(5750),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_TILDE] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(5752),
    [anon_sym_PIPE_PIPE] = ACTIONS(5752),
    [anon_sym_or_else] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5752),
    [anon_sym_GT] = ACTIONS(5752),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5750),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_TILDE_EQ] = ACTIONS(5750),
    [anon_sym_AMP_TILDE] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(5752),
    [anon_sym_GT_GT] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(5752),
    [anon_sym_SLASH] = ACTIONS(5752),
    [anon_sym_PERCENT] = ACTIONS(5752),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5750),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5750),
    [anon_sym_not_in] = ACTIONS(5750),
    [anon_sym_or_return] = ACTIONS(5750),
    [anon_sym_or_continue] = ACTIONS(5750),
    [anon_sym_or_break] = ACTIONS(5750),
    [anon_sym_CARET] = ACTIONS(5752),
    [sym_uninitialized] = ACTIONS(5750),
    [sym_tag] = ACTIONS(5750),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5750),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1211] = {
    [anon_sym_LBRACE] = ACTIONS(5754),
    [anon_sym_RBRACE] = ACTIONS(5754),
    [anon_sym_COMMA] = ACTIONS(5754),
    [anon_sym_COLON_COLON] = ACTIONS(5754),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5754),
    [anon_sym_EQ] = ACTIONS(5756),
    [anon_sym_COLON] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5756),
    [anon_sym_COLON_EQ] = ACTIONS(5754),
    [anon_sym_LPAREN] = ACTIONS(5754),
    [anon_sym_PLUS_EQ] = ACTIONS(5754),
    [anon_sym_DASH_EQ] = ACTIONS(5754),
    [anon_sym_STAR_EQ] = ACTIONS(5754),
    [anon_sym_SLASH_EQ] = ACTIONS(5754),
    [anon_sym_PERCENT_EQ] = ACTIONS(5754),
    [anon_sym_AMP_EQ] = ACTIONS(5754),
    [anon_sym_PIPE_EQ] = ACTIONS(5754),
    [anon_sym_CARET_EQ] = ACTIONS(5754),
    [anon_sym_LT_LT_EQ] = ACTIONS(5754),
    [anon_sym_GT_GT_EQ] = ACTIONS(5754),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5754),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5754),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5754),
    [anon_sym_if] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5754),
    [anon_sym_else] = ACTIONS(5754),
    [anon_sym_when] = ACTIONS(5754),
    [anon_sym_in] = ACTIONS(5754),
    [anon_sym_case] = ACTIONS(5754),
    [anon_sym_QMARK] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5756),
    [anon_sym_TILDE] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(5756),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_or_else] = ACTIONS(5754),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5756),
    [anon_sym_GT_EQ] = ACTIONS(5754),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5756),
    [anon_sym_EQ_EQ] = ACTIONS(5754),
    [anon_sym_BANG_EQ] = ACTIONS(5754),
    [anon_sym_TILDE_EQ] = ACTIONS(5754),
    [anon_sym_AMP_TILDE] = ACTIONS(5756),
    [anon_sym_LT_LT] = ACTIONS(5756),
    [anon_sym_GT_GT] = ACTIONS(5756),
    [anon_sym_STAR] = ACTIONS(5756),
    [anon_sym_SLASH] = ACTIONS(5756),
    [anon_sym_PERCENT] = ACTIONS(5756),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5754),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5754),
    [anon_sym_or_return] = ACTIONS(5754),
    [anon_sym_or_continue] = ACTIONS(5754),
    [anon_sym_or_break] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5756),
    [sym_uninitialized] = ACTIONS(5754),
    [sym_tag] = ACTIONS(5754),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5754),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1212] = {
    [anon_sym_LBRACE] = ACTIONS(5758),
    [anon_sym_RBRACE] = ACTIONS(5758),
    [anon_sym_COMMA] = ACTIONS(5758),
    [anon_sym_COLON_COLON] = ACTIONS(5758),
    [anon_sym_DASH_GT] = ACTIONS(5758),
    [anon_sym_where] = ACTIONS(5758),
    [anon_sym_EQ] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_COLON_EQ] = ACTIONS(5758),
    [anon_sym_LPAREN] = ACTIONS(5758),
    [anon_sym_PLUS_EQ] = ACTIONS(5758),
    [anon_sym_DASH_EQ] = ACTIONS(5758),
    [anon_sym_STAR_EQ] = ACTIONS(5758),
    [anon_sym_SLASH_EQ] = ACTIONS(5758),
    [anon_sym_PERCENT_EQ] = ACTIONS(5758),
    [anon_sym_AMP_EQ] = ACTIONS(5758),
    [anon_sym_PIPE_EQ] = ACTIONS(5758),
    [anon_sym_CARET_EQ] = ACTIONS(5758),
    [anon_sym_LT_LT_EQ] = ACTIONS(5758),
    [anon_sym_GT_GT_EQ] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5758),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5758),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5758),
    [anon_sym_if] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5758),
    [anon_sym_else] = ACTIONS(5758),
    [anon_sym_when] = ACTIONS(5758),
    [anon_sym_in] = ACTIONS(5758),
    [anon_sym_case] = ACTIONS(5758),
    [anon_sym_QMARK] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_TILDE] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_or_else] = ACTIONS(5758),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5758),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5758),
    [anon_sym_BANG_EQ] = ACTIONS(5758),
    [anon_sym_TILDE_EQ] = ACTIONS(5758),
    [anon_sym_AMP_TILDE] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5758),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5758),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5758),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5758),
    [anon_sym_not_in] = ACTIONS(5758),
    [anon_sym_or_return] = ACTIONS(5758),
    [anon_sym_or_continue] = ACTIONS(5758),
    [anon_sym_or_break] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5760),
    [sym_uninitialized] = ACTIONS(5758),
    [sym_tag] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5758),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1213] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5762),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1214] = {
    [anon_sym_LBRACE] = ACTIONS(5764),
    [anon_sym_RBRACE] = ACTIONS(5764),
    [anon_sym_COMMA] = ACTIONS(5764),
    [anon_sym_COLON_COLON] = ACTIONS(5764),
    [anon_sym_DASH_GT] = ACTIONS(5764),
    [anon_sym_where] = ACTIONS(5764),
    [anon_sym_EQ] = ACTIONS(5766),
    [anon_sym_COLON] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5766),
    [anon_sym_COLON_EQ] = ACTIONS(5764),
    [anon_sym_LPAREN] = ACTIONS(5764),
    [anon_sym_PLUS_EQ] = ACTIONS(5764),
    [anon_sym_DASH_EQ] = ACTIONS(5764),
    [anon_sym_STAR_EQ] = ACTIONS(5764),
    [anon_sym_SLASH_EQ] = ACTIONS(5764),
    [anon_sym_PERCENT_EQ] = ACTIONS(5764),
    [anon_sym_AMP_EQ] = ACTIONS(5764),
    [anon_sym_PIPE_EQ] = ACTIONS(5764),
    [anon_sym_CARET_EQ] = ACTIONS(5764),
    [anon_sym_LT_LT_EQ] = ACTIONS(5764),
    [anon_sym_GT_GT_EQ] = ACTIONS(5764),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5764),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5764),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5764),
    [anon_sym_if] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5764),
    [anon_sym_else] = ACTIONS(5764),
    [anon_sym_when] = ACTIONS(5764),
    [anon_sym_in] = ACTIONS(5764),
    [anon_sym_case] = ACTIONS(5764),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_TILDE] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_or_else] = ACTIONS(5764),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5766),
    [anon_sym_GT_EQ] = ACTIONS(5764),
    [anon_sym_LT_EQ] = ACTIONS(5764),
    [anon_sym_LT] = ACTIONS(5766),
    [anon_sym_EQ_EQ] = ACTIONS(5764),
    [anon_sym_BANG_EQ] = ACTIONS(5764),
    [anon_sym_TILDE_EQ] = ACTIONS(5764),
    [anon_sym_AMP_TILDE] = ACTIONS(5766),
    [anon_sym_LT_LT] = ACTIONS(5766),
    [anon_sym_GT_GT] = ACTIONS(5766),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_SLASH] = ACTIONS(5766),
    [anon_sym_PERCENT] = ACTIONS(5766),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5764),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5764),
    [anon_sym_not_in] = ACTIONS(5764),
    [anon_sym_or_return] = ACTIONS(5764),
    [anon_sym_or_continue] = ACTIONS(5764),
    [anon_sym_or_break] = ACTIONS(5764),
    [anon_sym_CARET] = ACTIONS(5766),
    [sym_uninitialized] = ACTIONS(5764),
    [sym_tag] = ACTIONS(5764),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5764),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1215] = {
    [anon_sym_LBRACE] = ACTIONS(5768),
    [anon_sym_RBRACE] = ACTIONS(5768),
    [anon_sym_COMMA] = ACTIONS(5768),
    [anon_sym_COLON_COLON] = ACTIONS(5768),
    [anon_sym_DASH_GT] = ACTIONS(5768),
    [anon_sym_where] = ACTIONS(5768),
    [anon_sym_EQ] = ACTIONS(5770),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5770),
    [anon_sym_COLON_EQ] = ACTIONS(5768),
    [anon_sym_LPAREN] = ACTIONS(5768),
    [anon_sym_PLUS_EQ] = ACTIONS(5768),
    [anon_sym_DASH_EQ] = ACTIONS(5768),
    [anon_sym_STAR_EQ] = ACTIONS(5768),
    [anon_sym_SLASH_EQ] = ACTIONS(5768),
    [anon_sym_PERCENT_EQ] = ACTIONS(5768),
    [anon_sym_AMP_EQ] = ACTIONS(5768),
    [anon_sym_PIPE_EQ] = ACTIONS(5768),
    [anon_sym_CARET_EQ] = ACTIONS(5768),
    [anon_sym_LT_LT_EQ] = ACTIONS(5768),
    [anon_sym_GT_GT_EQ] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5768),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5768),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5768),
    [anon_sym_if] = ACTIONS(5772),
    [anon_sym_SEMI] = ACTIONS(5768),
    [anon_sym_else] = ACTIONS(5768),
    [anon_sym_when] = ACTIONS(5772),
    [anon_sym_in] = ACTIONS(5768),
    [anon_sym_case] = ACTIONS(5768),
    [anon_sym_QMARK] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5770),
    [anon_sym_TILDE] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_or_else] = ACTIONS(5768),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5770),
    [anon_sym_GT_EQ] = ACTIONS(5768),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5770),
    [anon_sym_EQ_EQ] = ACTIONS(5768),
    [anon_sym_BANG_EQ] = ACTIONS(5768),
    [anon_sym_TILDE_EQ] = ACTIONS(5768),
    [anon_sym_AMP_TILDE] = ACTIONS(5770),
    [anon_sym_LT_LT] = ACTIONS(5770),
    [anon_sym_GT_GT] = ACTIONS(5770),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_SLASH] = ACTIONS(5770),
    [anon_sym_PERCENT] = ACTIONS(5770),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5768),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5768),
    [anon_sym_not_in] = ACTIONS(5768),
    [anon_sym_or_return] = ACTIONS(5768),
    [anon_sym_or_continue] = ACTIONS(5768),
    [anon_sym_or_break] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5770),
    [sym_uninitialized] = ACTIONS(5768),
    [sym_tag] = ACTIONS(5768),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5768),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1216] = {
    [sym_expression] = STATE(5724),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5776),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1217] = {
    [sym_expression] = STATE(5993),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5778),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1218] = {
    [anon_sym_LBRACE] = ACTIONS(5780),
    [anon_sym_RBRACE] = ACTIONS(5780),
    [anon_sym_COMMA] = ACTIONS(5780),
    [anon_sym_COLON_COLON] = ACTIONS(5780),
    [anon_sym_DASH_GT] = ACTIONS(5780),
    [anon_sym_where] = ACTIONS(5780),
    [anon_sym_EQ] = ACTIONS(5782),
    [anon_sym_COLON] = ACTIONS(5782),
    [anon_sym_PIPE] = ACTIONS(5782),
    [anon_sym_COLON_EQ] = ACTIONS(5780),
    [anon_sym_LPAREN] = ACTIONS(5780),
    [anon_sym_PLUS_EQ] = ACTIONS(5780),
    [anon_sym_DASH_EQ] = ACTIONS(5780),
    [anon_sym_STAR_EQ] = ACTIONS(5780),
    [anon_sym_SLASH_EQ] = ACTIONS(5780),
    [anon_sym_PERCENT_EQ] = ACTIONS(5780),
    [anon_sym_AMP_EQ] = ACTIONS(5780),
    [anon_sym_PIPE_EQ] = ACTIONS(5780),
    [anon_sym_CARET_EQ] = ACTIONS(5780),
    [anon_sym_LT_LT_EQ] = ACTIONS(5780),
    [anon_sym_GT_GT_EQ] = ACTIONS(5780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5780),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5780),
    [anon_sym_if] = ACTIONS(5780),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym_else] = ACTIONS(5780),
    [anon_sym_when] = ACTIONS(5780),
    [anon_sym_in] = ACTIONS(5780),
    [anon_sym_case] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5780),
    [anon_sym_PLUS] = ACTIONS(5782),
    [anon_sym_DASH] = ACTIONS(5782),
    [anon_sym_TILDE] = ACTIONS(5782),
    [anon_sym_AMP] = ACTIONS(5782),
    [anon_sym_PIPE_PIPE] = ACTIONS(5782),
    [anon_sym_or_else] = ACTIONS(5780),
    [anon_sym_AMP_AMP] = ACTIONS(5782),
    [anon_sym_GT] = ACTIONS(5782),
    [anon_sym_GT_EQ] = ACTIONS(5780),
    [anon_sym_LT_EQ] = ACTIONS(5780),
    [anon_sym_LT] = ACTIONS(5782),
    [anon_sym_EQ_EQ] = ACTIONS(5780),
    [anon_sym_BANG_EQ] = ACTIONS(5780),
    [anon_sym_TILDE_EQ] = ACTIONS(5780),
    [anon_sym_AMP_TILDE] = ACTIONS(5782),
    [anon_sym_LT_LT] = ACTIONS(5782),
    [anon_sym_GT_GT] = ACTIONS(5782),
    [anon_sym_STAR] = ACTIONS(5782),
    [anon_sym_SLASH] = ACTIONS(5782),
    [anon_sym_PERCENT] = ACTIONS(5782),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5780),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5780),
    [anon_sym_not_in] = ACTIONS(5780),
    [anon_sym_or_return] = ACTIONS(5780),
    [anon_sym_or_continue] = ACTIONS(5780),
    [anon_sym_or_break] = ACTIONS(5780),
    [anon_sym_CARET] = ACTIONS(5782),
    [sym_uninitialized] = ACTIONS(5780),
    [sym_tag] = ACTIONS(5780),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5780),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1219] = {
    [anon_sym_LBRACE] = ACTIONS(5784),
    [anon_sym_RBRACE] = ACTIONS(5784),
    [anon_sym_COMMA] = ACTIONS(5784),
    [anon_sym_COLON_COLON] = ACTIONS(5784),
    [anon_sym_DASH_GT] = ACTIONS(5784),
    [anon_sym_where] = ACTIONS(5784),
    [anon_sym_EQ] = ACTIONS(5786),
    [anon_sym_COLON] = ACTIONS(5786),
    [anon_sym_PIPE] = ACTIONS(5786),
    [anon_sym_COLON_EQ] = ACTIONS(5784),
    [anon_sym_LPAREN] = ACTIONS(5784),
    [anon_sym_PLUS_EQ] = ACTIONS(5784),
    [anon_sym_DASH_EQ] = ACTIONS(5784),
    [anon_sym_STAR_EQ] = ACTIONS(5784),
    [anon_sym_SLASH_EQ] = ACTIONS(5784),
    [anon_sym_PERCENT_EQ] = ACTIONS(5784),
    [anon_sym_AMP_EQ] = ACTIONS(5784),
    [anon_sym_PIPE_EQ] = ACTIONS(5784),
    [anon_sym_CARET_EQ] = ACTIONS(5784),
    [anon_sym_LT_LT_EQ] = ACTIONS(5784),
    [anon_sym_GT_GT_EQ] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5784),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5784),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5784),
    [anon_sym_if] = ACTIONS(5784),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym_else] = ACTIONS(5784),
    [anon_sym_when] = ACTIONS(5784),
    [anon_sym_in] = ACTIONS(5784),
    [anon_sym_case] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5784),
    [anon_sym_PLUS] = ACTIONS(5786),
    [anon_sym_DASH] = ACTIONS(5786),
    [anon_sym_TILDE] = ACTIONS(5786),
    [anon_sym_AMP] = ACTIONS(5786),
    [anon_sym_PIPE_PIPE] = ACTIONS(5786),
    [anon_sym_or_else] = ACTIONS(5784),
    [anon_sym_AMP_AMP] = ACTIONS(5786),
    [anon_sym_GT] = ACTIONS(5786),
    [anon_sym_GT_EQ] = ACTIONS(5784),
    [anon_sym_LT_EQ] = ACTIONS(5784),
    [anon_sym_LT] = ACTIONS(5786),
    [anon_sym_EQ_EQ] = ACTIONS(5784),
    [anon_sym_BANG_EQ] = ACTIONS(5784),
    [anon_sym_TILDE_EQ] = ACTIONS(5784),
    [anon_sym_AMP_TILDE] = ACTIONS(5786),
    [anon_sym_LT_LT] = ACTIONS(5786),
    [anon_sym_GT_GT] = ACTIONS(5786),
    [anon_sym_STAR] = ACTIONS(5786),
    [anon_sym_SLASH] = ACTIONS(5786),
    [anon_sym_PERCENT] = ACTIONS(5786),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5786),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5784),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5784),
    [anon_sym_not_in] = ACTIONS(5784),
    [anon_sym_or_return] = ACTIONS(5784),
    [anon_sym_or_continue] = ACTIONS(5784),
    [anon_sym_or_break] = ACTIONS(5784),
    [anon_sym_CARET] = ACTIONS(5786),
    [sym_uninitialized] = ACTIONS(5784),
    [sym_tag] = ACTIONS(5784),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5784),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1220] = {
    [anon_sym_LBRACE] = ACTIONS(5768),
    [anon_sym_RBRACE] = ACTIONS(5768),
    [anon_sym_COMMA] = ACTIONS(5768),
    [anon_sym_COLON_COLON] = ACTIONS(5768),
    [anon_sym_DASH_GT] = ACTIONS(5768),
    [anon_sym_where] = ACTIONS(5768),
    [anon_sym_EQ] = ACTIONS(5770),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5770),
    [anon_sym_COLON_EQ] = ACTIONS(5768),
    [anon_sym_LPAREN] = ACTIONS(5768),
    [anon_sym_PLUS_EQ] = ACTIONS(5768),
    [anon_sym_DASH_EQ] = ACTIONS(5768),
    [anon_sym_STAR_EQ] = ACTIONS(5768),
    [anon_sym_SLASH_EQ] = ACTIONS(5768),
    [anon_sym_PERCENT_EQ] = ACTIONS(5768),
    [anon_sym_AMP_EQ] = ACTIONS(5768),
    [anon_sym_PIPE_EQ] = ACTIONS(5768),
    [anon_sym_CARET_EQ] = ACTIONS(5768),
    [anon_sym_LT_LT_EQ] = ACTIONS(5768),
    [anon_sym_GT_GT_EQ] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5768),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5768),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5768),
    [anon_sym_if] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(5768),
    [anon_sym_else] = ACTIONS(5768),
    [anon_sym_when] = ACTIONS(5768),
    [anon_sym_in] = ACTIONS(5768),
    [anon_sym_case] = ACTIONS(5768),
    [anon_sym_QMARK] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5770),
    [anon_sym_TILDE] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_or_else] = ACTIONS(5768),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5770),
    [anon_sym_GT_EQ] = ACTIONS(5768),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5770),
    [anon_sym_EQ_EQ] = ACTIONS(5768),
    [anon_sym_BANG_EQ] = ACTIONS(5768),
    [anon_sym_TILDE_EQ] = ACTIONS(5768),
    [anon_sym_AMP_TILDE] = ACTIONS(5770),
    [anon_sym_LT_LT] = ACTIONS(5770),
    [anon_sym_GT_GT] = ACTIONS(5770),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_SLASH] = ACTIONS(5770),
    [anon_sym_PERCENT] = ACTIONS(5770),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5768),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5768),
    [anon_sym_not_in] = ACTIONS(5768),
    [anon_sym_or_return] = ACTIONS(5768),
    [anon_sym_or_continue] = ACTIONS(5768),
    [anon_sym_or_break] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5770),
    [sym_uninitialized] = ACTIONS(5768),
    [sym_tag] = ACTIONS(5768),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5768),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1221] = {
    [sym_expression] = STATE(6184),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5788),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1222] = {
    [sym_expression] = STATE(6147),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5790),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1223] = {
    [sym_expression] = STATE(5681),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5792),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1224] = {
    [sym_expression] = STATE(6095),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1225] = {
    [sym_expression] = STATE(5613),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5796),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1226] = {
    [sym_expression] = STATE(6065),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5798),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1227] = {
    [sym_expression] = STATE(6171),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5800),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1228] = {
    [sym_expression] = STATE(5879),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5802),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1229] = {
    [sym_expression] = STATE(5649),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_struct_field] = STATE(8162),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1230] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5804),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1231] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(4801),
    [anon_sym_GT] = ACTIONS(4803),
    [anon_sym_GT_EQ] = ACTIONS(4805),
    [anon_sym_LT_EQ] = ACTIONS(4805),
    [anon_sym_LT] = ACTIONS(4803),
    [anon_sym_EQ_EQ] = ACTIONS(4807),
    [anon_sym_BANG_EQ] = ACTIONS(4807),
    [anon_sym_TILDE_EQ] = ACTIONS(4807),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1232] = {
    [anon_sym_LBRACE] = ACTIONS(5806),
    [anon_sym_RBRACE] = ACTIONS(5806),
    [anon_sym_COMMA] = ACTIONS(5806),
    [anon_sym_COLON_COLON] = ACTIONS(5806),
    [anon_sym_DASH_GT] = ACTIONS(5806),
    [anon_sym_where] = ACTIONS(5806),
    [anon_sym_EQ] = ACTIONS(5808),
    [anon_sym_COLON] = ACTIONS(5808),
    [anon_sym_PIPE] = ACTIONS(5808),
    [anon_sym_COLON_EQ] = ACTIONS(5806),
    [anon_sym_LPAREN] = ACTIONS(5806),
    [anon_sym_PLUS_EQ] = ACTIONS(5806),
    [anon_sym_DASH_EQ] = ACTIONS(5806),
    [anon_sym_STAR_EQ] = ACTIONS(5806),
    [anon_sym_SLASH_EQ] = ACTIONS(5806),
    [anon_sym_PERCENT_EQ] = ACTIONS(5806),
    [anon_sym_AMP_EQ] = ACTIONS(5806),
    [anon_sym_PIPE_EQ] = ACTIONS(5806),
    [anon_sym_CARET_EQ] = ACTIONS(5806),
    [anon_sym_LT_LT_EQ] = ACTIONS(5806),
    [anon_sym_GT_GT_EQ] = ACTIONS(5806),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5806),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5806),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5806),
    [anon_sym_if] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5806),
    [anon_sym_else] = ACTIONS(5806),
    [anon_sym_when] = ACTIONS(5806),
    [anon_sym_in] = ACTIONS(5806),
    [anon_sym_case] = ACTIONS(5806),
    [anon_sym_QMARK] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_TILDE] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(5808),
    [anon_sym_PIPE_PIPE] = ACTIONS(5808),
    [anon_sym_or_else] = ACTIONS(5806),
    [anon_sym_AMP_AMP] = ACTIONS(5808),
    [anon_sym_GT] = ACTIONS(5808),
    [anon_sym_GT_EQ] = ACTIONS(5806),
    [anon_sym_LT_EQ] = ACTIONS(5806),
    [anon_sym_LT] = ACTIONS(5808),
    [anon_sym_EQ_EQ] = ACTIONS(5806),
    [anon_sym_BANG_EQ] = ACTIONS(5806),
    [anon_sym_TILDE_EQ] = ACTIONS(5806),
    [anon_sym_AMP_TILDE] = ACTIONS(5808),
    [anon_sym_LT_LT] = ACTIONS(5808),
    [anon_sym_GT_GT] = ACTIONS(5808),
    [anon_sym_STAR] = ACTIONS(5808),
    [anon_sym_SLASH] = ACTIONS(5808),
    [anon_sym_PERCENT] = ACTIONS(5808),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5806),
    [anon_sym_DOT] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5806),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5806),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5806),
    [anon_sym_not_in] = ACTIONS(5806),
    [anon_sym_or_return] = ACTIONS(5806),
    [anon_sym_or_continue] = ACTIONS(5806),
    [anon_sym_or_break] = ACTIONS(5806),
    [anon_sym_CARET] = ACTIONS(5808),
    [sym_uninitialized] = ACTIONS(5806),
    [sym_tag] = ACTIONS(5806),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5806),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1233] = {
    [anon_sym_LBRACE] = ACTIONS(5810),
    [anon_sym_RBRACE] = ACTIONS(5340),
    [anon_sym_COMMA] = ACTIONS(5340),
    [anon_sym_COLON_COLON] = ACTIONS(5340),
    [anon_sym_DASH_GT] = ACTIONS(5340),
    [anon_sym_where] = ACTIONS(5340),
    [anon_sym_EQ] = ACTIONS(5342),
    [anon_sym_COLON] = ACTIONS(5342),
    [anon_sym_PIPE] = ACTIONS(5342),
    [anon_sym_COLON_EQ] = ACTIONS(5340),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(5340),
    [anon_sym_DASH_EQ] = ACTIONS(5340),
    [anon_sym_STAR_EQ] = ACTIONS(5340),
    [anon_sym_SLASH_EQ] = ACTIONS(5340),
    [anon_sym_PERCENT_EQ] = ACTIONS(5340),
    [anon_sym_AMP_EQ] = ACTIONS(5340),
    [anon_sym_PIPE_EQ] = ACTIONS(5340),
    [anon_sym_CARET_EQ] = ACTIONS(5340),
    [anon_sym_LT_LT_EQ] = ACTIONS(5340),
    [anon_sym_GT_GT_EQ] = ACTIONS(5340),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5340),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5340),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5340),
    [anon_sym_if] = ACTIONS(5340),
    [anon_sym_SEMI] = ACTIONS(5340),
    [anon_sym_else] = ACTIONS(5340),
    [anon_sym_when] = ACTIONS(5340),
    [anon_sym_in] = ACTIONS(5340),
    [anon_sym_case] = ACTIONS(5340),
    [anon_sym_QMARK] = ACTIONS(5340),
    [anon_sym_PLUS] = ACTIONS(5342),
    [anon_sym_DASH] = ACTIONS(5342),
    [anon_sym_TILDE] = ACTIONS(5342),
    [anon_sym_AMP] = ACTIONS(5342),
    [anon_sym_PIPE_PIPE] = ACTIONS(5342),
    [anon_sym_or_else] = ACTIONS(5340),
    [anon_sym_AMP_AMP] = ACTIONS(5342),
    [anon_sym_GT] = ACTIONS(5342),
    [anon_sym_GT_EQ] = ACTIONS(5340),
    [anon_sym_LT_EQ] = ACTIONS(5340),
    [anon_sym_LT] = ACTIONS(5342),
    [anon_sym_EQ_EQ] = ACTIONS(5340),
    [anon_sym_BANG_EQ] = ACTIONS(5340),
    [anon_sym_TILDE_EQ] = ACTIONS(5340),
    [anon_sym_AMP_TILDE] = ACTIONS(5342),
    [anon_sym_LT_LT] = ACTIONS(5342),
    [anon_sym_GT_GT] = ACTIONS(5342),
    [anon_sym_STAR] = ACTIONS(5342),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(5342),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5340),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5340),
    [anon_sym_not_in] = ACTIONS(5340),
    [anon_sym_or_return] = ACTIONS(5340),
    [anon_sym_or_continue] = ACTIONS(5340),
    [anon_sym_or_break] = ACTIONS(5340),
    [anon_sym_CARET] = ACTIONS(5342),
    [sym_uninitialized] = ACTIONS(5340),
    [sym_tag] = ACTIONS(5340),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5340),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1234] = {
    [anon_sym_LBRACE] = ACTIONS(5670),
    [anon_sym_RBRACE] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5670),
    [anon_sym_COLON_COLON] = ACTIONS(5670),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(5670),
    [anon_sym_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5670),
    [anon_sym_PLUS_EQ] = ACTIONS(5670),
    [anon_sym_DASH_EQ] = ACTIONS(5670),
    [anon_sym_STAR_EQ] = ACTIONS(5670),
    [anon_sym_SLASH_EQ] = ACTIONS(5670),
    [anon_sym_PERCENT_EQ] = ACTIONS(5670),
    [anon_sym_AMP_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_CARET_EQ] = ACTIONS(5670),
    [anon_sym_LT_LT_EQ] = ACTIONS(5670),
    [anon_sym_GT_GT_EQ] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5670),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5670),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5670),
    [anon_sym_if] = ACTIONS(5670),
    [anon_sym_SEMI] = ACTIONS(5670),
    [anon_sym_else] = ACTIONS(5670),
    [anon_sym_when] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_case] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_or_else] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(4803),
    [anon_sym_GT_EQ] = ACTIONS(4805),
    [anon_sym_LT_EQ] = ACTIONS(4805),
    [anon_sym_LT] = ACTIONS(4803),
    [anon_sym_EQ_EQ] = ACTIONS(4807),
    [anon_sym_BANG_EQ] = ACTIONS(4807),
    [anon_sym_TILDE_EQ] = ACTIONS(4807),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(5670),
    [anon_sym_or_return] = ACTIONS(5670),
    [anon_sym_or_continue] = ACTIONS(5670),
    [anon_sym_or_break] = ACTIONS(5670),
    [anon_sym_CARET] = ACTIONS(5672),
    [sym_uninitialized] = ACTIONS(5670),
    [sym_tag] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5670),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1235] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5812),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1236] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5814),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1237] = {
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [anon_sym_where] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_COLON_EQ] = ACTIONS(4866),
    [anon_sym_LPAREN] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4866),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4866),
    [anon_sym_if] = ACTIONS(4866),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym_else] = ACTIONS(4866),
    [anon_sym_when] = ACTIONS(4866),
    [anon_sym_in] = ACTIONS(4866),
    [anon_sym_case] = ACTIONS(4866),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_TILDE] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4868),
    [anon_sym_or_else] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4868),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4866),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_TILDE_EQ] = ACTIONS(4866),
    [anon_sym_AMP_TILDE] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4866),
    [anon_sym_not_in] = ACTIONS(4866),
    [anon_sym_or_return] = ACTIONS(4866),
    [anon_sym_or_continue] = ACTIONS(4866),
    [anon_sym_or_break] = ACTIONS(4866),
    [anon_sym_CARET] = ACTIONS(4868),
    [sym_uninitialized] = ACTIONS(4866),
    [sym_tag] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4866),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1238] = {
    [sym_expression] = STATE(5719),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5816),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1239] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5818),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1240] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5820),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1241] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5822),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1242] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5824),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1243] = {
    [sym_expression] = STATE(5945),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5826),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1244] = {
    [anon_sym_LBRACE] = ACTIONS(4710),
    [anon_sym_RBRACE] = ACTIONS(4710),
    [anon_sym_COMMA] = ACTIONS(4710),
    [anon_sym_COLON_COLON] = ACTIONS(4710),
    [anon_sym_DASH_GT] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(4710),
    [anon_sym_EQ] = ACTIONS(4715),
    [anon_sym_COLON] = ACTIONS(4715),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_COLON_EQ] = ACTIONS(4710),
    [anon_sym_LPAREN] = ACTIONS(4710),
    [anon_sym_PLUS_EQ] = ACTIONS(4710),
    [anon_sym_DASH_EQ] = ACTIONS(4710),
    [anon_sym_STAR_EQ] = ACTIONS(4710),
    [anon_sym_SLASH_EQ] = ACTIONS(4710),
    [anon_sym_PERCENT_EQ] = ACTIONS(4710),
    [anon_sym_AMP_EQ] = ACTIONS(4710),
    [anon_sym_PIPE_EQ] = ACTIONS(4710),
    [anon_sym_CARET_EQ] = ACTIONS(4710),
    [anon_sym_LT_LT_EQ] = ACTIONS(4710),
    [anon_sym_GT_GT_EQ] = ACTIONS(4710),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4710),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4710),
    [anon_sym_if] = ACTIONS(4710),
    [anon_sym_SEMI] = ACTIONS(4710),
    [anon_sym_else] = ACTIONS(4710),
    [anon_sym_when] = ACTIONS(4710),
    [anon_sym_in] = ACTIONS(4710),
    [anon_sym_case] = ACTIONS(4710),
    [anon_sym_QMARK] = ACTIONS(4710),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(4797),
    [anon_sym_or_else] = ACTIONS(4799),
    [anon_sym_AMP_AMP] = ACTIONS(4801),
    [anon_sym_GT] = ACTIONS(4803),
    [anon_sym_GT_EQ] = ACTIONS(4805),
    [anon_sym_LT_EQ] = ACTIONS(4805),
    [anon_sym_LT] = ACTIONS(4803),
    [anon_sym_EQ_EQ] = ACTIONS(4807),
    [anon_sym_BANG_EQ] = ACTIONS(4807),
    [anon_sym_TILDE_EQ] = ACTIONS(4807),
    [anon_sym_AMP_TILDE] = ACTIONS(4809),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4813),
    [anon_sym_SLASH] = ACTIONS(4813),
    [anon_sym_PERCENT] = ACTIONS(4813),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4815),
    [anon_sym_DOT] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4821),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4821),
    [anon_sym_not_in] = ACTIONS(4710),
    [anon_sym_or_return] = ACTIONS(4823),
    [anon_sym_or_continue] = ACTIONS(4825),
    [anon_sym_or_break] = ACTIONS(4827),
    [anon_sym_CARET] = ACTIONS(4829),
    [sym_uninitialized] = ACTIONS(4710),
    [sym_tag] = ACTIONS(4710),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4710),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1245] = {
    [sym_expression] = STATE(5720),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5828),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1246] = {
    [sym_expression] = STATE(5950),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5830),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1247] = {
    [sym_expression] = STATE(5889),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5832),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1248] = {
    [sym_expression] = STATE(5920),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5834),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1249] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5836),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1250] = {
    [sym_expression] = STATE(5996),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5838),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1251] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5840),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1252] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5842),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1253] = {
    [sym_expression] = STATE(5968),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5844),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1254] = {
    [anon_sym_LBRACE] = ACTIONS(5846),
    [anon_sym_RBRACE] = ACTIONS(5846),
    [anon_sym_COMMA] = ACTIONS(5846),
    [anon_sym_COLON_COLON] = ACTIONS(5846),
    [anon_sym_DASH_GT] = ACTIONS(5846),
    [anon_sym_where] = ACTIONS(5846),
    [anon_sym_EQ] = ACTIONS(5848),
    [anon_sym_COLON] = ACTIONS(5848),
    [anon_sym_PIPE] = ACTIONS(5848),
    [anon_sym_COLON_EQ] = ACTIONS(5846),
    [anon_sym_LPAREN] = ACTIONS(5846),
    [anon_sym_PLUS_EQ] = ACTIONS(5846),
    [anon_sym_DASH_EQ] = ACTIONS(5846),
    [anon_sym_STAR_EQ] = ACTIONS(5846),
    [anon_sym_SLASH_EQ] = ACTIONS(5846),
    [anon_sym_PERCENT_EQ] = ACTIONS(5846),
    [anon_sym_AMP_EQ] = ACTIONS(5846),
    [anon_sym_PIPE_EQ] = ACTIONS(5846),
    [anon_sym_CARET_EQ] = ACTIONS(5846),
    [anon_sym_LT_LT_EQ] = ACTIONS(5846),
    [anon_sym_GT_GT_EQ] = ACTIONS(5846),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5846),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5846),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5846),
    [anon_sym_if] = ACTIONS(5846),
    [anon_sym_SEMI] = ACTIONS(5846),
    [anon_sym_else] = ACTIONS(5846),
    [anon_sym_when] = ACTIONS(5846),
    [anon_sym_in] = ACTIONS(5846),
    [anon_sym_case] = ACTIONS(5846),
    [anon_sym_QMARK] = ACTIONS(5846),
    [anon_sym_PLUS] = ACTIONS(5848),
    [anon_sym_DASH] = ACTIONS(5848),
    [anon_sym_TILDE] = ACTIONS(5848),
    [anon_sym_AMP] = ACTIONS(5848),
    [anon_sym_PIPE_PIPE] = ACTIONS(5848),
    [anon_sym_or_else] = ACTIONS(5846),
    [anon_sym_AMP_AMP] = ACTIONS(5848),
    [anon_sym_GT] = ACTIONS(5848),
    [anon_sym_GT_EQ] = ACTIONS(5846),
    [anon_sym_LT_EQ] = ACTIONS(5846),
    [anon_sym_LT] = ACTIONS(5848),
    [anon_sym_EQ_EQ] = ACTIONS(5846),
    [anon_sym_BANG_EQ] = ACTIONS(5846),
    [anon_sym_TILDE_EQ] = ACTIONS(5846),
    [anon_sym_AMP_TILDE] = ACTIONS(5848),
    [anon_sym_LT_LT] = ACTIONS(5848),
    [anon_sym_GT_GT] = ACTIONS(5848),
    [anon_sym_STAR] = ACTIONS(5848),
    [anon_sym_SLASH] = ACTIONS(5848),
    [anon_sym_PERCENT] = ACTIONS(5848),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5846),
    [anon_sym_DOT] = ACTIONS(5848),
    [anon_sym_LBRACK] = ACTIONS(5846),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5846),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5846),
    [anon_sym_not_in] = ACTIONS(5846),
    [anon_sym_or_return] = ACTIONS(5846),
    [anon_sym_or_continue] = ACTIONS(5846),
    [anon_sym_or_break] = ACTIONS(5846),
    [anon_sym_CARET] = ACTIONS(5848),
    [sym_uninitialized] = ACTIONS(5846),
    [sym_tag] = ACTIONS(5846),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5846),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1255] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5850),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1256] = {
    [sym_expression] = STATE(5626),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5852),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1257] = {
    [sym_expression] = STATE(5642),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5854),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1258] = {
    [anon_sym_LBRACE] = ACTIONS(5856),
    [anon_sym_RBRACE] = ACTIONS(5856),
    [anon_sym_COMMA] = ACTIONS(5856),
    [anon_sym_COLON_COLON] = ACTIONS(5856),
    [anon_sym_DASH_GT] = ACTIONS(5856),
    [anon_sym_where] = ACTIONS(5856),
    [anon_sym_EQ] = ACTIONS(5858),
    [anon_sym_COLON] = ACTIONS(5858),
    [anon_sym_PIPE] = ACTIONS(5858),
    [anon_sym_COLON_EQ] = ACTIONS(5856),
    [anon_sym_LPAREN] = ACTIONS(5856),
    [anon_sym_PLUS_EQ] = ACTIONS(5856),
    [anon_sym_DASH_EQ] = ACTIONS(5856),
    [anon_sym_STAR_EQ] = ACTIONS(5856),
    [anon_sym_SLASH_EQ] = ACTIONS(5856),
    [anon_sym_PERCENT_EQ] = ACTIONS(5856),
    [anon_sym_AMP_EQ] = ACTIONS(5856),
    [anon_sym_PIPE_EQ] = ACTIONS(5856),
    [anon_sym_CARET_EQ] = ACTIONS(5856),
    [anon_sym_LT_LT_EQ] = ACTIONS(5856),
    [anon_sym_GT_GT_EQ] = ACTIONS(5856),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5856),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5856),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5856),
    [anon_sym_if] = ACTIONS(5856),
    [anon_sym_SEMI] = ACTIONS(5856),
    [anon_sym_else] = ACTIONS(5856),
    [anon_sym_when] = ACTIONS(5856),
    [anon_sym_in] = ACTIONS(5856),
    [anon_sym_case] = ACTIONS(5856),
    [anon_sym_QMARK] = ACTIONS(5856),
    [anon_sym_PLUS] = ACTIONS(5858),
    [anon_sym_DASH] = ACTIONS(5858),
    [anon_sym_TILDE] = ACTIONS(5858),
    [anon_sym_AMP] = ACTIONS(5858),
    [anon_sym_PIPE_PIPE] = ACTIONS(5858),
    [anon_sym_or_else] = ACTIONS(5856),
    [anon_sym_AMP_AMP] = ACTIONS(5858),
    [anon_sym_GT] = ACTIONS(5858),
    [anon_sym_GT_EQ] = ACTIONS(5856),
    [anon_sym_LT_EQ] = ACTIONS(5856),
    [anon_sym_LT] = ACTIONS(5858),
    [anon_sym_EQ_EQ] = ACTIONS(5856),
    [anon_sym_BANG_EQ] = ACTIONS(5856),
    [anon_sym_TILDE_EQ] = ACTIONS(5856),
    [anon_sym_AMP_TILDE] = ACTIONS(5858),
    [anon_sym_LT_LT] = ACTIONS(5858),
    [anon_sym_GT_GT] = ACTIONS(5858),
    [anon_sym_STAR] = ACTIONS(5858),
    [anon_sym_SLASH] = ACTIONS(5858),
    [anon_sym_PERCENT] = ACTIONS(5858),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5856),
    [anon_sym_DOT] = ACTIONS(5858),
    [anon_sym_LBRACK] = ACTIONS(5856),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5856),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5856),
    [anon_sym_not_in] = ACTIONS(5856),
    [anon_sym_or_return] = ACTIONS(5856),
    [anon_sym_or_continue] = ACTIONS(5856),
    [anon_sym_or_break] = ACTIONS(5856),
    [anon_sym_CARET] = ACTIONS(5858),
    [sym_uninitialized] = ACTIONS(5856),
    [sym_tag] = ACTIONS(5856),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5856),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1259] = {
    [anon_sym_LBRACE] = ACTIONS(5860),
    [anon_sym_RBRACE] = ACTIONS(5860),
    [anon_sym_COMMA] = ACTIONS(5860),
    [anon_sym_COLON_COLON] = ACTIONS(5860),
    [anon_sym_DASH_GT] = ACTIONS(5860),
    [anon_sym_where] = ACTIONS(5860),
    [anon_sym_EQ] = ACTIONS(5862),
    [anon_sym_COLON] = ACTIONS(5864),
    [anon_sym_PIPE] = ACTIONS(5864),
    [anon_sym_COLON_EQ] = ACTIONS(5860),
    [anon_sym_LPAREN] = ACTIONS(4317),
    [anon_sym_PLUS_EQ] = ACTIONS(5860),
    [anon_sym_DASH_EQ] = ACTIONS(5860),
    [anon_sym_STAR_EQ] = ACTIONS(5860),
    [anon_sym_SLASH_EQ] = ACTIONS(5860),
    [anon_sym_PERCENT_EQ] = ACTIONS(5860),
    [anon_sym_AMP_EQ] = ACTIONS(5860),
    [anon_sym_PIPE_EQ] = ACTIONS(5860),
    [anon_sym_CARET_EQ] = ACTIONS(5860),
    [anon_sym_LT_LT_EQ] = ACTIONS(5860),
    [anon_sym_GT_GT_EQ] = ACTIONS(5860),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5860),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5860),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5860),
    [anon_sym_if] = ACTIONS(5860),
    [anon_sym_SEMI] = ACTIONS(5860),
    [anon_sym_else] = ACTIONS(5860),
    [anon_sym_when] = ACTIONS(5860),
    [anon_sym_in] = ACTIONS(5860),
    [anon_sym_case] = ACTIONS(5860),
    [anon_sym_QMARK] = ACTIONS(5860),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_DASH] = ACTIONS(5864),
    [anon_sym_TILDE] = ACTIONS(5864),
    [anon_sym_AMP] = ACTIONS(5864),
    [anon_sym_PIPE_PIPE] = ACTIONS(5864),
    [anon_sym_or_else] = ACTIONS(5860),
    [anon_sym_AMP_AMP] = ACTIONS(5864),
    [anon_sym_GT] = ACTIONS(5864),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_LT_EQ] = ACTIONS(5860),
    [anon_sym_LT] = ACTIONS(5864),
    [anon_sym_EQ_EQ] = ACTIONS(5860),
    [anon_sym_BANG_EQ] = ACTIONS(5860),
    [anon_sym_TILDE_EQ] = ACTIONS(5860),
    [anon_sym_AMP_TILDE] = ACTIONS(5864),
    [anon_sym_LT_LT] = ACTIONS(5864),
    [anon_sym_GT_GT] = ACTIONS(5864),
    [anon_sym_STAR] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(4319),
    [anon_sym_PERCENT] = ACTIONS(5864),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5860),
    [anon_sym_DOT] = ACTIONS(5864),
    [anon_sym_LBRACK] = ACTIONS(5860),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5860),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5860),
    [anon_sym_not_in] = ACTIONS(5860),
    [anon_sym_or_return] = ACTIONS(5860),
    [anon_sym_or_continue] = ACTIONS(5860),
    [anon_sym_or_break] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5864),
    [sym_uninitialized] = ACTIONS(5860),
    [sym_tag] = ACTIONS(5860),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5860),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1260] = {
    [sym_expression] = STATE(5907),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5866),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1261] = {
    [sym_expression] = STATE(5630),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5868),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1262] = {
    [sym_expression] = STATE(5804),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5870),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1263] = {
    [sym_expression] = STATE(5691),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5872),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1264] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5874),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1265] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5876),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1266] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5878),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1267] = {
    [sym_block] = STATE(2439),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_COLON_COLON] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4773),
    [anon_sym_COLON] = ACTIONS(4773),
    [anon_sym_PIPE] = ACTIONS(4773),
    [anon_sym_COLON_EQ] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_else] = ACTIONS(4771),
    [anon_sym_when] = ACTIONS(4771),
    [anon_sym_in] = ACTIONS(4771),
    [anon_sym_case] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4773),
    [anon_sym_DASH] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_AMP] = ACTIONS(4773),
    [anon_sym_PIPE_PIPE] = ACTIONS(4773),
    [anon_sym_or_else] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4773),
    [anon_sym_GT] = ACTIONS(4773),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4773),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE] = ACTIONS(4773),
    [anon_sym_LT_LT] = ACTIONS(4773),
    [anon_sym_GT_GT] = ACTIONS(4773),
    [anon_sym_STAR] = ACTIONS(4773),
    [anon_sym_SLASH] = ACTIONS(4773),
    [anon_sym_PERCENT] = ACTIONS(4773),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4771),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4771),
    [anon_sym_not_in] = ACTIONS(4771),
    [anon_sym_or_return] = ACTIONS(4771),
    [anon_sym_or_continue] = ACTIONS(4771),
    [anon_sym_or_break] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4773),
    [sym_uninitialized] = ACTIONS(5880),
    [sym_tag] = ACTIONS(5882),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4771),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1268] = {
    [sym_block] = STATE(2432),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4299),
    [sym_tag] = ACTIONS(4301),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1269] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5884),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1270] = {
    [sym_expression] = STATE(5811),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5886),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1271] = {
    [sym_block] = STATE(2421),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4307),
    [sym_tag] = ACTIONS(4335),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1272] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5888),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1273] = {
    [sym_expression] = STATE(5859),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5890),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1274] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5892),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1275] = {
    [anon_sym_LBRACE] = ACTIONS(5894),
    [anon_sym_RBRACE] = ACTIONS(5894),
    [anon_sym_COMMA] = ACTIONS(5894),
    [anon_sym_COLON_COLON] = ACTIONS(5894),
    [anon_sym_DASH_GT] = ACTIONS(5894),
    [anon_sym_where] = ACTIONS(5894),
    [anon_sym_EQ] = ACTIONS(5896),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_PIPE] = ACTIONS(5896),
    [anon_sym_COLON_EQ] = ACTIONS(5894),
    [anon_sym_LPAREN] = ACTIONS(5894),
    [anon_sym_PLUS_EQ] = ACTIONS(5894),
    [anon_sym_DASH_EQ] = ACTIONS(5894),
    [anon_sym_STAR_EQ] = ACTIONS(5894),
    [anon_sym_SLASH_EQ] = ACTIONS(5894),
    [anon_sym_PERCENT_EQ] = ACTIONS(5894),
    [anon_sym_AMP_EQ] = ACTIONS(5894),
    [anon_sym_PIPE_EQ] = ACTIONS(5894),
    [anon_sym_CARET_EQ] = ACTIONS(5894),
    [anon_sym_LT_LT_EQ] = ACTIONS(5894),
    [anon_sym_GT_GT_EQ] = ACTIONS(5894),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5894),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5894),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5894),
    [anon_sym_if] = ACTIONS(5894),
    [anon_sym_SEMI] = ACTIONS(5894),
    [anon_sym_else] = ACTIONS(5894),
    [anon_sym_when] = ACTIONS(5894),
    [anon_sym_in] = ACTIONS(5894),
    [anon_sym_case] = ACTIONS(5894),
    [anon_sym_QMARK] = ACTIONS(5894),
    [anon_sym_PLUS] = ACTIONS(5896),
    [anon_sym_DASH] = ACTIONS(5896),
    [anon_sym_TILDE] = ACTIONS(5896),
    [anon_sym_AMP] = ACTIONS(5896),
    [anon_sym_PIPE_PIPE] = ACTIONS(5896),
    [anon_sym_or_else] = ACTIONS(5894),
    [anon_sym_AMP_AMP] = ACTIONS(5896),
    [anon_sym_GT] = ACTIONS(5896),
    [anon_sym_GT_EQ] = ACTIONS(5894),
    [anon_sym_LT_EQ] = ACTIONS(5894),
    [anon_sym_LT] = ACTIONS(5896),
    [anon_sym_EQ_EQ] = ACTIONS(5894),
    [anon_sym_BANG_EQ] = ACTIONS(5894),
    [anon_sym_TILDE_EQ] = ACTIONS(5894),
    [anon_sym_AMP_TILDE] = ACTIONS(5896),
    [anon_sym_LT_LT] = ACTIONS(5896),
    [anon_sym_GT_GT] = ACTIONS(5896),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_SLASH] = ACTIONS(5896),
    [anon_sym_PERCENT] = ACTIONS(5896),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5894),
    [anon_sym_DOT] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5894),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5894),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5894),
    [anon_sym_not_in] = ACTIONS(5894),
    [anon_sym_or_return] = ACTIONS(5894),
    [anon_sym_or_continue] = ACTIONS(5894),
    [anon_sym_or_break] = ACTIONS(5894),
    [anon_sym_CARET] = ACTIONS(5896),
    [sym_uninitialized] = ACTIONS(5894),
    [sym_tag] = ACTIONS(5894),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5894),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1276] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5898),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1277] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5900),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1278] = {
    [sym_block] = STATE(2396),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4325),
    [sym_tag] = ACTIONS(4397),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1279] = {
    [sym_expression] = STATE(5833),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1280] = {
    [sym_expression] = STATE(5625),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5904),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1281] = {
    [sym_expression] = STATE(5688),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5906),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1282] = {
    [anon_sym_LBRACE] = ACTIONS(5908),
    [anon_sym_RBRACE] = ACTIONS(5908),
    [anon_sym_COMMA] = ACTIONS(5908),
    [anon_sym_COLON_COLON] = ACTIONS(5908),
    [anon_sym_DASH_GT] = ACTIONS(5908),
    [anon_sym_where] = ACTIONS(5908),
    [anon_sym_EQ] = ACTIONS(5910),
    [anon_sym_COLON] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5910),
    [anon_sym_COLON_EQ] = ACTIONS(5908),
    [anon_sym_LPAREN] = ACTIONS(5908),
    [anon_sym_PLUS_EQ] = ACTIONS(5908),
    [anon_sym_DASH_EQ] = ACTIONS(5908),
    [anon_sym_STAR_EQ] = ACTIONS(5908),
    [anon_sym_SLASH_EQ] = ACTIONS(5908),
    [anon_sym_PERCENT_EQ] = ACTIONS(5908),
    [anon_sym_AMP_EQ] = ACTIONS(5908),
    [anon_sym_PIPE_EQ] = ACTIONS(5908),
    [anon_sym_CARET_EQ] = ACTIONS(5908),
    [anon_sym_LT_LT_EQ] = ACTIONS(5908),
    [anon_sym_GT_GT_EQ] = ACTIONS(5908),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5908),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5908),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5908),
    [anon_sym_if] = ACTIONS(5908),
    [anon_sym_SEMI] = ACTIONS(5908),
    [anon_sym_else] = ACTIONS(5908),
    [anon_sym_when] = ACTIONS(5908),
    [anon_sym_in] = ACTIONS(5908),
    [anon_sym_case] = ACTIONS(5908),
    [anon_sym_QMARK] = ACTIONS(5908),
    [anon_sym_PLUS] = ACTIONS(5910),
    [anon_sym_DASH] = ACTIONS(5910),
    [anon_sym_TILDE] = ACTIONS(5910),
    [anon_sym_AMP] = ACTIONS(5910),
    [anon_sym_PIPE_PIPE] = ACTIONS(5910),
    [anon_sym_or_else] = ACTIONS(5908),
    [anon_sym_AMP_AMP] = ACTIONS(5910),
    [anon_sym_GT] = ACTIONS(5910),
    [anon_sym_GT_EQ] = ACTIONS(5908),
    [anon_sym_LT_EQ] = ACTIONS(5908),
    [anon_sym_LT] = ACTIONS(5910),
    [anon_sym_EQ_EQ] = ACTIONS(5908),
    [anon_sym_BANG_EQ] = ACTIONS(5908),
    [anon_sym_TILDE_EQ] = ACTIONS(5908),
    [anon_sym_AMP_TILDE] = ACTIONS(5910),
    [anon_sym_LT_LT] = ACTIONS(5910),
    [anon_sym_GT_GT] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5910),
    [anon_sym_SLASH] = ACTIONS(5910),
    [anon_sym_PERCENT] = ACTIONS(5910),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5908),
    [anon_sym_DOT] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5908),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5908),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5908),
    [anon_sym_not_in] = ACTIONS(5908),
    [anon_sym_or_return] = ACTIONS(5908),
    [anon_sym_or_continue] = ACTIONS(5908),
    [anon_sym_or_break] = ACTIONS(5908),
    [anon_sym_CARET] = ACTIONS(5910),
    [sym_uninitialized] = ACTIONS(5908),
    [sym_tag] = ACTIONS(5908),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5908),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1283] = {
    [sym_expression] = STATE(5841),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5912),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1284] = {
    [sym_expression] = STATE(5884),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5914),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1285] = {
    [sym_expression] = STATE(5711),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5916),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1286] = {
    [sym_expression] = STATE(5703),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5918),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1287] = {
    [sym_block] = STATE(2365),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4481),
    [sym_tag] = ACTIONS(5920),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1288] = {
    [anon_sym_LBRACE] = ACTIONS(5922),
    [anon_sym_RBRACE] = ACTIONS(5922),
    [anon_sym_COMMA] = ACTIONS(5922),
    [anon_sym_COLON_COLON] = ACTIONS(5922),
    [anon_sym_DASH_GT] = ACTIONS(5922),
    [anon_sym_where] = ACTIONS(5922),
    [anon_sym_EQ] = ACTIONS(5924),
    [anon_sym_COLON] = ACTIONS(5924),
    [anon_sym_PIPE] = ACTIONS(5924),
    [anon_sym_COLON_EQ] = ACTIONS(5922),
    [anon_sym_LPAREN] = ACTIONS(5922),
    [anon_sym_PLUS_EQ] = ACTIONS(5922),
    [anon_sym_DASH_EQ] = ACTIONS(5922),
    [anon_sym_STAR_EQ] = ACTIONS(5922),
    [anon_sym_SLASH_EQ] = ACTIONS(5922),
    [anon_sym_PERCENT_EQ] = ACTIONS(5922),
    [anon_sym_AMP_EQ] = ACTIONS(5922),
    [anon_sym_PIPE_EQ] = ACTIONS(5922),
    [anon_sym_CARET_EQ] = ACTIONS(5922),
    [anon_sym_LT_LT_EQ] = ACTIONS(5922),
    [anon_sym_GT_GT_EQ] = ACTIONS(5922),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5922),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5922),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5922),
    [anon_sym_if] = ACTIONS(5922),
    [anon_sym_SEMI] = ACTIONS(5922),
    [anon_sym_else] = ACTIONS(5922),
    [anon_sym_when] = ACTIONS(5922),
    [anon_sym_in] = ACTIONS(5922),
    [anon_sym_case] = ACTIONS(5922),
    [anon_sym_QMARK] = ACTIONS(5922),
    [anon_sym_PLUS] = ACTIONS(5924),
    [anon_sym_DASH] = ACTIONS(5924),
    [anon_sym_TILDE] = ACTIONS(5924),
    [anon_sym_AMP] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE] = ACTIONS(5924),
    [anon_sym_or_else] = ACTIONS(5922),
    [anon_sym_AMP_AMP] = ACTIONS(5924),
    [anon_sym_GT] = ACTIONS(5924),
    [anon_sym_GT_EQ] = ACTIONS(5922),
    [anon_sym_LT_EQ] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5924),
    [anon_sym_EQ_EQ] = ACTIONS(5922),
    [anon_sym_BANG_EQ] = ACTIONS(5922),
    [anon_sym_TILDE_EQ] = ACTIONS(5922),
    [anon_sym_AMP_TILDE] = ACTIONS(5924),
    [anon_sym_LT_LT] = ACTIONS(5924),
    [anon_sym_GT_GT] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5924),
    [anon_sym_SLASH] = ACTIONS(5924),
    [anon_sym_PERCENT] = ACTIONS(5924),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5922),
    [anon_sym_DOT] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5922),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5922),
    [anon_sym_not_in] = ACTIONS(5922),
    [anon_sym_or_return] = ACTIONS(5922),
    [anon_sym_or_continue] = ACTIONS(5922),
    [anon_sym_or_break] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5924),
    [sym_uninitialized] = ACTIONS(5922),
    [sym_tag] = ACTIONS(5922),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5922),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1289] = {
    [sym_block] = STATE(2327),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4501),
    [sym_tag] = ACTIONS(4503),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1290] = {
    [sym_expression] = STATE(6177),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5926),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1291] = {
    [anon_sym_LBRACE] = ACTIONS(5928),
    [anon_sym_RBRACE] = ACTIONS(5928),
    [anon_sym_COMMA] = ACTIONS(5928),
    [anon_sym_COLON_COLON] = ACTIONS(5928),
    [anon_sym_DASH_GT] = ACTIONS(5928),
    [anon_sym_where] = ACTIONS(5928),
    [anon_sym_EQ] = ACTIONS(5930),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5930),
    [anon_sym_COLON_EQ] = ACTIONS(5928),
    [anon_sym_LPAREN] = ACTIONS(5928),
    [anon_sym_PLUS_EQ] = ACTIONS(5928),
    [anon_sym_DASH_EQ] = ACTIONS(5928),
    [anon_sym_STAR_EQ] = ACTIONS(5928),
    [anon_sym_SLASH_EQ] = ACTIONS(5928),
    [anon_sym_PERCENT_EQ] = ACTIONS(5928),
    [anon_sym_AMP_EQ] = ACTIONS(5928),
    [anon_sym_PIPE_EQ] = ACTIONS(5928),
    [anon_sym_CARET_EQ] = ACTIONS(5928),
    [anon_sym_LT_LT_EQ] = ACTIONS(5928),
    [anon_sym_GT_GT_EQ] = ACTIONS(5928),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5928),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5928),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5928),
    [anon_sym_if] = ACTIONS(5928),
    [anon_sym_SEMI] = ACTIONS(5928),
    [anon_sym_else] = ACTIONS(5928),
    [anon_sym_when] = ACTIONS(5928),
    [anon_sym_in] = ACTIONS(5928),
    [anon_sym_case] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5930),
    [anon_sym_DASH] = ACTIONS(5930),
    [anon_sym_TILDE] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5930),
    [anon_sym_PIPE_PIPE] = ACTIONS(5930),
    [anon_sym_or_else] = ACTIONS(5928),
    [anon_sym_AMP_AMP] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5930),
    [anon_sym_GT_EQ] = ACTIONS(5928),
    [anon_sym_LT_EQ] = ACTIONS(5928),
    [anon_sym_LT] = ACTIONS(5930),
    [anon_sym_EQ_EQ] = ACTIONS(5928),
    [anon_sym_BANG_EQ] = ACTIONS(5928),
    [anon_sym_TILDE_EQ] = ACTIONS(5928),
    [anon_sym_AMP_TILDE] = ACTIONS(5930),
    [anon_sym_LT_LT] = ACTIONS(5930),
    [anon_sym_GT_GT] = ACTIONS(5930),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_SLASH] = ACTIONS(5930),
    [anon_sym_PERCENT] = ACTIONS(5930),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5928),
    [anon_sym_DOT] = ACTIONS(5930),
    [anon_sym_LBRACK] = ACTIONS(5928),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5928),
    [anon_sym_not_in] = ACTIONS(5928),
    [anon_sym_or_return] = ACTIONS(5928),
    [anon_sym_or_continue] = ACTIONS(5928),
    [anon_sym_or_break] = ACTIONS(5928),
    [anon_sym_CARET] = ACTIONS(5930),
    [sym_uninitialized] = ACTIONS(5928),
    [sym_tag] = ACTIONS(5928),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5928),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1292] = {
    [sym_expression] = STATE(5991),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5932),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1293] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5934),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1294] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5936),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1295] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5938),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1296] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1297] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5942),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1298] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5944),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1299] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5946),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1300] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5948),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1301] = {
    [sym_expression] = STATE(5608),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5950),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1302] = {
    [sym_expression] = STATE(5827),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5952),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1303] = {
    [sym_expression] = STATE(5861),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5954),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1304] = {
    [sym_expression] = STATE(5931),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5956),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1305] = {
    [sym_expression] = STATE(5706),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1306] = {
    [sym_expression] = STATE(6142),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1307] = {
    [sym_expression] = STATE(5655),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5962),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1308] = {
    [sym_expression] = STATE(6099),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5964),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1309] = {
    [sym_expression] = STATE(5792),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5966),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1310] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5968),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1311] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5970),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1312] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5972),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1313] = {
    [sym_expression] = STATE(5685),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5974),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1314] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5976),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1315] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5978),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1316] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5980),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1317] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5982),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1318] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5984),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1319] = {
    [sym_expression] = STATE(5678),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5986),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1320] = {
    [sym_expression] = STATE(5817),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5988),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1321] = {
    [sym_expression] = STATE(5957),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5990),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1322] = {
    [sym_expression] = STATE(6015),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(5992),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1323] = {
    [sym_expression] = STATE(5618),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5994),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1324] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5996),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1325] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(5998),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1326] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(6000),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1327] = {
    [sym_expression] = STATE(5590),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6002),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1328] = {
    [sym_expression] = STATE(4017),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1329] = {
    [sym_expression] = STATE(5805),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1330] = {
    [sym_expression] = STATE(5806),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1331] = {
    [sym_expression] = STATE(5807),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1332] = {
    [sym_expression] = STATE(5808),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1333] = {
    [sym_expression] = STATE(5812),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1334] = {
    [sym_expression] = STATE(5948),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1335] = {
    [sym_expression] = STATE(5960),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1336] = {
    [sym_expression] = STATE(5971),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1337] = {
    [sym_expression] = STATE(5980),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1338] = {
    [sym_expression] = STATE(6011),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1339] = {
    [sym_expression] = STATE(5744),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1340] = {
    [sym_expression] = STATE(3989),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1341] = {
    [sym_expression] = STATE(3988),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1342] = {
    [sym_expression] = STATE(5558),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1343] = {
    [sym_expression] = STATE(5751),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1344] = {
    [sym_expression] = STATE(5769),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1345] = {
    [sym_expression] = STATE(6174),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1346] = {
    [sym_expression] = STATE(6146),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1347] = {
    [sym_expression] = STATE(6145),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1348] = {
    [sym_expression] = STATE(3259),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1349] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(3930),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1350] = {
    [sym_expression] = STATE(5716),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1351] = {
    [sym_expression] = STATE(3390),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1352] = {
    [sym_expression] = STATE(6029),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1353] = {
    [sym_expression] = STATE(2775),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1354] = {
    [sym_expression] = STATE(3904),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1355] = {
    [sym_expression] = STATE(6022),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1356] = {
    [sym_expression] = STATE(3869),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1357] = {
    [sym_expression] = STATE(6006),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1358] = {
    [sym_expression] = STATE(5986),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1359] = {
    [sym_expression] = STATE(5961),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1360] = {
    [sym_expression] = STATE(3084),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1361] = {
    [sym_expression] = STATE(5925),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1362] = {
    [sym_expression] = STATE(5916),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1363] = {
    [sym_expression] = STATE(2776),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1364] = {
    [sym_expression] = STATE(5902),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1365] = {
    [sym_expression] = STATE(5894),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1366] = {
    [sym_expression] = STATE(5880),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1367] = {
    [sym_expression] = STATE(5635),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1368] = {
    [sym_expression] = STATE(5854),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1369] = {
    [sym_block] = STATE(2250),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4433),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1370] = {
    [sym_expression] = STATE(5664),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1371] = {
    [sym_expression] = STATE(5825),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1372] = {
    [sym_expression] = STATE(5823),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1373] = {
    [sym_block] = STATE(2256),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4465),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1374] = {
    [sym_expression] = STATE(5816),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1375] = {
    [sym_expression] = STATE(5799),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1376] = {
    [sym_expression] = STATE(5790),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1377] = {
    [sym_expression] = STATE(5783),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1378] = {
    [sym_expression] = STATE(5843),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1379] = {
    [sym_expression] = STATE(5851),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1380] = {
    [sym_block] = STATE(2257),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4475),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1381] = {
    [sym_expression] = STATE(5901),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1382] = {
    [sym_block] = STATE(2264),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4513),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1383] = {
    [sym_expression] = STATE(5756),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1384] = {
    [sym_expression] = STATE(5963),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1385] = {
    [sym_block] = STATE(2271),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4423),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1386] = {
    [sym_block] = STATE(2272),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_COLON_COLON] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4773),
    [anon_sym_COLON] = ACTIONS(4773),
    [anon_sym_PIPE] = ACTIONS(4773),
    [anon_sym_COLON_EQ] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_else] = ACTIONS(4771),
    [anon_sym_when] = ACTIONS(4771),
    [anon_sym_in] = ACTIONS(4771),
    [anon_sym_case] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4773),
    [anon_sym_DASH] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_AMP] = ACTIONS(4773),
    [anon_sym_PIPE_PIPE] = ACTIONS(4773),
    [anon_sym_or_else] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4773),
    [anon_sym_GT] = ACTIONS(4773),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4773),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE] = ACTIONS(4773),
    [anon_sym_LT_LT] = ACTIONS(4773),
    [anon_sym_GT_GT] = ACTIONS(4773),
    [anon_sym_STAR] = ACTIONS(4773),
    [anon_sym_SLASH] = ACTIONS(4773),
    [anon_sym_PERCENT] = ACTIONS(4773),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4771),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4771),
    [anon_sym_not_in] = ACTIONS(4771),
    [anon_sym_or_return] = ACTIONS(4771),
    [anon_sym_or_continue] = ACTIONS(4771),
    [anon_sym_or_break] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4773),
    [sym_uninitialized] = ACTIONS(5724),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4771),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1387] = {
    [sym_expression] = STATE(5737),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1388] = {
    [sym_expression] = STATE(4609),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1389] = {
    [sym_block] = STATE(2275),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_RBRACE] = ACTIONS(4765),
    [anon_sym_COMMA] = ACTIONS(4765),
    [anon_sym_COLON_COLON] = ACTIONS(4765),
    [anon_sym_DASH_GT] = ACTIONS(4765),
    [anon_sym_EQ] = ACTIONS(4767),
    [anon_sym_COLON] = ACTIONS(4767),
    [anon_sym_PIPE] = ACTIONS(4767),
    [anon_sym_COLON_EQ] = ACTIONS(4765),
    [anon_sym_LPAREN] = ACTIONS(4765),
    [anon_sym_PLUS_EQ] = ACTIONS(4765),
    [anon_sym_DASH_EQ] = ACTIONS(4765),
    [anon_sym_STAR_EQ] = ACTIONS(4765),
    [anon_sym_SLASH_EQ] = ACTIONS(4765),
    [anon_sym_PERCENT_EQ] = ACTIONS(4765),
    [anon_sym_AMP_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_CARET_EQ] = ACTIONS(4765),
    [anon_sym_LT_LT_EQ] = ACTIONS(4765),
    [anon_sym_GT_GT_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_if] = ACTIONS(4765),
    [anon_sym_SEMI] = ACTIONS(4765),
    [anon_sym_else] = ACTIONS(4765),
    [anon_sym_when] = ACTIONS(4765),
    [anon_sym_in] = ACTIONS(4765),
    [anon_sym_case] = ACTIONS(4765),
    [anon_sym_QMARK] = ACTIONS(4765),
    [anon_sym_PLUS] = ACTIONS(4767),
    [anon_sym_DASH] = ACTIONS(4767),
    [anon_sym_TILDE] = ACTIONS(4767),
    [anon_sym_AMP] = ACTIONS(4767),
    [anon_sym_PIPE_PIPE] = ACTIONS(4767),
    [anon_sym_or_else] = ACTIONS(4765),
    [anon_sym_AMP_AMP] = ACTIONS(4767),
    [anon_sym_GT] = ACTIONS(4767),
    [anon_sym_GT_EQ] = ACTIONS(4765),
    [anon_sym_LT_EQ] = ACTIONS(4765),
    [anon_sym_LT] = ACTIONS(4767),
    [anon_sym_EQ_EQ] = ACTIONS(4765),
    [anon_sym_BANG_EQ] = ACTIONS(4765),
    [anon_sym_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE] = ACTIONS(4767),
    [anon_sym_LT_LT] = ACTIONS(4767),
    [anon_sym_GT_GT] = ACTIONS(4767),
    [anon_sym_STAR] = ACTIONS(4767),
    [anon_sym_SLASH] = ACTIONS(4767),
    [anon_sym_PERCENT] = ACTIONS(4767),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4765),
    [anon_sym_DOT] = ACTIONS(4767),
    [anon_sym_LBRACK] = ACTIONS(4765),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4765),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4765),
    [anon_sym_not_in] = ACTIONS(4765),
    [anon_sym_or_return] = ACTIONS(4765),
    [anon_sym_or_continue] = ACTIONS(4765),
    [anon_sym_or_break] = ACTIONS(4765),
    [anon_sym_CARET] = ACTIONS(4767),
    [sym_uninitialized] = ACTIONS(6008),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4765),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1390] = {
    [sym_expression] = STATE(2732),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1391] = {
    [sym_expression] = STATE(2731),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1392] = {
    [sym_expression] = STATE(2730),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1393] = {
    [sym_expression] = STATE(2729),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1394] = {
    [sym_expression] = STATE(2728),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1395] = {
    [sym_expression] = STATE(6159),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1396] = {
    [sym_expression] = STATE(6155),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1397] = {
    [sym_expression] = STATE(2706),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1398] = {
    [sym_expression] = STATE(2727),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1399] = {
    [sym_expression] = STATE(2726),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1400] = {
    [sym_expression] = STATE(2725),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1401] = {
    [sym_expression] = STATE(2724),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1402] = {
    [sym_expression] = STATE(6081),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1403] = {
    [sym_expression] = STATE(6082),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1404] = {
    [sym_expression] = STATE(2723),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1405] = {
    [sym_expression] = STATE(2722),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1406] = {
    [sym_expression] = STATE(2721),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1407] = {
    [sym_expression] = STATE(2720),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1408] = {
    [sym_expression] = STATE(3227),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1409] = {
    [sym_expression] = STATE(5732),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1410] = {
    [sym_expression] = STATE(2856),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1411] = {
    [sym_expression] = STATE(6060),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1412] = {
    [sym_expression] = STATE(3228),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1413] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1414] = {
    [sym_expression] = STATE(6092),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1415] = {
    [sym_expression] = STATE(2858),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1416] = {
    [sym_expression] = STATE(3249),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1417] = {
    [sym_expression] = STATE(3253),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1418] = {
    [sym_expression] = STATE(3256),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1419] = {
    [sym_expression] = STATE(3260),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1420] = {
    [sym_expression] = STATE(3261),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1421] = {
    [sym_expression] = STATE(3263),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1422] = {
    [sym_expression] = STATE(3265),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1423] = {
    [sym_expression] = STATE(3269),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1424] = {
    [sym_expression] = STATE(2863),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1425] = {
    [sym_expression] = STATE(2867),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1426] = {
    [sym_expression] = STATE(5733),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1427] = {
    [sym_expression] = STATE(2868),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1428] = {
    [sym_expression] = STATE(2869),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1429] = {
    [sym_expression] = STATE(3272),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1430] = {
    [sym_expression] = STATE(3274),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1431] = {
    [sym_expression] = STATE(2361),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1432] = {
    [sym_expression] = STATE(2358),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1433] = {
    [sym_expression] = STATE(5736),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1434] = {
    [sym_expression] = STATE(2357),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1435] = {
    [sym_expression] = STATE(3275),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1436] = {
    [sym_expression] = STATE(3277),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1437] = {
    [sym_expression] = STATE(3963),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1438] = {
    [sym_expression] = STATE(3962),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1439] = {
    [sym_expression] = STATE(3961),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1440] = {
    [sym_expression] = STATE(3960),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1441] = {
    [sym_expression] = STATE(4056),
    [sym__expression_no_tag] = STATE(3765),
    [sym_unary_expression] = STATE(3765),
    [sym_binary_expression] = STATE(3765),
    [sym_ternary_expression] = STATE(3765),
    [sym_call_expression] = STATE(3765),
    [sym_selector_call_expression] = STATE(3765),
    [sym_member_expression] = STATE(3765),
    [sym_index_expression] = STATE(3765),
    [sym_slice_expression] = STATE(3765),
    [sym_range_expression] = STATE(3765),
    [sym_cast_expression] = STATE(3765),
    [sym_in_expression] = STATE(3765),
    [sym_variadic_expression] = STATE(3765),
    [sym_parenthesized_expression] = STATE(3765),
    [sym_or_return_expression] = STATE(3765),
    [sym_or_continue_expression] = STATE(3765),
    [sym_or_break_expression] = STATE(3765),
    [sym_address] = STATE(3765),
    [sym_map_type] = STATE(3765),
    [sym_matrix_type] = STATE(3765),
    [sym_distinct_type] = STATE(3765),
    [sym_literal] = STATE(3765),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(6012),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1442] = {
    [sym_expression] = STATE(5619),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1443] = {
    [sym_expression] = STATE(6149),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1444] = {
    [sym_expression] = STATE(5616),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1445] = {
    [sym_expression] = STATE(5623),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1446] = {
    [sym_expression] = STATE(5634),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1447] = {
    [sym_expression] = STATE(6013),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1448] = {
    [sym_expression] = STATE(6010),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1449] = {
    [sym_expression] = STATE(2915),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1450] = {
    [sym_expression] = STATE(5651),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1451] = {
    [sym_expression] = STATE(5972),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1452] = {
    [sym_expression] = STATE(5637),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1453] = {
    [sym_expression] = STATE(5657),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1454] = {
    [sym_expression] = STATE(5695),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1455] = {
    [sym_expression] = STATE(5872),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1456] = {
    [sym_expression] = STATE(5871),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1457] = {
    [sym_expression] = STATE(5559),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(4473),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1458] = {
    [sym_expression] = STATE(5636),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1459] = {
    [sym_expression] = STATE(5834),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1460] = {
    [sym_expression] = STATE(5624),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1461] = {
    [sym_expression] = STATE(5622),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1462] = {
    [sym_expression] = STATE(5715),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1463] = {
    [sym_expression] = STATE(3298),
    [sym__expression_no_tag] = STATE(2933),
    [sym_unary_expression] = STATE(2933),
    [sym_binary_expression] = STATE(2933),
    [sym_ternary_expression] = STATE(2933),
    [sym_call_expression] = STATE(2933),
    [sym_selector_call_expression] = STATE(2933),
    [sym_member_expression] = STATE(2933),
    [sym_index_expression] = STATE(2933),
    [sym_slice_expression] = STATE(2933),
    [sym_range_expression] = STATE(2933),
    [sym_cast_expression] = STATE(2933),
    [sym_in_expression] = STATE(2933),
    [sym_variadic_expression] = STATE(2933),
    [sym_parenthesized_expression] = STATE(2933),
    [sym_or_return_expression] = STATE(2933),
    [sym_or_continue_expression] = STATE(2933),
    [sym_or_break_expression] = STATE(2933),
    [sym_address] = STATE(2933),
    [sym_map_type] = STATE(2933),
    [sym_matrix_type] = STATE(2933),
    [sym_distinct_type] = STATE(2933),
    [sym_literal] = STATE(2933),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1464] = {
    [sym_expression] = STATE(3929),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1465] = {
    [sym_expression] = STATE(3928),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1466] = {
    [sym_expression] = STATE(3927),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1467] = {
    [sym_expression] = STATE(3926),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1468] = {
    [sym_expression] = STATE(3925),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1469] = {
    [sym_expression] = STATE(3924),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1470] = {
    [sym_expression] = STATE(3923),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1471] = {
    [sym_expression] = STATE(3921),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1472] = {
    [sym_expression] = STATE(3920),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1473] = {
    [sym_expression] = STATE(3918),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1474] = {
    [sym_expression] = STATE(3917),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1475] = {
    [sym_expression] = STATE(3916),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1476] = {
    [sym_expression] = STATE(3914),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1477] = {
    [sym_expression] = STATE(3913),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1478] = {
    [sym_expression] = STATE(5835),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1479] = {
    [sym_expression] = STATE(5838),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1480] = {
    [sym_expression] = STATE(4750),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1481] = {
    [sym_expression] = STATE(2916),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1482] = {
    [sym_expression] = STATE(5644),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1483] = {
    [sym_expression] = STATE(5873),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1484] = {
    [sym_expression] = STATE(5656),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1485] = {
    [sym_expression] = STATE(5612),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1486] = {
    [sym_expression] = STATE(3247),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1487] = {
    [sym_expression] = STATE(5686),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1488] = {
    [sym_expression] = STATE(5943),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1489] = {
    [sym_expression] = STATE(5944),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1490] = {
    [sym_expression] = STATE(3238),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1491] = {
    [sym_expression] = STATE(5658),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1492] = {
    [sym_expression] = STATE(5989),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1493] = {
    [sym_expression] = STATE(5693),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1494] = {
    [sym_expression] = STATE(5627),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1495] = {
    [sym_expression] = STATE(5708),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1496] = {
    [sym_expression] = STATE(3118),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1497] = {
    [sym_expression] = STATE(5413),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1498] = {
    [sym_expression] = STATE(2603),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1499] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5552),
    [sym_unary_expression] = STATE(5552),
    [sym_binary_expression] = STATE(5552),
    [sym_ternary_expression] = STATE(5552),
    [sym_call_expression] = STATE(4476),
    [sym_selector_call_expression] = STATE(5552),
    [sym_member_expression] = STATE(5552),
    [sym_index_expression] = STATE(5552),
    [sym_slice_expression] = STATE(5552),
    [sym_range_expression] = STATE(5552),
    [sym_cast_expression] = STATE(5552),
    [sym_in_expression] = STATE(5552),
    [sym_variadic_expression] = STATE(5552),
    [sym_parenthesized_expression] = STATE(5552),
    [sym_or_return_expression] = STATE(5552),
    [sym_or_continue_expression] = STATE(5552),
    [sym_or_break_expression] = STATE(5552),
    [sym_address] = STATE(5552),
    [sym_map_type] = STATE(5552),
    [sym_matrix_type] = STATE(5552),
    [sym_distinct_type] = STATE(5552),
    [sym_literal] = STATE(5552),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6014),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6016),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1500] = {
    [sym_expression] = STATE(6048),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1501] = {
    [sym_expression] = STATE(6054),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1502] = {
    [sym_expression] = STATE(5665),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1503] = {
    [sym_expression] = STATE(5773),
    [sym__expression_no_tag] = STATE(4833),
    [sym_unary_expression] = STATE(4833),
    [sym_binary_expression] = STATE(4833),
    [sym_ternary_expression] = STATE(4833),
    [sym_call_expression] = STATE(4833),
    [sym_selector_call_expression] = STATE(4833),
    [sym_member_expression] = STATE(4833),
    [sym_index_expression] = STATE(4833),
    [sym_slice_expression] = STATE(4833),
    [sym_range_expression] = STATE(4833),
    [sym_cast_expression] = STATE(4833),
    [sym_in_expression] = STATE(4833),
    [sym_variadic_expression] = STATE(4833),
    [sym_parenthesized_expression] = STATE(4833),
    [sym_or_return_expression] = STATE(4833),
    [sym_or_continue_expression] = STATE(4833),
    [sym_or_break_expression] = STATE(4833),
    [sym_address] = STATE(4833),
    [sym_map_type] = STATE(4833),
    [sym_matrix_type] = STATE(4833),
    [sym_distinct_type] = STATE(4833),
    [sym_literal] = STATE(4833),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1504] = {
    [aux_sym_field_type_repeat1] = STATE(1504),
    [anon_sym_LBRACE] = ACTIONS(4523),
    [anon_sym_COMMA] = ACTIONS(4523),
    [anon_sym_COLON_COLON] = ACTIONS(4523),
    [anon_sym_DASH_GT] = ACTIONS(4523),
    [anon_sym_where] = ACTIONS(4523),
    [anon_sym_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4525),
    [anon_sym_COLON_EQ] = ACTIONS(4523),
    [anon_sym_LPAREN] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_if] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_do] = ACTIONS(4523),
    [anon_sym_when] = ACTIONS(4523),
    [anon_sym_in] = ACTIONS(4523),
    [anon_sym_QMARK] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4525),
    [anon_sym_DASH] = ACTIONS(4525),
    [anon_sym_TILDE] = ACTIONS(4525),
    [anon_sym_AMP] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE] = ACTIONS(4525),
    [anon_sym_or_else] = ACTIONS(4523),
    [anon_sym_AMP_AMP] = ACTIONS(4525),
    [anon_sym_GT] = ACTIONS(4525),
    [anon_sym_GT_EQ] = ACTIONS(4523),
    [anon_sym_LT_EQ] = ACTIONS(4523),
    [anon_sym_LT] = ACTIONS(4525),
    [anon_sym_EQ_EQ] = ACTIONS(4523),
    [anon_sym_BANG_EQ] = ACTIONS(4523),
    [anon_sym_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE] = ACTIONS(4525),
    [anon_sym_LT_LT] = ACTIONS(4525),
    [anon_sym_GT_GT] = ACTIONS(4525),
    [anon_sym_STAR] = ACTIONS(4525),
    [anon_sym_SLASH] = ACTIONS(4525),
    [anon_sym_PERCENT] = ACTIONS(4525),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4523),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4523),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4523),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4523),
    [anon_sym_not_in] = ACTIONS(4523),
    [anon_sym_or_return] = ACTIONS(4523),
    [anon_sym_or_continue] = ACTIONS(4523),
    [anon_sym_or_break] = ACTIONS(4523),
    [anon_sym_CARET] = ACTIONS(4525),
    [anon_sym_DOT2] = ACTIONS(6020),
    [sym_uninitialized] = ACTIONS(4523),
    [sym_tag] = ACTIONS(4523),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1505] = {
    [sym_expression] = STATE(2602),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1506] = {
    [sym_expression] = STATE(5393),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6002),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1507] = {
    [sym_expression] = STATE(5667),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1508] = {
    [sym_expression] = STATE(6141),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1509] = {
    [sym_expression] = STATE(2580),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1510] = {
    [sym_expression] = STATE(5661),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1511] = {
    [sym_expression] = STATE(5714),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1512] = {
    [aux_sym_field_type_repeat1] = STATE(1504),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [anon_sym_where] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4532),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4532),
    [anon_sym_COLON_EQ] = ACTIONS(4530),
    [anon_sym_LPAREN] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4530),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4530),
    [anon_sym_if] = ACTIONS(4530),
    [anon_sym_SEMI] = ACTIONS(4530),
    [anon_sym_do] = ACTIONS(4530),
    [anon_sym_when] = ACTIONS(4530),
    [anon_sym_in] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_or_else] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4532),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4532),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_TILDE_EQ] = ACTIONS(4530),
    [anon_sym_AMP_TILDE] = ACTIONS(4532),
    [anon_sym_LT_LT] = ACTIONS(4532),
    [anon_sym_GT_GT] = ACTIONS(4532),
    [anon_sym_STAR] = ACTIONS(4532),
    [anon_sym_SLASH] = ACTIONS(4532),
    [anon_sym_PERCENT] = ACTIONS(4532),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4530),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4530),
    [anon_sym_not_in] = ACTIONS(4530),
    [anon_sym_or_return] = ACTIONS(4530),
    [anon_sym_or_continue] = ACTIONS(4530),
    [anon_sym_or_break] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4532),
    [anon_sym_DOT2] = ACTIONS(6023),
    [sym_uninitialized] = ACTIONS(4530),
    [sym_tag] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1513] = {
    [sym_expression] = STATE(5692),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1514] = {
    [sym_expression] = STATE(5663),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1515] = {
    [sym_expression] = STATE(5710),
    [sym__expression_no_tag] = STATE(4833),
    [sym_unary_expression] = STATE(4833),
    [sym_binary_expression] = STATE(4833),
    [sym_ternary_expression] = STATE(4833),
    [sym_call_expression] = STATE(4833),
    [sym_selector_call_expression] = STATE(4833),
    [sym_member_expression] = STATE(4833),
    [sym_index_expression] = STATE(4833),
    [sym_slice_expression] = STATE(4833),
    [sym_range_expression] = STATE(4833),
    [sym_cast_expression] = STATE(4833),
    [sym_in_expression] = STATE(4833),
    [sym_variadic_expression] = STATE(4833),
    [sym_parenthesized_expression] = STATE(4833),
    [sym_or_return_expression] = STATE(4833),
    [sym_or_continue_expression] = STATE(4833),
    [sym_or_break_expression] = STATE(4833),
    [sym_address] = STATE(4833),
    [sym_map_type] = STATE(4833),
    [sym_matrix_type] = STATE(4833),
    [sym_distinct_type] = STATE(4833),
    [sym_literal] = STATE(4833),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(6025),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1516] = {
    [sym_expression] = STATE(5793),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1517] = {
    [sym_expression] = STATE(2579),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1518] = {
    [sym_expression] = STATE(5800),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1519] = {
    [aux_sym_field_type_repeat1] = STATE(1512),
    [anon_sym_LBRACE] = ACTIONS(4491),
    [anon_sym_COMMA] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4491),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [anon_sym_where] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_COLON_EQ] = ACTIONS(4491),
    [anon_sym_LPAREN] = ACTIONS(4491),
    [anon_sym_PLUS_EQ] = ACTIONS(4491),
    [anon_sym_DASH_EQ] = ACTIONS(4491),
    [anon_sym_STAR_EQ] = ACTIONS(4491),
    [anon_sym_SLASH_EQ] = ACTIONS(4491),
    [anon_sym_PERCENT_EQ] = ACTIONS(4491),
    [anon_sym_AMP_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_CARET_EQ] = ACTIONS(4491),
    [anon_sym_LT_LT_EQ] = ACTIONS(4491),
    [anon_sym_GT_GT_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_if] = ACTIONS(4491),
    [anon_sym_SEMI] = ACTIONS(4491),
    [anon_sym_do] = ACTIONS(4491),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_in] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_or_else] = ACTIONS(4491),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4491),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4491),
    [anon_sym_BANG_EQ] = ACTIONS(4491),
    [anon_sym_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4491),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4491),
    [anon_sym_not_in] = ACTIONS(4491),
    [anon_sym_or_return] = ACTIONS(4491),
    [anon_sym_or_continue] = ACTIONS(4491),
    [anon_sym_or_break] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_DOT2] = ACTIONS(6023),
    [sym_uninitialized] = ACTIONS(4491),
    [sym_tag] = ACTIONS(4491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1520] = {
    [sym_expression] = STATE(3246),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1521] = {
    [sym_expression] = STATE(3264),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1522] = {
    [sym_expression] = STATE(5652),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1523] = {
    [sym_expression] = STATE(6183),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1524] = {
    [sym_expression] = STATE(5662),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1525] = {
    [sym_expression] = STATE(5668),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1526] = {
    [sym_expression] = STATE(5689),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1527] = {
    [sym_expression] = STATE(5924),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1528] = {
    [sym_expression] = STATE(5699),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1529] = {
    [sym_expression] = STATE(5923),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1530] = {
    [sym_expression] = STATE(5729),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1531] = {
    [sym_expression] = STATE(5748),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1532] = {
    [sym_expression] = STATE(3276),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1533] = {
    [sym_expression] = STATE(3286),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1534] = {
    [sym_expression] = STATE(5694),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1535] = {
    [sym_expression] = STATE(2300),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1536] = {
    [sym_expression] = STATE(5610),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1537] = {
    [sym_expression] = STATE(3090),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1538] = {
    [sym_expression] = STATE(3843),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1539] = {
    [sym_expression] = STATE(3091),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1540] = {
    [sym_expression] = STATE(3093),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1541] = {
    [sym_expression] = STATE(5629),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1542] = {
    [sym_expression] = STATE(4388),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1543] = {
    [sym_expression] = STATE(4387),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1544] = {
    [sym_expression] = STATE(2299),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1545] = {
    [sym_expression] = STATE(5803),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1546] = {
    [sym_expression] = STATE(5640),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1547] = {
    [sym_expression] = STATE(5641),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1548] = {
    [sym_expression] = STATE(5646),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1549] = {
    [sym_expression] = STATE(3094),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1550] = {
    [sym_expression] = STATE(2326),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1551] = {
    [sym_expression] = STATE(2322),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1552] = {
    [sym_expression] = STATE(2308),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1553] = {
    [sym_expression] = STATE(5690),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1554] = {
    [sym_expression] = STATE(3095),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1555] = {
    [sym_expression] = STATE(3096),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1556] = {
    [sym_expression] = STATE(3856),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1557] = {
    [sym_expression] = STATE(3857),
    [sym__expression_no_tag] = STATE(4029),
    [sym_unary_expression] = STATE(4029),
    [sym_binary_expression] = STATE(4029),
    [sym_ternary_expression] = STATE(4029),
    [sym_call_expression] = STATE(4029),
    [sym_selector_call_expression] = STATE(4029),
    [sym_member_expression] = STATE(4029),
    [sym_index_expression] = STATE(4029),
    [sym_slice_expression] = STATE(4029),
    [sym_range_expression] = STATE(4029),
    [sym_cast_expression] = STATE(4029),
    [sym_in_expression] = STATE(4029),
    [sym_variadic_expression] = STATE(4029),
    [sym_parenthesized_expression] = STATE(4029),
    [sym_or_return_expression] = STATE(4029),
    [sym_or_continue_expression] = STATE(4029),
    [sym_or_break_expression] = STATE(4029),
    [sym_address] = STATE(4029),
    [sym_map_type] = STATE(4029),
    [sym_matrix_type] = STATE(4029),
    [sym_distinct_type] = STATE(4029),
    [sym_literal] = STATE(4029),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1558] = {
    [sym_expression] = STATE(5738),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1559] = {
    [sym_expression] = STATE(2306),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1560] = {
    [sym_expression] = STATE(5891),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1561] = {
    [sym_expression] = STATE(2301),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1562] = {
    [sym_expression] = STATE(2352),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1563] = {
    [sym_expression] = STATE(2373),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1564] = {
    [sym_expression] = STATE(2385),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1565] = {
    [sym_expression] = STATE(2403),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1566] = {
    [sym_expression] = STATE(2429),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1567] = {
    [sym_expression] = STATE(5653),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1568] = {
    [sym_expression] = STATE(5892),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1569] = {
    [sym_expression] = STATE(3097),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1570] = {
    [sym_expression] = STATE(3098),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1571] = {
    [sym_expression] = STATE(4365),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1572] = {
    [sym_block] = STATE(2177),
    [sym_where_clause] = STATE(2050),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4281),
    [anon_sym_COLON_COLON] = ACTIONS(4281),
    [anon_sym_DASH_GT] = ACTIONS(6029),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4287),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_PIPE] = ACTIONS(4287),
    [anon_sym_COLON_EQ] = ACTIONS(4281),
    [anon_sym_LPAREN] = ACTIONS(4281),
    [anon_sym_PLUS_EQ] = ACTIONS(4281),
    [anon_sym_DASH_EQ] = ACTIONS(4281),
    [anon_sym_STAR_EQ] = ACTIONS(4281),
    [anon_sym_SLASH_EQ] = ACTIONS(4281),
    [anon_sym_PERCENT_EQ] = ACTIONS(4281),
    [anon_sym_AMP_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_CARET_EQ] = ACTIONS(4281),
    [anon_sym_LT_LT_EQ] = ACTIONS(4281),
    [anon_sym_GT_GT_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_if] = ACTIONS(4281),
    [anon_sym_SEMI] = ACTIONS(4281),
    [anon_sym_do] = ACTIONS(4281),
    [anon_sym_when] = ACTIONS(4281),
    [anon_sym_in] = ACTIONS(4281),
    [anon_sym_QMARK] = ACTIONS(4281),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_TILDE] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(4287),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_or_else] = ACTIONS(4281),
    [anon_sym_AMP_AMP] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4287),
    [anon_sym_GT_EQ] = ACTIONS(4281),
    [anon_sym_LT_EQ] = ACTIONS(4281),
    [anon_sym_LT] = ACTIONS(4287),
    [anon_sym_EQ_EQ] = ACTIONS(4281),
    [anon_sym_BANG_EQ] = ACTIONS(4281),
    [anon_sym_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE] = ACTIONS(4287),
    [anon_sym_LT_LT] = ACTIONS(4287),
    [anon_sym_GT_GT] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4287),
    [anon_sym_SLASH] = ACTIONS(4287),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4281),
    [anon_sym_DOT] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4281),
    [anon_sym_not_in] = ACTIONS(4281),
    [anon_sym_or_return] = ACTIONS(4281),
    [anon_sym_or_continue] = ACTIONS(4281),
    [anon_sym_or_break] = ACTIONS(4281),
    [anon_sym_CARET] = ACTIONS(4287),
    [sym_uninitialized] = ACTIONS(6033),
    [sym_tag] = ACTIONS(6035),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1573] = {
    [sym_block] = STATE(2203),
    [sym_where_clause] = STATE(2047),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(6037),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_do] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(6039),
    [sym_tag] = ACTIONS(6041),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1574] = {
    [sym_block] = STATE(2327),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_else] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_case] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4427),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1575] = {
    [sym_expression] = STATE(3099),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1576] = {
    [sym_expression] = STATE(2430),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1577] = {
    [sym_expression] = STATE(2441),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1578] = {
    [sym_expression] = STATE(2565),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1579] = {
    [sym_expression] = STATE(2487),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1580] = {
    [sym_expression] = STATE(4611),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1581] = {
    [sym_block] = STATE(2262),
    [sym_where_clause] = STATE(2044),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(6043),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_do] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(6045),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(6047),
    [sym_tag] = ACTIONS(6049),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1582] = {
    [sym_block] = STATE(2262),
    [sym_where_clause] = STATE(2044),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_do] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(6047),
    [sym_tag] = ACTIONS(6049),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1583] = {
    [sym_expression] = STATE(3100),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1584] = {
    [sym_expression] = STATE(3101),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1585] = {
    [sym_expression] = STATE(3102),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1586] = {
    [sym_expression] = STATE(3103),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1587] = {
    [sym_expression] = STATE(3104),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1588] = {
    [sym_expression] = STATE(5660),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1589] = {
    [sym_expression] = STATE(2392),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1590] = {
    [sym_expression] = STATE(5712),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1591] = {
    [sym_expression] = STATE(5949),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1592] = {
    [sym_block] = STATE(2292),
    [sym_where_clause] = STATE(2043),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(6043),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_do] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(6045),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(6051),
    [sym_tag] = ACTIONS(6053),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1593] = {
    [sym_expression] = STATE(5722),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1594] = {
    [sym_expression] = STATE(5723),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1595] = {
    [sym_expression] = STATE(5718),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1596] = {
    [sym_expression] = STATE(2314),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1597] = {
    [sym_expression] = STATE(5682),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1598] = {
    [sym_expression] = STATE(2408),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1599] = {
    [sym_expression] = STATE(2315),
    [sym__expression_no_tag] = STATE(2334),
    [sym_unary_expression] = STATE(2334),
    [sym_binary_expression] = STATE(2334),
    [sym_ternary_expression] = STATE(2334),
    [sym_call_expression] = STATE(2334),
    [sym_selector_call_expression] = STATE(2334),
    [sym_member_expression] = STATE(2334),
    [sym_index_expression] = STATE(2334),
    [sym_slice_expression] = STATE(2334),
    [sym_range_expression] = STATE(2334),
    [sym_cast_expression] = STATE(2334),
    [sym_in_expression] = STATE(2334),
    [sym_variadic_expression] = STATE(2334),
    [sym_parenthesized_expression] = STATE(2334),
    [sym_or_return_expression] = STATE(2334),
    [sym_or_continue_expression] = STATE(2334),
    [sym_or_break_expression] = STATE(2334),
    [sym_address] = STATE(2334),
    [sym_map_type] = STATE(2334),
    [sym_matrix_type] = STATE(2334),
    [sym_distinct_type] = STATE(2334),
    [sym_literal] = STATE(2334),
    [sym_struct] = STATE(2360),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(491),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1600] = {
    [sym_expression] = STATE(5934),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1601] = {
    [sym_expression] = STATE(5878),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1602] = {
    [sym_block] = STATE(2292),
    [sym_where_clause] = STATE(2043),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_do] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(6051),
    [sym_tag] = ACTIONS(6053),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1603] = {
    [sym_expression] = STATE(5721),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1604] = {
    [sym_expression] = STATE(6036),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1605] = {
    [sym_expression] = STATE(6037),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1606] = {
    [sym_expression] = STATE(3134),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1607] = {
    [sym_expression] = STATE(5928),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1608] = {
    [sym_expression] = STATE(2613),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1609] = {
    [sym_expression] = STATE(4040),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1610] = {
    [sym_expression] = STATE(5684),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1611] = {
    [sym_expression] = STATE(6094),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1612] = {
    [sym_expression] = STATE(5679),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1613] = {
    [sym_expression] = STATE(5895),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1614] = {
    [sym_expression] = STATE(5677),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1615] = {
    [sym_expression] = STATE(5672),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1616] = {
    [sym_expression] = STATE(3152),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1617] = {
    [sym_block] = STATE(2292),
    [sym_where_clause] = STATE(2043),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_do] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(6051),
    [sym_tag] = ACTIONS(6055),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1618] = {
    [sym_expression] = STATE(3153),
    [sym__expression_no_tag] = STATE(3119),
    [sym_unary_expression] = STATE(3119),
    [sym_binary_expression] = STATE(3119),
    [sym_ternary_expression] = STATE(3119),
    [sym_call_expression] = STATE(3119),
    [sym_selector_call_expression] = STATE(3119),
    [sym_member_expression] = STATE(3119),
    [sym_index_expression] = STATE(3119),
    [sym_slice_expression] = STATE(3119),
    [sym_range_expression] = STATE(3119),
    [sym_cast_expression] = STATE(3119),
    [sym_in_expression] = STATE(3119),
    [sym_variadic_expression] = STATE(3119),
    [sym_parenthesized_expression] = STATE(3119),
    [sym_or_return_expression] = STATE(3119),
    [sym_or_continue_expression] = STATE(3119),
    [sym_or_break_expression] = STATE(3119),
    [sym_address] = STATE(3119),
    [sym_map_type] = STATE(3119),
    [sym_matrix_type] = STATE(3119),
    [sym_distinct_type] = STATE(3119),
    [sym_literal] = STATE(3119),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1619] = {
    [sym_expression] = STATE(5650),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1620] = {
    [sym_expression] = STATE(5860),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1621] = {
    [sym_expression] = STATE(5647),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1622] = {
    [sym_expression] = STATE(5788),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1623] = {
    [sym_expression] = STATE(5631),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1624] = {
    [sym_expression] = STATE(5787),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1625] = {
    [sym_expression] = STATE(5628),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1626] = {
    [sym_expression] = STATE(5611),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1627] = {
    [sym_expression] = STATE(5609),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1628] = {
    [sym_expression] = STATE(5772),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1629] = {
    [sym_expression] = STATE(4340),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1630] = {
    [sym_expression] = STATE(4339),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1631] = {
    [sym_expression] = STATE(4338),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1632] = {
    [sym_expression] = STATE(5411),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1633] = {
    [sym_expression] = STATE(2483),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1634] = {
    [sym_block] = STATE(2281),
    [sym_where_clause] = STATE(2040),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(6043),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_do] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(6045),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(6057),
    [sym_tag] = ACTIONS(6059),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1635] = {
    [sym_expression] = STATE(4390),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1636] = {
    [sym_expression] = STATE(4330),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1637] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5604),
    [sym_unary_expression] = STATE(5604),
    [sym_binary_expression] = STATE(5604),
    [sym_ternary_expression] = STATE(5604),
    [sym_call_expression] = STATE(3968),
    [sym_selector_call_expression] = STATE(5604),
    [sym_member_expression] = STATE(5604),
    [sym_index_expression] = STATE(5604),
    [sym_slice_expression] = STATE(5604),
    [sym_range_expression] = STATE(5604),
    [sym_cast_expression] = STATE(5604),
    [sym_in_expression] = STATE(5604),
    [sym_variadic_expression] = STATE(5604),
    [sym_parenthesized_expression] = STATE(5604),
    [sym_or_return_expression] = STATE(5604),
    [sym_or_continue_expression] = STATE(5604),
    [sym_or_break_expression] = STATE(5604),
    [sym_address] = STATE(5604),
    [sym_map_type] = STATE(5604),
    [sym_matrix_type] = STATE(5604),
    [sym_distinct_type] = STATE(5604),
    [sym_literal] = STATE(5604),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6061),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1638] = {
    [sym_expression] = STATE(4329),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1639] = {
    [sym_expression] = STATE(4328),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1640] = {
    [sym_expression] = STATE(4325),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1641] = {
    [sym_expression] = STATE(4324),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1642] = {
    [sym_expression] = STATE(4322),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1643] = {
    [sym_expression] = STATE(4320),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1644] = {
    [sym_expression] = STATE(4319),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1645] = {
    [sym_expression] = STATE(4318),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1646] = {
    [sym_expression] = STATE(5670),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1647] = {
    [sym_expression] = STATE(4316),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1648] = {
    [sym_expression] = STATE(6004),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1649] = {
    [sym_expression] = STATE(6018),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1650] = {
    [sym_expression] = STATE(3540),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1651] = {
    [sym_expression] = STATE(3547),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1652] = {
    [sym_expression] = STATE(3548),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1653] = {
    [sym_expression] = STATE(3553),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1654] = {
    [sym_block] = STATE(2281),
    [sym_where_clause] = STATE(2040),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_do] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(6057),
    [sym_tag] = ACTIONS(6059),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1655] = {
    [sym_block] = STATE(2281),
    [sym_where_clause] = STATE(2040),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_do] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(6057),
    [sym_tag] = ACTIONS(6065),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1656] = {
    [sym_expression] = STATE(2482),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1657] = {
    [sym_expression] = STATE(3661),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1658] = {
    [sym_expression] = STATE(3660),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1659] = {
    [sym_expression] = STATE(3659),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1660] = {
    [sym_expression] = STATE(3658),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1661] = {
    [sym_expression] = STATE(3657),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1662] = {
    [sym_expression] = STATE(3652),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1663] = {
    [sym_expression] = STATE(4349),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1664] = {
    [sym_expression] = STATE(3988),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1665] = {
    [sym_expression] = STATE(4346),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1666] = {
    [sym_expression] = STATE(2560),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1667] = {
    [sym_expression] = STATE(3647),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1668] = {
    [sym_block] = STATE(2258),
    [sym_where_clause] = STATE(2032),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_do] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(6067),
    [sym_tag] = ACTIONS(6069),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1669] = {
    [sym_expression] = STATE(3869),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1670] = {
    [sym_expression] = STATE(5199),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1671] = {
    [sym_expression] = STATE(2757),
    [sym__expression_no_tag] = STATE(2931),
    [sym_unary_expression] = STATE(2931),
    [sym_binary_expression] = STATE(2931),
    [sym_ternary_expression] = STATE(2931),
    [sym_call_expression] = STATE(2931),
    [sym_selector_call_expression] = STATE(2931),
    [sym_member_expression] = STATE(2931),
    [sym_index_expression] = STATE(2931),
    [sym_slice_expression] = STATE(2931),
    [sym_range_expression] = STATE(2931),
    [sym_cast_expression] = STATE(2931),
    [sym_in_expression] = STATE(2931),
    [sym_variadic_expression] = STATE(2931),
    [sym_parenthesized_expression] = STATE(2931),
    [sym_or_return_expression] = STATE(2931),
    [sym_or_continue_expression] = STATE(2931),
    [sym_or_break_expression] = STATE(2931),
    [sym_address] = STATE(2931),
    [sym_map_type] = STATE(2931),
    [sym_matrix_type] = STATE(2931),
    [sym_distinct_type] = STATE(2931),
    [sym_literal] = STATE(2931),
    [sym_struct] = STATE(2873),
    [sym_map] = STATE(2876),
    [sym_bit_set] = STATE(2876),
    [sym_matrix] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym__string_literal] = STATE(2872),
    [sym__raw_string_literal] = STATE(2872),
    [sym_character] = STATE(2876),
    [sym_boolean] = STATE(2876),
    [sym_nil] = STATE(2876),
    [sym_field_identifier] = STATE(8129),
    [sym_identifier] = ACTIONS(339),
    [anon_sym_LBRACE] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [anon_sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1672] = {
    [sym_block] = STATE(2365),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_else] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_case] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(4481),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4355),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1673] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5571),
    [sym_unary_expression] = STATE(5571),
    [sym_binary_expression] = STATE(5571),
    [sym_ternary_expression] = STATE(5571),
    [sym_call_expression] = STATE(3968),
    [sym_selector_call_expression] = STATE(5571),
    [sym_member_expression] = STATE(5571),
    [sym_index_expression] = STATE(5571),
    [sym_slice_expression] = STATE(5571),
    [sym_range_expression] = STATE(5571),
    [sym_cast_expression] = STATE(5571),
    [sym_in_expression] = STATE(5571),
    [sym_variadic_expression] = STATE(5571),
    [sym_parenthesized_expression] = STATE(5571),
    [sym_or_return_expression] = STATE(5571),
    [sym_or_continue_expression] = STATE(5571),
    [sym_or_break_expression] = STATE(5571),
    [sym_address] = STATE(5571),
    [sym_map_type] = STATE(5571),
    [sym_matrix_type] = STATE(5571),
    [sym_distinct_type] = STATE(5571),
    [sym_literal] = STATE(5571),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6071),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6073),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1674] = {
    [sym_expression] = STATE(2616),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1675] = {
    [sym_expression] = STATE(2650),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1676] = {
    [sym_expression] = STATE(4287),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1677] = {
    [sym_expression] = STATE(2132),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1678] = {
    [sym_expression] = STATE(2134),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1679] = {
    [sym_expression] = STATE(4286),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1680] = {
    [sym_expression] = STATE(4285),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1681] = {
    [sym_expression] = STATE(4280),
    [sym__expression_no_tag] = STATE(4283),
    [sym_unary_expression] = STATE(4283),
    [sym_binary_expression] = STATE(4283),
    [sym_ternary_expression] = STATE(4283),
    [sym_call_expression] = STATE(4283),
    [sym_selector_call_expression] = STATE(4283),
    [sym_member_expression] = STATE(4283),
    [sym_index_expression] = STATE(4283),
    [sym_slice_expression] = STATE(4283),
    [sym_range_expression] = STATE(4283),
    [sym_cast_expression] = STATE(4283),
    [sym_in_expression] = STATE(4283),
    [sym_variadic_expression] = STATE(4283),
    [sym_parenthesized_expression] = STATE(4283),
    [sym_or_return_expression] = STATE(4283),
    [sym_or_continue_expression] = STATE(4283),
    [sym_or_break_expression] = STATE(4283),
    [sym_address] = STATE(4283),
    [sym_map_type] = STATE(4283),
    [sym_matrix_type] = STATE(4283),
    [sym_distinct_type] = STATE(4283),
    [sym_literal] = STATE(4283),
    [sym_struct] = STATE(4277),
    [sym_map] = STATE(4270),
    [sym_bit_set] = STATE(4270),
    [sym_matrix] = STATE(4270),
    [sym_string] = STATE(4270),
    [sym__string_literal] = STATE(4278),
    [sym__raw_string_literal] = STATE(4278),
    [sym_character] = STATE(4270),
    [sym_boolean] = STATE(4270),
    [sym_nil] = STATE(4270),
    [sym_field_identifier] = STATE(8138),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1682] = {
    [sym_expression] = STATE(4267),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1683] = {
    [sym_block] = STATE(2540),
    [sym_where_clause] = STATE(2164),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_do] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(6081),
    [sym_tag] = ACTIONS(6083),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1684] = {
    [aux_sym_field_type_repeat1] = STATE(1684),
    [anon_sym_LBRACE] = ACTIONS(4523),
    [anon_sym_RBRACE] = ACTIONS(4523),
    [anon_sym_COMMA] = ACTIONS(4523),
    [anon_sym_COLON_COLON] = ACTIONS(4523),
    [anon_sym_DASH_GT] = ACTIONS(4523),
    [anon_sym_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4525),
    [anon_sym_COLON_EQ] = ACTIONS(4523),
    [anon_sym_LPAREN] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_if] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_else] = ACTIONS(4523),
    [anon_sym_when] = ACTIONS(4523),
    [anon_sym_in] = ACTIONS(4523),
    [anon_sym_case] = ACTIONS(4523),
    [anon_sym_QMARK] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4525),
    [anon_sym_DASH] = ACTIONS(4525),
    [anon_sym_TILDE] = ACTIONS(4525),
    [anon_sym_AMP] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE] = ACTIONS(4525),
    [anon_sym_or_else] = ACTIONS(4523),
    [anon_sym_AMP_AMP] = ACTIONS(4525),
    [anon_sym_GT] = ACTIONS(4525),
    [anon_sym_GT_EQ] = ACTIONS(4523),
    [anon_sym_LT_EQ] = ACTIONS(4523),
    [anon_sym_LT] = ACTIONS(4525),
    [anon_sym_EQ_EQ] = ACTIONS(4523),
    [anon_sym_BANG_EQ] = ACTIONS(4523),
    [anon_sym_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE] = ACTIONS(4525),
    [anon_sym_LT_LT] = ACTIONS(4525),
    [anon_sym_GT_GT] = ACTIONS(4525),
    [anon_sym_STAR] = ACTIONS(4525),
    [anon_sym_SLASH] = ACTIONS(4525),
    [anon_sym_PERCENT] = ACTIONS(4525),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4523),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4523),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4523),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4523),
    [anon_sym_not_in] = ACTIONS(4523),
    [anon_sym_or_return] = ACTIONS(4523),
    [anon_sym_or_continue] = ACTIONS(4523),
    [anon_sym_or_break] = ACTIONS(4523),
    [anon_sym_CARET] = ACTIONS(4525),
    [anon_sym_DOT2] = ACTIONS(6085),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4523),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1685] = {
    [sym_expression] = STATE(3463),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1686] = {
    [sym_expression] = STATE(2618),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1687] = {
    [sym_expression] = STATE(4266),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1688] = {
    [sym_expression] = STATE(3466),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1689] = {
    [sym_expression] = STATE(5709),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1690] = {
    [sym_expression] = STATE(2146),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1691] = {
    [sym_expression] = STATE(4064),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1692] = {
    [sym_expression] = STATE(2610),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1693] = {
    [sym_expression] = STATE(4265),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1694] = {
    [sym_expression] = STATE(4608),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1695] = {
    [sym_expression] = STATE(2622),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1696] = {
    [sym_expression] = STATE(4107),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1697] = {
    [sym_expression] = STATE(4264),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1698] = {
    [sym_expression] = STATE(4263),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1699] = {
    [sym_expression] = STATE(4262),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1700] = {
    [sym_expression] = STATE(2643),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1701] = {
    [sym_expression] = STATE(3646),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1702] = {
    [sym_block] = STATE(2542),
    [sym_where_clause] = STATE(2168),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_do] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(6088),
    [sym_tag] = ACTIONS(6090),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1703] = {
    [sym_block] = STATE(2542),
    [sym_where_clause] = STATE(2168),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_do] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(6088),
    [sym_tag] = ACTIONS(6092),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1704] = {
    [sym_block] = STATE(2542),
    [sym_where_clause] = STATE(2168),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(6043),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_do] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(6045),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(6088),
    [sym_tag] = ACTIONS(6092),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1705] = {
    [sym_expression] = STATE(4261),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1706] = {
    [sym_expression] = STATE(4260),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1707] = {
    [sym_expression] = STATE(4258),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1708] = {
    [sym_expression] = STATE(4106),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1709] = {
    [sym_expression] = STATE(4104),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1710] = {
    [sym_expression] = STATE(4257),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1711] = {
    [sym_expression] = STATE(3641),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1712] = {
    [sym_expression] = STATE(4253),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1713] = {
    [sym_expression] = STATE(4248),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1714] = {
    [sym_expression] = STATE(3844),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1715] = {
    [sym_expression] = STATE(2651),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1716] = {
    [sym_block] = STATE(2491),
    [sym_where_clause] = STATE(2193),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_do] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(6094),
    [sym_tag] = ACTIONS(6096),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1717] = {
    [sym_block] = STATE(2491),
    [sym_where_clause] = STATE(2193),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_do] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(6094),
    [sym_tag] = ACTIONS(6098),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1718] = {
    [sym_block] = STATE(2491),
    [sym_where_clause] = STATE(2193),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(6043),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_do] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(6045),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(6094),
    [sym_tag] = ACTIONS(6098),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1719] = {
    [sym_expression] = STATE(3893),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1720] = {
    [sym_expression] = STATE(3638),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1721] = {
    [sym_expression] = STATE(2624),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1722] = {
    [aux_sym_field_type_repeat1] = STATE(1684),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_RBRACE] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4532),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4532),
    [anon_sym_COLON_EQ] = ACTIONS(4530),
    [anon_sym_LPAREN] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4530),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4530),
    [anon_sym_if] = ACTIONS(4530),
    [anon_sym_SEMI] = ACTIONS(4530),
    [anon_sym_else] = ACTIONS(4530),
    [anon_sym_when] = ACTIONS(4530),
    [anon_sym_in] = ACTIONS(4530),
    [anon_sym_case] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_or_else] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4532),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4532),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_TILDE_EQ] = ACTIONS(4530),
    [anon_sym_AMP_TILDE] = ACTIONS(4532),
    [anon_sym_LT_LT] = ACTIONS(4532),
    [anon_sym_GT_GT] = ACTIONS(4532),
    [anon_sym_STAR] = ACTIONS(4532),
    [anon_sym_SLASH] = ACTIONS(4532),
    [anon_sym_PERCENT] = ACTIONS(4532),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4530),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4530),
    [anon_sym_not_in] = ACTIONS(4530),
    [anon_sym_or_return] = ACTIONS(4530),
    [anon_sym_or_continue] = ACTIONS(4530),
    [anon_sym_or_break] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4532),
    [anon_sym_DOT2] = ACTIONS(6100),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4530),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1723] = {
    [sym_expression] = STATE(4549),
    [sym__expression_no_tag] = STATE(4211),
    [sym_unary_expression] = STATE(4211),
    [sym_binary_expression] = STATE(4211),
    [sym_ternary_expression] = STATE(4211),
    [sym_call_expression] = STATE(4211),
    [sym_selector_call_expression] = STATE(4211),
    [sym_member_expression] = STATE(4211),
    [sym_index_expression] = STATE(4211),
    [sym_slice_expression] = STATE(4211),
    [sym_range_expression] = STATE(4211),
    [sym_cast_expression] = STATE(4211),
    [sym_in_expression] = STATE(4211),
    [sym_variadic_expression] = STATE(4211),
    [sym_parenthesized_expression] = STATE(4211),
    [sym_or_return_expression] = STATE(4211),
    [sym_or_continue_expression] = STATE(4211),
    [sym_or_break_expression] = STATE(4211),
    [sym_address] = STATE(4211),
    [sym_map_type] = STATE(4211),
    [sym_matrix_type] = STATE(4211),
    [sym_distinct_type] = STATE(4211),
    [sym_literal] = STATE(4211),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(6102),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1724] = {
    [sym_expression] = STATE(4240),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1725] = {
    [sym_expression] = STATE(4239),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1726] = {
    [sym_expression] = STATE(2621),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1727] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5564),
    [sym_unary_expression] = STATE(5564),
    [sym_binary_expression] = STATE(5564),
    [sym_ternary_expression] = STATE(5564),
    [sym_call_expression] = STATE(2329),
    [sym_selector_call_expression] = STATE(5564),
    [sym_member_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_slice_expression] = STATE(5564),
    [sym_range_expression] = STATE(5564),
    [sym_cast_expression] = STATE(5564),
    [sym_in_expression] = STATE(5564),
    [sym_variadic_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_or_return_expression] = STATE(5564),
    [sym_or_continue_expression] = STATE(5564),
    [sym_or_break_expression] = STATE(5564),
    [sym_address] = STATE(5564),
    [sym_map_type] = STATE(5564),
    [sym_matrix_type] = STATE(5564),
    [sym_distinct_type] = STATE(5564),
    [sym_literal] = STATE(5564),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6106),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6108),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1728] = {
    [sym_expression] = STATE(4236),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1729] = {
    [sym_expression] = STATE(4072),
    [sym__expression_no_tag] = STATE(3765),
    [sym_unary_expression] = STATE(3765),
    [sym_binary_expression] = STATE(3765),
    [sym_ternary_expression] = STATE(3765),
    [sym_call_expression] = STATE(3765),
    [sym_selector_call_expression] = STATE(3765),
    [sym_member_expression] = STATE(3765),
    [sym_index_expression] = STATE(3765),
    [sym_slice_expression] = STATE(3765),
    [sym_range_expression] = STATE(3765),
    [sym_cast_expression] = STATE(3765),
    [sym_in_expression] = STATE(3765),
    [sym_variadic_expression] = STATE(3765),
    [sym_parenthesized_expression] = STATE(3765),
    [sym_or_return_expression] = STATE(3765),
    [sym_or_continue_expression] = STATE(3765),
    [sym_or_break_expression] = STATE(3765),
    [sym_address] = STATE(3765),
    [sym_map_type] = STATE(3765),
    [sym_matrix_type] = STATE(3765),
    [sym_distinct_type] = STATE(3765),
    [sym_literal] = STATE(3765),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(6012),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1730] = {
    [sym_expression] = STATE(3637),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1731] = {
    [sym_expression] = STATE(4557),
    [sym__expression_no_tag] = STATE(4211),
    [sym_unary_expression] = STATE(4211),
    [sym_binary_expression] = STATE(4211),
    [sym_ternary_expression] = STATE(4211),
    [sym_call_expression] = STATE(4211),
    [sym_selector_call_expression] = STATE(4211),
    [sym_member_expression] = STATE(4211),
    [sym_index_expression] = STATE(4211),
    [sym_slice_expression] = STATE(4211),
    [sym_range_expression] = STATE(4211),
    [sym_cast_expression] = STATE(4211),
    [sym_in_expression] = STATE(4211),
    [sym_variadic_expression] = STATE(4211),
    [sym_parenthesized_expression] = STATE(4211),
    [sym_or_return_expression] = STATE(4211),
    [sym_or_continue_expression] = STATE(4211),
    [sym_or_break_expression] = STATE(4211),
    [sym_address] = STATE(4211),
    [sym_map_type] = STATE(4211),
    [sym_matrix_type] = STATE(4211),
    [sym_distinct_type] = STATE(4211),
    [sym_literal] = STATE(4211),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(6102),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1732] = {
    [sym_expression] = STATE(2644),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1733] = {
    [sym_expression] = STATE(3633),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1734] = {
    [sym_expression] = STATE(2183),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1735] = {
    [sym_expression] = STATE(2191),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1736] = {
    [sym_expression] = STATE(4451),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1737] = {
    [sym_expression] = STATE(4453),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1738] = {
    [sym_expression] = STATE(4454),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1739] = {
    [sym_expression] = STATE(4455),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1740] = {
    [sym_expression] = STATE(2192),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1741] = {
    [sym_expression] = STATE(2194),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1742] = {
    [sym_expression] = STATE(2195),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1743] = {
    [sym_expression] = STATE(2196),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1744] = {
    [sym_expression] = STATE(2198),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1745] = {
    [sym_expression] = STATE(2200),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1746] = {
    [sym_expression] = STATE(2201),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1747] = {
    [sym_expression] = STATE(2209),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1748] = {
    [sym_expression] = STATE(2210),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1749] = {
    [sym_expression] = STATE(2211),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1750] = {
    [sym_expression] = STATE(2213),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1751] = {
    [sym_expression] = STATE(3964),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1752] = {
    [sym_expression] = STATE(2916),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1753] = {
    [sym_expression] = STATE(2214),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1754] = {
    [sym_expression] = STATE(2915),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1755] = {
    [sym_expression] = STATE(3620),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1756] = {
    [sym_expression] = STATE(4100),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1757] = {
    [sym_block] = STATE(2532),
    [sym_where_clause] = STATE(2216),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_do] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(6110),
    [sym_tag] = ACTIONS(6112),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1758] = {
    [sym_block] = STATE(2532),
    [sym_where_clause] = STATE(2216),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(6043),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_do] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(6045),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(6110),
    [sym_tag] = ACTIONS(6112),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1759] = {
    [sym_expression] = STATE(4099),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1760] = {
    [sym_expression] = STATE(4098),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1761] = {
    [sym_expression] = STATE(4730),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1762] = {
    [sym_expression] = STATE(4481),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1763] = {
    [sym_expression] = STATE(4488),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1764] = {
    [sym_expression] = STATE(4492),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1765] = {
    [sym_expression] = STATE(4495),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1766] = {
    [sym_expression] = STATE(4496),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1767] = {
    [sym_expression] = STATE(4497),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1768] = {
    [sym_expression] = STATE(4498),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1769] = {
    [sym_expression] = STATE(4503),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1770] = {
    [sym_expression] = STATE(4504),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1771] = {
    [sym_expression] = STATE(4505),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1772] = {
    [sym_expression] = STATE(4525),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1773] = {
    [sym_expression] = STATE(4527),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1774] = {
    [sym_expression] = STATE(4534),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1775] = {
    [sym_expression] = STATE(4535),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1776] = {
    [sym_expression] = STATE(4096),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1777] = {
    [sym_expression] = STATE(4095),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1778] = {
    [aux_sym_field_type_repeat1] = STATE(1512),
    [anon_sym_LBRACE] = ACTIONS(4491),
    [anon_sym_COMMA] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4491),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [anon_sym_where] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(6114),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_COLON_EQ] = ACTIONS(4491),
    [anon_sym_LPAREN] = ACTIONS(4491),
    [anon_sym_PLUS_EQ] = ACTIONS(4491),
    [anon_sym_DASH_EQ] = ACTIONS(4491),
    [anon_sym_STAR_EQ] = ACTIONS(4491),
    [anon_sym_SLASH_EQ] = ACTIONS(4491),
    [anon_sym_PERCENT_EQ] = ACTIONS(4491),
    [anon_sym_AMP_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_CARET_EQ] = ACTIONS(4491),
    [anon_sym_LT_LT_EQ] = ACTIONS(4491),
    [anon_sym_GT_GT_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_if] = ACTIONS(4491),
    [anon_sym_SEMI] = ACTIONS(4491),
    [anon_sym_do] = ACTIONS(4491),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_in] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_or_else] = ACTIONS(4491),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4491),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4491),
    [anon_sym_BANG_EQ] = ACTIONS(4491),
    [anon_sym_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4491),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4491),
    [anon_sym_not_in] = ACTIONS(4491),
    [anon_sym_or_return] = ACTIONS(4491),
    [anon_sym_or_continue] = ACTIONS(4491),
    [anon_sym_or_break] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_DOT2] = ACTIONS(6023),
    [sym_uninitialized] = ACTIONS(4491),
    [sym_tag] = ACTIONS(4491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1779] = {
    [sym_expression] = STATE(4094),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1780] = {
    [sym_expression] = STATE(4092),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1781] = {
    [sym_expression] = STATE(2685),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1782] = {
    [sym_expression] = STATE(4090),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1783] = {
    [sym_expression] = STATE(4089),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1784] = {
    [sym_expression] = STATE(2684),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1785] = {
    [sym_expression] = STATE(4087),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1786] = {
    [sym_expression] = STATE(4084),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1787] = {
    [sym_expression] = STATE(4524),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1788] = {
    [sym_expression] = STATE(3962),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1789] = {
    [sym_expression] = STATE(3608),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1790] = {
    [sym_expression] = STATE(3041),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1791] = {
    [sym_expression] = STATE(4522),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1792] = {
    [sym_expression] = STATE(2683),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1793] = {
    [sym_expression] = STATE(3960),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1794] = {
    [sym_expression] = STATE(4083),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1795] = {
    [sym_expression] = STATE(2858),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1796] = {
    [sym_expression] = STATE(4060),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1797] = {
    [sym_expression] = STATE(2856),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1798] = {
    [sym_expression] = STATE(4061),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1799] = {
    [sym_expression] = STATE(5632),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1800] = {
    [sym_expression] = STATE(4444),
    [sym__expression_no_tag] = STATE(4058),
    [sym_unary_expression] = STATE(4058),
    [sym_binary_expression] = STATE(4058),
    [sym_ternary_expression] = STATE(4058),
    [sym_call_expression] = STATE(4058),
    [sym_selector_call_expression] = STATE(4058),
    [sym_member_expression] = STATE(4058),
    [sym_index_expression] = STATE(4058),
    [sym_slice_expression] = STATE(4058),
    [sym_range_expression] = STATE(4058),
    [sym_cast_expression] = STATE(4058),
    [sym_in_expression] = STATE(4058),
    [sym_variadic_expression] = STATE(4058),
    [sym_parenthesized_expression] = STATE(4058),
    [sym_or_return_expression] = STATE(4058),
    [sym_or_continue_expression] = STATE(4058),
    [sym_or_break_expression] = STATE(4058),
    [sym_address] = STATE(4058),
    [sym_map_type] = STATE(4058),
    [sym_matrix_type] = STATE(4058),
    [sym_distinct_type] = STATE(4058),
    [sym_literal] = STATE(4058),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(6116),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1801] = {
    [sym_expression] = STATE(4227),
    [sym__expression_no_tag] = STATE(4058),
    [sym_unary_expression] = STATE(4058),
    [sym_binary_expression] = STATE(4058),
    [sym_ternary_expression] = STATE(4058),
    [sym_call_expression] = STATE(4058),
    [sym_selector_call_expression] = STATE(4058),
    [sym_member_expression] = STATE(4058),
    [sym_index_expression] = STATE(4058),
    [sym_slice_expression] = STATE(4058),
    [sym_range_expression] = STATE(4058),
    [sym_cast_expression] = STATE(4058),
    [sym_in_expression] = STATE(4058),
    [sym_variadic_expression] = STATE(4058),
    [sym_parenthesized_expression] = STATE(4058),
    [sym_or_return_expression] = STATE(4058),
    [sym_or_continue_expression] = STATE(4058),
    [sym_or_break_expression] = STATE(4058),
    [sym_address] = STATE(4058),
    [sym_map_type] = STATE(4058),
    [sym_matrix_type] = STATE(4058),
    [sym_distinct_type] = STATE(4058),
    [sym_literal] = STATE(4058),
    [sym_struct] = STATE(4062),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(6116),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1201),
    [anon_sym_transmute] = ACTIONS(1201),
    [anon_sym_auto_cast] = ACTIONS(1203),
    [anon_sym_DOT_DOT] = ACTIONS(6004),
    [anon_sym_map] = ACTIONS(1207),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1209),
    [anon_sym_distinct] = ACTIONS(1211),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1802] = {
    [sym_expression] = STATE(3959),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1803] = {
    [sym_expression] = STATE(3855),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1804] = {
    [sym_expression] = STATE(3958),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1805] = {
    [sym_expression] = STATE(3957),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1806] = {
    [sym_expression] = STATE(3826),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1807] = {
    [sym_expression] = STATE(3953),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1808] = {
    [sym_expression] = STATE(6114),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1809] = {
    [sym_expression] = STATE(6113),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1810] = {
    [sym_expression] = STATE(6091),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1811] = {
    [sym_expression] = STATE(6090),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1812] = {
    [sym_expression] = STATE(3937),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1813] = {
    [sym_expression] = STATE(3932),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1814] = {
    [sym_expression] = STATE(6079),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1815] = {
    [sym_expression] = STATE(6074),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1816] = {
    [sym_expression] = STATE(3911),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1817] = {
    [sym_expression] = STATE(5886),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1818] = {
    [sym_block] = STATE(2546),
    [sym_where_clause] = STATE(2259),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(6118),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_do] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(6120),
    [sym_tag] = ACTIONS(6122),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1819] = {
    [sym_expression] = STATE(3895),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1820] = {
    [sym_expression] = STATE(6066),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1821] = {
    [sym_expression] = STATE(4407),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1822] = {
    [sym_expression] = STATE(5556),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1823] = {
    [sym_expression] = STATE(2263),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1824] = {
    [sym_expression] = STATE(6064),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1825] = {
    [sym_expression] = STATE(2260),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1826] = {
    [sym_expression] = STATE(2269),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1827] = {
    [sym_expression] = STATE(2270),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1828] = {
    [sym_expression] = STATE(3844),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1829] = {
    [sym_expression] = STATE(3893),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1830] = {
    [sym_expression] = STATE(5615),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1831] = {
    [sym_expression] = STATE(4408),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1832] = {
    [sym_expression] = STATE(4437),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1833] = {
    [sym_expression] = STATE(4409),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1834] = {
    [sym_expression] = STATE(3280),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1835] = {
    [sym_expression] = STATE(4839),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1836] = {
    [sym_expression] = STATE(5763),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1837] = {
    [sym_expression] = STATE(4410),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1838] = {
    [sym_expression] = STATE(6185),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1839] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5581),
    [sym_unary_expression] = STATE(5581),
    [sym_binary_expression] = STATE(5581),
    [sym_ternary_expression] = STATE(5581),
    [sym_call_expression] = STATE(2634),
    [sym_selector_call_expression] = STATE(5581),
    [sym_member_expression] = STATE(5581),
    [sym_index_expression] = STATE(5581),
    [sym_slice_expression] = STATE(5581),
    [sym_range_expression] = STATE(5581),
    [sym_cast_expression] = STATE(5581),
    [sym_in_expression] = STATE(5581),
    [sym_variadic_expression] = STATE(5581),
    [sym_parenthesized_expression] = STATE(5581),
    [sym_or_return_expression] = STATE(5581),
    [sym_or_continue_expression] = STATE(5581),
    [sym_or_break_expression] = STATE(5581),
    [sym_address] = STATE(5581),
    [sym_map_type] = STATE(5581),
    [sym_matrix_type] = STATE(5581),
    [sym_distinct_type] = STATE(5581),
    [sym_literal] = STATE(5581),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6126),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1840] = {
    [sym_expression] = STATE(4411),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1841] = {
    [sym_expression] = STATE(4433),
    [sym__expression_no_tag] = STATE(4371),
    [sym_unary_expression] = STATE(4371),
    [sym_binary_expression] = STATE(4371),
    [sym_ternary_expression] = STATE(4371),
    [sym_call_expression] = STATE(4371),
    [sym_selector_call_expression] = STATE(4371),
    [sym_member_expression] = STATE(4371),
    [sym_index_expression] = STATE(4371),
    [sym_slice_expression] = STATE(4371),
    [sym_range_expression] = STATE(4371),
    [sym_cast_expression] = STATE(4371),
    [sym_in_expression] = STATE(4371),
    [sym_variadic_expression] = STATE(4371),
    [sym_parenthesized_expression] = STATE(4371),
    [sym_or_return_expression] = STATE(4371),
    [sym_or_continue_expression] = STATE(4371),
    [sym_or_break_expression] = STATE(4371),
    [sym_address] = STATE(4371),
    [sym_map_type] = STATE(4371),
    [sym_matrix_type] = STATE(4371),
    [sym_distinct_type] = STATE(4371),
    [sym_literal] = STATE(4371),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1842] = {
    [sym_expression] = STATE(4412),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1843] = {
    [sym_expression] = STATE(5741),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1844] = {
    [sym_expression] = STATE(4413),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1845] = {
    [sym_block] = STATE(2531),
    [sym_where_clause] = STATE(2288),
    [anon_sym_LBRACE] = ACTIONS(6079),
    [anon_sym_COMMA] = ACTIONS(4281),
    [anon_sym_COLON_COLON] = ACTIONS(4281),
    [anon_sym_DASH_GT] = ACTIONS(6130),
    [anon_sym_where] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(4287),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_PIPE] = ACTIONS(4287),
    [anon_sym_COLON_EQ] = ACTIONS(4281),
    [anon_sym_LPAREN] = ACTIONS(4281),
    [anon_sym_PLUS_EQ] = ACTIONS(4281),
    [anon_sym_DASH_EQ] = ACTIONS(4281),
    [anon_sym_STAR_EQ] = ACTIONS(4281),
    [anon_sym_SLASH_EQ] = ACTIONS(4281),
    [anon_sym_PERCENT_EQ] = ACTIONS(4281),
    [anon_sym_AMP_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_CARET_EQ] = ACTIONS(4281),
    [anon_sym_LT_LT_EQ] = ACTIONS(4281),
    [anon_sym_GT_GT_EQ] = ACTIONS(4281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_if] = ACTIONS(4281),
    [anon_sym_SEMI] = ACTIONS(4281),
    [anon_sym_do] = ACTIONS(4281),
    [anon_sym_when] = ACTIONS(4281),
    [anon_sym_in] = ACTIONS(4281),
    [anon_sym_QMARK] = ACTIONS(4281),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_TILDE] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(4287),
    [anon_sym_PIPE_PIPE] = ACTIONS(4287),
    [anon_sym_or_else] = ACTIONS(4281),
    [anon_sym_AMP_AMP] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4287),
    [anon_sym_GT_EQ] = ACTIONS(4281),
    [anon_sym_LT_EQ] = ACTIONS(4281),
    [anon_sym_LT] = ACTIONS(4287),
    [anon_sym_EQ_EQ] = ACTIONS(4281),
    [anon_sym_BANG_EQ] = ACTIONS(4281),
    [anon_sym_TILDE_EQ] = ACTIONS(4281),
    [anon_sym_AMP_TILDE] = ACTIONS(4287),
    [anon_sym_LT_LT] = ACTIONS(4287),
    [anon_sym_GT_GT] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4287),
    [anon_sym_SLASH] = ACTIONS(4287),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4281),
    [anon_sym_DOT] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4281),
    [anon_sym_not_in] = ACTIONS(4281),
    [anon_sym_or_return] = ACTIONS(4281),
    [anon_sym_or_continue] = ACTIONS(4281),
    [anon_sym_or_break] = ACTIONS(4281),
    [anon_sym_CARET] = ACTIONS(4287),
    [sym_uninitialized] = ACTIONS(6132),
    [sym_tag] = ACTIONS(6134),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1846] = {
    [sym_expression] = STATE(4485),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1847] = {
    [sym_expression] = STATE(4480),
    [sym__expression_no_tag] = STATE(4457),
    [sym_unary_expression] = STATE(4457),
    [sym_binary_expression] = STATE(4457),
    [sym_ternary_expression] = STATE(4457),
    [sym_call_expression] = STATE(4457),
    [sym_selector_call_expression] = STATE(4457),
    [sym_member_expression] = STATE(4457),
    [sym_index_expression] = STATE(4457),
    [sym_slice_expression] = STATE(4457),
    [sym_range_expression] = STATE(4457),
    [sym_cast_expression] = STATE(4457),
    [sym_in_expression] = STATE(4457),
    [sym_variadic_expression] = STATE(4457),
    [sym_parenthesized_expression] = STATE(4457),
    [sym_or_return_expression] = STATE(4457),
    [sym_or_continue_expression] = STATE(4457),
    [sym_or_break_expression] = STATE(4457),
    [sym_address] = STATE(4457),
    [sym_map_type] = STATE(4457),
    [sym_matrix_type] = STATE(4457),
    [sym_distinct_type] = STATE(4457),
    [sym_literal] = STATE(4457),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1848] = {
    [sym_expression] = STATE(4072),
    [sym__expression_no_tag] = STATE(4371),
    [sym_unary_expression] = STATE(4371),
    [sym_binary_expression] = STATE(4371),
    [sym_ternary_expression] = STATE(4371),
    [sym_call_expression] = STATE(4371),
    [sym_selector_call_expression] = STATE(4371),
    [sym_member_expression] = STATE(4371),
    [sym_index_expression] = STATE(4371),
    [sym_slice_expression] = STATE(4371),
    [sym_range_expression] = STATE(4371),
    [sym_cast_expression] = STATE(4371),
    [sym_in_expression] = STATE(4371),
    [sym_variadic_expression] = STATE(4371),
    [sym_parenthesized_expression] = STATE(4371),
    [sym_or_return_expression] = STATE(4371),
    [sym_or_continue_expression] = STATE(4371),
    [sym_or_break_expression] = STATE(4371),
    [sym_address] = STATE(4371),
    [sym_map_type] = STATE(4371),
    [sym_matrix_type] = STATE(4371),
    [sym_distinct_type] = STATE(4371),
    [sym_literal] = STATE(4371),
    [sym_struct] = STATE(3225),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(571),
    [anon_sym_QMARK] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_AMP] = ACTIONS(575),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(543),
    [anon_sym_transmute] = ACTIONS(543),
    [anon_sym_auto_cast] = ACTIONS(545),
    [anon_sym_DOT_DOT] = ACTIONS(6010),
    [anon_sym_map] = ACTIONS(549),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(553),
    [anon_sym_distinct] = ACTIONS(555),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1849] = {
    [sym_expression] = STATE(6102),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(6136),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1850] = {
    [sym_expression] = STATE(4414),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1851] = {
    [sym_expression] = STATE(5563),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1852] = {
    [sym_expression] = STATE(5762),
    [sym__expression_no_tag] = STATE(4833),
    [sym_unary_expression] = STATE(4833),
    [sym_binary_expression] = STATE(4833),
    [sym_ternary_expression] = STATE(4833),
    [sym_call_expression] = STATE(4833),
    [sym_selector_call_expression] = STATE(4833),
    [sym_member_expression] = STATE(4833),
    [sym_index_expression] = STATE(4833),
    [sym_slice_expression] = STATE(4833),
    [sym_range_expression] = STATE(4833),
    [sym_cast_expression] = STATE(4833),
    [sym_in_expression] = STATE(4833),
    [sym_variadic_expression] = STATE(4833),
    [sym_parenthesized_expression] = STATE(4833),
    [sym_or_return_expression] = STATE(4833),
    [sym_or_continue_expression] = STATE(4833),
    [sym_or_break_expression] = STATE(4833),
    [sym_address] = STATE(4833),
    [sym_map_type] = STATE(4833),
    [sym_matrix_type] = STATE(4833),
    [sym_distinct_type] = STATE(4833),
    [sym_literal] = STATE(4833),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1853] = {
    [sym_expression] = STATE(5599),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1854] = {
    [sym_expression] = STATE(5605),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1855] = {
    [sym_expression] = STATE(2620),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1856] = {
    [sym_expression] = STATE(5586),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1857] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5585),
    [sym_unary_expression] = STATE(5585),
    [sym_binary_expression] = STATE(5585),
    [sym_ternary_expression] = STATE(5585),
    [sym_call_expression] = STATE(4315),
    [sym_selector_call_expression] = STATE(5585),
    [sym_member_expression] = STATE(5585),
    [sym_index_expression] = STATE(5585),
    [sym_slice_expression] = STATE(5585),
    [sym_range_expression] = STATE(5585),
    [sym_cast_expression] = STATE(5585),
    [sym_in_expression] = STATE(5585),
    [sym_variadic_expression] = STATE(5585),
    [sym_parenthesized_expression] = STATE(5585),
    [sym_or_return_expression] = STATE(5585),
    [sym_or_continue_expression] = STATE(5585),
    [sym_or_break_expression] = STATE(5585),
    [sym_address] = STATE(5585),
    [sym_map_type] = STATE(5585),
    [sym_matrix_type] = STATE(5585),
    [sym_distinct_type] = STATE(5585),
    [sym_literal] = STATE(5585),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6138),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6140),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1858] = {
    [sym_expression] = STATE(3696),
    [sym__expression_no_tag] = STATE(3409),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_ternary_expression] = STATE(3409),
    [sym_call_expression] = STATE(3409),
    [sym_selector_call_expression] = STATE(3409),
    [sym_member_expression] = STATE(3409),
    [sym_index_expression] = STATE(3409),
    [sym_slice_expression] = STATE(3409),
    [sym_range_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_in_expression] = STATE(3409),
    [sym_variadic_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3409),
    [sym_or_return_expression] = STATE(3409),
    [sym_or_continue_expression] = STATE(3409),
    [sym_or_break_expression] = STATE(3409),
    [sym_address] = STATE(3409),
    [sym_map_type] = STATE(3409),
    [sym_matrix_type] = STATE(3409),
    [sym_distinct_type] = STATE(3409),
    [sym_literal] = STATE(3409),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(6142),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1859] = {
    [sym_expression] = STATE(2621),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1860] = {
    [sym_expression] = STATE(3996),
    [sym__expression_no_tag] = STATE(3409),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_ternary_expression] = STATE(3409),
    [sym_call_expression] = STATE(3409),
    [sym_selector_call_expression] = STATE(3409),
    [sym_member_expression] = STATE(3409),
    [sym_index_expression] = STATE(3409),
    [sym_slice_expression] = STATE(3409),
    [sym_range_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_in_expression] = STATE(3409),
    [sym_variadic_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3409),
    [sym_or_return_expression] = STATE(3409),
    [sym_or_continue_expression] = STATE(3409),
    [sym_or_break_expression] = STATE(3409),
    [sym_address] = STATE(3409),
    [sym_map_type] = STATE(3409),
    [sym_matrix_type] = STATE(3409),
    [sym_distinct_type] = STATE(3409),
    [sym_literal] = STATE(3409),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3135),
    [sym_bit_set] = STATE(3135),
    [sym_matrix] = STATE(3135),
    [sym_string] = STATE(3135),
    [sym__string_literal] = STATE(3177),
    [sym__raw_string_literal] = STATE(3177),
    [sym_character] = STATE(3135),
    [sym_boolean] = STATE(3135),
    [sym_nil] = STATE(3135),
    [sym_field_identifier] = STATE(8157),
    [sym_identifier] = ACTIONS(495),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(6142),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(499),
    [anon_sym_transmute] = ACTIONS(499),
    [anon_sym_auto_cast] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(6006),
    [anon_sym_map] = ACTIONS(505),
    [anon_sym_bit_set] = ACTIONS(507),
    [anon_sym_matrix] = ACTIONS(509),
    [anon_sym_distinct] = ACTIONS(511),
    [sym_number] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(515),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(519),
    [anon_sym_true] = ACTIONS(521),
    [anon_sym_false] = ACTIONS(521),
    [anon_sym_nil] = ACTIONS(523),
    [sym_uninitialized] = ACTIONS(513),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(513),
    [sym_block_comment] = ACTIONS(3),
  },
  [1861] = {
    [sym_expression] = STATE(2679),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1862] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5595),
    [sym_unary_expression] = STATE(5595),
    [sym_binary_expression] = STATE(5595),
    [sym_ternary_expression] = STATE(5595),
    [sym_call_expression] = STATE(2719),
    [sym_selector_call_expression] = STATE(5595),
    [sym_member_expression] = STATE(5595),
    [sym_index_expression] = STATE(5595),
    [sym_slice_expression] = STATE(5595),
    [sym_range_expression] = STATE(5595),
    [sym_cast_expression] = STATE(5595),
    [sym_in_expression] = STATE(5595),
    [sym_variadic_expression] = STATE(5595),
    [sym_parenthesized_expression] = STATE(5595),
    [sym_or_return_expression] = STATE(5595),
    [sym_or_continue_expression] = STATE(5595),
    [sym_or_break_expression] = STATE(5595),
    [sym_address] = STATE(5595),
    [sym_map_type] = STATE(5595),
    [sym_matrix_type] = STATE(5595),
    [sym_distinct_type] = STATE(5595),
    [sym_literal] = STATE(5595),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6144),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6146),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1863] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5588),
    [sym_unary_expression] = STATE(5588),
    [sym_binary_expression] = STATE(5588),
    [sym_ternary_expression] = STATE(5588),
    [sym_call_expression] = STATE(2634),
    [sym_selector_call_expression] = STATE(5588),
    [sym_member_expression] = STATE(5588),
    [sym_index_expression] = STATE(5588),
    [sym_slice_expression] = STATE(5588),
    [sym_range_expression] = STATE(5588),
    [sym_cast_expression] = STATE(5588),
    [sym_in_expression] = STATE(5588),
    [sym_variadic_expression] = STATE(5588),
    [sym_parenthesized_expression] = STATE(5588),
    [sym_or_return_expression] = STATE(5588),
    [sym_or_continue_expression] = STATE(5588),
    [sym_or_break_expression] = STATE(5588),
    [sym_address] = STATE(5588),
    [sym_map_type] = STATE(5588),
    [sym_matrix_type] = STATE(5588),
    [sym_distinct_type] = STATE(5588),
    [sym_literal] = STATE(5588),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6148),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6150),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1864] = {
    [sym_expression] = STATE(2678),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1865] = {
    [sym_expression] = STATE(2676),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1866] = {
    [sym_expression] = STATE(3894),
    [sym__expression_no_tag] = STATE(3537),
    [sym_unary_expression] = STATE(3537),
    [sym_binary_expression] = STATE(3537),
    [sym_ternary_expression] = STATE(3537),
    [sym_call_expression] = STATE(3537),
    [sym_selector_call_expression] = STATE(3537),
    [sym_member_expression] = STATE(3537),
    [sym_index_expression] = STATE(3537),
    [sym_slice_expression] = STATE(3537),
    [sym_range_expression] = STATE(3537),
    [sym_cast_expression] = STATE(3537),
    [sym_in_expression] = STATE(3537),
    [sym_variadic_expression] = STATE(3537),
    [sym_parenthesized_expression] = STATE(3537),
    [sym_or_return_expression] = STATE(3537),
    [sym_or_continue_expression] = STATE(3537),
    [sym_or_break_expression] = STATE(3537),
    [sym_address] = STATE(3537),
    [sym_map_type] = STATE(3537),
    [sym_matrix_type] = STATE(3537),
    [sym_distinct_type] = STATE(3537),
    [sym_literal] = STATE(3537),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(6152),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1867] = {
    [sym_expression] = STATE(5428),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1868] = {
    [sym_expression] = STATE(2675),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1869] = {
    [sym_expression] = STATE(2674),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1870] = {
    [sym_expression] = STATE(4613),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1871] = {
    [sym_expression] = STATE(4206),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1872] = {
    [sym_expression] = STATE(4116),
    [sym__expression_no_tag] = STATE(3537),
    [sym_unary_expression] = STATE(3537),
    [sym_binary_expression] = STATE(3537),
    [sym_ternary_expression] = STATE(3537),
    [sym_call_expression] = STATE(3537),
    [sym_selector_call_expression] = STATE(3537),
    [sym_member_expression] = STATE(3537),
    [sym_index_expression] = STATE(3537),
    [sym_slice_expression] = STATE(3537),
    [sym_range_expression] = STATE(3537),
    [sym_cast_expression] = STATE(3537),
    [sym_in_expression] = STATE(3537),
    [sym_variadic_expression] = STATE(3537),
    [sym_parenthesized_expression] = STATE(3537),
    [sym_or_return_expression] = STATE(3537),
    [sym_or_continue_expression] = STATE(3537),
    [sym_or_break_expression] = STATE(3537),
    [sym_address] = STATE(3537),
    [sym_map_type] = STATE(3537),
    [sym_matrix_type] = STATE(3537),
    [sym_distinct_type] = STATE(3537),
    [sym_literal] = STATE(3537),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(6152),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1873] = {
    [sym_expression] = STATE(4086),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1874] = {
    [sym_expression] = STATE(5607),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1875] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5574),
    [sym_unary_expression] = STATE(5574),
    [sym_binary_expression] = STATE(5574),
    [sym_ternary_expression] = STATE(5574),
    [sym_call_expression] = STATE(2902),
    [sym_selector_call_expression] = STATE(5574),
    [sym_member_expression] = STATE(5574),
    [sym_index_expression] = STATE(5574),
    [sym_slice_expression] = STATE(5574),
    [sym_range_expression] = STATE(5574),
    [sym_cast_expression] = STATE(5574),
    [sym_in_expression] = STATE(5574),
    [sym_variadic_expression] = STATE(5574),
    [sym_parenthesized_expression] = STATE(5574),
    [sym_or_return_expression] = STATE(5574),
    [sym_or_continue_expression] = STATE(5574),
    [sym_or_break_expression] = STATE(5574),
    [sym_address] = STATE(5574),
    [sym_map_type] = STATE(5574),
    [sym_matrix_type] = STATE(5574),
    [sym_distinct_type] = STATE(5574),
    [sym_literal] = STATE(5574),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6154),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6156),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1876] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5600),
    [sym_unary_expression] = STATE(5600),
    [sym_binary_expression] = STATE(5600),
    [sym_ternary_expression] = STATE(5600),
    [sym_call_expression] = STATE(2329),
    [sym_selector_call_expression] = STATE(5600),
    [sym_member_expression] = STATE(5600),
    [sym_index_expression] = STATE(5600),
    [sym_slice_expression] = STATE(5600),
    [sym_range_expression] = STATE(5600),
    [sym_cast_expression] = STATE(5600),
    [sym_in_expression] = STATE(5600),
    [sym_variadic_expression] = STATE(5600),
    [sym_parenthesized_expression] = STATE(5600),
    [sym_or_return_expression] = STATE(5600),
    [sym_or_continue_expression] = STATE(5600),
    [sym_or_break_expression] = STATE(5600),
    [sym_address] = STATE(5600),
    [sym_map_type] = STATE(5600),
    [sym_matrix_type] = STATE(5600),
    [sym_distinct_type] = STATE(5600),
    [sym_literal] = STATE(5600),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6158),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6160),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1877] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5579),
    [sym_unary_expression] = STATE(5579),
    [sym_binary_expression] = STATE(5579),
    [sym_ternary_expression] = STATE(5579),
    [sym_call_expression] = STATE(4476),
    [sym_selector_call_expression] = STATE(5579),
    [sym_member_expression] = STATE(5579),
    [sym_index_expression] = STATE(5579),
    [sym_slice_expression] = STATE(5579),
    [sym_range_expression] = STATE(5579),
    [sym_cast_expression] = STATE(5579),
    [sym_in_expression] = STATE(5579),
    [sym_variadic_expression] = STATE(5579),
    [sym_parenthesized_expression] = STATE(5579),
    [sym_or_return_expression] = STATE(5579),
    [sym_or_continue_expression] = STATE(5579),
    [sym_or_break_expression] = STATE(5579),
    [sym_address] = STATE(5579),
    [sym_map_type] = STATE(5579),
    [sym_matrix_type] = STATE(5579),
    [sym_distinct_type] = STATE(5579),
    [sym_literal] = STATE(5579),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6162),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6164),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1878] = {
    [sym_expression] = STATE(3947),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1879] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5580),
    [sym_unary_expression] = STATE(5580),
    [sym_binary_expression] = STATE(5580),
    [sym_ternary_expression] = STATE(5580),
    [sym_call_expression] = STATE(3930),
    [sym_selector_call_expression] = STATE(5580),
    [sym_member_expression] = STATE(5580),
    [sym_index_expression] = STATE(5580),
    [sym_slice_expression] = STATE(5580),
    [sym_range_expression] = STATE(5580),
    [sym_cast_expression] = STATE(5580),
    [sym_in_expression] = STATE(5580),
    [sym_variadic_expression] = STATE(5580),
    [sym_parenthesized_expression] = STATE(5580),
    [sym_or_return_expression] = STATE(5580),
    [sym_or_continue_expression] = STATE(5580),
    [sym_or_break_expression] = STATE(5580),
    [sym_address] = STATE(5580),
    [sym_map_type] = STATE(5580),
    [sym_matrix_type] = STATE(5580),
    [sym_distinct_type] = STATE(5580),
    [sym_literal] = STATE(5580),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6166),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1880] = {
    [sym_expression] = STATE(2671),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1881] = {
    [sym_expression] = STATE(2668),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1882] = {
    [sym_expression] = STATE(1153),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1883] = {
    [sym_expression] = STATE(1154),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1884] = {
    [sym_expression] = STATE(2667),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1885] = {
    [sym_expression] = STATE(832),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1886] = {
    [sym_expression] = STATE(2665),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1887] = {
    [sym_expression] = STATE(5648),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1888] = {
    [sym_expression] = STATE(1161),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1889] = {
    [sym_expression] = STATE(2663),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1890] = {
    [sym_expression] = STATE(5981),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1891] = {
    [sym_expression] = STATE(2661),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1892] = {
    [sym_expression] = STATE(1244),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1893] = {
    [sym_expression] = STATE(5747),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1894] = {
    [sym_expression] = STATE(5713),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1895] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5584),
    [sym_unary_expression] = STATE(5584),
    [sym_binary_expression] = STATE(5584),
    [sym_ternary_expression] = STATE(5584),
    [sym_call_expression] = STATE(3089),
    [sym_selector_call_expression] = STATE(5584),
    [sym_member_expression] = STATE(5584),
    [sym_index_expression] = STATE(5584),
    [sym_slice_expression] = STATE(5584),
    [sym_range_expression] = STATE(5584),
    [sym_cast_expression] = STATE(5584),
    [sym_in_expression] = STATE(5584),
    [sym_variadic_expression] = STATE(5584),
    [sym_parenthesized_expression] = STATE(5584),
    [sym_or_return_expression] = STATE(5584),
    [sym_or_continue_expression] = STATE(5584),
    [sym_or_break_expression] = STATE(5584),
    [sym_address] = STATE(5584),
    [sym_map_type] = STATE(5584),
    [sym_matrix_type] = STATE(5584),
    [sym_distinct_type] = STATE(5584),
    [sym_literal] = STATE(5584),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6172),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6174),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1896] = {
    [sym_expression] = STATE(2056),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1897] = {
    [sym_expression] = STATE(2181),
    [sym__expression_no_tag] = STATE(2112),
    [sym_unary_expression] = STATE(2112),
    [sym_binary_expression] = STATE(2112),
    [sym_ternary_expression] = STATE(2112),
    [sym_call_expression] = STATE(2112),
    [sym_selector_call_expression] = STATE(2112),
    [sym_member_expression] = STATE(2112),
    [sym_index_expression] = STATE(2112),
    [sym_slice_expression] = STATE(2112),
    [sym_range_expression] = STATE(2112),
    [sym_cast_expression] = STATE(2112),
    [sym_in_expression] = STATE(2112),
    [sym_variadic_expression] = STATE(2112),
    [sym_parenthesized_expression] = STATE(2112),
    [sym_or_return_expression] = STATE(2112),
    [sym_or_continue_expression] = STATE(2112),
    [sym_or_break_expression] = STATE(2112),
    [sym_address] = STATE(2112),
    [sym_map_type] = STATE(2112),
    [sym_matrix_type] = STATE(2112),
    [sym_distinct_type] = STATE(2112),
    [sym_literal] = STATE(2112),
    [sym_struct] = STATE(2278),
    [sym_map] = STATE(2295),
    [sym_bit_set] = STATE(2295),
    [sym_matrix] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym__string_literal] = STATE(2274),
    [sym__raw_string_literal] = STATE(2274),
    [sym_character] = STATE(2295),
    [sym_boolean] = STATE(2295),
    [sym_nil] = STATE(2295),
    [sym_field_identifier] = STATE(8154),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6075),
    [anon_sym_BANG] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6077),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [anon_sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1898] = {
    [sym_expression] = STATE(2660),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1899] = {
    [sym_expression] = STATE(5727),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1900] = {
    [sym_expression] = STATE(4415),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1901] = {
    [sym_expression] = STATE(4148),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1902] = {
    [sym_expression] = STATE(4147),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1903] = {
    [sym_expression] = STATE(4146),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1904] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5575),
    [sym_unary_expression] = STATE(5575),
    [sym_binary_expression] = STATE(5575),
    [sym_ternary_expression] = STATE(5575),
    [sym_call_expression] = STATE(3663),
    [sym_selector_call_expression] = STATE(5575),
    [sym_member_expression] = STATE(5575),
    [sym_index_expression] = STATE(5575),
    [sym_slice_expression] = STATE(5575),
    [sym_range_expression] = STATE(5575),
    [sym_cast_expression] = STATE(5575),
    [sym_in_expression] = STATE(5575),
    [sym_variadic_expression] = STATE(5575),
    [sym_parenthesized_expression] = STATE(5575),
    [sym_or_return_expression] = STATE(5575),
    [sym_or_continue_expression] = STATE(5575),
    [sym_or_break_expression] = STATE(5575),
    [sym_address] = STATE(5575),
    [sym_map_type] = STATE(5575),
    [sym_matrix_type] = STATE(5575),
    [sym_distinct_type] = STATE(5575),
    [sym_literal] = STATE(5575),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6178),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1905] = {
    [sym_expression] = STATE(5760),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1906] = {
    [sym_expression] = STATE(5680),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1907] = {
    [sym_expression] = STATE(1176),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1908] = {
    [sym_expression] = STATE(5785),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1909] = {
    [sym_expression] = STATE(1177),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1910] = {
    [sym_expression] = STATE(1178),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1911] = {
    [sym_expression] = STATE(2916),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1912] = {
    [sym_expression] = STATE(2915),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1913] = {
    [sym_expression] = STATE(4143),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1914] = {
    [sym_expression] = STATE(4142),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1915] = {
    [sym_expression] = STATE(4141),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1916] = {
    [sym_expression] = STATE(4140),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1917] = {
    [sym_expression] = STATE(4139),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1918] = {
    [sym_expression] = STATE(4138),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1919] = {
    [sym_expression] = STATE(4416),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1920] = {
    [sym_expression] = STATE(4417),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1921] = {
    [sym_expression] = STATE(4137),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1922] = {
    [sym_expression] = STATE(4420),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1923] = {
    [sym_expression] = STATE(1179),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1924] = {
    [sym_expression] = STATE(4136),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1925] = {
    [sym_expression] = STATE(4135),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1926] = {
    [sym_expression] = STATE(1180),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1927] = {
    [sym_expression] = STATE(4134),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1928] = {
    [sym_expression] = STATE(1181),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1929] = {
    [sym_expression] = STATE(1182),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1930] = {
    [sym_expression] = STATE(4133),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1931] = {
    [sym_expression] = STATE(4132),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1932] = {
    [sym_expression] = STATE(1234),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1933] = {
    [sym_expression] = STATE(2858),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1934] = {
    [sym_expression] = STATE(4210),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1935] = {
    [sym_expression] = STATE(2856),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1936] = {
    [sym_expression] = STATE(4209),
    [sym__expression_no_tag] = STATE(2924),
    [sym_unary_expression] = STATE(2924),
    [sym_binary_expression] = STATE(2924),
    [sym_ternary_expression] = STATE(2924),
    [sym_call_expression] = STATE(2924),
    [sym_selector_call_expression] = STATE(2924),
    [sym_member_expression] = STATE(2924),
    [sym_index_expression] = STATE(2924),
    [sym_slice_expression] = STATE(2924),
    [sym_range_expression] = STATE(2924),
    [sym_cast_expression] = STATE(2924),
    [sym_in_expression] = STATE(2924),
    [sym_variadic_expression] = STATE(2924),
    [sym_parenthesized_expression] = STATE(2924),
    [sym_or_return_expression] = STATE(2924),
    [sym_or_continue_expression] = STATE(2924),
    [sym_or_break_expression] = STATE(2924),
    [sym_address] = STATE(2924),
    [sym_map_type] = STATE(2924),
    [sym_matrix_type] = STATE(2924),
    [sym_distinct_type] = STATE(2924),
    [sym_literal] = STATE(2924),
    [sym_struct] = STATE(4207),
    [sym_map] = STATE(2841),
    [sym_bit_set] = STATE(2841),
    [sym_matrix] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym__string_literal] = STATE(2851),
    [sym__raw_string_literal] = STATE(2851),
    [sym_character] = STATE(2841),
    [sym_boolean] = STATE(2841),
    [sym_nil] = STATE(2841),
    [sym_field_identifier] = STATE(8144),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_LBRACE] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_cast] = ACTIONS(1149),
    [anon_sym_transmute] = ACTIONS(1149),
    [anon_sym_auto_cast] = ACTIONS(1151),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(1155),
    [anon_sym_bit_set] = ACTIONS(551),
    [anon_sym_matrix] = ACTIONS(1157),
    [anon_sym_distinct] = ACTIONS(1159),
    [sym_number] = ACTIONS(557),
    [anon_sym_DQUOTE] = ACTIONS(559),
    [anon_sym_BQUOTE] = ACTIONS(561),
    [anon_sym_SQUOTE] = ACTIONS(563),
    [anon_sym_true] = ACTIONS(565),
    [anon_sym_false] = ACTIONS(565),
    [anon_sym_nil] = ACTIONS(567),
    [sym_uninitialized] = ACTIONS(557),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(557),
    [sym_block_comment] = ACTIONS(3),
  },
  [1937] = {
    [sym_expression] = STATE(1231),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1938] = {
    [sym_expression] = STATE(1186),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1939] = {
    [sym_expression] = STATE(1187),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1940] = {
    [sym_expression] = STATE(1189),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1941] = {
    [sym_expression] = STATE(1190),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1942] = {
    [sym_expression] = STATE(1191),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1943] = {
    [sym_expression] = STATE(3351),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1944] = {
    [sym_expression] = STATE(2650),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1945] = {
    [sym_expression] = STATE(2652),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1946] = {
    [sym_expression] = STATE(2651),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1947] = {
    [sym_expression] = STATE(2653),
    [sym__expression_no_tag] = STATE(2695),
    [sym_unary_expression] = STATE(2695),
    [sym_binary_expression] = STATE(2695),
    [sym_ternary_expression] = STATE(2695),
    [sym_call_expression] = STATE(2695),
    [sym_selector_call_expression] = STATE(2695),
    [sym_member_expression] = STATE(2695),
    [sym_index_expression] = STATE(2695),
    [sym_slice_expression] = STATE(2695),
    [sym_range_expression] = STATE(2695),
    [sym_cast_expression] = STATE(2695),
    [sym_in_expression] = STATE(2695),
    [sym_variadic_expression] = STATE(2695),
    [sym_parenthesized_expression] = STATE(2695),
    [sym_or_return_expression] = STATE(2695),
    [sym_or_continue_expression] = STATE(2695),
    [sym_or_break_expression] = STATE(2695),
    [sym_address] = STATE(2695),
    [sym_map_type] = STATE(2695),
    [sym_matrix_type] = STATE(2695),
    [sym_distinct_type] = STATE(2695),
    [sym_literal] = STATE(2695),
    [sym_struct] = STATE(2662),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(301),
    [anon_sym_QMARK] = ACTIONS(303),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(305),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(293),
    [anon_sym_transmute] = ACTIONS(293),
    [anon_sym_auto_cast] = ACTIONS(295),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1948] = {
    [sym_expression] = STATE(3914),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1949] = {
    [sym_block] = STATE(2445),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4765),
    [anon_sym_COMMA] = ACTIONS(4765),
    [anon_sym_COLON_COLON] = ACTIONS(4765),
    [anon_sym_DASH_GT] = ACTIONS(4765),
    [anon_sym_EQ] = ACTIONS(4767),
    [anon_sym_COLON] = ACTIONS(4767),
    [anon_sym_PIPE] = ACTIONS(4767),
    [anon_sym_COLON_EQ] = ACTIONS(4765),
    [anon_sym_LPAREN] = ACTIONS(4765),
    [anon_sym_PLUS_EQ] = ACTIONS(4765),
    [anon_sym_DASH_EQ] = ACTIONS(4765),
    [anon_sym_STAR_EQ] = ACTIONS(4765),
    [anon_sym_SLASH_EQ] = ACTIONS(4765),
    [anon_sym_PERCENT_EQ] = ACTIONS(4765),
    [anon_sym_AMP_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_CARET_EQ] = ACTIONS(4765),
    [anon_sym_LT_LT_EQ] = ACTIONS(4765),
    [anon_sym_GT_GT_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_if] = ACTIONS(4765),
    [anon_sym_SEMI] = ACTIONS(4765),
    [anon_sym_else] = ACTIONS(4765),
    [anon_sym_when] = ACTIONS(4765),
    [anon_sym_in] = ACTIONS(4765),
    [anon_sym_case] = ACTIONS(4765),
    [anon_sym_QMARK] = ACTIONS(4765),
    [anon_sym_PLUS] = ACTIONS(4767),
    [anon_sym_DASH] = ACTIONS(4767),
    [anon_sym_TILDE] = ACTIONS(4767),
    [anon_sym_AMP] = ACTIONS(4767),
    [anon_sym_PIPE_PIPE] = ACTIONS(4767),
    [anon_sym_or_else] = ACTIONS(4765),
    [anon_sym_AMP_AMP] = ACTIONS(4767),
    [anon_sym_GT] = ACTIONS(4767),
    [anon_sym_GT_EQ] = ACTIONS(4765),
    [anon_sym_LT_EQ] = ACTIONS(4765),
    [anon_sym_LT] = ACTIONS(4767),
    [anon_sym_EQ_EQ] = ACTIONS(4765),
    [anon_sym_BANG_EQ] = ACTIONS(4765),
    [anon_sym_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE] = ACTIONS(4767),
    [anon_sym_LT_LT] = ACTIONS(4767),
    [anon_sym_GT_GT] = ACTIONS(4767),
    [anon_sym_STAR] = ACTIONS(4767),
    [anon_sym_SLASH] = ACTIONS(4767),
    [anon_sym_PERCENT] = ACTIONS(4767),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4765),
    [anon_sym_DOT] = ACTIONS(4767),
    [anon_sym_LBRACK] = ACTIONS(4765),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4765),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4765),
    [anon_sym_not_in] = ACTIONS(4765),
    [anon_sym_or_return] = ACTIONS(4765),
    [anon_sym_or_continue] = ACTIONS(4765),
    [anon_sym_or_break] = ACTIONS(4765),
    [anon_sym_CARET] = ACTIONS(4767),
    [sym_uninitialized] = ACTIONS(6180),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4765),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1950] = {
    [sym_expression] = STATE(3913),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1951] = {
    [sym_expression] = STATE(3539),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1952] = {
    [sym_expression] = STATE(2551),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1953] = {
    [sym_expression] = STATE(4640),
    [sym__expression_no_tag] = STATE(4215),
    [sym_unary_expression] = STATE(4215),
    [sym_binary_expression] = STATE(4215),
    [sym_ternary_expression] = STATE(4215),
    [sym_call_expression] = STATE(4215),
    [sym_selector_call_expression] = STATE(4215),
    [sym_member_expression] = STATE(4215),
    [sym_index_expression] = STATE(4215),
    [sym_slice_expression] = STATE(4215),
    [sym_range_expression] = STATE(4215),
    [sym_cast_expression] = STATE(4215),
    [sym_in_expression] = STATE(4215),
    [sym_variadic_expression] = STATE(4215),
    [sym_parenthesized_expression] = STATE(4215),
    [sym_or_return_expression] = STATE(4215),
    [sym_or_continue_expression] = STATE(4215),
    [sym_or_break_expression] = STATE(4215),
    [sym_address] = STATE(4215),
    [sym_map_type] = STATE(4215),
    [sym_matrix_type] = STATE(4215),
    [sym_distinct_type] = STATE(4215),
    [sym_literal] = STATE(4215),
    [sym_struct] = STATE(4284),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_AMP] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1954] = {
    [aux_sym_field_type_repeat1] = STATE(1722),
    [anon_sym_LBRACE] = ACTIONS(4491),
    [anon_sym_RBRACE] = ACTIONS(4491),
    [anon_sym_COMMA] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4491),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_COLON_EQ] = ACTIONS(4491),
    [anon_sym_LPAREN] = ACTIONS(4491),
    [anon_sym_PLUS_EQ] = ACTIONS(4491),
    [anon_sym_DASH_EQ] = ACTIONS(4491),
    [anon_sym_STAR_EQ] = ACTIONS(4491),
    [anon_sym_SLASH_EQ] = ACTIONS(4491),
    [anon_sym_PERCENT_EQ] = ACTIONS(4491),
    [anon_sym_AMP_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_CARET_EQ] = ACTIONS(4491),
    [anon_sym_LT_LT_EQ] = ACTIONS(4491),
    [anon_sym_GT_GT_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_if] = ACTIONS(4491),
    [anon_sym_SEMI] = ACTIONS(4491),
    [anon_sym_else] = ACTIONS(4491),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_in] = ACTIONS(4491),
    [anon_sym_case] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_or_else] = ACTIONS(4491),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4491),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4491),
    [anon_sym_BANG_EQ] = ACTIONS(4491),
    [anon_sym_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4491),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4491),
    [anon_sym_not_in] = ACTIONS(4491),
    [anon_sym_or_return] = ACTIONS(4491),
    [anon_sym_or_continue] = ACTIONS(4491),
    [anon_sym_or_break] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_DOT2] = ACTIONS(6100),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4491),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1955] = {
    [sym_expression] = STATE(2550),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1956] = {
    [sym_expression] = STATE(2629),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1957] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5570),
    [sym_unary_expression] = STATE(5570),
    [sym_binary_expression] = STATE(5570),
    [sym_ternary_expression] = STATE(5570),
    [sym_call_expression] = STATE(1192),
    [sym_selector_call_expression] = STATE(5570),
    [sym_member_expression] = STATE(5570),
    [sym_index_expression] = STATE(5570),
    [sym_slice_expression] = STATE(5570),
    [sym_range_expression] = STATE(5570),
    [sym_cast_expression] = STATE(5570),
    [sym_in_expression] = STATE(5570),
    [sym_variadic_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_or_return_expression] = STATE(5570),
    [sym_or_continue_expression] = STATE(5570),
    [sym_or_break_expression] = STATE(5570),
    [sym_address] = STATE(5570),
    [sym_map_type] = STATE(5570),
    [sym_matrix_type] = STATE(5570),
    [sym_distinct_type] = STATE(5570),
    [sym_literal] = STATE(5570),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6182),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6184),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1958] = {
    [sym_expression] = STATE(5819),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(6186),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1959] = {
    [sym_expression] = STATE(5088),
    [sym__expression_no_tag] = STATE(4484),
    [sym_unary_expression] = STATE(4484),
    [sym_binary_expression] = STATE(4484),
    [sym_ternary_expression] = STATE(4484),
    [sym_call_expression] = STATE(4484),
    [sym_selector_call_expression] = STATE(4484),
    [sym_member_expression] = STATE(4484),
    [sym_index_expression] = STATE(4484),
    [sym_slice_expression] = STATE(4484),
    [sym_range_expression] = STATE(4484),
    [sym_cast_expression] = STATE(4484),
    [sym_in_expression] = STATE(4484),
    [sym_variadic_expression] = STATE(4484),
    [sym_parenthesized_expression] = STATE(4484),
    [sym_or_return_expression] = STATE(4484),
    [sym_or_continue_expression] = STATE(4484),
    [sym_or_break_expression] = STATE(4484),
    [sym_address] = STATE(4484),
    [sym_map_type] = STATE(4484),
    [sym_matrix_type] = STATE(4484),
    [sym_distinct_type] = STATE(4484),
    [sym_literal] = STATE(4484),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(6188),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1960] = {
    [sym_block] = STATE(2439),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_COLON_COLON] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4773),
    [anon_sym_COLON] = ACTIONS(4773),
    [anon_sym_PIPE] = ACTIONS(4773),
    [anon_sym_COLON_EQ] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_else] = ACTIONS(4771),
    [anon_sym_when] = ACTIONS(4771),
    [anon_sym_in] = ACTIONS(4771),
    [anon_sym_case] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4773),
    [anon_sym_DASH] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_AMP] = ACTIONS(4773),
    [anon_sym_PIPE_PIPE] = ACTIONS(4773),
    [anon_sym_or_else] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4773),
    [anon_sym_GT] = ACTIONS(4773),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4773),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE] = ACTIONS(4773),
    [anon_sym_LT_LT] = ACTIONS(4773),
    [anon_sym_GT_GT] = ACTIONS(4773),
    [anon_sym_STAR] = ACTIONS(4773),
    [anon_sym_SLASH] = ACTIONS(4773),
    [anon_sym_PERCENT] = ACTIONS(4773),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4771),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4771),
    [anon_sym_not_in] = ACTIONS(4771),
    [anon_sym_or_return] = ACTIONS(4771),
    [anon_sym_or_continue] = ACTIONS(4771),
    [anon_sym_or_break] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4773),
    [sym_uninitialized] = ACTIONS(5880),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4771),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1961] = {
    [sym_expression] = STATE(6169),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1962] = {
    [sym_expression] = STATE(2623),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1963] = {
    [sym_block] = STATE(2432),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4295),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_else] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_case] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(4299),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4295),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1964] = {
    [sym_expression] = STATE(5576),
    [sym__expression_no_tag] = STATE(4428),
    [sym_unary_expression] = STATE(4428),
    [sym_binary_expression] = STATE(4428),
    [sym_ternary_expression] = STATE(4428),
    [sym_call_expression] = STATE(4428),
    [sym_selector_call_expression] = STATE(4428),
    [sym_member_expression] = STATE(4428),
    [sym_index_expression] = STATE(4428),
    [sym_slice_expression] = STATE(4428),
    [sym_range_expression] = STATE(4428),
    [sym_cast_expression] = STATE(4428),
    [sym_in_expression] = STATE(4428),
    [sym_variadic_expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(4428),
    [sym_or_return_expression] = STATE(4428),
    [sym_or_continue_expression] = STATE(4428),
    [sym_or_break_expression] = STATE(4428),
    [sym_address] = STATE(4428),
    [sym_map_type] = STATE(4428),
    [sym_matrix_type] = STATE(4428),
    [sym_distinct_type] = STATE(4428),
    [sym_literal] = STATE(4428),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1965] = {
    [sym_expression] = STATE(4426),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1966] = {
    [sym_expression] = STATE(4427),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1967] = {
    [sym_expression] = STATE(5638),
    [sym__expression_no_tag] = STATE(4833),
    [sym_unary_expression] = STATE(4833),
    [sym_binary_expression] = STATE(4833),
    [sym_ternary_expression] = STATE(4833),
    [sym_call_expression] = STATE(4833),
    [sym_selector_call_expression] = STATE(4833),
    [sym_member_expression] = STATE(4833),
    [sym_index_expression] = STATE(4833),
    [sym_slice_expression] = STATE(4833),
    [sym_range_expression] = STATE(4833),
    [sym_cast_expression] = STATE(4833),
    [sym_in_expression] = STATE(4833),
    [sym_variadic_expression] = STATE(4833),
    [sym_parenthesized_expression] = STATE(4833),
    [sym_or_return_expression] = STATE(4833),
    [sym_or_continue_expression] = STATE(4833),
    [sym_or_break_expression] = STATE(4833),
    [sym_address] = STATE(4833),
    [sym_map_type] = STATE(4833),
    [sym_matrix_type] = STATE(4833),
    [sym_distinct_type] = STATE(4833),
    [sym_literal] = STATE(4833),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(395),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(6190),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1968] = {
    [sym_expression] = STATE(4429),
    [sym__expression_no_tag] = STATE(4448),
    [sym_unary_expression] = STATE(4448),
    [sym_binary_expression] = STATE(4448),
    [sym_ternary_expression] = STATE(4448),
    [sym_call_expression] = STATE(4448),
    [sym_selector_call_expression] = STATE(4448),
    [sym_member_expression] = STATE(4448),
    [sym_index_expression] = STATE(4448),
    [sym_slice_expression] = STATE(4448),
    [sym_range_expression] = STATE(4448),
    [sym_cast_expression] = STATE(4448),
    [sym_in_expression] = STATE(4448),
    [sym_variadic_expression] = STATE(4448),
    [sym_parenthesized_expression] = STATE(4448),
    [sym_or_return_expression] = STATE(4448),
    [sym_or_continue_expression] = STATE(4448),
    [sym_or_break_expression] = STATE(4448),
    [sym_address] = STATE(4448),
    [sym_map_type] = STATE(4448),
    [sym_matrix_type] = STATE(4448),
    [sym_distinct_type] = STATE(4448),
    [sym_literal] = STATE(4448),
    [sym_struct] = STATE(4532),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_QMARK] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(941),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(929),
    [anon_sym_transmute] = ACTIONS(929),
    [anon_sym_auto_cast] = ACTIONS(931),
    [anon_sym_DOT_DOT] = ACTIONS(4471),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1969] = {
    [sym_expression] = STATE(4004),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1970] = {
    [sym_expression] = STATE(4011),
    [sym__expression_no_tag] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_ternary_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_selector_call_expression] = STATE(3975),
    [sym_member_expression] = STATE(3975),
    [sym_index_expression] = STATE(3975),
    [sym_slice_expression] = STATE(3975),
    [sym_range_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_in_expression] = STATE(3975),
    [sym_variadic_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_or_return_expression] = STATE(3975),
    [sym_or_continue_expression] = STATE(3975),
    [sym_or_break_expression] = STATE(3975),
    [sym_address] = STATE(3975),
    [sym_map_type] = STATE(3975),
    [sym_matrix_type] = STATE(3975),
    [sym_distinct_type] = STATE(3975),
    [sym_literal] = STATE(3975),
    [sym_struct] = STATE(4036),
    [sym_map] = STATE(3862),
    [sym_bit_set] = STATE(3862),
    [sym_matrix] = STATE(3862),
    [sym_string] = STATE(3862),
    [sym__string_literal] = STATE(4035),
    [sym__raw_string_literal] = STATE(4035),
    [sym_character] = STATE(3862),
    [sym_boolean] = STATE(3862),
    [sym_nil] = STATE(3862),
    [sym_field_identifier] = STATE(8054),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [anon_sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1971] = {
    [sym_expression] = STATE(5222),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1972] = {
    [sym_expression] = STATE(4453),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1973] = {
    [sym_expression] = STATE(6187),
    [sym__expression_no_tag] = STATE(5567),
    [sym_unary_expression] = STATE(5567),
    [sym_binary_expression] = STATE(5567),
    [sym_ternary_expression] = STATE(5567),
    [sym_call_expression] = STATE(2215),
    [sym_selector_call_expression] = STATE(5567),
    [sym_member_expression] = STATE(5567),
    [sym_index_expression] = STATE(5567),
    [sym_slice_expression] = STATE(5567),
    [sym_range_expression] = STATE(5567),
    [sym_cast_expression] = STATE(5567),
    [sym_in_expression] = STATE(5567),
    [sym_variadic_expression] = STATE(5567),
    [sym_parenthesized_expression] = STATE(5567),
    [sym_or_return_expression] = STATE(5567),
    [sym_or_continue_expression] = STATE(5567),
    [sym_or_break_expression] = STATE(5567),
    [sym_address] = STATE(5567),
    [sym_map_type] = STATE(5567),
    [sym_matrix_type] = STATE(5567),
    [sym_distinct_type] = STATE(5567),
    [sym_literal] = STATE(5567),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(6192),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(6194),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [1974] = {
    [sym_expression] = STATE(5223),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1975] = {
    [sym_expression] = STATE(1208),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1976] = {
    [sym_expression] = STATE(4455),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1977] = {
    [sym_block] = STATE(2421),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4303),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_else] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_case] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(4307),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4303),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1978] = {
    [sym_expression] = STATE(1209),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1979] = {
    [sym_expression] = STATE(4801),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1980] = {
    [sym_expression] = STATE(4800),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1981] = {
    [sym_expression] = STATE(1210),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1982] = {
    [sym_expression] = STATE(5289),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1983] = {
    [sym_expression] = STATE(2460),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1984] = {
    [sym_expression] = STATE(2408),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1985] = {
    [sym_expression] = STATE(2470),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1986] = {
    [sym_expression] = STATE(2392),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1987] = {
    [sym_expression] = STATE(4825),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1988] = {
    [sym_expression] = STATE(4823),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1989] = {
    [sym_expression] = STATE(4820),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1990] = {
    [sym_expression] = STATE(2300),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1991] = {
    [sym_expression] = STATE(4819),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1992] = {
    [sym_expression] = STATE(4810),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1993] = {
    [sym_expression] = STATE(4808),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1994] = {
    [sym_expression] = STATE(1211),
    [sym__expression_no_tag] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_selector_call_expression] = STATE(1066),
    [sym_member_expression] = STATE(1066),
    [sym_index_expression] = STATE(1066),
    [sym_slice_expression] = STATE(1066),
    [sym_range_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1066),
    [sym_in_expression] = STATE(1066),
    [sym_variadic_expression] = STATE(1066),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_or_return_expression] = STATE(1066),
    [sym_or_continue_expression] = STATE(1066),
    [sym_or_break_expression] = STATE(1066),
    [sym_address] = STATE(1066),
    [sym_map_type] = STATE(1066),
    [sym_matrix_type] = STATE(1066),
    [sym_distinct_type] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_struct] = STATE(1215),
    [sym_map] = STATE(1220),
    [sym_bit_set] = STATE(1220),
    [sym_matrix] = STATE(1220),
    [sym_string] = STATE(1220),
    [sym__string_literal] = STATE(1214),
    [sym__raw_string_literal] = STATE(1214),
    [sym_character] = STATE(1220),
    [sym_boolean] = STATE(1220),
    [sym_nil] = STATE(1220),
    [sym_field_identifier] = STATE(8164),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(167),
    [anon_sym_QMARK] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(6168),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(6168),
    [anon_sym_BANG] = ACTIONS(6168),
    [anon_sym_AMP] = ACTIONS(6168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(135),
    [anon_sym_transmute] = ACTIONS(135),
    [anon_sym_auto_cast] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(6170),
    [anon_sym_map] = ACTIONS(141),
    [anon_sym_bit_set] = ACTIONS(143),
    [anon_sym_matrix] = ACTIONS(145),
    [anon_sym_distinct] = ACTIONS(147),
    [sym_number] = ACTIONS(149),
    [anon_sym_DQUOTE] = ACTIONS(151),
    [anon_sym_BQUOTE] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(157),
    [anon_sym_false] = ACTIONS(157),
    [anon_sym_nil] = ACTIONS(159),
    [sym_uninitialized] = ACTIONS(149),
    [sym_tag] = ACTIONS(175),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(149),
    [sym_block_comment] = ACTIONS(3),
  },
  [1995] = {
    [sym_expression] = STATE(3498),
    [sym__expression_no_tag] = STATE(3475),
    [sym_unary_expression] = STATE(3475),
    [sym_binary_expression] = STATE(3475),
    [sym_ternary_expression] = STATE(3475),
    [sym_call_expression] = STATE(3475),
    [sym_selector_call_expression] = STATE(3475),
    [sym_member_expression] = STATE(3475),
    [sym_index_expression] = STATE(3475),
    [sym_slice_expression] = STATE(3475),
    [sym_range_expression] = STATE(3475),
    [sym_cast_expression] = STATE(3475),
    [sym_in_expression] = STATE(3475),
    [sym_variadic_expression] = STATE(3475),
    [sym_parenthesized_expression] = STATE(3475),
    [sym_or_return_expression] = STATE(3475),
    [sym_or_continue_expression] = STATE(3475),
    [sym_or_break_expression] = STATE(3475),
    [sym_address] = STATE(3475),
    [sym_map_type] = STATE(3475),
    [sym_matrix_type] = STATE(3475),
    [sym_distinct_type] = STATE(3475),
    [sym_literal] = STATE(3475),
    [sym_struct] = STATE(3525),
    [sym_map] = STATE(3474),
    [sym_bit_set] = STATE(3474),
    [sym_matrix] = STATE(3474),
    [sym_string] = STATE(3474),
    [sym__string_literal] = STATE(3526),
    [sym__raw_string_literal] = STATE(3526),
    [sym_character] = STATE(3474),
    [sym_boolean] = STATE(3474),
    [sym_nil] = STATE(3474),
    [sym_field_identifier] = STATE(8173),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_QMARK] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_cast] = ACTIONS(677),
    [anon_sym_transmute] = ACTIONS(677),
    [anon_sym_auto_cast] = ACTIONS(679),
    [anon_sym_DOT_DOT] = ACTIONS(6063),
    [anon_sym_map] = ACTIONS(683),
    [anon_sym_bit_set] = ACTIONS(685),
    [anon_sym_matrix] = ACTIONS(687),
    [anon_sym_distinct] = ACTIONS(689),
    [sym_number] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_BQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_nil] = ACTIONS(701),
    [sym_uninitialized] = ACTIONS(691),
    [sym_tag] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(691),
    [sym_block_comment] = ACTIONS(3),
  },
  [1996] = {
    [sym_expression] = STATE(4807),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1997] = {
    [sym_expression] = STATE(4805),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1998] = {
    [sym_expression] = STATE(4802),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [1999] = {
    [sym_expression] = STATE(5771),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [2000] = {
    [sym_expression] = STATE(4534),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [2001] = {
    [sym_expression] = STATE(5955),
    [sym__expression_no_tag] = STATE(4005),
    [sym_unary_expression] = STATE(4005),
    [sym_binary_expression] = STATE(4005),
    [sym_ternary_expression] = STATE(4005),
    [sym_call_expression] = STATE(4005),
    [sym_selector_call_expression] = STATE(4005),
    [sym_member_expression] = STATE(4005),
    [sym_index_expression] = STATE(4005),
    [sym_slice_expression] = STATE(4005),
    [sym_range_expression] = STATE(4005),
    [sym_cast_expression] = STATE(4005),
    [sym_in_expression] = STATE(4005),
    [sym_variadic_expression] = STATE(4005),
    [sym_parenthesized_expression] = STATE(4005),
    [sym_or_return_expression] = STATE(4005),
    [sym_or_continue_expression] = STATE(4005),
    [sym_or_break_expression] = STATE(4005),
    [sym_address] = STATE(4005),
    [sym_map_type] = STATE(4005),
    [sym_matrix_type] = STATE(4005),
    [sym_distinct_type] = STATE(4005),
    [sym_literal] = STATE(4005),
    [sym_struct] = STATE(3967),
    [sym_map] = STATE(3827),
    [sym_bit_set] = STATE(3827),
    [sym_matrix] = STATE(3827),
    [sym_string] = STATE(3827),
    [sym__string_literal] = STATE(3966),
    [sym__raw_string_literal] = STATE(3966),
    [sym_character] = STATE(3827),
    [sym_boolean] = STATE(3827),
    [sym_nil] = STATE(3827),
    [sym_field_identifier] = STATE(7999),
    [sym_identifier] = ACTIONS(609),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(613),
    [anon_sym_TILDE] = ACTIONS(647),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AMP] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(649),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_cast] = ACTIONS(615),
    [anon_sym_transmute] = ACTIONS(615),
    [anon_sym_auto_cast] = ACTIONS(617),
    [anon_sym_DOT_DOT] = ACTIONS(2857),
    [anon_sym_map] = ACTIONS(621),
    [anon_sym_bit_set] = ACTIONS(623),
    [anon_sym_matrix] = ACTIONS(625),
    [anon_sym_distinct] = ACTIONS(627),
    [sym_number] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(631),
    [anon_sym_BQUOTE] = ACTIONS(633),
    [anon_sym_SQUOTE] = ACTIONS(635),
    [anon_sym_true] = ACTIONS(637),
    [anon_sym_false] = ACTIONS(637),
    [anon_sym_nil] = ACTIONS(639),
    [sym_uninitialized] = ACTIONS(629),
    [sym_tag] = ACTIONS(641),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(629),
    [sym_block_comment] = ACTIONS(3),
  },
  [2002] = {
    [sym_block] = STATE(2396),
    [anon_sym_LBRACE] = ACTIONS(4293),
    [anon_sym_RBRACE] = ACTIONS(4313),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_else] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_case] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(4325),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4313),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2003] = {
    [sym_expression] = STATE(2620),
    [sym__expression_no_tag] = STATE(2645),
    [sym_unary_expression] = STATE(2645),
    [sym_binary_expression] = STATE(2645),
    [sym_ternary_expression] = STATE(2645),
    [sym_call_expression] = STATE(2645),
    [sym_selector_call_expression] = STATE(2645),
    [sym_member_expression] = STATE(2645),
    [sym_index_expression] = STATE(2645),
    [sym_slice_expression] = STATE(2645),
    [sym_range_expression] = STATE(2645),
    [sym_cast_expression] = STATE(2645),
    [sym_in_expression] = STATE(2645),
    [sym_variadic_expression] = STATE(2645),
    [sym_parenthesized_expression] = STATE(2645),
    [sym_or_return_expression] = STATE(2645),
    [sym_or_continue_expression] = STATE(2645),
    [sym_or_break_expression] = STATE(2645),
    [sym_address] = STATE(2645),
    [sym_map_type] = STATE(2645),
    [sym_matrix_type] = STATE(2645),
    [sym_distinct_type] = STATE(2645),
    [sym_literal] = STATE(2645),
    [sym_struct] = STATE(2648),
    [sym_map] = STATE(2609),
    [sym_bit_set] = STATE(2609),
    [sym_matrix] = STATE(2609),
    [sym_string] = STATE(2609),
    [sym__string_literal] = STATE(2632),
    [sym__raw_string_literal] = STATE(2632),
    [sym_character] = STATE(2609),
    [sym_boolean] = STATE(2609),
    [sym_nil] = STATE(2609),
    [sym_field_identifier] = STATE(8092),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2809),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [anon_sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [2004] = {
    [sym_expression] = STATE(2299),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2005] = {
    [sym_expression] = STATE(4535),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [2006] = {
    [sym_expression] = STATE(4835),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [2007] = {
    [sym_expression] = STATE(4838),
    [sym__expression_no_tag] = STATE(4847),
    [sym_unary_expression] = STATE(4847),
    [sym_binary_expression] = STATE(4847),
    [sym_ternary_expression] = STATE(4847),
    [sym_call_expression] = STATE(4847),
    [sym_selector_call_expression] = STATE(4847),
    [sym_member_expression] = STATE(4847),
    [sym_index_expression] = STATE(4847),
    [sym_slice_expression] = STATE(4847),
    [sym_range_expression] = STATE(4847),
    [sym_cast_expression] = STATE(4847),
    [sym_in_expression] = STATE(4847),
    [sym_variadic_expression] = STATE(4847),
    [sym_parenthesized_expression] = STATE(4847),
    [sym_or_return_expression] = STATE(4847),
    [sym_or_continue_expression] = STATE(4847),
    [sym_or_break_expression] = STATE(4847),
    [sym_address] = STATE(4847),
    [sym_map_type] = STATE(4847),
    [sym_matrix_type] = STATE(4847),
    [sym_distinct_type] = STATE(4847),
    [sym_literal] = STATE(4847),
    [sym_struct] = STATE(5218),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_QMARK] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_DOT] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(311),
    [anon_sym_transmute] = ACTIONS(311),
    [anon_sym_auto_cast] = ACTIONS(313),
    [anon_sym_DOT_DOT] = ACTIONS(6018),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [2008] = {
    [sym_expression] = STATE(5666),
    [sym__expression_no_tag] = STATE(4432),
    [sym_unary_expression] = STATE(4432),
    [sym_binary_expression] = STATE(4432),
    [sym_ternary_expression] = STATE(4432),
    [sym_call_expression] = STATE(4432),
    [sym_selector_call_expression] = STATE(4432),
    [sym_member_expression] = STATE(4432),
    [sym_index_expression] = STATE(4432),
    [sym_slice_expression] = STATE(4432),
    [sym_range_expression] = STATE(4432),
    [sym_cast_expression] = STATE(4432),
    [sym_in_expression] = STATE(4432),
    [sym_variadic_expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(4432),
    [sym_or_return_expression] = STATE(4432),
    [sym_or_continue_expression] = STATE(4432),
    [sym_or_break_expression] = STATE(4432),
    [sym_address] = STATE(4432),
    [sym_map_type] = STATE(4432),
    [sym_matrix_type] = STATE(4432),
    [sym_distinct_type] = STATE(4432),
    [sym_literal] = STATE(4432),
    [sym_struct] = STATE(4443),
    [sym_map] = STATE(4439),
    [sym_bit_set] = STATE(4439),
    [sym_matrix] = STATE(4439),
    [sym_string] = STATE(4439),
    [sym__string_literal] = STATE(4449),
    [sym__raw_string_literal] = STATE(4449),
    [sym_character] = STATE(4439),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym_field_identifier] = STATE(8174),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_cast] = ACTIONS(959),
    [anon_sym_transmute] = ACTIONS(959),
    [anon_sym_auto_cast] = ACTIONS(961),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_map] = ACTIONS(317),
    [anon_sym_bit_set] = ACTIONS(319),
    [anon_sym_matrix] = ACTIONS(321),
    [anon_sym_distinct] = ACTIONS(323),
    [sym_number] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(327),
    [anon_sym_BQUOTE] = ACTIONS(329),
    [anon_sym_SQUOTE] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_nil] = ACTIONS(335),
    [sym_uninitialized] = ACTIONS(325),
    [sym_tag] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(325),
    [sym_block_comment] = ACTIONS(3),
  },
  [2009] = {
    [sym_expression] = STATE(2471),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2010] = {
    [sym_expression] = STATE(2469),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2011] = {
    [sym_expression] = STATE(2467),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2012] = {
    [sym_expression] = STATE(2466),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2013] = {
    [sym_expression] = STATE(2463),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2014] = {
    [sym_expression] = STATE(2459),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2015] = {
    [sym_expression] = STATE(2458),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2016] = {
    [sym_expression] = STATE(2457),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2017] = {
    [sym_expression] = STATE(2455),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2018] = {
    [sym_expression] = STATE(2453),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2019] = {
    [sym_expression] = STATE(2484),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2020] = {
    [sym_expression] = STATE(2462),
    [sym__expression_no_tag] = STATE(2451),
    [sym_unary_expression] = STATE(2451),
    [sym_binary_expression] = STATE(2451),
    [sym_ternary_expression] = STATE(2451),
    [sym_call_expression] = STATE(2451),
    [sym_selector_call_expression] = STATE(2451),
    [sym_member_expression] = STATE(2451),
    [sym_index_expression] = STATE(2451),
    [sym_slice_expression] = STATE(2451),
    [sym_range_expression] = STATE(2451),
    [sym_cast_expression] = STATE(2451),
    [sym_in_expression] = STATE(2451),
    [sym_variadic_expression] = STATE(2451),
    [sym_parenthesized_expression] = STATE(2451),
    [sym_or_return_expression] = STATE(2451),
    [sym_or_continue_expression] = STATE(2451),
    [sym_or_break_expression] = STATE(2451),
    [sym_address] = STATE(2451),
    [sym_map_type] = STATE(2451),
    [sym_matrix_type] = STATE(2451),
    [sym_distinct_type] = STATE(2451),
    [sym_literal] = STATE(2451),
    [sym_struct] = STATE(2449),
    [sym_map] = STATE(2436),
    [sym_bit_set] = STATE(2436),
    [sym_matrix] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym__string_literal] = STATE(2447),
    [sym__raw_string_literal] = STATE(2447),
    [sym_character] = STATE(2436),
    [sym_boolean] = STATE(2436),
    [sym_nil] = STATE(2436),
    [sym_field_identifier] = STATE(8077),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(201),
    [anon_sym_PLUS] = ACTIONS(385),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_AMP] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(387),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [anon_sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [2021] = {
    [aux_sym_field_type_repeat1] = STATE(2046),
    [anon_sym_RBRACE] = ACTIONS(4530),
    [anon_sym_COMMA] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4530),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4532),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4532),
    [anon_sym_COLON_EQ] = ACTIONS(4530),
    [anon_sym_LPAREN] = ACTIONS(4530),
    [anon_sym_PLUS_EQ] = ACTIONS(4530),
    [anon_sym_DASH_EQ] = ACTIONS(4530),
    [anon_sym_STAR_EQ] = ACTIONS(4530),
    [anon_sym_SLASH_EQ] = ACTIONS(4530),
    [anon_sym_PERCENT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_CARET_EQ] = ACTIONS(4530),
    [anon_sym_LT_LT_EQ] = ACTIONS(4530),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4530),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4530),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4530),
    [anon_sym_if] = ACTIONS(4530),
    [anon_sym_SEMI] = ACTIONS(4530),
    [anon_sym_else] = ACTIONS(4530),
    [anon_sym_when] = ACTIONS(4530),
    [anon_sym_in] = ACTIONS(4530),
    [anon_sym_case] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_or_else] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4532),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4532),
    [anon_sym_EQ_EQ] = ACTIONS(4530),
    [anon_sym_BANG_EQ] = ACTIONS(4530),
    [anon_sym_TILDE_EQ] = ACTIONS(4530),
    [anon_sym_AMP_TILDE] = ACTIONS(4532),
    [anon_sym_LT_LT] = ACTIONS(4532),
    [anon_sym_GT_GT] = ACTIONS(4532),
    [anon_sym_STAR] = ACTIONS(4532),
    [anon_sym_SLASH] = ACTIONS(4532),
    [anon_sym_PERCENT] = ACTIONS(4532),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4530),
    [anon_sym_DOT] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4530),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4530),
    [anon_sym_not_in] = ACTIONS(4530),
    [anon_sym_or_return] = ACTIONS(4530),
    [anon_sym_or_continue] = ACTIONS(4530),
    [anon_sym_or_break] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4532),
    [anon_sym_DOT2] = ACTIONS(6196),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4530),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2022] = {
    [aux_sym_field_identifier_repeat1] = STATE(7116),
    [anon_sym_LBRACE] = ACTIONS(6198),
    [anon_sym_RBRACE] = ACTIONS(4927),
    [anon_sym_COMMA] = ACTIONS(4927),
    [anon_sym_COLON_COLON] = ACTIONS(4927),
    [anon_sym_DASH_GT] = ACTIONS(4927),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(4929),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_COLON_EQ] = ACTIONS(4927),
    [anon_sym_LPAREN] = ACTIONS(6200),
    [anon_sym_PLUS_EQ] = ACTIONS(4927),
    [anon_sym_DASH_EQ] = ACTIONS(4927),
    [anon_sym_STAR_EQ] = ACTIONS(4927),
    [anon_sym_SLASH_EQ] = ACTIONS(4927),
    [anon_sym_PERCENT_EQ] = ACTIONS(4927),
    [anon_sym_AMP_EQ] = ACTIONS(4927),
    [anon_sym_PIPE_EQ] = ACTIONS(4927),
    [anon_sym_CARET_EQ] = ACTIONS(4927),
    [anon_sym_LT_LT_EQ] = ACTIONS(4927),
    [anon_sym_GT_GT_EQ] = ACTIONS(4927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4927),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4927),
    [anon_sym_if] = ACTIONS(4927),
    [anon_sym_SEMI] = ACTIONS(4927),
    [anon_sym_else] = ACTIONS(4927),
    [anon_sym_when] = ACTIONS(4927),
    [anon_sym_in] = ACTIONS(4927),
    [anon_sym_case] = ACTIONS(4927),
    [anon_sym_QMARK] = ACTIONS(4927),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_TILDE] = ACTIONS(4929),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_PIPE_PIPE] = ACTIONS(4929),
    [anon_sym_or_else] = ACTIONS(4927),
    [anon_sym_AMP_AMP] = ACTIONS(4929),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4927),
    [anon_sym_LT_EQ] = ACTIONS(4927),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4927),
    [anon_sym_BANG_EQ] = ACTIONS(4927),
    [anon_sym_TILDE_EQ] = ACTIONS(4927),
    [anon_sym_AMP_TILDE] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4929),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4929),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4929),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4927),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_LBRACK] = ACTIONS(4927),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4927),
    [anon_sym_not_in] = ACTIONS(4927),
    [anon_sym_or_return] = ACTIONS(4927),
    [anon_sym_or_continue] = ACTIONS(4927),
    [anon_sym_or_break] = ACTIONS(4927),
    [anon_sym_CARET] = ACTIONS(4929),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4927),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2023] = {
    [aux_sym_struct_type_repeat2] = STATE(2023),
    [anon_sym_LBRACE] = ACTIONS(6203),
    [anon_sym_RBRACE] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_COLON_EQ] = ACTIONS(4866),
    [anon_sym_LPAREN] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4866),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4866),
    [anon_sym_if] = ACTIONS(4866),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym_else] = ACTIONS(4866),
    [anon_sym_when] = ACTIONS(4866),
    [anon_sym_in] = ACTIONS(4866),
    [anon_sym_case] = ACTIONS(4866),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_TILDE] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4868),
    [anon_sym_or_else] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4868),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4866),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_TILDE_EQ] = ACTIONS(4866),
    [anon_sym_AMP_TILDE] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4866),
    [anon_sym_not_in] = ACTIONS(4866),
    [anon_sym_or_return] = ACTIONS(4866),
    [anon_sym_or_continue] = ACTIONS(4866),
    [anon_sym_or_break] = ACTIONS(4866),
    [anon_sym_CARET] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4866),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2024] = {
    [aux_sym_struct_type_repeat2] = STATE(2024),
    [anon_sym_LBRACE] = ACTIONS(6206),
    [anon_sym_COMMA] = ACTIONS(4866),
    [anon_sym_COLON_COLON] = ACTIONS(4866),
    [anon_sym_DASH_GT] = ACTIONS(4866),
    [anon_sym_where] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4868),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_PIPE] = ACTIONS(4868),
    [anon_sym_COLON_EQ] = ACTIONS(4866),
    [anon_sym_LPAREN] = ACTIONS(4866),
    [anon_sym_PLUS_EQ] = ACTIONS(4866),
    [anon_sym_DASH_EQ] = ACTIONS(4866),
    [anon_sym_STAR_EQ] = ACTIONS(4866),
    [anon_sym_SLASH_EQ] = ACTIONS(4866),
    [anon_sym_PERCENT_EQ] = ACTIONS(4866),
    [anon_sym_AMP_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_CARET_EQ] = ACTIONS(4866),
    [anon_sym_LT_LT_EQ] = ACTIONS(4866),
    [anon_sym_GT_GT_EQ] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4866),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4866),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4866),
    [anon_sym_if] = ACTIONS(4866),
    [anon_sym_SEMI] = ACTIONS(4866),
    [anon_sym_do] = ACTIONS(4866),
    [anon_sym_when] = ACTIONS(4866),
    [anon_sym_in] = ACTIONS(4866),
    [anon_sym_QMARK] = ACTIONS(4866),
    [anon_sym_PLUS] = ACTIONS(4868),
    [anon_sym_DASH] = ACTIONS(4868),
    [anon_sym_TILDE] = ACTIONS(4868),
    [anon_sym_AMP] = ACTIONS(4868),
    [anon_sym_PIPE_PIPE] = ACTIONS(4868),
    [anon_sym_or_else] = ACTIONS(4866),
    [anon_sym_AMP_AMP] = ACTIONS(4868),
    [anon_sym_GT] = ACTIONS(4868),
    [anon_sym_GT_EQ] = ACTIONS(4866),
    [anon_sym_LT_EQ] = ACTIONS(4866),
    [anon_sym_LT] = ACTIONS(4868),
    [anon_sym_EQ_EQ] = ACTIONS(4866),
    [anon_sym_BANG_EQ] = ACTIONS(4866),
    [anon_sym_TILDE_EQ] = ACTIONS(4866),
    [anon_sym_AMP_TILDE] = ACTIONS(4868),
    [anon_sym_LT_LT] = ACTIONS(4868),
    [anon_sym_GT_GT] = ACTIONS(4868),
    [anon_sym_STAR] = ACTIONS(4868),
    [anon_sym_SLASH] = ACTIONS(4868),
    [anon_sym_PERCENT] = ACTIONS(4868),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4866),
    [anon_sym_DOT] = ACTIONS(4868),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4866),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4866),
    [anon_sym_not_in] = ACTIONS(4866),
    [anon_sym_or_return] = ACTIONS(4866),
    [anon_sym_or_continue] = ACTIONS(4866),
    [anon_sym_or_break] = ACTIONS(4866),
    [anon_sym_CARET] = ACTIONS(4868),
    [sym_uninitialized] = ACTIONS(4866),
    [sym_tag] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(6209),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_where] = ACTIONS(71),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(6211),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(71),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_when] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [sym_uninitialized] = ACTIONS(67),
    [sym_tag] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2026] = {
    [aux_sym_field_identifier_repeat1] = STATE(7116),
    [anon_sym_LBRACE] = ACTIONS(6213),
    [anon_sym_COMMA] = ACTIONS(4927),
    [anon_sym_COLON_COLON] = ACTIONS(4927),
    [anon_sym_DASH_GT] = ACTIONS(4927),
    [anon_sym_where] = ACTIONS(4927),
    [anon_sym_EQ] = ACTIONS(4929),
    [anon_sym_COLON] = ACTIONS(4929),
    [anon_sym_PIPE] = ACTIONS(4929),
    [anon_sym_COLON_EQ] = ACTIONS(4927),
    [anon_sym_LPAREN] = ACTIONS(6216),
    [anon_sym_PLUS_EQ] = ACTIONS(4927),
    [anon_sym_DASH_EQ] = ACTIONS(4927),
    [anon_sym_STAR_EQ] = ACTIONS(4927),
    [anon_sym_SLASH_EQ] = ACTIONS(4927),
    [anon_sym_PERCENT_EQ] = ACTIONS(4927),
    [anon_sym_AMP_EQ] = ACTIONS(4927),
    [anon_sym_PIPE_EQ] = ACTIONS(4927),
    [anon_sym_CARET_EQ] = ACTIONS(4927),
    [anon_sym_LT_LT_EQ] = ACTIONS(4927),
    [anon_sym_GT_GT_EQ] = ACTIONS(4927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4927),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4927),
    [anon_sym_if] = ACTIONS(4927),
    [anon_sym_SEMI] = ACTIONS(4927),
    [anon_sym_do] = ACTIONS(4927),
    [anon_sym_when] = ACTIONS(4927),
    [anon_sym_in] = ACTIONS(4927),
    [anon_sym_QMARK] = ACTIONS(4927),
    [anon_sym_PLUS] = ACTIONS(4929),
    [anon_sym_DASH] = ACTIONS(4929),
    [anon_sym_TILDE] = ACTIONS(4929),
    [anon_sym_AMP] = ACTIONS(4929),
    [anon_sym_PIPE_PIPE] = ACTIONS(4929),
    [anon_sym_or_else] = ACTIONS(4927),
    [anon_sym_AMP_AMP] = ACTIONS(4929),
    [anon_sym_GT] = ACTIONS(4929),
    [anon_sym_GT_EQ] = ACTIONS(4927),
    [anon_sym_LT_EQ] = ACTIONS(4927),
    [anon_sym_LT] = ACTIONS(4929),
    [anon_sym_EQ_EQ] = ACTIONS(4927),
    [anon_sym_BANG_EQ] = ACTIONS(4927),
    [anon_sym_TILDE_EQ] = ACTIONS(4927),
    [anon_sym_AMP_TILDE] = ACTIONS(4929),
    [anon_sym_LT_LT] = ACTIONS(4929),
    [anon_sym_GT_GT] = ACTIONS(4929),
    [anon_sym_STAR] = ACTIONS(4929),
    [anon_sym_SLASH] = ACTIONS(4929),
    [anon_sym_PERCENT] = ACTIONS(4929),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4927),
    [anon_sym_DOT] = ACTIONS(4929),
    [anon_sym_LBRACK] = ACTIONS(4927),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4927),
    [anon_sym_not_in] = ACTIONS(4927),
    [anon_sym_or_return] = ACTIONS(4927),
    [anon_sym_or_continue] = ACTIONS(4927),
    [anon_sym_or_break] = ACTIONS(4927),
    [anon_sym_CARET] = ACTIONS(4929),
    [sym_uninitialized] = ACTIONS(4927),
    [sym_tag] = ACTIONS(4927),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(6219),
    [anon_sym_LBRACE] = ACTIONS(4954),
    [anon_sym_COMMA] = ACTIONS(4954),
    [anon_sym_COLON_COLON] = ACTIONS(4954),
    [anon_sym_DASH_GT] = ACTIONS(4954),
    [anon_sym_where] = ACTIONS(4956),
    [anon_sym_EQ] = ACTIONS(4956),
    [anon_sym_COLON] = ACTIONS(4956),
    [anon_sym_PIPE] = ACTIONS(4956),
    [anon_sym_COLON_EQ] = ACTIONS(4954),
    [anon_sym_LPAREN] = ACTIONS(4954),
    [anon_sym_PLUS_EQ] = ACTIONS(4954),
    [anon_sym_DASH_EQ] = ACTIONS(4954),
    [anon_sym_STAR_EQ] = ACTIONS(4954),
    [anon_sym_SLASH_EQ] = ACTIONS(4954),
    [anon_sym_PERCENT_EQ] = ACTIONS(4954),
    [anon_sym_AMP_EQ] = ACTIONS(4954),
    [anon_sym_PIPE_EQ] = ACTIONS(4954),
    [anon_sym_CARET_EQ] = ACTIONS(4954),
    [anon_sym_LT_LT_EQ] = ACTIONS(4954),
    [anon_sym_GT_GT_EQ] = ACTIONS(4954),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4954),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4954),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4954),
    [anon_sym_if] = ACTIONS(4956),
    [anon_sym_SEMI] = ACTIONS(4954),
    [anon_sym_do] = ACTIONS(4956),
    [anon_sym_when] = ACTIONS(4956),
    [anon_sym_in] = ACTIONS(4956),
    [anon_sym_QMARK] = ACTIONS(4954),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_TILDE] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(4956),
    [anon_sym_PIPE_PIPE] = ACTIONS(4956),
    [anon_sym_or_else] = ACTIONS(4956),
    [anon_sym_AMP_AMP] = ACTIONS(4956),
    [anon_sym_GT] = ACTIONS(4956),
    [anon_sym_GT_EQ] = ACTIONS(4954),
    [anon_sym_LT_EQ] = ACTIONS(4954),
    [anon_sym_LT] = ACTIONS(4956),
    [anon_sym_EQ_EQ] = ACTIONS(4954),
    [anon_sym_BANG_EQ] = ACTIONS(4954),
    [anon_sym_TILDE_EQ] = ACTIONS(4954),
    [anon_sym_AMP_TILDE] = ACTIONS(4956),
    [anon_sym_LT_LT] = ACTIONS(4956),
    [anon_sym_GT_GT] = ACTIONS(4956),
    [anon_sym_STAR] = ACTIONS(4956),
    [anon_sym_SLASH] = ACTIONS(4956),
    [anon_sym_PERCENT] = ACTIONS(4956),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4954),
    [anon_sym_DOT] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4954),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4954),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4954),
    [anon_sym_not_in] = ACTIONS(4956),
    [anon_sym_or_return] = ACTIONS(4956),
    [anon_sym_or_continue] = ACTIONS(4956),
    [anon_sym_or_break] = ACTIONS(4956),
    [anon_sym_CARET] = ACTIONS(4956),
    [sym_uninitialized] = ACTIONS(4954),
    [sym_tag] = ACTIONS(4954),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2028] = {
    [aux_sym_struct_type_repeat2] = STATE(2023),
    [anon_sym_LBRACE] = ACTIONS(5076),
    [anon_sym_RBRACE] = ACTIONS(5076),
    [anon_sym_COMMA] = ACTIONS(5076),
    [anon_sym_COLON_COLON] = ACTIONS(5076),
    [anon_sym_DASH_GT] = ACTIONS(5076),
    [anon_sym_EQ] = ACTIONS(5078),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5078),
    [anon_sym_COLON_EQ] = ACTIONS(5076),
    [anon_sym_LPAREN] = ACTIONS(5076),
    [anon_sym_PLUS_EQ] = ACTIONS(5076),
    [anon_sym_DASH_EQ] = ACTIONS(5076),
    [anon_sym_STAR_EQ] = ACTIONS(5076),
    [anon_sym_SLASH_EQ] = ACTIONS(5076),
    [anon_sym_PERCENT_EQ] = ACTIONS(5076),
    [anon_sym_AMP_EQ] = ACTIONS(5076),
    [anon_sym_PIPE_EQ] = ACTIONS(5076),
    [anon_sym_CARET_EQ] = ACTIONS(5076),
    [anon_sym_LT_LT_EQ] = ACTIONS(5076),
    [anon_sym_GT_GT_EQ] = ACTIONS(5076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5076),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5076),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5076),
    [anon_sym_if] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5076),
    [anon_sym_else] = ACTIONS(5076),
    [anon_sym_when] = ACTIONS(5076),
    [anon_sym_in] = ACTIONS(5076),
    [anon_sym_case] = ACTIONS(5076),
    [anon_sym_QMARK] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_TILDE] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym_PIPE_PIPE] = ACTIONS(5078),
    [anon_sym_or_else] = ACTIONS(5076),
    [anon_sym_AMP_AMP] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5078),
    [anon_sym_GT_EQ] = ACTIONS(5076),
    [anon_sym_LT_EQ] = ACTIONS(5076),
    [anon_sym_LT] = ACTIONS(5078),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5076),
    [anon_sym_TILDE_EQ] = ACTIONS(5076),
    [anon_sym_AMP_TILDE] = ACTIONS(5078),
    [anon_sym_LT_LT] = ACTIONS(5078),
    [anon_sym_GT_GT] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5078),
    [anon_sym_SLASH] = ACTIONS(5078),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5076),
    [anon_sym_DOT] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5076),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5076),
    [anon_sym_not_in] = ACTIONS(5076),
    [anon_sym_or_return] = ACTIONS(5076),
    [anon_sym_or_continue] = ACTIONS(5076),
    [anon_sym_or_break] = ACTIONS(5076),
    [anon_sym_CARET] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5076),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2029] = {
    [sym_block] = STATE(2239),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4765),
    [anon_sym_COLON_COLON] = ACTIONS(4765),
    [anon_sym_DASH_GT] = ACTIONS(4765),
    [anon_sym_where] = ACTIONS(4765),
    [anon_sym_EQ] = ACTIONS(4767),
    [anon_sym_COLON] = ACTIONS(4767),
    [anon_sym_PIPE] = ACTIONS(4767),
    [anon_sym_COLON_EQ] = ACTIONS(4765),
    [anon_sym_LPAREN] = ACTIONS(4765),
    [anon_sym_PLUS_EQ] = ACTIONS(4765),
    [anon_sym_DASH_EQ] = ACTIONS(4765),
    [anon_sym_STAR_EQ] = ACTIONS(4765),
    [anon_sym_SLASH_EQ] = ACTIONS(4765),
    [anon_sym_PERCENT_EQ] = ACTIONS(4765),
    [anon_sym_AMP_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_CARET_EQ] = ACTIONS(4765),
    [anon_sym_LT_LT_EQ] = ACTIONS(4765),
    [anon_sym_GT_GT_EQ] = ACTIONS(4765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_if] = ACTIONS(4765),
    [anon_sym_SEMI] = ACTIONS(4765),
    [anon_sym_do] = ACTIONS(4765),
    [anon_sym_when] = ACTIONS(4765),
    [anon_sym_in] = ACTIONS(4765),
    [anon_sym_QMARK] = ACTIONS(4765),
    [anon_sym_PLUS] = ACTIONS(4767),
    [anon_sym_DASH] = ACTIONS(4767),
    [anon_sym_TILDE] = ACTIONS(4767),
    [anon_sym_AMP] = ACTIONS(4767),
    [anon_sym_PIPE_PIPE] = ACTIONS(4767),
    [anon_sym_or_else] = ACTIONS(4765),
    [anon_sym_AMP_AMP] = ACTIONS(4767),
    [anon_sym_GT] = ACTIONS(4767),
    [anon_sym_GT_EQ] = ACTIONS(4765),
    [anon_sym_LT_EQ] = ACTIONS(4765),
    [anon_sym_LT] = ACTIONS(4767),
    [anon_sym_EQ_EQ] = ACTIONS(4765),
    [anon_sym_BANG_EQ] = ACTIONS(4765),
    [anon_sym_TILDE_EQ] = ACTIONS(4765),
    [anon_sym_AMP_TILDE] = ACTIONS(4767),
    [anon_sym_LT_LT] = ACTIONS(4767),
    [anon_sym_GT_GT] = ACTIONS(4767),
    [anon_sym_STAR] = ACTIONS(4767),
    [anon_sym_SLASH] = ACTIONS(4767),
    [anon_sym_PERCENT] = ACTIONS(4767),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4765),
    [anon_sym_DOT] = ACTIONS(4767),
    [anon_sym_LBRACK] = ACTIONS(4765),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4765),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4765),
    [anon_sym_not_in] = ACTIONS(4765),
    [anon_sym_or_return] = ACTIONS(4765),
    [anon_sym_or_continue] = ACTIONS(4765),
    [anon_sym_or_break] = ACTIONS(4765),
    [anon_sym_CARET] = ACTIONS(4767),
    [sym_uninitialized] = ACTIONS(6221),
    [sym_tag] = ACTIONS(4765),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2030] = {
    [aux_sym_where_clause_repeat1] = STATE(2031),
    [anon_sym_LBRACE] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(6223),
    [anon_sym_COLON_COLON] = ACTIONS(4692),
    [anon_sym_DASH_GT] = ACTIONS(4692),
    [anon_sym_where] = ACTIONS(4692),
    [anon_sym_EQ] = ACTIONS(4696),
    [anon_sym_COLON] = ACTIONS(4696),
    [anon_sym_PIPE] = ACTIONS(4696),
    [anon_sym_COLON_EQ] = ACTIONS(4692),
    [anon_sym_LPAREN] = ACTIONS(4692),
    [anon_sym_PLUS_EQ] = ACTIONS(4692),
    [anon_sym_DASH_EQ] = ACTIONS(4692),
    [anon_sym_STAR_EQ] = ACTIONS(4692),
    [anon_sym_SLASH_EQ] = ACTIONS(4692),
    [anon_sym_PERCENT_EQ] = ACTIONS(4692),
    [anon_sym_AMP_EQ] = ACTIONS(4692),
    [anon_sym_PIPE_EQ] = ACTIONS(4692),
    [anon_sym_CARET_EQ] = ACTIONS(4692),
    [anon_sym_LT_LT_EQ] = ACTIONS(4692),
    [anon_sym_GT_GT_EQ] = ACTIONS(4692),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4692),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4692),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4692),
    [anon_sym_if] = ACTIONS(4692),
    [anon_sym_SEMI] = ACTIONS(4692),
    [anon_sym_do] = ACTIONS(4692),
    [anon_sym_when] = ACTIONS(4692),
    [anon_sym_in] = ACTIONS(4692),
    [anon_sym_QMARK] = ACTIONS(4692),
    [anon_sym_PLUS] = ACTIONS(4696),
    [anon_sym_DASH] = ACTIONS(4696),
    [anon_sym_TILDE] = ACTIONS(4696),
    [anon_sym_AMP] = ACTIONS(4696),
    [anon_sym_PIPE_PIPE] = ACTIONS(4696),
    [anon_sym_or_else] = ACTIONS(4692),
    [anon_sym_AMP_AMP] = ACTIONS(4696),
    [anon_sym_GT] = ACTIONS(4696),
    [anon_sym_GT_EQ] = ACTIONS(4692),
    [anon_sym_LT_EQ] = ACTIONS(4692),
    [anon_sym_LT] = ACTIONS(4696),
    [anon_sym_EQ_EQ] = ACTIONS(4692),
    [anon_sym_BANG_EQ] = ACTIONS(4692),
    [anon_sym_TILDE_EQ] = ACTIONS(4692),
    [anon_sym_AMP_TILDE] = ACTIONS(4696),
    [anon_sym_LT_LT] = ACTIONS(4696),
    [anon_sym_GT_GT] = ACTIONS(4696),
    [anon_sym_STAR] = ACTIONS(4696),
    [anon_sym_SLASH] = ACTIONS(4696),
    [anon_sym_PERCENT] = ACTIONS(4696),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4692),
    [anon_sym_DOT] = ACTIONS(4696),
    [anon_sym_LBRACK] = ACTIONS(4692),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4692),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4692),
    [anon_sym_not_in] = ACTIONS(4692),
    [anon_sym_or_return] = ACTIONS(4692),
    [anon_sym_or_continue] = ACTIONS(4692),
    [anon_sym_or_break] = ACTIONS(4692),
    [anon_sym_CARET] = ACTIONS(4696),
    [sym_uninitialized] = ACTIONS(4692),
    [sym_tag] = ACTIONS(4692),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2031] = {
    [aux_sym_where_clause_repeat1] = STATE(2031),
    [anon_sym_LBRACE] = ACTIONS(4710),
    [anon_sym_COMMA] = ACTIONS(6225),
    [anon_sym_COLON_COLON] = ACTIONS(4710),
    [anon_sym_DASH_GT] = ACTIONS(4710),
    [anon_sym_where] = ACTIONS(4710),
    [anon_sym_EQ] = ACTIONS(4715),
    [anon_sym_COLON] = ACTIONS(4715),
    [anon_sym_PIPE] = ACTIONS(4715),
    [anon_sym_COLON_EQ] = ACTIONS(4710),
    [anon_sym_LPAREN] = ACTIONS(4710),
    [anon_sym_PLUS_EQ] = ACTIONS(4710),
    [anon_sym_DASH_EQ] = ACTIONS(4710),
    [anon_sym_STAR_EQ] = ACTIONS(4710),
    [anon_sym_SLASH_EQ] = ACTIONS(4710),
    [anon_sym_PERCENT_EQ] = ACTIONS(4710),
    [anon_sym_AMP_EQ] = ACTIONS(4710),
    [anon_sym_PIPE_EQ] = ACTIONS(4710),
    [anon_sym_CARET_EQ] = ACTIONS(4710),
    [anon_sym_LT_LT_EQ] = ACTIONS(4710),
    [anon_sym_GT_GT_EQ] = ACTIONS(4710),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4710),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4710),
    [anon_sym_if] = ACTIONS(4710),
    [anon_sym_SEMI] = ACTIONS(4710),
    [anon_sym_do] = ACTIONS(4710),
    [anon_sym_when] = ACTIONS(4710),
    [anon_sym_in] = ACTIONS(4710),
    [anon_sym_QMARK] = ACTIONS(4710),
    [anon_sym_PLUS] = ACTIONS(4715),
    [anon_sym_DASH] = ACTIONS(4715),
    [anon_sym_TILDE] = ACTIONS(4715),
    [anon_sym_AMP] = ACTIONS(4715),
    [anon_sym_PIPE_PIPE] = ACTIONS(4715),
    [anon_sym_or_else] = ACTIONS(4710),
    [anon_sym_AMP_AMP] = ACTIONS(4715),
    [anon_sym_GT] = ACTIONS(4715),
    [anon_sym_GT_EQ] = ACTIONS(4710),
    [anon_sym_LT_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(4715),
    [anon_sym_EQ_EQ] = ACTIONS(4710),
    [anon_sym_BANG_EQ] = ACTIONS(4710),
    [anon_sym_TILDE_EQ] = ACTIONS(4710),
    [anon_sym_AMP_TILDE] = ACTIONS(4715),
    [anon_sym_LT_LT] = ACTIONS(4715),
    [anon_sym_GT_GT] = ACTIONS(4715),
    [anon_sym_STAR] = ACTIONS(4715),
    [anon_sym_SLASH] = ACTIONS(4715),
    [anon_sym_PERCENT] = ACTIONS(4715),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4710),
    [anon_sym_DOT] = ACTIONS(4715),
    [anon_sym_LBRACK] = ACTIONS(4710),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4710),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4710),
    [anon_sym_not_in] = ACTIONS(4710),
    [anon_sym_or_return] = ACTIONS(4710),
    [anon_sym_or_continue] = ACTIONS(4710),
    [anon_sym_or_break] = ACTIONS(4710),
    [anon_sym_CARET] = ACTIONS(4715),
    [sym_uninitialized] = ACTIONS(4710),
    [sym_tag] = ACTIONS(4710),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2032] = {
    [sym_block] = STATE(2248),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_COLON_COLON] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_where] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4773),
    [anon_sym_COLON] = ACTIONS(4773),
    [anon_sym_PIPE] = ACTIONS(4773),
    [anon_sym_COLON_EQ] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_do] = ACTIONS(4771),
    [anon_sym_when] = ACTIONS(4771),
    [anon_sym_in] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4773),
    [anon_sym_DASH] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_AMP] = ACTIONS(4773),
    [anon_sym_PIPE_PIPE] = ACTIONS(4773),
    [anon_sym_or_else] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4773),
    [anon_sym_GT] = ACTIONS(4773),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4773),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE] = ACTIONS(4773),
    [anon_sym_LT_LT] = ACTIONS(4773),
    [anon_sym_GT_GT] = ACTIONS(4773),
    [anon_sym_STAR] = ACTIONS(4773),
    [anon_sym_SLASH] = ACTIONS(4773),
    [anon_sym_PERCENT] = ACTIONS(4773),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4771),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4771),
    [anon_sym_not_in] = ACTIONS(4771),
    [anon_sym_or_return] = ACTIONS(4771),
    [anon_sym_or_continue] = ACTIONS(4771),
    [anon_sym_or_break] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4773),
    [sym_uninitialized] = ACTIONS(6228),
    [sym_tag] = ACTIONS(6230),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2033] = {
    [aux_sym_struct_type_repeat2] = STATE(2023),
    [anon_sym_LBRACE] = ACTIONS(6232),
    [anon_sym_RBRACE] = ACTIONS(5076),
    [anon_sym_COMMA] = ACTIONS(5076),
    [anon_sym_COLON_COLON] = ACTIONS(5076),
    [anon_sym_DASH_GT] = ACTIONS(5076),
    [anon_sym_EQ] = ACTIONS(5078),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5078),
    [anon_sym_COLON_EQ] = ACTIONS(5076),
    [anon_sym_LPAREN] = ACTIONS(5076),
    [anon_sym_PLUS_EQ] = ACTIONS(5076),
    [anon_sym_DASH_EQ] = ACTIONS(5076),
    [anon_sym_STAR_EQ] = ACTIONS(5076),
    [anon_sym_SLASH_EQ] = ACTIONS(5076),
    [anon_sym_PERCENT_EQ] = ACTIONS(5076),
    [anon_sym_AMP_EQ] = ACTIONS(5076),
    [anon_sym_PIPE_EQ] = ACTIONS(5076),
    [anon_sym_CARET_EQ] = ACTIONS(5076),
    [anon_sym_LT_LT_EQ] = ACTIONS(5076),
    [anon_sym_GT_GT_EQ] = ACTIONS(5076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5076),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5076),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5076),
    [anon_sym_if] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5076),
    [anon_sym_else] = ACTIONS(5076),
    [anon_sym_when] = ACTIONS(5076),
    [anon_sym_in] = ACTIONS(5076),
    [anon_sym_case] = ACTIONS(5076),
    [anon_sym_QMARK] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_TILDE] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym_PIPE_PIPE] = ACTIONS(5078),
    [anon_sym_or_else] = ACTIONS(5076),
    [anon_sym_AMP_AMP] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5078),
    [anon_sym_GT_EQ] = ACTIONS(5076),
    [anon_sym_LT_EQ] = ACTIONS(5076),
    [anon_sym_LT] = ACTIONS(5078),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5076),
    [anon_sym_TILDE_EQ] = ACTIONS(5076),
    [anon_sym_AMP_TILDE] = ACTIONS(5078),
    [anon_sym_LT_LT] = ACTIONS(5078),
    [anon_sym_GT_GT] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5078),
    [anon_sym_SLASH] = ACTIONS(5078),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5076),
    [anon_sym_DOT] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5076),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5076),
    [anon_sym_not_in] = ACTIONS(5076),
    [anon_sym_or_return] = ACTIONS(5076),
    [anon_sym_or_continue] = ACTIONS(5076),
    [anon_sym_or_break] = ACTIONS(5076),
    [anon_sym_CARET] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5076),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2034] = {
    [aux_sym_struct_type_repeat2] = STATE(2023),
    [anon_sym_LBRACE] = ACTIONS(6232),
    [anon_sym_RBRACE] = ACTIONS(5178),
    [anon_sym_COMMA] = ACTIONS(5178),
    [anon_sym_COLON_COLON] = ACTIONS(5178),
    [anon_sym_DASH_GT] = ACTIONS(5178),
    [anon_sym_EQ] = ACTIONS(5180),
    [anon_sym_COLON] = ACTIONS(5180),
    [anon_sym_PIPE] = ACTIONS(5180),
    [anon_sym_COLON_EQ] = ACTIONS(5178),
    [anon_sym_LPAREN] = ACTIONS(5178),
    [anon_sym_PLUS_EQ] = ACTIONS(5178),
    [anon_sym_DASH_EQ] = ACTIONS(5178),
    [anon_sym_STAR_EQ] = ACTIONS(5178),
    [anon_sym_SLASH_EQ] = ACTIONS(5178),
    [anon_sym_PERCENT_EQ] = ACTIONS(5178),
    [anon_sym_AMP_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_CARET_EQ] = ACTIONS(5178),
    [anon_sym_LT_LT_EQ] = ACTIONS(5178),
    [anon_sym_GT_GT_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5178),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_if] = ACTIONS(5178),
    [anon_sym_SEMI] = ACTIONS(5178),
    [anon_sym_else] = ACTIONS(5178),
    [anon_sym_when] = ACTIONS(5178),
    [anon_sym_in] = ACTIONS(5178),
    [anon_sym_case] = ACTIONS(5178),
    [anon_sym_QMARK] = ACTIONS(5178),
    [anon_sym_PLUS] = ACTIONS(5180),
    [anon_sym_DASH] = ACTIONS(5180),
    [anon_sym_TILDE] = ACTIONS(5180),
    [anon_sym_AMP] = ACTIONS(5180),
    [anon_sym_PIPE_PIPE] = ACTIONS(5180),
    [anon_sym_or_else] = ACTIONS(5178),
    [anon_sym_AMP_AMP] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5178),
    [anon_sym_LT_EQ] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_EQ_EQ] = ACTIONS(5178),
    [anon_sym_BANG_EQ] = ACTIONS(5178),
    [anon_sym_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_AMP_TILDE] = ACTIONS(5180),
    [anon_sym_LT_LT] = ACTIONS(5180),
    [anon_sym_GT_GT] = ACTIONS(5180),
    [anon_sym_STAR] = ACTIONS(5180),
    [anon_sym_SLASH] = ACTIONS(5180),
    [anon_sym_PERCENT] = ACTIONS(5180),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5178),
    [anon_sym_not_in] = ACTIONS(5178),
    [anon_sym_or_return] = ACTIONS(5178),
    [anon_sym_or_continue] = ACTIONS(5178),
    [anon_sym_or_break] = ACTIONS(5178),
    [anon_sym_CARET] = ACTIONS(5180),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5178),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2035] = {
    [aux_sym_struct_type_repeat2] = STATE(2023),
    [anon_sym_LBRACE] = ACTIONS(5130),
    [anon_sym_RBRACE] = ACTIONS(5130),
    [anon_sym_COMMA] = ACTIONS(5130),
    [anon_sym_COLON_COLON] = ACTIONS(5130),
    [anon_sym_DASH_GT] = ACTIONS(5130),
    [anon_sym_EQ] = ACTIONS(5132),
    [anon_sym_COLON] = ACTIONS(5132),
    [anon_sym_PIPE] = ACTIONS(5132),
    [anon_sym_COLON_EQ] = ACTIONS(5130),
    [anon_sym_LPAREN] = ACTIONS(5130),
    [anon_sym_PLUS_EQ] = ACTIONS(5130),
    [anon_sym_DASH_EQ] = ACTIONS(5130),
    [anon_sym_STAR_EQ] = ACTIONS(5130),
    [anon_sym_SLASH_EQ] = ACTIONS(5130),
    [anon_sym_PERCENT_EQ] = ACTIONS(5130),
    [anon_sym_AMP_EQ] = ACTIONS(5130),
    [anon_sym_PIPE_EQ] = ACTIONS(5130),
    [anon_sym_CARET_EQ] = ACTIONS(5130),
    [anon_sym_LT_LT_EQ] = ACTIONS(5130),
    [anon_sym_GT_GT_EQ] = ACTIONS(5130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5130),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5130),
    [anon_sym_if] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5130),
    [anon_sym_else] = ACTIONS(5130),
    [anon_sym_when] = ACTIONS(5130),
    [anon_sym_in] = ACTIONS(5130),
    [anon_sym_case] = ACTIONS(5130),
    [anon_sym_QMARK] = ACTIONS(5130),
    [anon_sym_PLUS] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5132),
    [anon_sym_TILDE] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(5132),
    [anon_sym_PIPE_PIPE] = ACTIONS(5132),
    [anon_sym_or_else] = ACTIONS(5130),
    [anon_sym_AMP_AMP] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5132),
    [anon_sym_GT_EQ] = ACTIONS(5130),
    [anon_sym_LT_EQ] = ACTIONS(5130),
    [anon_sym_LT] = ACTIONS(5132),
    [anon_sym_EQ_EQ] = ACTIONS(5130),
    [anon_sym_BANG_EQ] = ACTIONS(5130),
    [anon_sym_TILDE_EQ] = ACTIONS(5130),
    [anon_sym_AMP_TILDE] = ACTIONS(5132),
    [anon_sym_LT_LT] = ACTIONS(5132),
    [anon_sym_GT_GT] = ACTIONS(5132),
    [anon_sym_STAR] = ACTIONS(5132),
    [anon_sym_SLASH] = ACTIONS(5132),
    [anon_sym_PERCENT] = ACTIONS(5132),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5130),
    [anon_sym_not_in] = ACTIONS(5130),
    [anon_sym_or_return] = ACTIONS(5130),
    [anon_sym_or_continue] = ACTIONS(5130),
    [anon_sym_or_break] = ACTIONS(5130),
    [anon_sym_CARET] = ACTIONS(5132),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5130),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2036] = {
    [sym_block] = STATE(2248),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_COLON_COLON] = ACTIONS(4771),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_where] = ACTIONS(4771),
    [anon_sym_EQ] = ACTIONS(4773),
    [anon_sym_COLON] = ACTIONS(4773),
    [anon_sym_PIPE] = ACTIONS(4773),
    [anon_sym_COLON_EQ] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_PLUS_EQ] = ACTIONS(4771),
    [anon_sym_DASH_EQ] = ACTIONS(4771),
    [anon_sym_STAR_EQ] = ACTIONS(4771),
    [anon_sym_SLASH_EQ] = ACTIONS(4771),
    [anon_sym_PERCENT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_CARET_EQ] = ACTIONS(4771),
    [anon_sym_LT_LT_EQ] = ACTIONS(4771),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_if] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_do] = ACTIONS(4771),
    [anon_sym_when] = ACTIONS(4771),
    [anon_sym_in] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4773),
    [anon_sym_DASH] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4773),
    [anon_sym_AMP] = ACTIONS(4773),
    [anon_sym_PIPE_PIPE] = ACTIONS(4773),
    [anon_sym_or_else] = ACTIONS(4771),
    [anon_sym_AMP_AMP] = ACTIONS(4773),
    [anon_sym_GT] = ACTIONS(4773),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4773),
    [anon_sym_EQ_EQ] = ACTIONS(4771),
    [anon_sym_BANG_EQ] = ACTIONS(4771),
    [anon_sym_TILDE_EQ] = ACTIONS(4771),
    [anon_sym_AMP_TILDE] = ACTIONS(4773),
    [anon_sym_LT_LT] = ACTIONS(4773),
    [anon_sym_GT_GT] = ACTIONS(4773),
    [anon_sym_STAR] = ACTIONS(4773),
    [anon_sym_SLASH] = ACTIONS(4773),
    [anon_sym_PERCENT] = ACTIONS(4773),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4771),
    [anon_sym_DOT] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4771),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4771),
    [anon_sym_not_in] = ACTIONS(4771),
    [anon_sym_or_return] = ACTIONS(4771),
    [anon_sym_or_continue] = ACTIONS(4771),
    [anon_sym_or_break] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4773),
    [sym_uninitialized] = ACTIONS(6228),
    [sym_tag] = ACTIONS(4771),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2037] = {
    [sym_block] = STATE(2258),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_do] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(6067),
    [sym_tag] = ACTIONS(4295),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2038] = {
    [anon_sym_LBRACE] = ACTIONS(4523),
    [anon_sym_RBRACE] = ACTIONS(4523),
    [anon_sym_COMMA] = ACTIONS(4523),
    [anon_sym_COLON_COLON] = ACTIONS(4523),
    [anon_sym_DASH_GT] = ACTIONS(4523),
    [anon_sym_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4525),
    [anon_sym_COLON_EQ] = ACTIONS(4523),
    [anon_sym_LPAREN] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_if] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_else] = ACTIONS(4523),
    [anon_sym_when] = ACTIONS(4523),
    [anon_sym_in] = ACTIONS(4523),
    [anon_sym_case] = ACTIONS(4523),
    [anon_sym_QMARK] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4525),
    [anon_sym_DASH] = ACTIONS(4525),
    [anon_sym_TILDE] = ACTIONS(4525),
    [anon_sym_AMP] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE] = ACTIONS(4525),
    [anon_sym_or_else] = ACTIONS(4523),
    [anon_sym_AMP_AMP] = ACTIONS(4525),
    [anon_sym_GT] = ACTIONS(4525),
    [anon_sym_GT_EQ] = ACTIONS(4523),
    [anon_sym_LT_EQ] = ACTIONS(4523),
    [anon_sym_LT] = ACTIONS(4525),
    [anon_sym_EQ_EQ] = ACTIONS(4523),
    [anon_sym_BANG_EQ] = ACTIONS(4523),
    [anon_sym_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE] = ACTIONS(4525),
    [anon_sym_LT_LT] = ACTIONS(4525),
    [anon_sym_GT_GT] = ACTIONS(4525),
    [anon_sym_STAR] = ACTIONS(4525),
    [anon_sym_SLASH] = ACTIONS(4525),
    [anon_sym_PERCENT] = ACTIONS(4525),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4523),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4523),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4523),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4523),
    [anon_sym_not_in] = ACTIONS(4523),
    [anon_sym_or_return] = ACTIONS(4523),
    [anon_sym_or_continue] = ACTIONS(4523),
    [anon_sym_or_break] = ACTIONS(4523),
    [anon_sym_CARET] = ACTIONS(4525),
    [anon_sym_DOT2] = ACTIONS(4525),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4523),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2039] = {
    [sym_block] = STATE(2262),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_do] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(6047),
    [sym_tag] = ACTIONS(4355),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2040] = {
    [sym_block] = STATE(2258),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_COLON_COLON] = ACTIONS(4295),
    [anon_sym_DASH_GT] = ACTIONS(4295),
    [anon_sym_where] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4297),
    [anon_sym_COLON] = ACTIONS(4297),
    [anon_sym_PIPE] = ACTIONS(4297),
    [anon_sym_COLON_EQ] = ACTIONS(4295),
    [anon_sym_LPAREN] = ACTIONS(4295),
    [anon_sym_PLUS_EQ] = ACTIONS(4295),
    [anon_sym_DASH_EQ] = ACTIONS(4295),
    [anon_sym_STAR_EQ] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [anon_sym_PERCENT_EQ] = ACTIONS(4295),
    [anon_sym_AMP_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_CARET_EQ] = ACTIONS(4295),
    [anon_sym_LT_LT_EQ] = ACTIONS(4295),
    [anon_sym_GT_GT_EQ] = ACTIONS(4295),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(4295),
    [anon_sym_SEMI] = ACTIONS(4295),
    [anon_sym_do] = ACTIONS(4295),
    [anon_sym_when] = ACTIONS(4295),
    [anon_sym_in] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4297),
    [anon_sym_DASH] = ACTIONS(4297),
    [anon_sym_TILDE] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(4297),
    [anon_sym_PIPE_PIPE] = ACTIONS(4297),
    [anon_sym_or_else] = ACTIONS(4295),
    [anon_sym_AMP_AMP] = ACTIONS(4297),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_TILDE_EQ] = ACTIONS(4295),
    [anon_sym_AMP_TILDE] = ACTIONS(4297),
    [anon_sym_LT_LT] = ACTIONS(4297),
    [anon_sym_GT_GT] = ACTIONS(4297),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4297),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4295),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4295),
    [anon_sym_not_in] = ACTIONS(4295),
    [anon_sym_or_return] = ACTIONS(4295),
    [anon_sym_or_continue] = ACTIONS(4295),
    [anon_sym_or_break] = ACTIONS(4295),
    [anon_sym_CARET] = ACTIONS(4297),
    [sym_uninitialized] = ACTIONS(6067),
    [sym_tag] = ACTIONS(6069),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2041] = {
    [aux_sym_struct_type_repeat2] = STATE(2023),
    [anon_sym_LBRACE] = ACTIONS(5178),
    [anon_sym_RBRACE] = ACTIONS(5178),
    [anon_sym_COMMA] = ACTIONS(5178),
    [anon_sym_COLON_COLON] = ACTIONS(5178),
    [anon_sym_DASH_GT] = ACTIONS(5178),
    [anon_sym_EQ] = ACTIONS(5180),
    [anon_sym_COLON] = ACTIONS(5180),
    [anon_sym_PIPE] = ACTIONS(5180),
    [anon_sym_COLON_EQ] = ACTIONS(5178),
    [anon_sym_LPAREN] = ACTIONS(5178),
    [anon_sym_PLUS_EQ] = ACTIONS(5178),
    [anon_sym_DASH_EQ] = ACTIONS(5178),
    [anon_sym_STAR_EQ] = ACTIONS(5178),
    [anon_sym_SLASH_EQ] = ACTIONS(5178),
    [anon_sym_PERCENT_EQ] = ACTIONS(5178),
    [anon_sym_AMP_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_CARET_EQ] = ACTIONS(5178),
    [anon_sym_LT_LT_EQ] = ACTIONS(5178),
    [anon_sym_GT_GT_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5178),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_if] = ACTIONS(5178),
    [anon_sym_SEMI] = ACTIONS(5178),
    [anon_sym_else] = ACTIONS(5178),
    [anon_sym_when] = ACTIONS(5178),
    [anon_sym_in] = ACTIONS(5178),
    [anon_sym_case] = ACTIONS(5178),
    [anon_sym_QMARK] = ACTIONS(5178),
    [anon_sym_PLUS] = ACTIONS(5180),
    [anon_sym_DASH] = ACTIONS(5180),
    [anon_sym_TILDE] = ACTIONS(5180),
    [anon_sym_AMP] = ACTIONS(5180),
    [anon_sym_PIPE_PIPE] = ACTIONS(5180),
    [anon_sym_or_else] = ACTIONS(5178),
    [anon_sym_AMP_AMP] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5178),
    [anon_sym_LT_EQ] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_EQ_EQ] = ACTIONS(5178),
    [anon_sym_BANG_EQ] = ACTIONS(5178),
    [anon_sym_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_AMP_TILDE] = ACTIONS(5180),
    [anon_sym_LT_LT] = ACTIONS(5180),
    [anon_sym_GT_GT] = ACTIONS(5180),
    [anon_sym_STAR] = ACTIONS(5180),
    [anon_sym_SLASH] = ACTIONS(5180),
    [anon_sym_PERCENT] = ACTIONS(5180),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5178),
    [anon_sym_not_in] = ACTIONS(5178),
    [anon_sym_or_return] = ACTIONS(5178),
    [anon_sym_or_continue] = ACTIONS(5178),
    [anon_sym_or_break] = ACTIONS(5178),
    [anon_sym_CARET] = ACTIONS(5180),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5178),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2042] = {
    [sym_block] = STATE(2281),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4303),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_do] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(6057),
    [sym_tag] = ACTIONS(4303),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2043] = {
    [sym_block] = STATE(2281),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4303),
    [anon_sym_COLON_COLON] = ACTIONS(4303),
    [anon_sym_DASH_GT] = ACTIONS(4303),
    [anon_sym_where] = ACTIONS(4303),
    [anon_sym_EQ] = ACTIONS(4305),
    [anon_sym_COLON] = ACTIONS(4305),
    [anon_sym_PIPE] = ACTIONS(4305),
    [anon_sym_COLON_EQ] = ACTIONS(4303),
    [anon_sym_LPAREN] = ACTIONS(4303),
    [anon_sym_PLUS_EQ] = ACTIONS(4303),
    [anon_sym_DASH_EQ] = ACTIONS(4303),
    [anon_sym_STAR_EQ] = ACTIONS(4303),
    [anon_sym_SLASH_EQ] = ACTIONS(4303),
    [anon_sym_PERCENT_EQ] = ACTIONS(4303),
    [anon_sym_AMP_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_CARET_EQ] = ACTIONS(4303),
    [anon_sym_LT_LT_EQ] = ACTIONS(4303),
    [anon_sym_GT_GT_EQ] = ACTIONS(4303),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(4303),
    [anon_sym_SEMI] = ACTIONS(4303),
    [anon_sym_do] = ACTIONS(4303),
    [anon_sym_when] = ACTIONS(4303),
    [anon_sym_in] = ACTIONS(4303),
    [anon_sym_QMARK] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4305),
    [anon_sym_DASH] = ACTIONS(4305),
    [anon_sym_TILDE] = ACTIONS(4305),
    [anon_sym_AMP] = ACTIONS(4305),
    [anon_sym_PIPE_PIPE] = ACTIONS(4305),
    [anon_sym_or_else] = ACTIONS(4303),
    [anon_sym_AMP_AMP] = ACTIONS(4305),
    [anon_sym_GT] = ACTIONS(4305),
    [anon_sym_GT_EQ] = ACTIONS(4303),
    [anon_sym_LT_EQ] = ACTIONS(4303),
    [anon_sym_LT] = ACTIONS(4305),
    [anon_sym_EQ_EQ] = ACTIONS(4303),
    [anon_sym_BANG_EQ] = ACTIONS(4303),
    [anon_sym_TILDE_EQ] = ACTIONS(4303),
    [anon_sym_AMP_TILDE] = ACTIONS(4305),
    [anon_sym_LT_LT] = ACTIONS(4305),
    [anon_sym_GT_GT] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4305),
    [anon_sym_SLASH] = ACTIONS(4305),
    [anon_sym_PERCENT] = ACTIONS(4305),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4303),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LBRACK] = ACTIONS(4303),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4303),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4303),
    [anon_sym_not_in] = ACTIONS(4303),
    [anon_sym_or_return] = ACTIONS(4303),
    [anon_sym_or_continue] = ACTIONS(4303),
    [anon_sym_or_break] = ACTIONS(4303),
    [anon_sym_CARET] = ACTIONS(4305),
    [sym_uninitialized] = ACTIONS(6057),
    [sym_tag] = ACTIONS(6065),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2044] = {
    [sym_block] = STATE(2292),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4313),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_do] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(6051),
    [sym_tag] = ACTIONS(6055),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2045] = {
    [sym_block] = STATE(2292),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [anon_sym_DASH_GT] = ACTIONS(4313),
    [anon_sym_where] = ACTIONS(4313),
    [anon_sym_EQ] = ACTIONS(4315),
    [anon_sym_COLON] = ACTIONS(4315),
    [anon_sym_PIPE] = ACTIONS(4315),
    [anon_sym_COLON_EQ] = ACTIONS(4313),
    [anon_sym_LPAREN] = ACTIONS(4313),
    [anon_sym_PLUS_EQ] = ACTIONS(4313),
    [anon_sym_DASH_EQ] = ACTIONS(4313),
    [anon_sym_STAR_EQ] = ACTIONS(4313),
    [anon_sym_SLASH_EQ] = ACTIONS(4313),
    [anon_sym_PERCENT_EQ] = ACTIONS(4313),
    [anon_sym_AMP_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_CARET_EQ] = ACTIONS(4313),
    [anon_sym_LT_LT_EQ] = ACTIONS(4313),
    [anon_sym_GT_GT_EQ] = ACTIONS(4313),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(4313),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_do] = ACTIONS(4313),
    [anon_sym_when] = ACTIONS(4313),
    [anon_sym_in] = ACTIONS(4313),
    [anon_sym_QMARK] = ACTIONS(4313),
    [anon_sym_PLUS] = ACTIONS(4315),
    [anon_sym_DASH] = ACTIONS(4315),
    [anon_sym_TILDE] = ACTIONS(4315),
    [anon_sym_AMP] = ACTIONS(4315),
    [anon_sym_PIPE_PIPE] = ACTIONS(4315),
    [anon_sym_or_else] = ACTIONS(4313),
    [anon_sym_AMP_AMP] = ACTIONS(4315),
    [anon_sym_GT] = ACTIONS(4315),
    [anon_sym_GT_EQ] = ACTIONS(4313),
    [anon_sym_LT_EQ] = ACTIONS(4313),
    [anon_sym_LT] = ACTIONS(4315),
    [anon_sym_EQ_EQ] = ACTIONS(4313),
    [anon_sym_BANG_EQ] = ACTIONS(4313),
    [anon_sym_TILDE_EQ] = ACTIONS(4313),
    [anon_sym_AMP_TILDE] = ACTIONS(4315),
    [anon_sym_LT_LT] = ACTIONS(4315),
    [anon_sym_GT_GT] = ACTIONS(4315),
    [anon_sym_STAR] = ACTIONS(4315),
    [anon_sym_SLASH] = ACTIONS(4315),
    [anon_sym_PERCENT] = ACTIONS(4315),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4313),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4313),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4313),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4313),
    [anon_sym_not_in] = ACTIONS(4313),
    [anon_sym_or_return] = ACTIONS(4313),
    [anon_sym_or_continue] = ACTIONS(4313),
    [anon_sym_or_break] = ACTIONS(4313),
    [anon_sym_CARET] = ACTIONS(4315),
    [sym_uninitialized] = ACTIONS(6051),
    [sym_tag] = ACTIONS(4313),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2046] = {
    [aux_sym_field_type_repeat1] = STATE(2046),
    [anon_sym_RBRACE] = ACTIONS(4523),
    [anon_sym_COMMA] = ACTIONS(4523),
    [anon_sym_COLON_COLON] = ACTIONS(4523),
    [anon_sym_DASH_GT] = ACTIONS(4523),
    [anon_sym_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4525),
    [anon_sym_COLON_EQ] = ACTIONS(4523),
    [anon_sym_LPAREN] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_if] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_else] = ACTIONS(4523),
    [anon_sym_when] = ACTIONS(4523),
    [anon_sym_in] = ACTIONS(4523),
    [anon_sym_case] = ACTIONS(4523),
    [anon_sym_QMARK] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4525),
    [anon_sym_DASH] = ACTIONS(4525),
    [anon_sym_TILDE] = ACTIONS(4525),
    [anon_sym_AMP] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE] = ACTIONS(4525),
    [anon_sym_or_else] = ACTIONS(4523),
    [anon_sym_AMP_AMP] = ACTIONS(4525),
    [anon_sym_GT] = ACTIONS(4525),
    [anon_sym_GT_EQ] = ACTIONS(4523),
    [anon_sym_LT_EQ] = ACTIONS(4523),
    [anon_sym_LT] = ACTIONS(4525),
    [anon_sym_EQ_EQ] = ACTIONS(4523),
    [anon_sym_BANG_EQ] = ACTIONS(4523),
    [anon_sym_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE] = ACTIONS(4525),
    [anon_sym_LT_LT] = ACTIONS(4525),
    [anon_sym_GT_GT] = ACTIONS(4525),
    [anon_sym_STAR] = ACTIONS(4525),
    [anon_sym_SLASH] = ACTIONS(4525),
    [anon_sym_PERCENT] = ACTIONS(4525),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4523),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4523),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4523),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4523),
    [anon_sym_not_in] = ACTIONS(4523),
    [anon_sym_or_return] = ACTIONS(4523),
    [anon_sym_or_continue] = ACTIONS(4523),
    [anon_sym_or_break] = ACTIONS(4523),
    [anon_sym_CARET] = ACTIONS(4525),
    [anon_sym_DOT2] = ACTIONS(6234),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4523),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2047] = {
    [sym_block] = STATE(2262),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_where] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_COLON_EQ] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_if] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_do] = ACTIONS(4355),
    [anon_sym_when] = ACTIONS(4355),
    [anon_sym_in] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_TILDE] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4357),
    [anon_sym_or_else] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4357),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_TILDE_EQ] = ACTIONS(4355),
    [anon_sym_AMP_TILDE] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4355),
    [anon_sym_not_in] = ACTIONS(4355),
    [anon_sym_or_return] = ACTIONS(4355),
    [anon_sym_or_continue] = ACTIONS(4355),
    [anon_sym_or_break] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4357),
    [sym_uninitialized] = ACTIONS(6047),
    [sym_tag] = ACTIONS(6237),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2048] = {
    [aux_sym_struct_type_repeat2] = STATE(2023),
    [anon_sym_LBRACE] = ACTIONS(6232),
    [anon_sym_RBRACE] = ACTIONS(5130),
    [anon_sym_COMMA] = ACTIONS(5130),
    [anon_sym_COLON_COLON] = ACTIONS(5130),
    [anon_sym_DASH_GT] = ACTIONS(5130),
    [anon_sym_EQ] = ACTIONS(5132),
    [anon_sym_COLON] = ACTIONS(5132),
    [anon_sym_PIPE] = ACTIONS(5132),
    [anon_sym_COLON_EQ] = ACTIONS(5130),
    [anon_sym_LPAREN] = ACTIONS(5130),
    [anon_sym_PLUS_EQ] = ACTIONS(5130),
    [anon_sym_DASH_EQ] = ACTIONS(5130),
    [anon_sym_STAR_EQ] = ACTIONS(5130),
    [anon_sym_SLASH_EQ] = ACTIONS(5130),
    [anon_sym_PERCENT_EQ] = ACTIONS(5130),
    [anon_sym_AMP_EQ] = ACTIONS(5130),
    [anon_sym_PIPE_EQ] = ACTIONS(5130),
    [anon_sym_CARET_EQ] = ACTIONS(5130),
    [anon_sym_LT_LT_EQ] = ACTIONS(5130),
    [anon_sym_GT_GT_EQ] = ACTIONS(5130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5130),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5130),
    [anon_sym_if] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5130),
    [anon_sym_else] = ACTIONS(5130),
    [anon_sym_when] = ACTIONS(5130),
    [anon_sym_in] = ACTIONS(5130),
    [anon_sym_case] = ACTIONS(5130),
    [anon_sym_QMARK] = ACTIONS(5130),
    [anon_sym_PLUS] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5132),
    [anon_sym_TILDE] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(5132),
    [anon_sym_PIPE_PIPE] = ACTIONS(5132),
    [anon_sym_or_else] = ACTIONS(5130),
    [anon_sym_AMP_AMP] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5132),
    [anon_sym_GT_EQ] = ACTIONS(5130),
    [anon_sym_LT_EQ] = ACTIONS(5130),
    [anon_sym_LT] = ACTIONS(5132),
    [anon_sym_EQ_EQ] = ACTIONS(5130),
    [anon_sym_BANG_EQ] = ACTIONS(5130),
    [anon_sym_TILDE_EQ] = ACTIONS(5130),
    [anon_sym_AMP_TILDE] = ACTIONS(5132),
    [anon_sym_LT_LT] = ACTIONS(5132),
    [anon_sym_GT_GT] = ACTIONS(5132),
    [anon_sym_STAR] = ACTIONS(5132),
    [anon_sym_SLASH] = ACTIONS(5132),
    [anon_sym_PERCENT] = ACTIONS(5132),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5130),
    [anon_sym_not_in] = ACTIONS(5130),
    [anon_sym_or_return] = ACTIONS(5130),
    [anon_sym_or_continue] = ACTIONS(5130),
    [anon_sym_or_break] = ACTIONS(5130),
    [anon_sym_CARET] = ACTIONS(5132),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5130),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2049] = {
    [aux_sym_field_type_repeat1] = STATE(2021),
    [anon_sym_RBRACE] = ACTIONS(4491),
    [anon_sym_COMMA] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(4491),
    [anon_sym_DASH_GT] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_COLON_EQ] = ACTIONS(4491),
    [anon_sym_LPAREN] = ACTIONS(4491),
    [anon_sym_PLUS_EQ] = ACTIONS(4491),
    [anon_sym_DASH_EQ] = ACTIONS(4491),
    [anon_sym_STAR_EQ] = ACTIONS(4491),
    [anon_sym_SLASH_EQ] = ACTIONS(4491),
    [anon_sym_PERCENT_EQ] = ACTIONS(4491),
    [anon_sym_AMP_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_CARET_EQ] = ACTIONS(4491),
    [anon_sym_LT_LT_EQ] = ACTIONS(4491),
    [anon_sym_GT_GT_EQ] = ACTIONS(4491),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_if] = ACTIONS(4491),
    [anon_sym_SEMI] = ACTIONS(4491),
    [anon_sym_else] = ACTIONS(4491),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_in] = ACTIONS(4491),
    [anon_sym_case] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_TILDE] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4493),
    [anon_sym_or_else] = ACTIONS(4491),
    [anon_sym_AMP_AMP] = ACTIONS(4493),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4491),
    [anon_sym_LT_EQ] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4491),
    [anon_sym_BANG_EQ] = ACTIONS(4491),
    [anon_sym_TILDE_EQ] = ACTIONS(4491),
    [anon_sym_AMP_TILDE] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4491),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4491),
    [anon_sym_not_in] = ACTIONS(4491),
    [anon_sym_or_return] = ACTIONS(4491),
    [anon_sym_or_continue] = ACTIONS(4491),
    [anon_sym_or_break] = ACTIONS(4491),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_DOT2] = ACTIONS(6196),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4491),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2050] = {
    [sym_block] = STATE(2203),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_do] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(6039),
    [sym_tag] = ACTIONS(6041),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2051] = {
    [sym_block] = STATE(2203),
    [anon_sym_LBRACE] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4431),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_PIPE] = ACTIONS(4431),
    [anon_sym_COLON_EQ] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_PLUS_EQ] = ACTIONS(4427),
    [anon_sym_DASH_EQ] = ACTIONS(4427),
    [anon_sym_STAR_EQ] = ACTIONS(4427),
    [anon_sym_SLASH_EQ] = ACTIONS(4427),
    [anon_sym_PERCENT_EQ] = ACTIONS(4427),
    [anon_sym_AMP_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_CARET_EQ] = ACTIONS(4427),
    [anon_sym_LT_LT_EQ] = ACTIONS(4427),
    [anon_sym_GT_GT_EQ] = ACTIONS(4427),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_if] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_do] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_TILDE] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(4431),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_or_else] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4431),
    [anon_sym_GT] = ACTIONS(4431),
    [anon_sym_GT_EQ] = ACTIONS(4427),
    [anon_sym_LT_EQ] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_EQ_EQ] = ACTIONS(4427),
    [anon_sym_BANG_EQ] = ACTIONS(4427),
    [anon_sym_TILDE_EQ] = ACTIONS(4427),
    [anon_sym_AMP_TILDE] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4431),
    [anon_sym_GT_GT] = ACTIONS(4431),
    [anon_sym_STAR] = ACTIONS(4431),
    [anon_sym_SLASH] = ACTIONS(4431),
    [anon_sym_PERCENT] = ACTIONS(4431),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4427),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4427),
    [anon_sym_not_in] = ACTIONS(4427),
    [anon_sym_or_return] = ACTIONS(4427),
    [anon_sym_or_continue] = ACTIONS(4427),
    [anon_sym_or_break] = ACTIONS(4427),
    [anon_sym_CARET] = ACTIONS(4431),
    [sym_uninitialized] = ACTIONS(6039),
    [sym_tag] = ACTIONS(4427),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2052] = {
    [aux_sym_struct_type_repeat2] = STATE(2024),
    [anon_sym_LBRACE] = ACTIONS(5076),
    [anon_sym_COMMA] = ACTIONS(5076),
    [anon_sym_COLON_COLON] = ACTIONS(5076),
    [anon_sym_DASH_GT] = ACTIONS(5076),
    [anon_sym_where] = ACTIONS(5076),
    [anon_sym_EQ] = ACTIONS(5078),
    [anon_sym_COLON] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5078),
    [anon_sym_COLON_EQ] = ACTIONS(5076),
    [anon_sym_LPAREN] = ACTIONS(5076),
    [anon_sym_PLUS_EQ] = ACTIONS(5076),
    [anon_sym_DASH_EQ] = ACTIONS(5076),
    [anon_sym_STAR_EQ] = ACTIONS(5076),
    [anon_sym_SLASH_EQ] = ACTIONS(5076),
    [anon_sym_PERCENT_EQ] = ACTIONS(5076),
    [anon_sym_AMP_EQ] = ACTIONS(5076),
    [anon_sym_PIPE_EQ] = ACTIONS(5076),
    [anon_sym_CARET_EQ] = ACTIONS(5076),
    [anon_sym_LT_LT_EQ] = ACTIONS(5076),
    [anon_sym_GT_GT_EQ] = ACTIONS(5076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5076),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5076),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5076),
    [anon_sym_if] = ACTIONS(5076),
    [anon_sym_SEMI] = ACTIONS(5076),
    [anon_sym_do] = ACTIONS(5076),
    [anon_sym_when] = ACTIONS(5076),
    [anon_sym_in] = ACTIONS(5076),
    [anon_sym_QMARK] = ACTIONS(5076),
    [anon_sym_PLUS] = ACTIONS(5078),
    [anon_sym_DASH] = ACTIONS(5078),
    [anon_sym_TILDE] = ACTIONS(5078),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym_PIPE_PIPE] = ACTIONS(5078),
    [anon_sym_or_else] = ACTIONS(5076),
    [anon_sym_AMP_AMP] = ACTIONS(5078),
    [anon_sym_GT] = ACTIONS(5078),
    [anon_sym_GT_EQ] = ACTIONS(5076),
    [anon_sym_LT_EQ] = ACTIONS(5076),
    [anon_sym_LT] = ACTIONS(5078),
    [anon_sym_EQ_EQ] = ACTIONS(5076),
    [anon_sym_BANG_EQ] = ACTIONS(5076),
    [anon_sym_TILDE_EQ] = ACTIONS(5076),
    [anon_sym_AMP_TILDE] = ACTIONS(5078),
    [anon_sym_LT_LT] = ACTIONS(5078),
    [anon_sym_GT_GT] = ACTIONS(5078),
    [anon_sym_STAR] = ACTIONS(5078),
    [anon_sym_SLASH] = ACTIONS(5078),
    [anon_sym_PERCENT] = ACTIONS(5078),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5076),
    [anon_sym_DOT] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5076),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5076),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5076),
    [anon_sym_not_in] = ACTIONS(5076),
    [anon_sym_or_return] = ACTIONS(5076),
    [anon_sym_or_continue] = ACTIONS(5076),
    [anon_sym_or_break] = ACTIONS(5076),
    [anon_sym_CARET] = ACTIONS(5078),
    [sym_uninitialized] = ACTIONS(5076),
    [sym_tag] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2053] = {
    [aux_sym_struct_type_repeat2] = STATE(2024),
    [anon_sym_LBRACE] = ACTIONS(5130),
    [anon_sym_COMMA] = ACTIONS(5130),
    [anon_sym_COLON_COLON] = ACTIONS(5130),
    [anon_sym_DASH_GT] = ACTIONS(5130),
    [anon_sym_where] = ACTIONS(5130),
    [anon_sym_EQ] = ACTIONS(5132),
    [anon_sym_COLON] = ACTIONS(5132),
    [anon_sym_PIPE] = ACTIONS(5132),
    [anon_sym_COLON_EQ] = ACTIONS(5130),
    [anon_sym_LPAREN] = ACTIONS(5130),
    [anon_sym_PLUS_EQ] = ACTIONS(5130),
    [anon_sym_DASH_EQ] = ACTIONS(5130),
    [anon_sym_STAR_EQ] = ACTIONS(5130),
    [anon_sym_SLASH_EQ] = ACTIONS(5130),
    [anon_sym_PERCENT_EQ] = ACTIONS(5130),
    [anon_sym_AMP_EQ] = ACTIONS(5130),
    [anon_sym_PIPE_EQ] = ACTIONS(5130),
    [anon_sym_CARET_EQ] = ACTIONS(5130),
    [anon_sym_LT_LT_EQ] = ACTIONS(5130),
    [anon_sym_GT_GT_EQ] = ACTIONS(5130),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5130),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5130),
    [anon_sym_if] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5130),
    [anon_sym_do] = ACTIONS(5130),
    [anon_sym_when] = ACTIONS(5130),
    [anon_sym_in] = ACTIONS(5130),
    [anon_sym_QMARK] = ACTIONS(5130),
    [anon_sym_PLUS] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5132),
    [anon_sym_TILDE] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(5132),
    [anon_sym_PIPE_PIPE] = ACTIONS(5132),
    [anon_sym_or_else] = ACTIONS(5130),
    [anon_sym_AMP_AMP] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5132),
    [anon_sym_GT_EQ] = ACTIONS(5130),
    [anon_sym_LT_EQ] = ACTIONS(5130),
    [anon_sym_LT] = ACTIONS(5132),
    [anon_sym_EQ_EQ] = ACTIONS(5130),
    [anon_sym_BANG_EQ] = ACTIONS(5130),
    [anon_sym_TILDE_EQ] = ACTIONS(5130),
    [anon_sym_AMP_TILDE] = ACTIONS(5132),
    [anon_sym_LT_LT] = ACTIONS(5132),
    [anon_sym_GT_GT] = ACTIONS(5132),
    [anon_sym_STAR] = ACTIONS(5132),
    [anon_sym_SLASH] = ACTIONS(5132),
    [anon_sym_PERCENT] = ACTIONS(5132),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5130),
    [anon_sym_not_in] = ACTIONS(5130),
    [anon_sym_or_return] = ACTIONS(5130),
    [anon_sym_or_continue] = ACTIONS(5130),
    [anon_sym_or_break] = ACTIONS(5130),
    [anon_sym_CARET] = ACTIONS(5132),
    [sym_uninitialized] = ACTIONS(5130),
    [sym_tag] = ACTIONS(5130),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2054] = {
    [anon_sym_LBRACE] = ACTIONS(4523),
    [anon_sym_COMMA] = ACTIONS(4523),
    [anon_sym_COLON_COLON] = ACTIONS(4523),
    [anon_sym_DASH_GT] = ACTIONS(4523),
    [anon_sym_where] = ACTIONS(4523),
    [anon_sym_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4525),
    [anon_sym_COLON_EQ] = ACTIONS(4523),
    [anon_sym_LPAREN] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_if] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_do] = ACTIONS(4523),
    [anon_sym_when] = ACTIONS(4523),
    [anon_sym_in] = ACTIONS(4523),
    [anon_sym_QMARK] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4525),
    [anon_sym_DASH] = ACTIONS(4525),
    [anon_sym_TILDE] = ACTIONS(4525),
    [anon_sym_AMP] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE] = ACTIONS(4525),
    [anon_sym_or_else] = ACTIONS(4523),
    [anon_sym_AMP_AMP] = ACTIONS(4525),
    [anon_sym_GT] = ACTIONS(4525),
    [anon_sym_GT_EQ] = ACTIONS(4523),
    [anon_sym_LT_EQ] = ACTIONS(4523),
    [anon_sym_LT] = ACTIONS(4525),
    [anon_sym_EQ_EQ] = ACTIONS(4523),
    [anon_sym_BANG_EQ] = ACTIONS(4523),
    [anon_sym_TILDE_EQ] = ACTIONS(4523),
    [anon_sym_AMP_TILDE] = ACTIONS(4525),
    [anon_sym_LT_LT] = ACTIONS(4525),
    [anon_sym_GT_GT] = ACTIONS(4525),
    [anon_sym_STAR] = ACTIONS(4525),
    [anon_sym_SLASH] = ACTIONS(4525),
    [anon_sym_PERCENT] = ACTIONS(4525),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4523),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LBRACK] = ACTIONS(4523),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4523),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4523),
    [anon_sym_not_in] = ACTIONS(4523),
    [anon_sym_or_return] = ACTIONS(4523),
    [anon_sym_or_continue] = ACTIONS(4523),
    [anon_sym_or_break] = ACTIONS(4523),
    [anon_sym_CARET] = ACTIONS(4525),
    [anon_sym_DOT2] = ACTIONS(4525),
    [sym_uninitialized] = ACTIONS(4523),
    [sym_tag] = ACTIONS(4523),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2055] = {
    [aux_sym_struct_type_repeat2] = STATE(2024),
    [anon_sym_LBRACE] = ACTIONS(5178),
    [anon_sym_COMMA] = ACTIONS(5178),
    [anon_sym_COLON_COLON] = ACTIONS(5178),
    [anon_sym_DASH_GT] = ACTIONS(5178),
    [anon_sym_where] = ACTIONS(5178),
    [anon_sym_EQ] = ACTIONS(5180),
    [anon_sym_COLON] = ACTIONS(5180),
    [anon_sym_PIPE] = ACTIONS(5180),
    [anon_sym_COLON_EQ] = ACTIONS(5178),
    [anon_sym_LPAREN] = ACTIONS(5178),
    [anon_sym_PLUS_EQ] = ACTIONS(5178),
    [anon_sym_DASH_EQ] = ACTIONS(5178),
    [anon_sym_STAR_EQ] = ACTIONS(5178),
    [anon_sym_SLASH_EQ] = ACTIONS(5178),
    [anon_sym_PERCENT_EQ] = ACTIONS(5178),
    [anon_sym_AMP_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_CARET_EQ] = ACTIONS(5178),
    [anon_sym_LT_LT_EQ] = ACTIONS(5178),
    [anon_sym_GT_GT_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5178),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_if] = ACTIONS(5178),
    [anon_sym_SEMI] = ACTIONS(5178),
    [anon_sym_do] = ACTIONS(5178),
    [anon_sym_when] = ACTIONS(5178),
    [anon_sym_in] = ACTIONS(5178),
    [anon_sym_QMARK] = ACTIONS(5178),
    [anon_sym_PLUS] = ACTIONS(5180),
    [anon_sym_DASH] = ACTIONS(5180),
    [anon_sym_TILDE] = ACTIONS(5180),
    [anon_sym_AMP] = ACTIONS(5180),
    [anon_sym_PIPE_PIPE] = ACTIONS(5180),
    [anon_sym_or_else] = ACTIONS(5178),
    [anon_sym_AMP_AMP] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5178),
    [anon_sym_LT_EQ] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_EQ_EQ] = ACTIONS(5178),
    [anon_sym_BANG_EQ] = ACTIONS(5178),
    [anon_sym_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_AMP_TILDE] = ACTIONS(5180),
    [anon_sym_LT_LT] = ACTIONS(5180),
    [anon_sym_GT_GT] = ACTIONS(5180),
    [anon_sym_STAR] = ACTIONS(5180),
    [anon_sym_SLASH] = ACTIONS(5180),
    [anon_sym_PERCENT] = ACTIONS(5180),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5178),
    [anon_sym_not_in] = ACTIONS(5178),
    [anon_sym_or_return] = ACTIONS(5178),
    [anon_sym_or_continue] = ACTIONS(5178),
    [anon_sym_or_break] = ACTIONS(5178),
    [anon_sym_CARET] = ACTIONS(5180),
    [sym_uninitialized] = ACTIONS(5178),
    [sym_tag] = ACTIONS(5178),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2056] = {
    [aux_sym_where_clause_repeat1] = STATE(2030),
    [anon_sym_LBRACE] = ACTIONS(4783),
    [anon_sym_COMMA] = ACTIONS(6223),
    [anon_sym_COLON_COLON] = ACTIONS(4783),
    [anon_sym_DASH_GT] = ACTIONS(6239),
    [anon_sym_where] = ACTIONS(4783),
    [anon_sym_EQ] = ACTIONS(4787),
    [anon_sym_COLON] = ACTIONS(4787),
    [anon_sym_PIPE] = ACTIONS(6241),
    [anon_sym_COLON_EQ] = ACTIONS(4783),
    [anon_sym_LPAREN] = ACTIONS(4783),
    [anon_sym_PLUS_EQ] = ACTIONS(4783),
    [anon_sym_DASH_EQ] = ACTIONS(4783),
    [anon_sym_STAR_EQ] = ACTIONS(4783),
    [anon_sym_SLASH_EQ] = ACTIONS(4783),
    [anon_sym_PERCENT_EQ] = ACTIONS(4783),
    [anon_sym_AMP_EQ] = ACTIONS(4783),
    [anon_sym_PIPE_EQ] = ACTIONS(4783),
    [anon_sym_CARET_EQ] = ACTIONS(4783),
    [anon_sym_LT_LT_EQ] = ACTIONS(4783),
    [anon_sym_GT_GT_EQ] = ACTIONS(4783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4783),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4783),
    [anon_sym_if] = ACTIONS(4783),
    [anon_sym_SEMI] = ACTIONS(4783),
    [anon_sym_do] = ACTIONS(4783),
    [anon_sym_when] = ACTIONS(4783),
    [anon_sym_in] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(4783),
    [anon_sym_PLUS] = ACTIONS(6243),
    [anon_sym_DASH] = ACTIONS(6243),
    [anon_sym_TILDE] = ACTIONS(6245),
    [anon_sym_AMP] = ACTIONS(6247),
    [anon_sym_PIPE_PIPE] = ACTIONS(6249),
    [anon_sym_or_else] = ACTIONS(6251),
    [anon_sym_AMP_AMP] = ACTIONS(6253),
    [anon_sym_GT] = ACTIONS(6255),
    [anon_sym_GT_EQ] = ACTIONS(6257),
    [anon_sym_LT_EQ] = ACTIONS(6257),
    [anon_sym_LT] = ACTIONS(6255),
    [anon_sym_EQ_EQ] = ACTIONS(6259),
    [anon_sym_BANG_EQ] = ACTIONS(6259),
    [anon_sym_TILDE_EQ] = ACTIONS(6259),
    [anon_sym_AMP_TILDE] = ACTIONS(6261),
    [anon_sym_LT_LT] = ACTIONS(6263),
    [anon_sym_GT_GT] = ACTIONS(6263),
    [anon_sym_STAR] = ACTIONS(6265),
    [anon_sym_SLASH] = ACTIONS(6265),
    [anon_sym_PERCENT] = ACTIONS(6265),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(6267),
    [anon_sym_DOT] = ACTIONS(6269),
    [anon_sym_LBRACK] = ACTIONS(6271),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(6273),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6273),
    [anon_sym_not_in] = ACTIONS(4783),
    [anon_sym_or_return] = ACTIONS(6275),
    [anon_sym_or_continue] = ACTIONS(6277),
    [anon_sym_or_break] = ACTIONS(6279),
    [anon_sym_CARET] = ACTIONS(6281),
    [sym_uninitialized] = ACTIONS(4783),
    [sym_tag] = ACTIONS(4783),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5374), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [71] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5784), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [142] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(807), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [213] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(757), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [284] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(891), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [355] = 5,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5384), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [430] = 5,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5404), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [505] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5336), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [576] = 5,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5422), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [651] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(907), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [722] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5856), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [793] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5288), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [864] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5452), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [935] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5456), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1006] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6935), 1,
      sym_type,
    STATE(7496), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [1137] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5584), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1208] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5292), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1279] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5460), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1350] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5464), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1421] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5468), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1492] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5296), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1563] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5472), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1634] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5414), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1705] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5482), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1776] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
      anon_sym_DOT2,
    ACTIONS(4523), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1847] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5300), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1918] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5486), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1989] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5490), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2060] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5494), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2131] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6863), 1,
      sym_type,
    STATE(7702), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [2262] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5498), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2333] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6836), 1,
      sym_type,
    STATE(7327), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [2464] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5502), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2535] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5304), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [2606] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5308), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [2677] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5506), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2748] = 5,
    ACTIONS(6305), 1,
      sym_identifier,
    ACTIONS(6307), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(67), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [2823] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5510), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2894] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5514), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2965] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5808), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5806), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3036] = 6,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5340), 40,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3113] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5620), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [3184] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6989), 1,
      sym_type,
    STATE(7209), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [3315] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5514), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3386] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5518), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3457] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5522), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3528] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5526), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3599] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6862), 1,
      sym_type,
    STATE(7417), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [3730] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5312), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [3801] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5316), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [3872] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5320), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [3943] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6972), 1,
      sym_type,
    STATE(7487), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [4074] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5324), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [4145] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5324), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4216] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5532), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4287] = 4,
    ACTIONS(6211), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4360] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5536), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4431] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5542), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4502] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5546), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4573] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5550), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4644] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4715] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4786] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5558), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4857] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4928] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4999] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5566), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5070] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5328), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5141] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5332), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5212] = 5,
    ACTIONS(6311), 1,
      anon_sym_LPAREN,
    ACTIONS(6313), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5340), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5287] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5344), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5358] = 4,
    ACTIONS(6315), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(4954), 31,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [5431] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5348), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5502] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5352), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5573] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5576), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5644] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5580), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5715] = 21,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6241), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6251), 1,
      anon_sym_or_else,
    ACTIONS(6253), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6257), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6259), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5588), 31,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5822] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6938), 1,
      sym_type,
    STATE(7842), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [5953] = 25,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6241), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6251), 1,
      anon_sym_or_else,
    ACTIONS(6253), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_or_return,
    ACTIONS(6277), 1,
      anon_sym_or_continue,
    ACTIONS(6279), 1,
      anon_sym_or_break,
    ACTIONS(6281), 1,
      anon_sym_CARET,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6257), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6259), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5588), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [6068] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5592), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6139] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4866), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6210] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5596), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6281] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5600), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6352] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6423] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6494] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5608), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6565] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5356), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [6636] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5362), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [6707] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5366), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [6778] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5370), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [6849] = 7,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5612), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6928] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5624), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6999] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5628), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7070] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5632), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7141] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5636), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7212] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(203), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7283] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5478), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7354] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6761), 1,
      sym_type,
    STATE(7363), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [7485] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(831), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [7556] = 6,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(6317), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5864), 17,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5860), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7633] = 10,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6321), 1,
      anon_sym_DASH_GT,
    ACTIONS(6323), 1,
      sym_uninitialized,
    ACTIONS(6325), 1,
      sym_tag,
    STATE(2456), 1,
      sym_where_clause,
    STATE(2855), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4281), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [7718] = 10,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6327), 1,
      anon_sym_DASH_GT,
    ACTIONS(6329), 1,
      sym_uninitialized,
    ACTIONS(6331), 1,
      sym_tag,
    STATE(2461), 1,
      sym_where_clause,
    STATE(2862), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [7803] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7874] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5426), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7945] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5712), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5760), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5758), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8018] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4491), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8089] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8160] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6841), 1,
      sym_type,
    STATE(7266), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [8291] = 7,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6333), 1,
      sym_uninitialized,
    ACTIONS(6335), 1,
      sym_tag,
    STATE(2513), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4771), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8370] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5712), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8441] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5646), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8512] = 9,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6337), 1,
      sym_uninitialized,
    ACTIONS(6339), 1,
      sym_tag,
    STATE(2448), 1,
      sym_where_clause,
    STATE(2918), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8595] = 7,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6081), 1,
      sym_uninitialized,
    ACTIONS(6083), 1,
      sym_tag,
    STATE(2540), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8674] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5394), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8745] = 7,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5640), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8824] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5650), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8895] = 4,
    ACTIONS(6341), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5324), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8968] = 25,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6241), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6251), 1,
      anon_sym_or_else,
    ACTIONS(6253), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_or_return,
    ACTIONS(6277), 1,
      anon_sym_or_continue,
    ACTIONS(6279), 1,
      anon_sym_or_break,
    ACTIONS(6281), 1,
      anon_sym_CARET,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6257), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6259), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [9083] = 5,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5410), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9158] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5646), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9229] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5282), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9300] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9371] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5328), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9442] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5658), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9513] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5394), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9584] = 25,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6241), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6251), 1,
      anon_sym_or_else,
    ACTIONS(6253), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_or_return,
    ACTIONS(6277), 1,
      anon_sym_or_continue,
    ACTIONS(6279), 1,
      anon_sym_or_break,
    ACTIONS(6281), 1,
      anon_sym_CARET,
    ACTIONS(4715), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6257), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6259), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4710), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [9699] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6897), 1,
      sym_type,
    STATE(7776), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [9830] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5662), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9901] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(807), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9972] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(891), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10043] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5712), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [10114] = 11,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6343), 1,
      sym_uninitialized,
    ACTIONS(6345), 1,
      sym_tag,
    STATE(2475), 1,
      sym_where_clause,
    STATE(2892), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [10201] = 9,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6343), 1,
      sym_uninitialized,
    ACTIONS(6345), 1,
      sym_tag,
    STATE(2475), 1,
      sym_where_clause,
    STATE(2892), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [10284] = 11,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6347), 1,
      sym_uninitialized,
    ACTIONS(6349), 1,
      sym_tag,
    STATE(2485), 1,
      sym_where_clause,
    STATE(2909), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [10371] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5336), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10442] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5666), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10513] = 7,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5670), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10592] = 7,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6088), 1,
      sym_uninitialized,
    ACTIONS(6090), 1,
      sym_tag,
    STATE(2542), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [10671] = 10,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10756] = 11,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5670), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10843] = 15,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6241), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10938] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5896), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5894), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11009] = 16,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6241), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6259), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11106] = 9,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6347), 1,
      sym_uninitialized,
    ACTIONS(6349), 1,
      sym_tag,
    STATE(2485), 1,
      sym_where_clause,
    STATE(2909), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [11189] = 18,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6241), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6257), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6259), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11290] = 19,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6241), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6253), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6257), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6259), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11393] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5620), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11464] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11535] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5374), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11606] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(831), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11677] = 9,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6347), 1,
      sym_uninitialized,
    ACTIONS(6351), 1,
      sym_tag,
    STATE(2485), 1,
      sym_where_clause,
    STATE(2909), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [11760] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5370), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11831] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5366), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11902] = 12,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11991] = 13,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12082] = 9,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12165] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5362), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12236] = 26,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6241), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6251), 1,
      anon_sym_or_else,
    ACTIONS(6253), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6275), 1,
      anon_sym_or_return,
    ACTIONS(6277), 1,
      anon_sym_or_continue,
    ACTIONS(6279), 1,
      anon_sym_or_break,
    ACTIONS(6281), 1,
      anon_sym_CARET,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6257), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6353), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6259), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5680), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
  [12353] = 14,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6245), 1,
      anon_sym_TILDE,
    ACTIONS(6247), 1,
      anon_sym_AMP,
    ACTIONS(6261), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6267), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6263), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12446] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5686), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12517] = 7,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6094), 1,
      sym_uninitialized,
    ACTIONS(6096), 1,
      sym_tag,
    STATE(2491), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [12596] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5690), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12667] = 11,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6355), 1,
      sym_uninitialized,
    ACTIONS(6357), 1,
      sym_tag,
    STATE(2450), 1,
      sym_where_clause,
    STATE(2912), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [12754] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(757), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12825] = 9,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6355), 1,
      sym_uninitialized,
    ACTIONS(6357), 1,
      sym_tag,
    STATE(2450), 1,
      sym_where_clause,
    STATE(2912), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [12908] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5694), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12979] = 9,
    ACTIONS(6031), 1,
      anon_sym_where,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6355), 1,
      sym_uninitialized,
    ACTIONS(6359), 1,
      sym_tag,
    STATE(2450), 1,
      sym_where_clause,
    STATE(2912), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [13062] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(907), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13133] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5698), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13204] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5702), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13275] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5910), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5908), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13346] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5856), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13417] = 5,
    ACTIONS(6311), 1,
      anon_sym_LPAREN,
    ACTIONS(6313), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5404), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [13492] = 5,
    ACTIONS(6311), 1,
      anon_sym_LPAREN,
    ACTIONS(6313), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5410), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [13567] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6833), 1,
      sym_type,
    STATE(7555), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [13698] = 6,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(6361), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4927), 39,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [13775] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5356), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13846] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5414), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [13917] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5288), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13988] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6969), 1,
      sym_type,
    STATE(7937), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [14119] = 5,
    ACTIONS(6311), 1,
      anon_sym_LPAREN,
    ACTIONS(6313), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5384), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14194] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5292), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [14265] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5716), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [14336] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5430), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [14407] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5720), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [14478] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5728), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [14549] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5584), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [14620] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5734), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [14691] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5738), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [14762] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5296), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [14833] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14904] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(7039), 1,
      sym_type,
    STATE(7973), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [15035] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4765), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [15106] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5300), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [15177] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15248] = 5,
    ACTIONS(6311), 1,
      anon_sym_LPAREN,
    ACTIONS(6313), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5422), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15323] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4491), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15394] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5426), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15465] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5808), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5806), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15536] = 6,
    ACTIONS(6311), 1,
      anon_sym_LPAREN,
    ACTIONS(6313), 1,
      anon_sym_SLASH,
    ACTIONS(6363), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5340), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15613] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15684] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15755] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4771), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [15826] = 7,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6110), 1,
      sym_uninitialized,
    ACTIONS(6365), 1,
      sym_tag,
    STATE(2532), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15905] = 7,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5746), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [15984] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5924), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5922), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16055] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16126] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5742), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16197] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16268] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5708), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16339] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5352), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16410] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5348), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16481] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6890), 1,
      sym_type,
    STATE(7322), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [16612] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5750), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16683] = 7,
    ACTIONS(6239), 1,
      anon_sym_DASH_GT,
    ACTIONS(6269), 1,
      anon_sym_DOT,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(6273), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5754), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16762] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4771), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16833] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4765), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16904] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5758), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16975] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5764), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [17046] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5430), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17117] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6767), 1,
      sym_type,
    STATE(7628), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [17248] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5304), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [17319] = 5,
    ACTIONS(6369), 1,
      anon_sym_QMARK,
    ACTIONS(6367), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [17394] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5308), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [17465] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4866), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17536] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [17607] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5282), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17678] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5312), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [17749] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5316), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [17820] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5344), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [17891] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5320), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [17962] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5780), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [18033] = 7,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      sym_uninitialized,
    ACTIONS(6122), 1,
      sym_tag,
    STATE(2546), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18112] = 33,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6283), 1,
      sym_identifier,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6295), 1,
      anon_sym_map,
    ACTIONS(6297), 1,
      anon_sym_bit_set,
    ACTIONS(6299), 1,
      anon_sym_matrix,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6917), 1,
      sym_type,
    STATE(7341), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [18243] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5324), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [18314] = 5,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    ACTIONS(6045), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5340), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [18389] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [18460] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5332), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [18531] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5848), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5846), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [18602] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [18673] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5930), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5928), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [18744] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18814] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18884] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5666), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18954] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5662), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19024] = 16,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6381), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 33,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19120] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5658), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19190] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5510), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19260] = 6,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      sym_uninitialized,
    STATE(2546), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19336] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5650), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19406] = 15,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19500] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5784), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19570] = 11,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5670), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19656] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5584), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19726] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5620), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19796] = 5,
    ACTIONS(6397), 1,
      anon_sym_DOT2,
    STATE(2316), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4530), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19870] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5646), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19940] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5712), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20010] = 7,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5746), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20088] = 7,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5754), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20166] = 5,
    ACTIONS(6399), 1,
      anon_sym_DOT2,
    STATE(2316), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4523), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20240] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5394), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20310] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(907), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20380] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5636), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20450] = 5,
    ACTIONS(6402), 1,
      anon_sym_LPAREN,
    ACTIONS(6404), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5384), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20524] = 4,
    ACTIONS(6406), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5636), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20596] = 10,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20680] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(203), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20750] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5632), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20820] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5628), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20890] = 7,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5670), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20968] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21038] = 6,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6110), 1,
      sym_uninitialized,
    STATE(2532), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21114] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5686), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21184] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5690), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21254] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5624), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21324] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5694), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21394] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5698), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21464] = 4,
    ACTIONS(6307), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21536] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(891), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21606] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5702), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21676] = 5,
    ACTIONS(6402), 1,
      anon_sym_LPAREN,
    ACTIONS(6404), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5404), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21750] = 25,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_or_else,
    ACTIONS(6412), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6418), 1,
      anon_sym_or_return,
    ACTIONS(6420), 1,
      anon_sym_or_continue,
    ACTIONS(6422), 1,
      anon_sym_or_break,
    ACTIONS(6424), 1,
      anon_sym_CARET,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6414), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6416), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6381), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 27,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [21864] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5856), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21934] = 5,
    ACTIONS(6402), 1,
      anon_sym_LPAREN,
    ACTIONS(6404), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5410), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22008] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5374), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22078] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5336), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22148] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5370), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22218] = 5,
    ACTIONS(6397), 1,
      anon_sym_DOT2,
    STATE(2311), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4491), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22292] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5414), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22362] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5366), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22432] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5708), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22502] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5362), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22572] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5328), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22642] = 7,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5640), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22720] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(757), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22790] = 18,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6414), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6416), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6381), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5670), 31,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22890] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5356), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22960] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5608), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23030] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23100] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23170] = 7,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5612), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23248] = 25,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_or_else,
    ACTIONS(6412), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6418), 1,
      anon_sym_or_return,
    ACTIONS(6420), 1,
      anon_sym_or_continue,
    ACTIONS(6422), 1,
      anon_sym_or_break,
    ACTIONS(6424), 1,
      anon_sym_CARET,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6414), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6416), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6381), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5588), 27,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [23362] = 7,
    ACTIONS(6307), 1,
      anon_sym_LPAREN,
    ACTIONS(6430), 1,
      anon_sym_QMARK,
    ACTIONS(6428), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6426), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23440] = 5,
    ACTIONS(6430), 1,
      anon_sym_QMARK,
    ACTIONS(6428), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 38,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23514] = 21,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_or_else,
    ACTIONS(6412), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6414), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6416), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6381), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5588), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23620] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5600), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23690] = 5,
    ACTIONS(6305), 1,
      sym_identifier,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 28,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(67), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [23764] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5596), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23834] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23904] = 6,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6094), 1,
      sym_uninitialized,
    STATE(2491), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23980] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5592), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24050] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5288), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24120] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5452), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24190] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5456), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24260] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5292), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24330] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5460), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24400] = 19,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6412), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6414), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6416), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6381), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5670), 31,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24502] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5464), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24572] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5716), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24642] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5720), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24712] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5728), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24782] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5734), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24852] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5738), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24922] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5468), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24992] = 5,
    ACTIONS(6402), 1,
      anon_sym_LPAREN,
    ACTIONS(6404), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5422), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25066] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4491), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25136] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5296), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25206] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5472), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25276] = 12,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25364] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5478), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25434] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5426), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25504] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5482), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25574] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5300), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25644] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5486), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25714] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5490), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25784] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5742), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25854] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5580), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25924] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5494), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25994] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5498), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26064] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26134] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5502), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26204] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5304), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26274] = 6,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6088), 1,
      sym_uninitialized,
    STATE(2542), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26350] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5308), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26420] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5506), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26490] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5536), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26560] = 13,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26650] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5514), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26720] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5514), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26790] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5518), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26860] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5576), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26930] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5750), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27000] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5352), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27070] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5522), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27140] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5348), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27210] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5282), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27280] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5526), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27350] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(807), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27420] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5758), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27490] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5312), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27560] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5316), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27630] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5320), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27700] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5324), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27770] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5532), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27840] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27910] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5344), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27980] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5542), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28050] = 6,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6081), 1,
      sym_uninitialized,
    STATE(2540), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28126] = 5,
    ACTIONS(6402), 1,
      anon_sym_LPAREN,
    ACTIONS(6404), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5340), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28200] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(831), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28270] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5332), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28340] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5566), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28410] = 9,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28492] = 26,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_or_else,
    ACTIONS(6412), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6418), 1,
      anon_sym_or_return,
    ACTIONS(6420), 1,
      anon_sym_or_continue,
    ACTIONS(6422), 1,
      anon_sym_or_break,
    ACTIONS(6424), 1,
      anon_sym_CARET,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6414), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6416), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6434), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6381), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5680), 25,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [28608] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5712), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5760), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5758), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28680] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4771), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28750] = 6,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6333), 1,
      sym_uninitialized,
    STATE(2513), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4771), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28826] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28896] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28966] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29036] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5558), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29106] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5780), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29176] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4765), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29246] = 6,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6436), 1,
      sym_uninitialized,
    STATE(2507), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4765), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29322] = 14,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29414] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29484] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29554] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5550), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29624] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5430), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29694] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5546), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29764] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5764), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29834] = 7,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6438), 1,
      sym_uninitialized,
    ACTIONS(6440), 1,
      sym_tag,
    STATE(2921), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4771), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29911] = 5,
    ACTIONS(6444), 1,
      anon_sym_QMARK,
    ACTIONS(6442), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_case,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29984] = 7,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6337), 1,
      sym_uninitialized,
    ACTIONS(6339), 1,
      sym_tag,
    STATE(2918), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30061] = 4,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 39,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30132] = 25,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6418), 1,
      anon_sym_or_return,
    ACTIONS(6420), 1,
      anon_sym_or_continue,
    ACTIONS(6424), 1,
      anon_sym_CARET,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6458), 1,
      anon_sym_or_else,
    ACTIONS(6460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6480), 1,
      anon_sym_or_break,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6462), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6464), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 26,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [30245] = 11,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5670), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30330] = 4,
    STATE(2468), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5130), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30401] = 15,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30494] = 7,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6329), 1,
      sym_uninitialized,
    ACTIONS(6331), 1,
      sym_tag,
    STATE(2862), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30571] = 16,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30666] = 18,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6462), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6464), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5670), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30765] = 19,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6462), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6464), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5670), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30866] = 7,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5754), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30943] = 7,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6343), 1,
      sym_uninitialized,
    ACTIONS(6482), 1,
      sym_tag,
    STATE(2892), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31020] = 7,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5670), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31097] = 12,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31184] = 7,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5640), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31261] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
      anon_sym_DOT2,
    ACTIONS(4523), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31330] = 13,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31419] = 9,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31500] = 5,
    ACTIONS(6484), 1,
      anon_sym_LBRACE,
    STATE(2468), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4866), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31573] = 26,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6418), 1,
      anon_sym_or_return,
    ACTIONS(6420), 1,
      anon_sym_or_continue,
    ACTIONS(6424), 1,
      anon_sym_CARET,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6458), 1,
      anon_sym_or_else,
    ACTIONS(6460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6480), 1,
      anon_sym_or_break,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6462), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6464), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6487), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5680), 24,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [31688] = 7,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5746), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31765] = 14,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31856] = 4,
    STATE(2468), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5076), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31927] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(203), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31996] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32065] = 7,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6347), 1,
      sym_uninitialized,
    ACTIONS(6351), 1,
      sym_tag,
    STATE(2909), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32142] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32211] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32280] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32349] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32418] = 7,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(6444), 1,
      anon_sym_QMARK,
    ACTIONS(6442), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6426), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32495] = 4,
    STATE(2468), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5178), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32566] = 21,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6458), 1,
      anon_sym_or_else,
    ACTIONS(6460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6462), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6464), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5588), 29,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32671] = 25,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6418), 1,
      anon_sym_or_return,
    ACTIONS(6420), 1,
      anon_sym_or_continue,
    ACTIONS(6424), 1,
      anon_sym_CARET,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6458), 1,
      anon_sym_or_else,
    ACTIONS(6460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6480), 1,
      anon_sym_or_break,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6462), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6464), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5588), 26,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [32784] = 10,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32867] = 7,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6355), 1,
      sym_uninitialized,
    ACTIONS(6359), 1,
      sym_tag,
    STATE(2912), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32944] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33013] = 7,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5612), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33090] = 6,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6489), 1,
      sym_uninitialized,
    STATE(2923), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4765), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33164] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(831), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33232] = 6,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6355), 1,
      sym_uninitialized,
    STATE(2912), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33306] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33374] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5356), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33442] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5426), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33510] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4491), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33578] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5362), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33646] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5366), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33714] = 5,
    ACTIONS(6491), 1,
      anon_sym_LPAREN,
    ACTIONS(6493), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5422), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33786] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5370), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33854] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5374), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33922] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5808), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5806), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33990] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5336), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34058] = 5,
    ACTIONS(6495), 1,
      sym_identifier,
    ACTIONS(6497), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(67), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(71), 28,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [34130] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5584), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34198] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5856), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34266] = 6,
    ACTIONS(6499), 1,
      anon_sym_LBRACE,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4927), 36,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34340] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5352), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34408] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5430), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34476] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(891), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34544] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5348), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34612] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5344), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34680] = 5,
    ACTIONS(6491), 1,
      anon_sym_LPAREN,
    ACTIONS(6493), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5340), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34752] = 4,
    ACTIONS(6505), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 28,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(4954), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [34822] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4765), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34890] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5620), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34958] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5712), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35026] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(807), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35094] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5332), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35162] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5292), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35230] = 6,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6438), 1,
      sym_uninitialized,
    STATE(2921), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4771), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35304] = 6,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6347), 1,
      sym_uninitialized,
    STATE(2909), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35378] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5414), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35446] = 5,
    ACTIONS(6491), 1,
      anon_sym_LPAREN,
    ACTIONS(6493), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5384), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35518] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5282), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35586] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5324), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35654] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4866), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35722] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5320), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35790] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5316), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35858] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35926] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5312), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35994] = 5,
    ACTIONS(6491), 1,
      anon_sym_LPAREN,
    ACTIONS(6493), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5410), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36066] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36134] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36202] = 6,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6343), 1,
      sym_uninitialized,
    STATE(2892), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36276] = 5,
    ACTIONS(6491), 1,
      anon_sym_LPAREN,
    ACTIONS(6493), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5404), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36348] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5308), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36416] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5394), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36484] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5304), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36552] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(907), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36620] = 6,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6329), 1,
      sym_uninitialized,
    STATE(2862), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36694] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4771), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36762] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5300), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36830] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36898] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5328), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36966] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(757), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37034] = 6,
    ACTIONS(6319), 1,
      anon_sym_LBRACE,
    ACTIONS(6337), 1,
      sym_uninitialized,
    STATE(2918), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37108] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37176] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5646), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37244] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5296), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37312] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5288), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37380] = 25,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6517), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6519), 1,
      anon_sym_or_else,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6547), 1,
      anon_sym_or_break,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5588), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [37491] = 21,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6517), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6519), 1,
      anon_sym_or_else,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5588), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37594] = 5,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    STATE(2468), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5178), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37665] = 5,
    ACTIONS(6553), 1,
      anon_sym_DOT2,
    STATE(2553), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4523), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37736] = 6,
    ACTIONS(6491), 1,
      anon_sym_LPAREN,
    ACTIONS(6493), 1,
      anon_sym_SLASH,
    ACTIONS(6556), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5340), 36,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37809] = 5,
    ACTIONS(6558), 1,
      anon_sym_DOT2,
    STATE(2555), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4523), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [37880] = 5,
    ACTIONS(6561), 1,
      anon_sym_DOT2,
    STATE(2557), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4491), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [37951] = 5,
    ACTIONS(6561), 1,
      anon_sym_DOT2,
    STATE(2555), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4530), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [38022] = 5,
    ACTIONS(6495), 1,
      sym_identifier,
    ACTIONS(6563), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(67), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(71), 28,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [38093] = 5,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    STATE(2468), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5130), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38164] = 14,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38253] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5506), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38320] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5452), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38387] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5456), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38454] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5758), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38521] = 26,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6517), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6519), 1,
      anon_sym_or_else,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6547), 1,
      anon_sym_or_break,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6565), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5680), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
  [38634] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5460), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38701] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5464), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38768] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5468), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38835] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5472), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38902] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5478), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38969] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5482), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39036] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5486), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39103] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5490), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39170] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5494), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39237] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5498), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39304] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5502), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39371] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5608), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39438] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5510), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39505] = 9,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39584] = 13,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39671] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5514), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39738] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5514), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39805] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5518), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39872] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5522), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39939] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5526), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40006] = 5,
    ACTIONS(6567), 1,
      anon_sym_DOT2,
    STATE(2553), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4530), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40077] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5324), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40144] = 5,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    STATE(2468), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5076), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40215] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5532), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40282] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5536), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40349] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5542), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40416] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5546), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40483] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5550), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40550] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40617] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40684] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5558), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40751] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40818] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40885] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5566), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40952] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5576), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41019] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5580), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41086] = 12,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41171] = 19,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5670), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41270] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5592), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41337] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5596), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41404] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5600), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41471] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41538] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41605] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41672] = 18,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5670), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41769] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5624), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41836] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5628), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41903] = 16,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 30,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41996] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5632), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42063] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(203), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42130] = 15,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42221] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5650), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42288] = 11,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5670), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42371] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5658), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42438] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5662), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42505] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5666), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42572] = 10,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42653] = 27,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6517), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6519), 1,
      anon_sym_or_else,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6547), 1,
      anon_sym_or_break,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6565), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6569), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5680), 20,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_QMARK,
  [42768] = 7,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5670), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42843] = 25,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6517), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6519), 1,
      anon_sym_or_else,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6547), 1,
      anon_sym_or_break,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [42954] = 7,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5640), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43029] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5636), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43096] = 5,
    ACTIONS(6567), 1,
      anon_sym_DOT2,
    STATE(2586), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4491), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43167] = 7,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5612), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43242] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5784), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43309] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5780), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43376] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5764), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43443] = 6,
    ACTIONS(6571), 1,
      anon_sym_LBRACE,
    ACTIONS(6573), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4927), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43516] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5686), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43583] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5690), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43650] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5694), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43717] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5698), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43784] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5702), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43851] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5708), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43918] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5716), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43985] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5720), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44052] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5728), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44119] = 7,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5746), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44194] = 7,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5754), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44269] = 4,
    ACTIONS(6497), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44338] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5734), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44405] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5738), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44472] = 5,
    ACTIONS(6578), 1,
      anon_sym_QMARK,
    ACTIONS(6576), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 35,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44543] = 6,
    ACTIONS(6497), 1,
      anon_sym_LPAREN,
    ACTIONS(6578), 1,
      anon_sym_QMARK,
    ACTIONS(6576), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44616] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5742), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44683] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5750), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44750] = 7,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5746), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44824] = 7,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5754), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44898] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44964] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45030] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45096] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5636), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45162] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(203), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45228] = 5,
    ACTIONS(6586), 1,
      sym_identifier,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(67), 27,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(71), 27,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [45298] = 14,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45386] = 26,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE,
    ACTIONS(6608), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6610), 1,
      anon_sym_or_else,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6620), 1,
      anon_sym_or_break,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6606), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6614), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6616), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6618), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
  [45498] = 5,
    ACTIONS(6624), 1,
      anon_sym_QMARK,
    ACTIONS(6622), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45568] = 9,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45646] = 6,
    ACTIONS(6563), 1,
      anon_sym_LPAREN,
    ACTIONS(6624), 1,
      anon_sym_QMARK,
    ACTIONS(6622), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45718] = 13,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45804] = 6,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6628), 1,
      sym_uninitialized,
    STATE(2824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4295), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [45876] = 12,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45960] = 19,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6614), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6616), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6618), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5670), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46058] = 6,
    ACTIONS(6630), 1,
      anon_sym_LBRACE,
    ACTIONS(6633), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4927), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [46130] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46196] = 18,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6614), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6616), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6618), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5670), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46292] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46358] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46424] = 16,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6618), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46516] = 15,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46606] = 11,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46688] = 4,
    ACTIONS(6636), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5324), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46756] = 10,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46836] = 7,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5670), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46910] = 25,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE,
    ACTIONS(6608), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6610), 1,
      anon_sym_or_else,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6620), 1,
      anon_sym_or_break,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6614), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6616), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6618), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [47020] = 7,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5640), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [47094] = 6,
    ACTIONS(6491), 1,
      anon_sym_LPAREN,
    ACTIONS(6493), 1,
      anon_sym_SLASH,
    ACTIONS(6638), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5340), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [47166] = 7,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5612), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [47240] = 25,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE,
    ACTIONS(6608), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6610), 1,
      anon_sym_or_else,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6620), 1,
      anon_sym_or_break,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6614), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6616), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6618), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [47350] = 21,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE,
    ACTIONS(6608), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6610), 1,
      anon_sym_or_else,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6614), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6616), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6618), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [47452] = 6,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym_uninitialized,
    STATE(2753), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4427), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [47524] = 7,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym_uninitialized,
    ACTIONS(6642), 1,
      sym_tag,
    STATE(2753), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4427), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [47598] = 6,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4355), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [47670] = 7,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(6646), 1,
      sym_tag,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4355), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [47744] = 6,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4313), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [47816] = 7,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6650), 1,
      sym_tag,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4313), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [47890] = 6,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6652), 1,
      sym_uninitialized,
    STATE(2829), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4771), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [47962] = 4,
    ACTIONS(6654), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 27,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(4954), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [48030] = 4,
    STATE(2699), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5178), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [48098] = 4,
    ACTIONS(6563), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 36,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48166] = 7,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6652), 1,
      sym_uninitialized,
    ACTIONS(6656), 1,
      sym_tag,
    STATE(2829), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4771), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [48240] = 7,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6660), 1,
      sym_tag,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4303), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [48314] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
      anon_sym_DOT2,
    ACTIONS(4523), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48380] = 5,
    ACTIONS(6662), 1,
      anon_sym_LBRACE,
    STATE(2699), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4866), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [48450] = 4,
    STATE(2699), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5130), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [48518] = 4,
    STATE(2699), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5076), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [48586] = 6,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4303), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [48658] = 6,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6665), 1,
      sym_uninitialized,
    STATE(2834), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4765), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [48730] = 7,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6628), 1,
      sym_uninitialized,
    ACTIONS(6667), 1,
      sym_tag,
    STATE(2824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4295), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [48804] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 24,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_DOT2,
      sym_identifier,
    ACTIONS(4523), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [48870] = 15,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48959] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5308), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49024] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5708), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49089] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(891), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49154] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5414), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49219] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5336), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49284] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49349] = 5,
    ACTIONS(6693), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5404), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49418] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(807), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49483] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5702), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49548] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5698), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49613] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5694), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49678] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5690), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49743] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5686), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49808] = 14,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49895] = 26,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6699), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6701), 1,
      anon_sym_or_else,
    ACTIONS(6703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6711), 1,
      anon_sym_or_return,
    ACTIONS(6713), 1,
      anon_sym_or_continue,
    ACTIONS(6715), 1,
      anon_sym_or_break,
    ACTIONS(6717), 1,
      anon_sym_CARET,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6697), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 20,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_QMARK,
  [50006] = 9,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50083] = 13,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50168] = 12,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50251] = 19,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5670), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50348] = 18,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5670), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50443] = 16,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5670), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50534] = 11,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5670), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50615] = 10,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5672), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5670), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50694] = 7,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5670), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50767] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5666), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50832] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5662), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50897] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5658), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50962] = 25,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6699), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6701), 1,
      anon_sym_or_else,
    ACTIONS(6703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6711), 1,
      anon_sym_or_return,
    ACTIONS(6713), 1,
      anon_sym_or_continue,
    ACTIONS(6715), 1,
      anon_sym_or_break,
    ACTIONS(6717), 1,
      anon_sym_CARET,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [51071] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5650), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51136] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5282), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [51201] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4427), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [51266] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5646), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [51331] = 7,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5640), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51404] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4866), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [51469] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5426), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51534] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5394), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [51599] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4491), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51664] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5620), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [51729] = 7,
    ACTIONS(6305), 1,
      sym_identifier,
    ACTIONS(6307), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    STATE(6916), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 25,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(67), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [51802] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(203), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51867] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5636), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51932] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5632), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51997] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5628), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52062] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5738), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52127] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5624), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52192] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5414), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52257] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4355), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52322] = 5,
    ACTIONS(6693), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5410), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52391] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5394), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52456] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5716), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52521] = 7,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5612), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52594] = 5,
    ACTIONS(6693), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5384), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52663] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5808), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5806), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52728] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5720), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52793] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5374), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52858] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5370), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52923] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5366), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52988] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5374), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53053] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5362), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [53118] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5370), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53183] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5584), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [53248] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5356), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [53313] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5608), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53378] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53443] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53508] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5600), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53573] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5596), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53638] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5592), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53703] = 25,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6699), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6701), 1,
      anon_sym_or_else,
    ACTIONS(6703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6711), 1,
      anon_sym_or_return,
    ACTIONS(6713), 1,
      anon_sym_or_continue,
    ACTIONS(6715), 1,
      anon_sym_or_break,
    ACTIONS(6717), 1,
      anon_sym_CARET,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [53812] = 21,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6699), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6701), 1,
      anon_sym_or_else,
    ACTIONS(6703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 25,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53913] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5366), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53978] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4313), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54043] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5452), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54108] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5456), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54173] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5580), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54238] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5576), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54303] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5712), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54368] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5352), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54433] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5348), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54498] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5344), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54563] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5362), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54628] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5460), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54693] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5464), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54758] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5332), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54823] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5566), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54888] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54953] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5562), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55018] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5558), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55083] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55148] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55213] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5550), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55278] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5546), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55343] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4303), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [55408] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(757), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55473] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5468), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [55538] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5542), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55603] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5536), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55668] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5532), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55733] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5728), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55798] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5324), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55863] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5320), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [55928] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5316), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [55993] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5312), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56058] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5734), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56123] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5526), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56188] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5522), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56253] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5518), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56318] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5514), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56383] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5514), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56448] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4295), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56513] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5510), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56578] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5506), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56643] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5308), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56708] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5304), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56773] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5502), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56838] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5498), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56903] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5494), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56968] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4771), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57033] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5490), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57098] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5486), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57163] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5300), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57228] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5482), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57293] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4765), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57358] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5478), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57423] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5472), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57488] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5296), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57553] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5468), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57618] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5430), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57683] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5464), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57748] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5460), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57813] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5292), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57878] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5456), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57943] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5452), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58008] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5288), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58073] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5768), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58138] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5930), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5928), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58203] = 5,
    ACTIONS(6693), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5422), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58272] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5356), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58337] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4491), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58402] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5784), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58467] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5780), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58532] = 5,
    ACTIONS(6721), 1,
      sym_identifier,
    ACTIONS(6723), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 22,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58601] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5426), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58666] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5472), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58731] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5764), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58796] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5758), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58861] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5478), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58926] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5646), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58991] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4427), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59056] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5750), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [59121] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5352), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59186] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5742), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [59251] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [59316] = 35,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6517), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6519), 1,
      anon_sym_or_else,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6547), 1,
      anon_sym_or_break,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      anon_sym_not_in,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COMMA,
    ACTIONS(6727), 1,
      anon_sym_EQ,
    ACTIONS(6729), 1,
      anon_sym_COLON,
    ACTIONS(6731), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6735), 1,
      anon_sym_SEMI,
    ACTIONS(6737), 1,
      anon_sym_do,
    ACTIONS(6739), 1,
      anon_sym_in,
    STATE(6216), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6807), 1,
      sym_block,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6733), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [59445] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5620), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59510] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4355), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59575] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5742), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59640] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5348), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59705] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5738), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [59770] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5734), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [59835] = 7,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5746), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59908] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5750), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59973] = 7,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5754), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60046] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5448), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60111] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5758), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60176] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5764), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60241] = 5,
    ACTIONS(6743), 1,
      anon_sym_QMARK,
    ACTIONS(6741), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 33,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60310] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5780), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60375] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5784), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60440] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5768), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60505] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5486), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60570] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5490), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60635] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5344), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60700] = 35,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6517), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6519), 1,
      anon_sym_or_else,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6547), 1,
      anon_sym_or_break,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      anon_sym_not_in,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COMMA,
    ACTIONS(6727), 1,
      anon_sym_EQ,
    ACTIONS(6729), 1,
      anon_sym_COLON,
    ACTIONS(6731), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6739), 1,
      anon_sym_in,
    ACTIONS(6745), 1,
      anon_sym_SEMI,
    ACTIONS(6747), 1,
      anon_sym_do,
    STATE(6216), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6807), 1,
      sym_block,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6733), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [60829] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5728), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60894] = 4,
    ACTIONS(6749), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 22,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4954), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60961] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5494), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61026] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5720), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61091] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5716), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61156] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5498), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61221] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5502), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61286] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5708), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61351] = 5,
    ACTIONS(6693), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5340), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61420] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(831), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61485] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5584), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61550] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4313), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61615] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5506), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61680] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5856), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61745] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5510), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61810] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(807), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61875] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5332), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61940] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5702), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62005] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5698), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62070] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5694), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62135] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5690), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62200] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5686), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62265] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5514), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62330] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5514), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62395] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5518), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62460] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5522), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62525] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(891), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [62590] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5848), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5846), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62655] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4303), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [62720] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5328), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [62785] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5526), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62850] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4295), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [62915] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5320), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [62980] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5316), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [63045] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5666), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63110] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5662), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63175] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5658), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63240] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4771), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [63305] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5650), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63370] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5312), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [63435] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4765), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [63500] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5324), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63565] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5430), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [63630] = 4,
    ACTIONS(6723), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(67), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63697] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5324), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63762] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5532), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63827] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5336), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [63892] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5536), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63957] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(907), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64022] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5542), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64087] = 4,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [64154] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5712), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64219] = 6,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(6743), 1,
      anon_sym_QMARK,
    ACTIONS(6741), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [64290] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(203), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64355] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5636), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64420] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5632), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64485] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5628), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64550] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5910), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5908), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64615] = 7,
    ACTIONS(6305), 1,
      sym_identifier,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    STATE(6916), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 25,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(67), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [64688] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5624), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64753] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5304), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [64818] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5546), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64883] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5328), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64948] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5550), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65013] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5282), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [65078] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5554), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65143] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5554), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65208] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5558), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65273] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5562), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65338] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5562), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65403] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5566), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65468] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5300), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [65533] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(831), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65598] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5296), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [65663] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5292), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [65728] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(757), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65793] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5288), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [65858] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5608), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65923] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5604), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [65988] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5604), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [66053] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5600), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [66118] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5596), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [66183] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5592), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [66248] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5896), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5894), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [66313] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(907), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [66378] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5924), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5922), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [66443] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5856), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [66508] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5576), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [66573] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5580), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [66638] = 9,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6755), 1,
      sym_uninitialized,
    ACTIONS(6757), 1,
      sym_tag,
    STATE(3044), 1,
      sym_where_clause,
    STATE(3193), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66714] = 10,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6759), 1,
      anon_sym_DASH_GT,
    ACTIONS(6761), 1,
      sym_uninitialized,
    ACTIONS(6763), 1,
      sym_tag,
    STATE(3024), 1,
      sym_where_clause,
    STATE(3109), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66792] = 5,
    ACTIONS(6765), 1,
      anon_sym_DOT2,
    STATE(2981), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4530), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [66860] = 7,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6769), 1,
      sym_uninitialized,
    ACTIONS(6771), 1,
      sym_tag,
    STATE(3404), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4295), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [66932] = 33,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6517), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6519), 1,
      anon_sym_or_else,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6547), 1,
      anon_sym_or_break,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    ACTIONS(6775), 1,
      anon_sym_EQ,
    ACTIONS(6777), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6781), 1,
      anon_sym_SEMI,
    ACTIONS(6783), 1,
      anon_sym_do,
    STATE(6253), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6790), 1,
      sym_block,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6565), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6779), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [67056] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6628), 1,
      sym_uninitialized,
    ACTIONS(6667), 1,
      sym_tag,
    ACTIONS(6785), 1,
      anon_sym_where,
    STATE(2696), 1,
      sym_where_clause,
    STATE(2824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67132] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6660), 1,
      sym_tag,
    ACTIONS(6785), 1,
      anon_sym_where,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67208] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6787), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67284] = 11,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6787), 1,
      sym_tag,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67364] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6650), 1,
      sym_tag,
    ACTIONS(6785), 1,
      anon_sym_where,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67440] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6793), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67516] = 5,
    ACTIONS(6795), 1,
      anon_sym_DOT2,
    STATE(2981), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4523), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [67584] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6798), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67660] = 11,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(6798), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67740] = 9,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6800), 1,
      sym_uninitialized,
    ACTIONS(6802), 1,
      sym_tag,
    STATE(3066), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67816] = 7,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(6806), 1,
      sym_tag,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4303), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [67888] = 11,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(6812), 1,
      sym_uninitialized,
    ACTIONS(6814), 1,
      sym_tag,
    STATE(3050), 1,
      sym_where_clause,
    STATE(3176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67968] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym_uninitialized,
    ACTIONS(6642), 1,
      sym_tag,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6816), 1,
      anon_sym_DASH_GT,
    STATE(2689), 1,
      sym_where_clause,
    STATE(2753), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68046] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6818), 1,
      anon_sym_DASH_GT,
    ACTIONS(6820), 1,
      sym_uninitialized,
    ACTIONS(6822), 1,
      sym_tag,
    STATE(2687), 1,
      sym_where_clause,
    STATE(2737), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68124] = 9,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6812), 1,
      sym_uninitialized,
    ACTIONS(6814), 1,
      sym_tag,
    STATE(3050), 1,
      sym_where_clause,
    STATE(3176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68200] = 9,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6812), 1,
      sym_uninitialized,
    ACTIONS(6824), 1,
      sym_tag,
    STATE(3050), 1,
      sym_where_clause,
    STATE(3176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68276] = 7,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(6828), 1,
      sym_tag,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4313), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [68348] = 11,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6755), 1,
      sym_uninitialized,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(6830), 1,
      sym_tag,
    STATE(3044), 1,
      sym_where_clause,
    STATE(3193), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68428] = 11,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    ACTIONS(6836), 1,
      sym_tag,
    STATE(3244), 1,
      sym_where_clause,
    STATE(3478), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68508] = 9,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    ACTIONS(6836), 1,
      sym_tag,
    STATE(3244), 1,
      sym_where_clause,
    STATE(3478), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68584] = 11,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6840), 1,
      sym_tag,
    STATE(3236), 1,
      sym_where_clause,
    STATE(3497), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68664] = 9,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6840), 1,
      sym_tag,
    STATE(3236), 1,
      sym_where_clause,
    STATE(3497), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68740] = 10,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6842), 1,
      anon_sym_DASH_GT,
    ACTIONS(6844), 1,
      sym_uninitialized,
    ACTIONS(6846), 1,
      sym_tag,
    STATE(3137), 1,
      sym_where_clause,
    STATE(3588), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68818] = 9,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6848), 1,
      sym_tag,
    STATE(3236), 1,
      sym_where_clause,
    STATE(3497), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68894] = 33,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(6580), 1,
      anon_sym_DASH_GT,
    ACTIONS(6582), 1,
      anon_sym_DOT,
    ACTIONS(6592), 1,
      anon_sym_TILDE,
    ACTIONS(6594), 1,
      anon_sym_AMP,
    ACTIONS(6596), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6602), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6604), 1,
      anon_sym_PIPE,
    ACTIONS(6608), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6610), 1,
      anon_sym_or_else,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6620), 1,
      anon_sym_or_break,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6727), 1,
      anon_sym_EQ,
    ACTIONS(6729), 1,
      anon_sym_COLON,
    ACTIONS(6731), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    ACTIONS(6850), 1,
      anon_sym_do,
    STATE(6222), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6547), 1,
      sym_block,
    ACTIONS(6584), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6590), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6598), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6606), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6614), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6616), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6600), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6618), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6733), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [69018] = 9,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6755), 1,
      sym_uninitialized,
    ACTIONS(6830), 1,
      sym_tag,
    STATE(3044), 1,
      sym_where_clause,
    STATE(3193), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69094] = 11,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      sym_uninitialized,
    ACTIONS(6854), 1,
      sym_tag,
    STATE(3127), 1,
      sym_where_clause,
    STATE(3460), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69174] = 5,
    ACTIONS(6765), 1,
      anon_sym_DOT2,
    STATE(2972), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [69242] = 6,
    ACTIONS(6561), 1,
      anon_sym_DOT2,
    ACTIONS(6856), 1,
      anon_sym_COLON,
    STATE(2557), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 41,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [69312] = 9,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6858), 1,
      sym_uninitialized,
    ACTIONS(6860), 1,
      sym_tag,
    STATE(3036), 1,
      sym_where_clause,
    STATE(3201), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69388] = 7,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6862), 1,
      sym_uninitialized,
    ACTIONS(6864), 1,
      sym_tag,
    STATE(3400), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4771), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [69460] = 9,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      sym_uninitialized,
    ACTIONS(6854), 1,
      sym_tag,
    STATE(3127), 1,
      sym_where_clause,
    STATE(3460), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69536] = 9,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      sym_uninitialized,
    ACTIONS(6866), 1,
      sym_tag,
    STATE(3127), 1,
      sym_where_clause,
    STATE(3460), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69612] = 6,
    ACTIONS(6765), 1,
      anon_sym_DOT2,
    ACTIONS(6868), 1,
      anon_sym_COLON,
    STATE(2972), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [69682] = 9,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      sym_uninitialized,
    ACTIONS(6872), 1,
      sym_tag,
    STATE(3115), 1,
      sym_where_clause,
    STATE(3538), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69758] = 10,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6874), 1,
      anon_sym_DASH_GT,
    ACTIONS(6876), 1,
      sym_uninitialized,
    ACTIONS(6878), 1,
      sym_tag,
    STATE(3026), 1,
      sym_where_clause,
    STATE(3130), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69836] = 33,
    ACTIONS(6507), 1,
      anon_sym_DASH_GT,
    ACTIONS(6509), 1,
      anon_sym_PIPE,
    ACTIONS(6513), 1,
      anon_sym_TILDE,
    ACTIONS(6515), 1,
      anon_sym_AMP,
    ACTIONS(6517), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6519), 1,
      anon_sym_or_else,
    ACTIONS(6521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6529), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6535), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_LBRACK,
    ACTIONS(6543), 1,
      anon_sym_or_return,
    ACTIONS(6545), 1,
      anon_sym_or_continue,
    ACTIONS(6547), 1,
      anon_sym_or_break,
    ACTIONS(6549), 1,
      anon_sym_CARET,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    ACTIONS(6775), 1,
      anon_sym_EQ,
    ACTIONS(6777), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6880), 1,
      anon_sym_SEMI,
    ACTIONS(6882), 1,
      anon_sym_do,
    STATE(6253), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6790), 1,
      sym_block,
    ACTIONS(6511), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6523), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6525), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6531), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6541), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6565), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6527), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6533), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6779), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [69960] = 10,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6884), 1,
      anon_sym_DASH_GT,
    ACTIONS(6886), 1,
      sym_uninitialized,
    ACTIONS(6888), 1,
      sym_tag,
    STATE(3129), 1,
      sym_where_clause,
    STATE(3558), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70038] = 7,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(6892), 1,
      sym_tag,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4355), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [70110] = 11,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6800), 1,
      sym_uninitialized,
    ACTIONS(6802), 1,
      sym_tag,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    STATE(3066), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70190] = 7,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6894), 1,
      sym_uninitialized,
    ACTIONS(6896), 1,
      sym_tag,
    STATE(3345), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4427), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [70262] = 11,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(6793), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70342] = 6,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      sym_uninitialized,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [70411] = 11,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      sym_uninitialized,
    ACTIONS(6902), 1,
      sym_tag,
    STATE(3330), 1,
      sym_where_clause,
    STATE(3812), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70490] = 9,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6904), 1,
      sym_uninitialized,
    ACTIONS(6906), 1,
      sym_tag,
    STATE(3257), 1,
      sym_where_clause,
    STATE(3695), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70565] = 9,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6904), 1,
      sym_uninitialized,
    ACTIONS(6908), 1,
      sym_tag,
    STATE(3257), 1,
      sym_where_clause,
    STATE(3695), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70640] = 6,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6894), 1,
      sym_uninitialized,
    STATE(3345), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4427), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [70709] = 11,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      sym_uninitialized,
    ACTIONS(6908), 1,
      sym_tag,
    STATE(3257), 1,
      sym_where_clause,
    STATE(3695), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70788] = 6,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6876), 1,
      sym_uninitialized,
    STATE(3130), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [70857] = 7,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6876), 1,
      sym_uninitialized,
    ACTIONS(6878), 1,
      sym_tag,
    STATE(3130), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70928] = 5,
    ACTIONS(6910), 1,
      anon_sym_COMMA,
    STATE(3025), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4715), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [70995] = 7,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      sym_uninitialized,
    ACTIONS(6913), 1,
      sym_tag,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71066] = 5,
    ACTIONS(6915), 1,
      anon_sym_COMMA,
    STATE(3025), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [71133] = 9,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      sym_uninitialized,
    ACTIONS(6902), 1,
      sym_tag,
    STATE(3330), 1,
      sym_where_clause,
    STATE(3812), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71208] = 9,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6917), 1,
      sym_uninitialized,
    ACTIONS(6919), 1,
      sym_tag,
    STATE(3344), 1,
      sym_where_clause,
    STATE(3818), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71283] = 11,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(6921), 1,
      sym_uninitialized,
    ACTIONS(6923), 1,
      sym_tag,
    STATE(3239), 1,
      sym_where_clause,
    STATE(3736), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71362] = 6,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6769), 1,
      sym_uninitialized,
    STATE(3404), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4295), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [71431] = 32,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6418), 1,
      anon_sym_or_return,
    ACTIONS(6420), 1,
      anon_sym_or_continue,
    ACTIONS(6424), 1,
      anon_sym_CARET,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6458), 1,
      anon_sym_or_else,
    ACTIONS(6460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6480), 1,
      anon_sym_or_break,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    ACTIONS(6925), 1,
      anon_sym_RBRACE,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 1,
      anon_sym_EQ,
    ACTIONS(6931), 1,
      anon_sym_COLON,
    ACTIONS(6933), 1,
      anon_sym_COLON_EQ,
    STATE(6214), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6462), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6464), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6487), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6935), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [71552] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(6937), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71627] = 11,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(6939), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71706] = 6,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6941), 1,
      sym_uninitialized,
    STATE(3211), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [71775] = 7,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6943), 1,
      sym_uninitialized,
    ACTIONS(6945), 1,
      sym_tag,
    STATE(3206), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71846] = 5,
    ACTIONS(6947), 1,
      sym_identifier,
    ACTIONS(6949), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 22,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 29,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [71913] = 6,
    ACTIONS(6951), 1,
      anon_sym_LBRACE,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [71982] = 5,
    ACTIONS(6957), 1,
      anon_sym_LBRACE,
    STATE(3039), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 22,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4866), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [72049] = 6,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6862), 1,
      sym_uninitialized,
    STATE(3400), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4771), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [72118] = 27,
    ACTIONS(6915), 1,
      anon_sym_COMMA,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7000), 1,
      anon_sym_or_break,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    STATE(3027), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(4787), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6972), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 18,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [72229] = 6,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6943), 1,
      sym_uninitialized,
    STATE(3206), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [72298] = 6,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6858), 1,
      sym_uninitialized,
    STATE(3201), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [72367] = 7,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6858), 1,
      sym_uninitialized,
    ACTIONS(6860), 1,
      sym_tag,
    STATE(3201), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72438] = 9,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      sym_uninitialized,
    ACTIONS(7004), 1,
      sym_tag,
    STATE(3330), 1,
      sym_where_clause,
    STATE(3812), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72513] = 9,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6921), 1,
      sym_uninitialized,
    ACTIONS(6923), 1,
      sym_tag,
    STATE(3239), 1,
      sym_where_clause,
    STATE(3736), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72588] = 11,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(7006), 1,
      sym_uninitialized,
    ACTIONS(7008), 1,
      sym_tag,
    STATE(3279), 1,
      sym_where_clause,
    STATE(3684), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72667] = 6,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      sym_uninitialized,
    STATE(3193), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [72736] = 9,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(7006), 1,
      sym_uninitialized,
    ACTIONS(7008), 1,
      sym_tag,
    STATE(3279), 1,
      sym_where_clause,
    STATE(3684), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72811] = 7,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      sym_uninitialized,
    ACTIONS(6757), 1,
      sym_tag,
    STATE(3193), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72882] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(6939), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72957] = 5,
    ACTIONS(7010), 1,
      anon_sym_COMMA,
    STATE(3059), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [73024] = 9,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7012), 1,
      sym_uninitialized,
    ACTIONS(7014), 1,
      sym_tag,
    STATE(3303), 1,
      sym_where_clause,
    STATE(3807), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73099] = 9,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7012), 1,
      sym_uninitialized,
    ACTIONS(7016), 1,
      sym_tag,
    STATE(3303), 1,
      sym_where_clause,
    STATE(3807), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73174] = 11,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7012), 1,
      sym_uninitialized,
    ACTIONS(7016), 1,
      sym_tag,
    STATE(3303), 1,
      sym_where_clause,
    STATE(3807), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73253] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(6828), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73328] = 9,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(7006), 1,
      sym_uninitialized,
    ACTIONS(7018), 1,
      sym_tag,
    STATE(3279), 1,
      sym_where_clause,
    STATE(3684), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73403] = 6,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6890), 1,
      sym_uninitialized,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4355), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [73472] = 5,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    STATE(3059), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4715), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [73539] = 5,
    ACTIONS(7023), 1,
      anon_sym_LBRACE,
    STATE(3060), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4866), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [73606] = 10,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(7026), 1,
      anon_sym_DASH_GT,
    ACTIONS(7028), 1,
      sym_uninitialized,
    ACTIONS(7030), 1,
      sym_tag,
    STATE(3183), 1,
      sym_where_clause,
    STATE(3789), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73683] = 11,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(7032), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73762] = 9,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(7034), 1,
      sym_uninitialized,
    ACTIONS(7036), 1,
      sym_tag,
    STATE(3285), 1,
      sym_where_clause,
    STATE(3681), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73837] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(7032), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73912] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(6806), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73987] = 7,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym_uninitialized,
    ACTIONS(6824), 1,
      sym_tag,
    STATE(3176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74058] = 9,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      sym_uninitialized,
    ACTIONS(7040), 1,
      sym_tag,
    STATE(3306), 1,
      sym_where_clause,
    STATE(3783), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74133] = 11,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      sym_uninitialized,
    ACTIONS(7040), 1,
      sym_tag,
    STATE(3306), 1,
      sym_where_clause,
    STATE(3783), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74212] = 10,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(7042), 1,
      anon_sym_DASH_GT,
    ACTIONS(7044), 1,
      sym_uninitialized,
    ACTIONS(7046), 1,
      sym_tag,
    STATE(3262), 1,
      sym_where_clause,
    STATE(3688), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74289] = 4,
    ACTIONS(7048), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 22,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4954), 30,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74354] = 6,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(7050), 1,
      sym_uninitialized,
    STATE(3441), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4765), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [74423] = 6,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym_uninitialized,
    STATE(3176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [74492] = 4,
    STATE(3060), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74557] = 10,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7052), 1,
      anon_sym_DASH_GT,
    ACTIONS(7054), 1,
      sym_uninitialized,
    ACTIONS(7056), 1,
      sym_tag,
    STATE(3318), 1,
      sym_where_clause,
    STATE(3738), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74634] = 6,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4313), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [74703] = 11,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(6937), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74782] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6769), 1,
      sym_uninitialized,
    ACTIONS(6771), 1,
      sym_tag,
    ACTIONS(6785), 1,
      anon_sym_where,
    STATE(3005), 1,
      sym_where_clause,
    STATE(3404), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74857] = 4,
    STATE(3060), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5076), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74922] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(7058), 1,
      anon_sym_DASH_GT,
    ACTIONS(7060), 1,
      sym_uninitialized,
    ACTIONS(7062), 1,
      sym_tag,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3403), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74999] = 10,
    ACTIONS(6753), 1,
      anon_sym_where,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7064), 1,
      anon_sym_DASH_GT,
    ACTIONS(7066), 1,
      sym_uninitialized,
    ACTIONS(7068), 1,
      sym_tag,
    STATE(3325), 1,
      sym_where_clause,
    STATE(3683), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [75076] = 6,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4303), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [75145] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(4523), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75208] = 4,
    STATE(3060), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5130), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75273] = 27,
    ACTIONS(7010), 1,
      anon_sym_COMMA,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7106), 1,
      anon_sym_or_return,
    ACTIONS(7108), 1,
      anon_sym_or_continue,
    ACTIONS(7110), 1,
      anon_sym_or_break,
    ACTIONS(7112), 1,
      anon_sym_CARET,
    STATE(3052), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(4787), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7082), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 18,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [75384] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      anon_sym_where,
    ACTIONS(6894), 1,
      sym_uninitialized,
    ACTIONS(6896), 1,
      sym_tag,
    ACTIONS(7114), 1,
      anon_sym_DASH_GT,
    STATE(3013), 1,
      sym_where_clause,
    STATE(3345), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [75461] = 24,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1651), 1,
      anon_sym_LPAREN,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(7134), 1,
      sym_tag,
    STATE(3108), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(831), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [75565] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75627] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5690), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75689] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5686), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75751] = 15,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75837] = 26,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7106), 1,
      anon_sym_or_return,
    ACTIONS(7108), 1,
      anon_sym_or_continue,
    ACTIONS(7110), 1,
      anon_sym_or_break,
    ACTIONS(7112), 1,
      anon_sym_CARET,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7082), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7138), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 17,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
  [75945] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76007] = 9,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76081] = 14,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76165] = 13,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76247] = 20,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(5672), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76343] = 19,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(5672), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 26,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76437] = 17,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 28,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76527] = 16,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76615] = 12,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 32,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76695] = 11,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 34,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76773] = 7,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76843] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5666), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76905] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5662), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76967] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5658), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77029] = 25,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7106), 1,
      anon_sym_or_return,
    ACTIONS(7108), 1,
      anon_sym_or_continue,
    ACTIONS(7110), 1,
      anon_sym_or_break,
    ACTIONS(7112), 1,
      anon_sym_CARET,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7082), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [77135] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5650), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77197] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5282), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77259] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77321] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77387] = 7,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77457] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5720), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77519] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5848), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5846), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77581] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5702), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77643] = 7,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(7140), 1,
      sym_uninitialized,
    ACTIONS(7142), 1,
      sym_tag,
    STATE(3546), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [77713] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5394), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77775] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5336), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77837] = 21,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6972), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77935] = 4,
    ACTIONS(6949), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77999] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4866), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78061] = 5,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78127] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78189] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78251] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5632), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78313] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5628), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78375] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5698), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78437] = 7,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      sym_uninitialized,
    ACTIONS(6872), 1,
      sym_tag,
    STATE(3538), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [78507] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5624), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78569] = 7,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    ACTIONS(7144), 1,
      sym_tag,
    STATE(3478), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [78639] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78701] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5584), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78763] = 5,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78829] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5414), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78891] = 7,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78961] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79023] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5708), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79085] = 7,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6886), 1,
      sym_uninitialized,
    ACTIONS(6888), 1,
      sym_tag,
    STATE(3558), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [79155] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5374), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79217] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5370), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79279] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5366), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79341] = 6,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(7146), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79409] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5362), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79471] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5808), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5806), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79533] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(757), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79595] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5356), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79657] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79719] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79781] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79843] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79905] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79967] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80029] = 25,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7106), 1,
      anon_sym_or_return,
    ACTIONS(7108), 1,
      anon_sym_or_continue,
    ACTIONS(7110), 1,
      anon_sym_or_break,
    ACTIONS(7112), 1,
      anon_sym_CARET,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7082), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [80135] = 21,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7082), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 23,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80233] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5784), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80295] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80357] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5716), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80419] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5780), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80481] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80543] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80605] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5924), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5922), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80667] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5352), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80729] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5348), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80791] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5344), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80853] = 5,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80919] = 5,
    ACTIONS(7150), 1,
      anon_sym_QMARK,
    ACTIONS(7148), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80985] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(831), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81047] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5332), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81109] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5566), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81171] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81233] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81295] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5558), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81357] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81419] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81481] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81543] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81605] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81667] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5764), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81729] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5328), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81791] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81853] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5536), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81915] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5532), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81977] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82039] = 7,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6921), 1,
      sym_uninitialized,
    ACTIONS(7152), 1,
      sym_tag,
    STATE(3736), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [82109] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5320), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82171] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5316), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82233] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5312), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82295] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82357] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5526), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82419] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5522), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82481] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5518), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82543] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82605] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82667] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82729] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5510), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82791] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82853] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5308), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82915] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5304), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82977] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83039] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5498), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83101] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83163] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83225] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83287] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83349] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5300), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83411] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5482), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83473] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83535] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5478), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83597] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83659] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5296), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83721] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83783] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5430), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83845] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83907] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83969] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5292), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84031] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5694), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84093] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84155] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5288), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84217] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84279] = 24,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1819), 1,
      anon_sym_LPAREN,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(7154), 1,
      sym_tag,
    STATE(3178), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(807), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [84383] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5808), 22,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5806), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [84445] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(891), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84507] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5728), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84569] = 5,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    STATE(3039), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5178), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [84635] = 6,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(7159), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5864), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5860), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84703] = 5,
    ACTIONS(7163), 1,
      anon_sym_QMARK,
    ACTIONS(7161), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84769] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84835] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84905] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84975] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85041] = 24,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1831), 1,
      anon_sym_LPAREN,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(7165), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(3241), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(891), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [85145] = 31,
    ACTIONS(6371), 1,
      anon_sym_DASH_GT,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6377), 1,
      anon_sym_TILDE,
    ACTIONS(6379), 1,
      anon_sym_AMP,
    ACTIONS(6383), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6389), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6391), 1,
      anon_sym_DOT,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_or_else,
    ACTIONS(6412), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6418), 1,
      anon_sym_or_return,
    ACTIONS(6420), 1,
      anon_sym_or_continue,
    ACTIONS(6422), 1,
      anon_sym_or_break,
    ACTIONS(6424), 1,
      anon_sym_CARET,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 1,
      anon_sym_COLON_EQ,
    ACTIONS(7168), 1,
      anon_sym_EQ,
    ACTIONS(7170), 1,
      anon_sym_COLON,
    STATE(6214), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(6375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6385), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6395), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6414), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6416), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6434), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6381), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6387), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6935), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [85263] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85329] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85395] = 5,
    ACTIONS(7172), 1,
      anon_sym_DOT2,
    STATE(3234), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4523), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [85461] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5910), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5908), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85523] = 7,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      sym_uninitialized,
    ACTIONS(6866), 1,
      sym_tag,
    STATE(3460), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [85593] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5712), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85655] = 25,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7000), 1,
      anon_sym_or_break,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6972), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 19,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [85761] = 7,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6904), 1,
      sym_uninitialized,
    ACTIONS(6906), 1,
      sym_tag,
    STATE(3695), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [85831] = 5,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85897] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(807), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85959] = 5,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    STATE(3039), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5130), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [86025] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 22,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4866), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [86087] = 7,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6848), 1,
      sym_tag,
    STATE(3497), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [86157] = 24,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1681), 1,
      anon_sym_LPAREN,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(7175), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(3221), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(907), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [86261] = 7,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86331] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86401] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5896), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5894), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86463] = 15,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86549] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5734), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86611] = 6,
    ACTIONS(7178), 1,
      anon_sym_COLON,
    ACTIONS(7180), 1,
      anon_sym_DOT2,
    STATE(3336), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86679] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5738), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86741] = 26,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7000), 1,
      anon_sym_or_break,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6972), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7182), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [86849] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86911] = 31,
    ACTIONS(6393), 1,
      anon_sym_LBRACK,
    ACTIONS(6418), 1,
      anon_sym_or_return,
    ACTIONS(6420), 1,
      anon_sym_or_continue,
    ACTIONS(6424), 1,
      anon_sym_CARET,
    ACTIONS(6446), 1,
      anon_sym_DASH_GT,
    ACTIONS(6448), 1,
      anon_sym_PIPE,
    ACTIONS(6452), 1,
      anon_sym_TILDE,
    ACTIONS(6454), 1,
      anon_sym_AMP,
    ACTIONS(6456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6458), 1,
      anon_sym_or_else,
    ACTIONS(6460), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6468), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6474), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6476), 1,
      anon_sym_DOT,
    ACTIONS(6480), 1,
      anon_sym_or_break,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6931), 1,
      anon_sym_COLON,
    ACTIONS(6933), 1,
      anon_sym_COLON_EQ,
    ACTIONS(7168), 1,
      anon_sym_EQ,
    STATE(6214), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(6450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6462), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6464), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6478), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6487), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6472), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6935), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [87029] = 9,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87103] = 7,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7006), 1,
      sym_uninitialized,
    ACTIONS(7018), 1,
      sym_tag,
    STATE(3684), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87173] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(907), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87235] = 25,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7106), 1,
      anon_sym_or_return,
    ACTIONS(7108), 1,
      anon_sym_or_continue,
    ACTIONS(7110), 1,
      anon_sym_or_break,
    ACTIONS(7112), 1,
      anon_sym_CARET,
    ACTIONS(4715), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7082), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [87341] = 14,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87425] = 13,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87507] = 7,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7028), 1,
      sym_uninitialized,
    ACTIONS(7030), 1,
      sym_tag,
    STATE(3789), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87577] = 20,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(5672), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 25,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87673] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5750), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87735] = 19,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(5672), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87829] = 6,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(7184), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5864), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5860), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87897] = 6,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_SLASH,
    ACTIONS(7186), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 39,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87965] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5426), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88027] = 17,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88117] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5856), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88179] = 5,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6810), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88245] = 16,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88333] = 24,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1725), 1,
      anon_sym_LPAREN,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(7188), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(3258), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(877), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(875), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [88437] = 12,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88517] = 11,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 34,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88595] = 7,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88665] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88735] = 25,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7000), 1,
      anon_sym_or_break,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6972), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 19,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [88841] = 7,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7034), 1,
      sym_uninitialized,
    ACTIONS(7036), 1,
      sym_tag,
    STATE(3681), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88911] = 25,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7000), 1,
      anon_sym_or_break,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(4715), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6972), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 19,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [89017] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5930), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5928), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [89079] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5646), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [89141] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [89211] = 24,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1693), 1,
      anon_sym_LPAREN,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(7191), 1,
      sym_tag,
    STATE(3166), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(757), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [89315] = 7,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7195), 1,
      sym_uninitialized,
    ACTIONS(7197), 1,
      sym_tag,
    STATE(3678), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89385] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5742), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [89447] = 24,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1709), 1,
      anon_sym_LPAREN,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(7199), 1,
      sym_tag,
    STATE(3144), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(856), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(853), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [89551] = 5,
    ACTIONS(7203), 1,
      anon_sym_DOT2,
    STATE(3234), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4530), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [89617] = 5,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    STATE(3039), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5076), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [89683] = 5,
    ACTIONS(7203), 1,
      anon_sym_DOT2,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4491), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [89749] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5620), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [89811] = 5,
    ACTIONS(7180), 1,
      anon_sym_DOT2,
    STATE(3336), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [89876] = 6,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6886), 1,
      sym_uninitialized,
    STATE(3558), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89943] = 5,
    ACTIONS(7205), 1,
      anon_sym_DOT2,
    STATE(3296), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4530), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90008] = 5,
    ACTIONS(7205), 1,
      anon_sym_DOT2,
    STATE(3294), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90073] = 5,
    ACTIONS(7207), 1,
      anon_sym_DOT2,
    STATE(3296), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4523), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90138] = 6,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7210), 1,
      sym_uninitialized,
    STATE(3708), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90205] = 26,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6699), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6701), 1,
      anon_sym_or_else,
    ACTIONS(6703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6711), 1,
      anon_sym_or_return,
    ACTIONS(6713), 1,
      anon_sym_or_continue,
    ACTIONS(6715), 1,
      anon_sym_or_break,
    ACTIONS(6717), 1,
      anon_sym_CARET,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6697), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7214), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(7212), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [90312] = 6,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7195), 1,
      sym_uninitialized,
    STATE(3678), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90379] = 6,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7034), 1,
      sym_uninitialized,
    STATE(3681), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90446] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1843), 1,
      anon_sym_LPAREN,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(7234), 1,
      sym_tag,
    STATE(2709), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(909), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [90549] = 6,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7028), 1,
      sym_uninitialized,
    STATE(3789), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90616] = 7,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      sym_uninitialized,
    ACTIONS(7004), 1,
      sym_tag,
    STATE(3812), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90685] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1807), 1,
      anon_sym_LPAREN,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(7237), 1,
      sym_tag,
    STATE(2714), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(893), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [90788] = 6,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7006), 1,
      sym_uninitialized,
    STATE(3684), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90855] = 7,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7012), 1,
      sym_uninitialized,
    ACTIONS(7014), 1,
      sym_tag,
    STATE(3807), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90924] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1779), 1,
      anon_sym_LPAREN,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(7240), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2943), 1,
      sym_type,
    ACTIONS(809), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [91027] = 24,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2091), 1,
      anon_sym_LPAREN,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(7261), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(3669), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(877), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(875), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [91130] = 6,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    STATE(3497), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91197] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1855), 1,
      anon_sym_LPAREN,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(7264), 1,
      sym_tag,
    STATE(2736), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(834), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [91300] = 24,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2119), 1,
      anon_sym_LPAREN,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(7268), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(3668), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(856), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(853), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [91403] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 22,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_DOT2,
      sym_identifier,
    ACTIONS(4523), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [91464] = 6,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6904), 1,
      sym_uninitialized,
    STATE(3695), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91531] = 6,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      sym_uninitialized,
    STATE(3460), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91598] = 9,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7276), 1,
      sym_uninitialized,
    ACTIONS(7278), 1,
      sym_tag,
    STATE(3443), 1,
      sym_where_clause,
    STATE(3617), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91671] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(7280), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2953), 1,
      sym_type,
    ACTIONS(762), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [91774] = 24,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2103), 1,
      anon_sym_LPAREN,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(7284), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(3621), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(757), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [91877] = 7,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      sym_uninitialized,
    ACTIONS(7288), 1,
      sym_tag,
    STATE(3783), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91946] = 24,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2063), 1,
      anon_sym_LPAREN,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(7290), 1,
      sym_tag,
    STATE(3499), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(907), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [92049] = 24,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2037), 1,
      anon_sym_LPAREN,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(7293), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(3576), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(891), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [92152] = 10,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7296), 1,
      anon_sym_DASH_GT,
    ACTIONS(7298), 1,
      sym_uninitialized,
    ACTIONS(7300), 1,
      sym_tag,
    STATE(3411), 1,
      sym_where_clause,
    STATE(3462), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92227] = 9,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7302), 1,
      sym_uninitialized,
    ACTIONS(7304), 1,
      sym_tag,
    STATE(3448), 1,
      sym_where_clause,
    STATE(3602), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92300] = 6,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6921), 1,
      sym_uninitialized,
    STATE(3736), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92367] = 24,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2075), 1,
      anon_sym_LPAREN,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(7306), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(3627), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(831), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [92470] = 7,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7054), 1,
      sym_uninitialized,
    ACTIONS(7056), 1,
      sym_tag,
    STATE(3738), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92539] = 10,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7310), 1,
      anon_sym_DASH_GT,
    ACTIONS(7312), 1,
      sym_uninitialized,
    ACTIONS(7314), 1,
      sym_tag,
    STATE(3417), 1,
      sym_where_clause,
    STATE(3504), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92614] = 11,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7320), 1,
      sym_uninitialized,
    ACTIONS(7322), 1,
      sym_tag,
    STATE(3425), 1,
      sym_where_clause,
    STATE(3505), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92691] = 9,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7320), 1,
      sym_uninitialized,
    ACTIONS(7322), 1,
      sym_tag,
    STATE(3425), 1,
      sym_where_clause,
    STATE(3505), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92764] = 6,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    STATE(3478), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92831] = 7,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6917), 1,
      sym_uninitialized,
    ACTIONS(6919), 1,
      sym_tag,
    STATE(3818), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92900] = 5,
    ACTIONS(7324), 1,
      anon_sym_DOT2,
    STATE(3331), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4523), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [92965] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1749), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(7327), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2956), 1,
      sym_type,
    ACTIONS(856), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(853), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [93068] = 11,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7331), 1,
      sym_uninitialized,
    ACTIONS(7333), 1,
      sym_tag,
    STATE(3436), 1,
      sym_where_clause,
    STATE(3634), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93145] = 24,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2135), 1,
      anon_sym_LPAREN,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(7335), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(3544), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(807), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [93248] = 9,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7331), 1,
      sym_uninitialized,
    ACTIONS(7333), 1,
      sym_tag,
    STATE(3436), 1,
      sym_where_clause,
    STATE(3634), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93321] = 5,
    ACTIONS(7180), 1,
      anon_sym_DOT2,
    STATE(3331), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4530), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [93386] = 6,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(7338), 1,
      sym_uninitialized,
    STATE(3564), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93453] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1871), 1,
      anon_sym_LPAREN,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(7340), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2929), 1,
      sym_type,
    ACTIONS(877), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [93556] = 9,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7331), 1,
      sym_uninitialized,
    ACTIONS(7343), 1,
      sym_tag,
    STATE(3436), 1,
      sym_where_clause,
    STATE(3634), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93629] = 11,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7276), 1,
      sym_uninitialized,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7345), 1,
      sym_tag,
    STATE(3443), 1,
      sym_where_clause,
    STATE(3617), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93706] = 6,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(7140), 1,
      sym_uninitialized,
    STATE(3546), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93773] = 6,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      sym_uninitialized,
    STATE(3538), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93840] = 9,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7276), 1,
      sym_uninitialized,
    ACTIONS(7345), 1,
      sym_tag,
    STATE(3443), 1,
      sym_where_clause,
    STATE(3617), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93913] = 7,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7347), 1,
      sym_uninitialized,
    ACTIONS(7349), 1,
      sym_tag,
    STATE(3824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93982] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4355), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94042] = 6,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7351), 1,
      sym_uninitialized,
    STATE(3593), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [94108] = 5,
    ACTIONS(7353), 1,
      anon_sym_DOT2,
    STATE(3347), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4523), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [94172] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5328), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94232] = 4,
    ACTIONS(7356), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 21,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4954), 28,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [94294] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5308), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94354] = 27,
    ACTIONS(4787), 1,
      anon_sym_EQ,
    ACTIONS(7358), 1,
      anon_sym_COMMA,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7396), 1,
      anon_sym_or_return,
    ACTIONS(7398), 1,
      anon_sym_or_continue,
    ACTIONS(7400), 1,
      anon_sym_or_break,
    ACTIONS(7402), 1,
      anon_sym_CARET,
    STATE(3354), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7372), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 16,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [94462] = 6,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7347), 1,
      sym_uninitialized,
    STATE(3824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [94528] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5304), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94588] = 5,
    ACTIONS(7358), 1,
      anon_sym_COMMA,
    STATE(3393), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [94652] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5646), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94712] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5324), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94772] = 5,
    ACTIONS(7404), 1,
      anon_sym_LBRACE,
    STATE(3357), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4866), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [94836] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5300), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94896] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5320), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94956] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5316), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95016] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5856), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95076] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5414), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95136] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5312), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95196] = 5,
    ACTIONS(7407), 1,
      anon_sym_DOT2,
    STATE(3365), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95260] = 5,
    ACTIONS(7407), 1,
      anon_sym_DOT2,
    STATE(3378), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4530), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95324] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      sym_uninitialized,
    ACTIONS(7413), 1,
      sym_tag,
    STATE(3795), 1,
      sym_where_clause,
    STATE(4219), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95396] = 5,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    STATE(3389), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5076), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95460] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5292), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95520] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7417), 1,
      sym_uninitialized,
    ACTIONS(7419), 1,
      sym_tag,
    STATE(3793), 1,
      sym_where_clause,
    STATE(4224), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95592] = 6,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7054), 1,
      sym_uninitialized,
    STATE(3738), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95658] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5712), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95718] = 6,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6917), 1,
      sym_uninitialized,
    STATE(3818), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95784] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5288), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95844] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      sym_uninitialized,
    ACTIONS(7421), 1,
      sym_tag,
    STATE(3795), 1,
      sym_where_clause,
    STATE(4219), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95916] = 5,
    ACTIONS(7423), 1,
      anon_sym_DOT2,
    STATE(3347), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4530), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95980] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4491), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96040] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5426), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96100] = 5,
    ACTIONS(7425), 1,
      anon_sym_DOT2,
    STATE(3378), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4523), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96164] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5332), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96224] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(831), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96284] = 5,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    STATE(3389), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5130), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96348] = 10,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7430), 1,
      sym_uninitialized,
    ACTIONS(7432), 1,
      sym_tag,
    STATE(3676), 1,
      sym_where_clause,
    STATE(4250), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96422] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5394), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96482] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5344), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96542] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5336), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96602] = 4,
    STATE(3039), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5076), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96664] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5296), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96724] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5348), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96784] = 5,
    ACTIONS(7434), 1,
      anon_sym_LBRACE,
    STATE(3389), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4866), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96848] = 26,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_not_in,
    ACTIONS(6699), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6701), 1,
      anon_sym_or_else,
    ACTIONS(6703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6711), 1,
      anon_sym_or_return,
    ACTIONS(6713), 1,
      anon_sym_or_continue,
    ACTIONS(6715), 1,
      anon_sym_or_break,
    ACTIONS(6717), 1,
      anon_sym_CARET,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7214), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(7212), 16,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
  [96954] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5352), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97014] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(907), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97074] = 5,
    ACTIONS(7437), 1,
      anon_sym_COMMA,
    STATE(3393), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4715), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [97138] = 10,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7442), 1,
      anon_sym_DASH_GT,
    ACTIONS(7444), 1,
      sym_uninitialized,
    ACTIONS(7446), 1,
      sym_tag,
    STATE(3798), 1,
      sym_where_clause,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97212] = 4,
    STATE(3039), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5130), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97274] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4313), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97334] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7448), 1,
      sym_uninitialized,
    ACTIONS(7450), 1,
      sym_tag,
    STATE(3799), 1,
      sym_where_clause,
    STATE(4218), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97406] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(4523), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97466] = 6,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7012), 1,
      sym_uninitialized,
    STATE(3807), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97532] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4765), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97592] = 11,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      sym_uninitialized,
    ACTIONS(7413), 1,
      sym_tag,
    STATE(3795), 1,
      sym_where_clause,
    STATE(4219), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97668] = 10,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7452), 1,
      anon_sym_DASH_GT,
    ACTIONS(7454), 1,
      sym_uninitialized,
    ACTIONS(7456), 1,
      sym_tag,
    STATE(3797), 1,
      sym_where_clause,
    STATE(4151), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97742] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4427), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97802] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4771), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97862] = 6,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7458), 1,
      sym_uninitialized,
    STATE(3773), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97928] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5448), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97988] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7417), 1,
      sym_uninitialized,
    ACTIONS(7460), 1,
      sym_tag,
    STATE(3793), 1,
      sym_where_clause,
    STATE(4224), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [98060] = 6,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      sym_uninitialized,
    STATE(3504), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [98126] = 6,
    ACTIONS(6949), 1,
      anon_sym_LPAREN,
    ACTIONS(7150), 1,
      anon_sym_QMARK,
    ACTIONS(7148), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98192] = 29,
    ACTIONS(6669), 1,
      anon_sym_DASH_GT,
    ACTIONS(6671), 1,
      anon_sym_PIPE,
    ACTIONS(6675), 1,
      anon_sym_TILDE,
    ACTIONS(6677), 1,
      anon_sym_AMP,
    ACTIONS(6679), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6685), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6687), 1,
      anon_sym_DOT,
    ACTIONS(6689), 1,
      anon_sym_LBRACK,
    ACTIONS(6699), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6701), 1,
      anon_sym_or_else,
    ACTIONS(6703), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6711), 1,
      anon_sym_or_return,
    ACTIONS(6713), 1,
      anon_sym_or_continue,
    ACTIONS(6715), 1,
      anon_sym_or_break,
    ACTIONS(6717), 1,
      anon_sym_CARET,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    ACTIONS(6775), 1,
      anon_sym_EQ,
    ACTIONS(6777), 1,
      anon_sym_COLON_EQ,
    STATE(6253), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(6673), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6681), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6691), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6697), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6683), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6709), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6779), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [98304] = 7,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      sym_uninitialized,
    ACTIONS(7314), 1,
      sym_tag,
    STATE(3504), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [98372] = 6,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      sym_uninitialized,
    STATE(3505), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [98438] = 5,
    ACTIONS(7423), 1,
      anon_sym_DOT2,
    STATE(3375), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [98502] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5584), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [98562] = 11,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7417), 1,
      sym_uninitialized,
    ACTIONS(7460), 1,
      sym_tag,
    STATE(3793), 1,
      sym_where_clause,
    STATE(4224), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [98638] = 11,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7462), 1,
      sym_uninitialized,
    ACTIONS(7464), 1,
      sym_tag,
    STATE(3790), 1,
      sym_where_clause,
    STATE(4153), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [98714] = 7,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      sym_uninitialized,
    ACTIONS(7466), 1,
      sym_tag,
    STATE(3505), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [98782] = 6,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7331), 1,
      sym_uninitialized,
    STATE(3634), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [98848] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7468), 1,
      sym_uninitialized,
    ACTIONS(7470), 1,
      sym_tag,
    STATE(3786), 1,
      sym_where_clause,
    STATE(4232), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [98920] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7462), 1,
      sym_uninitialized,
    ACTIONS(7464), 1,
      sym_tag,
    STATE(3790), 1,
      sym_where_clause,
    STATE(4153), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [98992] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(891), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [99052] = 6,
    ACTIONS(7472), 1,
      anon_sym_LBRACE,
    ACTIONS(7475), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99118] = 4,
    STATE(3039), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [99180] = 5,
    ACTIONS(7478), 1,
      sym_identifier,
    ACTIONS(7480), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 21,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 27,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99244] = 7,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7331), 1,
      sym_uninitialized,
    ACTIONS(7343), 1,
      sym_tag,
    STATE(3634), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [99312] = 11,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7482), 1,
      sym_uninitialized,
    ACTIONS(7484), 1,
      sym_tag,
    STATE(3785), 1,
      sym_where_clause,
    STATE(4154), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [99388] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5282), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [99448] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7482), 1,
      sym_uninitialized,
    ACTIONS(7484), 1,
      sym_tag,
    STATE(3785), 1,
      sym_where_clause,
    STATE(4154), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [99520] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5356), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [99580] = 4,
    STATE(3357), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99642] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(757), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [99702] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5362), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [99762] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4303), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [99822] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5366), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [99882] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5370), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [99942] = 7,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7276), 1,
      sym_uninitialized,
    ACTIONS(7278), 1,
      sym_tag,
    STATE(3617), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [100010] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5374), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [100070] = 6,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      sym_uninitialized,
    STATE(3812), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [100136] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 11,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(4523), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100196] = 4,
    STATE(3357), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5130), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100258] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5430), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [100318] = 6,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7276), 1,
      sym_uninitialized,
    STATE(3617), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [100384] = 7,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7302), 1,
      sym_uninitialized,
    ACTIONS(7304), 1,
      sym_tag,
    STATE(3602), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [100452] = 6,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7302), 1,
      sym_uninitialized,
    STATE(3602), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [100518] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7482), 1,
      sym_uninitialized,
    ACTIONS(7486), 1,
      sym_tag,
    STATE(3785), 1,
      sym_where_clause,
    STATE(4154), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [100590] = 6,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      sym_uninitialized,
    STATE(3783), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [100656] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5620), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [100716] = 7,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7351), 1,
      sym_uninitialized,
    ACTIONS(7488), 1,
      sym_tag,
    STATE(3593), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [100784] = 11,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7490), 1,
      sym_uninitialized,
    ACTIONS(7492), 1,
      sym_tag,
    STATE(3782), 1,
      sym_where_clause,
    STATE(4155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [100860] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(807), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [100920] = 4,
    STATE(3357), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5076), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100982] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7490), 1,
      sym_uninitialized,
    ACTIONS(7494), 1,
      sym_tag,
    STATE(3782), 1,
      sym_where_clause,
    STATE(4155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101054] = 11,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7468), 1,
      sym_uninitialized,
    ACTIONS(7470), 1,
      sym_tag,
    STATE(3786), 1,
      sym_where_clause,
    STATE(4232), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101130] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7496), 1,
      sym_uninitialized,
    ACTIONS(7498), 1,
      sym_tag,
    STATE(3780), 1,
      sym_where_clause,
    STATE(4156), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101202] = 9,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7490), 1,
      sym_uninitialized,
    ACTIONS(7492), 1,
      sym_tag,
    STATE(3782), 1,
      sym_where_clause,
    STATE(4155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101274] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4295), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [101334] = 6,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7500), 1,
      sym_uninitialized,
    STATE(3584), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [101400] = 10,
    ACTIONS(7274), 1,
      anon_sym_where,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7502), 1,
      anon_sym_DASH_GT,
    ACTIONS(7504), 1,
      sym_uninitialized,
    ACTIONS(7506), 1,
      sym_tag,
    STATE(3740), 1,
      sym_where_clause,
    STATE(4243), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101474] = 5,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    STATE(3389), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101538] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101597] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5292), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101656] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101715] = 21,
    ACTIONS(5590), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7372), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 21,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101810] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5414), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101869] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5348), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101928] = 25,
    ACTIONS(5590), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7396), 1,
      anon_sym_or_return,
    ACTIONS(7398), 1,
      anon_sym_or_continue,
    ACTIONS(7400), 1,
      anon_sym_or_break,
    ACTIONS(7402), 1,
      anon_sym_CARET,
    ACTIONS(7372), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 17,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [102031] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102090] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102149] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102208] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5352), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102267] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5808), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5806), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102326] = 5,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102389] = 6,
    ACTIONS(7508), 1,
      anon_sym_LBRACE,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102454] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102513] = 4,
    ACTIONS(7480), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102574] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2320), 1,
      anon_sym_LPAREN,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(3804), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(831), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [102675] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(3733), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(807), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [102776] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102835] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5296), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102894] = 5,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102957] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5336), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103016] = 5,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103079] = 5,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103142] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5910), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5908), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103201] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103260] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(831), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103319] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5394), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103378] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103437] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103496] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5332), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103555] = 5,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103618] = 5,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103681] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5784), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103740] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5780), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103799] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5584), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103858] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5896), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5894), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103917] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103976] = 7,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104043] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(891), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104102] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5328), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104161] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104220] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5320), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104279] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5316), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104338] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104397] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104456] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5374), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104515] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5370), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104574] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5366), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104633] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5356), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104692] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5362), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104751] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5312), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104810] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5282), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104869] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5356), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104928] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(757), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104987] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5362), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [105046] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5366), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [105105] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5624), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105164] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5370), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [105223] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5374), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [105282] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5308), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [105341] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105400] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(891), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [105459] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5304), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [105518] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5628), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105577] = 5,
    ACTIONS(7537), 1,
      anon_sym_QMARK,
    ACTIONS(7535), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105640] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5764), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105699] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5426), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105758] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5352), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105817] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5348), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105876] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5344), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105935] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105994] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5632), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106053] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106112] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5332), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106171] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106230] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106289] = 6,
    ACTIONS(7480), 1,
      anon_sym_LPAREN,
    ACTIONS(7537), 1,
      anon_sym_QMARK,
    ACTIONS(7535), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106354] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106413] = 25,
    ACTIONS(4715), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7396), 1,
      anon_sym_or_return,
    ACTIONS(7398), 1,
      anon_sym_or_continue,
    ACTIONS(7400), 1,
      anon_sym_or_break,
    ACTIONS(7402), 1,
      anon_sym_CARET,
    ACTIONS(7372), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 17,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [106516] = 7,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106583] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5300), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106642] = 4,
    STATE(3389), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106703] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5808), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5806), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106762] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5328), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106821] = 6,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7539), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106886] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106945] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5750), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107004] = 7,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107071] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107130] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5320), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107189] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5316), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107248] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5312), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107307] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5742), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107366] = 6,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      anon_sym_SLASH,
    ACTIONS(7541), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5864), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5860), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107431] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107490] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5646), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107549] = 5,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107612] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107671] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5924), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5922), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107730] = 6,
    ACTIONS(6561), 1,
      anon_sym_DOT2,
    ACTIONS(7543), 1,
      anon_sym_COLON,
    STATE(2557), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 36,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [107795] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5620), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107854] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5308), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107913] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5304), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107972] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5430), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [108031] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(807), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [108090] = 7,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108157] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5344), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [108216] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5288), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [108275] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2374), 1,
      anon_sym_LPAREN,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(3730), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(891), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [108376] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5300), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108435] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5336), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [108494] = 5,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [108557] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108616] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108675] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5296), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108734] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(807), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108793] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108852] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(907), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [108911] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5394), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [108970] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5292), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109029] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5738), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109088] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109147] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5288), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109206] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5430), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109265] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109324] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109383] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5734), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109442] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [109501] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5930), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5928), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109560] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5646), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [109619] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109678] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5478), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109737] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109796] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5650), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109855] = 5,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [109918] = 25,
    ACTIONS(5656), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7396), 1,
      anon_sym_or_return,
    ACTIONS(7398), 1,
      anon_sym_or_continue,
    ACTIONS(7400), 1,
      anon_sym_or_break,
    ACTIONS(7402), 1,
      anon_sym_CARET,
    ACTIONS(7372), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 17,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [110021] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5856), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [110080] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5482), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110139] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110198] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5414), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [110257] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110316] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110375] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110434] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5712), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [110493] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5658), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110552] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5498), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110611] = 5,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [110674] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5662), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110733] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [110792] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5426), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [110851] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110910] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110969] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111028] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5510), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111087] = 6,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111152] = 4,
    STATE(3389), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5076), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111213] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111272] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111331] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111390] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5666), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111449] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(831), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111508] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5518), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111567] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5522), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111626] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5526), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111685] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 11,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(4523), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111744] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5584), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111803] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5282), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111862] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2290), 1,
      anon_sym_LPAREN,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(3774), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(856), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(853), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [111963] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112022] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5532), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112081] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5536), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112140] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112199] = 7,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112266] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112325] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112384] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5856), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112443] = 11,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 32,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112518] = 12,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 30,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112595] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(4523), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112654] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112713] = 16,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112798] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112857] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112916] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5558), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [112975] = 4,
    STATE(3389), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5130), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113036] = 17,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 26,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113123] = 19,
    ACTIONS(5672), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 24,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113214] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113273] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113332] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4866), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113391] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5720), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113450] = 20,
    ACTIONS(5672), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 23,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113543] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5566), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113602] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2383), 1,
      anon_sym_LPAREN,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    STATE(3692), 1,
      sym_type,
    STATE(3721), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(757), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [113703] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5712), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113762] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2256), 1,
      anon_sym_LPAREN,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    STATE(3691), 1,
      sym_type,
    STATE(3721), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(877), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(875), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [113863] = 13,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113942] = 14,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114023] = 9,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 33,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114094] = 26,
    ACTIONS(5682), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7396), 1,
      anon_sym_or_return,
    ACTIONS(7398), 1,
      anon_sym_or_continue,
    ACTIONS(7400), 1,
      anon_sym_or_break,
    ACTIONS(7402), 1,
      anon_sym_CARET,
    ACTIONS(7372), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7550), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 15,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
  [114199] = 15,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114282] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5708), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114341] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5686), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114400] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5690), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114459] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5694), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114518] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5698), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114577] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5620), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114636] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(757), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114695] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(907), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114754] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5728), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114813] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(3772), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(907), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [114914] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5702), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [114973] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5716), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [115032] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4866), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115091] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5848), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5846), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [115150] = 7,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7504), 1,
      sym_uninitialized,
    ACTIONS(7506), 1,
      sym_tag,
    STATE(4243), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115216] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5336), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115274] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115332] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2156), 1,
      anon_sym_LPAREN,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    STATE(3754), 1,
      sym_procedure,
    STATE(3794), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(891), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [115432] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2165), 1,
      anon_sym_LPAREN,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    STATE(3754), 1,
      sym_procedure,
    STATE(3764), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(907), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [115532] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115590] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5646), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115648] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115706] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115764] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      sym_uninitialized,
    ACTIONS(6822), 1,
      sym_tag,
    ACTIONS(7572), 1,
      anon_sym_DASH_GT,
    ACTIONS(7574), 1,
      anon_sym_where,
    STATE(2687), 1,
      sym_where_clause,
    STATE(2737), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4281), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115836] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym_uninitialized,
    ACTIONS(6642), 1,
      sym_tag,
    ACTIONS(7574), 1,
      anon_sym_where,
    ACTIONS(7576), 1,
      anon_sym_DASH_GT,
    STATE(2689), 1,
      sym_where_clause,
    STATE(2753), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115908] = 11,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      anon_sym_where,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(7580), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115982] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116040] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5332), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116098] = 4,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116158] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(907), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116216] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(831), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116274] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5336), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116332] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5712), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116390] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116448] = 28,
    ACTIONS(4787), 1,
      anon_sym_EQ,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7106), 1,
      anon_sym_or_return,
    ACTIONS(7108), 1,
      anon_sym_or_continue,
    ACTIONS(7110), 1,
      anon_sym_or_break,
    ACTIONS(7112), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_COMMA,
    STATE(6275), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7082), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7138), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 12,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [116556] = 5,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116618] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5394), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116676] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(7574), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [116746] = 11,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      anon_sym_where,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(7590), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [116820] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(7574), 1,
      anon_sym_where,
    ACTIONS(7590), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [116890] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6650), 1,
      sym_tag,
    ACTIONS(7574), 1,
      anon_sym_where,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [116960] = 11,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      anon_sym_where,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(7592), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [117034] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(7574), 1,
      anon_sym_where,
    ACTIONS(7592), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [117104] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(7610), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2953), 1,
      sym_type,
    ACTIONS(762), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [117204] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6660), 1,
      sym_tag,
    ACTIONS(7574), 1,
      anon_sym_where,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [117274] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6628), 1,
      sym_uninitialized,
    ACTIONS(6667), 1,
      sym_tag,
    ACTIONS(7574), 1,
      anon_sym_where,
    STATE(2696), 1,
      sym_where_clause,
    STATE(2824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [117344] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5430), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117402] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117460] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5394), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117518] = 4,
    ACTIONS(7614), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117578] = 6,
    ACTIONS(6561), 1,
      anon_sym_DOT2,
    ACTIONS(7616), 1,
      anon_sym_COLON,
    STATE(2557), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 20,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4491), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [117642] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5414), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117700] = 4,
    ACTIONS(7618), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4954), 27,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [117760] = 5,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117822] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5856), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117880] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1855), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(7620), 1,
      sym_tag,
    STATE(2736), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(834), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [117980] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5414), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118038] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5344), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118096] = 5,
    ACTIONS(7624), 1,
      sym_identifier,
    ACTIONS(7626), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 20,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 26,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [118158] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118216] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1871), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(7628), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2929), 1,
      sym_type,
    ACTIONS(877), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [118316] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1749), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(7631), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2956), 1,
      sym_type,
    ACTIONS(856), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(853), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [118416] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5370), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118474] = 5,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118536] = 24,
    ACTIONS(877), 1,
      anon_sym_SLASH,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2281), 1,
      anon_sym_LPAREN,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3392), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [118636] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1843), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(7641), 1,
      sym_tag,
    STATE(2709), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(909), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [118736] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1807), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(7644), 1,
      sym_tag,
    STATE(2714), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(893), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [118836] = 24,
    ACTIONS(809), 1,
      anon_sym_SLASH,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3348), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [118936] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(807), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118994] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5288), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119052] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1779), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(7647), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2943), 1,
      sym_type,
    ACTIONS(809), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [119152] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5328), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119210] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5282), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119268] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5712), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119326] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119384] = 4,
    ACTIONS(7650), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 20,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4954), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [119444] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119502] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5584), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119560] = 7,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7468), 1,
      sym_uninitialized,
    ACTIONS(7652), 1,
      sym_tag,
    STATE(4232), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119626] = 24,
    ACTIONS(909), 1,
      anon_sym_SLASH,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(3421), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [119726] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    STATE(3144), 1,
      sym_type,
    STATE(3754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(856), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(853), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [119826] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    STATE(3166), 1,
      sym_type,
    STATE(3754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(757), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [119926] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119984] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5426), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120042] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5374), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120100] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5370), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120158] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120216] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5348), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120274] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5366), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120332] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5426), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120390] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(831), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120448] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5362), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120506] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120564] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5356), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120622] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    STATE(3754), 1,
      sym_procedure,
    STATE(3759), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(807), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [120722] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2186), 1,
      anon_sym_LPAREN,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    STATE(3754), 1,
      sym_procedure,
    STATE(3825), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(877), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(875), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [120822] = 24,
    ACTIONS(893), 1,
      anon_sym_SLASH,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2219), 1,
      anon_sym_LPAREN,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(3450), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [120922] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5328), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120980] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(757), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121038] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5348), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121096] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5296), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121154] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    STATE(3108), 1,
      sym_type,
    STATE(3754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(831), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [121254] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(891), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121312] = 6,
    ACTIONS(6723), 1,
      anon_sym_LPAREN,
    ACTIONS(7163), 1,
      anon_sym_QMARK,
    ACTIONS(7161), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 34,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [121376] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5292), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121434] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5300), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121492] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5288), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121550] = 6,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121614] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5292), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121672] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5356), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121730] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(891), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121788] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5430), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121846] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(757), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121904] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5362), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121962] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5366), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122020] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5296), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122078] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5352), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122136] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5584), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122194] = 7,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      sym_uninitialized,
    ACTIONS(7658), 1,
      sym_tag,
    STATE(4157), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122260] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5374), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122318] = 7,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7496), 1,
      sym_uninitialized,
    ACTIONS(7498), 1,
      sym_tag,
    STATE(4156), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122384] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122442] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122500] = 7,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7490), 1,
      sym_uninitialized,
    ACTIONS(7494), 1,
      sym_tag,
    STATE(4155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122566] = 7,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7417), 1,
      sym_uninitialized,
    ACTIONS(7419), 1,
      sym_tag,
    STATE(4224), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122632] = 6,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_SLASH,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122696] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5352), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122754] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122812] = 7,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7482), 1,
      sym_uninitialized,
    ACTIONS(7486), 1,
      sym_tag,
    STATE(4154), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122878] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5308), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122936] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5304), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122994] = 7,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      sym_uninitialized,
    ACTIONS(7421), 1,
      sym_tag,
    STATE(4219), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123060] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(807), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123118] = 7,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7448), 1,
      sym_uninitialized,
    ACTIONS(7450), 1,
      sym_tag,
    STATE(4218), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123184] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5620), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123242] = 7,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7462), 1,
      sym_uninitialized,
    ACTIONS(7662), 1,
      sym_tag,
    STATE(4153), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123308] = 7,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7454), 1,
      sym_uninitialized,
    ACTIONS(7456), 1,
      sym_tag,
    STATE(4151), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123374] = 7,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7664), 1,
      sym_uninitialized,
    ACTIONS(7666), 1,
      sym_tag,
    STATE(4217), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123440] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5344), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123498] = 5,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123560] = 24,
    ACTIONS(834), 1,
      anon_sym_SLASH,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2344), 1,
      anon_sym_LPAREN,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(3427), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [123660] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5332), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123718] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5282), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123776] = 24,
    ACTIONS(762), 1,
      anon_sym_SLASH,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2395), 1,
      anon_sym_LPAREN,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3380), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [123876] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5312), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123934] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123992] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5320), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124050] = 5,
    ACTIONS(7668), 1,
      sym_identifier,
    ACTIONS(7670), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [124112] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5316), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124170] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5312), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124228] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124286] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5620), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124344] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5316), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124402] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5308), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124460] = 24,
    ACTIONS(856), 1,
      anon_sym_SLASH,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2332), 1,
      anon_sym_LPAREN,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(3431), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(853), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [124560] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5304), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124618] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124676] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5300), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124734] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5646), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124792] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5320), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124850] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5856), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124908] = 5,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(7588), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124970] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125028] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(907), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125086] = 20,
    ACTIONS(5672), 1,
      anon_sym_COLON,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7686), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7688), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7690), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 21,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125177] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125234] = 6,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      sym_uninitialized,
    STATE(4157), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125297] = 6,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7454), 1,
      sym_uninitialized,
    STATE(4151), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125360] = 6,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7706), 1,
      sym_uninitialized,
    STATE(4158), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125423] = 6,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7490), 1,
      sym_uninitialized,
    STATE(4155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125486] = 6,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7496), 1,
      sym_uninitialized,
    STATE(4156), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125549] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125606] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125663] = 6,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7482), 1,
      sym_uninitialized,
    STATE(4154), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125726] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5518), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125783] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5522), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125840] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5526), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125897] = 27,
    ACTIONS(75), 1,
      anon_sym_if,
    ACTIONS(79), 1,
      anon_sym_switch,
    ACTIONS(483), 1,
      anon_sym_for,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(6523), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6875), 4,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_switch_statement,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [126002] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5624), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126059] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126116] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5628), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126173] = 7,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126238] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5666), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126295] = 5,
    ACTIONS(7720), 1,
      anon_sym_DOT2,
    STATE(3850), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126356] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126413] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126470] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126527] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5632), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126584] = 5,
    ACTIONS(7720), 1,
      anon_sym_DOT2,
    STATE(3860), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4530), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126645] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126702] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126759] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126816] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126873] = 9,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126942] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 14,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
  [127043] = 21,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 18,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127136] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5728), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127193] = 27,
    ACTIONS(75), 1,
      anon_sym_if,
    ACTIONS(77), 1,
      anon_sym_for,
    ACTIONS(79), 1,
      anon_sym_switch,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(6523), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6875), 4,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_switch_statement,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [127298] = 5,
    ACTIONS(7758), 1,
      anon_sym_DOT2,
    STATE(3860), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4523), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127359] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127416] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127473] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(7763), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127534] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(7767), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127595] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5738), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127652] = 25,
    ACTIONS(5656), 1,
      anon_sym_COLON,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7775), 1,
      anon_sym_or_break,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7686), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7688), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7769), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7690), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 15,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [127753] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5734), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127810] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127867] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5742), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127924] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(7767), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127985] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5566), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128042] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128099] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128156] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5558), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128213] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128270] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128327] = 7,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128392] = 5,
    ACTIONS(7779), 1,
      anon_sym_COMMA,
    STATE(3878), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4715), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [128453] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128510] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128567] = 5,
    ACTIONS(7782), 1,
      anon_sym_COMMA,
    STATE(3878), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [128628] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5658), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128685] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(7763), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128746] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128803] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5536), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128860] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5532), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128917] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5526), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128974] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5522), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129031] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5518), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129088] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5566), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129145] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129202] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129259] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5662), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129316] = 28,
    ACTIONS(4787), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7396), 1,
      anon_sym_or_return,
    ACTIONS(7398), 1,
      anon_sym_or_continue,
    ACTIONS(7400), 1,
      anon_sym_or_break,
    ACTIONS(7402), 1,
      anon_sym_CARET,
    ACTIONS(7784), 1,
      anon_sym_COMMA,
    STATE(6300), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7372), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7550), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 11,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [129423] = 7,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129488] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5510), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129545] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129602] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129659] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5498), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129716] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129773] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129830] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129887] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5720), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129944] = 7,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130009] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130066] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5558), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130123] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130180] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5650), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130237] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130294] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 14,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
  [130395] = 11,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 30,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130468] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5658), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130525] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5662), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130582] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5666), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130639] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130696] = 7,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130761] = 11,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130834] = 12,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 27,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130909] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130966] = 16,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131049] = 17,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 23,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131134] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131191] = 19,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(5672), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131280] = 20,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(5672), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 20,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131371] = 13,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131448] = 14,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131527] = 9,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131596] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 12,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_QMARK,
      anon_sym_RBRACK,
  [131699] = 15,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131780] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5686), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131837] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5482), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131894] = 12,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 28,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131969] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5690), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132026] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5694), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132083] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5698), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132140] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5702), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132197] = 16,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132280] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(7767), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132341] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5478), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132398] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(7767), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132459] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132516] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132573] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5708), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132630] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132687] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132744] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132801] = 17,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7690), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 24,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132886] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132943] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133000] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5716), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133057] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5720), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133114] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133171] = 19,
    ACTIONS(5672), 1,
      anon_sym_COLON,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7686), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7688), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7690), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 22,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133260] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5734), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133317] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5738), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133374] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(7767), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133435] = 13,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133512] = 14,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133591] = 26,
    ACTIONS(5682), 1,
      anon_sym_COLON,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7775), 1,
      anon_sym_or_break,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7686), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7688), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7769), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7788), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7690), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [133694] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5742), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133751] = 7,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133816] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5750), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133873] = 7,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133938] = 15,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134019] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134076] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5764), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134133] = 5,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 33,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134194] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5686), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134251] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5780), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134308] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5784), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134365] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5478), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134422] = 6,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7462), 1,
      sym_uninitialized,
    STATE(4153), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134485] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5532), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134542] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134599] = 4,
    ACTIONS(7626), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134658] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5650), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134715] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5536), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134772] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5690), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134829] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5482), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134886] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134943] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5694), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135000] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5698), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135057] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5702), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135114] = 6,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7504), 1,
      sym_uninitialized,
    STATE(4243), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135177] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135234] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5728), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135291] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135348] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5750), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135405] = 7,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135470] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135527] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(7763), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135588] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6628), 1,
      sym_uninitialized,
    ACTIONS(6667), 1,
      sym_tag,
    ACTIONS(7794), 1,
      anon_sym_where,
    STATE(2696), 1,
      sym_where_clause,
    STATE(2824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4295), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [135657] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(7763), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135718] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5708), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135775] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6660), 1,
      sym_tag,
    ACTIONS(7794), 1,
      anon_sym_where,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4303), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [135844] = 26,
    ACTIONS(4715), 1,
      anon_sym_EQ,
    ACTIONS(7070), 1,
      anon_sym_DASH_GT,
    ACTIONS(7072), 1,
      anon_sym_PIPE,
    ACTIONS(7074), 1,
      anon_sym_PLUS,
    ACTIONS(7076), 1,
      anon_sym_DASH,
    ACTIONS(7078), 1,
      anon_sym_TILDE,
    ACTIONS(7080), 1,
      anon_sym_AMP,
    ACTIONS(7084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7092), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7100), 1,
      anon_sym_DOT,
    ACTIONS(7102), 1,
      anon_sym_LBRACK,
    ACTIONS(7106), 1,
      anon_sym_or_return,
    ACTIONS(7108), 1,
      anon_sym_or_continue,
    ACTIONS(7110), 1,
      anon_sym_or_break,
    ACTIONS(7112), 1,
      anon_sym_CARET,
    ACTIONS(7082), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7086), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7088), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7094), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7096), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7098), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7104), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7138), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7090), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [135947] = 7,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [136012] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(7794), 1,
      anon_sym_where,
    ACTIONS(7796), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4303), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [136081] = 11,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7794), 1,
      anon_sym_where,
    ACTIONS(7796), 1,
      sym_tag,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 18,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4303), 21,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [136154] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5716), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [136211] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6650), 1,
      sym_tag,
    ACTIONS(7794), 1,
      anon_sym_where,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4313), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [136280] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(7794), 1,
      anon_sym_where,
    ACTIONS(7800), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4313), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [136349] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [136406] = 21,
    ACTIONS(5590), 1,
      anon_sym_COLON,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7686), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7688), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7769), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7690), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [136499] = 6,
    ACTIONS(7670), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [136562] = 11,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7794), 1,
      anon_sym_where,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7800), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 18,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4313), 21,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [136635] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(7794), 1,
      anon_sym_where,
    ACTIONS(7802), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4355), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [136704] = 11,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7794), 1,
      anon_sym_where,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7802), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 18,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4355), 21,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [136777] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym_uninitialized,
    ACTIONS(6642), 1,
      sym_tag,
    ACTIONS(7794), 1,
      anon_sym_where,
    ACTIONS(7804), 1,
      anon_sym_DASH_GT,
    STATE(2689), 1,
      sym_where_clause,
    STATE(2753), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4427), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [136848] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      sym_uninitialized,
    ACTIONS(6822), 1,
      sym_tag,
    ACTIONS(7794), 1,
      anon_sym_where,
    ACTIONS(7806), 1,
      anon_sym_DASH_GT,
    STATE(2687), 1,
      sym_where_clause,
    STATE(2737), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4287), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4281), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [136919] = 25,
    ACTIONS(5590), 1,
      anon_sym_COLON,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7775), 1,
      anon_sym_or_break,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7686), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7688), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7769), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7690), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 15,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [137020] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [137077] = 6,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7417), 1,
      sym_uninitialized,
    STATE(4224), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [137140] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [137197] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [137254] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1779), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(7824), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2943), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(807), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137353] = 27,
    ACTIONS(4787), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7782), 1,
      anon_sym_COMMA,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7859), 1,
      anon_sym_or_break,
    STATE(3881), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7837), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [137458] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1855), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(7861), 1,
      sym_tag,
    STATE(2736), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(831), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137557] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1807), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(7865), 1,
      sym_tag,
    STATE(2714), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(891), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137656] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [137713] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [137770] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [137827] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1843), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(7868), 1,
      sym_tag,
    STATE(2709), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(907), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137926] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [137983] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138040] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138097] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(7871), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2953), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(757), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [138196] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138253] = 4,
    ACTIONS(7670), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138312] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138369] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138426] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1749), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(7875), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2956), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(856), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(853), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [138525] = 24,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1871), 1,
      anon_sym_LPAREN,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(7879), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2929), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(877), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(875), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [138624] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5632), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138681] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5764), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138738] = 5,
    ACTIONS(7884), 1,
      anon_sym_QMARK,
    ACTIONS(7882), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 34,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138799] = 6,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7468), 1,
      sym_uninitialized,
    STATE(4232), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138862] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5510), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138919] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138976] = 7,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139041] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5784), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139098] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139155] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5498), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139212] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139269] = 6,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      sym_uninitialized,
    STATE(4219), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139332] = 6,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7448), 1,
      sym_uninitialized,
    STATE(4218), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139395] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(7763), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 9,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139456] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5780), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139513] = 6,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7664), 1,
      sym_uninitialized,
    STATE(4217), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139576] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5624), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139633] = 6,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7886), 1,
      sym_uninitialized,
    STATE(4216), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139696] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5628), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139753] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7888), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5760), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 31,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139811] = 6,
    ACTIONS(7890), 1,
      anon_sym_LBRACE,
    ACTIONS(7892), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139873] = 24,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1871), 1,
      anon_sym_LPAREN,
    ACTIONS(2769), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(7910), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2929), 1,
      sym_type,
    ACTIONS(877), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [139971] = 28,
    ACTIONS(4787), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7000), 1,
      anon_sym_or_break,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7913), 1,
      anon_sym_COMMA,
    STATE(6318), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(6972), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7182), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [140077] = 24,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1749), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2729), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(7915), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2956), 1,
      sym_type,
    ACTIONS(856), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(853), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140175] = 6,
    ACTIONS(6723), 1,
      anon_sym_LPAREN,
    ACTIONS(7921), 1,
      anon_sym_QMARK,
    ACTIONS(7919), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [140237] = 24,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    ACTIONS(2691), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(7923), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2953), 1,
      sym_type,
    ACTIONS(762), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140335] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [140399] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [140463] = 5,
    ACTIONS(7921), 1,
      anon_sym_QMARK,
    ACTIONS(7919), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [140523] = 24,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1843), 1,
      anon_sym_LPAREN,
    ACTIONS(2745), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(7927), 1,
      sym_tag,
    STATE(2709), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(909), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140621] = 25,
    ACTIONS(4715), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7859), 1,
      anon_sym_or_break,
    ACTIONS(7837), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [140721] = 24,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1807), 1,
      anon_sym_LPAREN,
    ACTIONS(2717), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(7930), 1,
      sym_tag,
    STATE(2714), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(893), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140819] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3754), 1,
      sym_procedure,
    STATE(6485), 1,
      sym_type,
    ACTIONS(856), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(853), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140917] = 24,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1779), 1,
      anon_sym_LPAREN,
    ACTIONS(2757), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(7935), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2943), 1,
      sym_type,
    ACTIONS(809), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [141015] = 24,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1855), 1,
      anon_sym_LPAREN,
    ACTIONS(2781), 1,
      sym_identifier,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(7938), 1,
      sym_tag,
    STATE(2736), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(834), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [141113] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [141173] = 6,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7184), 1,
      anon_sym_EQ,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5864), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5860), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [141235] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6527), 1,
      sym_type,
    ACTIONS(834), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [141333] = 26,
    ACTIONS(4715), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7000), 1,
      anon_sym_or_break,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(6972), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7182), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [141435] = 5,
    ACTIONS(7942), 1,
      anon_sym_LBRACE,
    STATE(4073), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4866), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [141495] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [141555] = 6,
    ACTIONS(7890), 1,
      anon_sym_LBRACE,
    ACTIONS(7945), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [141617] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [141677] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [141737] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [141797] = 5,
    ACTIONS(7948), 1,
      anon_sym_DOT2,
    STATE(4088), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [141857] = 6,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7186), 1,
      anon_sym_LBRACE,
    ACTIONS(7578), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 34,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [141919] = 5,
    ACTIONS(7950), 1,
      anon_sym_COMMA,
    STATE(4082), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 20,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4692), 24,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [141979] = 5,
    ACTIONS(7952), 1,
      anon_sym_COMMA,
    STATE(4082), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4715), 20,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4710), 24,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [142039] = 15,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [142119] = 26,
    ACTIONS(5682), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7859), 1,
      anon_sym_or_break,
    ACTIONS(7837), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7955), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_QMARK,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [142221] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    STATE(4073), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5076), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [142281] = 28,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7950), 1,
      anon_sym_COMMA,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7971), 1,
      anon_sym_or_else,
    ACTIONS(7973), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7993), 1,
      anon_sym_or_return,
    ACTIONS(7995), 1,
      anon_sym_or_continue,
    ACTIONS(7997), 1,
      anon_sym_or_break,
    STATE(4081), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
    ACTIONS(4787), 7,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      sym_identifier,
  [142387] = 9,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [142455] = 5,
    ACTIONS(7948), 1,
      anon_sym_DOT2,
    STATE(4105), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4532), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4530), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [142515] = 14,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [142593] = 13,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [142669] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3754), 1,
      sym_procedure,
    STATE(6497), 1,
      sym_type,
    ACTIONS(762), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [142767] = 20,
    ACTIONS(5672), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 20,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [142857] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6512), 1,
      sym_type,
    ACTIONS(909), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [142955] = 19,
    ACTIONS(5672), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 21,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [143043] = 17,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [143127] = 16,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [143209] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3754), 1,
      sym_procedure,
    STATE(6506), 1,
      sym_type,
    ACTIONS(877), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [143307] = 12,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [143381] = 11,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [143453] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [143517] = 6,
    ACTIONS(7508), 1,
      anon_sym_LBRACE,
    ACTIONS(7999), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 34,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143579] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    STATE(4073), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5130), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143639] = 25,
    ACTIONS(5656), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7859), 1,
      anon_sym_or_break,
    ACTIONS(7837), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [143739] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [143803] = 5,
    ACTIONS(8001), 1,
      anon_sym_DOT2,
    STATE(4105), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4523), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143863] = 25,
    ACTIONS(5590), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7859), 1,
      anon_sym_or_break,
    ACTIONS(7837), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [143963] = 21,
    ACTIONS(5590), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7837), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 18,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [144055] = 24,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3754), 1,
      sym_procedure,
    STATE(6489), 1,
      sym_type,
    ACTIONS(909), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [144153] = 4,
    STATE(4073), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144211] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [144275] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    STATE(4073), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144335] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 10,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(4523), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144391] = 4,
    STATE(4073), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5132), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5130), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144449] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6529), 1,
      sym_type,
    ACTIONS(809), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [144547] = 4,
    STATE(4073), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5078), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5076), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144605] = 26,
    ACTIONS(4715), 1,
      anon_sym_EQ,
    ACTIONS(7360), 1,
      anon_sym_DASH_GT,
    ACTIONS(7362), 1,
      anon_sym_PIPE,
    ACTIONS(7364), 1,
      anon_sym_PLUS,
    ACTIONS(7366), 1,
      anon_sym_DASH,
    ACTIONS(7368), 1,
      anon_sym_TILDE,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7374), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7390), 1,
      anon_sym_DOT,
    ACTIONS(7392), 1,
      anon_sym_LBRACK,
    ACTIONS(7396), 1,
      anon_sym_or_return,
    ACTIONS(7398), 1,
      anon_sym_or_continue,
    ACTIONS(7400), 1,
      anon_sym_or_break,
    ACTIONS(7402), 1,
      anon_sym_CARET,
    ACTIONS(7372), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7376), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7378), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7386), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7388), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7394), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7550), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [144707] = 24,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6526), 1,
      sym_type,
    ACTIONS(893), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [144805] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5340), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [144864] = 24,
    ACTIONS(856), 1,
      anon_sym_SLASH,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1920), 1,
      anon_sym_LPAREN,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    STATE(3514), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(853), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [144961] = 24,
    ACTIONS(877), 1,
      anon_sym_SLASH,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1974), 1,
      anon_sym_LPAREN,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    STATE(3578), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [145058] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4868), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4866), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145113] = 6,
    ACTIONS(8024), 1,
      anon_sym_LBRACE,
    ACTIONS(8026), 1,
      anon_sym_LPAREN,
    ACTIONS(8028), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145174] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5808), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5806), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145229] = 4,
    ACTIONS(8030), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145286] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5712), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145341] = 6,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7186), 1,
      anon_sym_LBRACE,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5340), 23,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [145402] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5646), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145457] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5620), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145512] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5584), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145567] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5328), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145622] = 5,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 24,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [145681] = 15,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 14,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5670), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [145760] = 27,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7971), 1,
      anon_sym_or_else,
    ACTIONS(7973), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7993), 1,
      anon_sym_or_return,
    ACTIONS(7995), 1,
      anon_sym_or_continue,
    ACTIONS(7997), 1,
      anon_sym_or_break,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8036), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5682), 5,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      sym_identifier,
    ACTIONS(5680), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
  [145863] = 9,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 17,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5670), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [145930] = 14,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5672), 15,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_TILDE,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [146007] = 13,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5672), 16,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [146082] = 20,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7973), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5672), 11,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [146171] = 19,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5672), 11,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [146258] = 17,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5672), 13,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [146341] = 16,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 13,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5670), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [146422] = 12,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 16,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5672), 16,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [146495] = 11,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 16,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5670), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [146566] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5670), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [146629] = 26,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7971), 1,
      anon_sym_or_else,
    ACTIONS(7973), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7993), 1,
      anon_sym_or_return,
    ACTIONS(7995), 1,
      anon_sym_or_continue,
    ACTIONS(7997), 1,
      anon_sym_or_break,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5656), 7,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      sym_identifier,
  [146730] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5640), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [146793] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5612), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [146856] = 26,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7971), 1,
      anon_sym_or_else,
    ACTIONS(7973), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7993), 1,
      anon_sym_or_return,
    ACTIONS(7995), 1,
      anon_sym_or_continue,
    ACTIONS(7997), 1,
      anon_sym_or_break,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5590), 7,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      sym_identifier,
  [146957] = 22,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7971), 1,
      anon_sym_or_else,
    ACTIONS(7973), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5590), 10,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [147050] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147105] = 24,
    ACTIONS(809), 1,
      anon_sym_SLASH,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1895), 1,
      anon_sym_LPAREN,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    STATE(3500), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [147202] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147257] = 4,
    ACTIONS(8038), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 19,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4954), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [147314] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147369] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147424] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147479] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147534] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147589] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5430), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147644] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5426), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147699] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147754] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5414), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147809] = 5,
    ACTIONS(8026), 1,
      anon_sym_LPAREN,
    ACTIONS(8028), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147868] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5394), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147923] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5374), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147978] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148033] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5366), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148088] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5362), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148143] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5356), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148198] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5352), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148253] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5348), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148308] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5344), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148363] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5332), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148418] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148473] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5370), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148528] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5316), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148583] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5312), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148638] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5308), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148693] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5304), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148748] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5300), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148803] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5296), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148858] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5292), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148913] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5288), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148968] = 5,
    ACTIONS(8026), 1,
      anon_sym_LPAREN,
    ACTIONS(8028), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149027] = 24,
    ACTIONS(909), 1,
      anon_sym_SLASH,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    STATE(3522), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [149124] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4525), 10,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(4523), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149179] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5856), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149234] = 5,
    ACTIONS(8026), 1,
      anon_sym_LPAREN,
    ACTIONS(8028), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149293] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(907), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149348] = 24,
    ACTIONS(893), 1,
      anon_sym_SLASH,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1944), 1,
      anon_sym_LPAREN,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    STATE(3565), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [149445] = 5,
    ACTIONS(8026), 1,
      anon_sym_LPAREN,
    ACTIONS(8028), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149504] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5320), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149559] = 6,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7184), 1,
      anon_sym_EQ,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5864), 18,
      anon_sym_where,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5860), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [149620] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5410), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [149679] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(757), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149734] = 5,
    ACTIONS(8026), 1,
      anon_sym_LPAREN,
    ACTIONS(8028), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149793] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(831), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149848] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5336), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149903] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(891), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149958] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(807), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150013] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5282), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150068] = 4,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150125] = 4,
    ACTIONS(8042), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150182] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5404), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [150241] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5422), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [150300] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5384), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [150359] = 26,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7971), 1,
      anon_sym_or_else,
    ACTIONS(7973), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7993), 1,
      anon_sym_or_return,
    ACTIONS(7995), 1,
      anon_sym_or_continue,
    ACTIONS(7997), 1,
      anon_sym_or_break,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
    ACTIONS(4715), 7,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      sym_identifier,
  [150460] = 5,
    ACTIONS(8046), 1,
      anon_sym_QMARK,
    ACTIONS(8044), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 18,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5768), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [150519] = 24,
    ACTIONS(834), 1,
      anon_sym_SLASH,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    STATE(3512), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [150616] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5754), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [150679] = 7,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5746), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [150742] = 6,
    ACTIONS(6723), 1,
      anon_sym_LPAREN,
    ACTIONS(8046), 1,
      anon_sym_QMARK,
    ACTIONS(8044), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 18,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(67), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [150803] = 5,
    ACTIONS(7624), 1,
      sym_identifier,
    ACTIONS(8048), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 24,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [150862] = 24,
    ACTIONS(762), 1,
      anon_sym_SLASH,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1932), 1,
      anon_sym_LPAREN,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    STATE(3486), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [150959] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5372), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5370), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151013] = 6,
    ACTIONS(8048), 1,
      anon_sym_LPAREN,
    ACTIONS(8052), 1,
      anon_sym_QMARK,
    ACTIONS(8050), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151073] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5432), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5430), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151127] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4767), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4765), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151181] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4773), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4771), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151235] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4297), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4295), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151289] = 7,
    ACTIONS(7626), 1,
      anon_sym_LPAREN,
    ACTIONS(7884), 1,
      anon_sym_QMARK,
    ACTIONS(7882), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8054), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(71), 10,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 27,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151351] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151405] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151459] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151513] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4305), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4303), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151567] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151621] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151675] = 28,
    ACTIONS(4787), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7859), 1,
      anon_sym_or_break,
    ACTIONS(8056), 1,
      anon_sym_COMMA,
    STATE(6442), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7837), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7955), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [151779] = 4,
    ACTIONS(8048), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 34,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151835] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151889] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5330), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5328), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151943] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(809), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(807), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151997] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4315), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4313), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152051] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(891), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152105] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5584), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152159] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152213] = 20,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 17,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152301] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5338), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5336), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152355] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152409] = 24,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [152505] = 7,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152567] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(834), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(831), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152621] = 7,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152683] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4357), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4355), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152737] = 6,
    ACTIONS(8034), 1,
      anon_sym_LPAREN,
    ACTIONS(8096), 1,
      anon_sym_QMARK,
    ACTIONS(8094), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152797] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5622), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5620), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152851] = 4,
    ACTIONS(8098), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152907] = 24,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [153003] = 7,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153065] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(907), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153119] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4431), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4427), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153173] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(762), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(757), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153227] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5648), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5646), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153281] = 11,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 28,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153351] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5478), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153405] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5858), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5856), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153459] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5714), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5712), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153513] = 12,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153585] = 16,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(5672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153665] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153719] = 17,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(5672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 22,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153801] = 18,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 20,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153885] = 19,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153971] = 13,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154045] = 14,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154121] = 9,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 29,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154187] = 25,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 11,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [154285] = 15,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154363] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5290), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5288), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154417] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154471] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154525] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154579] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5294), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5292), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154633] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5784), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154687] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154741] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154795] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5780), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154849] = 5,
    ACTIONS(8096), 1,
      anon_sym_QMARK,
    ACTIONS(8094), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 32,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154907] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5764), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154961] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5285), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5282), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155015] = 7,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155077] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155131] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5298), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5296), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155185] = 4,
    ACTIONS(8034), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155241] = 5,
    ACTIONS(8052), 1,
      anon_sym_QMARK,
    ACTIONS(8050), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 32,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155299] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5750), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155353] = 7,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155415] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5742), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155469] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155523] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5428), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5426), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155577] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4491), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155631] = 5,
    ACTIONS(8110), 1,
      anon_sym_LPAREN,
    ACTIONS(8112), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5424), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5422), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155689] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5738), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155743] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5734), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155797] = 5,
    ACTIONS(7668), 1,
      sym_identifier,
    ACTIONS(8114), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 23,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [155855] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5720), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155909] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5518), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155963] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5482), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156017] = 5,
    ACTIONS(8116), 1,
      sym_identifier,
    ACTIONS(8118), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [156075] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5716), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156129] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5708), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156183] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5302), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5300), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156237] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5416), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5414), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156291] = 5,
    ACTIONS(8110), 1,
      anon_sym_LPAREN,
    ACTIONS(8112), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5412), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5410), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156349] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156403] = 5,
    ACTIONS(8110), 1,
      anon_sym_LPAREN,
    ACTIONS(8112), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5406), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5404), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156461] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156515] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156569] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5702), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156623] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5698), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156677] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5694), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156731] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5498), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156785] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156839] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5690), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156893] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5306), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5304), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156947] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5686), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157001] = 15,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157079] = 24,
    ACTIONS(834), 1,
      anon_sym_SLASH,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2344), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(3427), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [157175] = 25,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_or_return,
    ACTIONS(8170), 1,
      anon_sym_or_continue,
    ACTIONS(8172), 1,
      anon_sym_or_break,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8158), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8162), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 11,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [157273] = 9,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157339] = 14,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157415] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5310), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5308), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157469] = 13,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157543] = 24,
    ACTIONS(762), 1,
      anon_sym_SLASH,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2395), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3380), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [157639] = 19,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8162), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 19,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157725] = 18,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8162), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 20,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157809] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157863] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5510), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157917] = 17,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(5672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 22,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157999] = 16,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(5672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158079] = 12,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158151] = 24,
    ACTIONS(856), 1,
      anon_sym_SLASH,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2332), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(3431), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(853), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [158247] = 24,
    ACTIONS(893), 1,
      anon_sym_SLASH,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2219), 1,
      anon_sym_LPAREN,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(3450), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [158343] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5712), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5760), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158399] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158453] = 24,
    ACTIONS(909), 1,
      anon_sym_SLASH,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(3421), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [158549] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5728), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158603] = 24,
    ACTIONS(877), 1,
      anon_sym_SLASH,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2281), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3392), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [158699] = 7,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158761] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5666), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158815] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5662), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158869] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5658), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158923] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158977] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159031] = 24,
    ACTIONS(809), 1,
      anon_sym_SLASH,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3348), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [159127] = 24,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_or_return,
    ACTIONS(8170), 1,
      anon_sym_or_continue,
    ACTIONS(8172), 1,
      anon_sym_or_break,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8158), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8162), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 13,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [159223] = 7,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159285] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159339] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5650), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159393] = 7,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159455] = 7,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159517] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5396), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5394), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159571] = 5,
    ACTIONS(8110), 1,
      anon_sym_LPAREN,
    ACTIONS(8112), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5386), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5384), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159629] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159683] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5522), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159737] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5526), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159791] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159845] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5314), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5312), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159899] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5318), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5316), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159953] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5632), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160007] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5322), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5320), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160061] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160115] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5628), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160169] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5624), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160223] = 4,
    ACTIONS(8176), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4956), 19,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4954), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [160279] = 7,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160341] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5376), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5374), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160395] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5368), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5366), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160449] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5364), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5362), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160503] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5532), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160557] = 6,
    ACTIONS(8178), 1,
      anon_sym_LBRACE,
    ACTIONS(8181), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 31,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160617] = 6,
    ACTIONS(6723), 1,
      anon_sym_LPAREN,
    ACTIONS(7161), 1,
      anon_sym_if,
    ACTIONS(7163), 1,
      anon_sym_QMARK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 31,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [160677] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5358), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5356), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160731] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160785] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160839] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160893] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160947] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5536), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161001] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161055] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161109] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161163] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161217] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161271] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161325] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161379] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161433] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161487] = 24,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_or_return,
    ACTIONS(8170), 1,
      anon_sym_or_continue,
    ACTIONS(8172), 1,
      anon_sym_or_break,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8158), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8162), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 13,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [161583] = 20,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8158), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8162), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 17,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161671] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161725] = 11,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 28,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161795] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161849] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161903] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161957] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162011] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5354), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5352), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162065] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5558), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162119] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162173] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5350), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5348), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162227] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5346), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5344), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162281] = 5,
    ACTIONS(8110), 1,
      anon_sym_LPAREN,
    ACTIONS(8112), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162339] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162393] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5566), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162447] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5334), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5332), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162501] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162554] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6651), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [162647] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162700] = 15,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162777] = 26,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(5682), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 8,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_QMARK,
  [162876] = 9,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162941] = 14,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163016] = 13,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163089] = 20,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5672), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163176] = 19,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(5672), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 17,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163261] = 17,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 19,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163342] = 16,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163421] = 12,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 23,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163492] = 11,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 25,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163561] = 9,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8225), 1,
      anon_sym_RPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7492), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163626] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163679] = 7,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163740] = 25,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(5656), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [163837] = 7,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163898] = 24,
    ACTIONS(762), 1,
      anon_sym_SLASH,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2395), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8228), 1,
      sym_identifier,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    STATE(3380), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [163993] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164046] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164099] = 7,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164160] = 25,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [164257] = 6,
    ACTIONS(8114), 1,
      anon_sym_LPAREN,
    ACTIONS(8252), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164316] = 21,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5590), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 14,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164405] = 24,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3348), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(807), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(809), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [164500] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164553] = 6,
    ACTIONS(8118), 1,
      anon_sym_LPAREN,
    ACTIONS(8274), 1,
      anon_sym_QMARK,
    ACTIONS(8272), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164612] = 28,
    ACTIONS(4787), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6962), 1,
      anon_sym_PIPE,
    ACTIONS(6964), 1,
      anon_sym_PLUS,
    ACTIONS(6966), 1,
      anon_sym_DASH,
    ACTIONS(6968), 1,
      anon_sym_TILDE,
    ACTIONS(6970), 1,
      anon_sym_AMP,
    ACTIONS(6974), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6990), 1,
      anon_sym_DOT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7000), 1,
      anon_sym_or_break,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(8276), 1,
      anon_sym_COMMA,
    STATE(6474), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(6972), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6976), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6978), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6986), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6988), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6994), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7182), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6980), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 7,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [164715] = 24,
    ACTIONS(834), 1,
      anon_sym_SLASH,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2344), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8278), 1,
      sym_identifier,
    STATE(3406), 1,
      sym_procedure,
    STATE(3427), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [164810] = 9,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8282), 1,
      anon_sym_RPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7356), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164875] = 6,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7533), 1,
      anon_sym_SLASH,
    ACTIONS(8285), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5342), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5340), 31,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164934] = 7,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164995] = 24,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2344), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(3427), 1,
      sym_type,
    ACTIONS(831), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(834), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [165090] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165143] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5786), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5784), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165196] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5782), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5780), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165249] = 24,
    ACTIONS(877), 1,
      anon_sym_SLASH,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2281), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8295), 1,
      sym_identifier,
    STATE(3392), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [165344] = 5,
    ACTIONS(8274), 1,
      anon_sym_QMARK,
    ACTIONS(8272), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 30,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165401] = 26,
    ACTIONS(4715), 1,
      anon_sym_EQ,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(6996), 1,
      anon_sym_or_return,
    ACTIONS(6998), 1,
      anon_sym_or_continue,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7827), 1,
      anon_sym_PIPE,
    ACTIONS(7829), 1,
      anon_sym_PLUS,
    ACTIONS(7831), 1,
      anon_sym_DASH,
    ACTIONS(7833), 1,
      anon_sym_TILDE,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7855), 1,
      anon_sym_DOT,
    ACTIONS(7859), 1,
      anon_sym_or_break,
    ACTIONS(7837), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7841), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7843), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7849), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7851), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7853), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7857), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7955), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [165500] = 24,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2281), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3392), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(875), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(877), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [165595] = 6,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(8298), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 30,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165654] = 24,
    ACTIONS(856), 1,
      anon_sym_SLASH,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2332), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8300), 1,
      sym_identifier,
    STATE(3406), 1,
      sym_procedure,
    STATE(3431), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(853), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [165749] = 4,
    ACTIONS(8114), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165804] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5766), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5764), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165857] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5760), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165910] = 7,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165971] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166024] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5752), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5750), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166077] = 7,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166138] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5744), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5742), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166191] = 24,
    ACTIONS(909), 1,
      anon_sym_SLASH,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8304), 1,
      sym_identifier,
    STATE(3406), 1,
      sym_procedure,
    STATE(3421), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166286] = 4,
    ACTIONS(8118), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166341] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166394] = 24,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(3421), 1,
      sym_type,
    ACTIONS(907), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(909), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166489] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5740), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5738), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166542] = 24,
    ACTIONS(893), 1,
      anon_sym_SLASH,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2219), 1,
      anon_sym_LPAREN,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8307), 1,
      sym_identifier,
    STATE(3406), 1,
      sym_procedure,
    STATE(3450), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166637] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5736), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5734), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166690] = 24,
    ACTIONS(809), 1,
      anon_sym_SLASH,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8310), 1,
      sym_identifier,
    STATE(3348), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166785] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5730), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5728), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166838] = 24,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2219), 1,
      anon_sym_LPAREN,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(3450), 1,
      sym_type,
    ACTIONS(891), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(893), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166933] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5722), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5720), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166986] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5718), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5716), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167039] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5626), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5624), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167092] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5710), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5708), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167145] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6683), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [167238] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5704), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5702), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167291] = 9,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8313), 1,
      anon_sym_RPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7901), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167356] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5700), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5698), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167409] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5696), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5694), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167462] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5692), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5690), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167515] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5688), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5686), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167568] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8316), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5760), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 29,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167623] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5630), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5628), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167676] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5634), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5632), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167729] = 21,
    ACTIONS(5590), 1,
      anon_sym_EQ,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167818] = 15,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167895] = 9,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_RPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7570), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [167960] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5480), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5478), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168013] = 6,
    ACTIONS(7626), 1,
      anon_sym_LPAREN,
    ACTIONS(7884), 1,
      anon_sym_QMARK,
    ACTIONS(7882), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168072] = 25,
    ACTIONS(5590), 1,
      anon_sym_EQ,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [168169] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168222] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168275] = 26,
    ACTIONS(5682), 1,
      anon_sym_EQ,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
  [168374] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168427] = 9,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    ACTIONS(8359), 1,
      anon_sym_RPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7725), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168492] = 23,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(6590), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168585] = 9,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168650] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168703] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5568), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5566), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168756] = 14,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168831] = 13,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168904] = 20,
    ACTIONS(5672), 1,
      anon_sym_EQ,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 17,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [168991] = 19,
    ACTIONS(5672), 1,
      anon_sym_EQ,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169076] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169129] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169182] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169235] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5560), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5558), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169288] = 17,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169369] = 16,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169448] = 12,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169519] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169572] = 7,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169633] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169686] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169739] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169792] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169845] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169898] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5482), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [169951] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170004] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170057] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170110] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5500), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5498), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170163] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170216] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170269] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5510), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170322] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170375] = 7,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170436] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5516), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5514), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170489] = 7,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170550] = 11,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170619] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6731), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170712] = 7,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 9,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170773] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5520), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5518), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170826] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170879] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5524), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5522), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [170932] = 24,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2332), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(3431), 1,
      sym_type,
    ACTIONS(853), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(856), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171027] = 5,
    ACTIONS(8252), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 29,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171084] = 23,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(6602), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171177] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5668), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5666), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171230] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5664), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5662), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171283] = 24,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2395), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3380), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(757), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(762), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171378] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5660), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5658), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171431] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5528), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5526), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171484] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171537] = 25,
    ACTIONS(5656), 1,
      anon_sym_EQ,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [171634] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5326), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5324), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171687] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5534), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5532), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171740] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5652), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5650), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171793] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5538), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5536), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171846] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171899] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171952] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [172005] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [172058] = 29,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7971), 1,
      anon_sym_or_else,
    ACTIONS(7973), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7993), 1,
      anon_sym_or_return,
    ACTIONS(7995), 1,
      anon_sym_or_continue,
    ACTIONS(7997), 1,
      anon_sym_or_break,
    ACTIONS(8364), 1,
      anon_sym_COMMA,
    STATE(6477), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8036), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4787), 3,
      anon_sym_where,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4783), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [172163] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [172216] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [172269] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8366), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5760), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5758), 29,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [172324] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [172377] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172471] = 23,
    ACTIONS(877), 1,
      anon_sym_SLASH,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    STATE(3613), 1,
      sym_procedure,
    STATE(6932), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172563] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8372), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6720), 1,
      sym_type,
    STATE(7349), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172657] = 27,
    ACTIONS(6960), 1,
      anon_sym_DASH_GT,
    ACTIONS(6992), 1,
      anon_sym_LBRACK,
    ACTIONS(7002), 1,
      anon_sym_CARET,
    ACTIONS(7959), 1,
      anon_sym_PIPE,
    ACTIONS(7961), 1,
      anon_sym_PLUS,
    ACTIONS(7963), 1,
      anon_sym_DASH,
    ACTIONS(7965), 1,
      anon_sym_TILDE,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(7969), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7971), 1,
      anon_sym_or_else,
    ACTIONS(7973), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7981), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7989), 1,
      anon_sym_DOT,
    ACTIONS(7993), 1,
      anon_sym_or_return,
    ACTIONS(7995), 1,
      anon_sym_or_continue,
    ACTIONS(7997), 1,
      anon_sym_or_break,
    ACTIONS(7975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7983), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7985), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7987), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7991), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8036), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4715), 3,
      anon_sym_where,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(7979), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [172757] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6722), 1,
      sym_type,
    STATE(7664), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172851] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8376), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6707), 1,
      sym_type,
    STATE(7391), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172945] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8378), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173039] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173133] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173227] = 23,
    ACTIONS(909), 1,
      anon_sym_SLASH,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    STATE(3613), 1,
      sym_procedure,
    STATE(6898), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173319] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173413] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8386), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6665), 1,
      sym_type,
    STATE(7744), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173507] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8388), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173601] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8390), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173695] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173789] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8394), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173883] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173977] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8398), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174071] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8400), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6699), 1,
      sym_type,
    STATE(7389), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174165] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6930), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(853), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174257] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8402), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174351] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8404), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174445] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8406), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6706), 1,
      sym_type,
    STATE(7390), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174539] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8408), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174633] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8410), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174727] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8412), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174821] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6725), 1,
      sym_type,
    STATE(7773), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174915] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8416), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175009] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8418), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6749), 1,
      sym_type,
    STATE(7620), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175103] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8420), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175197] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175291] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8424), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175385] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6991), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175477] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8426), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175571] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8428), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175665] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8430), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175759] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6865), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(875), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175851] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8432), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175945] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8434), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176039] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8436), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6655), 1,
      sym_type,
    STATE(7687), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176133] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8438), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6622), 1,
      sym_type,
    STATE(7531), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176227] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8440), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176321] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8442), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176415] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8444), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6640), 1,
      sym_type,
    STATE(7508), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176509] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8446), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6687), 1,
      sym_type,
    STATE(7388), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176603] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8448), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176697] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6760), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176789] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8450), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6669), 1,
      sym_type,
    STATE(7747), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176883] = 6,
    ACTIONS(7624), 1,
      sym_identifier,
    ACTIONS(8048), 1,
      anon_sym_LPAREN,
    ACTIONS(8452), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 17,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 22,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [176941] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [177035] = 24,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8456), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [177129] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8458), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6733), 1,
      sym_type,
    STATE(7699), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [177223] = 24,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8368), 1,
      sym_identifier,
    ACTIONS(8460), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(6743), 1,
      sym_type,
    STATE(7265), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [177317] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6550), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8462), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [177416] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6564), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8466), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [177515] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6543), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8470), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [177614] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8368), 1,
      sym_identifier,
    STATE(3406), 1,
      sym_procedure,
    STATE(7005), 1,
      sym_type,
    STATE(7994), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [177705] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6563), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8472), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [177804] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6561), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8474), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [177903] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6533), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8476), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [178002] = 28,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_or_return,
    ACTIONS(8170), 1,
      anon_sym_or_continue,
    ACTIONS(8172), 1,
      anon_sym_or_break,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8478), 1,
      anon_sym_COMMA,
    ACTIONS(8480), 1,
      sym__nl_comma,
    STATE(6538), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8158), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8162), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(709), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [178103] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6560), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8482), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [178202] = 28,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_or_return,
    ACTIONS(8170), 1,
      anon_sym_or_continue,
    ACTIONS(8172), 1,
      anon_sym_or_break,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8480), 1,
      sym__nl_comma,
    ACTIONS(8484), 1,
      anon_sym_COMMA,
    STATE(6549), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8158), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8162), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(3169), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [178303] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6537), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8486), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [178402] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8488), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178492] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8494), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6431), 1,
      sym_named_type,
    STATE(6434), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178582] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6600), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8496), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [178680] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8506), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    STATE(1717), 1,
      sym_named_type,
    STATE(1718), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178770] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8512), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178860] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(8516), 1,
      sym_tag,
    STATE(1717), 1,
      sym_named_type,
    STATE(1718), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178950] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8518), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179040] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8526), 1,
      anon_sym_LBRACK,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    STATE(605), 1,
      sym_type,
    STATE(621), 1,
      sym_named_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179130] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    ACTIONS(8534), 1,
      sym_tag,
    STATE(605), 1,
      sym_type,
    STATE(621), 1,
      sym_named_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179220] = 23,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8536), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_procedure,
    STATE(7896), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179310] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    ACTIONS(8538), 1,
      sym_tag,
    STATE(612), 1,
      sym_named_type,
    STATE(620), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179400] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8540), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179490] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8550), 1,
      sym_tag,
    STATE(3067), 1,
      sym_named_type,
    STATE(3068), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179580] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8552), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6422), 1,
      sym_named_type,
    STATE(6423), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179670] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8554), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179760] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6577), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8556), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [179858] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8558), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179948] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(8560), 1,
      sym_tag,
    STATE(1757), 1,
      sym_named_type,
    STATE(1758), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180038] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8562), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(6936), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180128] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8506), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    STATE(1634), 1,
      sym_type,
    STATE(1654), 1,
      sym_named_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180218] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8526), 1,
      anon_sym_LBRACK,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    STATE(618), 1,
      sym_type,
    STATE(628), 1,
      sym_named_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180308] = 23,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8564), 1,
      sym_identifier,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8568), 1,
      anon_sym_LBRACK,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6287), 1,
      sym_named_type,
    STATE(6289), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180398] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6604), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8572), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [180496] = 23,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8564), 1,
      sym_identifier,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8568), 1,
      anon_sym_LBRACK,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6309), 1,
      sym_type,
    STATE(6386), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180586] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8574), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180676] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8576), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180766] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8526), 1,
      anon_sym_LBRACK,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    STATE(638), 1,
      sym_type,
    STATE(640), 1,
      sym_named_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180856] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8578), 1,
      anon_sym_LBRACK,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3018), 1,
      sym_type,
    STATE(3028), 1,
      sym_named_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180946] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8584), 1,
      anon_sym_LBRACK,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6299), 1,
      sym_named_type,
    STATE(6311), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181036] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8588), 1,
      anon_sym_LBRACK,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6271), 1,
      sym_named_type,
    STATE(6273), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181126] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8592), 1,
      sym_tag,
    STATE(2984), 1,
      sym_named_type,
    STATE(3014), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181216] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    ACTIONS(8594), 1,
      sym_tag,
    STATE(635), 1,
      sym_named_type,
    STATE(639), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181306] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8596), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181396] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6271), 1,
      sym_named_type,
    STATE(6273), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181486] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8600), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6299), 1,
      sym_named_type,
    STATE(6311), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181576] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LBRACK,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3001), 1,
      sym_type,
    STATE(3006), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181666] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6593), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8610), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [181764] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8612), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181854] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LBRACK,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2995), 1,
      sym_type,
    STATE(2996), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181944] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    ACTIONS(8616), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2995), 1,
      sym_type,
    STATE(2996), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182034] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8576), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(6831), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182124] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8618), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182214] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8620), 1,
      sym_tag,
    STATE(3030), 1,
      sym_type,
    STATE(3046), 1,
      sym_named_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182304] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8622), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182394] = 23,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8564), 1,
      sym_identifier,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8568), 1,
      anon_sym_LBRACK,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6292), 1,
      sym_type,
    STATE(6293), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182484] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8578), 1,
      anon_sym_LBRACK,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(2992), 1,
      sym_type,
    STATE(3000), 1,
      sym_named_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182574] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8624), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182664] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8626), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182754] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8588), 1,
      anon_sym_LBRACK,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6431), 1,
      sym_named_type,
    STATE(6434), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182844] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8588), 1,
      anon_sym_LBRACK,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6416), 1,
      sym_named_type,
    STATE(6417), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182934] = 23,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8564), 1,
      sym_identifier,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8628), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6292), 1,
      sym_type,
    STATE(6293), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183024] = 23,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8630), 1,
      sym_identifier,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8636), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4002), 1,
      sym_named_type,
    STATE(4006), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183114] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_LBRACK,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    STATE(3340), 1,
      sym_type,
    STATE(3343), 1,
      sym_named_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183204] = 23,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8646), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_procedure,
    STATE(7288), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183294] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8648), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183384] = 25,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8650), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [183478] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2993), 1,
      sym_type,
    STATE(2994), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183568] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8654), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183658] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8656), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6243), 1,
      sym_named_type,
    STATE(6247), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183748] = 6,
    ACTIONS(8178), 1,
      anon_sym_LBRACE,
    ACTIONS(8658), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [183804] = 23,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8564), 1,
      sym_identifier,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8660), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6285), 1,
      sym_type,
    STATE(6290), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183894] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6444), 1,
      sym_named_type,
    STATE(6449), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183984] = 23,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8630), 1,
      sym_identifier,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8668), 1,
      anon_sym_LBRACK,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3998), 1,
      sym_named_type,
    STATE(3999), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184074] = 25,
    ACTIONS(8102), 1,
      anon_sym_DASH_GT,
    ACTIONS(8104), 1,
      anon_sym_DOT,
    ACTIONS(8106), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_PLUS,
    ACTIONS(8122), 1,
      anon_sym_DASH,
    ACTIONS(8124), 1,
      anon_sym_TILDE,
    ACTIONS(8126), 1,
      anon_sym_AMP,
    ACTIONS(8128), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8154), 1,
      anon_sym_PIPE,
    ACTIONS(8160), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8168), 1,
      anon_sym_or_return,
    ACTIONS(8170), 1,
      anon_sym_or_continue,
    ACTIONS(8172), 1,
      anon_sym_or_break,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8108), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8134), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8158), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8162), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8166), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8672), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [184168] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8674), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184258] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(8676), 1,
      sym_tag,
    STATE(1581), 1,
      sym_type,
    STATE(1582), 1,
      sym_named_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184348] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6439), 1,
      sym_type,
    STATE(6440), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184438] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8678), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6439), 1,
      sym_type,
    STATE(6440), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184528] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(8682), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6465), 1,
      sym_type,
    STATE(6472), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184618] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8506), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    STATE(2158), 1,
      sym_procedure,
    STATE(2189), 1,
      sym_type,
    STATE(2199), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184708] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8684), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6401), 1,
      sym_named_type,
    STATE(6436), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184798] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8686), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184888] = 23,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8630), 1,
      sym_identifier,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8668), 1,
      anon_sym_LBRACK,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4002), 1,
      sym_named_type,
    STATE(4006), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184978] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym_identifier,
    ACTIONS(8690), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6414), 1,
      sym_named_type,
    STATE(6415), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185068] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8692), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185158] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8506), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    STATE(1703), 1,
      sym_named_type,
    STATE(1704), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185248] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8694), 1,
      sym_tag,
    STATE(2986), 1,
      sym_type,
    STATE(2989), 1,
      sym_named_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185338] = 25,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8696), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [185432] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8578), 1,
      anon_sym_LBRACK,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(2986), 1,
      sym_type,
    STATE(2989), 1,
      sym_named_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185522] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(8698), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6455), 1,
      sym_named_type,
    STATE(6467), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185612] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_LBRACK,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    STATE(3333), 1,
      sym_type,
    STATE(3335), 1,
      sym_named_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185702] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    ACTIONS(8702), 1,
      sym_tag,
    STATE(3333), 1,
      sym_type,
    STATE(3335), 1,
      sym_named_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185792] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(8704), 1,
      anon_sym_LBRACK,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6455), 1,
      sym_named_type,
    STATE(6467), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185882] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(8704), 1,
      anon_sym_LBRACK,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6456), 1,
      sym_named_type,
    STATE(6468), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185972] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8708), 1,
      sym_tag,
    STATE(3020), 1,
      sym_named_type,
    STATE(3022), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186062] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8710), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186152] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(8712), 1,
      sym_tag,
    STATE(2158), 1,
      sym_procedure,
    STATE(2189), 1,
      sym_type,
    STATE(2199), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186242] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8578), 1,
      anon_sym_LBRACK,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3020), 1,
      sym_named_type,
    STATE(3022), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186332] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(8714), 1,
      sym_tag,
    STATE(1592), 1,
      sym_type,
    STATE(1602), 1,
      sym_named_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186422] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8506), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    STATE(1592), 1,
      sym_type,
    STATE(1602), 1,
      sym_named_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186512] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8716), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6392), 1,
      sym_named_type,
    STATE(6395), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186602] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8718), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6370), 1,
      sym_type,
    STATE(6388), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186692] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6370), 1,
      sym_type,
    STATE(6388), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186782] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6361), 1,
      sym_type,
    STATE(6399), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186872] = 23,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8720), 1,
      sym_identifier,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8726), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3687), 1,
      sym_type,
    STATE(3699), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186962] = 23,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8720), 1,
      sym_identifier,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8728), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3700), 1,
      sym_type,
    STATE(3701), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187052] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    ACTIONS(8730), 1,
      sym_tag,
    STATE(3327), 1,
      sym_type,
    STATE(3328), 1,
      sym_named_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187142] = 23,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8720), 1,
      sym_identifier,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8732), 1,
      anon_sym_LBRACK,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3700), 1,
      sym_type,
    STATE(3701), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187232] = 23,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8720), 1,
      sym_identifier,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8732), 1,
      anon_sym_LBRACK,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3703), 1,
      sym_type,
    STATE(3704), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187322] = 23,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8630), 1,
      sym_identifier,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8736), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4007), 1,
      sym_named_type,
    STATE(4008), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187412] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8738), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187502] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8584), 1,
      anon_sym_LBRACK,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6305), 1,
      sym_named_type,
    STATE(6306), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187592] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8740), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187682] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    ACTIONS(8742), 1,
      sym_tag,
    STATE(638), 1,
      sym_type,
    STATE(640), 1,
      sym_named_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187772] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8744), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187862] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_LBRACK,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    STATE(3449), 1,
      sym_type,
    STATE(3455), 1,
      sym_named_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187952] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8746), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188042] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_LBRACK,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    STATE(3407), 1,
      sym_named_type,
    STATE(3415), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188132] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    ACTIONS(8748), 1,
      sym_tag,
    STATE(3407), 1,
      sym_named_type,
    STATE(3415), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188222] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    ACTIONS(8750), 1,
      sym_tag,
    STATE(3419), 1,
      sym_named_type,
    STATE(3453), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188312] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8612), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(6872), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188402] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8752), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188492] = 25,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(7212), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [188586] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym_identifier,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6402), 1,
      sym_named_type,
    STATE(6408), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188676] = 23,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8564), 1,
      sym_identifier,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8568), 1,
      anon_sym_LBRACK,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6301), 1,
      sym_type,
    STATE(6356), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188766] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    ACTIONS(8758), 1,
      sym_tag,
    STATE(643), 1,
      sym_named_type,
    STATE(644), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188856] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8584), 1,
      anon_sym_LBRACK,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6227), 1,
      sym_type,
    STATE(6228), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188946] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8760), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6227), 1,
      sym_type,
    STATE(6228), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189036] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8762), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6225), 1,
      sym_named_type,
    STATE(6256), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189126] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8764), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6274), 1,
      sym_named_type,
    STATE(6282), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189216] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8766), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(6978), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189306] = 23,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_procedure,
    STATE(7925), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189396] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    ACTIONS(8770), 1,
      sym_tag,
    STATE(3416), 1,
      sym_type,
    STATE(3420), 1,
      sym_named_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189486] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8772), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6288), 1,
      sym_type,
    STATE(6291), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189576] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8506), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    STATE(2158), 1,
      sym_procedure,
    STATE(2218), 1,
      sym_type,
    STATE(2220), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189666] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8526), 1,
      anon_sym_LBRACK,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    STATE(650), 1,
      sym_type,
    STATE(655), 1,
      sym_named_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189756] = 23,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8564), 1,
      sym_identifier,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8774), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6301), 1,
      sym_type,
    STATE(6356), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189846] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym_identifier,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6410), 1,
      sym_type,
    STATE(6445), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189936] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym_identifier,
    ACTIONS(8776), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6410), 1,
      sym_type,
    STATE(6445), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190026] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6584), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8778), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [190124] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8780), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6265), 1,
      sym_named_type,
    STATE(6295), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190214] = 23,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(8782), 1,
      sym_tag,
    STATE(2158), 1,
      sym_procedure,
    STATE(2187), 1,
      sym_type,
    STATE(2188), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190304] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6575), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8784), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [190402] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8588), 1,
      anon_sym_LBRACK,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6265), 1,
      sym_named_type,
    STATE(6295), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190492] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym_identifier,
    ACTIONS(8786), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6412), 1,
      sym_type,
    STATE(6424), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190582] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8788), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190672] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8790), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190762] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6240), 1,
      sym_named_type,
    STATE(6242), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190852] = 5,
    ACTIONS(8116), 1,
      sym_identifier,
    ACTIONS(8794), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 18,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 20,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [190906] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(8704), 1,
      anon_sym_LBRACK,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6438), 1,
      sym_named_type,
    STATE(6453), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190996] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8526), 1,
      anon_sym_LBRACK,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    STATE(604), 1,
      sym_named_type,
    STATE(614), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191086] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8584), 1,
      anon_sym_LBRACK,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6240), 1,
      sym_named_type,
    STATE(6242), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191176] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8588), 1,
      anon_sym_LBRACK,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6267), 1,
      sym_named_type,
    STATE(6276), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191266] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    ACTIONS(8796), 1,
      sym_tag,
    STATE(606), 1,
      sym_named_type,
    STATE(641), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191356] = 23,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8520), 1,
      sym_identifier,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8526), 1,
      anon_sym_LBRACK,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    STATE(606), 1,
      sym_named_type,
    STATE(641), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191446] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    ACTIONS(8798), 1,
      sym_tag,
    STATE(3426), 1,
      sym_type,
    STATE(3428), 1,
      sym_named_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191536] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_LBRACK,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    STATE(3366), 1,
      sym_named_type,
    STATE(3401), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191626] = 6,
    ACTIONS(8178), 1,
      anon_sym_LBRACE,
    ACTIONS(8800), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [191682] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8802), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191772] = 23,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_LBRACK,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    STATE(3426), 1,
      sym_type,
    STATE(3428), 1,
      sym_named_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191862] = 23,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8564), 1,
      sym_identifier,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8804), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6302), 1,
      sym_type,
    STATE(6355), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191952] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8584), 1,
      anon_sym_LBRACK,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6231), 1,
      sym_type,
    STATE(6232), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192042] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8806), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192132] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6592), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8808), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [192230] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LBRACK,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3062), 1,
      sym_type,
    STATE(3064), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192320] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(8704), 1,
      anon_sym_LBRACK,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6425), 1,
      sym_type,
    STATE(6427), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192410] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(8810), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6425), 1,
      sym_type,
    STATE(6427), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192500] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8812), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192590] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8814), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192680] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8490), 1,
      sym_identifier,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8588), 1,
      anon_sym_LBRACK,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6281), 1,
      sym_named_type,
    STATE(6283), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192770] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LBRACK,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3034), 1,
      sym_type,
    STATE(3051), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192860] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8816), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192950] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    ACTIONS(8818), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3034), 1,
      sym_type,
    STATE(3051), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193040] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(8820), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6430), 1,
      sym_type,
    STATE(6437), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193130] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8584), 1,
      anon_sym_LBRACK,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6234), 1,
      sym_type,
    STATE(6238), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193220] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8578), 1,
      anon_sym_LBRACK,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3054), 1,
      sym_named_type,
    STATE(3055), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193310] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8822), 1,
      sym_tag,
    STATE(3054), 1,
      sym_named_type,
    STATE(3055), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193400] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym_identifier,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6407), 1,
      sym_type,
    STATE(6433), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193490] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym_identifier,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6409), 1,
      sym_named_type,
    STATE(6411), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193580] = 23,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym_identifier,
    ACTIONS(8824), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6409), 1,
      sym_named_type,
    STATE(6411), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193670] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8826), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193760] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8828), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193850] = 23,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8830), 1,
      anon_sym_RBRACE,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193940] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    ACTIONS(8832), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2982), 1,
      sym_named_type,
    STATE(2983), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194030] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    ACTIONS(8834), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2980), 1,
      sym_named_type,
    STATE(3016), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194120] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LBRACK,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2980), 1,
      sym_named_type,
    STATE(3016), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194210] = 23,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8542), 1,
      sym_identifier,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8578), 1,
      anon_sym_LBRACK,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3047), 1,
      sym_type,
    STATE(3049), 1,
      sym_named_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194300] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LBRACK,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2977), 1,
      sym_named_type,
    STATE(2978), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194390] = 23,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    ACTIONS(8836), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3033), 1,
      sym_named_type,
    STATE(3076), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194480] = 23,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      sym_identifier,
    ACTIONS(8838), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6312), 1,
      sym_named_type,
    STATE(6317), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194570] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7376), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194657] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3716), 1,
      sym_type,
    STATE(3721), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194744] = 25,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8876), 1,
      anon_sym_or_break,
    ACTIONS(8844), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5680), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
  [194837] = 15,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 3,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 20,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [194910] = 7,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5670), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [194967] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7227), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195054] = 22,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_proc,
    ACTIONS(1073), 1,
      anon_sym_struct,
    ACTIONS(1075), 1,
      anon_sym_enum,
    ACTIONS(1077), 1,
      anon_sym_union,
    ACTIONS(1079), 1,
      anon_sym_bit_field,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1101), 1,
      anon_sym_map,
    ACTIONS(1103), 1,
      anon_sym_bit_set,
    ACTIONS(1105), 1,
      anon_sym_matrix,
    ACTIONS(1107), 1,
      sym_tag,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_BANG,
    ACTIONS(8882), 1,
      anon_sym_LBRACK,
    ACTIONS(8884), 1,
      anon_sym_CARET,
    STATE(2356), 1,
      sym_procedure,
    STATE(2419), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2382), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195141] = 11,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 23,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195206] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8886), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6693), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195293] = 12,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195360] = 16,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(5672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 20,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195435] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6458), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195522] = 17,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(5672), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 17,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195599] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8886), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6702), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195686] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7233), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195773] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(1004), 1,
      sym_tag,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    STATE(2162), 1,
      sym_procedure,
    STATE(2172), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195860] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_procedure,
    STATE(3629), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195947] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7236), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196034] = 7,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5642), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5640), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196091] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8896), 1,
      sym_tag,
    STATE(3754), 1,
      sym_procedure,
    STATE(6504), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196178] = 24,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8876), 1,
      anon_sym_or_break,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5654), 8,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [196269] = 18,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196348] = 19,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5670), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196429] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7238), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196516] = 22,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2591), 1,
      sym_identifier,
    ACTIONS(2593), 1,
      anon_sym_proc,
    ACTIONS(2595), 1,
      anon_sym_struct,
    ACTIONS(2597), 1,
      anon_sym_enum,
    ACTIONS(2599), 1,
      anon_sym_union,
    ACTIONS(2601), 1,
      anon_sym_bit_field,
    ACTIONS(2607), 1,
      anon_sym_DOLLAR,
    ACTIONS(2615), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2621), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2623), 1,
      anon_sym_map,
    ACTIONS(2625), 1,
      anon_sym_bit_set,
    ACTIONS(2627), 1,
      anon_sym_matrix,
    ACTIONS(2629), 1,
      sym_tag,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    ACTIONS(8900), 1,
      anon_sym_BANG,
    ACTIONS(8902), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_CARET,
    STATE(4237), 1,
      sym_type,
    STATE(4259), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4290), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196603] = 13,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 5,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 20,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196672] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7239), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196759] = 14,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 4,
      anon_sym_PIPE,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 20,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196830] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2504), 1,
      sym_type,
    STATE(2528), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196917] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8914), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6702), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197004] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    ACTIONS(8916), 1,
      anon_sym_LBRACK,
    STATE(2528), 1,
      sym_procedure,
    STATE(2534), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197091] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(1004), 1,
      sym_tag,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    STATE(2162), 1,
      sym_procedure,
    STATE(2236), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197178] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2522), 1,
      sym_type,
    STATE(2528), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197265] = 22,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1447), 1,
      sym_identifier,
    ACTIONS(1449), 1,
      anon_sym_proc,
    ACTIONS(1451), 1,
      anon_sym_struct,
    ACTIONS(1453), 1,
      anon_sym_enum,
    ACTIONS(1455), 1,
      anon_sym_union,
    ACTIONS(1457), 1,
      anon_sym_bit_field,
    ACTIONS(1463), 1,
      anon_sym_DOLLAR,
    ACTIONS(1471), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1479), 1,
      anon_sym_map,
    ACTIONS(1481), 1,
      anon_sym_bit_set,
    ACTIONS(1483), 1,
      anon_sym_matrix,
    ACTIONS(1485), 1,
      sym_tag,
    ACTIONS(8918), 1,
      anon_sym_LPAREN,
    ACTIONS(8920), 1,
      anon_sym_BANG,
    ACTIONS(8922), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_CARET,
    STATE(2712), 1,
      sym_procedure,
    STATE(2754), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2743), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197352] = 22,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(3636), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197439] = 6,
    ACTIONS(8794), 1,
      anon_sym_LPAREN,
    ACTIONS(8928), 1,
      anon_sym_QMARK,
    ACTIONS(8926), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 26,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_do,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197494] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8930), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6693), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197581] = 7,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5612), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197638] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7694), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197725] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7695), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197812] = 24,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8876), 1,
      anon_sym_or_break,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 8,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [197903] = 20,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5588), 12,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197986] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    STATE(2097), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198073] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7241), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198160] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7242), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198247] = 22,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6320), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198334] = 22,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_proc,
    ACTIONS(1073), 1,
      anon_sym_struct,
    ACTIONS(1075), 1,
      anon_sym_enum,
    ACTIONS(1077), 1,
      anon_sym_union,
    ACTIONS(1079), 1,
      anon_sym_bit_field,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1101), 1,
      anon_sym_map,
    ACTIONS(1103), 1,
      anon_sym_bit_set,
    ACTIONS(1105), 1,
      anon_sym_matrix,
    ACTIONS(1107), 1,
      sym_tag,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_BANG,
    ACTIONS(8882), 1,
      anon_sym_LBRACK,
    ACTIONS(8884), 1,
      anon_sym_CARET,
    STATE(2356), 1,
      sym_procedure,
    STATE(2425), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2382), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198421] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7581), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198508] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2511), 1,
      sym_type,
    STATE(2528), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198595] = 4,
    ACTIONS(8794), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 29,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198646] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7243), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198733] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7250), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198820] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2528), 1,
      sym_procedure,
    STATE(2554), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198907] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8932), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6662), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198994] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7255), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199081] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7267), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199168] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(1004), 1,
      sym_tag,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    STATE(2067), 1,
      sym_type,
    STATE(2162), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199255] = 22,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_proc,
    ACTIONS(1073), 1,
      anon_sym_struct,
    ACTIONS(1075), 1,
      anon_sym_enum,
    ACTIONS(1077), 1,
      anon_sym_union,
    ACTIONS(1079), 1,
      anon_sym_bit_field,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1101), 1,
      anon_sym_map,
    ACTIONS(1103), 1,
      anon_sym_bit_set,
    ACTIONS(1105), 1,
      anon_sym_matrix,
    ACTIONS(1107), 1,
      sym_tag,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_BANG,
    ACTIONS(8882), 1,
      anon_sym_LBRACK,
    ACTIONS(8884), 1,
      anon_sym_CARET,
    STATE(2320), 1,
      sym_type,
    STATE(2356), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2382), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199342] = 22,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_proc,
    ACTIONS(1073), 1,
      anon_sym_struct,
    ACTIONS(1075), 1,
      anon_sym_enum,
    ACTIONS(1077), 1,
      anon_sym_union,
    ACTIONS(1079), 1,
      anon_sym_bit_field,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1101), 1,
      anon_sym_map,
    ACTIONS(1103), 1,
      anon_sym_bit_set,
    ACTIONS(1105), 1,
      anon_sym_matrix,
    ACTIONS(1107), 1,
      sym_tag,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_BANG,
    ACTIONS(8884), 1,
      anon_sym_CARET,
    ACTIONS(8934), 1,
      anon_sym_LBRACK,
    STATE(2337), 1,
      sym_type,
    STATE(2356), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2382), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199429] = 22,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_proc,
    ACTIONS(1073), 1,
      anon_sym_struct,
    ACTIONS(1075), 1,
      anon_sym_enum,
    ACTIONS(1077), 1,
      anon_sym_union,
    ACTIONS(1079), 1,
      anon_sym_bit_field,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1101), 1,
      anon_sym_map,
    ACTIONS(1103), 1,
      anon_sym_bit_set,
    ACTIONS(1105), 1,
      anon_sym_matrix,
    ACTIONS(1107), 1,
      sym_tag,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_BANG,
    ACTIONS(8882), 1,
      anon_sym_LBRACK,
    ACTIONS(8884), 1,
      anon_sym_CARET,
    STATE(2339), 1,
      sym_type,
    STATE(2356), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2382), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199516] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7269), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199603] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7706), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199690] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    STATE(1109), 1,
      sym_procedure,
    STATE(1131), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199777] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7275), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199864] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3613), 1,
      sym_procedure,
    STATE(3769), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199951] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2894), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200038] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6486), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200125] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7711), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200212] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7717), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200299] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7512), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200386] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(8940), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6962), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200473] = 22,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_proc,
    ACTIONS(1073), 1,
      anon_sym_struct,
    ACTIONS(1075), 1,
      anon_sym_enum,
    ACTIONS(1077), 1,
      anon_sym_union,
    ACTIONS(1079), 1,
      anon_sym_bit_field,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1101), 1,
      anon_sym_map,
    ACTIONS(1103), 1,
      anon_sym_bit_set,
    ACTIONS(1105), 1,
      anon_sym_matrix,
    ACTIONS(1107), 1,
      sym_tag,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_BANG,
    ACTIONS(8882), 1,
      anon_sym_LBRACK,
    ACTIONS(8884), 1,
      anon_sym_CARET,
    STATE(2340), 1,
      sym_type,
    STATE(2356), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2382), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200560] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2524), 1,
      sym_type,
    STATE(2528), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200647] = 22,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8568), 1,
      anon_sym_LBRACK,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6335), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200734] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(1004), 1,
      sym_tag,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    STATE(2109), 1,
      sym_type,
    STATE(2162), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200821] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6483), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200908] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    ACTIONS(8942), 1,
      sym_tag,
    STATE(2497), 1,
      sym_type,
    STATE(2528), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200995] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3385), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201082] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8704), 1,
      anon_sym_LBRACK,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6494), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201169] = 22,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_proc,
    ACTIONS(1073), 1,
      anon_sym_struct,
    ACTIONS(1075), 1,
      anon_sym_enum,
    ACTIONS(1077), 1,
      anon_sym_union,
    ACTIONS(1079), 1,
      anon_sym_bit_field,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1101), 1,
      anon_sym_map,
    ACTIONS(1103), 1,
      anon_sym_bit_set,
    ACTIONS(1105), 1,
      anon_sym_matrix,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_BANG,
    ACTIONS(8882), 1,
      anon_sym_LBRACK,
    ACTIONS(8884), 1,
      anon_sym_CARET,
    ACTIONS(8944), 1,
      sym_tag,
    STATE(2356), 1,
      sym_procedure,
    STATE(2381), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2382), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201256] = 22,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8946), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6314), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201343] = 22,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(3549), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201430] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3571), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201517] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8578), 1,
      anon_sym_LBRACK,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(3271), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201604] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(1004), 1,
      sym_tag,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    STATE(2125), 1,
      sym_type,
    STATE(2162), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201691] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6528), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201778] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8950), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6528), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201865] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2528), 1,
      sym_procedure,
    STATE(2530), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201952] = 22,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6333), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202039] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7736), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202126] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7737), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202213] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8952), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6524), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202300] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3754), 1,
      sym_procedure,
    STATE(6481), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202387] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    STATE(1109), 1,
      sym_procedure,
    STATE(1258), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202474] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7547), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202561] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(2023), 1,
      sym_tag,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8954), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    STATE(3711), 1,
      sym_type,
    STATE(3754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202648] = 22,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_proc,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2259), 1,
      anon_sym_DOLLAR,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2273), 1,
      anon_sym_map,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2277), 1,
      anon_sym_matrix,
    ACTIONS(2279), 1,
      sym_tag,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_CARET,
    STATE(3709), 1,
      sym_type,
    STATE(3721), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202735] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8962), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6511), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202822] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7720), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202909] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7472), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202996] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7526), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203083] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6511), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203170] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7477), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203257] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6931), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203344] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6929), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203431] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7584), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203518] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3501), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203605] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2711), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203692] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7573), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203779] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7222), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203866] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2922), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203953] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7916), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204040] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7681), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204127] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7844), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204214] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2501), 1,
      sym_type,
    STATE(2528), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204301] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    STATE(1077), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204388] = 22,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2591), 1,
      sym_identifier,
    ACTIONS(2593), 1,
      anon_sym_proc,
    ACTIONS(2595), 1,
      anon_sym_struct,
    ACTIONS(2597), 1,
      anon_sym_enum,
    ACTIONS(2599), 1,
      anon_sym_union,
    ACTIONS(2601), 1,
      anon_sym_bit_field,
    ACTIONS(2607), 1,
      anon_sym_DOLLAR,
    ACTIONS(2615), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2621), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2623), 1,
      anon_sym_map,
    ACTIONS(2625), 1,
      anon_sym_bit_set,
    ACTIONS(2627), 1,
      anon_sym_matrix,
    ACTIONS(2629), 1,
      sym_tag,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    ACTIONS(8900), 1,
      anon_sym_BANG,
    ACTIONS(8904), 1,
      anon_sym_CARET,
    ACTIONS(8964), 1,
      anon_sym_LBRACK,
    STATE(4259), 1,
      sym_procedure,
    STATE(4305), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4290), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204475] = 22,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6308), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204562] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7644), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204649] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7779), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204736] = 22,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_proc,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2259), 1,
      anon_sym_DOLLAR,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2273), 1,
      anon_sym_map,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2277), 1,
      anon_sym_matrix,
    ACTIONS(2279), 1,
      sym_tag,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_CARET,
    STATE(3721), 1,
      sym_procedure,
    STATE(4047), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204823] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6479), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204910] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8966), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(3240), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204997] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7434), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205084] = 22,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2591), 1,
      sym_identifier,
    ACTIONS(2593), 1,
      anon_sym_proc,
    ACTIONS(2595), 1,
      anon_sym_struct,
    ACTIONS(2597), 1,
      anon_sym_enum,
    ACTIONS(2599), 1,
      anon_sym_union,
    ACTIONS(2601), 1,
      anon_sym_bit_field,
    ACTIONS(2607), 1,
      anon_sym_DOLLAR,
    ACTIONS(2615), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2621), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2623), 1,
      anon_sym_map,
    ACTIONS(2625), 1,
      anon_sym_bit_set,
    ACTIONS(2627), 1,
      anon_sym_matrix,
    ACTIONS(2629), 1,
      sym_tag,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    ACTIONS(8900), 1,
      anon_sym_BANG,
    ACTIONS(8902), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_CARET,
    STATE(4255), 1,
      sym_type,
    STATE(4259), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4290), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205171] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    STATE(1060), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205258] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7590), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205345] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6329), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205432] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7311), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205519] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7351), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205606] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6745), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205693] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8968), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6744), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205780] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3385), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205867] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(2444), 1,
      sym_tag,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8974), 1,
      anon_sym_LBRACK,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    STATE(4122), 1,
      sym_type,
    STATE(4165), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205954] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7643), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206041] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7632), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206128] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3356), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206215] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6734), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206302] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    STATE(1109), 1,
      sym_procedure,
    STATE(1259), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206389] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    STATE(2110), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206476] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7530), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206563] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6785), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206650] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6732), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206737] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8978), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(6499), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206824] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8980), 1,
      anon_sym_LBRACK,
    STATE(3721), 1,
      sym_procedure,
    STATE(6499), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206911] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6746), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206998] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3482), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207085] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7343), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207172] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7314), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207259] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8982), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(6601), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207346] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7027), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207433] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6490), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207520] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7060), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207607] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7625), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207694] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6893), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207781] = 22,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8984), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6325), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207868] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(2023), 1,
      sym_tag,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8954), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    STATE(3693), 1,
      sym_type,
    STATE(3754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207955] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3361), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208042] = 22,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6327), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208129] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3182), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208216] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7424), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208303] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7476), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208390] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    STATE(2158), 1,
      sym_procedure,
    STATE(2227), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208477] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7817), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208564] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    STATE(2062), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208651] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6482), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208738] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6500), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208825] = 22,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2591), 1,
      sym_identifier,
    ACTIONS(2593), 1,
      anon_sym_proc,
    ACTIONS(2595), 1,
      anon_sym_struct,
    ACTIONS(2597), 1,
      anon_sym_enum,
    ACTIONS(2599), 1,
      anon_sym_union,
    ACTIONS(2601), 1,
      anon_sym_bit_field,
    ACTIONS(2607), 1,
      anon_sym_DOLLAR,
    ACTIONS(2615), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2621), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2623), 1,
      anon_sym_map,
    ACTIONS(2625), 1,
      anon_sym_bit_set,
    ACTIONS(2627), 1,
      anon_sym_matrix,
    ACTIONS(2629), 1,
      sym_tag,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    ACTIONS(8900), 1,
      anon_sym_BANG,
    ACTIONS(8902), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_CARET,
    STATE(4259), 1,
      sym_procedure,
    STATE(4352), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4290), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208912] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7219), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208999] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7604), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209086] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6984), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209173] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6515), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209260] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8986), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6507), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209347] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    STATE(3385), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209434] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    ACTIONS(8988), 1,
      sym_tag,
    STATE(2162), 1,
      sym_procedure,
    STATE(2251), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209521] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6896), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209608] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7913), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209695] = 22,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1447), 1,
      sym_identifier,
    ACTIONS(1449), 1,
      anon_sym_proc,
    ACTIONS(1451), 1,
      anon_sym_struct,
    ACTIONS(1453), 1,
      anon_sym_enum,
    ACTIONS(1455), 1,
      anon_sym_union,
    ACTIONS(1457), 1,
      anon_sym_bit_field,
    ACTIONS(1463), 1,
      anon_sym_DOLLAR,
    ACTIONS(1471), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1479), 1,
      anon_sym_map,
    ACTIONS(1481), 1,
      anon_sym_bit_set,
    ACTIONS(1483), 1,
      anon_sym_matrix,
    ACTIONS(1485), 1,
      sym_tag,
    ACTIONS(8918), 1,
      anon_sym_LPAREN,
    ACTIONS(8920), 1,
      anon_sym_BANG,
    ACTIONS(8922), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_CARET,
    STATE(2712), 1,
      sym_procedure,
    STATE(2889), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2743), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209782] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3117), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209869] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7924), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209956] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7571), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210043] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(1004), 1,
      sym_tag,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    STATE(2162), 1,
      sym_procedure,
    STATE(2229), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210130] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7808), 1,
      anon_sym_proc,
    ACTIONS(7810), 1,
      anon_sym_DOLLAR,
    ACTIONS(7812), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(7818), 1,
      anon_sym_map,
    ACTIONS(7820), 1,
      anon_sym_matrix,
    ACTIONS(7822), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8706), 1,
      sym_tag,
    STATE(2711), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210217] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7666), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210304] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8990), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6513), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210391] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8886), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6690), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210478] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7467), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210565] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8980), 1,
      anon_sym_LBRACK,
    STATE(3721), 1,
      sym_procedure,
    STATE(6491), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210652] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7300), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210739] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7291), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210826] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7599), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210913] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6859), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211000] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    ACTIONS(8992), 1,
      sym_tag,
    STATE(1091), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211087] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7788), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211174] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7746), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211261] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    STATE(2158), 1,
      sym_procedure,
    STATE(2291), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211348] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3361), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211435] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7743), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211522] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3693), 1,
      sym_type,
    STATE(3754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211609] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7167), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211696] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7772), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211783] = 30,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6727), 1,
      anon_sym_EQ,
    ACTIONS(6731), 1,
      anon_sym_COLON_EQ,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6783), 1,
      sym_block,
    STATE(7090), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [211886] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    ACTIONS(8996), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6995), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211973] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7572), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212060] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6943), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212147] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6944), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212234] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7262), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212321] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2528), 1,
      sym_procedure,
    STATE(2587), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212408] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    STATE(1087), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212495] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3356), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212582] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8998), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6988), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212669] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7545), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212756] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8254), 1,
      anon_sym_proc,
    ACTIONS(8256), 1,
      anon_sym_DOLLAR,
    ACTIONS(8258), 1,
      anon_sym_LBRACK,
    ACTIONS(8260), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8262), 1,
      anon_sym_CARET,
    ACTIONS(8264), 1,
      anon_sym_map,
    ACTIONS(8266), 1,
      anon_sym_matrix,
    ACTIONS(8268), 1,
      anon_sym_distinct,
    ACTIONS(8270), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6990), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212843] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7756), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212930] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    STATE(1109), 1,
      sym_procedure,
    STATE(1233), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213017] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7214), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213104] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7228), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213191] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7774), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213278] = 22,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_proc,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2259), 1,
      anon_sym_DOLLAR,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2273), 1,
      anon_sym_map,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2277), 1,
      anon_sym_matrix,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_CARET,
    ACTIONS(9000), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(3863), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213365] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3613), 1,
      sym_procedure,
    STATE(4541), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213452] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6461), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213539] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(6586), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213626] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7803), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213713] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(2444), 1,
      sym_tag,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8974), 1,
      anon_sym_LBRACK,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    STATE(4165), 1,
      sym_procedure,
    STATE(4186), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213800] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7375), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213887] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213974] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7248), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214061] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    ACTIONS(9002), 1,
      sym_tag,
    STATE(2065), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214148] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7798), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214235] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214322] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    STATE(2158), 1,
      sym_procedure,
    STATE(2174), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214409] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7387), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214496] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6871), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214583] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8974), 1,
      anon_sym_LBRACK,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    ACTIONS(9004), 1,
      sym_tag,
    STATE(4165), 1,
      sym_procedure,
    STATE(4183), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214670] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7566), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214757] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7563), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214844] = 22,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1447), 1,
      sym_identifier,
    ACTIONS(1449), 1,
      anon_sym_proc,
    ACTIONS(1451), 1,
      anon_sym_struct,
    ACTIONS(1453), 1,
      anon_sym_enum,
    ACTIONS(1455), 1,
      anon_sym_union,
    ACTIONS(1457), 1,
      anon_sym_bit_field,
    ACTIONS(1463), 1,
      anon_sym_DOLLAR,
    ACTIONS(1471), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1479), 1,
      anon_sym_map,
    ACTIONS(1481), 1,
      anon_sym_bit_set,
    ACTIONS(1483), 1,
      anon_sym_matrix,
    ACTIONS(1485), 1,
      sym_tag,
    ACTIONS(8918), 1,
      anon_sym_LPAREN,
    ACTIONS(8920), 1,
      anon_sym_BANG,
    ACTIONS(8922), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_CARET,
    STATE(2712), 1,
      sym_procedure,
    STATE(2927), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2743), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214931] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7303), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215018] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7554), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215105] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(2444), 1,
      sym_tag,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8974), 1,
      anon_sym_LBRACK,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    STATE(4162), 1,
      sym_type,
    STATE(4165), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215192] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7282), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215279] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7315), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215366] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3132), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215453] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    STATE(3385), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215540] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(2444), 1,
      sym_tag,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8974), 1,
      anon_sym_LBRACK,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    STATE(4165), 1,
      sym_procedure,
    STATE(4190), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215627] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7544), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215714] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7543), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215801] = 22,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_proc,
    ACTIONS(1073), 1,
      anon_sym_struct,
    ACTIONS(1075), 1,
      anon_sym_enum,
    ACTIONS(1077), 1,
      anon_sym_union,
    ACTIONS(1079), 1,
      anon_sym_bit_field,
    ACTIONS(1085), 1,
      anon_sym_DOLLAR,
    ACTIONS(1093), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1099), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1101), 1,
      anon_sym_map,
    ACTIONS(1103), 1,
      anon_sym_bit_set,
    ACTIONS(1105), 1,
      anon_sym_matrix,
    ACTIONS(1107), 1,
      sym_tag,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_BANG,
    ACTIONS(8882), 1,
      anon_sym_LBRACK,
    ACTIONS(8884), 1,
      anon_sym_CARET,
    STATE(2342), 1,
      sym_type,
    STATE(2356), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2382), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215888] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8954), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    ACTIONS(9006), 1,
      sym_tag,
    STATE(3697), 1,
      sym_type,
    STATE(3754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215975] = 22,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3117), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216062] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3572), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216149] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(2444), 1,
      sym_tag,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    STATE(4165), 1,
      sym_procedure,
    STATE(4187), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216236] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6517), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216323] = 22,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1447), 1,
      sym_identifier,
    ACTIONS(1449), 1,
      anon_sym_proc,
    ACTIONS(1451), 1,
      anon_sym_struct,
    ACTIONS(1453), 1,
      anon_sym_enum,
    ACTIONS(1455), 1,
      anon_sym_union,
    ACTIONS(1457), 1,
      anon_sym_bit_field,
    ACTIONS(1463), 1,
      anon_sym_DOLLAR,
    ACTIONS(1471), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1479), 1,
      anon_sym_map,
    ACTIONS(1481), 1,
      anon_sym_bit_set,
    ACTIONS(1483), 1,
      anon_sym_matrix,
    ACTIONS(1485), 1,
      sym_tag,
    ACTIONS(8918), 1,
      anon_sym_LPAREN,
    ACTIONS(8920), 1,
      anon_sym_BANG,
    ACTIONS(8922), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_CARET,
    STATE(2712), 1,
      sym_procedure,
    STATE(2758), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2743), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216410] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    ACTIONS(9010), 1,
      anon_sym_LBRACK,
    STATE(3595), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216497] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8982), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(6491), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216584] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7759), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216671] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6983), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216758] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(3224), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216845] = 22,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2591), 1,
      sym_identifier,
    ACTIONS(2593), 1,
      anon_sym_proc,
    ACTIONS(2595), 1,
      anon_sym_struct,
    ACTIONS(2597), 1,
      anon_sym_enum,
    ACTIONS(2599), 1,
      anon_sym_union,
    ACTIONS(2601), 1,
      anon_sym_bit_field,
    ACTIONS(2607), 1,
      anon_sym_DOLLAR,
    ACTIONS(2615), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2621), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2623), 1,
      anon_sym_map,
    ACTIONS(2625), 1,
      anon_sym_bit_set,
    ACTIONS(2627), 1,
      anon_sym_matrix,
    ACTIONS(2629), 1,
      sym_tag,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    ACTIONS(8900), 1,
      anon_sym_BANG,
    ACTIONS(8902), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_CARET,
    STATE(4259), 1,
      sym_procedure,
    STATE(4400), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4290), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216932] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7534), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217019] = 22,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3481), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217106] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(9012), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6704), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217193] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3597), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217280] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(1004), 1,
      sym_tag,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    ACTIONS(9014), 1,
      anon_sym_LBRACK,
    STATE(2162), 1,
      sym_procedure,
    STATE(2228), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217367] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    STATE(1055), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217454] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7932), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217541] = 22,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2591), 1,
      sym_identifier,
    ACTIONS(2593), 1,
      anon_sym_proc,
    ACTIONS(2595), 1,
      anon_sym_struct,
    ACTIONS(2597), 1,
      anon_sym_enum,
    ACTIONS(2599), 1,
      anon_sym_union,
    ACTIONS(2601), 1,
      anon_sym_bit_field,
    ACTIONS(2607), 1,
      anon_sym_DOLLAR,
    ACTIONS(2615), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2621), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2623), 1,
      anon_sym_map,
    ACTIONS(2625), 1,
      anon_sym_bit_set,
    ACTIONS(2627), 1,
      anon_sym_matrix,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    ACTIONS(8900), 1,
      anon_sym_BANG,
    ACTIONS(8902), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_CARET,
    ACTIONS(9016), 1,
      sym_tag,
    STATE(4259), 1,
      sym_procedure,
    STATE(4291), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4290), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217628] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(1004), 1,
      sym_tag,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    STATE(2162), 1,
      sym_procedure,
    STATE(2255), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217715] = 22,
    ACTIONS(967), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_proc,
    ACTIONS(971), 1,
      anon_sym_struct,
    ACTIONS(973), 1,
      anon_sym_enum,
    ACTIONS(975), 1,
      anon_sym_union,
    ACTIONS(977), 1,
      anon_sym_bit_field,
    ACTIONS(982), 1,
      anon_sym_DOLLAR,
    ACTIONS(989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(994), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(996), 1,
      anon_sym_map,
    ACTIONS(998), 1,
      anon_sym_bit_set,
    ACTIONS(1000), 1,
      anon_sym_matrix,
    ACTIONS(1002), 1,
      anon_sym_distinct,
    ACTIONS(1004), 1,
      sym_tag,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      anon_sym_BANG,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      anon_sym_CARET,
    STATE(2064), 1,
      sym_type,
    STATE(2162), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2252), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217802] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7753), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217889] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    ACTIONS(8532), 1,
      anon_sym_LBRACK,
    STATE(1059), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217976] = 22,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_proc,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2259), 1,
      anon_sym_DOLLAR,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2273), 1,
      anon_sym_map,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2277), 1,
      anon_sym_matrix,
    ACTIONS(2279), 1,
      sym_tag,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_CARET,
    STATE(3721), 1,
      sym_procedure,
    STATE(3883), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218063] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3571), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218150] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7850), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218237] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(9018), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6517), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218324] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7432), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218411] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    STATE(2870), 1,
      sym_procedure,
    STATE(2925), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218498] = 22,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2591), 1,
      sym_identifier,
    ACTIONS(2593), 1,
      anon_sym_proc,
    ACTIONS(2595), 1,
      anon_sym_struct,
    ACTIONS(2597), 1,
      anon_sym_enum,
    ACTIONS(2599), 1,
      anon_sym_union,
    ACTIONS(2601), 1,
      anon_sym_bit_field,
    ACTIONS(2607), 1,
      anon_sym_DOLLAR,
    ACTIONS(2615), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2621), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2623), 1,
      anon_sym_map,
    ACTIONS(2625), 1,
      anon_sym_bit_set,
    ACTIONS(2627), 1,
      anon_sym_matrix,
    ACTIONS(2629), 1,
      sym_tag,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    ACTIONS(8900), 1,
      anon_sym_BANG,
    ACTIONS(8902), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_CARET,
    STATE(4259), 1,
      sym_procedure,
    STATE(4303), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4290), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218585] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    STATE(2158), 1,
      sym_procedure,
    STATE(2190), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218672] = 5,
    ACTIONS(7624), 1,
      sym_identifier,
    ACTIONS(7626), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 16,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 21,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [218725] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8886), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6704), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218812] = 22,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1447), 1,
      sym_identifier,
    ACTIONS(1449), 1,
      anon_sym_proc,
    ACTIONS(1451), 1,
      anon_sym_struct,
    ACTIONS(1453), 1,
      anon_sym_enum,
    ACTIONS(1455), 1,
      anon_sym_union,
    ACTIONS(1457), 1,
      anon_sym_bit_field,
    ACTIONS(1463), 1,
      anon_sym_DOLLAR,
    ACTIONS(1471), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1479), 1,
      anon_sym_map,
    ACTIONS(1481), 1,
      anon_sym_bit_set,
    ACTIONS(1483), 1,
      anon_sym_matrix,
    ACTIONS(1485), 1,
      sym_tag,
    ACTIONS(8918), 1,
      anon_sym_LPAREN,
    ACTIONS(8920), 1,
      anon_sym_BANG,
    ACTIONS(8922), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_CARET,
    STATE(2712), 1,
      sym_procedure,
    STATE(2967), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2743), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218899] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7549), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218986] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6827), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219073] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7593), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219160] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    STATE(3481), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219247] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7786), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219334] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7511), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219421] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7510), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219508] = 26,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7775), 1,
      anon_sym_or_break,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(9022), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7686), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7688), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7769), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7788), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7690), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(9020), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [219603] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7740), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219690] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6992), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219777] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6525), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219864] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(205), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(203), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [219913] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7914), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220000] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7503), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220087] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5638), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5636), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [220136] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(2444), 1,
      sym_tag,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8974), 1,
      anon_sym_LBRACK,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    STATE(4165), 1,
      sym_procedure,
    STATE(4197), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220223] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7894), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220310] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7480), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220397] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7409), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220484] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7489), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220571] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2711), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220658] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(2023), 1,
      sym_tag,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8954), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    STATE(3754), 1,
      sym_procedure,
    STATE(3784), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220745] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7456), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220832] = 22,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2591), 1,
      sym_identifier,
    ACTIONS(2593), 1,
      anon_sym_proc,
    ACTIONS(2595), 1,
      anon_sym_struct,
    ACTIONS(2597), 1,
      anon_sym_enum,
    ACTIONS(2599), 1,
      anon_sym_union,
    ACTIONS(2601), 1,
      anon_sym_bit_field,
    ACTIONS(2607), 1,
      anon_sym_DOLLAR,
    ACTIONS(2615), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2621), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2623), 1,
      anon_sym_map,
    ACTIONS(2625), 1,
      anon_sym_bit_set,
    ACTIONS(2627), 1,
      anon_sym_matrix,
    ACTIONS(2629), 1,
      sym_tag,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    ACTIONS(8900), 1,
      anon_sym_BANG,
    ACTIONS(8902), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_CARET,
    STATE(4259), 1,
      sym_procedure,
    STATE(4361), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4290), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220919] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7455), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221006] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2711), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221093] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7446), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221180] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7425), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221267] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(2444), 1,
      sym_tag,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8974), 1,
      anon_sym_LBRACK,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    STATE(4165), 1,
      sym_procedure,
    STATE(4195), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221354] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7317), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221441] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6888), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221528] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7423), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221615] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7398), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221702] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(9024), 1,
      sym_tag,
    STATE(3721), 1,
      sym_procedure,
    STATE(6475), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221789] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7580), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221876] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7396), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221963] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7686), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222050] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6470), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222137] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    STATE(2870), 1,
      sym_procedure,
    STATE(3267), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222224] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3164), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222311] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7385), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222398] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7364), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222485] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7640), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222572] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    STATE(2155), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222659] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7361), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222746] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3557), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222833] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7342), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222920] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6809), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223007] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7621), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223094] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7308), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223181] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7340), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223268] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7334), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223355] = 22,
    ACTIONS(627), 1,
      anon_sym_distinct,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2209), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2222), 1,
      anon_sym_DOLLAR,
    ACTIONS(2229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2236), 1,
      anon_sym_map,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2240), 1,
      anon_sym_matrix,
    ACTIONS(2242), 1,
      sym_tag,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(9026), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_CARET,
    STATE(3385), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223442] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_procedure,
    STATE(3545), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223529] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7299), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223616] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(2023), 1,
      sym_tag,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8954), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    STATE(3754), 1,
      sym_procedure,
    STATE(3787), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223703] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7298), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223790] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7287), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223877] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7556), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223964] = 22,
    ACTIONS(627), 1,
      anon_sym_distinct,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2209), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2222), 1,
      anon_sym_DOLLAR,
    ACTIONS(2229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2236), 1,
      anon_sym_map,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2240), 1,
      anon_sym_matrix,
    ACTIONS(2242), 1,
      sym_tag,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(9026), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_CARET,
    STATE(3356), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224051] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7350), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224138] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6844), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224225] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3121), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224312] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7192), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224399] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7638), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224486] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [224535] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    ACTIONS(9030), 1,
      sym_tag,
    STATE(3607), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224622] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7246), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224709] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [224758] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7527), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224845] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7712), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224932] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7726), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225019] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7792), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225106] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [225155] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3092), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225242] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(2023), 1,
      sym_tag,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    ACTIONS(9032), 1,
      anon_sym_LBRACK,
    STATE(3754), 1,
      sym_procedure,
    STATE(3823), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225329] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7462), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225416] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7221), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225503] = 22,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_proc,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2259), 1,
      anon_sym_DOLLAR,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2273), 1,
      anon_sym_map,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2277), 1,
      anon_sym_matrix,
    ACTIONS(2279), 1,
      sym_tag,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8960), 1,
      anon_sym_CARET,
    ACTIONS(9034), 1,
      anon_sym_LBRACK,
    STATE(3721), 1,
      sym_procedure,
    STATE(3991), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225590] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7430), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225677] = 22,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_proc,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2259), 1,
      anon_sym_DOLLAR,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2273), 1,
      anon_sym_map,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2277), 1,
      anon_sym_matrix,
    ACTIONS(2279), 1,
      sym_tag,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_CARET,
    STATE(3677), 1,
      sym_type,
    STATE(3721), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225764] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7193), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225851] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7202), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225938] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(3270), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226025] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3361), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226112] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6524), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226199] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7234), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226286] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(9036), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6498), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226373] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6505), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226460] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7156), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226547] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7235), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226634] = 30,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(9038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9040), 1,
      anon_sym_EQ,
    ACTIONS(9042), 1,
      anon_sym_COLON,
    ACTIONS(9044), 1,
      anon_sym_COLON_EQ,
    STATE(6717), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [226737] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7244), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226824] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7276), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226911] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7277), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226998] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7633), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227085] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6878), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227172] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7285), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227259] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7307), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227346] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6495), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227433] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7257), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227520] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7917), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227607] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3356), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227694] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7328), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227781] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3597), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227868] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(9046), 1,
      anon_sym_LBRACK,
    STATE(3613), 1,
      sym_procedure,
    STATE(6605), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227955] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(6594), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228042] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3613), 1,
      sym_procedure,
    STATE(3690), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228129] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(2444), 1,
      sym_tag,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8974), 1,
      anon_sym_LBRACK,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    STATE(4165), 1,
      sym_procedure,
    STATE(4201), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228216] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2922), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228303] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7229), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228390] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3709), 1,
      sym_type,
    STATE(3721), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228477] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(6588), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228564] = 22,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_proc,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2259), 1,
      anon_sym_DOLLAR,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2273), 1,
      anon_sym_map,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2277), 1,
      anon_sym_matrix,
    ACTIONS(2279), 1,
      sym_tag,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_CARET,
    STATE(3716), 1,
      sym_type,
    STATE(3721), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228651] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7256), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228738] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(9048), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6519), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228825] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7735), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228912] = 22,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_proc,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2259), 1,
      anon_sym_DOLLAR,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2273), 1,
      anon_sym_map,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(2277), 1,
      anon_sym_matrix,
    ACTIONS(2279), 1,
      sym_tag,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8958), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_CARET,
    STATE(3721), 1,
      sym_procedure,
    STATE(3993), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228999] = 26,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(7214), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(7212), 4,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [229094] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [229143] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8886), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6670), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229230] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [229279] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(2023), 1,
      sym_tag,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8954), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    STATE(3754), 1,
      sym_procedure,
    STATE(3801), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229366] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7397), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229453] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5564), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5562), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [229502] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(9050), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6670), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229589] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7415), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229676] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7616), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229763] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6933), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229850] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(2023), 1,
      sym_tag,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8954), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    STATE(3715), 1,
      sym_type,
    STATE(3754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229937] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7525), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230024] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7750), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230111] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7402), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230198] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7828), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230285] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3501), 1,
      sym_type,
    STATE(3613), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230372] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(9052), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4204), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230459] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4193), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230546] = 5,
    ACTIONS(8928), 1,
      anon_sym_QMARK,
    ACTIONS(8926), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5770), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5768), 27,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_do,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [230599] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6514), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230686] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4192), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230773] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2922), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230860] = 7,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5756), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5754), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [230917] = 7,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5748), 8,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5746), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [230974] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(2023), 1,
      sym_tag,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8954), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    STATE(3725), 1,
      sym_type,
    STATE(3754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231061] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3677), 1,
      sym_type,
    STATE(3721), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231148] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8668), 1,
      anon_sym_LBRACK,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4203), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231235] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4118), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231322] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7838), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231409] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(9054), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4076), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231496] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4205), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231583] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2894), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231670] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(9036), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6838), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231757] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7366), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231844] = 22,
    ACTIONS(627), 1,
      anon_sym_distinct,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2209), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2222), 1,
      anon_sym_DOLLAR,
    ACTIONS(2229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2236), 1,
      anon_sym_map,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2240), 1,
      anon_sym_matrix,
    ACTIONS(2242), 1,
      sym_tag,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(9026), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_CARET,
    STATE(3406), 1,
      sym_procedure,
    STATE(3870), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231931] = 22,
    ACTIONS(627), 1,
      anon_sym_distinct,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2209), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2222), 1,
      anon_sym_DOLLAR,
    ACTIONS(2229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2236), 1,
      anon_sym_map,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2240), 1,
      anon_sym_matrix,
    ACTIONS(2242), 1,
      sym_tag,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(9028), 1,
      anon_sym_CARET,
    ACTIONS(9056), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(3938), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232018] = 22,
    ACTIONS(147), 1,
      anon_sym_distinct,
    ACTIONS(755), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_proc,
    ACTIONS(765), 1,
      anon_sym_struct,
    ACTIONS(767), 1,
      anon_sym_enum,
    ACTIONS(769), 1,
      anon_sym_union,
    ACTIONS(771), 1,
      anon_sym_bit_field,
    ACTIONS(777), 1,
      anon_sym_DOLLAR,
    ACTIONS(785), 1,
      anon_sym_DOT_DOT,
    ACTIONS(791), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(793), 1,
      anon_sym_map,
    ACTIONS(795), 1,
      anon_sym_bit_set,
    ACTIONS(797), 1,
      anon_sym_matrix,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      anon_sym_BANG,
    ACTIONS(8526), 1,
      anon_sym_LBRACK,
    ACTIONS(8528), 1,
      anon_sym_CARET,
    ACTIONS(8530), 1,
      sym_tag,
    STATE(1085), 1,
      sym_type,
    STATE(1109), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(1092), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232105] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    ACTIONS(8514), 1,
      anon_sym_LBRACK,
    STATE(2158), 1,
      sym_procedure,
    STATE(2290), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232192] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7536), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232279] = 22,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1447), 1,
      sym_identifier,
    ACTIONS(1449), 1,
      anon_sym_proc,
    ACTIONS(1451), 1,
      anon_sym_struct,
    ACTIONS(1453), 1,
      anon_sym_enum,
    ACTIONS(1455), 1,
      anon_sym_union,
    ACTIONS(1457), 1,
      anon_sym_bit_field,
    ACTIONS(1463), 1,
      anon_sym_DOLLAR,
    ACTIONS(1471), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1479), 1,
      anon_sym_map,
    ACTIONS(1481), 1,
      anon_sym_bit_set,
    ACTIONS(1483), 1,
      anon_sym_matrix,
    ACTIONS(8918), 1,
      anon_sym_LPAREN,
    ACTIONS(8920), 1,
      anon_sym_BANG,
    ACTIONS(8922), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_CARET,
    ACTIONS(9058), 1,
      sym_tag,
    STATE(2712), 1,
      sym_procedure,
    STATE(2843), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2743), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232366] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(9060), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6328), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232453] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    STATE(2870), 1,
      sym_procedure,
    STATE(2894), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232540] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7562), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232627] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(8152), 1,
      sym_tag,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6521), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232714] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8136), 1,
      anon_sym_proc,
    ACTIONS(8138), 1,
      anon_sym_DOLLAR,
    ACTIONS(8140), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8144), 1,
      anon_sym_CARET,
    ACTIONS(8146), 1,
      anon_sym_map,
    ACTIONS(8148), 1,
      anon_sym_matrix,
    ACTIONS(8150), 1,
      anon_sym_distinct,
    ACTIONS(9062), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6521), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232801] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6520), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232888] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(9064), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6971), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232975] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(9036), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6971), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233062] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7416), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233149] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(9066), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6941), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233236] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6339), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233323] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(9036), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6941), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233410] = 22,
    ACTIONS(627), 1,
      anon_sym_distinct,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2209), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2222), 1,
      anon_sym_DOLLAR,
    ACTIONS(2229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2236), 1,
      anon_sym_map,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2240), 1,
      anon_sym_matrix,
    ACTIONS(2242), 1,
      sym_tag,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(9026), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_CARET,
    STATE(3406), 1,
      sym_procedure,
    STATE(3864), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233497] = 22,
    ACTIONS(627), 1,
      anon_sym_distinct,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2209), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2222), 1,
      anon_sym_DOLLAR,
    ACTIONS(2229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2236), 1,
      anon_sym_map,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2240), 1,
      anon_sym_matrix,
    ACTIONS(2242), 1,
      sym_tag,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(9026), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_CARET,
    STATE(3361), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233584] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7942), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233671] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6764), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233758] = 22,
    ACTIONS(627), 1,
      anon_sym_distinct,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2209), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2222), 1,
      anon_sym_DOLLAR,
    ACTIONS(2229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2236), 1,
      anon_sym_map,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2240), 1,
      anon_sym_matrix,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(9026), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_CARET,
    ACTIONS(9068), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(3956), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233845] = 22,
    ACTIONS(2407), 1,
      sym_identifier,
    ACTIONS(2409), 1,
      anon_sym_proc,
    ACTIONS(2411), 1,
      anon_sym_struct,
    ACTIONS(2413), 1,
      anon_sym_enum,
    ACTIONS(2415), 1,
      anon_sym_union,
    ACTIONS(2417), 1,
      anon_sym_bit_field,
    ACTIONS(2422), 1,
      anon_sym_DOLLAR,
    ACTIONS(2429), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2434), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2436), 1,
      anon_sym_map,
    ACTIONS(2438), 1,
      anon_sym_bit_set,
    ACTIONS(2440), 1,
      anon_sym_matrix,
    ACTIONS(2442), 1,
      anon_sym_distinct,
    ACTIONS(2444), 1,
      sym_tag,
    ACTIONS(8970), 1,
      anon_sym_LPAREN,
    ACTIONS(8972), 1,
      anon_sym_BANG,
    ACTIONS(8974), 1,
      anon_sym_LBRACK,
    ACTIONS(8976), 1,
      anon_sym_CARET,
    STATE(4165), 1,
      sym_procedure,
    STATE(4173), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4160), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233932] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7669), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234019] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1109), 1,
      sym_identifier,
    ACTIONS(1111), 1,
      anon_sym_proc,
    ACTIONS(1113), 1,
      anon_sym_struct,
    ACTIONS(1115), 1,
      anon_sym_enum,
    ACTIONS(1117), 1,
      anon_sym_union,
    ACTIONS(1119), 1,
      anon_sym_bit_field,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1138), 1,
      anon_sym_map,
    ACTIONS(1140), 1,
      anon_sym_bit_set,
    ACTIONS(1142), 1,
      anon_sym_matrix,
    ACTIONS(8502), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_BANG,
    ACTIONS(8506), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_CARET,
    ACTIONS(8510), 1,
      sym_tag,
    STATE(2063), 1,
      sym_type,
    STATE(2158), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2161), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234106] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    STATE(2870), 1,
      sym_procedure,
    STATE(3233), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234193] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(9070), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6480), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234280] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6510), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234367] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6509), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234454] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(6803), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234541] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6740), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234628] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(9072), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6738), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234715] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2922), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234802] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6487), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234889] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4070), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234976] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6492), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235063] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6502), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235150] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7894), 1,
      anon_sym_proc,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR,
    ACTIONS(7898), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_CARET,
    ACTIONS(7904), 1,
      anon_sym_map,
    ACTIONS(7906), 1,
      anon_sym_matrix,
    ACTIONS(7908), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8756), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2894), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235237] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4078), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235324] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    STATE(2870), 1,
      sym_procedure,
    STATE(3232), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235411] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3754), 1,
      sym_procedure,
    STATE(3822), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235498] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2894), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235585] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    STATE(3356), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235672] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6469), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235759] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8604), 1,
      anon_sym_LBRACK,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3226), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235846] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6626), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235933] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6630), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236020] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    ACTIONS(8886), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_procedure,
    STATE(6741), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236107] = 22,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_proc,
    ACTIONS(8234), 1,
      anon_sym_DOLLAR,
    ACTIONS(8236), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8240), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_map,
    ACTIONS(8244), 1,
      anon_sym_matrix,
    ACTIONS(8246), 1,
      anon_sym_distinct,
    ACTIONS(8248), 1,
      sym_tag,
    STATE(3361), 1,
      sym_type,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236194] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6459), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236281] = 22,
    ACTIONS(627), 1,
      anon_sym_distinct,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2209), 1,
      anon_sym_proc,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2222), 1,
      anon_sym_DOLLAR,
    ACTIONS(2229), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2236), 1,
      anon_sym_map,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(2240), 1,
      anon_sym_matrix,
    ACTIONS(2242), 1,
      sym_tag,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(9026), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      anon_sym_CARET,
    STATE(3406), 1,
      sym_procedure,
    STATE(3940), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236368] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7839), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236455] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8588), 1,
      anon_sym_LBRACK,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6331), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236542] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6851), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236629] = 9,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5672), 6,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5670), 24,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [236690] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2922), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236777] = 22,
    ACTIONS(511), 1,
      anon_sym_distinct,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1641), 1,
      anon_sym_proc,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1655), 1,
      anon_sym_DOLLAR,
    ACTIONS(1663), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1671), 1,
      anon_sym_map,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(1675), 1,
      anon_sym_matrix,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      sym_tag,
    STATE(3141), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236864] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7858), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236951] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6464), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237038] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2922), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237125] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1985), 1,
      anon_sym_proc,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(1999), 1,
      anon_sym_DOLLAR,
    ACTIONS(2007), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2015), 1,
      anon_sym_map,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(2019), 1,
      anon_sym_matrix,
    ACTIONS(2021), 1,
      anon_sym_distinct,
    ACTIONS(2023), 1,
      sym_tag,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(8954), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_CARET,
    STATE(3754), 1,
      sym_procedure,
    STATE(3822), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237212] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6484), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237299] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8980), 1,
      anon_sym_LBRACK,
    STATE(3721), 1,
      sym_procedure,
    STATE(6466), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237386] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7923), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237473] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3754), 1,
      sym_procedure,
    STATE(6478), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237560] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3754), 1,
      sym_procedure,
    STATE(6503), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237647] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    STATE(2870), 1,
      sym_procedure,
    STATE(2922), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237734] = 22,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(3270), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237821] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(7418), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237908] = 22,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6316), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237995] = 22,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6315), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238082] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6457), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238169] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7629), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238256] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6974), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238343] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2894), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238430] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    STATE(3754), 1,
      sym_procedure,
    STATE(3784), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238517] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8732), 1,
      anon_sym_LBRACK,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4074), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238604] = 22,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1447), 1,
      sym_identifier,
    ACTIONS(1449), 1,
      anon_sym_proc,
    ACTIONS(1451), 1,
      anon_sym_struct,
    ACTIONS(1453), 1,
      anon_sym_enum,
    ACTIONS(1455), 1,
      anon_sym_union,
    ACTIONS(1457), 1,
      anon_sym_bit_field,
    ACTIONS(1463), 1,
      anon_sym_DOLLAR,
    ACTIONS(1471), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1479), 1,
      anon_sym_map,
    ACTIONS(1481), 1,
      anon_sym_bit_set,
    ACTIONS(1483), 1,
      anon_sym_matrix,
    ACTIONS(1485), 1,
      sym_tag,
    ACTIONS(8918), 1,
      anon_sym_LPAREN,
    ACTIONS(8920), 1,
      anon_sym_BANG,
    ACTIONS(8924), 1,
      anon_sym_CARET,
    ACTIONS(9074), 1,
      anon_sym_LBRACK,
    STATE(2712), 1,
      sym_procedure,
    STATE(2713), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2743), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238691] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_procedure,
    STATE(3636), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238778] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    STATE(3492), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238865] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4080), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238952] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6473), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239039] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(7719), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239126] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    STATE(3491), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239213] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    ACTIONS(9076), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(6496), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239300] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6501), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239387] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    STATE(3480), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239474] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    ACTIONS(9078), 1,
      sym_tag,
    STATE(3472), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239561] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(9080), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6463), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239648] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(8980), 1,
      anon_sym_LBRACK,
    STATE(3721), 1,
      sym_procedure,
    STATE(6493), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239735] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2925), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239822] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4077), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239909] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2925), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239996] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    ACTIONS(9082), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(3229), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240083] = 22,
    ACTIONS(323), 1,
      anon_sym_distinct,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1885), 1,
      anon_sym_proc,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(1905), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1912), 1,
      anon_sym_map,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(1916), 1,
      anon_sym_matrix,
    ACTIONS(1918), 1,
      sym_tag,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_CARET,
    STATE(3613), 1,
      sym_procedure,
    STATE(4436), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240170] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    STATE(2870), 1,
      sym_procedure,
    STATE(3110), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240257] = 22,
    ACTIONS(555), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1739), 1,
      anon_sym_proc,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1753), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1769), 1,
      anon_sym_map,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(1773), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_CARET,
    ACTIONS(8608), 1,
      sym_tag,
    ACTIONS(8614), 1,
      anon_sym_LBRACK,
    STATE(2870), 1,
      sym_procedure,
    STATE(3266), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240344] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4069), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240431] = 22,
    ACTIONS(1159), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2695), 1,
      anon_sym_proc,
    ACTIONS(2697), 1,
      anon_sym_DOLLAR,
    ACTIONS(2703), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2709), 1,
      anon_sym_map,
    ACTIONS(2711), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8632), 1,
      anon_sym_LBRACK,
    ACTIONS(8634), 1,
      anon_sym_CARET,
    ACTIONS(8670), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(4126), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240518] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7594), 1,
      anon_sym_proc,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR,
    ACTIONS(7598), 1,
      anon_sym_LBRACK,
    ACTIONS(7600), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7602), 1,
      anon_sym_CARET,
    ACTIONS(7604), 1,
      anon_sym_map,
    ACTIONS(7606), 1,
      anon_sym_matrix,
    ACTIONS(7608), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8666), 1,
      sym_tag,
    STATE(2711), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240605] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8640), 1,
      anon_sym_LBRACK,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    STATE(3483), 1,
      sym_type,
    STATE(3533), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240692] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(2894), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240779] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_procedure,
    STATE(3554), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240866] = 22,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(7243), 1,
      anon_sym_proc,
    ACTIONS(7245), 1,
      anon_sym_DOLLAR,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(7249), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7253), 1,
      anon_sym_CARET,
    ACTIONS(7255), 1,
      anon_sym_map,
    ACTIONS(7257), 1,
      anon_sym_matrix,
    ACTIONS(7259), 1,
      anon_sym_distinct,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8570), 1,
      sym_tag,
    STATE(3533), 1,
      sym_procedure,
    STATE(6337), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240953] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2528), 1,
      sym_procedure,
    STATE(2682), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241040] = 22,
    ACTIONS(689), 1,
      anon_sym_distinct,
    ACTIONS(2025), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_proc,
    ACTIONS(2029), 1,
      anon_sym_struct,
    ACTIONS(2031), 1,
      anon_sym_enum,
    ACTIONS(2033), 1,
      anon_sym_union,
    ACTIONS(2035), 1,
      anon_sym_bit_field,
    ACTIONS(2040), 1,
      anon_sym_DOLLAR,
    ACTIONS(2047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2052), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2054), 1,
      anon_sym_map,
    ACTIONS(2056), 1,
      anon_sym_bit_set,
    ACTIONS(2058), 1,
      anon_sym_matrix,
    ACTIONS(7247), 1,
      anon_sym_BANG,
    ACTIONS(8566), 1,
      anon_sym_LPAREN,
    ACTIONS(8642), 1,
      anon_sym_CARET,
    ACTIONS(8644), 1,
      sym_tag,
    ACTIONS(8700), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_procedure,
    STATE(3549), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3521), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241127] = 22,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8584), 1,
      anon_sym_LBRACK,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6313), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241214] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(3690), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241301] = 22,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2244), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_struct,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2252), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_bit_field,
    ACTIONS(2271), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_bit_set,
    ACTIONS(7513), 1,
      anon_sym_DOLLAR,
    ACTIONS(7515), 1,
      anon_sym_BANG,
    ACTIONS(7517), 1,
      anon_sym_LBRACK,
    ACTIONS(7519), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7521), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_map,
    ACTIONS(7525), 1,
      anon_sym_matrix,
    ACTIONS(7527), 1,
      anon_sym_distinct,
    ACTIONS(7529), 1,
      sym_tag,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    STATE(3721), 1,
      sym_procedure,
    STATE(6488), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3744), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241388] = 22,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3187), 1,
      sym_procedure,
    STATE(6307), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241475] = 22,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1447), 1,
      sym_identifier,
    ACTIONS(1449), 1,
      anon_sym_proc,
    ACTIONS(1451), 1,
      anon_sym_struct,
    ACTIONS(1453), 1,
      anon_sym_enum,
    ACTIONS(1455), 1,
      anon_sym_union,
    ACTIONS(1457), 1,
      anon_sym_bit_field,
    ACTIONS(1463), 1,
      anon_sym_DOLLAR,
    ACTIONS(1471), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1477), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1479), 1,
      anon_sym_map,
    ACTIONS(1481), 1,
      anon_sym_bit_set,
    ACTIONS(1483), 1,
      anon_sym_matrix,
    ACTIONS(1485), 1,
      sym_tag,
    ACTIONS(8918), 1,
      anon_sym_LPAREN,
    ACTIONS(8920), 1,
      anon_sym_BANG,
    ACTIONS(8922), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_CARET,
    STATE(2712), 1,
      sym_procedure,
    STATE(2806), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2743), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241562] = 6,
    ACTIONS(7668), 1,
      sym_identifier,
    ACTIONS(7670), 1,
      anon_sym_LPAREN,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 16,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 20,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [241617] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8022), 1,
      sym_tag,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    STATE(3613), 1,
      sym_procedure,
    STATE(6583), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241704] = 22,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(1887), 1,
      anon_sym_struct,
    ACTIONS(1889), 1,
      anon_sym_enum,
    ACTIONS(1891), 1,
      anon_sym_union,
    ACTIONS(1893), 1,
      anon_sym_bit_field,
    ACTIONS(1910), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1914), 1,
      anon_sym_bit_set,
    ACTIONS(8004), 1,
      anon_sym_proc,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR,
    ACTIONS(8008), 1,
      anon_sym_BANG,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8014), 1,
      anon_sym_CARET,
    ACTIONS(8016), 1,
      anon_sym_map,
    ACTIONS(8018), 1,
      anon_sym_matrix,
    ACTIONS(8020), 1,
      anon_sym_distinct,
    ACTIONS(8362), 1,
      anon_sym_LPAREN,
    ACTIONS(9086), 1,
      sym_tag,
    STATE(3613), 1,
      sym_procedure,
    STATE(6587), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3609), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241791] = 22,
    ACTIONS(1639), 1,
      sym_identifier,
    ACTIONS(1643), 1,
      anon_sym_struct,
    ACTIONS(1645), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_union,
    ACTIONS(1649), 1,
      anon_sym_bit_field,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1673), 1,
      anon_sym_bit_set,
    ACTIONS(7116), 1,
      anon_sym_proc,
    ACTIONS(7118), 1,
      anon_sym_DOLLAR,
    ACTIONS(7120), 1,
      anon_sym_BANG,
    ACTIONS(7122), 1,
      anon_sym_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7126), 1,
      anon_sym_CARET,
    ACTIONS(7128), 1,
      anon_sym_map,
    ACTIONS(7130), 1,
      anon_sym_matrix,
    ACTIONS(7132), 1,
      anon_sym_distinct,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      sym_tag,
    STATE(3092), 1,
      sym_type,
    STATE(3187), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3254), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241878] = 22,
    ACTIONS(1983), 1,
      sym_identifier,
    ACTIONS(1987), 1,
      anon_sym_struct,
    ACTIONS(1989), 1,
      anon_sym_enum,
    ACTIONS(1991), 1,
      anon_sym_union,
    ACTIONS(1993), 1,
      anon_sym_bit_field,
    ACTIONS(2013), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2017), 1,
      anon_sym_bit_set,
    ACTIONS(7552), 1,
      anon_sym_proc,
    ACTIONS(7554), 1,
      anon_sym_DOLLAR,
    ACTIONS(7556), 1,
      anon_sym_BANG,
    ACTIONS(7560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7562), 1,
      anon_sym_CARET,
    ACTIONS(7564), 1,
      anon_sym_map,
    ACTIONS(7566), 1,
      anon_sym_matrix,
    ACTIONS(7568), 1,
      anon_sym_distinct,
    ACTIONS(7570), 1,
      sym_tag,
    ACTIONS(7933), 1,
      anon_sym_LPAREN,
    ACTIONS(9088), 1,
      anon_sym_LBRACK,
    STATE(3754), 1,
      sym_procedure,
    STATE(6508), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3748), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241965] = 22,
    ACTIONS(1211), 1,
      anon_sym_distinct,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(2455), 1,
      anon_sym_proc,
    ACTIONS(2457), 1,
      anon_sym_DOLLAR,
    ACTIONS(2462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2467), 1,
      anon_sym_map,
    ACTIONS(2469), 1,
      anon_sym_matrix,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      anon_sym_LBRACK,
    ACTIONS(8724), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      sym_tag,
    STATE(2711), 1,
      sym_type,
    STATE(2870), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242052] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6336), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242139] = 22,
    ACTIONS(1737), 1,
      sym_identifier,
    ACTIONS(1741), 1,
      anon_sym_struct,
    ACTIONS(1743), 1,
      anon_sym_enum,
    ACTIONS(1745), 1,
      anon_sym_union,
    ACTIONS(1747), 1,
      anon_sym_bit_field,
    ACTIONS(1767), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1771), 1,
      anon_sym_bit_set,
    ACTIONS(7216), 1,
      anon_sym_proc,
    ACTIONS(7218), 1,
      anon_sym_DOLLAR,
    ACTIONS(7220), 1,
      anon_sym_BANG,
    ACTIONS(7222), 1,
      anon_sym_LBRACK,
    ACTIONS(7224), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7226), 1,
      anon_sym_CARET,
    ACTIONS(7228), 1,
      anon_sym_map,
    ACTIONS(7230), 1,
      anon_sym_matrix,
    ACTIONS(7232), 1,
      anon_sym_distinct,
    ACTIONS(8492), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      sym_tag,
    STATE(2870), 1,
      sym_procedure,
    STATE(6334), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2845), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242226] = 22,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      anon_sym_proc,
    ACTIONS(1341), 1,
      anon_sym_struct,
    ACTIONS(1343), 1,
      anon_sym_enum,
    ACTIONS(1345), 1,
      anon_sym_union,
    ACTIONS(1347), 1,
      anon_sym_bit_field,
    ACTIONS(1352), 1,
      anon_sym_DOLLAR,
    ACTIONS(1359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1364), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1366), 1,
      anon_sym_map,
    ACTIONS(1368), 1,
      anon_sym_bit_set,
    ACTIONS(1370), 1,
      anon_sym_matrix,
    ACTIONS(1372), 1,
      sym_tag,
    ACTIONS(8906), 1,
      anon_sym_LPAREN,
    ACTIONS(8908), 1,
      anon_sym_BANG,
    ACTIONS(8910), 1,
      anon_sym_LBRACK,
    ACTIONS(8912), 1,
      anon_sym_CARET,
    STATE(2528), 1,
      sym_procedure,
    STATE(2677), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2494), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242313] = 22,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2207), 1,
      sym_identifier,
    ACTIONS(2211), 1,
      anon_sym_struct,
    ACTIONS(2213), 1,
      anon_sym_enum,
    ACTIONS(2215), 1,
      anon_sym_union,
    ACTIONS(2217), 1,
      anon_sym_bit_field,
    ACTIONS(2234), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      anon_sym_bit_set,
    ACTIONS(4554), 1,
      anon_sym_DOLLAR,
    ACTIONS(6285), 1,
      anon_sym_LPAREN,
    ACTIONS(6287), 1,
      anon_sym_BANG,
    ACTIONS(6291), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(6301), 1,
      anon_sym_distinct,
    ACTIONS(6303), 1,
      sym_tag,
    ACTIONS(7635), 1,
      anon_sym_LBRACK,
    ACTIONS(7637), 1,
      anon_sym_map,
    ACTIONS(7639), 1,
      anon_sym_matrix,
    STATE(3406), 1,
      sym_procedure,
    STATE(6692), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3376), 19,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_bit_field_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242400] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(6779), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3297), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [242496] = 4,
    ACTIONS(9092), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242546] = 4,
    ACTIONS(9094), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242596] = 4,
    ACTIONS(4035), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242646] = 4,
    ACTIONS(9096), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242696] = 4,
    ACTIONS(9098), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242746] = 4,
    ACTIONS(9100), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242796] = 4,
    ACTIONS(9102), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242846] = 4,
    ACTIONS(9104), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242896] = 4,
    ACTIONS(9106), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242946] = 4,
    ACTIONS(9108), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242996] = 4,
    ACTIONS(9110), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243046] = 4,
    ACTIONS(9112), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243096] = 4,
    ACTIONS(9114), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243146] = 4,
    ACTIONS(9116), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243196] = 4,
    ACTIONS(3455), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243246] = 4,
    ACTIONS(3965), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243296] = 4,
    ACTIONS(9118), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243346] = 4,
    ACTIONS(9120), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243396] = 4,
    ACTIONS(9122), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243446] = 4,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243496] = 4,
    ACTIONS(3625), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243546] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    STATE(6966), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [243642] = 4,
    ACTIONS(9128), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243692] = 4,
    ACTIONS(9130), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243742] = 4,
    ACTIONS(9132), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243792] = 4,
    ACTIONS(9134), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243842] = 4,
    ACTIONS(9137), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243892] = 4,
    ACTIONS(9139), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243942] = 4,
    ACTIONS(9141), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [243992] = 4,
    ACTIONS(9143), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244042] = 4,
    ACTIONS(9145), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244092] = 4,
    ACTIONS(3395), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244142] = 29,
    ACTIONS(6933), 1,
      anon_sym_COLON_EQ,
    ACTIONS(7168), 1,
      anon_sym_EQ,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(9147), 1,
      anon_sym_LBRACE,
    STATE(7048), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [244242] = 4,
    ACTIONS(4171), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244292] = 4,
    ACTIONS(9149), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244342] = 4,
    ACTIONS(9151), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244392] = 29,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(9153), 1,
      anon_sym_EQ,
    ACTIONS(9155), 1,
      anon_sym_COLON,
    ACTIONS(9157), 1,
      anon_sym_COLON_EQ,
    STATE(6934), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [244492] = 4,
    ACTIONS(3405), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244542] = 4,
    ACTIONS(4113), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244592] = 4,
    ACTIONS(4213), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244642] = 4,
    ACTIONS(3775), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244692] = 4,
    ACTIONS(9159), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244742] = 4,
    ACTIONS(4083), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244792] = 4,
    ACTIONS(9161), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244842] = 4,
    ACTIONS(9163), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244892] = 4,
    ACTIONS(9165), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244942] = 4,
    ACTIONS(9167), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [244992] = 4,
    ACTIONS(9169), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245042] = 4,
    ACTIONS(9171), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245092] = 4,
    ACTIONS(9173), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245142] = 4,
    ACTIONS(9175), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245192] = 4,
    ACTIONS(9177), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245242] = 4,
    ACTIONS(9179), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245292] = 4,
    ACTIONS(9181), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245342] = 26,
    ACTIONS(7214), 1,
      anon_sym_COLON,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(7212), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
  [245436] = 4,
    ACTIONS(9183), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245486] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6563), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(9185), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [245582] = 4,
    ACTIONS(3505), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245632] = 4,
    ACTIONS(9187), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245682] = 4,
    ACTIONS(9189), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245732] = 4,
    ACTIONS(9191), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245782] = 4,
    ACTIONS(9193), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245832] = 4,
    ACTIONS(9195), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245882] = 4,
    ACTIONS(9197), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245932] = 4,
    ACTIONS(9199), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [245982] = 4,
    ACTIONS(3485), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246032] = 4,
    ACTIONS(9202), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246082] = 4,
    ACTIONS(9204), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246132] = 4,
    ACTIONS(9206), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246182] = 4,
    ACTIONS(9209), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246232] = 4,
    ACTIONS(9211), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246282] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6533), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(9213), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [246378] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6584), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8778), 3,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [246474] = 4,
    ACTIONS(3995), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246524] = 4,
    ACTIONS(4243), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246574] = 4,
    ACTIONS(9215), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246624] = 4,
    ACTIONS(9217), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246674] = 4,
    ACTIONS(9219), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246724] = 4,
    ACTIONS(3385), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246774] = 4,
    ACTIONS(9221), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246824] = 4,
    ACTIONS(9223), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246874] = 4,
    ACTIONS(9226), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246924] = 4,
    ACTIONS(3785), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246974] = 4,
    ACTIONS(9228), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247024] = 4,
    ACTIONS(9230), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247074] = 4,
    ACTIONS(9232), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247124] = 4,
    ACTIONS(9235), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247174] = 4,
    ACTIONS(9237), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247224] = 29,
    ACTIONS(6927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7672), 1,
      anon_sym_DASH_GT,
    ACTIONS(7674), 1,
      anon_sym_PIPE,
    ACTIONS(7676), 1,
      anon_sym_PLUS,
    ACTIONS(7678), 1,
      anon_sym_DASH,
    ACTIONS(7680), 1,
      anon_sym_TILDE,
    ACTIONS(7682), 1,
      anon_sym_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7692), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7700), 1,
      anon_sym_DOT,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7775), 1,
      anon_sym_or_break,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9241), 1,
      anon_sym_COLON,
    ACTIONS(9243), 1,
      anon_sym_COLON_EQ,
    STATE(6892), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7686), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7688), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7694), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7696), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7698), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7704), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7769), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7788), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7690), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [247324] = 4,
    ACTIONS(9245), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247374] = 4,
    ACTIONS(9248), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247424] = 4,
    ACTIONS(9250), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247474] = 4,
    ACTIONS(9252), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247524] = 29,
    ACTIONS(6933), 1,
      anon_sym_COLON_EQ,
    ACTIONS(7168), 1,
      anon_sym_EQ,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    STATE(7048), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [247624] = 4,
    ACTIONS(9256), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247674] = 29,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9258), 1,
      anon_sym_COLON,
    ACTIONS(9260), 1,
      anon_sym_COLON_EQ,
    STATE(6901), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [247774] = 4,
    ACTIONS(9262), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247824] = 4,
    ACTIONS(9264), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247874] = 4,
    ACTIONS(9266), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [247924] = 27,
    ACTIONS(7702), 1,
      anon_sym_LBRACK,
    ACTIONS(7771), 1,
      anon_sym_or_return,
    ACTIONS(7773), 1,
      anon_sym_or_continue,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(8058), 1,
      anon_sym_DASH_GT,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    ACTIONS(8062), 1,
      anon_sym_PLUS,
    ACTIONS(8064), 1,
      anon_sym_DASH,
    ACTIONS(8066), 1,
      anon_sym_TILDE,
    ACTIONS(8068), 1,
      anon_sym_AMP,
    ACTIONS(8072), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8080), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8088), 1,
      anon_sym_DOT,
    ACTIONS(8092), 1,
      anon_sym_or_break,
    ACTIONS(9270), 1,
      anon_sym_COMMA,
    STATE(6828), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8070), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8074), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8076), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8082), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8084), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8086), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8090), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8100), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8078), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(9268), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [248020] = 4,
    ACTIONS(9272), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248070] = 4,
    ACTIONS(9275), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248120] = 4,
    ACTIONS(3535), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248170] = 4,
    ACTIONS(9277), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248220] = 4,
    ACTIONS(9279), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248270] = 4,
    ACTIONS(9281), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248320] = 4,
    ACTIONS(9283), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248370] = 4,
    ACTIONS(9285), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248420] = 4,
    ACTIONS(9287), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248470] = 4,
    ACTIONS(9289), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248520] = 4,
    ACTIONS(9292), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248570] = 4,
    ACTIONS(9294), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248620] = 4,
    ACTIONS(9296), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248670] = 4,
    ACTIONS(9298), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248720] = 4,
    ACTIONS(9300), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248770] = 4,
    ACTIONS(9302), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248820] = 4,
    ACTIONS(3945), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248870] = 4,
    ACTIONS(9304), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248920] = 4,
    ACTIONS(9306), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [248970] = 4,
    ACTIONS(9308), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249020] = 4,
    ACTIONS(9310), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249070] = 4,
    ACTIONS(9313), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249120] = 4,
    ACTIONS(9315), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249170] = 4,
    ACTIONS(9317), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249220] = 4,
    ACTIONS(9319), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249270] = 4,
    ACTIONS(9321), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249320] = 4,
    ACTIONS(3925), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249370] = 4,
    ACTIONS(9323), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249420] = 4,
    ACTIONS(3355), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249470] = 4,
    ACTIONS(9326), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249520] = 4,
    ACTIONS(9328), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249570] = 4,
    ACTIONS(9330), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249620] = 4,
    ACTIONS(9332), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249670] = 4,
    ACTIONS(3465), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249720] = 4,
    ACTIONS(9334), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249770] = 4,
    ACTIONS(9336), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249820] = 4,
    ACTIONS(3725), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249870] = 4,
    ACTIONS(3595), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249920] = 4,
    ACTIONS(9338), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [249970] = 4,
    ACTIONS(9340), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250020] = 4,
    ACTIONS(9342), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250070] = 4,
    ACTIONS(4151), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250120] = 4,
    ACTIONS(9344), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250170] = 4,
    ACTIONS(9346), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250220] = 4,
    ACTIONS(9348), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250270] = 4,
    ACTIONS(9350), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250320] = 4,
    ACTIONS(3895), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250370] = 4,
    ACTIONS(9352), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250420] = 4,
    ACTIONS(9354), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250470] = 4,
    ACTIONS(9356), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250520] = 4,
    ACTIONS(9358), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250570] = 4,
    ACTIONS(9360), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250620] = 4,
    ACTIONS(9362), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250670] = 4,
    ACTIONS(9364), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250720] = 4,
    ACTIONS(9367), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250770] = 4,
    ACTIONS(9369), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250820] = 4,
    ACTIONS(9371), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250870] = 4,
    ACTIONS(9373), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250920] = 4,
    ACTIONS(9375), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [250970] = 4,
    ACTIONS(3665), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251020] = 4,
    ACTIONS(9377), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251070] = 4,
    ACTIONS(9379), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251120] = 4,
    ACTIONS(9381), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251170] = 4,
    ACTIONS(3865), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251220] = 4,
    ACTIONS(9383), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251270] = 4,
    ACTIONS(9386), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251320] = 4,
    ACTIONS(9388), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251370] = 4,
    ACTIONS(9390), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251420] = 4,
    ACTIONS(9392), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251470] = 4,
    ACTIONS(9394), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251520] = 4,
    ACTIONS(3805), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251570] = 4,
    ACTIONS(9396), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251620] = 4,
    ACTIONS(9398), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251670] = 4,
    ACTIONS(9400), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251720] = 4,
    ACTIONS(9402), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251770] = 4,
    ACTIONS(9404), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251820] = 4,
    ACTIONS(9406), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251870] = 4,
    ACTIONS(3695), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251920] = 4,
    ACTIONS(9408), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [251970] = 4,
    ACTIONS(3565), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [252020] = 4,
    ACTIONS(9410), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [252070] = 4,
    ACTIONS(9412), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [252120] = 4,
    ACTIONS(9414), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [252170] = 4,
    ACTIONS(9416), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [252220] = 4,
    ACTIONS(9418), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4929), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4927), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [252270] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9420), 1,
      anon_sym_COMMA,
    ACTIONS(9422), 1,
      anon_sym_EQ,
    ACTIONS(9424), 1,
      anon_sym_RPAREN,
    STATE(7677), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252367] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9426), 1,
      anon_sym_COMMA,
    ACTIONS(9428), 1,
      anon_sym_EQ,
    ACTIONS(9430), 1,
      anon_sym_RPAREN,
    STATE(7330), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252464] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9432), 1,
      anon_sym_COMMA,
    ACTIONS(9434), 1,
      anon_sym_EQ,
    ACTIONS(9436), 1,
      anon_sym_RPAREN,
    STATE(7268), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252561] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9438), 1,
      anon_sym_COMMA,
    ACTIONS(9440), 1,
      anon_sym_EQ,
    ACTIONS(9442), 1,
      anon_sym_RPAREN,
    STATE(7347), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252658] = 28,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(9444), 1,
      anon_sym_EQ,
    ACTIONS(9446), 1,
      anon_sym_COLON_EQ,
    STATE(7081), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252755] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9450), 1,
      anon_sym_EQ,
    ACTIONS(9452), 1,
      anon_sym_RPAREN,
    STATE(7558), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252852] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9454), 1,
      anon_sym_COMMA,
    ACTIONS(9456), 1,
      anon_sym_EQ,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
    STATE(7582), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252949] = 28,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(9460), 1,
      anon_sym_SEMI,
    ACTIONS(9462), 1,
      anon_sym_do,
    STATE(6835), 1,
      sym_block,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253046] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9466), 1,
      anon_sym_EQ,
    ACTIONS(9468), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253143] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9470), 1,
      anon_sym_COMMA,
    ACTIONS(9472), 1,
      anon_sym_EQ,
    ACTIONS(9474), 1,
      anon_sym_RPAREN,
    STATE(7873), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253240] = 6,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(8118), 1,
      anon_sym_LPAREN,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [253293] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9476), 1,
      anon_sym_COMMA,
    ACTIONS(9478), 1,
      anon_sym_EQ,
    ACTIONS(9480), 1,
      anon_sym_RPAREN,
    STATE(7612), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253390] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9482), 1,
      anon_sym_COMMA,
    ACTIONS(9484), 1,
      anon_sym_EQ,
    ACTIONS(9486), 1,
      anon_sym_RPAREN,
    STATE(7504), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253487] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9488), 1,
      anon_sym_COMMA,
    ACTIONS(9490), 1,
      anon_sym_EQ,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    STATE(7403), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253584] = 27,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(9494), 1,
      anon_sym_COMMA,
    STATE(7092), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8784), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253679] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9496), 1,
      anon_sym_COMMA,
    ACTIONS(9498), 1,
      anon_sym_EQ,
    ACTIONS(9500), 1,
      anon_sym_RPAREN,
    STATE(7333), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253776] = 27,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(9504), 1,
      anon_sym_COMMA,
    STATE(7051), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(9502), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253871] = 28,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(9040), 1,
      anon_sym_EQ,
    ACTIONS(9044), 1,
      anon_sym_COLON_EQ,
    STATE(7149), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253968] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9466), 1,
      anon_sym_EQ,
    ACTIONS(9506), 1,
      anon_sym_RPAREN,
    STATE(7384), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254065] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9496), 1,
      anon_sym_COMMA,
    ACTIONS(9498), 1,
      anon_sym_EQ,
    ACTIONS(9508), 1,
      anon_sym_RPAREN,
    STATE(7333), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254162] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9510), 1,
      anon_sym_COMMA,
    ACTIONS(9512), 1,
      anon_sym_EQ,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    STATE(7540), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254259] = 27,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(9494), 1,
      anon_sym_COMMA,
    STATE(7105), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8572), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254354] = 6,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [254407] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9516), 1,
      anon_sym_COMMA,
    ACTIONS(9518), 1,
      anon_sym_EQ,
    ACTIONS(9520), 1,
      anon_sym_RPAREN,
    STATE(7780), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254504] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9510), 1,
      anon_sym_COMMA,
    ACTIONS(9512), 1,
      anon_sym_EQ,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    STATE(7698), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254601] = 6,
    ACTIONS(6211), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [254654] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9488), 1,
      anon_sym_COMMA,
    ACTIONS(9490), 1,
      anon_sym_EQ,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    STATE(7933), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254751] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9522), 1,
      anon_sym_COMMA,
    ACTIONS(9524), 1,
      anon_sym_EQ,
    ACTIONS(9526), 1,
      anon_sym_RPAREN,
    STATE(7889), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254848] = 6,
    ACTIONS(4922), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [254901] = 6,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(8048), 1,
      anon_sym_LPAREN,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [254954] = 28,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(9528), 1,
      anon_sym_SEMI,
    ACTIONS(9530), 1,
      anon_sym_do,
    STATE(6835), 1,
      sym_block,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255051] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    ACTIONS(9534), 1,
      anon_sym_EQ,
    ACTIONS(9536), 1,
      anon_sym_RPAREN,
    STATE(7249), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255148] = 6,
    ACTIONS(6723), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [255201] = 6,
    ACTIONS(7480), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [255254] = 28,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(9538), 1,
      anon_sym_EQ,
    ACTIONS(9540), 1,
      anon_sym_COLON_EQ,
    STATE(7072), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255351] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9438), 1,
      anon_sym_COMMA,
    ACTIONS(9440), 1,
      anon_sym_EQ,
    ACTIONS(9542), 1,
      anon_sym_RPAREN,
    STATE(7347), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255448] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9544), 1,
      anon_sym_COMMA,
    ACTIONS(9546), 1,
      anon_sym_EQ,
    ACTIONS(9548), 1,
      anon_sym_RPAREN,
    STATE(7444), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255545] = 6,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(8794), 1,
      anon_sym_LPAREN,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [255598] = 6,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(8114), 1,
      anon_sym_LPAREN,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [255651] = 6,
    ACTIONS(6563), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [255704] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9550), 1,
      anon_sym_COMMA,
    ACTIONS(9552), 1,
      anon_sym_EQ,
    ACTIONS(9554), 1,
      anon_sym_RPAREN,
    STATE(7196), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255801] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9510), 1,
      anon_sym_COMMA,
    ACTIONS(9512), 1,
      anon_sym_EQ,
    ACTIONS(9556), 1,
      anon_sym_RPAREN,
    STATE(7698), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255898] = 6,
    ACTIONS(6949), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [255951] = 6,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(8034), 1,
      anon_sym_LPAREN,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [256004] = 27,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(9504), 1,
      anon_sym_COMMA,
    STATE(7166), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(9558), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256099] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9438), 1,
      anon_sym_COMMA,
    ACTIONS(9440), 1,
      anon_sym_EQ,
    ACTIONS(9442), 1,
      anon_sym_RPAREN,
    STATE(7271), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256196] = 6,
    ACTIONS(6497), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [256249] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9496), 1,
      anon_sym_COMMA,
    ACTIONS(9498), 1,
      anon_sym_EQ,
    ACTIONS(9508), 1,
      anon_sym_RPAREN,
    STATE(7867), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256346] = 28,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(9153), 1,
      anon_sym_EQ,
    ACTIONS(9157), 1,
      anon_sym_COLON_EQ,
    STATE(7124), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256443] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9426), 1,
      anon_sym_COMMA,
    ACTIONS(9428), 1,
      anon_sym_EQ,
    ACTIONS(9560), 1,
      anon_sym_RPAREN,
    STATE(7576), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256540] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9562), 1,
      anon_sym_COMMA,
    ACTIONS(9564), 1,
      anon_sym_EQ,
    ACTIONS(9566), 1,
      anon_sym_RPAREN,
    STATE(7851), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256637] = 28,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(9568), 1,
      anon_sym_EQ,
    ACTIONS(9570), 1,
      anon_sym_COLON_EQ,
    STATE(7112), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256734] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9466), 1,
      anon_sym_EQ,
    ACTIONS(9506), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256831] = 6,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [256884] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9572), 1,
      anon_sym_COMMA,
    ACTIONS(9574), 1,
      anon_sym_EQ,
    ACTIONS(9576), 1,
      anon_sym_RPAREN,
    STATE(7800), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256981] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9578), 1,
      anon_sym_COMMA,
    ACTIONS(9580), 1,
      anon_sym_EQ,
    ACTIONS(9582), 1,
      anon_sym_RPAREN,
    STATE(7378), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257078] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9584), 1,
      anon_sym_COMMA,
    ACTIONS(9586), 1,
      anon_sym_EQ,
    ACTIONS(9588), 1,
      anon_sym_RPAREN,
    STATE(7471), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257175] = 27,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(9504), 1,
      anon_sym_COMMA,
    STATE(7180), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(9590), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257270] = 6,
    ACTIONS(6307), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [257323] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9592), 1,
      anon_sym_COMMA,
    ACTIONS(9594), 1,
      anon_sym_EQ,
    ACTIONS(9596), 1,
      anon_sym_RPAREN,
    STATE(7605), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257420] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9598), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_EQ,
    ACTIONS(9602), 1,
      anon_sym_RPAREN,
    STATE(7286), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257517] = 28,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9488), 1,
      anon_sym_COMMA,
    ACTIONS(9490), 1,
      anon_sym_EQ,
    ACTIONS(9604), 1,
      anon_sym_RPAREN,
    STATE(7933), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257614] = 6,
    ACTIONS(7626), 1,
      anon_sym_LPAREN,
    ACTIONS(7792), 1,
      anon_sym_QMARK,
    ACTIONS(7790), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [257667] = 25,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(9606), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
  [257757] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9608), 1,
      anon_sym_RBRACE,
    ACTIONS(9610), 1,
      anon_sym_COMMA,
    STATE(7656), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257851] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9612), 1,
      anon_sym_COMMA,
    ACTIONS(9614), 1,
      anon_sym_RPAREN,
    STATE(7770), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257945] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9616), 1,
      anon_sym_RBRACE,
    ACTIONS(9618), 1,
      anon_sym_COMMA,
    STATE(7918), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258039] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9620), 1,
      anon_sym_RBRACE,
    ACTIONS(9622), 1,
      anon_sym_COMMA,
    STATE(7673), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258133] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9624), 1,
      anon_sym_RBRACE,
    ACTIONS(9626), 1,
      anon_sym_COMMA,
    STATE(7758), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258227] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9628), 1,
      anon_sym_RBRACE,
    ACTIONS(9630), 1,
      anon_sym_COMMA,
    STATE(7641), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258321] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9632), 1,
      anon_sym_COMMA,
    ACTIONS(9634), 1,
      anon_sym_RPAREN,
    STATE(7465), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258415] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9636), 1,
      anon_sym_RBRACE,
    STATE(7843), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258509] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9638), 1,
      anon_sym_COMMA,
    ACTIONS(9640), 1,
      anon_sym_COLON,
    ACTIONS(9642), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258603] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9644), 1,
      anon_sym_RBRACE,
    ACTIONS(9646), 1,
      anon_sym_COMMA,
    STATE(7670), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258697] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9648), 1,
      anon_sym_RBRACE,
    ACTIONS(9650), 1,
      anon_sym_COMMA,
    STATE(7840), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258791] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9654), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(9652), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258883] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9656), 1,
      anon_sym_RBRACE,
    STATE(7630), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258977] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9658), 1,
      anon_sym_COMMA,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
    STATE(7853), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259071] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9662), 1,
      anon_sym_COMMA,
    ACTIONS(9664), 1,
      anon_sym_COLON,
    ACTIONS(9666), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259165] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_RBRACE,
    ACTIONS(9670), 1,
      anon_sym_COMMA,
    STATE(7210), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259259] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9672), 1,
      anon_sym_COMMA,
    ACTIONS(9674), 1,
      anon_sym_RPAREN,
    STATE(7225), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259353] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9676), 1,
      anon_sym_COMMA,
    ACTIONS(9678), 1,
      anon_sym_RPAREN,
    STATE(7836), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259447] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9680), 1,
      anon_sym_RBRACE,
    ACTIONS(9682), 1,
      anon_sym_COMMA,
    STATE(7230), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259541] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9684), 1,
      anon_sym_RBRACE,
    STATE(7232), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259635] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9686), 1,
      anon_sym_RBRACE,
    STATE(7541), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259729] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9688), 1,
      anon_sym_COMMA,
    ACTIONS(9690), 1,
      anon_sym_RPAREN,
    STATE(7645), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259823] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9692), 1,
      anon_sym_RBRACE,
    ACTIONS(9694), 1,
      anon_sym_COMMA,
    STATE(7358), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259917] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9696), 1,
      anon_sym_COMMA,
    ACTIONS(9698), 1,
      anon_sym_RPAREN,
    STATE(7283), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260011] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9700), 1,
      anon_sym_RBRACE,
    STATE(7297), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260105] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9702), 1,
      anon_sym_RBRACE,
    ACTIONS(9704), 1,
      anon_sym_COMMA,
    STATE(7320), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260199] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9706), 1,
      anon_sym_COMMA,
    ACTIONS(9708), 1,
      anon_sym_RPAREN,
    STATE(7872), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260293] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9710), 1,
      anon_sym_RBRACE,
    ACTIONS(9712), 1,
      anon_sym_COMMA,
    STATE(7816), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260387] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9714), 1,
      anon_sym_RBRACE,
    ACTIONS(9716), 1,
      anon_sym_COMMA,
    STATE(7811), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260481] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9718), 1,
      anon_sym_RBRACE,
    ACTIONS(9720), 1,
      anon_sym_COMMA,
    STATE(7591), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260575] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9722), 1,
      anon_sym_COMMA,
    ACTIONS(9724), 1,
      anon_sym_RPAREN,
    STATE(7253), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260669] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9726), 1,
      anon_sym_RBRACE,
    ACTIONS(9728), 1,
      anon_sym_COMMA,
    STATE(7436), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260763] = 27,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8876), 1,
      anon_sym_or_break,
    ACTIONS(9730), 1,
      anon_sym_do,
    STATE(6541), 1,
      sym_block,
    ACTIONS(8844), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260857] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9732), 1,
      anon_sym_COMMA,
    ACTIONS(9734), 1,
      anon_sym_COLON,
    ACTIONS(9736), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260951] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9738), 1,
      anon_sym_RBRACE,
    ACTIONS(9740), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261045] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9742), 1,
      anon_sym_COMMA,
    ACTIONS(9744), 1,
      anon_sym_RPAREN,
    STATE(7306), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261139] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9746), 1,
      anon_sym_RBRACE,
    ACTIONS(9748), 1,
      anon_sym_COMMA,
    STATE(7354), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261233] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(1553), 18,
      sym_float,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
    ACTIONS(9750), 18,
      anon_sym_package,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_when,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      anon_sym_nil,
      sym_identifier,
  [261279] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9752), 1,
      anon_sym_COMMA,
    ACTIONS(9754), 1,
      anon_sym_RPAREN,
    STATE(7433), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261373] = 27,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8876), 1,
      anon_sym_or_break,
    ACTIONS(9756), 1,
      anon_sym_do,
    STATE(6542), 1,
      sym_block,
    ACTIONS(8844), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261467] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9758), 1,
      anon_sym_RBRACE,
    ACTIONS(9760), 1,
      anon_sym_COMMA,
    STATE(7362), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261561] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9762), 1,
      anon_sym_RBRACE,
    ACTIONS(9764), 1,
      anon_sym_COMMA,
    STATE(7414), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261655] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9766), 1,
      anon_sym_RBRACE,
    ACTIONS(9768), 1,
      anon_sym_COMMA,
    STATE(7552), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261749] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9770), 1,
      anon_sym_EQ,
    ACTIONS(6925), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261841] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9772), 1,
      anon_sym_RBRACE,
    ACTIONS(9774), 1,
      anon_sym_COMMA,
    STATE(7427), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261935] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9776), 1,
      anon_sym_COMMA,
    ACTIONS(9778), 1,
      anon_sym_RPAREN,
    STATE(7560), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262029] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9780), 1,
      anon_sym_COMMA,
    ACTIONS(9782), 1,
      anon_sym_RPAREN,
    STATE(7764), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262123] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8572), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(7815), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262217] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9784), 1,
      anon_sym_RBRACE,
    STATE(7787), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262311] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9786), 1,
      anon_sym_RBRACE,
    STATE(7450), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262405] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9788), 1,
      anon_sym_RBRACE,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    STATE(7461), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262499] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9792), 1,
      anon_sym_COMMA,
    ACTIONS(9794), 1,
      anon_sym_RPAREN,
    STATE(7519), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262593] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9796), 1,
      anon_sym_COMMA,
    ACTIONS(9798), 1,
      anon_sym_RPAREN,
    STATE(7622), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262687] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8556), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7812), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262781] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9802), 1,
      anon_sym_RBRACE,
    ACTIONS(9804), 1,
      anon_sym_COMMA,
    STATE(7790), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262875] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9806), 1,
      anon_sym_RBRACE,
    ACTIONS(9808), 1,
      anon_sym_COMMA,
    STATE(7885), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262969] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9810), 1,
      anon_sym_RBRACE,
    ACTIONS(9812), 1,
      anon_sym_COMMA,
    STATE(7900), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263063] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9814), 1,
      anon_sym_RBRACE,
    ACTIONS(9816), 1,
      anon_sym_COMMA,
    STATE(7920), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263157] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9818), 1,
      anon_sym_RBRACE,
    ACTIONS(9820), 1,
      anon_sym_COMMA,
    STATE(7884), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263251] = 27,
    ACTIONS(4783), 1,
      anon_sym_LBRACE,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(9822), 1,
      anon_sym_COMMA,
    STATE(7623), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263345] = 25,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7212), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263435] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9824), 1,
      anon_sym_COMMA,
    ACTIONS(9826), 1,
      anon_sym_RPAREN,
    STATE(7902), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263529] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9828), 1,
      anon_sym_COMMA,
    ACTIONS(9830), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263623] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8496), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7877), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263717] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8470), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(7881), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263811] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9832), 1,
      anon_sym_COMMA,
    ACTIONS(9834), 1,
      anon_sym_COLON,
    ACTIONS(9836), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263905] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9838), 1,
      anon_sym_RBRACE,
    ACTIONS(9840), 1,
      anon_sym_COMMA,
    STATE(7768), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263999] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9842), 1,
      anon_sym_RBRACE,
    ACTIONS(9844), 1,
      anon_sym_COMMA,
    STATE(7785), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264093] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9846), 1,
      anon_sym_COMMA,
    ACTIONS(9848), 1,
      anon_sym_COLON,
    ACTIONS(9850), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264187] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9852), 1,
      anon_sym_COMMA,
    ACTIONS(9854), 1,
      anon_sym_COLON,
    ACTIONS(9856), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264281] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9858), 1,
      anon_sym_COMMA,
    ACTIONS(9860), 1,
      anon_sym_COLON,
    STATE(7818), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264375] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9862), 1,
      anon_sym_COMMA,
    ACTIONS(9864), 1,
      anon_sym_RPAREN,
    STATE(7892), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264469] = 27,
    ACTIONS(5572), 1,
      anon_sym_RBRACE,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9866), 1,
      anon_sym_COMMA,
    STATE(7749), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264563] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9868), 1,
      anon_sym_RBRACE,
    ACTIONS(9870), 1,
      anon_sym_COMMA,
    STATE(7915), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264657] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9872), 1,
      anon_sym_RBRACE,
    ACTIONS(9874), 1,
      anon_sym_COMMA,
    STATE(7429), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264751] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9876), 1,
      anon_sym_RBRACE,
    STATE(7944), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264845] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8476), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(7825), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264939] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8808), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7893), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265033] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9878), 1,
      anon_sym_COMMA,
    ACTIONS(9880), 1,
      anon_sym_RPAREN,
    STATE(7926), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265127] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9882), 1,
      anon_sym_RBRACE,
    ACTIONS(9884), 1,
      anon_sym_COMMA,
    STATE(7482), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265221] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9886), 1,
      anon_sym_RBRACE,
    ACTIONS(9888), 1,
      anon_sym_COMMA,
    STATE(7486), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265315] = 27,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8876), 1,
      anon_sym_or_break,
    ACTIONS(9890), 1,
      anon_sym_do,
    STATE(6557), 1,
      sym_block,
    ACTIONS(8844), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265409] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9892), 1,
      anon_sym_RBRACE,
    ACTIONS(9894), 1,
      anon_sym_COMMA,
    STATE(7804), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265503] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9896), 1,
      anon_sym_RBRACE,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    STATE(7781), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265597] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8472), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(7763), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265691] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9900), 1,
      anon_sym_RBRACE,
    ACTIONS(9902), 1,
      anon_sym_COMMA,
    STATE(7481), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265785] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9904), 1,
      anon_sym_COMMA,
    ACTIONS(9906), 1,
      anon_sym_RPAREN,
    STATE(7793), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265879] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9908), 1,
      anon_sym_RBRACE,
    ACTIONS(9910), 1,
      anon_sym_COMMA,
    STATE(7637), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265973] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9912), 1,
      anon_sym_COMMA,
    ACTIONS(9914), 1,
      anon_sym_RPAREN,
    STATE(7810), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266067] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9916), 1,
      anon_sym_RBRACE,
    ACTIONS(9918), 1,
      anon_sym_COMMA,
    STATE(7479), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266161] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9920), 1,
      anon_sym_COMMA,
    ACTIONS(9922), 1,
      anon_sym_COLON,
    ACTIONS(9924), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266255] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9926), 1,
      anon_sym_RBRACE,
    ACTIONS(9928), 1,
      anon_sym_COMMA,
    STATE(7400), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266349] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9930), 1,
      anon_sym_COMMA,
    ACTIONS(9932), 1,
      anon_sym_COLON,
    ACTIONS(9934), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266443] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8784), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(7357), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266537] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8778), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7369), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266631] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9936), 1,
      anon_sym_RBRACE,
    ACTIONS(9938), 1,
      anon_sym_COMMA,
    STATE(7866), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266725] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9940), 1,
      anon_sym_COMMA,
    ACTIONS(9942), 1,
      anon_sym_COLON,
    ACTIONS(9944), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266819] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9946), 1,
      anon_sym_RBRACE,
    STATE(7832), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266913] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_COMMA,
    ACTIONS(9950), 1,
      anon_sym_COLON,
    ACTIONS(9952), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267007] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9954), 1,
      anon_sym_COMMA,
    ACTIONS(9956), 1,
      anon_sym_COLON,
    ACTIONS(9958), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267101] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9960), 1,
      anon_sym_RBRACE,
    STATE(7907), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267195] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8610), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7883), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267289] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9962), 1,
      anon_sym_RBRACE,
    ACTIONS(9964), 1,
      anon_sym_COMMA,
    STATE(7659), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267383] = 27,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8466), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(7898), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267477] = 27,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8876), 1,
      anon_sym_or_break,
    ACTIONS(9966), 1,
      anon_sym_do,
    STATE(6572), 1,
      sym_block,
    ACTIONS(8844), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267571] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9968), 1,
      anon_sym_RBRACE,
    STATE(7401), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267665] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9970), 1,
      anon_sym_COMMA,
    ACTIONS(9972), 1,
      anon_sym_RPAREN,
    STATE(7546), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267759] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9974), 1,
      anon_sym_RBRACE,
    ACTIONS(9976), 1,
      anon_sym_COMMA,
    STATE(7729), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267853] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9978), 1,
      anon_sym_RBRACE,
    ACTIONS(9980), 1,
      anon_sym_COMMA,
    STATE(7912), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267947] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9982), 1,
      anon_sym_RBRACE,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(7207), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268041] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9986), 1,
      anon_sym_RBRACE,
    ACTIONS(9988), 1,
      anon_sym_COMMA,
    STATE(7919), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268135] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9990), 1,
      anon_sym_COMMA,
    ACTIONS(9992), 1,
      anon_sym_COLON,
    ACTIONS(9994), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268229] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9996), 1,
      anon_sym_RBRACE,
    ACTIONS(9998), 1,
      anon_sym_COMMA,
    STATE(7685), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268323] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10000), 1,
      anon_sym_RBRACE,
    ACTIONS(10002), 1,
      anon_sym_COMMA,
    STATE(7674), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268417] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(10004), 1,
      anon_sym_RBRACE,
    STATE(7553), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268511] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_RPAREN,
    STATE(7734), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268605] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10010), 1,
      anon_sym_RBRACE,
    ACTIONS(10012), 1,
      anon_sym_COMMA,
    STATE(7568), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268699] = 27,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10014), 1,
      anon_sym_COMMA,
    ACTIONS(10016), 1,
      anon_sym_RPAREN,
    STATE(7588), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268793] = 27,
    ACTIONS(5986), 1,
      anon_sym_RBRACE,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10018), 1,
      anon_sym_COMMA,
    STATE(7435), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268887] = 5,
    ACTIONS(8116), 1,
      sym_identifier,
    ACTIONS(8118), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [268936] = 5,
    ACTIONS(6586), 1,
      sym_identifier,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [268985] = 26,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    STATE(6735), 1,
      sym_block,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269076] = 5,
    ACTIONS(19), 1,
      anon_sym_AT,
    STATE(5740), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10020), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      anon_sym_nil,
      sym_identifier,
    ACTIONS(10022), 16,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [269125] = 25,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(4710), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269214] = 5,
    ACTIONS(7624), 1,
      sym_identifier,
    ACTIONS(8048), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [269263] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10024), 1,
      anon_sym_SEMI,
    ACTIONS(10026), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269354] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10028), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269443] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10030), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269532] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10032), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269621] = 5,
    ACTIONS(8116), 1,
      sym_identifier,
    ACTIONS(8794), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [269670] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10034), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269759] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10036), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269848] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10038), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269937] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10040), 1,
      anon_sym_SEMI,
    ACTIONS(10042), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270028] = 5,
    ACTIONS(10048), 1,
      anon_sym_AT,
    STATE(5740), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10044), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      anon_sym_nil,
      sym_identifier,
    ACTIONS(10046), 16,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [270077] = 26,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    STATE(6879), 1,
      sym_block,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270168] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10051), 1,
      anon_sym_SEMI,
    ACTIONS(10053), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270259] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10055), 1,
      anon_sym_SEMI,
    ACTIONS(10057), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270350] = 26,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    STATE(6530), 1,
      sym_block,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270441] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10059), 1,
      anon_sym_SEMI,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270532] = 5,
    ACTIONS(6209), 1,
      sym_identifier,
    ACTIONS(6211), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [270581] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10063), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270670] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10065), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270759] = 5,
    ACTIONS(6305), 1,
      sym_identifier,
    ACTIONS(6432), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [270808] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10067), 1,
      anon_sym_SEMI,
    ACTIONS(10069), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270899] = 26,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    STATE(6883), 1,
      sym_block,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270990] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10071), 1,
      anon_sym_SEMI,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271081] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10075), 1,
      anon_sym_SEMI,
    ACTIONS(10077), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271172] = 25,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(8184), 1,
      anon_sym_DASH_GT,
    ACTIONS(8186), 1,
      anon_sym_PLUS,
    ACTIONS(8188), 1,
      anon_sym_DASH,
    ACTIONS(8190), 1,
      anon_sym_TILDE,
    ACTIONS(8192), 1,
      anon_sym_AMP,
    ACTIONS(8194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8202), 1,
      anon_sym_DOT,
    ACTIONS(8206), 1,
      anon_sym_PIPE,
    ACTIONS(8212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8220), 1,
      anon_sym_or_break,
    ACTIONS(8196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8200), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8204), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8208), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8210), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8214), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8216), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8696), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8218), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271261] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10040), 1,
      anon_sym_SEMI,
    ACTIONS(10079), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271352] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10081), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271441] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10083), 1,
      anon_sym_SEMI,
    ACTIONS(10085), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271532] = 5,
    ACTIONS(4920), 1,
      sym_identifier,
    ACTIONS(4922), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [271581] = 5,
    ACTIONS(7478), 1,
      sym_identifier,
    ACTIONS(7480), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [271630] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10087), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271719] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10089), 1,
      anon_sym_SEMI,
    ACTIONS(10091), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271810] = 25,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8876), 1,
      anon_sym_or_break,
    ACTIONS(8844), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(10093), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271899] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10095), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271988] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10097), 1,
      anon_sym_SEMI,
    ACTIONS(10099), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272079] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10101), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272168] = 5,
    ACTIONS(6495), 1,
      sym_identifier,
    ACTIONS(6563), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [272217] = 5,
    ACTIONS(6305), 1,
      sym_identifier,
    ACTIONS(6307), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [272266] = 5,
    ACTIONS(6495), 1,
      sym_identifier,
    ACTIONS(6497), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [272315] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272404] = 5,
    ACTIONS(6721), 1,
      sym_identifier,
    ACTIONS(6723), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [272453] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10105), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272542] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(10107), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272631] = 25,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8846), 1,
      anon_sym_PLUS,
    ACTIONS(8848), 1,
      anon_sym_DASH,
    ACTIONS(8850), 1,
      anon_sym_TILDE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8864), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8872), 1,
      anon_sym_DOT,
    ACTIONS(8876), 1,
      anon_sym_or_break,
    ACTIONS(8844), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8858), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8860), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8868), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8870), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8874), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(10109), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8862), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272720] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10111), 1,
      anon_sym_SEMI,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272811] = 5,
    ACTIONS(8032), 1,
      sym_identifier,
    ACTIONS(8034), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [272860] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10115), 1,
      anon_sym_SEMI,
    ACTIONS(10117), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272951] = 5,
    ACTIONS(6947), 1,
      sym_identifier,
    ACTIONS(6949), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [273000] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10119), 1,
      anon_sym_SEMI,
    ACTIONS(10121), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273091] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10123), 1,
      anon_sym_SEMI,
    ACTIONS(10125), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273182] = 26,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10055), 1,
      anon_sym_SEMI,
    ACTIONS(10127), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273273] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9392), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273361] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9408), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273449] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10129), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273537] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9308), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273625] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10131), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273713] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10133), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273801] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10135), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273889] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10137), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273977] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10139), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274065] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10141), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274153] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9094), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274241] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10143), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274329] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10145), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274417] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9098), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274505] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9143), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274593] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10147), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274681] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10149), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274769] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9300), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274857] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10151), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274945] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10153), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275033] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10155), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275121] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9292), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275209] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10157), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275297] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10159), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275385] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10161), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275473] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10163), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275561] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10165), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275649] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10167), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275737] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275825] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275913] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10173), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276001] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10175), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276089] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10177), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276177] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10179), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276265] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10181), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276353] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276441] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10185), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276529] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10187), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276617] = 25,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(10189), 1,
      anon_sym_LBRACE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276705] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9092), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276793] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9279), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276881] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10191), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276969] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10193), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277057] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10195), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277145] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10197), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277233] = 25,
    ACTIONS(3535), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277321] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10199), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277409] = 25,
    ACTIONS(3355), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277497] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10201), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277585] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10203), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277673] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10205), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277761] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10207), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277849] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10209), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277937] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10211), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278025] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10213), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278113] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9183), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278201] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9187), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278289] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10215), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278377] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10217), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278465] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9217), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278553] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10219), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278641] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9404), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278729] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10221), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278817] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10223), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278905] = 25,
    ACTIONS(3485), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278993] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10225), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279081] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9204), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279169] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9275), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279257] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9191), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279345] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10227), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279433] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10229), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279521] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10231), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279609] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10233), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279697] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10235), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279785] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9110), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279873] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9262), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279961] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10237), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280049] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10239), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280137] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10241), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280225] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280313] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10245), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280401] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10247), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280489] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9181), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280577] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9230), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280665] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9163), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280753] = 25,
    ACTIONS(3465), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280841] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10249), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280929] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281017] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10253), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281105] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9219), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281193] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10255), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281281] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10257), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281369] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10259), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281457] = 25,
    ACTIONS(3405), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281545] = 25,
    ACTIONS(4213), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281633] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9306), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281721] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10261), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281809] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10263), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281897] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10265), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281985] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10267), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282073] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9248), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282161] = 25,
    ACTIONS(3455), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282249] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9151), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282337] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10269), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282425] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10271), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282513] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10273), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282601] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10275), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282689] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10277), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282777] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10279), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282865] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10281), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282953] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10283), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283041] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10285), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283129] = 25,
    ACTIONS(3595), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283217] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10287), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283305] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10289), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283393] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9122), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283481] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10291), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283569] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10293), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283657] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9130), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283745] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10295), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283833] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10297), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283921] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10299), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284009] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10301), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284097] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10303), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284185] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10305), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284273] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9304), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284361] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10307), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284449] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9266), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284537] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10309), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284625] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9165), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284713] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9132), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284801] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9338), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284889] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9256), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284977] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9340), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285065] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10311), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285153] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10313), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285241] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10315), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285329] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10317), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285417] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10319), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285505] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10321), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285593] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10323), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285681] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10325), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285769] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10327), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285857] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10329), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285945] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10331), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286033] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10333), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286121] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9137), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286209] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10335), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286297] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10337), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286385] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10339), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286473] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10341), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286561] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10343), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286649] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10345), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286737] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10347), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286825] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10349), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286913] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10351), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287001] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10353), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287089] = 25,
    ACTIONS(3395), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287177] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9171), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287265] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9145), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287353] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10355), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287441] = 25,
    ACTIONS(4113), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287529] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10357), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287617] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10359), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287705] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10361), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287793] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10363), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287881] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9149), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287969] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10365), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288057] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10367), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288145] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10369), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288233] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10371), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288321] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9252), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288409] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288497] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9139), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288585] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10375), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288673] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10377), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288761] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10379), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288849] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10381), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288937] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9350), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289025] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10383), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289113] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10385), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289201] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9120), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289289] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10387), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289377] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9128), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289465] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10389), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289553] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289641] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10391), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289729] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10393), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289817] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10395), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289905] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10397), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289993] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10399), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290081] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10401), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290169] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10403), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290257] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10405), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290345] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10407), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290433] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290521] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10409), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290609] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10411), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290697] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9096), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290785] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10413), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290873] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10415), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290961] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10417), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291049] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10419), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291137] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9112), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291225] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9237), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291313] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10421), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291401] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9114), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291489] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10423), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291577] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10425), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291665] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291753] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10429), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291841] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10431), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291929] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10433), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292017] = 25,
    ACTIONS(3625), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292105] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10435), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292193] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10437), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292281] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10439), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292369] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10441), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292457] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10443), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292545] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9118), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292633] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9141), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292721] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292809] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10447), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292897] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10449), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292985] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9221), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293073] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10451), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293161] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10453), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293249] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9226), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293337] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10455), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293425] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10457), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293513] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9022), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293601] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10459), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293689] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10461), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293777] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9356), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293865] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10463), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293953] = 25,
    ACTIONS(4171), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294041] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10465), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294129] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10467), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294217] = 25,
    ACTIONS(4151), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294305] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9362), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294393] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10469), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294481] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10471), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294569] = 25,
    ACTIONS(3385), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294657] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10473), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294745] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10475), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294833] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10477), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294921] = 25,
    ACTIONS(3775), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295009] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10479), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295097] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10481), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295185] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10483), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295273] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9367), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295361] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9371), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295449] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10485), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295537] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10487), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295625] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10489), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295713] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10491), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295801] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10493), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295889] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10495), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295977] = 25,
    ACTIONS(3665), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296065] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9377), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296153] = 25,
    ACTIONS(3995), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296241] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9379), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296329] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10497), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296417] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9161), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296505] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9108), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296593] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9381), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296681] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10499), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296769] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10501), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296857] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9386), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296945] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9104), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297033] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10503), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297121] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10505), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297209] = 25,
    ACTIONS(4035), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297297] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297385] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9179), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297473] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9167), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297561] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10509), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297649] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9354), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297737] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9250), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297825] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10511), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297913] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9100), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298001] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10513), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298089] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10515), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298177] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10517), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298265] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10519), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298353] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10521), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298441] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9159), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298529] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10523), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298617] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9102), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298705] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10525), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298793] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9106), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298881] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9169), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [298969] = 25,
    ACTIONS(4083), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299057] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10527), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299145] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9116), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299233] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10529), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299321] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10531), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299409] = 25,
    ACTIONS(3965), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299497] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10533), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299585] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10535), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299673] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10537), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299761] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10539), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299849] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9283), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [299937] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10541), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300025] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9175), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300113] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9281), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300201] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9285), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300289] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9287), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300377] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9173), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300465] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10543), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300553] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10545), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300641] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10547), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300729] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9294), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300817] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10549), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300905] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10551), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [300993] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9296), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301081] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9298), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301169] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9302), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301257] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10553), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301345] = 25,
    ACTIONS(3945), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301433] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10555), 1,
      anon_sym_RPAREN,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301521] = 25,
    ACTIONS(8287), 1,
      anon_sym_DASH_GT,
    ACTIONS(8289), 1,
      anon_sym_DOT,
    ACTIONS(8291), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_PIPE,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_TILDE,
    ACTIONS(8326), 1,
      anon_sym_AMP,
    ACTIONS(8330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8338), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8349), 1,
      anon_sym_or_return,
    ACTIONS(8351), 1,
      anon_sym_or_continue,
    ACTIONS(8353), 1,
      anon_sym_or_break,
    ACTIONS(8355), 1,
      anon_sym_CARET,
    ACTIONS(10557), 1,
      anon_sym_LBRACE,
    ACTIONS(8293), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8328), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8332), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8334), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8342), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8344), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8336), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301609] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9315), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301697] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301785] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9317), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301873] = 25,
    ACTIONS(3695), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [301961] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9319), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302049] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9177), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302137] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9414), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302225] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9330), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302313] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9321), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302401] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9195), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302489] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10559), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302577] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10561), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302665] = 25,
    ACTIONS(3925), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302753] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10563), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302841] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9211), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [302929] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10565), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303017] = 25,
    ACTIONS(4243), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303105] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9326), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303193] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9215), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303281] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9328), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303369] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9410), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303457] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9228), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303545] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9332), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303633] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9235), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303721] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10567), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303809] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9336), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303897] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9264), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [303985] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9334), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304073] = 25,
    ACTIONS(3725), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304161] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9398), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304249] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9342), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304337] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9344), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304425] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10569), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304513] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9346), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304601] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9360), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304689] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9348), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304777] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9209), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304865] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10571), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [304953] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10573), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305041] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10575), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305129] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9412), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305217] = 25,
    ACTIONS(3895), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305305] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10577), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305393] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      anon_sym_COLON,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305481] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10581), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305569] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9358), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305657] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10583), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305745] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9369), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305833] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10585), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [305921] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9373), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306009] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9277), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306097] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9375), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306185] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10587), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306273] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10589), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306361] = 25,
    ACTIONS(3865), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306449] = 25,
    ACTIONS(3505), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306537] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10591), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306625] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9202), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306713] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9388), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306801] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9416), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306889] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9390), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [306977] = 25,
    ACTIONS(3785), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307065] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10593), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307153] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9396), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307241] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9394), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307329] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9189), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307417] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10595), 1,
      anon_sym_else,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307505] = 25,
    ACTIONS(3805), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307593] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10597), 1,
      anon_sym_EQ,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307681] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9418), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307769] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10599), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307857] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10601), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [307945] = 25,
    ACTIONS(3565), 1,
      anon_sym_RBRACK,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308033] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10603), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308121] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10605), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308209] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9400), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308297] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9193), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308385] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9402), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308473] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10607), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308561] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9406), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308649] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10609), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308737] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10611), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308825] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(10613), 1,
      anon_sym_COMMA,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [308913] = 25,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(9197), 1,
      anon_sym_RBRACK,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [309001] = 24,
    ACTIONS(7712), 1,
      anon_sym_DASH_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT,
    ACTIONS(7716), 1,
      anon_sym_LBRACK,
    ACTIONS(7722), 1,
      anon_sym_PIPE,
    ACTIONS(7724), 1,
      anon_sym_PLUS,
    ACTIONS(7726), 1,
      anon_sym_DASH,
    ACTIONS(7728), 1,
      anon_sym_TILDE,
    ACTIONS(7730), 1,
      anon_sym_AMP,
    ACTIONS(7734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7750), 1,
      anon_sym_or_return,
    ACTIONS(7752), 1,
      anon_sym_or_continue,
    ACTIONS(7754), 1,
      anon_sym_or_break,
    ACTIONS(7756), 1,
      anon_sym_CARET,
    ACTIONS(7718), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7732), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7736), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7738), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7744), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7746), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7748), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7740), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [309086] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10615), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      anon_sym_nil,
      sym_identifier,
    ACTIONS(10617), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [309129] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10619), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      anon_sym_nil,
      sym_identifier,
    ACTIONS(10621), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [309172] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10623), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      anon_sym_nil,
      sym_identifier,
    ACTIONS(10625), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [309215] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10627), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      anon_sym_nil,
      sym_identifier,
    ACTIONS(10629), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [309258] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10631), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      anon_sym_nil,
      sym_identifier,
    ACTIONS(10633), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [309301] = 17,
    ACTIONS(219), 1,
      anon_sym_bit_set,
    ACTIONS(227), 1,
      anon_sym_DQUOTE,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(235), 1,
      anon_sym_nil,
    ACTIONS(237), 1,
      anon_sym_LBRACE,
    ACTIONS(245), 1,
      anon_sym_LBRACK,
    ACTIONS(10635), 1,
      sym_identifier,
    ACTIONS(10637), 1,
      anon_sym_map,
    ACTIONS(10639), 1,
      anon_sym_matrix,
    STATE(2294), 1,
      sym_literal,
    STATE(8154), 1,
      sym_field_identifier,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2274), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(225), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(2295), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309366] = 17,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    ACTIONS(675), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_bit_set,
    ACTIONS(693), 1,
      anon_sym_DQUOTE,
    ACTIONS(695), 1,
      anon_sym_BQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(701), 1,
      anon_sym_nil,
    ACTIONS(10641), 1,
      sym_identifier,
    ACTIONS(10643), 1,
      anon_sym_map,
    ACTIONS(10645), 1,
      anon_sym_matrix,
    STATE(3675), 1,
      sym_literal,
    STATE(8173), 1,
      sym_field_identifier,
    ACTIONS(699), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3526), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(691), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3474), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309431] = 17,
    ACTIONS(143), 1,
      anon_sym_bit_set,
    ACTIONS(151), 1,
      anon_sym_DQUOTE,
    ACTIONS(153), 1,
      anon_sym_BQUOTE,
    ACTIONS(155), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_nil,
    ACTIONS(161), 1,
      anon_sym_LBRACE,
    ACTIONS(173), 1,
      anon_sym_LBRACK,
    ACTIONS(10647), 1,
      sym_identifier,
    ACTIONS(10649), 1,
      anon_sym_map,
    ACTIONS(10651), 1,
      anon_sym_matrix,
    STATE(1254), 1,
      sym_literal,
    STATE(8164), 1,
      sym_field_identifier,
    ACTIONS(157), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1214), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(149), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(1220), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309496] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7654), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309561] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7931), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309626] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7848), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309691] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7653), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309756] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7475), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309821] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7339), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309886] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7990), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [309951] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7215), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310016] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7636), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310081] = 17,
    ACTIONS(551), 1,
      anon_sym_bit_set,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(561), 1,
      anon_sym_BQUOTE,
    ACTIONS(563), 1,
      anon_sym_SQUOTE,
    ACTIONS(567), 1,
      anon_sym_nil,
    ACTIONS(569), 1,
      anon_sym_LBRACE,
    ACTIONS(579), 1,
      anon_sym_LBRACK,
    ACTIONS(10659), 1,
      sym_identifier,
    ACTIONS(10661), 1,
      anon_sym_map,
    ACTIONS(10663), 1,
      anon_sym_matrix,
    STATE(2908), 1,
      sym_literal,
    STATE(8144), 1,
      sym_field_identifier,
    ACTIONS(565), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2851), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(557), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(2841), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310146] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    ACTIONS(10665), 1,
      sym_identifier,
    STATE(7251), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310211] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7830), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310276] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7949), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310341] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    ACTIONS(10667), 1,
      sym_identifier,
    STATE(7999), 1,
      sym_field_identifier,
    STATE(8053), 1,
      sym_literal,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310406] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7497), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310471] = 17,
    ACTIONS(507), 1,
      anon_sym_bit_set,
    ACTIONS(515), 1,
      anon_sym_DQUOTE,
    ACTIONS(517), 1,
      anon_sym_BQUOTE,
    ACTIONS(519), 1,
      anon_sym_SQUOTE,
    ACTIONS(523), 1,
      anon_sym_nil,
    ACTIONS(525), 1,
      anon_sym_LBRACE,
    ACTIONS(535), 1,
      anon_sym_LBRACK,
    ACTIONS(10669), 1,
      sym_identifier,
    ACTIONS(10671), 1,
      anon_sym_map,
    ACTIONS(10673), 1,
      anon_sym_matrix,
    STATE(3113), 1,
      sym_literal,
    STATE(8157), 1,
      sym_field_identifier,
    ACTIONS(521), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3177), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(513), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3135), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310536] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7854), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310601] = 17,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(623), 1,
      anon_sym_bit_set,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(635), 1,
      anon_sym_SQUOTE,
    ACTIONS(639), 1,
      anon_sym_nil,
    ACTIONS(651), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      sym_identifier,
    ACTIONS(10655), 1,
      anon_sym_map,
    ACTIONS(10657), 1,
      anon_sym_matrix,
    STATE(7827), 1,
      sym_literal,
    STATE(7999), 1,
      sym_field_identifier,
    ACTIONS(637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(629), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3827), 8,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
      sym_nil,
  [310666] = 7,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    ACTIONS(9042), 1,
      anon_sym_COLON,
    ACTIONS(10675), 1,
      anon_sym_COLON_COLON,
    STATE(6215), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9044), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10677), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [310703] = 5,
    ACTIONS(7214), 1,
      anon_sym_COLON,
    ACTIONS(10679), 1,
      anon_sym_COMMA,
    STATE(6215), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7212), 16,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [310736] = 7,
    ACTIONS(6725), 1,
      anon_sym_COMMA,
    ACTIONS(9155), 1,
      anon_sym_COLON,
    ACTIONS(10684), 1,
      anon_sym_in,
    STATE(6217), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9157), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10682), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [310773] = 5,
    ACTIONS(7214), 1,
      anon_sym_COLON,
    ACTIONS(10686), 1,
      anon_sym_COMMA,
    STATE(6217), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7212), 16,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
  [310806] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6876), 1,
      sym_uninitialized,
    ACTIONS(6878), 1,
      sym_tag,
    ACTIONS(10689), 1,
      anon_sym_DASH_GT,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3026), 1,
      sym_where_clause,
    STATE(3130), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310848] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7044), 1,
      sym_uninitialized,
    ACTIONS(7046), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10693), 1,
      anon_sym_DASH_GT,
    STATE(3262), 1,
      sym_where_clause,
    STATE(3688), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310890] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7028), 1,
      sym_uninitialized,
    ACTIONS(7030), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10695), 1,
      anon_sym_DASH_GT,
    STATE(3183), 1,
      sym_where_clause,
    STATE(3789), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310932] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6761), 1,
      sym_uninitialized,
    ACTIONS(6763), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10697), 1,
      anon_sym_DASH_GT,
    STATE(3024), 1,
      sym_where_clause,
    STATE(3109), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310974] = 6,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    ACTIONS(9155), 1,
      anon_sym_COLON,
    STATE(6215), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9157), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10682), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [311008] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10703), 1,
      anon_sym_RPAREN,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [311055] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(7060), 1,
      sym_uninitialized,
    ACTIONS(7062), 1,
      sym_tag,
    ACTIONS(10713), 1,
      anon_sym_DASH_GT,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3403), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [311096] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6921), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10717), 1,
      sym_tag,
    STATE(3239), 1,
      sym_where_clause,
    STATE(3736), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311135] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10719), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7212), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [311182] = 10,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6904), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(10723), 1,
      sym_tag,
    STATE(3257), 1,
      sym_where_clause,
    STATE(3695), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311223] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6904), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10723), 1,
      sym_tag,
    STATE(3257), 1,
      sym_where_clause,
    STATE(3695), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311262] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6904), 1,
      sym_uninitialized,
    ACTIONS(6906), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3257), 1,
      sym_where_clause,
    STATE(3695), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311301] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym_uninitialized,
    ACTIONS(6824), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3050), 1,
      sym_where_clause,
    STATE(3176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311340] = 10,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(7006), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(10725), 1,
      sym_tag,
    STATE(3279), 1,
      sym_where_clause,
    STATE(3684), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311381] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7006), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10725), 1,
      sym_tag,
    STATE(3279), 1,
      sym_where_clause,
    STATE(3684), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311420] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7006), 1,
      sym_uninitialized,
    ACTIONS(7018), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3279), 1,
      sym_where_clause,
    STATE(3684), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311459] = 10,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      sym_uninitialized,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(10727), 1,
      sym_tag,
    STATE(3044), 1,
      sym_where_clause,
    STATE(3193), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311500] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(7034), 1,
      sym_uninitialized,
    ACTIONS(7036), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3285), 1,
      sym_where_clause,
    STATE(3681), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311539] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10729), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7647), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [311586] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      sym_uninitialized,
    ACTIONS(6822), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10731), 1,
      anon_sym_DASH_GT,
    STATE(2687), 1,
      sym_where_clause,
    STATE(2737), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [311627] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10727), 1,
      sym_tag,
    STATE(3044), 1,
      sym_where_clause,
    STATE(3193), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311666] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      sym_uninitialized,
    ACTIONS(6757), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3044), 1,
      sym_where_clause,
    STATE(3193), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311705] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6812), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10733), 1,
      sym_tag,
    STATE(3050), 1,
      sym_where_clause,
    STATE(3176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311744] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6858), 1,
      sym_uninitialized,
    ACTIONS(6860), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3036), 1,
      sym_where_clause,
    STATE(3201), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311783] = 10,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6812), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(10733), 1,
      sym_tag,
    STATE(3050), 1,
      sym_where_clause,
    STATE(3176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311824] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10735), 1,
      sym_tag,
    STATE(3066), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311863] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym_uninitialized,
    ACTIONS(6642), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10737), 1,
      anon_sym_DASH_GT,
    STATE(2689), 1,
      sym_where_clause,
    STATE(2753), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [311904] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10739), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [311951] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      sym_uninitialized,
    ACTIONS(7314), 1,
      sym_tag,
    ACTIONS(10741), 1,
      anon_sym_DASH_GT,
    ACTIONS(10743), 1,
      anon_sym_where,
    STATE(3417), 1,
      sym_where_clause,
    STATE(3504), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311992] = 10,
    ACTIONS(6751), 1,
      anon_sym_LBRACE,
    ACTIONS(6800), 1,
      sym_uninitialized,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(10735), 1,
      sym_tag,
    STATE(3066), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312033] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7298), 1,
      sym_uninitialized,
    ACTIONS(7300), 1,
      sym_tag,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10745), 1,
      anon_sym_DASH_GT,
    STATE(3411), 1,
      sym_where_clause,
    STATE(3462), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312074] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10747), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312121] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10749), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312168] = 6,
    ACTIONS(4493), 1,
      anon_sym_SLASH,
    ACTIONS(10751), 1,
      anon_sym_COLON,
    ACTIONS(10753), 1,
      anon_sym_DOT2,
    STATE(2972), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4491), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [312201] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10755), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312248] = 5,
    ACTIONS(6773), 1,
      anon_sym_COMMA,
    STATE(6215), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9540), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10757), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [312279] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10759), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312326] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10761), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312373] = 10,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6921), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10717), 1,
      sym_tag,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    STATE(3239), 1,
      sym_where_clause,
    STATE(3736), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312414] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10763), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312461] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6894), 1,
      sym_uninitialized,
    ACTIONS(6896), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10765), 1,
      anon_sym_DASH_GT,
    STATE(3013), 1,
      sym_where_clause,
    STATE(3345), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [312502] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10767), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7909), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312549] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10769), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312596] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10771), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312643] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10773), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7516), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312690] = 13,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    ACTIONS(10775), 1,
      anon_sym_RPAREN,
    STATE(3406), 1,
      sym_procedure,
    STATE(7367), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [312737] = 6,
    ACTIONS(4493), 1,
      anon_sym_SLASH,
    ACTIONS(10777), 1,
      anon_sym_COLON,
    ACTIONS(10779), 1,
      anon_sym_DOT2,
    STATE(3336), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4491), 13,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [312770] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10781), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [312808] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7302), 1,
      sym_uninitialized,
    ACTIONS(7304), 1,
      sym_tag,
    ACTIONS(10743), 1,
      anon_sym_where,
    STATE(3448), 1,
      sym_where_clause,
    STATE(3602), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312846] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10783), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [312884] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7054), 1,
      sym_uninitialized,
    ACTIONS(7056), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10785), 1,
      anon_sym_DASH_GT,
    STATE(3318), 1,
      sym_where_clause,
    STATE(3738), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312924] = 5,
    ACTIONS(4715), 1,
      anon_sym_SLASH,
    ACTIONS(10787), 1,
      anon_sym_COMMA,
    STATE(6269), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [312954] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(6828), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [312992] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10790), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313030] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7276), 1,
      sym_uninitialized,
    ACTIONS(7278), 1,
      sym_tag,
    ACTIONS(10743), 1,
      anon_sym_where,
    STATE(3443), 1,
      sym_where_clause,
    STATE(3617), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313068] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10790), 1,
      sym_tag,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313108] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10794), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313146] = 5,
    ACTIONS(4696), 1,
      anon_sym_SLASH,
    ACTIONS(7584), 1,
      anon_sym_COMMA,
    STATE(6269), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4692), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [313176] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10783), 1,
      sym_tag,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313216] = 12,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_using,
    ACTIONS(10705), 1,
      anon_sym_DOLLAR,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10711), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    STATE(8022), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7085), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [313260] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      sym_uninitialized,
    ACTIONS(7068), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10796), 1,
      anon_sym_DASH_GT,
    STATE(3325), 1,
      sym_where_clause,
    STATE(3683), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313300] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6628), 1,
      sym_uninitialized,
    ACTIONS(6667), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(2696), 1,
      sym_where_clause,
    STATE(2824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313338] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6660), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313376] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10798), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313414] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10794), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313454] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10798), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313494] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(6806), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313532] = 10,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7320), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(10802), 1,
      sym_tag,
    STATE(3425), 1,
      sym_where_clause,
    STATE(3505), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313572] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6769), 1,
      sym_uninitialized,
    ACTIONS(6771), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(3005), 1,
      sym_where_clause,
    STATE(3404), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313610] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7276), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10804), 1,
      sym_tag,
    STATE(3443), 1,
      sym_where_clause,
    STATE(3617), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313648] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10806), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313688] = 10,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7276), 1,
      sym_uninitialized,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(10804), 1,
      sym_tag,
    STATE(3443), 1,
      sym_where_clause,
    STATE(3617), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313728] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10802), 1,
      sym_tag,
    STATE(3425), 1,
      sym_where_clause,
    STATE(3505), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313766] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10806), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313804] = 10,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7331), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(10808), 1,
      sym_tag,
    STATE(3436), 1,
      sym_where_clause,
    STATE(3634), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313844] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7331), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10808), 1,
      sym_tag,
    STATE(3436), 1,
      sym_where_clause,
    STATE(3634), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313882] = 6,
    ACTIONS(4493), 1,
      anon_sym_SLASH,
    ACTIONS(10810), 1,
      anon_sym_COLON,
    ACTIONS(10812), 1,
      anon_sym_DOT2,
    STATE(2557), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4491), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [313914] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10781), 1,
      sym_tag,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [313954] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(7272), 1,
      anon_sym_LBRACE,
    ACTIONS(7331), 1,
      sym_uninitialized,
    ACTIONS(7343), 1,
      sym_tag,
    ACTIONS(10743), 1,
      anon_sym_where,
    STATE(3436), 1,
      sym_where_clause,
    STATE(3634), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313992] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6650), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [314030] = 5,
    ACTIONS(4715), 1,
      anon_sym_SLASH,
    ACTIONS(10814), 1,
      anon_sym_COMMA,
    STATE(6298), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314059] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7012), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10817), 1,
      sym_tag,
    STATE(3303), 1,
      sym_where_clause,
    STATE(3807), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314096] = 5,
    ACTIONS(4696), 1,
      anon_sym_SLASH,
    ACTIONS(7784), 1,
      anon_sym_COMMA,
    STATE(6298), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4692), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314125] = 10,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7417), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(10819), 1,
      sym_tag,
    STATE(3793), 1,
      sym_where_clause,
    STATE(4224), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314164] = 10,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7468), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(10821), 1,
      sym_tag,
    STATE(3786), 1,
      sym_where_clause,
    STATE(4232), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314203] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6917), 1,
      sym_uninitialized,
    ACTIONS(6919), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3344), 1,
      sym_where_clause,
    STATE(3818), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314240] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      sym_uninitialized,
    ACTIONS(7004), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3330), 1,
      sym_where_clause,
    STATE(3812), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314277] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10823), 1,
      sym_tag,
    STATE(3330), 1,
      sym_where_clause,
    STATE(3812), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314314] = 10,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(6900), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(10823), 1,
      sym_tag,
    STATE(3330), 1,
      sym_where_clause,
    STATE(3812), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314353] = 5,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(10825), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5860), 12,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314382] = 4,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314409] = 10,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(10827), 1,
      sym_tag,
    STATE(3795), 1,
      sym_where_clause,
    STATE(4219), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314448] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7012), 1,
      sym_uninitialized,
    ACTIONS(7014), 1,
      sym_tag,
    ACTIONS(10691), 1,
      anon_sym_where,
    STATE(3303), 1,
      sym_where_clause,
    STATE(3807), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314485] = 10,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7012), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(10817), 1,
      sym_tag,
    STATE(3303), 1,
      sym_where_clause,
    STATE(3807), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314524] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10829), 1,
      sym_tag,
    STATE(3306), 1,
      sym_where_clause,
    STATE(3783), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314561] = 4,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314588] = 4,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314615] = 4,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314642] = 4,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314669] = 10,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      sym_uninitialized,
    ACTIONS(10691), 1,
      anon_sym_where,
    ACTIONS(10721), 1,
      anon_sym_SLASH,
    ACTIONS(10829), 1,
      sym_tag,
    STATE(3306), 1,
      sym_where_clause,
    STATE(3783), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314708] = 5,
    ACTIONS(4696), 1,
      anon_sym_SLASH,
    ACTIONS(7913), 1,
      anon_sym_COMMA,
    STATE(6319), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4692), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [314737] = 5,
    ACTIONS(4715), 1,
      anon_sym_SLASH,
    ACTIONS(10831), 1,
      anon_sym_COMMA,
    STATE(6319), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [314766] = 5,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(10834), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5860), 11,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314794] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym_uninitialized,
    ACTIONS(6642), 1,
      sym_tag,
    ACTIONS(10836), 1,
      anon_sym_DASH_GT,
    ACTIONS(10838), 1,
      anon_sym_where,
    STATE(2689), 1,
      sym_where_clause,
    STATE(2753), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [314832] = 6,
    ACTIONS(10840), 1,
      anon_sym_LBRACE,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(6219), 1,
      sym_parameters,
    STATE(8044), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [314862] = 11,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10848), 1,
      anon_sym_using,
    ACTIONS(10850), 1,
      anon_sym_DOLLAR,
    ACTIONS(10852), 1,
      anon_sym_LBRACK,
    ACTIONS(10854), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7173), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [314902] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      sym_uninitialized,
    ACTIONS(6822), 1,
      sym_tag,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10856), 1,
      anon_sym_DASH_GT,
    STATE(2687), 1,
      sym_where_clause,
    STATE(2737), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [314940] = 4,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [314966] = 6,
    ACTIONS(4493), 1,
      anon_sym_SLASH,
    ACTIONS(10812), 1,
      anon_sym_DOT2,
    ACTIONS(10858), 1,
      anon_sym_COLON,
    STATE(2557), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4491), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [314996] = 4,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [315022] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [315048] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10860), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5860), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [315076] = 9,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7430), 1,
      sym_uninitialized,
    ACTIONS(7432), 1,
      sym_tag,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10862), 1,
      anon_sym_DASH_GT,
    STATE(3676), 1,
      sym_where_clause,
    STATE(4250), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315112] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [315138] = 9,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7504), 1,
      sym_uninitialized,
    ACTIONS(7506), 1,
      sym_tag,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10864), 1,
      anon_sym_DASH_GT,
    STATE(3740), 1,
      sym_where_clause,
    STATE(4243), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315174] = 4,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [315200] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [315226] = 4,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [315252] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [315278] = 4,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(10800), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [315304] = 6,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    ACTIONS(10866), 1,
      anon_sym_LBRACE,
    STATE(6219), 1,
      sym_parameters,
    STATE(8044), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315334] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [315360] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(4010), 1,
      sym_parameters,
    STATE(7967), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315387] = 5,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(3080), 1,
      sym_parameters,
    STATE(8159), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315414] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6384), 1,
      sym_parameters,
    STATE(7969), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315441] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      sym_uninitialized,
    ACTIONS(6822), 1,
      sym_tag,
    ACTIONS(10870), 1,
      anon_sym_DASH_GT,
    ACTIONS(10872), 1,
      anon_sym_where,
    STATE(2687), 1,
      sym_where_clause,
    STATE(2737), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [315478] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(7060), 1,
      sym_uninitialized,
    ACTIONS(7062), 1,
      sym_tag,
    ACTIONS(10874), 1,
      anon_sym_DASH_GT,
    ACTIONS(10876), 1,
      anon_sym_where,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3403), 1,
      sym_block,
    ACTIONS(4287), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [315515] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6426), 1,
      sym_parameters,
    STATE(7955), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315542] = 10,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10854), 1,
      sym_tag,
    ACTIONS(10878), 1,
      sym_identifier,
    ACTIONS(10880), 1,
      anon_sym_DOLLAR,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7108), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [315579] = 6,
    ACTIONS(10812), 1,
      anon_sym_DOT2,
    ACTIONS(10882), 1,
      anon_sym_COLON,
    STATE(2557), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4493), 3,
      anon_sym_where,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4491), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [315608] = 5,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(3382), 1,
      sym_parameters,
    STATE(8050), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315635] = 5,
    ACTIONS(10886), 1,
      anon_sym_LPAREN,
    STATE(1845), 1,
      sym_parameters,
    STATE(8108), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315662] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6353), 1,
      sym_parameters,
    STATE(8062), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315689] = 8,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7448), 1,
      sym_uninitialized,
    ACTIONS(7450), 1,
      sym_tag,
    ACTIONS(10743), 1,
      anon_sym_where,
    STATE(3799), 1,
      sym_where_clause,
    STATE(4218), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315722] = 5,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(6221), 1,
      sym_parameters,
    STATE(8097), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315749] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6844), 1,
      sym_uninitialized,
    ACTIONS(6846), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10888), 1,
      anon_sym_DASH_GT,
    STATE(3137), 1,
      sym_where_clause,
    STATE(3588), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [315786] = 8,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7417), 1,
      sym_uninitialized,
    ACTIONS(7419), 1,
      sym_tag,
    ACTIONS(10743), 1,
      anon_sym_where,
    STATE(3793), 1,
      sym_where_clause,
    STATE(4224), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315819] = 8,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7468), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10821), 1,
      sym_tag,
    STATE(3786), 1,
      sym_where_clause,
    STATE(4232), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315852] = 8,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7417), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10819), 1,
      sym_tag,
    STATE(3793), 1,
      sym_where_clause,
    STATE(4224), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315885] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(3079), 1,
      sym_parameters,
    STATE(7946), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315912] = 5,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(3394), 1,
      sym_parameters,
    STATE(8115), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315939] = 5,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(3069), 1,
      sym_parameters,
    STATE(7996), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315966] = 5,
    ACTIONS(10890), 1,
      anon_sym_LPAREN,
    STATE(633), 1,
      sym_parameters,
    STATE(8003), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [315993] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(10894), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [316030] = 10,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10854), 1,
      sym_tag,
    ACTIONS(10896), 1,
      sym_identifier,
    ACTIONS(10898), 1,
      anon_sym_DOLLAR,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7561), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [316067] = 6,
    ACTIONS(4493), 1,
      anon_sym_SLASH,
    ACTIONS(10812), 1,
      anon_sym_DOT2,
    ACTIONS(10900), 1,
      anon_sym_COLON,
    STATE(2557), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4491), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [316096] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6894), 1,
      sym_uninitialized,
    ACTIONS(6896), 1,
      sym_tag,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10902), 1,
      anon_sym_DASH_GT,
    STATE(3013), 1,
      sym_where_clause,
    STATE(3345), 1,
      sym_block,
    ACTIONS(4431), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [316133] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6376), 1,
      sym_parameters,
    STATE(8120), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316160] = 5,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(6278), 1,
      sym_parameters,
    STATE(8027), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316187] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6894), 1,
      sym_uninitialized,
    ACTIONS(6896), 1,
      sym_tag,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10904), 1,
      anon_sym_DASH_GT,
    STATE(3013), 1,
      sym_where_clause,
    STATE(3345), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [316224] = 5,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(3321), 1,
      sym_parameters,
    STATE(8058), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316251] = 5,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(6330), 1,
      sym_parameters,
    STATE(8028), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316278] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(10906), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [316315] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(2988), 1,
      sym_parameters,
    STATE(8099), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316342] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym_uninitialized,
    ACTIONS(6642), 1,
      sym_tag,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10908), 1,
      anon_sym_DASH_GT,
    STATE(2689), 1,
      sym_where_clause,
    STATE(2753), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [316379] = 5,
    ACTIONS(10890), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_parameters,
    STATE(8035), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316406] = 5,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(2971), 1,
      sym_parameters,
    STATE(8074), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316433] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6343), 1,
      sym_parameters,
    STATE(8118), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316460] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(7060), 1,
      sym_uninitialized,
    ACTIONS(7062), 1,
      sym_tag,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10910), 1,
      anon_sym_DASH_GT,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3403), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [316497] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6886), 1,
      sym_uninitialized,
    ACTIONS(6888), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10912), 1,
      anon_sym_DASH_GT,
    STATE(3129), 1,
      sym_where_clause,
    STATE(3558), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [316534] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(2997), 1,
      sym_parameters,
    STATE(8009), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316561] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6650), 1,
      sym_tag,
    ACTIONS(10838), 1,
      anon_sym_where,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [316596] = 10,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10850), 1,
      anon_sym_DOLLAR,
    ACTIONS(10854), 1,
      sym_tag,
    ACTIONS(10914), 1,
      sym_identifier,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7173), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [316633] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(3685), 1,
      sym_parameters,
    STATE(7995), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316660] = 8,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      sym_uninitialized,
    ACTIONS(7421), 1,
      sym_tag,
    ACTIONS(10743), 1,
      anon_sym_where,
    STATE(3795), 1,
      sym_where_clause,
    STATE(4219), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316693] = 5,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(6248), 1,
      sym_parameters,
    STATE(8121), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316720] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6820), 1,
      sym_uninitialized,
    ACTIONS(6822), 1,
      sym_tag,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10916), 1,
      anon_sym_DASH_GT,
    STATE(2687), 1,
      sym_where_clause,
    STATE(2737), 1,
      sym_block,
    ACTIONS(4287), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [316757] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6324), 1,
      sym_parameters,
    STATE(7993), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316784] = 8,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      sym_uninitialized,
    ACTIONS(10743), 1,
      anon_sym_where,
    ACTIONS(10827), 1,
      sym_tag,
    STATE(3795), 1,
      sym_where_clause,
    STATE(4219), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316817] = 5,
    ACTIONS(10886), 1,
      anon_sym_LPAREN,
    STATE(2156), 1,
      sym_parameters,
    STATE(8007), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316844] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10906), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [316879] = 5,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(6219), 1,
      sym_parameters,
    STATE(8044), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316906] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym_uninitialized,
    ACTIONS(6642), 1,
      sym_tag,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10918), 1,
      anon_sym_DASH_GT,
    STATE(2689), 1,
      sym_where_clause,
    STATE(2753), 1,
      sym_block,
    ACTIONS(4431), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [316943] = 5,
    ACTIONS(10886), 1,
      anon_sym_LPAREN,
    STATE(1572), 1,
      sym_parameters,
    STATE(8131), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [316970] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10920), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [317005] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6344), 1,
      sym_parameters,
    STATE(8094), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [317032] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6237), 1,
      sym_parameters,
    STATE(8078), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [317059] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(10920), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [317096] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6628), 1,
      sym_uninitialized,
    ACTIONS(6667), 1,
      sym_tag,
    ACTIONS(10838), 1,
      anon_sym_where,
    STATE(2696), 1,
      sym_where_clause,
    STATE(2824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [317131] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6224), 1,
      sym_parameters,
    STATE(8135), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [317158] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6660), 1,
      sym_tag,
    ACTIONS(10838), 1,
      anon_sym_where,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [317193] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10894), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [317228] = 5,
    ACTIONS(10890), 1,
      anon_sym_LPAREN,
    STATE(602), 1,
      sym_parameters,
    STATE(8011), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10842), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [317255] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10922), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [317289] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10924), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(4305), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [317323] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6870), 1,
      sym_uninitialized,
    ACTIONS(6872), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(3115), 1,
      sym_where_clause,
    STATE(3538), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [317357] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(6828), 1,
      sym_tag,
    ACTIONS(10876), 1,
      anon_sym_where,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(4315), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [317391] = 9,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10854), 1,
      sym_tag,
    ACTIONS(10878), 1,
      sym_identifier,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7108), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [317425] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      sym_uninitialized,
    ACTIONS(6866), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(3127), 1,
      sym_where_clause,
    STATE(3460), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [317459] = 11,
    ACTIONS(4305), 1,
      sym_identifier,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(10928), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [317497] = 11,
    ACTIONS(4305), 1,
      sym_identifier,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10924), 1,
      sym_tag,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [317535] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10930), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(4315), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [317569] = 11,
    ACTIONS(4315), 1,
      sym_identifier,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(10932), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [317607] = 11,
    ACTIONS(4315), 1,
      sym_identifier,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(10930), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [317645] = 11,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(10934), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [317683] = 9,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      sym_tag,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7173), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [317717] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10936), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(4357), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [317751] = 11,
    ACTIONS(4357), 1,
      sym_identifier,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(10936), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [317789] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10938), 1,
      sym_tag,
    STATE(3127), 1,
      sym_where_clause,
    STATE(3460), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [317823] = 10,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10938), 1,
      sym_tag,
    STATE(3127), 1,
      sym_where_clause,
    STATE(3460), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [317859] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6628), 1,
      sym_uninitialized,
    ACTIONS(6667), 1,
      sym_tag,
    ACTIONS(10872), 1,
      anon_sym_where,
    STATE(2696), 1,
      sym_where_clause,
    STATE(2824), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [317893] = 9,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10854), 1,
      sym_tag,
    ACTIONS(10940), 1,
      sym_identifier,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7068), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [317927] = 10,
    ACTIONS(4431), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6894), 1,
      sym_uninitialized,
    ACTIONS(6896), 1,
      sym_tag,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10942), 1,
      anon_sym_DASH_GT,
    STATE(3013), 1,
      sym_where_clause,
    STATE(3345), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4427), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [317963] = 9,
    ACTIONS(1437), 1,
      anon_sym_proc,
    ACTIONS(2859), 1,
      anon_sym_CARET,
    ACTIONS(10707), 1,
      anon_sym_LBRACK,
    ACTIONS(10709), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10854), 1,
      sym_tag,
    ACTIONS(10944), 1,
      sym_identifier,
    STATE(3406), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7197), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [317997] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10946), 1,
      sym_tag,
    STATE(3244), 1,
      sym_where_clause,
    STATE(3478), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318031] = 10,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10946), 1,
      sym_tag,
    STATE(3244), 1,
      sym_where_clause,
    STATE(3478), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [318067] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10934), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(4357), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318101] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(10950), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
  [318137] = 10,
    ACTIONS(4287), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(7060), 1,
      sym_uninitialized,
    ACTIONS(7062), 1,
      sym_tag,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10952), 1,
      anon_sym_DASH_GT,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3403), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4281), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [318173] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10950), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [318207] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6848), 1,
      sym_tag,
    ACTIONS(10715), 1,
      anon_sym_where,
    STATE(3236), 1,
      sym_where_clause,
    STATE(3497), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318241] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6650), 1,
      sym_tag,
    ACTIONS(10872), 1,
      anon_sym_where,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [318275] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(10954), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
  [318311] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10956), 1,
      sym_tag,
    STATE(3236), 1,
      sym_where_clause,
    STATE(3497), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318345] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(6806), 1,
      sym_tag,
    ACTIONS(10876), 1,
      anon_sym_where,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(4305), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318379] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10928), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(4305), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318413] = 10,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6832), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(10715), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10956), 1,
      sym_tag,
    STATE(3236), 1,
      sym_where_clause,
    STATE(3497), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [318449] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6660), 1,
      sym_tag,
    ACTIONS(10872), 1,
      anon_sym_where,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [318483] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(10922), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [318519] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6644), 1,
      sym_uninitialized,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10954), 1,
      sym_tag,
    STATE(2691), 1,
      sym_where_clause,
    STATE(2778), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [318553] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10958), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [318587] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(10960), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [318623] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10960), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [318657] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(6828), 1,
      sym_tag,
    ACTIONS(10838), 1,
      anon_sym_where,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [318691] = 5,
    ACTIONS(4696), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_COMMA,
    STATE(6452), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4692), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [318717] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6628), 1,
      sym_uninitialized,
    ACTIONS(6667), 1,
      sym_tag,
    ACTIONS(10876), 1,
      anon_sym_where,
    STATE(2696), 1,
      sym_where_clause,
    STATE(2824), 1,
      sym_block,
    ACTIONS(4297), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318751] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10962), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [318785] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(10876), 1,
      anon_sym_where,
    ACTIONS(10932), 1,
      sym_tag,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(4315), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318819] = 9,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6769), 1,
      sym_uninitialized,
    ACTIONS(6771), 1,
      sym_tag,
    ACTIONS(10876), 1,
      anon_sym_where,
    STATE(3005), 1,
      sym_where_clause,
    STATE(3404), 1,
      sym_block,
    ACTIONS(4297), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318853] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6769), 1,
      sym_uninitialized,
    ACTIONS(6771), 1,
      sym_tag,
    ACTIONS(10838), 1,
      anon_sym_where,
    STATE(3005), 1,
      sym_where_clause,
    STATE(3404), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [318887] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(6806), 1,
      sym_tag,
    ACTIONS(10838), 1,
      anon_sym_where,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [318921] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(10838), 1,
      anon_sym_where,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(10962), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [318957] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6660), 1,
      sym_tag,
    ACTIONS(10876), 1,
      anon_sym_where,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(4305), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [318991] = 9,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      sym_uninitialized,
    ACTIONS(6650), 1,
      sym_tag,
    ACTIONS(10876), 1,
      anon_sym_where,
    STATE(2697), 1,
      sym_where_clause,
    STATE(2799), 1,
      sym_block,
    ACTIONS(4315), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [319025] = 5,
    ACTIONS(4715), 1,
      anon_sym_SLASH,
    ACTIONS(10964), 1,
      anon_sym_COMMA,
    STATE(6452), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [319051] = 10,
    ACTIONS(6626), 1,
      anon_sym_LBRACE,
    ACTIONS(6658), 1,
      sym_uninitialized,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(10958), 1,
      sym_tag,
    STATE(2704), 1,
      sym_where_clause,
    STATE(2816), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
  [319087] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(6828), 1,
      sym_tag,
    ACTIONS(10872), 1,
      anon_sym_where,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [319120] = 9,
    ACTIONS(4315), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10967), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [319153] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10969), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [319186] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10860), 1,
      anon_sym_EQ,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5860), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [319211] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [319234] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [319257] = 9,
    ACTIONS(4305), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(6806), 1,
      sym_tag,
    ACTIONS(10872), 1,
      anon_sym_where,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [319290] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [319313] = 9,
    ACTIONS(4297), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6769), 1,
      sym_uninitialized,
    ACTIONS(6771), 1,
      sym_tag,
    ACTIONS(10872), 1,
      anon_sym_where,
    STATE(3005), 1,
      sym_where_clause,
    STATE(3404), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4295), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [319346] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [319369] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [319392] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(10973), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [319427] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [319450] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6826), 1,
      sym_uninitialized,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(10967), 1,
      sym_tag,
    STATE(2985), 1,
      sym_where_clause,
    STATE(3433), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4313), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [319485] = 10,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6804), 1,
      sym_uninitialized,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(10969), 1,
      sym_tag,
    STATE(2973), 1,
      sym_where_clause,
    STATE(3456), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4303), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [319520] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [319543] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [319566] = 5,
    ACTIONS(4715), 1,
      anon_sym_SLASH,
    ACTIONS(10975), 1,
      anon_sym_COMMA,
    STATE(6471), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 8,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [319591] = 9,
    ACTIONS(4357), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6890), 1,
      sym_uninitialized,
    ACTIONS(10872), 1,
      anon_sym_where,
    ACTIONS(10973), 1,
      sym_tag,
    STATE(2991), 1,
      sym_where_clause,
    STATE(3396), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4355), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [319624] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10892), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [319647] = 5,
    ACTIONS(4696), 1,
      anon_sym_SLASH,
    ACTIONS(8276), 1,
      anon_sym_COMMA,
    STATE(6471), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4692), 8,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [319672] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [319695] = 5,
    ACTIONS(10978), 1,
      anon_sym_COMMA,
    STATE(6476), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4715), 3,
      anon_sym_where,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4710), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [319720] = 5,
    ACTIONS(8364), 1,
      anon_sym_COMMA,
    STATE(6476), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 3,
      anon_sym_where,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4692), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [319745] = 4,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(10981), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [319767] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10860), 1,
      anon_sym_EQ,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5860), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [319791] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(5424), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [319815] = 4,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(10981), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [319837] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [319859] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [319881] = 6,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    STATE(6566), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10983), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [319907] = 5,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(8042), 1,
      anon_sym_LBRACE,
    ACTIONS(10981), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [319931] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [319953] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(5406), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [319977] = 6,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    STATE(6537), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8486), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320003] = 5,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(10981), 1,
      anon_sym_SLASH,
    ACTIONS(10985), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320027] = 6,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    STATE(6561), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8474), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320053] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(10989), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10987), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320077] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(5342), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [320101] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(10991), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8476), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320125] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [320147] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [320169] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [320191] = 5,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(10981), 1,
      anon_sym_SLASH,
    ACTIONS(10985), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320215] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [320237] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(10995), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8472), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320261] = 6,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    STATE(6550), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8462), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320287] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [320309] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(5386), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [320333] = 4,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(10981), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320355] = 4,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(10981), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320377] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [320399] = 5,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(8042), 1,
      anon_sym_LBRACE,
    ACTIONS(10981), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320423] = 4,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10948), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [320445] = 4,
    ACTIONS(7586), 1,
      anon_sym_LPAREN,
    ACTIONS(10981), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320467] = 6,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10860), 1,
      anon_sym_EQ,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(5864), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5860), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [320493] = 5,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(10926), 1,
      anon_sym_SLASH,
    ACTIONS(5412), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [320517] = 8,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    STATE(8098), 1,
      sym_string,
    ACTIONS(10997), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320546] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320567] = 8,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    STATE(7974), 1,
      sym_string,
    ACTIONS(11001), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320596] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11003), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320617] = 8,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    STATE(8119), 1,
      sym_string,
    ACTIONS(11005), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320646] = 5,
    ACTIONS(11009), 1,
      anon_sym_else,
    STATE(6664), 1,
      sym_else_clause,
    STATE(6532), 2,
      sym_else_when_clause,
      aux_sym_when_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11007), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [320669] = 8,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    STATE(8096), 1,
      sym_string,
    ACTIONS(11011), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320698] = 9,
    ACTIONS(4493), 1,
      anon_sym_SLASH,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_LPAREN,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    ACTIONS(11017), 1,
      anon_sym_DOT2,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(4491), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320729] = 8,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    STATE(8005), 1,
      sym_string,
    ACTIONS(11019), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320758] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5336), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320779] = 8,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    STATE(8018), 1,
      sym_string,
    ACTIONS(11021), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320808] = 7,
    ACTIONS(4493), 1,
      anon_sym_SLASH,
    ACTIONS(11017), 1,
      anon_sym_DOT2,
    ACTIONS(11023), 1,
      anon_sym_COLON,
    ACTIONS(11025), 1,
      anon_sym_COLON_EQ,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4491), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [320835] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(11029), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11027), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320858] = 8,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    STATE(8042), 1,
      sym_string,
    ACTIONS(11031), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320887] = 8,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    STATE(7951), 1,
      sym_string,
    ACTIONS(11033), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320916] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320937] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5282), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [320958] = 8,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    STATE(8004), 1,
      sym_string,
    ACTIONS(11035), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320987] = 4,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5328), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321008] = 5,
    ACTIONS(11009), 1,
      anon_sym_else,
    STATE(6620), 1,
      sym_else_clause,
    STATE(6516), 2,
      sym_else_when_clause,
      aux_sym_when_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11037), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321031] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6866), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11039), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321053] = 4,
    ACTIONS(11045), 1,
      anon_sym_else,
    STATE(6532), 2,
      sym_else_when_clause,
      aux_sym_when_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11043), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321073] = 4,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6540), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8470), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321093] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6813), 1,
      sym_else_clause,
    STATE(6531), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11048), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321115] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6887), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11050), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321137] = 5,
    ACTIONS(8480), 1,
      sym__nl_comma,
    ACTIONS(8484), 1,
      anon_sym_COMMA,
    STATE(6549), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3169), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321159] = 4,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6539), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10983), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321179] = 5,
    ACTIONS(8480), 1,
      sym__nl_comma,
    ACTIONS(8484), 1,
      anon_sym_COMMA,
    STATE(6556), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3169), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321201] = 4,
    ACTIONS(11052), 1,
      anon_sym_COMMA,
    STATE(6539), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8650), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321221] = 4,
    ACTIONS(11055), 1,
      anon_sym_COMMA,
    STATE(6540), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7212), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321241] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6940), 1,
      sym_else_clause,
    STATE(6544), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11058), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321263] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6793), 1,
      sym_else_clause,
    STATE(6546), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11060), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321285] = 4,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6540), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8466), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321305] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6776), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11062), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321327] = 4,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6550), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8462), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321347] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6870), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11064), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321369] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6873), 1,
      sym_else_clause,
    STATE(6558), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11066), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321391] = 4,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6537), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8486), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321411] = 5,
    ACTIONS(8480), 1,
      sym__nl_comma,
    ACTIONS(11068), 1,
      anon_sym_COMMA,
    STATE(6556), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3065), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321433] = 4,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6539), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8474), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321453] = 4,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6561), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8474), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321473] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6789), 1,
      sym_else_clause,
    STATE(6569), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11070), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321495] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6914), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11072), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321517] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6945), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11074), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321539] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6928), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11076), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321561] = 4,
    STATE(6556), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(11078), 2,
      sym__nl_comma,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8672), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321581] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6816), 1,
      sym_else_clause,
    STATE(6553), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11081), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321603] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6921), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11083), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321625] = 4,
    ACTIONS(11085), 1,
      anon_sym_COMMA,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8696), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321645] = 4,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6539), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8462), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321665] = 4,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6539), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8486), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321685] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6994), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11088), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321707] = 4,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6540), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8476), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321727] = 4,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6540), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11090), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321747] = 4,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6560), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8482), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321767] = 4,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    STATE(6539), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11092), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321787] = 3,
    ACTIONS(11094), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5362), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321805] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6925), 1,
      sym_else_clause,
    STATE(6535), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11096), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321827] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6869), 1,
      sym_else_clause,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11098), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321849] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6786), 1,
      sym_else_clause,
    STATE(6554), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11100), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321871] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6874), 1,
      sym_else_clause,
    STATE(6555), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11102), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321893] = 5,
    ACTIONS(11041), 1,
      anon_sym_else,
    STATE(6822), 1,
      sym_else_clause,
    STATE(6562), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11104), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321915] = 5,
    ACTIONS(8478), 1,
      anon_sym_COMMA,
    ACTIONS(8480), 1,
      sym__nl_comma,
    STATE(6538), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(709), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321937] = 8,
    ACTIONS(11017), 1,
      anon_sym_DOT2,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11108), 1,
      anon_sym_COLON,
    ACTIONS(11110), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11112), 1,
      anon_sym_RPAREN,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    STATE(7062), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321964] = 4,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6540), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8572), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [321983] = 7,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11114), 1,
      sym_identifier,
    ACTIONS(11116), 1,
      anon_sym_LBRACE,
    STATE(6680), 1,
      sym_string,
    STATE(4035), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322008] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8496), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322027] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6577), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8556), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322046] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6584), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8778), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322065] = 7,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11118), 1,
      sym_identifier,
    ACTIONS(11120), 1,
      anon_sym_LBRACE,
    STATE(6637), 1,
      sym_string,
    STATE(4035), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322090] = 8,
    ACTIONS(11122), 1,
      anon_sym_LBRACE,
    ACTIONS(11124), 1,
      anon_sym_where,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11128), 1,
      sym_tag,
    STATE(6900), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(6905), 1,
      sym_polymorphic_parameters,
    STATE(8358), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322117] = 4,
    ACTIONS(11132), 1,
      anon_sym_else,
    STATE(6582), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11130), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [322136] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [322155] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8556), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322174] = 8,
    ACTIONS(11017), 1,
      anon_sym_DOT2,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11137), 1,
      anon_sym_COLON,
    ACTIONS(11139), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11141), 1,
      anon_sym_RPAREN,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    STATE(7131), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322201] = 6,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(11029), 1,
      anon_sym_EQ,
    ACTIONS(11143), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11027), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [322224] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [322243] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [322262] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8696), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322277] = 5,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(11145), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [322298] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6592), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8808), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322317] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11147), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322336] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8808), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322355] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [322374] = 7,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11149), 1,
      sym_identifier,
    ACTIONS(11151), 1,
      anon_sym_LBRACE,
    STATE(6703), 1,
      sym_string,
    STATE(4035), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322399] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8672), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322414] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6600), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8496), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322433] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6593), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8610), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322452] = 8,
    ACTIONS(11124), 1,
      anon_sym_where,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11128), 1,
      sym_tag,
    ACTIONS(11153), 1,
      anon_sym_LBRACE,
    STATE(6769), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(6775), 1,
      sym_polymorphic_parameters,
    STATE(8506), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322479] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8610), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322498] = 6,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(10971), 1,
      anon_sym_SLASH,
    ACTIONS(10989), 1,
      anon_sym_EQ,
    ACTIONS(11155), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10987), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [322521] = 5,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(8098), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [322542] = 5,
    ACTIONS(7214), 1,
      anon_sym_COLON,
    ACTIONS(11157), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7212), 4,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [322563] = 4,
    ACTIONS(8468), 1,
      anon_sym_COMMA,
    STATE(6540), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11160), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322582] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [322601] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8650), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322616] = 8,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_LPAREN,
    ACTIONS(11162), 1,
      anon_sym_COMMA,
    ACTIONS(11164), 1,
      anon_sym_RPAREN,
    ACTIONS(11166), 1,
      anon_sym_DOT,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7529), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322643] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11168), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322657] = 4,
    ACTIONS(11170), 1,
      sym_identifier,
    ACTIONS(11174), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11172), 3,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [322675] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11176), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322689] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11178), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322703] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11180), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322717] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11182), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322739] = 7,
    ACTIONS(11017), 1,
      anon_sym_DOT2,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11184), 1,
      anon_sym_COLON,
    ACTIONS(11186), 1,
      anon_sym_RPAREN,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    STATE(7012), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322763] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6757), 1,
      aux_sym_block_repeat1,
    ACTIONS(11188), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322783] = 6,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11192), 1,
      anon_sym_LBRACE,
    STATE(6700), 1,
      sym_string,
    STATE(4035), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322805] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11194), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322819] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11196), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322833] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6701), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11198), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322853] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11007), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322867] = 4,
    ACTIONS(11200), 1,
      sym_identifier,
    ACTIONS(11204), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11202), 3,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [322885] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11206), 1,
      anon_sym_COMMA,
    ACTIONS(11208), 1,
      anon_sym_RPAREN,
    ACTIONS(11210), 1,
      anon_sym_when,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    STATE(7548), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322909] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11214), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322923] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6752), 1,
      aux_sym_block_repeat1,
    ACTIONS(11188), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322943] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11216), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322965] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [322983] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11220), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [322997] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11222), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323011] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11224), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323025] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [323043] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11226), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323057] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6656), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11228), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323077] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11230), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323091] = 7,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3289), 1,
      aux_sym_struct_type_repeat2,
    STATE(7152), 1,
      aux_sym_struct_type_repeat1,
    STATE(7158), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323115] = 6,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11234), 1,
      anon_sym_LBRACE,
    STATE(6681), 1,
      sym_string,
    STATE(4035), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323137] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11236), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323151] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11238), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323165] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11240), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323179] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11242), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323193] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11244), 1,
      anon_sym_COMMA,
    ACTIONS(11246), 1,
      anon_sym_RPAREN,
    ACTIONS(11248), 1,
      anon_sym_when,
    STATE(7203), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323217] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11250), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323231] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11252), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323251] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11254), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323265] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11256), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323279] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11258), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323293] = 7,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11260), 1,
      anon_sym_LBRACE,
    STATE(2701), 1,
      aux_sym_struct_type_repeat2,
    STATE(7094), 1,
      sym_polymorphic_parameters,
    STATE(7096), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323317] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11262), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323337] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11262), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323357] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6759), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11264), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323377] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11266), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323391] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [323409] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11268), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323423] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11270), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323437] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11272), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323451] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11274), 1,
      anon_sym_COMMA,
    ACTIONS(11276), 1,
      anon_sym_RPAREN,
    ACTIONS(11278), 1,
      anon_sym_when,
    STATE(7754), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323475] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11264), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323495] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11280), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323509] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11282), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323523] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11284), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323545] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11286), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323559] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11288), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323573] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(11290), 1,
      sym_identifier,
    ACTIONS(11292), 1,
      anon_sym_EQ,
    ACTIONS(11186), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323595] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11294), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323609] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11296), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323623] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11298), 1,
      anon_sym_COMMA,
    ACTIONS(11300), 1,
      anon_sym_RPAREN,
    ACTIONS(11302), 1,
      anon_sym_when,
    STATE(7771), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323647] = 7,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11304), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      aux_sym_struct_type_repeat2,
    STATE(6997), 1,
      aux_sym_struct_type_repeat1,
    STATE(7022), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323671] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11306), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323693] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11308), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323707] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11310), 1,
      anon_sym_COMMA,
    ACTIONS(11312), 1,
      anon_sym_RPAREN,
    ACTIONS(11314), 1,
      anon_sym_when,
    STATE(7684), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323731] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(11316), 1,
      sym_identifier,
    ACTIONS(11318), 1,
      anon_sym_EQ,
    ACTIONS(10036), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323753] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11320), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323767] = 7,
    ACTIONS(6232), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2033), 1,
      aux_sym_struct_type_repeat2,
    STATE(7160), 1,
      sym_polymorphic_parameters,
    STATE(7162), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323791] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11322), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323805] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11324), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323819] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11326), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323833] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11328), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323847] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11330), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323869] = 7,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2472), 1,
      aux_sym_struct_type_repeat2,
    STATE(7019), 1,
      sym_polymorphic_parameters,
    STATE(7020), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323893] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11332), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323915] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11334), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323929] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11336), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [323943] = 6,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_LPAREN,
    ACTIONS(11166), 1,
      anon_sym_DOT,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(11338), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323965] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(807), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [323983] = 7,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3616), 1,
      aux_sym_struct_type_repeat2,
    STATE(7133), 1,
      aux_sym_struct_type_repeat1,
    STATE(7144), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324007] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11340), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324029] = 5,
    ACTIONS(7214), 1,
      anon_sym_COLON,
    ACTIONS(11342), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7212), 3,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
  [324049] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11345), 1,
      anon_sym_COMMA,
    ACTIONS(11347), 1,
      anon_sym_RPAREN,
    ACTIONS(11349), 1,
      anon_sym_when,
    STATE(7295), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324073] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11351), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324087] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11353), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324109] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(11355), 1,
      sym_identifier,
    ACTIONS(11357), 1,
      anon_sym_EQ,
    ACTIONS(10103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324131] = 7,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3367), 1,
      aux_sym_struct_type_repeat2,
    STATE(7015), 1,
      sym_polymorphic_parameters,
    STATE(7017), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324155] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5336), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [324173] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(11359), 1,
      sym_identifier,
    ACTIONS(11361), 1,
      anon_sym_EQ,
    ACTIONS(10105), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324195] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11363), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324209] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11365), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324223] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11367), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324237] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11369), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324251] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11371), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324265] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11373), 1,
      anon_sym_COMMA,
    ACTIONS(11375), 1,
      anon_sym_RPAREN,
    ACTIONS(11377), 1,
      anon_sym_when,
    STATE(7421), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324289] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11379), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324303] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11381), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324323] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(11383), 1,
      sym_identifier,
    ACTIONS(11387), 1,
      anon_sym_EQ,
    ACTIONS(11385), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324345] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11389), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324359] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(11391), 1,
      sym_identifier,
    ACTIONS(11393), 1,
      anon_sym_EQ,
    ACTIONS(10063), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324381] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6642), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11381), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324401] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11395), 1,
      anon_sym_COMMA,
    ACTIONS(11397), 1,
      anon_sym_RPAREN,
    ACTIONS(11399), 1,
      anon_sym_when,
    STATE(7352), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324425] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11401), 1,
      anon_sym_COMMA,
    ACTIONS(11403), 1,
      anon_sym_RPAREN,
    ACTIONS(11405), 1,
      anon_sym_when,
    STATE(7921), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324449] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11407), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324463] = 7,
    ACTIONS(11017), 1,
      anon_sym_DOT2,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11385), 1,
      anon_sym_RPAREN,
    ACTIONS(11409), 1,
      anon_sym_COLON,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    STATE(7040), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324487] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11411), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324501] = 6,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11413), 1,
      anon_sym_LBRACE,
    STATE(6644), 1,
      sym_string,
    STATE(4035), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324523] = 7,
    ACTIONS(6232), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2028), 1,
      aux_sym_struct_type_repeat2,
    STATE(7132), 1,
      sym_polymorphic_parameters,
    STATE(7142), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324547] = 7,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11415), 1,
      anon_sym_LBRACE,
    STATE(2052), 1,
      aux_sym_struct_type_repeat2,
    STATE(7046), 1,
      sym_polymorphic_parameters,
    STATE(7050), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324571] = 7,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2588), 1,
      aux_sym_struct_type_repeat2,
    STATE(7127), 1,
      aux_sym_struct_type_repeat1,
    STATE(7129), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324595] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11417), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324609] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11419), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324623] = 6,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      anon_sym_COLON,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9446), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324645] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11425), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324659] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11427), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(11429), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324679] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11432), 1,
      anon_sym_COMMA,
    ACTIONS(11434), 1,
      anon_sym_RPAREN,
    ACTIONS(11436), 1,
      anon_sym_when,
    STATE(7224), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324703] = 7,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11438), 1,
      anon_sym_LBRACE,
    STATE(3078), 1,
      aux_sym_struct_type_repeat2,
    STATE(7123), 1,
      sym_polymorphic_parameters,
    STATE(7128), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324727] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11440), 1,
      anon_sym_COMMA,
    ACTIONS(11442), 1,
      anon_sym_RPAREN,
    ACTIONS(11444), 1,
      anon_sym_when,
    STATE(7634), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324751] = 7,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11446), 1,
      anon_sym_LBRACE,
    STATE(3451), 1,
      aux_sym_struct_type_repeat2,
    STATE(7016), 1,
      aux_sym_struct_type_repeat1,
    STATE(7024), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324775] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11448), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324789] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11452), 1,
      anon_sym_RPAREN,
    ACTIONS(11454), 1,
      anon_sym_when,
    STATE(7943), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324813] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11456), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324827] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11458), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324841] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11460), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324863] = 7,
    ACTIONS(11017), 1,
      anon_sym_DOT2,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11141), 1,
      anon_sym_RPAREN,
    ACTIONS(11462), 1,
      anon_sym_COLON,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    STATE(7131), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324887] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11464), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324901] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5328), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [324919] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [324937] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11466), 1,
      anon_sym_COMMA,
    ACTIONS(11468), 1,
      anon_sym_RPAREN,
    ACTIONS(11470), 1,
      anon_sym_when,
    STATE(7408), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324961] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [324979] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11472), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [324993] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11474), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325007] = 7,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(4115), 1,
      aux_sym_struct_type_repeat2,
    STATE(7143), 1,
      sym_polymorphic_parameters,
    STATE(7145), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325031] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [325049] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11476), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325063] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [325081] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11218), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [325099] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11478), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325113] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11480), 1,
      anon_sym_COMMA,
    ACTIONS(11482), 1,
      anon_sym_RPAREN,
    ACTIONS(11484), 1,
      anon_sym_when,
    STATE(7316), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325137] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [325155] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [325173] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [325191] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11486), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325205] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11488), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325219] = 7,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(11490), 1,
      anon_sym_COMMA,
    ACTIONS(11492), 1,
      anon_sym_RPAREN,
    ACTIONS(11494), 1,
      anon_sym_when,
    STATE(7473), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325243] = 6,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    ACTIONS(11496), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325265] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11498), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325279] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11500), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325299] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11502), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325313] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6648), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11500), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325333] = 7,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(4085), 1,
      aux_sym_struct_type_repeat2,
    STATE(7137), 1,
      aux_sym_struct_type_repeat1,
    STATE(7139), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325357] = 7,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3386), 1,
      aux_sym_struct_type_repeat2,
    STATE(7107), 1,
      aux_sym_struct_type_repeat1,
    STATE(7109), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325381] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11500), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325401] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6647), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11500), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325421] = 5,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11504), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325441] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(831), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [325458] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11508), 1,
      anon_sym_RPAREN,
    STATE(7208), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325479] = 5,
    ACTIONS(11510), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6876), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325498] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11512), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325511] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11514), 1,
      anon_sym_RBRACE,
    ACTIONS(11516), 1,
      anon_sym_COMMA,
    STATE(7596), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325532] = 5,
    ACTIONS(11518), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325551] = 5,
    ACTIONS(11520), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325570] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11522), 1,
      anon_sym_RPAREN,
    STATE(7592), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325591] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11524), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325604] = 6,
    ACTIONS(11124), 1,
      anon_sym_where,
    ACTIONS(11128), 1,
      sym_tag,
    ACTIONS(11526), 1,
      anon_sym_LBRACE,
    STATE(7073), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8319), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325625] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11528), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325638] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11532), 1,
      anon_sym_RBRACE,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    STATE(8021), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325659] = 5,
    ACTIONS(11538), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6926), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325678] = 5,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    STATE(7507), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325697] = 5,
    ACTIONS(11538), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325716] = 6,
    ACTIONS(11124), 1,
      anon_sym_where,
    ACTIONS(11128), 1,
      sym_tag,
    ACTIONS(11526), 1,
      anon_sym_LBRACE,
    STATE(6820), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8319), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325737] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11540), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325750] = 5,
    ACTIONS(11542), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325769] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11544), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325782] = 4,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [325799] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11546), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325812] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11548), 1,
      anon_sym_RBRACE,
    STATE(8021), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325833] = 5,
    ACTIONS(11518), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6766), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325852] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11550), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325865] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11552), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325878] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11554), 1,
      anon_sym_RBRACE,
    ACTIONS(11556), 1,
      anon_sym_COMMA,
    STATE(7539), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325899] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11074), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325912] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11558), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325925] = 5,
    ACTIONS(11560), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6915), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325944] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11098), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325957] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11562), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [325970] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11548), 1,
      anon_sym_RBRACE,
    STATE(7794), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325991] = 5,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    STATE(7936), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326010] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11064), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326023] = 5,
    ACTIONS(11564), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6955), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326042] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11566), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326055] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11568), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326068] = 5,
    ACTIONS(11570), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6837), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326087] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11572), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326100] = 5,
    ACTIONS(11560), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326119] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11574), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326132] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11576), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326145] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11580), 1,
      anon_sym_RBRACE,
    ACTIONS(11582), 1,
      anon_sym_using,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8750), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326166] = 5,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(5340), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326185] = 5,
    ACTIONS(11510), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326204] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11584), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326217] = 4,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    STATE(6966), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [326234] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11586), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326247] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(11588), 1,
      anon_sym_RBRACE,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8509), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326268] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11590), 1,
      anon_sym_RBRACE,
    ACTIONS(11592), 1,
      anon_sym_COMMA,
    STATE(7431), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326289] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11594), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326302] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11596), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326315] = 5,
    ACTIONS(11598), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6765), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326334] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11039), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326347] = 5,
    ACTIONS(11600), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6849), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326366] = 5,
    ACTIONS(11602), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6868), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326385] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11072), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326398] = 5,
    ACTIONS(11604), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326417] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11606), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326430] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(11608), 1,
      anon_sym_RBRACE,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8474), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326451] = 6,
    ACTIONS(11124), 1,
      anon_sym_where,
    ACTIONS(11128), 1,
      sym_tag,
    ACTIONS(11610), 1,
      anon_sym_LBRACE,
    STATE(7073), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8465), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326472] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(11612), 1,
      anon_sym_RBRACE,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8695), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326493] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11088), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326506] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(11614), 1,
      anon_sym_RBRACE,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8625), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326527] = 4,
    ACTIONS(11017), 1,
      anon_sym_DOT2,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11616), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [326544] = 5,
    ACTIONS(11618), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6961), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326563] = 5,
    ACTIONS(11620), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6799), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326582] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11622), 1,
      anon_sym_RBRACE,
    ACTIONS(11624), 1,
      anon_sym_COMMA,
    STATE(7404), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326603] = 4,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3297), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [326620] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11626), 1,
      anon_sym_RBRACE,
    STATE(7856), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326641] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11628), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326654] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(8596), 1,
      anon_sym_RBRACE,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11630), 1,
      anon_sym_COMMA,
    STATE(7466), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326675] = 4,
    ACTIONS(11017), 1,
      anon_sym_DOT2,
    STATE(3288), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11632), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [326692] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11634), 1,
      anon_sym_RPAREN,
    STATE(7607), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326713] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11636), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326726] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11638), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326739] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11640), 1,
      anon_sym_RPAREN,
    STATE(7437), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326760] = 5,
    ACTIONS(11642), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326779] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(8476), 1,
      anon_sym_SEMI,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11644), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326798] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11646), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326811] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11648), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326824] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11650), 1,
      anon_sym_RPAREN,
    STATE(7488), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326845] = 4,
    ACTIONS(9270), 1,
      anon_sym_COMMA,
    STATE(6828), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(9268), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [326862] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(11652), 1,
      anon_sym_RBRACE,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8271), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326883] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11654), 1,
      anon_sym_RBRACE,
    ACTIONS(11656), 1,
      anon_sym_COMMA,
    STATE(7603), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326904] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11658), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326917] = 5,
    ACTIONS(11660), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6920), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326936] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11662), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326949] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11664), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [326962] = 5,
    ACTIONS(11660), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326981] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(11666), 1,
      anon_sym_RBRACE,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8352), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327002] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5856), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [327019] = 5,
    ACTIONS(11668), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327038] = 5,
    ACTIONS(11670), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6804), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327057] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11672), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327070] = 4,
    ACTIONS(5364), 1,
      anon_sym_SLASH,
    ACTIONS(11674), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5362), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [327087] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11676), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327100] = 5,
    ACTIONS(11678), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327119] = 5,
    ACTIONS(11678), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6817), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327138] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11680), 1,
      anon_sym_RBRACE,
    ACTIONS(11682), 1,
      anon_sym_COMMA,
    STATE(7824), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327159] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11684), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327172] = 5,
    ACTIONS(11686), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6774), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327191] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11688), 1,
      anon_sym_RPAREN,
    STATE(7312), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327212] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_RPAREN,
    STATE(7845), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327233] = 5,
    ACTIONS(11692), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6902), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327252] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [327269] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11694), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327282] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11696), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327295] = 5,
    ACTIONS(11692), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327314] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11698), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327327] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11700), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327340] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11702), 1,
      anon_sym_COMMA,
    ACTIONS(11704), 1,
      anon_sym_RPAREN,
    STATE(7795), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327361] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(8576), 1,
      anon_sym_RBRACE,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11706), 1,
      anon_sym_COMMA,
    STATE(7760), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327382] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11083), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327395] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11076), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327408] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11708), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327421] = 5,
    ACTIONS(11710), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327440] = 5,
    ACTIONS(11712), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6946), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327459] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11714), 1,
      anon_sym_RBRACE,
    ACTIONS(11716), 1,
      anon_sym_COMMA,
    STATE(7372), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327480] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11718), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327493] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(11720), 1,
      anon_sym_RBRACE,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8538), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327514] = 5,
    ACTIONS(11722), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327533] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6426), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327546] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11724), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327559] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11726), 1,
      anon_sym_RBRACE,
    STATE(7733), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327580] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11726), 1,
      anon_sym_RBRACE,
    STATE(8021), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327601] = 5,
    ACTIONS(11728), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6960), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327620] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11730), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327633] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11732), 1,
      anon_sym_RBRACE,
    ACTIONS(11734), 1,
      anon_sym_COMMA,
    STATE(7823), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327654] = 5,
    ACTIONS(11736), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327673] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11738), 1,
      anon_sym_RPAREN,
    STATE(7374), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327694] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11740), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327707] = 6,
    ACTIONS(9042), 1,
      anon_sym_COLON,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(9260), 1,
      anon_sym_COLON_EQ,
    ACTIONS(10675), 1,
      anon_sym_COLON_COLON,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327728] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11742), 1,
      anon_sym_RBRACE,
    ACTIONS(11744), 1,
      anon_sym_COMMA,
    STATE(7261), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327749] = 5,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    STATE(7420), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327768] = 5,
    ACTIONS(11746), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6857), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327787] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11702), 1,
      anon_sym_COMMA,
    ACTIONS(11748), 1,
      anon_sym_RPAREN,
    STATE(7650), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327808] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11750), 1,
      anon_sym_RPAREN,
    STATE(7834), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327829] = 4,
    ACTIONS(893), 1,
      anon_sym_SLASH,
    ACTIONS(11145), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(891), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [327846] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11752), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327859] = 6,
    ACTIONS(11124), 1,
      anon_sym_where,
    ACTIONS(11128), 1,
      sym_tag,
    ACTIONS(11153), 1,
      anon_sym_LBRACE,
    STATE(7073), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8506), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327880] = 6,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      anon_sym_COLON,
    ACTIONS(11754), 1,
      anon_sym_COLON_EQ,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327901] = 5,
    ACTIONS(11756), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327920] = 5,
    ACTIONS(11758), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327939] = 5,
    ACTIONS(11642), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6889), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327958] = 6,
    ACTIONS(11124), 1,
      anon_sym_where,
    ACTIONS(11128), 1,
      sym_tag,
    ACTIONS(11153), 1,
      anon_sym_LBRACE,
    STATE(6769), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8506), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327979] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11760), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [327992] = 5,
    ACTIONS(11762), 1,
      sym_identifier,
    ACTIONS(11766), 1,
      anon_sym_where,
    ACTIONS(11768), 1,
      sym_number,
    ACTIONS(11764), 2,
      anon_sym_LBRACE,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328011] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11770), 1,
      anon_sym_RBRACE,
    STATE(7524), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328032] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11772), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328045] = 5,
    ACTIONS(11758), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6852), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328064] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11774), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328077] = 5,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    STATE(7458), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328096] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11776), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328109] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11778), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328122] = 5,
    ACTIONS(11780), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328141] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11782), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328154] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11784), 1,
      anon_sym_RPAREN,
    STATE(7292), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328175] = 4,
    ACTIONS(9090), 1,
      anon_sym_COMMA,
    STATE(6779), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3297), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [328192] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11786), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328205] = 5,
    ACTIONS(11788), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328224] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11790), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328237] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11792), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328250] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11794), 1,
      anon_sym_RBRACE,
    STATE(7741), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328271] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11796), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328284] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11050), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328297] = 5,
    ACTIONS(11798), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328316] = 5,
    ACTIONS(11800), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328335] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11802), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328348] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11702), 1,
      anon_sym_COMMA,
    ACTIONS(11804), 1,
      anon_sym_RPAREN,
    STATE(7703), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328369] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(757), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [328386] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11806), 1,
      anon_sym_RBRACE,
    ACTIONS(11808), 1,
      anon_sym_COMMA,
    STATE(7941), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328407] = 4,
    ACTIONS(909), 1,
      anon_sym_SLASH,
    ACTIONS(8098), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(907), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [328424] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11810), 1,
      anon_sym_RBRACE,
    ACTIONS(11812), 1,
      anon_sym_COMMA,
    STATE(7296), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328445] = 5,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(11814), 1,
      anon_sym_COLON,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9570), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328464] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11816), 1,
      anon_sym_RPAREN,
    STATE(7766), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328485] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(8766), 1,
      anon_sym_RBRACE,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11818), 1,
      anon_sym_COMMA,
    STATE(7332), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328506] = 5,
    ACTIONS(11820), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328525] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11822), 1,
      anon_sym_RPAREN,
    STATE(7805), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328546] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11824), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328559] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11062), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328572] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10987), 1,
      anon_sym_SEMI,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11826), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328591] = 5,
    ACTIONS(11828), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6903), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328610] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5384), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [328627] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5340), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [328644] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11830), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328657] = 5,
    ACTIONS(11832), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328676] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11834), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328689] = 5,
    ACTIONS(11832), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6881), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328708] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11836), 1,
      anon_sym_RBRACE,
    STATE(8021), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328729] = 5,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    STATE(7662), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328748] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    STATE(6584), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8778), 3,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [328765] = 5,
    ACTIONS(11838), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6777), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328784] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11840), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [328797] = 5,
    ACTIONS(11842), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6963), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328816] = 5,
    ACTIONS(11838), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328835] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11844), 1,
      anon_sym_RBRACE,
    ACTIONS(11846), 1,
      anon_sym_COMMA,
    STATE(7495), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328856] = 5,
    ACTIONS(11848), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6982), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328875] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11850), 1,
      anon_sym_RBRACE,
    STATE(8021), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328896] = 5,
    ACTIONS(11852), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6987), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328915] = 5,
    ACTIONS(11848), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328934] = 5,
    ACTIONS(11852), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328953] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11027), 1,
      anon_sym_SEMI,
    ACTIONS(11854), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328972] = 5,
    ACTIONS(11856), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328991] = 5,
    ACTIONS(11856), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6927), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329010] = 5,
    ACTIONS(11858), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6980), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329029] = 4,
    ACTIONS(11860), 1,
      anon_sym_COMMA,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3289), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [329046] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(11862), 1,
      anon_sym_RBRACE,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8673), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329067] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11864), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [329080] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11866), 1,
      anon_sym_RPAREN,
    STATE(7875), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329101] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11868), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [329114] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(8472), 1,
      anon_sym_SEMI,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11870), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329133] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11872), 1,
      anon_sym_RPAREN,
    STATE(7586), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329154] = 6,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    ACTIONS(11794), 1,
      anon_sym_RBRACE,
    STATE(8021), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329175] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11874), 1,
      anon_sym_RBRACE,
    ACTIONS(11876), 1,
      anon_sym_COMMA,
    STATE(7878), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329196] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11878), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [329209] = 5,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    STATE(8145), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329228] = 5,
    ACTIONS(11880), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6937), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329247] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(8612), 1,
      anon_sym_RBRACE,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11882), 1,
      anon_sym_COMMA,
    STATE(7732), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329268] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11884), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [329281] = 5,
    ACTIONS(11880), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329300] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11886), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [329313] = 5,
    ACTIONS(11888), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329332] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11890), 1,
      anon_sym_RBRACE,
    ACTIONS(11892), 1,
      anon_sym_COMMA,
    STATE(7206), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329353] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11894), 1,
      anon_sym_RBRACE,
    ACTIONS(11896), 1,
      anon_sym_COMMA,
    STATE(7521), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329374] = 5,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(633), 1,
      anon_sym_BQUOTE,
    STATE(7319), 1,
      sym_string,
    STATE(3966), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329393] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11898), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [329406] = 5,
    ACTIONS(11900), 1,
      anon_sym_RBRACE,
    STATE(38), 1,
      sym__separator,
    STATE(6719), 1,
      aux_sym_block_repeat1,
    ACTIONS(11190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329425] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5422), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [329442] = 6,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11902), 1,
      anon_sym_RPAREN,
    STATE(7502), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329463] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5410), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [329480] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5282), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [329497] = 5,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11904), 1,
      anon_sym_EQ,
    ACTIONS(5860), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329516] = 6,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(11906), 1,
      anon_sym_RBRACE,
    STATE(7906), 1,
      sym_struct_member,
    STATE(8461), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329537] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11908), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [329550] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5404), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [329567] = 5,
    ACTIONS(9496), 1,
      anon_sym_COMMA,
    ACTIONS(9508), 1,
      anon_sym_RPAREN,
    ACTIONS(11910), 1,
      anon_sym_EQ,
    STATE(7335), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329585] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11304), 1,
      anon_sym_LBRACE,
    STATE(974), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329603] = 5,
    ACTIONS(11912), 1,
      anon_sym_DQUOTE,
    ACTIONS(11916), 1,
      sym_comment,
    STATE(7002), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11914), 2,
      sym_string_content,
      sym_escape_sequence,
  [329621] = 5,
    ACTIONS(9550), 1,
      anon_sym_COMMA,
    ACTIONS(9554), 1,
      anon_sym_RPAREN,
    ACTIONS(11918), 1,
      anon_sym_EQ,
    STATE(7693), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329639] = 5,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(11920), 1,
      anon_sym_EQ,
    ACTIONS(11922), 1,
      anon_sym_RPAREN,
    STATE(7289), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329657] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11304), 1,
      anon_sym_LBRACE,
    STATE(998), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329675] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(11924), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [329693] = 5,
    ACTIONS(11928), 1,
      anon_sym_RBRACE,
    ACTIONS(11930), 1,
      anon_sym_COMMA,
    ACTIONS(11932), 1,
      anon_sym_EQ,
    STATE(7532), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329711] = 5,
    ACTIONS(9986), 1,
      anon_sym_RBRACE,
    ACTIONS(9988), 1,
      anon_sym_COMMA,
    ACTIONS(11934), 1,
      anon_sym_EQ,
    STATE(7919), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329729] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11936), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329745] = 5,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2552), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329763] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(11938), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [329781] = 5,
    ACTIONS(11940), 1,
      anon_sym_RBRACE,
    ACTIONS(11942), 1,
      anon_sym_COMMA,
    ACTIONS(11944), 1,
      anon_sym_EQ,
    STATE(7201), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329799] = 5,
    ACTIONS(11166), 1,
      anon_sym_DOT,
    ACTIONS(11946), 1,
      anon_sym_LBRACE,
    ACTIONS(11948), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329817] = 5,
    ACTIONS(9448), 1,
      anon_sym_COMMA,
    ACTIONS(9452), 1,
      anon_sym_RPAREN,
    ACTIONS(11950), 1,
      anon_sym_EQ,
    STATE(7557), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329835] = 5,
    ACTIONS(9426), 1,
      anon_sym_COMMA,
    ACTIONS(9560), 1,
      anon_sym_RPAREN,
    ACTIONS(11952), 1,
      anon_sym_EQ,
    STATE(7325), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329853] = 5,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11385), 1,
      anon_sym_RPAREN,
    ACTIONS(11409), 1,
      anon_sym_COLON,
    STATE(7161), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329871] = 5,
    ACTIONS(9470), 1,
      anon_sym_COMMA,
    ACTIONS(9474), 1,
      anon_sym_RPAREN,
    ACTIONS(11954), 1,
      anon_sym_EQ,
    STATE(7874), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329889] = 5,
    ACTIONS(11956), 1,
      anon_sym_RBRACE,
    ACTIONS(11958), 1,
      anon_sym_COMMA,
    ACTIONS(11960), 1,
      anon_sym_EQ,
    STATE(7879), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329907] = 5,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3381), 1,
      aux_sym_struct_type_repeat2,
    STATE(7075), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329925] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11446), 1,
      anon_sym_LBRACE,
    STATE(3440), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329943] = 5,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3381), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329961] = 5,
    ACTIONS(11162), 1,
      anon_sym_COMMA,
    ACTIONS(11962), 1,
      anon_sym_EQ,
    ACTIONS(11964), 1,
      anon_sym_RPAREN,
    STATE(7499), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329979] = 5,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2454), 1,
      aux_sym_struct_type_repeat2,
    STATE(7053), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329997] = 5,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2454), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330015] = 5,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3423), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330033] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11304), 1,
      anon_sym_LBRACE,
    STATE(974), 1,
      aux_sym_struct_type_repeat2,
    STATE(7001), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330051] = 5,
    ACTIONS(9496), 1,
      anon_sym_COMMA,
    ACTIONS(11910), 1,
      anon_sym_EQ,
    ACTIONS(11966), 1,
      anon_sym_RPAREN,
    STATE(7869), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330069] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11446), 1,
      anon_sym_LBRACE,
    STATE(3440), 1,
      aux_sym_struct_type_repeat2,
    STATE(7033), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330087] = 5,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(11968), 1,
      anon_sym_LBRACE,
    ACTIONS(11970), 1,
      sym_tag,
    STATE(8043), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330105] = 5,
    ACTIONS(9488), 1,
      anon_sym_COMMA,
    ACTIONS(11972), 1,
      anon_sym_EQ,
    ACTIONS(11974), 1,
      anon_sym_RPAREN,
    STATE(7392), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330123] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(11976), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330139] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(11978), 1,
      anon_sym_DQUOTE,
    STATE(7007), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11980), 2,
      sym_string_content,
      sym_escape_sequence,
  [330157] = 5,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9506), 1,
      anon_sym_RPAREN,
    ACTIONS(11920), 1,
      anon_sym_EQ,
    STATE(7626), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330175] = 5,
    ACTIONS(9510), 1,
      anon_sym_COMMA,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    ACTIONS(11982), 1,
      anon_sym_EQ,
    STATE(7506), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330193] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(11984), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [330211] = 5,
    ACTIONS(9488), 1,
      anon_sym_COMMA,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    ACTIONS(11972), 1,
      anon_sym_EQ,
    STATE(7934), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330229] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11446), 1,
      anon_sym_LBRACE,
    STATE(3430), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330247] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6426), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [330259] = 5,
    ACTIONS(11986), 1,
      anon_sym_RBRACE,
    ACTIONS(11988), 1,
      anon_sym_COMMA,
    ACTIONS(11990), 1,
      anon_sym_EQ,
    STATE(7493), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330277] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(11992), 1,
      anon_sym_DQUOTE,
    STATE(7031), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11994), 2,
      sym_string_content,
      sym_escape_sequence,
  [330295] = 4,
    ACTIONS(11996), 1,
      anon_sym_RBRACE,
    ACTIONS(11998), 1,
      anon_sym_case,
    STATE(7157), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330311] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(12000), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [330323] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12002), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330339] = 5,
    ACTIONS(10036), 1,
      anon_sym_RPAREN,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(12004), 1,
      anon_sym_COLON,
    STATE(7161), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330357] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12008), 2,
      sym_string_content,
      sym_escape_sequence,
  [330375] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12011), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [330393] = 5,
    ACTIONS(9510), 1,
      anon_sym_COMMA,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    ACTIONS(11982), 1,
      anon_sym_EQ,
    STATE(7716), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330411] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12013), 1,
      anon_sym_RBRACE,
    STATE(7183), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330427] = 5,
    ACTIONS(9510), 1,
      anon_sym_COMMA,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    ACTIONS(11982), 1,
      anon_sym_EQ,
    STATE(7716), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330445] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11415), 1,
      anon_sym_LBRACE,
    STATE(2053), 1,
      aux_sym_struct_type_repeat2,
    STATE(7077), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330463] = 5,
    ACTIONS(11166), 1,
      anon_sym_DOT,
    ACTIONS(12015), 1,
      anon_sym_LBRACE,
    ACTIONS(12017), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330481] = 4,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9044), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330497] = 5,
    ACTIONS(12019), 1,
      anon_sym_RBRACE,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    ACTIONS(12023), 1,
      anon_sym_EQ,
    STATE(7692), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330515] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11415), 1,
      anon_sym_LBRACE,
    STATE(2053), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330533] = 4,
    ACTIONS(9504), 1,
      anon_sym_COMMA,
    STATE(7136), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(9590), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330549] = 5,
    ACTIONS(9426), 1,
      anon_sym_COMMA,
    ACTIONS(9560), 1,
      anon_sym_RPAREN,
    ACTIONS(11952), 1,
      anon_sym_EQ,
    STATE(7578), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330567] = 5,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2481), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330585] = 5,
    ACTIONS(12025), 1,
      anon_sym_RBRACE,
    ACTIONS(12027), 1,
      anon_sym_COMMA,
    ACTIONS(12029), 1,
      anon_sym_EQ,
    STATE(7189), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330603] = 5,
    ACTIONS(9482), 1,
      anon_sym_COMMA,
    ACTIONS(9486), 1,
      anon_sym_RPAREN,
    ACTIONS(12031), 1,
      anon_sym_EQ,
    STATE(7501), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330621] = 5,
    ACTIONS(11166), 1,
      anon_sym_DOT,
    ACTIONS(12033), 1,
      anon_sym_LBRACE,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330639] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_DQUOTE,
    STATE(7067), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12039), 2,
      sym_string_content,
      sym_escape_sequence,
  [330657] = 4,
    ACTIONS(12043), 1,
      anon_sym_DOT,
    STATE(7058), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(12041), 2,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330673] = 5,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9506), 1,
      anon_sym_RPAREN,
    ACTIONS(11920), 1,
      anon_sym_EQ,
    STATE(7626), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330691] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12046), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330707] = 5,
    ACTIONS(9438), 1,
      anon_sym_COMMA,
    ACTIONS(9442), 1,
      anon_sym_RPAREN,
    ACTIONS(12048), 1,
      anon_sym_EQ,
    STATE(7344), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330725] = 5,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11141), 1,
      anon_sym_RPAREN,
    ACTIONS(11462), 1,
      anon_sym_COLON,
    STATE(7161), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330743] = 5,
    ACTIONS(12050), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_EQ,
    STATE(7890), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330761] = 5,
    ACTIONS(9488), 1,
      anon_sym_COMMA,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    ACTIONS(11972), 1,
      anon_sym_EQ,
    STATE(7394), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330779] = 5,
    ACTIONS(12056), 1,
      anon_sym_RBRACE,
    ACTIONS(12058), 1,
      anon_sym_COMMA,
    ACTIONS(12060), 1,
      anon_sym_EQ,
    STATE(7880), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330797] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12062), 1,
      anon_sym_RBRACE,
    STATE(7181), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330813] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [330831] = 5,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11385), 1,
      anon_sym_RPAREN,
    ACTIONS(11409), 1,
      anon_sym_COLON,
    STATE(7040), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330849] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12066), 1,
      anon_sym_RBRACE,
    STATE(7157), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330865] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12068), 1,
      anon_sym_RBRACE,
    STATE(7157), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330881] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12070), 1,
      anon_sym_DQUOTE,
    STATE(7084), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12072), 2,
      sym_string_content,
      sym_escape_sequence,
  [330899] = 4,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(12074), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330915] = 4,
    ACTIONS(12078), 1,
      sym_tag,
    STATE(7073), 1,
      aux_sym_struct_declaration_repeat1,
    ACTIONS(12076), 2,
      anon_sym_LBRACE,
      anon_sym_where,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330931] = 5,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_LPAREN,
    ACTIONS(11166), 1,
      anon_sym_DOT,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330949] = 5,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3459), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330967] = 5,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    ACTIONS(9536), 1,
      anon_sym_RPAREN,
    ACTIONS(12081), 1,
      anon_sym_EQ,
    STATE(7284), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330985] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11415), 1,
      anon_sym_LBRACE,
    STATE(2055), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331003] = 5,
    ACTIONS(9578), 1,
      anon_sym_COMMA,
    ACTIONS(9582), 1,
      anon_sym_RPAREN,
    ACTIONS(12083), 1,
      anon_sym_EQ,
    STATE(7377), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331021] = 5,
    ACTIONS(12085), 1,
      anon_sym_RBRACE,
    ACTIONS(12087), 1,
      anon_sym_COMMA,
    ACTIONS(12089), 1,
      anon_sym_EQ,
    STATE(7231), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331039] = 5,
    ACTIONS(9562), 1,
      anon_sym_COMMA,
    ACTIONS(9566), 1,
      anon_sym_RPAREN,
    ACTIONS(12091), 1,
      anon_sym_EQ,
    STATE(7846), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331057] = 4,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(12093), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331073] = 5,
    ACTIONS(9488), 1,
      anon_sym_COMMA,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    ACTIONS(11972), 1,
      anon_sym_EQ,
    STATE(7934), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331091] = 5,
    ACTIONS(9438), 1,
      anon_sym_COMMA,
    ACTIONS(12048), 1,
      anon_sym_EQ,
    ACTIONS(12095), 1,
      anon_sym_RPAREN,
    STATE(7273), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331109] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12097), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [331127] = 5,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11112), 1,
      anon_sym_RPAREN,
    ACTIONS(12099), 1,
      anon_sym_COLON,
    STATE(7062), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331145] = 5,
    ACTIONS(9510), 1,
      anon_sym_COMMA,
    ACTIONS(11982), 1,
      anon_sym_EQ,
    ACTIONS(12101), 1,
      anon_sym_RPAREN,
    STATE(7498), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331163] = 5,
    ACTIONS(9496), 1,
      anon_sym_COMMA,
    ACTIONS(9508), 1,
      anon_sym_RPAREN,
    ACTIONS(11910), 1,
      anon_sym_EQ,
    STATE(7335), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331181] = 5,
    ACTIONS(9426), 1,
      anon_sym_COMMA,
    ACTIONS(11952), 1,
      anon_sym_EQ,
    ACTIONS(12103), 1,
      anon_sym_RPAREN,
    STATE(7579), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331199] = 5,
    ACTIONS(9572), 1,
      anon_sym_COMMA,
    ACTIONS(9576), 1,
      anon_sym_RPAREN,
    ACTIONS(12105), 1,
      anon_sym_EQ,
    STATE(7791), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331217] = 4,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9157), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331233] = 5,
    ACTIONS(11126), 1,
      anon_sym_LPAREN,
    ACTIONS(12107), 1,
      anon_sym_LBRACE,
    ACTIONS(12109), 1,
      sym_tag,
    STATE(7971), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331251] = 4,
    ACTIONS(9494), 1,
      anon_sym_COMMA,
    STATE(7179), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8572), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331267] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12111), 1,
      anon_sym_DQUOTE,
    STATE(7042), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12113), 2,
      sym_string_content,
      sym_escape_sequence,
  [331285] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11260), 1,
      anon_sym_LBRACE,
    STATE(2700), 1,
      aux_sym_struct_type_repeat2,
    STATE(7114), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331303] = 5,
    ACTIONS(12115), 1,
      anon_sym_RBRACE,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_EQ,
    STATE(7371), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331321] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11260), 1,
      anon_sym_LBRACE,
    STATE(2700), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331339] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(4111), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331357] = 5,
    ACTIONS(11530), 1,
      sym_identifier,
    ACTIONS(11534), 1,
      anon_sym_using,
    ACTIONS(11536), 1,
      sym_tag,
    STATE(8021), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331375] = 5,
    ACTIONS(12121), 1,
      anon_sym_RBRACE,
    ACTIONS(12123), 1,
      anon_sym_COMMA,
    ACTIONS(12125), 1,
      anon_sym_EQ,
    STATE(7819), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331393] = 5,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3542), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331411] = 5,
    ACTIONS(9522), 1,
      anon_sym_COMMA,
    ACTIONS(9526), 1,
      anon_sym_RPAREN,
    ACTIONS(12127), 1,
      anon_sym_EQ,
    STATE(7888), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331429] = 5,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(12129), 1,
      anon_sym_RBRACE,
    STATE(8016), 1,
      sym_struct_member,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331447] = 5,
    ACTIONS(6232), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2034), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331465] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12131), 1,
      anon_sym_RBRACE,
    STATE(7146), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331481] = 4,
    ACTIONS(9494), 1,
      anon_sym_COMMA,
    STATE(7179), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(11160), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331497] = 5,
    ACTIONS(9584), 1,
      anon_sym_COMMA,
    ACTIONS(9588), 1,
      anon_sym_RPAREN,
    ACTIONS(12133), 1,
      anon_sym_EQ,
    STATE(7464), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331515] = 5,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3395), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331533] = 5,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11184), 1,
      anon_sym_COLON,
    ACTIONS(11186), 1,
      anon_sym_RPAREN,
    STATE(7012), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331551] = 5,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3395), 1,
      aux_sym_struct_type_repeat2,
    STATE(7021), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331569] = 4,
    ACTIONS(1551), 1,
      ts_builtin_sym_end,
    STATE(5643), 1,
      sym__separator,
    ACTIONS(12135), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331585] = 5,
    ACTIONS(11166), 1,
      anon_sym_DOT,
    ACTIONS(12137), 1,
      anon_sym_LBRACE,
    ACTIONS(12139), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331603] = 4,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(12141), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331619] = 5,
    ACTIONS(11166), 1,
      anon_sym_DOT,
    ACTIONS(12143), 1,
      anon_sym_LBRACE,
    ACTIONS(12145), 1,
      anon_sym_LPAREN,
    STATE(7116), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331637] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11260), 1,
      anon_sym_LBRACE,
    STATE(2694), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331655] = 5,
    ACTIONS(9592), 1,
      anon_sym_COMMA,
    ACTIONS(9596), 1,
      anon_sym_RPAREN,
    ACTIONS(12147), 1,
      anon_sym_EQ,
    STATE(7535), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331673] = 4,
    ACTIONS(11166), 1,
      anon_sym_DOT,
    STATE(7058), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(12149), 2,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331689] = 5,
    ACTIONS(12151), 1,
      anon_sym_RBRACE,
    ACTIONS(12153), 1,
      anon_sym_COMMA,
    ACTIONS(12155), 1,
      anon_sym_EQ,
    STATE(7594), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331707] = 5,
    ACTIONS(12157), 1,
      anon_sym_RBRACE,
    ACTIONS(12159), 1,
      anon_sym_COMMA,
    ACTIONS(12161), 1,
      anon_sym_EQ,
    STATE(7822), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331725] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12163), 1,
      anon_sym_DQUOTE,
    STATE(7154), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12165), 2,
      sym_string_content,
      sym_escape_sequence,
  [331743] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12167), 1,
      anon_sym_DQUOTE,
    STATE(7148), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12169), 2,
      sym_string_content,
      sym_escape_sequence,
  [331761] = 5,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(12171), 1,
      sym_identifier,
    ACTIONS(12173), 1,
      anon_sym_import,
    STATE(6643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331779] = 5,
    ACTIONS(6232), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2041), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331797] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11438), 1,
      anon_sym_LBRACE,
    STATE(3083), 1,
      aux_sym_struct_type_repeat2,
    STATE(7168), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331815] = 4,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9570), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331831] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12175), 1,
      anon_sym_DQUOTE,
    STATE(7187), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12177), 2,
      sym_string_content,
      sym_escape_sequence,
  [331849] = 5,
    ACTIONS(9496), 1,
      anon_sym_COMMA,
    ACTIONS(9508), 1,
      anon_sym_RPAREN,
    ACTIONS(11910), 1,
      anon_sym_EQ,
    STATE(7868), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331867] = 5,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2559), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331885] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11438), 1,
      anon_sym_LBRACE,
    STATE(3083), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331903] = 5,
    ACTIONS(6551), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2559), 1,
      aux_sym_struct_type_repeat2,
    STATE(7006), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331921] = 5,
    ACTIONS(9544), 1,
      anon_sym_COMMA,
    ACTIONS(9548), 1,
      anon_sym_RPAREN,
    ACTIONS(12179), 1,
      anon_sym_EQ,
    STATE(7440), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331939] = 5,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11184), 1,
      anon_sym_COLON,
    ACTIONS(11186), 1,
      anon_sym_RPAREN,
    STATE(7161), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331957] = 5,
    ACTIONS(6232), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2035), 1,
      aux_sym_struct_type_repeat2,
    STATE(7122), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331975] = 5,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3645), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331993] = 5,
    ACTIONS(9476), 1,
      anon_sym_COMMA,
    ACTIONS(9480), 1,
      anon_sym_RPAREN,
    ACTIONS(12181), 1,
      anon_sym_EQ,
    STATE(7610), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332011] = 5,
    ACTIONS(4331), 1,
      anon_sym_import,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(12183), 1,
      sym_identifier,
    STATE(6715), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332029] = 4,
    ACTIONS(12185), 1,
      anon_sym_COMMA,
    STATE(7136), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(9606), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332045] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(4102), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332063] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12188), 1,
      anon_sym_DQUOTE,
    STATE(7171), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12190), 2,
      sym_string_content,
      sym_escape_sequence,
  [332081] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(4102), 1,
      aux_sym_struct_type_repeat2,
    STATE(7097), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332099] = 5,
    ACTIONS(12192), 1,
      anon_sym_RBRACE,
    ACTIONS(12194), 1,
      anon_sym_COMMA,
    ACTIONS(12196), 1,
      anon_sym_EQ,
    STATE(7365), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332117] = 5,
    ACTIONS(9516), 1,
      anon_sym_COMMA,
    ACTIONS(9520), 1,
      anon_sym_RPAREN,
    ACTIONS(12198), 1,
      anon_sym_EQ,
    STATE(7778), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332135] = 5,
    ACTIONS(6232), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2035), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332153] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(4113), 1,
      aux_sym_struct_type_repeat2,
    STATE(7175), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332171] = 5,
    ACTIONS(7415), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3645), 1,
      aux_sym_struct_type_repeat2,
    STATE(7100), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332189] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(4113), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332207] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12200), 1,
      anon_sym_RBRACE,
    STATE(7157), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332223] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12202), 1,
      anon_sym_RBRACE,
    STATE(7157), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332239] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12204), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [332257] = 4,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9446), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332273] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12206), 1,
      anon_sym_RBRACE,
    STATE(7070), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332289] = 5,
    ACTIONS(9438), 1,
      anon_sym_COMMA,
    ACTIONS(9442), 1,
      anon_sym_RPAREN,
    ACTIONS(12048), 1,
      anon_sym_EQ,
    STATE(7272), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332307] = 5,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3242), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332325] = 5,
    ACTIONS(9718), 1,
      anon_sym_RBRACE,
    ACTIONS(9720), 1,
      anon_sym_COMMA,
    ACTIONS(12208), 1,
      anon_sym_EQ,
    STATE(7591), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332343] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12210), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [332361] = 5,
    ACTIONS(9420), 1,
      anon_sym_COMMA,
    ACTIONS(9424), 1,
      anon_sym_RPAREN,
    ACTIONS(12212), 1,
      anon_sym_EQ,
    STATE(7682), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332379] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12214), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332395] = 4,
    ACTIONS(12216), 1,
      anon_sym_RBRACE,
    ACTIONS(12218), 1,
      anon_sym_case,
    STATE(7157), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332411] = 5,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3242), 1,
      aux_sym_struct_type_repeat2,
    STATE(7169), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332429] = 5,
    ACTIONS(12221), 1,
      anon_sym_RBRACE,
    ACTIONS(12223), 1,
      anon_sym_COMMA,
    ACTIONS(12225), 1,
      anon_sym_EQ,
    STATE(7426), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332447] = 5,
    ACTIONS(6232), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2048), 1,
      aux_sym_struct_type_repeat2,
    STATE(7103), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332465] = 4,
    ACTIONS(12227), 1,
      anon_sym_COMMA,
    STATE(7161), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(11616), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332481] = 5,
    ACTIONS(6232), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(2048), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332499] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11427), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [332511] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12230), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [332529] = 5,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9506), 1,
      anon_sym_RPAREN,
    ACTIONS(11920), 1,
      anon_sym_EQ,
    STATE(7290), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332547] = 4,
    ACTIONS(9504), 1,
      anon_sym_COMMA,
    STATE(7136), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(9502), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332563] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12232), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332579] = 5,
    ACTIONS(11232), 1,
      sym_tag,
    ACTIONS(11438), 1,
      anon_sym_LBRACE,
    STATE(3073), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332597] = 5,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(3223), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332615] = 5,
    ACTIONS(9432), 1,
      anon_sym_COMMA,
    ACTIONS(9436), 1,
      anon_sym_RPAREN,
    ACTIONS(12234), 1,
      anon_sym_EQ,
    STATE(7258), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332633] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12236), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [332651] = 4,
    ACTIONS(12238), 1,
      ts_builtin_sym_end,
    STATE(5643), 1,
      sym__separator,
    ACTIONS(12135), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332667] = 5,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11141), 1,
      anon_sym_RPAREN,
    ACTIONS(11462), 1,
      anon_sym_COLON,
    STATE(7131), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332685] = 5,
    ACTIONS(12240), 1,
      anon_sym_RBRACE,
    ACTIONS(12242), 1,
      anon_sym_COMMA,
    ACTIONS(12244), 1,
      anon_sym_EQ,
    STATE(7538), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332703] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      sym_tag,
    STATE(4109), 1,
      aux_sym_struct_type_repeat2,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332721] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12246), 1,
      anon_sym_DQUOTE,
    STATE(7164), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12248), 2,
      sym_string_content,
      sym_escape_sequence,
  [332739] = 5,
    ACTIONS(9598), 1,
      anon_sym_COMMA,
    ACTIONS(9602), 1,
      anon_sym_RPAREN,
    ACTIONS(12250), 1,
      anon_sym_EQ,
    STATE(7346), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332757] = 5,
    ACTIONS(9438), 1,
      anon_sym_COMMA,
    ACTIONS(9442), 1,
      anon_sym_RPAREN,
    ACTIONS(12048), 1,
      anon_sym_EQ,
    STATE(7344), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332775] = 4,
    ACTIONS(12252), 1,
      anon_sym_COMMA,
    STATE(7179), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7212), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332791] = 4,
    ACTIONS(9504), 1,
      anon_sym_COMMA,
    STATE(7136), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(12255), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332807] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12257), 1,
      anon_sym_RBRACE,
    STATE(7157), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332823] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12259), 1,
      anon_sym_DQUOTE,
    STATE(7184), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12261), 2,
      sym_string_content,
      sym_escape_sequence,
  [332841] = 4,
    ACTIONS(11998), 1,
      anon_sym_case,
    ACTIONS(12263), 1,
      anon_sym_RBRACE,
    STATE(7157), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332857] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12265), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [332875] = 5,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    ACTIONS(12267), 1,
      anon_sym_RBRACE,
    STATE(8016), 1,
      sym_struct_member,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332893] = 5,
    ACTIONS(9454), 1,
      anon_sym_COMMA,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
    ACTIONS(12269), 1,
      anon_sym_EQ,
    STATE(7583), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332911] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_DQUOTE,
    STATE(7041), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11926), 2,
      sym_string_content,
      sym_escape_sequence,
  [332929] = 5,
    ACTIONS(12273), 1,
      anon_sym_RBRACE,
    ACTIONS(12275), 1,
      anon_sym_COMMA,
    ACTIONS(12277), 1,
      anon_sym_EQ,
    STATE(7597), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332947] = 4,
    ACTIONS(12279), 1,
      anon_sym_RBRACE,
    ACTIONS(12281), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332962] = 4,
    ACTIONS(4610), 1,
      anon_sym_RBRACE,
    ACTIONS(12283), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332977] = 4,
    ACTIONS(4672), 1,
      anon_sym_RBRACE,
    ACTIONS(12285), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332992] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12287), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333007] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12289), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333022] = 4,
    ACTIONS(5100), 1,
      anon_sym_RBRACE,
    ACTIONS(12291), 1,
      anon_sym_COMMA,
    STATE(7360), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333037] = 4,
    ACTIONS(4626), 1,
      anon_sym_RBRACE,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    STATE(7336), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333052] = 4,
    ACTIONS(12295), 1,
      anon_sym_COMMA,
    ACTIONS(12297), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333067] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11632), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [333078] = 3,
    STATE(5643), 1,
      sym__separator,
    ACTIONS(12135), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333091] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(12299), 1,
      anon_sym_do,
    STATE(6860), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333106] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12301), 1,
      anon_sym_BQUOTE,
    ACTIONS(12303), 1,
      sym__raw_string_content,
    STATE(7218), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [333123] = 4,
    ACTIONS(12305), 1,
      anon_sym_RBRACE,
    ACTIONS(12307), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333138] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12309), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333153] = 4,
    ACTIONS(8378), 1,
      anon_sym_RPAREN,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333168] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12315), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333183] = 4,
    ACTIONS(4628), 1,
      anon_sym_RBRACE,
    ACTIONS(12317), 1,
      anon_sym_COMMA,
    STATE(7252), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333198] = 4,
    ACTIONS(8540), 1,
      anon_sym_RBRACE,
    ACTIONS(12319), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333213] = 4,
    ACTIONS(12321), 1,
      anon_sym_RBRACE,
    ACTIONS(12323), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333228] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(12325), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333243] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11902), 1,
      anon_sym_RPAREN,
    STATE(7502), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333258] = 4,
    ACTIONS(5936), 1,
      anon_sym_RBRACE,
    ACTIONS(12327), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333273] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(12329), 1,
      anon_sym_do,
    STATE(6840), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333288] = 4,
    ACTIONS(12331), 1,
      anon_sym_COMMA,
    ACTIONS(12333), 1,
      anon_sym_RPAREN,
    STATE(7383), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333303] = 4,
    ACTIONS(5934), 1,
      anon_sym_RBRACE,
    ACTIONS(12335), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333318] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12337), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333333] = 4,
    ACTIONS(12339), 1,
      anon_sym_RBRACE,
    ACTIONS(12341), 1,
      anon_sym_COMMA,
    STATE(7213), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333348] = 4,
    ACTIONS(12343), 1,
      anon_sym_COMMA,
    ACTIONS(12346), 1,
      anon_sym_RPAREN,
    STATE(7216), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333363] = 4,
    ACTIONS(4664), 1,
      anon_sym_RBRACE,
    ACTIONS(12348), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333378] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_BQUOTE,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [333395] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12354), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333410] = 3,
    ACTIONS(11387), 1,
      anon_sym_EQ,
    ACTIONS(11385), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333423] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12356), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333438] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12358), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333453] = 4,
    ACTIONS(4674), 1,
      anon_sym_RBRACE,
    ACTIONS(12360), 1,
      anon_sym_COMMA,
    STATE(7217), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333468] = 4,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    ACTIONS(12362), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333483] = 4,
    ACTIONS(12364), 1,
      anon_sym_COMMA,
    ACTIONS(12366), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333498] = 4,
    ACTIONS(9858), 1,
      anon_sym_COMMA,
    ACTIONS(9860), 1,
      anon_sym_COLON,
    STATE(7895), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333513] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12368), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333528] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12370), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333543] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12372), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333558] = 4,
    ACTIONS(12374), 1,
      anon_sym_RBRACE,
    ACTIONS(12376), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333573] = 4,
    ACTIONS(12378), 1,
      anon_sym_RBRACE,
    ACTIONS(12380), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333588] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(12382), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333603] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12384), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333618] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12386), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333633] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12388), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333648] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12390), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333663] = 4,
    ACTIONS(4674), 1,
      anon_sym_RBRACE,
    ACTIONS(12360), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333678] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12392), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333693] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12394), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333708] = 4,
    ACTIONS(12396), 1,
      anon_sym_RBRACE,
    ACTIONS(12398), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333723] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12401), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333738] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12403), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333753] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12405), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333768] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12407), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333783] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(12409), 1,
      anon_sym_do,
    STATE(6911), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333798] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12411), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333813] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(12041), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
  [333824] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12413), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333839] = 4,
    ACTIONS(12415), 1,
      anon_sym_COMMA,
    ACTIONS(12417), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333854] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12419), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333869] = 4,
    ACTIONS(11162), 1,
      anon_sym_COMMA,
    ACTIONS(11164), 1,
      anon_sym_RPAREN,
    STATE(7529), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333884] = 4,
    ACTIONS(4626), 1,
      anon_sym_RBRACE,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333899] = 4,
    ACTIONS(12421), 1,
      anon_sym_COMMA,
    ACTIONS(12423), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333914] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12425), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333929] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12427), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333944] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12429), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333959] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12431), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333974] = 4,
    ACTIONS(12433), 1,
      anon_sym_COMMA,
    ACTIONS(12435), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333989] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12437), 1,
      anon_sym_RPAREN,
    STATE(7254), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334004] = 4,
    ACTIONS(4678), 1,
      anon_sym_RBRACE,
    ACTIONS(12439), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334019] = 4,
    ACTIONS(8738), 1,
      anon_sym_RBRACE,
    ACTIONS(12441), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334034] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12443), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334049] = 4,
    ACTIONS(4678), 1,
      anon_sym_RBRACE,
    ACTIONS(12439), 1,
      anon_sym_COMMA,
    STATE(7237), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334064] = 4,
    ACTIONS(12445), 1,
      anon_sym_COMMA,
    ACTIONS(12447), 1,
      anon_sym_COLON,
    STATE(7718), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334079] = 4,
    ACTIONS(11480), 1,
      anon_sym_COMMA,
    ACTIONS(11482), 1,
      anon_sym_RPAREN,
    STATE(7316), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334094] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11650), 1,
      anon_sym_RPAREN,
    STATE(7488), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334109] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12449), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334124] = 4,
    ACTIONS(12451), 1,
      anon_sym_COMMA,
    ACTIONS(12453), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334139] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12455), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334154] = 4,
    ACTIONS(4966), 1,
      anon_sym_RBRACE,
    ACTIONS(12457), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334169] = 4,
    ACTIONS(12459), 1,
      anon_sym_COMMA,
    ACTIONS(12461), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334184] = 4,
    ACTIONS(12463), 1,
      anon_sym_COMMA,
    ACTIONS(12465), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334199] = 4,
    ACTIONS(12467), 1,
      anon_sym_COMMA,
    ACTIONS(12469), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334214] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(12471), 1,
      anon_sym_do,
    STATE(6968), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334229] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12473), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334244] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12475), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334259] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12477), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334274] = 4,
    ACTIONS(4729), 1,
      anon_sym_RBRACE,
    ACTIONS(12479), 1,
      anon_sym_COMMA,
    STATE(7294), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334289] = 4,
    ACTIONS(4729), 1,
      anon_sym_RBRACE,
    ACTIONS(12479), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334304] = 4,
    ACTIONS(4717), 1,
      anon_sym_RBRACE,
    ACTIONS(12481), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334319] = 4,
    ACTIONS(4676), 1,
      anon_sym_RBRACE,
    ACTIONS(12483), 1,
      anon_sym_COMMA,
    STATE(7724), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334334] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12485), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334349] = 4,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334364] = 4,
    ACTIONS(12491), 1,
      anon_sym_COMMA,
    ACTIONS(12493), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334379] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12495), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334394] = 4,
    ACTIONS(12497), 1,
      anon_sym_COMMA,
    ACTIONS(12499), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334409] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12501), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334424] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334439] = 4,
    ACTIONS(12503), 1,
      anon_sym_COMMA,
    ACTIONS(12505), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334454] = 4,
    ACTIONS(12507), 1,
      anon_sym_COMMA,
    ACTIONS(12509), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334469] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12511), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334484] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(12513), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334499] = 4,
    ACTIONS(11496), 1,
      anon_sym_RBRACE,
    ACTIONS(12515), 1,
      anon_sym_COMMA,
    STATE(7305), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334514] = 4,
    ACTIONS(4733), 1,
      anon_sym_RBRACE,
    ACTIONS(12517), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334529] = 4,
    ACTIONS(8416), 1,
      anon_sym_RPAREN,
    ACTIONS(12519), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334544] = 4,
    ACTIONS(8624), 1,
      anon_sym_RBRACE,
    ACTIONS(12521), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334559] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(12523), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334574] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12525), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334589] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12527), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334604] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12529), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334619] = 4,
    ACTIONS(12445), 1,
      anon_sym_COMMA,
    ACTIONS(12447), 1,
      anon_sym_COLON,
    STATE(7714), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334634] = 4,
    ACTIONS(12531), 1,
      anon_sym_RBRACE,
    ACTIONS(12533), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334649] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12535), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334664] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(12537), 1,
      anon_sym_do,
    STATE(6784), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334679] = 4,
    ACTIONS(12539), 1,
      anon_sym_RBRACE,
    ACTIONS(12541), 1,
      anon_sym_COMMA,
    STATE(7305), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334694] = 4,
    ACTIONS(12544), 1,
      anon_sym_COMMA,
    ACTIONS(12546), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334709] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12548), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334724] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12550), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334739] = 4,
    ACTIONS(4682), 1,
      anon_sym_RBRACE,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    STATE(7260), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334754] = 4,
    ACTIONS(4733), 1,
      anon_sym_RBRACE,
    ACTIONS(12517), 1,
      anon_sym_COMMA,
    STATE(7329), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334769] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12554), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334784] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(12556), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334799] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(12558), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [334816] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12560), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334831] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12562), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334846] = 4,
    ACTIONS(8382), 1,
      anon_sym_RPAREN,
    ACTIONS(12564), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334861] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12566), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334876] = 4,
    ACTIONS(10769), 1,
      anon_sym_RPAREN,
    ACTIONS(12568), 1,
      anon_sym_COMMA,
    STATE(7609), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334891] = 4,
    ACTIONS(12570), 1,
      anon_sym_RBRACE,
    ACTIONS(12572), 1,
      anon_sym_COMMA,
    STATE(7443), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334906] = 4,
    ACTIONS(12574), 1,
      anon_sym_RBRACE,
    ACTIONS(12576), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334921] = 4,
    ACTIONS(4725), 1,
      anon_sym_RBRACE,
    ACTIONS(12578), 1,
      anon_sym_COMMA,
    STATE(7279), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334936] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11738), 1,
      anon_sym_RPAREN,
    STATE(7374), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334951] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(12580), 1,
      anon_sym_if,
    STATE(6661), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334966] = 4,
    ACTIONS(11460), 1,
      anon_sym_RBRACE,
    ACTIONS(12582), 1,
      anon_sym_COMMA,
    STATE(7305), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334981] = 4,
    ACTIONS(12584), 1,
      anon_sym_COMMA,
    ACTIONS(12586), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334996] = 3,
    STATE(1958), 1,
      sym__separator,
    ACTIONS(12588), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335009] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11640), 1,
      anon_sym_RPAREN,
    STATE(7437), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335024] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12590), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335039] = 4,
    ACTIONS(4739), 1,
      anon_sym_RBRACE,
    ACTIONS(12592), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335054] = 4,
    ACTIONS(12594), 1,
      anon_sym_COMMA,
    ACTIONS(12596), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335069] = 4,
    ACTIONS(4698), 1,
      anon_sym_RBRACE,
    ACTIONS(12598), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335084] = 4,
    ACTIONS(8612), 1,
      anon_sym_RBRACE,
    ACTIONS(11882), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335099] = 4,
    ACTIONS(12600), 1,
      anon_sym_COMMA,
    ACTIONS(12602), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335114] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12604), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335129] = 4,
    ACTIONS(12606), 1,
      anon_sym_COMMA,
    ACTIONS(12608), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335144] = 4,
    ACTIONS(4620), 1,
      anon_sym_RBRACE,
    ACTIONS(12610), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335159] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12612), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335174] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12614), 1,
      anon_sym_RPAREN,
    STATE(7337), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335189] = 4,
    ACTIONS(12616), 1,
      anon_sym_RBRACE,
    ACTIONS(12618), 1,
      anon_sym_COMMA,
    STATE(7348), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335204] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12620), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335219] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11784), 1,
      anon_sym_RPAREN,
    STATE(7292), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335234] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12622), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335249] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12624), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335264] = 4,
    ACTIONS(12626), 1,
      anon_sym_COMMA,
    ACTIONS(12628), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335279] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(12630), 1,
      anon_sym_do,
    STATE(6970), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335294] = 4,
    ACTIONS(12632), 1,
      anon_sym_COMMA,
    ACTIONS(12634), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335309] = 4,
    ACTIONS(12636), 1,
      anon_sym_COMMA,
    ACTIONS(12638), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335324] = 4,
    ACTIONS(5850), 1,
      anon_sym_RBRACE,
    ACTIONS(12640), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335339] = 4,
    ACTIONS(11432), 1,
      anon_sym_COMMA,
    ACTIONS(11434), 1,
      anon_sym_RPAREN,
    STATE(7224), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335354] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12642), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335369] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12644), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335384] = 4,
    ACTIONS(8456), 1,
      anon_sym_RPAREN,
    ACTIONS(12646), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335399] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12648), 1,
      anon_sym_RPAREN,
    STATE(7356), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335414] = 4,
    ACTIONS(5842), 1,
      anon_sym_RBRACE,
    ACTIONS(12650), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335429] = 4,
    ACTIONS(4964), 1,
      anon_sym_RBRACE,
    ACTIONS(12652), 1,
      anon_sym_COMMA,
    STATE(7411), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335444] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12654), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335459] = 4,
    ACTIONS(8572), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335474] = 4,
    ACTIONS(12656), 1,
      anon_sym_RBRACE,
    ACTIONS(12658), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335489] = 4,
    ACTIONS(4612), 1,
      anon_sym_RBRACE,
    ACTIONS(12660), 1,
      anon_sym_COMMA,
    STATE(7422), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335504] = 4,
    ACTIONS(5080), 1,
      anon_sym_RBRACE,
    ACTIONS(12662), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335519] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12664), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335534] = 4,
    ACTIONS(12666), 1,
      anon_sym_RBRACE,
    ACTIONS(12668), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335549] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11508), 1,
      anon_sym_RPAREN,
    STATE(7208), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335564] = 4,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335579] = 4,
    ACTIONS(12670), 1,
      anon_sym_RBRACE,
    ACTIONS(12672), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335594] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12674), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335609] = 4,
    ACTIONS(12676), 1,
      anon_sym_COMMA,
    ACTIONS(12678), 1,
      anon_sym_RPAREN,
    STATE(7318), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335624] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12680), 1,
      anon_sym_BQUOTE,
    ACTIONS(12682), 1,
      sym__raw_string_content,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [335641] = 4,
    ACTIONS(8556), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335656] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12685), 1,
      anon_sym_BQUOTE,
    ACTIONS(12687), 1,
      sym__raw_string_content,
    STATE(7379), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [335673] = 4,
    ACTIONS(12689), 1,
      anon_sym_RBRACE,
    ACTIONS(12691), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335688] = 4,
    ACTIONS(8812), 1,
      anon_sym_RBRACE,
    ACTIONS(12693), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335703] = 4,
    ACTIONS(4747), 1,
      anon_sym_RBRACE,
    ACTIONS(12695), 1,
      anon_sym_COMMA,
    STATE(7381), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335718] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(12697), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335733] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12699), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335748] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12701), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335763] = 4,
    ACTIONS(12703), 1,
      anon_sym_COMMA,
    ACTIONS(12705), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335778] = 4,
    ACTIONS(12707), 1,
      anon_sym_COMMA,
    ACTIONS(12709), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335793] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(12711), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [335810] = 4,
    ACTIONS(4704), 1,
      anon_sym_RBRACE,
    ACTIONS(12713), 1,
      anon_sym_COMMA,
    STATE(7331), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335825] = 4,
    ACTIONS(4759), 1,
      anon_sym_RBRACE,
    ACTIONS(12715), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335840] = 3,
    ACTIONS(11361), 1,
      anon_sym_EQ,
    ACTIONS(10105), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335853] = 4,
    ACTIONS(10771), 1,
      anon_sym_RPAREN,
    ACTIONS(12717), 1,
      anon_sym_COMMA,
    STATE(7609), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335868] = 4,
    ACTIONS(12719), 1,
      anon_sym_COMMA,
    ACTIONS(12721), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335883] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12723), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335898] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12725), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335913] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12727), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335928] = 4,
    ACTIONS(11345), 1,
      anon_sym_COMMA,
    ACTIONS(11347), 1,
      anon_sym_RPAREN,
    STATE(7295), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335943] = 4,
    ACTIONS(11373), 1,
      anon_sym_COMMA,
    ACTIONS(11375), 1,
      anon_sym_RPAREN,
    STATE(7421), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335958] = 4,
    ACTIONS(11395), 1,
      anon_sym_COMMA,
    ACTIONS(11397), 1,
      anon_sym_RPAREN,
    STATE(7352), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335973] = 4,
    ACTIONS(11401), 1,
      anon_sym_COMMA,
    ACTIONS(11403), 1,
      anon_sym_RPAREN,
    STATE(7921), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335988] = 4,
    ACTIONS(12729), 1,
      anon_sym_COMMA,
    ACTIONS(12731), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336003] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12733), 1,
      anon_sym_RPAREN,
    STATE(7386), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336018] = 4,
    ACTIONS(12735), 1,
      anon_sym_COMMA,
    ACTIONS(12737), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336033] = 4,
    ACTIONS(4759), 1,
      anon_sym_RBRACE,
    ACTIONS(12715), 1,
      anon_sym_COMMA,
    STATE(7445), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336048] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12739), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336063] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12741), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336078] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(8030), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336093] = 4,
    ACTIONS(5996), 1,
      anon_sym_RBRACE,
    ACTIONS(12743), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336108] = 4,
    ACTIONS(5420), 1,
      anon_sym_RBRACE,
    ACTIONS(12745), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336123] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(12747), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336138] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12749), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336153] = 4,
    ACTIONS(12751), 1,
      anon_sym_COMMA,
    ACTIONS(12753), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336168] = 4,
    ACTIONS(8654), 1,
      anon_sym_RBRACE,
    ACTIONS(12755), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336183] = 4,
    ACTIONS(5056), 1,
      anon_sym_RBRACE,
    ACTIONS(12757), 1,
      anon_sym_COMMA,
    STATE(7660), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336198] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(12759), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [336209] = 3,
    ACTIONS(12763), 1,
      sym_number,
    ACTIONS(12761), 2,
      anon_sym_LBRACE,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336222] = 4,
    ACTIONS(8408), 1,
      anon_sym_RPAREN,
    ACTIONS(12765), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336237] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336252] = 4,
    ACTIONS(12767), 1,
      anon_sym_COMMA,
    ACTIONS(12769), 1,
      anon_sym_COLON,
    STATE(7727), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336267] = 4,
    ACTIONS(4992), 1,
      anon_sym_RBRACE,
    ACTIONS(12771), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336282] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(12773), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [336299] = 4,
    ACTIONS(4604), 1,
      anon_sym_RBRACE,
    ACTIONS(12775), 1,
      anon_sym_COMMA,
    STATE(7448), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336314] = 4,
    ACTIONS(12777), 1,
      anon_sym_RBRACE,
    ACTIONS(12779), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336329] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12781), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336344] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12783), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336359] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11688), 1,
      anon_sym_RPAREN,
    STATE(7312), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336374] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(8042), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336389] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12785), 1,
      anon_sym_BQUOTE,
    ACTIONS(12787), 1,
      sym__raw_string_content,
    STATE(7551), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [336406] = 4,
    ACTIONS(11330), 1,
      anon_sym_RBRACE,
    ACTIONS(12789), 1,
      anon_sym_COMMA,
    STATE(7324), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336421] = 4,
    ACTIONS(8384), 1,
      anon_sym_RPAREN,
    ACTIONS(12791), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336436] = 4,
    ACTIONS(4604), 1,
      anon_sym_RBRACE,
    ACTIONS(12775), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336451] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12793), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336466] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12795), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336481] = 4,
    ACTIONS(5810), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336496] = 4,
    ACTIONS(12797), 1,
      anon_sym_RBRACE,
    ACTIONS(12799), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336511] = 4,
    ACTIONS(12801), 1,
      anon_sym_RBRACE,
    ACTIONS(12803), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336526] = 4,
    ACTIONS(4704), 1,
      anon_sym_RBRACE,
    ACTIONS(12713), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336541] = 4,
    ACTIONS(12805), 1,
      anon_sym_RBRACE,
    ACTIONS(12807), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336556] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12809), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336571] = 4,
    ACTIONS(8826), 1,
      anon_sym_RBRACE,
    ACTIONS(12811), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336586] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12813), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336601] = 4,
    ACTIONS(12815), 1,
      anon_sym_COMMA,
    ACTIONS(12817), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336616] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12819), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336631] = 4,
    ACTIONS(5572), 1,
      anon_sym_RBRACE,
    ACTIONS(9866), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336646] = 4,
    ACTIONS(12821), 1,
      anon_sym_RBRACE,
    ACTIONS(12823), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336661] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(12825), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336676] = 4,
    ACTIONS(12827), 1,
      anon_sym_COMMA,
    ACTIONS(12829), 1,
      anon_sym_COLON,
    STATE(7708), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336691] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12831), 1,
      anon_sym_BQUOTE,
    ACTIONS(12833), 1,
      sym__raw_string_content,
    STATE(7313), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [336708] = 4,
    ACTIONS(12835), 1,
      anon_sym_COMMA,
    ACTIONS(12837), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336723] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12839), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336738] = 4,
    ACTIONS(12841), 1,
      anon_sym_COMMA,
    ACTIONS(12844), 1,
      anon_sym_COLON,
    STATE(7442), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336753] = 4,
    ACTIONS(11340), 1,
      anon_sym_RBRACE,
    ACTIONS(12846), 1,
      anon_sym_COMMA,
    STATE(7305), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336768] = 4,
    ACTIONS(12848), 1,
      anon_sym_COMMA,
    ACTIONS(12850), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336783] = 4,
    ACTIONS(4779), 1,
      anon_sym_RBRACE,
    ACTIONS(12852), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336798] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12854), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336813] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12856), 1,
      anon_sym_RPAREN,
    STATE(7441), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336828] = 4,
    ACTIONS(4598), 1,
      anon_sym_RBRACE,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336843] = 4,
    ACTIONS(11330), 1,
      anon_sym_RBRACE,
    ACTIONS(12789), 1,
      anon_sym_COMMA,
    STATE(7305), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336858] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336873] = 4,
    ACTIONS(4706), 1,
      anon_sym_RBRACE,
    ACTIONS(12862), 1,
      anon_sym_COMMA,
    STATE(7428), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336888] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12864), 1,
      anon_sym_BQUOTE,
    ACTIONS(12866), 1,
      sym__raw_string_content,
    STATE(7412), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [336905] = 4,
    ACTIONS(4936), 1,
      anon_sym_RBRACE,
    ACTIONS(12868), 1,
      anon_sym_COMMA,
    STATE(7635), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336920] = 4,
    ACTIONS(4708), 1,
      anon_sym_RBRACE,
    ACTIONS(12870), 1,
      anon_sym_COMMA,
    STATE(7280), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336935] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12872), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336950] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12874), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336965] = 4,
    ACTIONS(11836), 1,
      anon_sym_RBRACE,
    ACTIONS(12876), 1,
      anon_sym_COMMA,
    STATE(7514), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336980] = 4,
    ACTIONS(12878), 1,
      anon_sym_RBRACE,
    ACTIONS(12880), 1,
      anon_sym_COMMA,
    STATE(7293), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336995] = 4,
    ACTIONS(8556), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7812), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337010] = 4,
    ACTIONS(12882), 1,
      sym_identifier,
    ACTIONS(12884), 1,
      anon_sym_using,
    ACTIONS(12886), 1,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337025] = 4,
    ACTIONS(12888), 1,
      anon_sym_RBRACE,
    ACTIONS(12890), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337040] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12892), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337055] = 4,
    ACTIONS(4781), 1,
      anon_sym_RBRACE,
    ACTIONS(12894), 1,
      anon_sym_COMMA,
    STATE(7517), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337070] = 4,
    ACTIONS(12896), 1,
      anon_sym_COMMA,
    ACTIONS(12898), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337085] = 4,
    ACTIONS(12900), 1,
      anon_sym_COMMA,
    ACTIONS(12902), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337100] = 4,
    ACTIONS(8744), 1,
      anon_sym_RBRACE,
    ACTIONS(12904), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337115] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12906), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337130] = 4,
    ACTIONS(4598), 1,
      anon_sym_RBRACE,
    ACTIONS(12858), 1,
      anon_sym_COMMA,
    STATE(7474), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337145] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12908), 1,
      anon_sym_RPAREN,
    STATE(7492), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337160] = 4,
    ACTIONS(12827), 1,
      anon_sym_COMMA,
    ACTIONS(12829), 1,
      anon_sym_COLON,
    STATE(7700), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337175] = 4,
    ACTIONS(12910), 1,
      anon_sym_COMMA,
    ACTIONS(12912), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337190] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12914), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337205] = 4,
    ACTIONS(8424), 1,
      anon_sym_RPAREN,
    ACTIONS(12916), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337220] = 4,
    ACTIONS(4594), 1,
      anon_sym_RBRACE,
    ACTIONS(12918), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337235] = 4,
    ACTIONS(12920), 1,
      anon_sym_RBRACE,
    ACTIONS(12922), 1,
      anon_sym_COMMA,
    STATE(7478), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337250] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12924), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337265] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12926), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337280] = 4,
    ACTIONS(5978), 1,
      anon_sym_RBRACE,
    ACTIONS(12928), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337295] = 4,
    ACTIONS(12930), 1,
      anon_sym_RBRACE,
    ACTIONS(12932), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337310] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(12934), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337325] = 4,
    ACTIONS(5876), 1,
      anon_sym_RBRACE,
    ACTIONS(12936), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337340] = 4,
    ACTIONS(5980), 1,
      anon_sym_RBRACE,
    ACTIONS(12938), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337355] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12940), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337370] = 4,
    ACTIONS(5874), 1,
      anon_sym_RBRACE,
    ACTIONS(12942), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337385] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12944), 1,
      anon_sym_RPAREN,
    STATE(7483), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337400] = 4,
    ACTIONS(12946), 1,
      anon_sym_RBRACE,
    ACTIONS(12948), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337415] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11872), 1,
      anon_sym_RPAREN,
    STATE(7586), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337430] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(12950), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337445] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12952), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337460] = 4,
    ACTIONS(4574), 1,
      anon_sym_RBRACE,
    ACTIONS(12954), 1,
      anon_sym_COMMA,
    STATE(7569), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337475] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12956), 1,
      anon_sym_BQUOTE,
    ACTIONS(12958), 1,
      sym__raw_string_content,
    STATE(7505), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [337492] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(12960), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337507] = 4,
    ACTIONS(12962), 1,
      anon_sym_RBRACE,
    ACTIONS(12964), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337522] = 4,
    ACTIONS(4576), 1,
      anon_sym_RBRACE,
    ACTIONS(12966), 1,
      anon_sym_COMMA,
    STATE(7533), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337537] = 4,
    ACTIONS(8622), 1,
      anon_sym_RBRACE,
    ACTIONS(12968), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337552] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11816), 1,
      anon_sym_RPAREN,
    STATE(7766), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337567] = 4,
    ACTIONS(12970), 1,
      anon_sym_RBRACE,
    ACTIONS(12972), 1,
      anon_sym_COMMA,
    STATE(7484), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337582] = 4,
    ACTIONS(12974), 1,
      anon_sym_COMMA,
    ACTIONS(12976), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337597] = 4,
    ACTIONS(11162), 1,
      anon_sym_COMMA,
    ACTIONS(12978), 1,
      anon_sym_RPAREN,
    STATE(7216), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337612] = 4,
    ACTIONS(4723), 1,
      anon_sym_RBRACE,
    ACTIONS(12980), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337627] = 4,
    ACTIONS(12982), 1,
      anon_sym_COMMA,
    ACTIONS(12984), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337642] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(12986), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337657] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(12988), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337672] = 4,
    ACTIONS(12990), 1,
      anon_sym_COMMA,
    ACTIONS(12992), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337687] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(12994), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [337704] = 4,
    ACTIONS(12996), 1,
      anon_sym_COMMA,
    ACTIONS(12998), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337719] = 4,
    ACTIONS(13000), 1,
      anon_sym_RBRACE,
    ACTIONS(13002), 1,
      anon_sym_COMMA,
    STATE(7449), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337734] = 4,
    ACTIONS(11244), 1,
      anon_sym_COMMA,
    ACTIONS(11246), 1,
      anon_sym_RPAREN,
    STATE(7203), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337749] = 4,
    ACTIONS(4831), 1,
      anon_sym_RBRACE,
    ACTIONS(13004), 1,
      anon_sym_COMMA,
    STATE(7550), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337764] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13006), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337779] = 4,
    ACTIONS(6406), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337794] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13008), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337809] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(13010), 1,
      anon_sym_do,
    STATE(6784), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337824] = 4,
    ACTIONS(13012), 1,
      anon_sym_RBRACE,
    ACTIONS(13014), 1,
      anon_sym_COMMA,
    STATE(7514), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337839] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(12076), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [337850] = 4,
    ACTIONS(13017), 1,
      anon_sym_COMMA,
    ACTIONS(13019), 1,
      anon_sym_RPAREN,
    STATE(7690), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337865] = 4,
    ACTIONS(4831), 1,
      anon_sym_RBRACE,
    ACTIONS(13004), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337880] = 4,
    ACTIONS(4727), 1,
      anon_sym_RBRACE,
    ACTIONS(13021), 1,
      anon_sym_COMMA,
    STATE(7500), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337895] = 4,
    ACTIONS(13023), 1,
      anon_sym_COMMA,
    ACTIONS(13025), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337910] = 4,
    ACTIONS(11794), 1,
      anon_sym_RBRACE,
    ACTIONS(13027), 1,
      anon_sym_COMMA,
    STATE(7514), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337925] = 4,
    ACTIONS(8518), 1,
      anon_sym_RBRACE,
    ACTIONS(13029), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337940] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(13031), 1,
      anon_sym_do,
    STATE(6805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337955] = 3,
    STATE(1849), 1,
      sym__separator,
    ACTIONS(13033), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337968] = 4,
    ACTIONS(11626), 1,
      anon_sym_RBRACE,
    ACTIONS(13035), 1,
      anon_sym_COMMA,
    STATE(7520), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337983] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13037), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337998] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13039), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338013] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13041), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338028] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8054), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [338039] = 4,
    ACTIONS(11162), 1,
      anon_sym_COMMA,
    ACTIONS(13043), 1,
      anon_sym_RPAREN,
    STATE(7216), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338054] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13045), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338069] = 4,
    ACTIONS(11206), 1,
      anon_sym_COMMA,
    ACTIONS(11208), 1,
      anon_sym_RPAREN,
    STATE(7548), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338084] = 4,
    ACTIONS(13047), 1,
      anon_sym_RBRACE,
    ACTIONS(13049), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338099] = 4,
    ACTIONS(4574), 1,
      anon_sym_RBRACE,
    ACTIONS(12954), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338114] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13051), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338129] = 4,
    ACTIONS(13053), 1,
      anon_sym_COMMA,
    ACTIONS(13055), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338144] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13057), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338159] = 4,
    ACTIONS(4743), 1,
      anon_sym_RBRACE,
    ACTIONS(13059), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338174] = 4,
    ACTIONS(13061), 1,
      anon_sym_RBRACE,
    ACTIONS(13063), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338189] = 4,
    ACTIONS(8828), 1,
      anon_sym_RBRACE,
    ACTIONS(13065), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338204] = 4,
    ACTIONS(13067), 1,
      anon_sym_COMMA,
    ACTIONS(13069), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338219] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(13071), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338234] = 4,
    ACTIONS(4727), 1,
      anon_sym_RBRACE,
    ACTIONS(13021), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338249] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(13073), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338264] = 4,
    ACTIONS(7146), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338279] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13075), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338294] = 4,
    ACTIONS(13077), 1,
      anon_sym_COMMA,
    ACTIONS(13079), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338309] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13081), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338324] = 4,
    ACTIONS(8402), 1,
      anon_sym_RPAREN,
    ACTIONS(13083), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338339] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13085), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338354] = 4,
    ACTIONS(4841), 1,
      anon_sym_RBRACE,
    ACTIONS(13087), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338369] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(13089), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [338386] = 4,
    ACTIONS(9644), 1,
      anon_sym_RBRACE,
    ACTIONS(9646), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338401] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(13091), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338416] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(13093), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338431] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11634), 1,
      anon_sym_RPAREN,
    STATE(7607), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338446] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13095), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338461] = 4,
    ACTIONS(13097), 1,
      anon_sym_COMMA,
    ACTIONS(13099), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338476] = 4,
    ACTIONS(13101), 1,
      anon_sym_COMMA,
    ACTIONS(13103), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338491] = 4,
    ACTIONS(12267), 1,
      anon_sym_RBRACE,
    ACTIONS(13105), 1,
      anon_sym_COMMA,
    STATE(7721), 1,
      aux_sym__struct_members_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338506] = 4,
    ACTIONS(13107), 1,
      anon_sym_COMMA,
    ACTIONS(13109), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338521] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11616), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [338532] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13111), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338547] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13113), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338562] = 4,
    ACTIONS(4662), 1,
      anon_sym_RBRACE,
    ACTIONS(13115), 1,
      anon_sym_COMMA,
    STATE(7191), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338577] = 4,
    ACTIONS(4731), 1,
      anon_sym_RBRACE,
    ACTIONS(13117), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338592] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(13119), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338607] = 4,
    ACTIONS(4731), 1,
      anon_sym_RBRACE,
    ACTIONS(13117), 1,
      anon_sym_COMMA,
    STATE(7542), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338622] = 4,
    ACTIONS(13121), 1,
      anon_sym_RBRACE,
    ACTIONS(13123), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338637] = 4,
    ACTIONS(4570), 1,
      anon_sym_RBRACE,
    ACTIONS(13125), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338652] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(13127), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338667] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338682] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13129), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338697] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13131), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338712] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(13133), 1,
      anon_sym_RPAREN,
    STATE(7570), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338727] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(13135), 1,
      anon_sym_BQUOTE,
    ACTIONS(13137), 1,
      sym__raw_string_content,
    STATE(7672), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [338744] = 4,
    ACTIONS(13139), 1,
      anon_sym_COMMA,
    ACTIONS(13141), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338759] = 4,
    ACTIONS(4560), 1,
      anon_sym_RBRACE,
    ACTIONS(13143), 1,
      anon_sym_COMMA,
    STATE(7619), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338774] = 4,
    ACTIONS(13145), 1,
      anon_sym_COMMA,
    ACTIONS(13147), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338789] = 4,
    ACTIONS(13149), 1,
      anon_sym_COMMA,
    ACTIONS(13151), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338804] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13153), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338819] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13155), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338834] = 4,
    ACTIONS(13157), 1,
      anon_sym_COMMA,
    ACTIONS(13159), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338849] = 4,
    ACTIONS(13161), 1,
      anon_sym_COMMA,
    ACTIONS(13163), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338864] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13165), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338879] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(13167), 1,
      anon_sym_do,
    STATE(6968), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338894] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(13169), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338909] = 3,
    ACTIONS(11357), 1,
      anon_sym_EQ,
    ACTIONS(10103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338922] = 4,
    ACTIONS(13171), 1,
      anon_sym_COMMA,
    ACTIONS(13173), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338937] = 4,
    ACTIONS(12767), 1,
      anon_sym_COMMA,
    ACTIONS(13175), 1,
      anon_sym_COLON,
    STATE(7723), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338952] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13177), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338967] = 4,
    ACTIONS(9766), 1,
      anon_sym_RBRACE,
    ACTIONS(9768), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338982] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338997] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(7654), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339012] = 4,
    ACTIONS(13181), 1,
      anon_sym_RBRACE,
    ACTIONS(13183), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339027] = 4,
    ACTIONS(4841), 1,
      anon_sym_RBRACE,
    ACTIONS(13087), 1,
      anon_sym_COMMA,
    STATE(7639), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339042] = 4,
    ACTIONS(8802), 1,
      anon_sym_RBRACE,
    ACTIONS(13185), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339057] = 4,
    ACTIONS(13187), 1,
      anon_sym_RBRACE,
    ACTIONS(13189), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339072] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(13191), 1,
      anon_sym_do,
    STATE(6805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339087] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13193), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339102] = 3,
    ACTIONS(11393), 1,
      anon_sym_EQ,
    ACTIONS(10063), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339115] = 4,
    ACTIONS(4964), 1,
      anon_sym_RBRACE,
    ACTIONS(12652), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339130] = 4,
    ACTIONS(8696), 1,
      anon_sym_SEMI,
    ACTIONS(13195), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339145] = 4,
    ACTIONS(8740), 1,
      anon_sym_RBRACE,
    ACTIONS(13198), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339160] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13200), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339175] = 4,
    ACTIONS(13202), 1,
      anon_sym_COMMA,
    ACTIONS(13204), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339190] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(13206), 1,
      anon_sym_do,
    STATE(6840), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339205] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(13208), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339220] = 4,
    ACTIONS(4737), 1,
      anon_sym_RBRACE,
    ACTIONS(13210), 1,
      anon_sym_COMMA,
    STATE(7565), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339235] = 4,
    ACTIONS(13212), 1,
      anon_sym_COMMA,
    ACTIONS(13215), 1,
      anon_sym_RPAREN,
    STATE(7609), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339250] = 4,
    ACTIONS(13217), 1,
      anon_sym_COMMA,
    ACTIONS(13219), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339265] = 4,
    ACTIONS(13221), 1,
      anon_sym_RBRACE,
    ACTIONS(13223), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339280] = 4,
    ACTIONS(13226), 1,
      anon_sym_COMMA,
    ACTIONS(13228), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339295] = 4,
    ACTIONS(4708), 1,
      anon_sym_RBRACE,
    ACTIONS(12870), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339310] = 4,
    ACTIONS(10747), 1,
      anon_sym_RPAREN,
    ACTIONS(13230), 1,
      anon_sym_COMMA,
    STATE(7609), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339325] = 4,
    ACTIONS(12827), 1,
      anon_sym_COMMA,
    ACTIONS(13232), 1,
      anon_sym_COLON,
    STATE(7470), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339340] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13234), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339355] = 4,
    ACTIONS(12002), 1,
      anon_sym_RPAREN,
    ACTIONS(13236), 1,
      anon_sym_COMMA,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339370] = 4,
    ACTIONS(4572), 1,
      anon_sym_RBRACE,
    ACTIONS(13239), 1,
      anon_sym_COMMA,
    STATE(7627), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339385] = 4,
    ACTIONS(4572), 1,
      anon_sym_RBRACE,
    ACTIONS(13239), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339400] = 4,
    ACTIONS(11490), 1,
      anon_sym_COMMA,
    ACTIONS(11492), 1,
      anon_sym_RPAREN,
    STATE(7473), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339415] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13241), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339430] = 4,
    ACTIONS(13243), 1,
      anon_sym_COMMA,
    ACTIONS(13245), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339445] = 4,
    ACTIONS(4692), 1,
      anon_sym_LBRACE,
    ACTIONS(9822), 1,
      anon_sym_COMMA,
    STATE(7775), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339460] = 4,
    ACTIONS(13247), 1,
      anon_sym_COMMA,
    ACTIONS(13249), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339475] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(13251), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339490] = 4,
    ACTIONS(13253), 1,
      anon_sym_COMMA,
    ACTIONS(13255), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339505] = 4,
    ACTIONS(4580), 1,
      anon_sym_RBRACE,
    ACTIONS(13257), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339520] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11522), 1,
      anon_sym_RPAREN,
    STATE(7592), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339535] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13259), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339550] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(13261), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339565] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(13263), 1,
      anon_sym_do,
    STATE(6911), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339580] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13265), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339595] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13267), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339610] = 4,
    ACTIONS(8434), 1,
      anon_sym_RPAREN,
    ACTIONS(13269), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339625] = 4,
    ACTIONS(4934), 1,
      anon_sym_RBRACE,
    ACTIONS(13271), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339640] = 4,
    ACTIONS(13273), 1,
      anon_sym_RBRACE,
    ACTIONS(13275), 1,
      anon_sym_COMMA,
    STATE(7399), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339655] = 4,
    ACTIONS(13277), 1,
      anon_sym_RBRACE,
    ACTIONS(13279), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339670] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13281), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339685] = 4,
    ACTIONS(4843), 1,
      anon_sym_RBRACE,
    ACTIONS(13283), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339700] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13285), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339715] = 4,
    ACTIONS(13287), 1,
      anon_sym_RBRACE,
    ACTIONS(13289), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339730] = 4,
    ACTIONS(5036), 1,
      anon_sym_RBRACE,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    STATE(7784), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339745] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13293), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339760] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13295), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339775] = 4,
    ACTIONS(13297), 1,
      anon_sym_COMMA,
    ACTIONS(13299), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339790] = 4,
    ACTIONS(4580), 1,
      anon_sym_RBRACE,
    ACTIONS(13257), 1,
      anon_sym_COMMA,
    STATE(7652), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339805] = 4,
    ACTIONS(13301), 1,
      anon_sym_COMMA,
    ACTIONS(13303), 1,
      anon_sym_RPAREN,
    STATE(7614), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339820] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(13305), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339835] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(13307), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [339846] = 4,
    ACTIONS(11702), 1,
      anon_sym_COMMA,
    ACTIONS(13309), 1,
      anon_sym_RPAREN,
    STATE(7748), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339861] = 4,
    ACTIONS(12767), 1,
      anon_sym_COMMA,
    ACTIONS(13311), 1,
      anon_sym_COLON,
    STATE(7410), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339876] = 4,
    ACTIONS(4558), 1,
      anon_sym_RBRACE,
    ACTIONS(13313), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339891] = 4,
    ACTIONS(13315), 1,
      anon_sym_RBRACE,
    ACTIONS(13317), 1,
      anon_sym_COMMA,
    STATE(7655), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339906] = 4,
    ACTIONS(13319), 1,
      anon_sym_RBRACE,
    ACTIONS(13321), 1,
      anon_sym_COMMA,
    STATE(7671), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339921] = 4,
    ACTIONS(5976), 1,
      anon_sym_RBRACE,
    ACTIONS(13323), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339936] = 4,
    ACTIONS(5972), 1,
      anon_sym_RBRACE,
    ACTIONS(13325), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339951] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(13327), 1,
      anon_sym_RPAREN,
    STATE(7648), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339966] = 4,
    ACTIONS(4749), 1,
      anon_sym_RBRACE,
    ACTIONS(13329), 1,
      anon_sym_COMMA,
    STATE(7537), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339981] = 4,
    ACTIONS(13331), 1,
      anon_sym_RBRACE,
    ACTIONS(13333), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339996] = 4,
    ACTIONS(5036), 1,
      anon_sym_RBRACE,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340011] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(13335), 1,
      anon_sym_do,
    STATE(6860), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340026] = 4,
    ACTIONS(11460), 1,
      anon_sym_RBRACE,
    ACTIONS(12582), 1,
      anon_sym_COMMA,
    STATE(7928), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340041] = 4,
    ACTIONS(13337), 1,
      anon_sym_RBRACE,
    ACTIONS(13339), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340056] = 4,
    ACTIONS(11440), 1,
      anon_sym_COMMA,
    ACTIONS(11442), 1,
      anon_sym_RPAREN,
    STATE(7634), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340071] = 3,
    ACTIONS(13344), 1,
      anon_sym_EQ,
    ACTIONS(13342), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340084] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13346), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340099] = 4,
    ACTIONS(4608), 1,
      anon_sym_RBRACE,
    ACTIONS(13348), 1,
      anon_sym_COMMA,
    STATE(7190), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340114] = 4,
    ACTIONS(13350), 1,
      anon_sym_COMMA,
    ACTIONS(13353), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340129] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340144] = 4,
    ACTIONS(13357), 1,
      anon_sym_RBRACE,
    ACTIONS(13359), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340159] = 4,
    ACTIONS(5814), 1,
      anon_sym_RBRACE,
    ACTIONS(13361), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340174] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(13363), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [340191] = 4,
    ACTIONS(13365), 1,
      anon_sym_RBRACE,
    ACTIONS(13367), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340206] = 4,
    ACTIONS(5812), 1,
      anon_sym_RBRACE,
    ACTIONS(13369), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340221] = 3,
    ACTIONS(13371), 1,
      anon_sym_EQ,
    ACTIONS(9652), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340234] = 4,
    ACTIONS(4749), 1,
      anon_sym_RBRACE,
    ACTIONS(13329), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340249] = 4,
    ACTIONS(13373), 1,
      anon_sym_COMMA,
    ACTIONS(13375), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340264] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(13377), 1,
      anon_sym_do,
    STATE(6970), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340279] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(13379), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [340290] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(13381), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [340307] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13383), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340322] = 4,
    ACTIONS(13385), 1,
      anon_sym_COMMA,
    ACTIONS(13387), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340337] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(13389), 1,
      anon_sym_RPAREN,
    STATE(7204), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340352] = 4,
    ACTIONS(8440), 1,
      anon_sym_RPAREN,
    ACTIONS(13391), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340367] = 4,
    ACTIONS(13393), 1,
      anon_sym_RBRACE,
    ACTIONS(13395), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340382] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13397), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340397] = 4,
    ACTIONS(11274), 1,
      anon_sym_COMMA,
    ACTIONS(11276), 1,
      anon_sym_RPAREN,
    STATE(7754), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340412] = 4,
    ACTIONS(4763), 1,
      anon_sym_RBRACE,
    ACTIONS(13399), 1,
      anon_sym_COMMA,
    STATE(7887), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340427] = 4,
    ACTIONS(4751), 1,
      anon_sym_RBRACE,
    ACTIONS(13401), 1,
      anon_sym_COMMA,
    STATE(7676), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340442] = 4,
    ACTIONS(10703), 1,
      anon_sym_RPAREN,
    ACTIONS(13403), 1,
      anon_sym_COMMA,
    STATE(7609), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340457] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(13405), 1,
      anon_sym_BQUOTE,
    ACTIONS(13407), 1,
      sym__raw_string_content,
    STATE(7680), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [340474] = 4,
    ACTIONS(9986), 1,
      anon_sym_RBRACE,
    ACTIONS(9988), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340489] = 4,
    ACTIONS(13409), 1,
      anon_sym_COMMA,
    ACTIONS(13411), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340504] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(13413), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340519] = 4,
    ACTIONS(7186), 1,
      anon_sym_LBRACE,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340534] = 4,
    ACTIONS(4610), 1,
      anon_sym_RBRACE,
    ACTIONS(12283), 1,
      anon_sym_COMMA,
    STATE(7783), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340549] = 4,
    ACTIONS(13415), 1,
      anon_sym_COMMA,
    ACTIONS(13418), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340564] = 4,
    ACTIONS(13420), 1,
      anon_sym_COMMA,
    ACTIONS(13422), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340579] = 4,
    ACTIONS(11466), 1,
      anon_sym_COMMA,
    ACTIONS(11468), 1,
      anon_sym_RPAREN,
    STATE(7408), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340594] = 4,
    ACTIONS(13424), 1,
      anon_sym_COMMA,
    ACTIONS(13427), 1,
      anon_sym_COLON,
    STATE(7700), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340609] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(13429), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [340626] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_RPAREN,
    STATE(7845), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340641] = 4,
    ACTIONS(11702), 1,
      anon_sym_COMMA,
    ACTIONS(11748), 1,
      anon_sym_RPAREN,
    STATE(7748), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340656] = 4,
    ACTIONS(4735), 1,
      anon_sym_RBRACE,
    ACTIONS(13431), 1,
      anon_sym_COMMA,
    STATE(7601), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340671] = 4,
    ACTIONS(12827), 1,
      anon_sym_COMMA,
    ACTIONS(13433), 1,
      anon_sym_COLON,
    STATE(7870), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340686] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13435), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340701] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(13437), 1,
      anon_sym_BQUOTE,
    ACTIONS(13439), 1,
      sym__raw_string_content,
    STATE(7728), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [340718] = 4,
    ACTIONS(12827), 1,
      anon_sym_COMMA,
    ACTIONS(13433), 1,
      anon_sym_COLON,
    STATE(7700), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340733] = 4,
    ACTIONS(4882), 1,
      anon_sym_RBRACE,
    ACTIONS(13441), 1,
      anon_sym_COMMA,
    STATE(7738), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340748] = 4,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    ACTIONS(13443), 1,
      anon_sym_when,
    STATE(6661), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340763] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13445), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340778] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13447), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340793] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(13449), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [340804] = 4,
    ACTIONS(12445), 1,
      anon_sym_COMMA,
    ACTIONS(13451), 1,
      anon_sym_COLON,
    STATE(7718), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340819] = 4,
    ACTIONS(4684), 1,
      anon_sym_RBRACE,
    ACTIONS(13453), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340834] = 4,
    ACTIONS(13455), 1,
      anon_sym_COMMA,
    ACTIONS(13457), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340849] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(11145), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340864] = 4,
    ACTIONS(13459), 1,
      anon_sym_COMMA,
    ACTIONS(13462), 1,
      anon_sym_COLON,
    STATE(7718), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340879] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13464), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340894] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(10985), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340909] = 4,
    ACTIONS(13466), 1,
      anon_sym_RBRACE,
    ACTIONS(13468), 1,
      anon_sym_COMMA,
    STATE(7721), 1,
      aux_sym__struct_members_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340924] = 4,
    ACTIONS(12767), 1,
      anon_sym_COMMA,
    ACTIONS(13311), 1,
      anon_sym_COLON,
    STATE(7727), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340939] = 4,
    ACTIONS(12767), 1,
      anon_sym_COMMA,
    ACTIONS(13471), 1,
      anon_sym_COLON,
    STATE(7727), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340954] = 4,
    ACTIONS(4680), 1,
      anon_sym_RBRACE,
    ACTIONS(13473), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340969] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(13475), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340984] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13477), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [340999] = 4,
    ACTIONS(13479), 1,
      anon_sym_COMMA,
    ACTIONS(13482), 1,
      anon_sym_COLON,
    STATE(7727), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341014] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(13484), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [341031] = 4,
    ACTIONS(13486), 1,
      anon_sym_RBRACE,
    ACTIONS(13488), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341046] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(13490), 1,
      anon_sym_RPAREN,
    STATE(7725), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341061] = 4,
    ACTIONS(11548), 1,
      anon_sym_RBRACE,
    ACTIONS(13492), 1,
      anon_sym_COMMA,
    STATE(7514), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341076] = 4,
    ACTIONS(8576), 1,
      anon_sym_RBRACE,
    ACTIONS(11706), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341091] = 4,
    ACTIONS(11548), 1,
      anon_sym_RBRACE,
    ACTIONS(13492), 1,
      anon_sym_COMMA,
    STATE(7802), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341106] = 4,
    ACTIONS(13494), 1,
      anon_sym_COMMA,
    ACTIONS(13496), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341121] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13498), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341136] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13500), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341151] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(8098), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341166] = 4,
    ACTIONS(4884), 1,
      anon_sym_RBRACE,
    ACTIONS(13502), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341181] = 4,
    ACTIONS(4606), 1,
      anon_sym_RBRACE,
    ACTIONS(13504), 1,
      anon_sym_COMMA,
    STATE(7857), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341196] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13506), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341211] = 4,
    ACTIONS(11726), 1,
      anon_sym_RBRACE,
    ACTIONS(13508), 1,
      anon_sym_COMMA,
    STATE(7731), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341226] = 4,
    ACTIONS(11726), 1,
      anon_sym_RBRACE,
    ACTIONS(13508), 1,
      anon_sym_COMMA,
    STATE(7514), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341241] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13510), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341256] = 4,
    ACTIONS(11298), 1,
      anon_sym_COMMA,
    ACTIONS(11300), 1,
      anon_sym_RPAREN,
    STATE(7771), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341271] = 4,
    ACTIONS(12445), 1,
      anon_sym_COMMA,
    ACTIONS(13512), 1,
      anon_sym_COLON,
    STATE(7264), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341286] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13514), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341301] = 4,
    ACTIONS(11310), 1,
      anon_sym_COMMA,
    ACTIONS(11312), 1,
      anon_sym_RPAREN,
    STATE(7684), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341316] = 4,
    ACTIONS(13516), 1,
      anon_sym_COMMA,
    ACTIONS(13519), 1,
      anon_sym_RPAREN,
    STATE(7748), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341331] = 4,
    ACTIONS(5380), 1,
      anon_sym_RBRACE,
    ACTIONS(13521), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341346] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13523), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341361] = 4,
    ACTIONS(4702), 1,
      anon_sym_RBRACE,
    ACTIONS(13525), 1,
      anon_sym_COMMA,
    STATE(7613), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341376] = 4,
    ACTIONS(4884), 1,
      anon_sym_RBRACE,
    ACTIONS(13502), 1,
      anon_sym_COMMA,
    STATE(7806), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341391] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13527), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341406] = 4,
    ACTIONS(8430), 1,
      anon_sym_RPAREN,
    ACTIONS(13529), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341421] = 4,
    ACTIONS(4662), 1,
      anon_sym_RBRACE,
    ACTIONS(13115), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341436] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13531), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341451] = 4,
    ACTIONS(11182), 1,
      anon_sym_RBRACE,
    ACTIONS(13533), 1,
      anon_sym_COMMA,
    STATE(7305), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341466] = 4,
    ACTIONS(9818), 1,
      anon_sym_RBRACE,
    ACTIONS(9820), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341481] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13535), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341496] = 4,
    ACTIONS(8596), 1,
      anon_sym_RBRACE,
    ACTIONS(11630), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341511] = 4,
    ACTIONS(8778), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7369), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341526] = 4,
    ACTIONS(12767), 1,
      anon_sym_COMMA,
    ACTIONS(13175), 1,
      anon_sym_COLON,
    STATE(7727), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341541] = 4,
    ACTIONS(8476), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341556] = 4,
    ACTIONS(13537), 1,
      anon_sym_COMMA,
    ACTIONS(13539), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341571] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(13541), 1,
      anon_sym_BQUOTE,
    ACTIONS(13543), 1,
      sym__raw_string_content,
    STATE(7701), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [341588] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(13545), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341603] = 4,
    ACTIONS(5236), 1,
      anon_sym_RBRACE,
    ACTIONS(13547), 1,
      anon_sym_COMMA,
    STATE(7270), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341618] = 4,
    ACTIONS(13549), 1,
      anon_sym_RBRACE,
    ACTIONS(13551), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341633] = 4,
    ACTIONS(5100), 1,
      anon_sym_RBRACE,
    ACTIONS(12291), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341648] = 4,
    ACTIONS(13553), 1,
      anon_sym_COMMA,
    ACTIONS(13555), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341663] = 4,
    ACTIONS(8420), 1,
      anon_sym_RPAREN,
    ACTIONS(13557), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341678] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13559), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341693] = 4,
    ACTIONS(11450), 1,
      anon_sym_COMMA,
    ACTIONS(11452), 1,
      anon_sym_RPAREN,
    STATE(7943), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341708] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13561), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341723] = 4,
    ACTIONS(4710), 1,
      anon_sym_LBRACE,
    ACTIONS(13563), 1,
      anon_sym_COMMA,
    STATE(7775), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341738] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11750), 1,
      anon_sym_RPAREN,
    STATE(7834), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341753] = 4,
    ACTIONS(12767), 1,
      anon_sym_COMMA,
    ACTIONS(13566), 1,
      anon_sym_COLON,
    STATE(7762), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341768] = 4,
    ACTIONS(13568), 1,
      anon_sym_COMMA,
    ACTIONS(13570), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341783] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13572), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341798] = 4,
    ACTIONS(13574), 1,
      anon_sym_COMMA,
    ACTIONS(13576), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341813] = 4,
    ACTIONS(13578), 1,
      anon_sym_RBRACE,
    ACTIONS(13580), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341828] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(13582), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [341845] = 4,
    ACTIONS(4614), 1,
      anon_sym_RBRACE,
    ACTIONS(13584), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341860] = 4,
    ACTIONS(5028), 1,
      anon_sym_RBRACE,
    ACTIONS(13586), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341875] = 4,
    ACTIONS(5644), 1,
      anon_sym_RBRACE,
    ACTIONS(13588), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341890] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13590), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341905] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(13592), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341920] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13594), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341935] = 4,
    ACTIONS(12767), 1,
      anon_sym_COMMA,
    ACTIONS(13596), 1,
      anon_sym_COLON,
    STATE(7722), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341950] = 4,
    ACTIONS(13598), 1,
      anon_sym_RBRACE,
    ACTIONS(13600), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341965] = 4,
    ACTIONS(13602), 1,
      anon_sym_COMMA,
    ACTIONS(13604), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341980] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13606), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [341995] = 4,
    ACTIONS(13608), 1,
      anon_sym_COMMA,
    ACTIONS(13610), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342010] = 4,
    ACTIONS(11850), 1,
      anon_sym_RBRACE,
    ACTIONS(13612), 1,
      anon_sym_COMMA,
    STATE(7457), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342025] = 4,
    ACTIONS(11702), 1,
      anon_sym_COMMA,
    ACTIONS(11804), 1,
      anon_sym_RPAREN,
    STATE(7748), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342040] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(13614), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [342051] = 4,
    ACTIONS(8496), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7877), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342066] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13616), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342081] = 4,
    ACTIONS(5706), 1,
      anon_sym_RBRACE,
    ACTIONS(13618), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342096] = 4,
    ACTIONS(13620), 1,
      anon_sym_COMMA,
    ACTIONS(13622), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342111] = 4,
    ACTIONS(4618), 1,
      anon_sym_RBRACE,
    ACTIONS(13624), 1,
      anon_sym_COMMA,
    STATE(7871), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342126] = 4,
    ACTIONS(11850), 1,
      anon_sym_RBRACE,
    ACTIONS(13612), 1,
      anon_sym_COMMA,
    STATE(7514), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342141] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13626), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342156] = 4,
    ACTIONS(5898), 1,
      anon_sym_RBRACE,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342171] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(13630), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342186] = 4,
    ACTIONS(4894), 1,
      anon_sym_RBRACE,
    ACTIONS(13632), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342201] = 4,
    ACTIONS(13634), 1,
      anon_sym_LBRACE,
    ACTIONS(13636), 1,
      sym_tag,
    STATE(7807), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342216] = 4,
    ACTIONS(13342), 1,
      anon_sym_RBRACE,
    ACTIONS(13639), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342231] = 4,
    ACTIONS(5900), 1,
      anon_sym_RBRACE,
    ACTIONS(13642), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342246] = 4,
    ACTIONS(13644), 1,
      anon_sym_COMMA,
    ACTIONS(13646), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342261] = 4,
    ACTIONS(13648), 1,
      anon_sym_RBRACE,
    ACTIONS(13650), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342276] = 4,
    ACTIONS(8496), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342291] = 4,
    ACTIONS(4902), 1,
      anon_sym_RBRACE,
    ACTIONS(13652), 1,
      anon_sym_COMMA,
    STATE(7904), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342306] = 4,
    ACTIONS(5028), 1,
      anon_sym_RBRACE,
    ACTIONS(13586), 1,
      anon_sym_COMMA,
    STATE(7829), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342321] = 4,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(11160), 1,
      anon_sym_SEMI,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342336] = 4,
    ACTIONS(5820), 1,
      anon_sym_RBRACE,
    ACTIONS(13654), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342351] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(13656), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342366] = 4,
    ACTIONS(9858), 1,
      anon_sym_COMMA,
    ACTIONS(13658), 1,
      anon_sym_COLON,
    STATE(7442), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342381] = 4,
    ACTIONS(13660), 1,
      anon_sym_RBRACE,
    ACTIONS(13662), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342396] = 4,
    ACTIONS(5818), 1,
      anon_sym_RBRACE,
    ACTIONS(13664), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342411] = 4,
    ACTIONS(4680), 1,
      anon_sym_RBRACE,
    ACTIONS(13473), 1,
      anon_sym_COMMA,
    STATE(7715), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342426] = 4,
    ACTIONS(13666), 1,
      anon_sym_RBRACE,
    ACTIONS(13668), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342441] = 4,
    ACTIONS(8554), 1,
      anon_sym_RBRACE,
    ACTIONS(13670), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342456] = 4,
    ACTIONS(8574), 1,
      anon_sym_RBRACE,
    ACTIONS(13672), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342471] = 4,
    ACTIONS(8470), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342486] = 4,
    ACTIONS(12046), 1,
      anon_sym_RBRACE,
    ACTIONS(13674), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342501] = 4,
    ACTIONS(13677), 1,
      anon_sym_RBRACE,
    ACTIONS(13679), 1,
      anon_sym_COMMA,
    STATE(7820), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342516] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13681), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342531] = 4,
    ACTIONS(5020), 1,
      anon_sym_RBRACE,
    ACTIONS(13683), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342546] = 4,
    ACTIONS(13685), 1,
      anon_sym_RBRACE,
    ACTIONS(13687), 1,
      anon_sym_COMMA,
    STATE(7809), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342561] = 4,
    ACTIONS(4859), 1,
      anon_sym_RBRACE,
    ACTIONS(13689), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342576] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(13691), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342591] = 4,
    ACTIONS(4686), 1,
      anon_sym_RBRACE,
    ACTIONS(13693), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342606] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(13695), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342621] = 4,
    ACTIONS(4870), 1,
      anon_sym_RBRACE,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    STATE(7831), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342636] = 4,
    ACTIONS(13699), 1,
      anon_sym_COMMA,
    ACTIONS(13701), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342651] = 4,
    ACTIONS(11578), 1,
      sym_identifier,
    ACTIONS(11582), 1,
      anon_sym_using,
    STATE(8016), 1,
      sym_struct_member,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342666] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13703), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342681] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13705), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342696] = 4,
    ACTIONS(13707), 1,
      anon_sym_RBRACE,
    ACTIONS(13709), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342711] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(12352), 1,
      sym__raw_string_content,
    ACTIONS(13711), 1,
      anon_sym_BQUOTE,
    STATE(7368), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [342728] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11822), 1,
      anon_sym_RPAREN,
    STATE(7805), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342743] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(13713), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342758] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13715), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342773] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(13717), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342788] = 4,
    ACTIONS(13719), 1,
      anon_sym_COMMA,
    ACTIONS(13721), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342803] = 4,
    ACTIONS(4870), 1,
      anon_sym_RBRACE,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342818] = 4,
    ACTIONS(13723), 1,
      anon_sym_RBRACE,
    ACTIONS(13725), 1,
      anon_sym_COMMA,
    STATE(7799), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342833] = 3,
    ACTIONS(13727), 1,
      anon_sym_EQ,
    ACTIONS(12346), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342846] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13729), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342861] = 4,
    ACTIONS(13731), 1,
      anon_sym_COMMA,
    ACTIONS(13733), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342876] = 4,
    ACTIONS(4940), 1,
      anon_sym_RBRACE,
    ACTIONS(13735), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342891] = 4,
    ACTIONS(13737), 1,
      anon_sym_COMMA,
    ACTIONS(13739), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342906] = 4,
    ACTIONS(13741), 1,
      anon_sym_RBRACE,
    ACTIONS(13743), 1,
      anon_sym_COMMA,
    STATE(7859), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342921] = 4,
    ACTIONS(4646), 1,
      anon_sym_RBRACE,
    ACTIONS(13745), 1,
      anon_sym_COMMA,
    STATE(7755), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342936] = 4,
    ACTIONS(11794), 1,
      anon_sym_RBRACE,
    ACTIONS(13027), 1,
      anon_sym_COMMA,
    STATE(7742), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342951] = 4,
    ACTIONS(4763), 1,
      anon_sym_RBRACE,
    ACTIONS(13399), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342966] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13747), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342981] = 4,
    ACTIONS(5446), 1,
      anon_sym_RBRACE,
    ACTIONS(13749), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [342996] = 4,
    ACTIONS(4622), 1,
      anon_sym_RBRACE,
    ACTIONS(13751), 1,
      anon_sym_COMMA,
    STATE(7905), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343011] = 4,
    ACTIONS(8610), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7883), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343026] = 4,
    ACTIONS(4880), 1,
      anon_sym_RBRACE,
    ACTIONS(13753), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343041] = 4,
    ACTIONS(4934), 1,
      anon_sym_RBRACE,
    ACTIONS(13271), 1,
      anon_sym_COMMA,
    STATE(7930), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343056] = 4,
    ACTIONS(4880), 1,
      anon_sym_RBRACE,
    ACTIONS(13753), 1,
      anon_sym_COMMA,
    STATE(7847), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343071] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(13755), 1,
      anon_sym_BQUOTE,
    ACTIONS(13757), 1,
      sym__raw_string_content,
    STATE(7782), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [343088] = 4,
    ACTIONS(5476), 1,
      anon_sym_RBRACE,
    ACTIONS(13759), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343103] = 4,
    ACTIONS(13761), 1,
      anon_sym_COMMA,
    ACTIONS(13763), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343118] = 4,
    ACTIONS(13765), 1,
      anon_sym_COMMA,
    ACTIONS(13767), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343133] = 4,
    ACTIONS(13769), 1,
      anon_sym_COMMA,
    ACTIONS(13771), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343148] = 4,
    ACTIONS(12827), 1,
      anon_sym_COMMA,
    ACTIONS(13773), 1,
      anon_sym_COLON,
    STATE(7700), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343163] = 4,
    ACTIONS(4622), 1,
      anon_sym_RBRACE,
    ACTIONS(13751), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343178] = 4,
    ACTIONS(13775), 1,
      anon_sym_COMMA,
    ACTIONS(13777), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343193] = 4,
    ACTIONS(13779), 1,
      anon_sym_COMMA,
    ACTIONS(13781), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343208] = 4,
    ACTIONS(13783), 1,
      anon_sym_COMMA,
    ACTIONS(13785), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343223] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(13787), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343238] = 4,
    ACTIONS(4938), 1,
      anon_sym_RBRACE,
    ACTIONS(13789), 1,
      anon_sym_COMMA,
    STATE(7852), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343253] = 4,
    ACTIONS(8610), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343268] = 4,
    ACTIONS(8746), 1,
      anon_sym_RBRACE,
    ACTIONS(13791), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343283] = 4,
    ACTIONS(13793), 1,
      anon_sym_RBRACE,
    ACTIONS(13795), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343298] = 4,
    ACTIONS(13797), 1,
      anon_sym_RBRACE,
    ACTIONS(13799), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343313] = 4,
    ACTIONS(8466), 1,
      anon_sym_SEMI,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343328] = 3,
    ACTIONS(11318), 1,
      anon_sym_EQ,
    ACTIONS(10036), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343341] = 4,
    ACTIONS(8808), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343356] = 4,
    ACTIONS(13801), 1,
      anon_sym_RBRACE,
    ACTIONS(13803), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343371] = 4,
    ACTIONS(13805), 1,
      anon_sym_RBRACE,
    ACTIONS(13807), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343386] = 4,
    ACTIONS(4886), 1,
      anon_sym_RBRACE,
    ACTIONS(13809), 1,
      anon_sym_COMMA,
    STATE(7862), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343401] = 4,
    ACTIONS(5236), 1,
      anon_sym_RBRACE,
    ACTIONS(13547), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343416] = 4,
    ACTIONS(13811), 1,
      anon_sym_COMMA,
    ACTIONS(13813), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343431] = 4,
    ACTIONS(13815), 1,
      anon_sym_COMMA,
    ACTIONS(13817), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343446] = 4,
    ACTIONS(12019), 1,
      anon_sym_RBRACE,
    ACTIONS(12021), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343461] = 4,
    ACTIONS(8808), 1,
      anon_sym_SEMI,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    STATE(7893), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343476] = 4,
    ACTIONS(13819), 1,
      anon_sym_COMMA,
    ACTIONS(13821), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343491] = 4,
    ACTIONS(9800), 1,
      anon_sym_COMMA,
    ACTIONS(11147), 1,
      anon_sym_SEMI,
    STATE(7602), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343506] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13823), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343521] = 4,
    ACTIONS(9858), 1,
      anon_sym_COMMA,
    ACTIONS(13825), 1,
      anon_sym_COLON,
    STATE(7442), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343536] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(8646), 1,
      anon_sym_LBRACE,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343551] = 4,
    ACTIONS(4918), 1,
      anon_sym_RBRACE,
    ACTIONS(13827), 1,
      anon_sym_COMMA,
    STATE(7940), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343566] = 4,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    ACTIONS(11090), 1,
      anon_sym_SEMI,
    STATE(6603), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343581] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(13829), 1,
      anon_sym_RPAREN,
    STATE(7901), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343596] = 4,
    ACTIONS(13831), 1,
      anon_sym_RBRACE,
    ACTIONS(13833), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343611] = 4,
    ACTIONS(12313), 1,
      anon_sym_COMMA,
    ACTIONS(13835), 1,
      anon_sym_RPAREN,
    STATE(7668), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343626] = 4,
    ACTIONS(13837), 1,
      anon_sym_COMMA,
    ACTIONS(13839), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343641] = 4,
    ACTIONS(11936), 1,
      anon_sym_RPAREN,
    ACTIONS(13841), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343656] = 4,
    ACTIONS(4918), 1,
      anon_sym_RBRACE,
    ACTIONS(13827), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343671] = 4,
    ACTIONS(4624), 1,
      anon_sym_RBRACE,
    ACTIONS(13844), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343686] = 4,
    ACTIONS(13846), 1,
      anon_sym_RBRACE,
    ACTIONS(13848), 1,
      anon_sym_COMMA,
    STATE(7559), 1,
      aux_sym__struct_members_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343701] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(13850), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343716] = 4,
    ACTIONS(4684), 1,
      anon_sym_RBRACE,
    ACTIONS(13453), 1,
      anon_sym_COMMA,
    STATE(7833), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343731] = 4,
    ACTIONS(13852), 1,
      anon_sym_COMMA,
    ACTIONS(13854), 1,
      anon_sym_RPAREN,
    STATE(7910), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343746] = 4,
    ACTIONS(10755), 1,
      anon_sym_RPAREN,
    ACTIONS(13856), 1,
      anon_sym_COMMA,
    STATE(7609), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343761] = 4,
    ACTIONS(13858), 1,
      anon_sym_COMMA,
    ACTIONS(13860), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343776] = 4,
    ACTIONS(13862), 1,
      anon_sym_RBRACE,
    ACTIONS(13864), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343791] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13866), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343806] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13868), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343821] = 4,
    ACTIONS(13870), 1,
      anon_sym_RBRACE,
    ACTIONS(13872), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343836] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13874), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343851] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13876), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343866] = 4,
    ACTIONS(5946), 1,
      anon_sym_RBRACE,
    ACTIONS(13878), 1,
      anon_sym_COMMA,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343881] = 4,
    ACTIONS(9718), 1,
      anon_sym_RBRACE,
    ACTIONS(9720), 1,
      anon_sym_COMMA,
    STATE(7808), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343896] = 4,
    ACTIONS(13880), 1,
      anon_sym_RBRACE,
    ACTIONS(13882), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_bit_field_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343911] = 4,
    ACTIONS(8388), 1,
      anon_sym_RPAREN,
    ACTIONS(13884), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343926] = 4,
    ACTIONS(4624), 1,
      anon_sym_RBRACE,
    ACTIONS(13844), 1,
      anon_sym_COMMA,
    STATE(7927), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343941] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13886), 1,
      anon_sym_PIPE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343956] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13888), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343971] = 4,
    ACTIONS(7531), 1,
      anon_sym_LPAREN,
    ACTIONS(11135), 1,
      anon_sym_SLASH,
    ACTIONS(13890), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [343986] = 4,
    ACTIONS(13892), 1,
      anon_sym_COMMA,
    ACTIONS(13894), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344001] = 4,
    ACTIONS(4630), 1,
      anon_sym_RBRACE,
    ACTIONS(13896), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344016] = 4,
    ACTIONS(11353), 1,
      anon_sym_RBRACE,
    ACTIONS(13898), 1,
      anon_sym_COMMA,
    STATE(7305), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344031] = 3,
    ACTIONS(13900), 1,
      anon_sym_EQ,
    ACTIONS(10081), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344044] = 4,
    ACTIONS(4916), 1,
      anon_sym_RBRACE,
    ACTIONS(13902), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344059] = 4,
    ACTIONS(13904), 1,
      anon_sym_RBRACE,
    ACTIONS(13906), 1,
      anon_sym_COMMA,
    STATE(7939), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344074] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13908), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344089] = 4,
    ACTIONS(13910), 1,
      anon_sym_COMMA,
    ACTIONS(13912), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344104] = 4,
    ACTIONS(13914), 1,
      anon_sym_COMMA,
    ACTIONS(13916), 1,
      anon_sym_RPAREN,
    STATE(7697), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344119] = 4,
    ACTIONS(5102), 1,
      anon_sym_RBRACE,
    ACTIONS(13918), 1,
      anon_sym_COMMA,
    STATE(7769), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344134] = 4,
    ACTIONS(13920), 1,
      anon_sym_RBRACE,
    ACTIONS(13922), 1,
      anon_sym_COMMA,
    STATE(7757), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344149] = 4,
    ACTIONS(11506), 1,
      anon_sym_COMMA,
    ACTIONS(11866), 1,
      anon_sym_RPAREN,
    STATE(7875), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344164] = 5,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(13924), 1,
      anon_sym_BQUOTE,
    ACTIONS(13926), 1,
      sym__raw_string_content,
    STATE(7841), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [344181] = 4,
    ACTIONS(5948), 1,
      anon_sym_RBRACE,
    ACTIONS(13928), 1,
      anon_sym_COMMA,
    STATE(7611), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344196] = 4,
    ACTIONS(4938), 1,
      anon_sym_RBRACE,
    ACTIONS(13789), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344211] = 4,
    ACTIONS(8806), 1,
      anon_sym_RBRACE,
    ACTIONS(13930), 1,
      anon_sym_COMMA,
    STATE(7826), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344226] = 4,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      anon_sym_SLASH,
    ACTIONS(13932), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344241] = 4,
    ACTIONS(8442), 1,
      anon_sym_RPAREN,
    ACTIONS(13934), 1,
      anon_sym_COMMA,
    STATE(7903), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344256] = 4,
    ACTIONS(9239), 1,
      anon_sym_COMMA,
    ACTIONS(13936), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344271] = 3,
    ACTIONS(13181), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344283] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(3085), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344295] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(13942), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344307] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(13944), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344319] = 2,
    ACTIONS(13946), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344329] = 3,
    ACTIONS(9868), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344341] = 2,
    ACTIONS(13948), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344351] = 3,
    ACTIONS(13862), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344363] = 3,
    ACTIONS(13880), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344375] = 3,
    ACTIONS(13950), 1,
      sym_identifier,
    ACTIONS(13952), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344387] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6420), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344399] = 3,
    ACTIONS(9628), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344411] = 3,
    ACTIONS(13954), 1,
      sym_identifier,
    ACTIONS(13956), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344423] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(13958), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344435] = 3,
    ACTIONS(13801), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344447] = 3,
    ACTIONS(9978), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344459] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(13960), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344471] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(13962), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344483] = 3,
    ACTIONS(13793), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344495] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(13964), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344507] = 3,
    ACTIONS(13805), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344519] = 2,
    ACTIONS(13966), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344529] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(4009), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344541] = 3,
    ACTIONS(9648), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344553] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6390), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344565] = 3,
    ACTIONS(13831), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344577] = 3,
    ACTIONS(11968), 1,
      anon_sym_LBRACE,
    ACTIONS(11970), 1,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344589] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(13968), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344601] = 2,
    ACTIONS(12002), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344611] = 2,
    ACTIONS(10997), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344621] = 3,
    ACTIONS(13707), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344633] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(13970), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344645] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(13972), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344657] = 3,
    ACTIONS(13666), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344669] = 2,
    ACTIONS(13974), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344679] = 3,
    ACTIONS(13660), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344691] = 3,
    ACTIONS(13648), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344703] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(13976), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344715] = 2,
    ACTIONS(13978), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344725] = 3,
    ACTIONS(13980), 1,
      sym_identifier,
    ACTIONS(13982), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344737] = 3,
    ACTIONS(13486), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344749] = 3,
    ACTIONS(13578), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344761] = 2,
    ACTIONS(13634), 2,
      anon_sym_LBRACE,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344771] = 3,
    ACTIONS(10051), 1,
      anon_sym_SEMI,
    ACTIONS(10053), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344783] = 3,
    ACTIONS(13549), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344795] = 2,
    ACTIONS(5846), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344805] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(13984), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344817] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(13986), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344829] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6321), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344841] = 2,
    ACTIONS(11936), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344851] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(3686), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344863] = 3,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(3061), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344875] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(13988), 1,
      aux_sym_character_token1,
    ACTIONS(13990), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [344889] = 2,
    ACTIONS(13992), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344899] = 3,
    ACTIONS(7545), 1,
      anon_sym_LBRACE,
    ACTIONS(11013), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344911] = 3,
    ACTIONS(10119), 1,
      anon_sym_SEMI,
    ACTIONS(10121), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344923] = 3,
    ACTIONS(9986), 1,
      anon_sym_RBRACE,
    ACTIONS(13994), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344935] = 3,
    ACTIONS(9818), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344947] = 3,
    ACTIONS(10890), 1,
      anon_sym_LPAREN,
    STATE(631), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344959] = 2,
    ACTIONS(11011), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344969] = 2,
    ACTIONS(11035), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344979] = 3,
    ACTIONS(13996), 1,
      sym_identifier,
    ACTIONS(13998), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [344991] = 3,
    ACTIONS(10886), 1,
      anon_sym_LPAREN,
    STATE(2157), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345003] = 3,
    ACTIONS(9810), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345015] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(3012), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345027] = 3,
    ACTIONS(9986), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345039] = 3,
    ACTIONS(10890), 1,
      anon_sym_LPAREN,
    STATE(630), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345051] = 3,
    ACTIONS(9974), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345063] = 2,
    ACTIONS(13482), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345073] = 2,
    ACTIONS(8696), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345083] = 3,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    STATE(6643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345095] = 2,
    ACTIONS(13466), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345105] = 2,
    ACTIONS(13462), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345115] = 2,
    ACTIONS(11033), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345125] = 3,
    ACTIONS(14000), 1,
      sym_identifier,
    ACTIONS(14002), 1,
      anon_sym_using,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345137] = 2,
    ACTIONS(13427), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345147] = 2,
    ACTIONS(13012), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345157] = 2,
    ACTIONS(13215), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345167] = 3,
    ACTIONS(10040), 1,
      anon_sym_SEMI,
    ACTIONS(10079), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345179] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14004), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345191] = 3,
    ACTIONS(13797), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345203] = 3,
    ACTIONS(14006), 1,
      sym_identifier,
    ACTIONS(14008), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345215] = 3,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(6268), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345227] = 3,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(6332), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345239] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14010), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345251] = 3,
    ACTIONS(9718), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345263] = 3,
    ACTIONS(9802), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345275] = 3,
    ACTIONS(13393), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345287] = 3,
    ACTIONS(10097), 1,
      anon_sym_SEMI,
    ACTIONS(10099), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345299] = 3,
    ACTIONS(14012), 1,
      sym_identifier,
    ACTIONS(14014), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345311] = 3,
    ACTIONS(10890), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345323] = 3,
    ACTIONS(13365), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345335] = 2,
    ACTIONS(13353), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345345] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14016), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345357] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14018), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345369] = 3,
    ACTIONS(13331), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345381] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14020), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345393] = 2,
    ACTIONS(11005), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345403] = 3,
    ACTIONS(14022), 1,
      anon_sym_LBRACE,
    ACTIONS(14024), 1,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345415] = 3,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(6220), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345427] = 3,
    ACTIONS(13277), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345439] = 3,
    ACTIONS(13287), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345451] = 3,
    ACTIONS(10067), 1,
      anon_sym_SEMI,
    ACTIONS(10069), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345463] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14026), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345475] = 3,
    ACTIONS(9908), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345487] = 3,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345499] = 3,
    ACTIONS(13598), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345511] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14028), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345523] = 2,
    ACTIONS(11338), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345533] = 3,
    ACTIONS(7508), 1,
      anon_sym_LBRACE,
    ACTIONS(14030), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345545] = 3,
    ACTIONS(14032), 1,
      sym_identifier,
    ACTIONS(14034), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345557] = 3,
    ACTIONS(13187), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345569] = 3,
    ACTIONS(9766), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345581] = 3,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(3326), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345593] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14036), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345605] = 3,
    ACTIONS(13870), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345617] = 3,
    ACTIONS(12305), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345629] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6377), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345641] = 3,
    ACTIONS(9726), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345653] = 3,
    ACTIONS(13121), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345665] = 3,
    ACTIONS(13357), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345677] = 3,
    ACTIONS(10024), 1,
      anon_sym_SEMI,
    ACTIONS(10026), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345689] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14038), 1,
      aux_sym_character_token1,
    ACTIONS(14040), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [345703] = 3,
    ACTIONS(12821), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345715] = 3,
    ACTIONS(14042), 1,
      sym_identifier,
    ACTIONS(14044), 1,
      anon_sym_using,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345727] = 3,
    ACTIONS(13047), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345739] = 3,
    ACTIONS(13061), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345751] = 3,
    ACTIONS(10010), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345763] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14046), 1,
      aux_sym_character_token1,
    ACTIONS(14048), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [345777] = 3,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(3010), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345789] = 3,
    ACTIONS(12019), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345801] = 3,
    ACTIONS(14050), 1,
      sym_identifier,
    ACTIONS(14052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345813] = 3,
    ACTIONS(6198), 1,
      anon_sym_LBRACE,
    ACTIONS(14054), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345825] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6244), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345837] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14056), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345849] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14058), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345861] = 3,
    ACTIONS(14060), 1,
      sym_identifier,
    ACTIONS(14062), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345873] = 3,
    ACTIONS(12019), 1,
      anon_sym_RBRACE,
    ACTIONS(14064), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345885] = 3,
    ACTIONS(12946), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345897] = 3,
    ACTIONS(9772), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345909] = 3,
    ACTIONS(10123), 1,
      anon_sym_SEMI,
    ACTIONS(10125), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345921] = 3,
    ACTIONS(12930), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345933] = 3,
    ACTIONS(12962), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345945] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14066), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345957] = 3,
    ACTIONS(14068), 1,
      sym_identifier,
    ACTIONS(14070), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345969] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14072), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [345981] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14074), 1,
      aux_sym_character_token1,
    ACTIONS(14076), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [345995] = 3,
    ACTIONS(14078), 1,
      anon_sym_LBRACE,
    ACTIONS(14080), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346007] = 3,
    ACTIONS(12801), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346019] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6364), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346031] = 3,
    ACTIONS(14082), 1,
      sym_identifier,
    ACTIONS(14084), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346043] = 2,
    ACTIONS(11021), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346053] = 3,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(6218), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346065] = 2,
    ACTIONS(11031), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346075] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(2987), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346087] = 3,
    ACTIONS(12888), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346099] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14086), 1,
      aux_sym_character_token1,
    ACTIONS(14088), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [346113] = 3,
    ACTIONS(14090), 1,
      sym_identifier,
    ACTIONS(14092), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346125] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14094), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346137] = 3,
    ACTIONS(10059), 1,
      anon_sym_SEMI,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346149] = 2,
    ACTIONS(10101), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346159] = 3,
    ACTIONS(9788), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346171] = 3,
    ACTIONS(12797), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346183] = 3,
    ACTIONS(10886), 1,
      anon_sym_LPAREN,
    STATE(1818), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346195] = 3,
    ACTIONS(12805), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346207] = 3,
    ACTIONS(10083), 1,
      anon_sym_SEMI,
    ACTIONS(10085), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346219] = 3,
    ACTIONS(12777), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346231] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14096), 1,
      aux_sym_character_token1,
    ACTIONS(14098), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [346245] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14100), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346257] = 3,
    ACTIONS(14102), 1,
      sym_identifier,
    ACTIONS(14104), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346269] = 3,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(3402), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346281] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14106), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346293] = 3,
    ACTIONS(14108), 1,
      sym_identifier,
    ACTIONS(14110), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346305] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6372), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346317] = 2,
    ACTIONS(14112), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346327] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6367), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346339] = 3,
    ACTIONS(10884), 1,
      anon_sym_LPAREN,
    STATE(6246), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346351] = 3,
    ACTIONS(10089), 1,
      anon_sym_SEMI,
    ACTIONS(10091), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346363] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14114), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346375] = 3,
    ACTIONS(12689), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346387] = 3,
    ACTIONS(10115), 1,
      anon_sym_SEMI,
    ACTIONS(10117), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346399] = 3,
    ACTIONS(9644), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346411] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14116), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346423] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14118), 1,
      aux_sym_character_token1,
    ACTIONS(14120), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [346437] = 3,
    ACTIONS(6571), 1,
      anon_sym_LBRACE,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346449] = 3,
    ACTIONS(12670), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346461] = 3,
    ACTIONS(10886), 1,
      anon_sym_LPAREN,
    STATE(1573), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346473] = 3,
    ACTIONS(12666), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346485] = 3,
    ACTIONS(14124), 1,
      sym_identifier,
    ACTIONS(14126), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346497] = 3,
    ACTIONS(12656), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346509] = 3,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    STATE(6258), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346521] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14128), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346533] = 3,
    ACTIONS(10071), 1,
      anon_sym_SEMI,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346545] = 3,
    ACTIONS(7890), 1,
      anon_sym_LBRACE,
    ACTIONS(14130), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346557] = 3,
    ACTIONS(14132), 1,
      sym_identifier,
    ACTIONS(14134), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346569] = 3,
    ACTIONS(6719), 1,
      anon_sym_LBRACE,
    STATE(6674), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346581] = 3,
    ACTIONS(10111), 1,
      anon_sym_SEMI,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346593] = 3,
    ACTIONS(12574), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346605] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14136), 1,
      aux_sym_character_token1,
    ACTIONS(14138), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [346619] = 3,
    ACTIONS(12143), 1,
      anon_sym_LBRACE,
    ACTIONS(12145), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346631] = 2,
    ACTIONS(12539), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346641] = 3,
    ACTIONS(9702), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346653] = 3,
    ACTIONS(10055), 1,
      anon_sym_SEMI,
    ACTIONS(10057), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346665] = 3,
    ACTIONS(12531), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346677] = 3,
    ACTIONS(12279), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346689] = 3,
    ACTIONS(12050), 1,
      anon_sym_RBRACE,
    ACTIONS(14140), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346701] = 3,
    ACTIONS(9738), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346713] = 3,
    ACTIONS(14142), 1,
      sym_identifier,
    ACTIONS(14144), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346725] = 3,
    ACTIONS(14146), 1,
      sym_identifier,
    ACTIONS(14148), 1,
      anon_sym_using,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346737] = 3,
    ACTIONS(12015), 1,
      anon_sym_LBRACE,
    ACTIONS(12017), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346749] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14150), 1,
      aux_sym_character_token1,
    ACTIONS(14152), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [346763] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14154), 1,
      aux_sym_character_token1,
    ACTIONS(14156), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [346777] = 3,
    ACTIONS(12137), 1,
      anon_sym_LBRACE,
    ACTIONS(12139), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346789] = 3,
    ACTIONS(9680), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346801] = 3,
    ACTIONS(10844), 1,
      anon_sym_LPAREN,
    STATE(3074), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346813] = 3,
    ACTIONS(12374), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346825] = 3,
    ACTIONS(12378), 1,
      anon_sym_RBRACE,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346837] = 2,
    ACTIONS(12396), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346847] = 3,
    ACTIONS(14158), 1,
      sym_identifier,
    ACTIONS(14160), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346859] = 3,
    ACTIONS(11946), 1,
      anon_sym_LBRACE,
    ACTIONS(11948), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346871] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14162), 1,
      aux_sym_character_token1,
    ACTIONS(14164), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [346885] = 3,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(14166), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346897] = 3,
    ACTIONS(10075), 1,
      anon_sym_SEMI,
    ACTIONS(10077), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346909] = 2,
    ACTIONS(10032), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346919] = 3,
    ACTIONS(12321), 1,
      anon_sym_RBRACE,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346931] = 3,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(14168), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346943] = 3,
    ACTIONS(14170), 1,
      sym_identifier,
    ACTIONS(14172), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346955] = 4,
    ACTIONS(11916), 1,
      sym_comment,
    ACTIONS(14174), 1,
      aux_sym_character_token1,
    ACTIONS(14176), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [346969] = 3,
    ACTIONS(12033), 1,
      anon_sym_LBRACE,
    ACTIONS(12035), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346981] = 3,
    ACTIONS(14178), 1,
      anon_sym_LBRACE,
    ACTIONS(14180), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [346993] = 2,
    ACTIONS(14182), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347002] = 2,
    ACTIONS(14184), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347011] = 2,
    ACTIONS(10309), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347020] = 2,
    ACTIONS(14186), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347029] = 2,
    ACTIONS(14188), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347038] = 2,
    ACTIONS(9237), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347047] = 2,
    ACTIONS(14190), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347056] = 2,
    ACTIONS(14192), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347065] = 2,
    ACTIONS(14194), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347074] = 2,
    ACTIONS(14196), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347083] = 2,
    ACTIONS(14198), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347092] = 2,
    ACTIONS(14200), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347101] = 2,
    ACTIONS(14202), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347110] = 2,
    ACTIONS(14204), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347119] = 2,
    ACTIONS(9252), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347128] = 2,
    ACTIONS(10187), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347137] = 2,
    ACTIONS(14206), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347146] = 2,
    ACTIONS(9226), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347155] = 2,
    ACTIONS(10339), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347164] = 2,
    ACTIONS(9221), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347173] = 2,
    ACTIONS(14208), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347182] = 2,
    ACTIONS(10147), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347191] = 2,
    ACTIONS(14210), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347200] = 2,
    ACTIONS(14212), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347209] = 2,
    ACTIONS(14214), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347218] = 2,
    ACTIONS(14216), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347227] = 2,
    ACTIONS(9256), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347236] = 2,
    ACTIONS(10205), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347245] = 2,
    ACTIONS(14218), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347254] = 2,
    ACTIONS(14220), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347263] = 2,
    ACTIONS(14222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347272] = 2,
    ACTIONS(10985), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347281] = 2,
    ACTIONS(14224), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347290] = 2,
    ACTIONS(14226), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347299] = 2,
    ACTIONS(14228), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347308] = 2,
    ACTIONS(14230), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347317] = 2,
    ACTIONS(14232), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347326] = 2,
    ACTIONS(10271), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347335] = 2,
    ACTIONS(14234), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347344] = 2,
    ACTIONS(3385), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347353] = 2,
    ACTIONS(14236), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347362] = 2,
    ACTIONS(14238), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347371] = 2,
    ACTIONS(14240), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347380] = 2,
    ACTIONS(14242), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347389] = 2,
    ACTIONS(10441), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347398] = 2,
    ACTIONS(14244), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347407] = 2,
    ACTIONS(14246), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347416] = 2,
    ACTIONS(14248), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347425] = 2,
    ACTIONS(14250), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347434] = 2,
    ACTIONS(10455), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347443] = 2,
    ACTIONS(10377), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347452] = 2,
    ACTIONS(9266), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347461] = 2,
    ACTIONS(14252), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347470] = 2,
    ACTIONS(10477), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347479] = 2,
    ACTIONS(14254), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347488] = 2,
    ACTIONS(10497), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347497] = 2,
    ACTIONS(14256), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347506] = 2,
    ACTIONS(10483), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347515] = 2,
    ACTIONS(14258), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347524] = 2,
    ACTIONS(14260), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347533] = 2,
    ACTIONS(14262), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347542] = 2,
    ACTIONS(10513), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347551] = 2,
    ACTIONS(14264), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347560] = 2,
    ACTIONS(14266), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347569] = 2,
    ACTIONS(14268), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347578] = 2,
    ACTIONS(10489), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347587] = 2,
    ACTIONS(14270), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347596] = 2,
    ACTIONS(14272), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347605] = 2,
    ACTIONS(14274), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347614] = 2,
    ACTIONS(10495), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347623] = 2,
    ACTIONS(10207), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347632] = 2,
    ACTIONS(14276), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347641] = 2,
    ACTIONS(14278), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347650] = 2,
    ACTIONS(10499), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347659] = 2,
    ACTIONS(14280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347668] = 2,
    ACTIONS(14282), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347677] = 2,
    ACTIONS(10515), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347686] = 2,
    ACTIONS(14284), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347695] = 2,
    ACTIONS(14286), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347704] = 2,
    ACTIONS(10523), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347713] = 2,
    ACTIONS(14288), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347722] = 2,
    ACTIONS(14290), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347731] = 2,
    ACTIONS(10541), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347740] = 2,
    ACTIONS(14292), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347749] = 2,
    ACTIONS(14294), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347758] = 2,
    ACTIONS(9209), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347767] = 2,
    ACTIONS(14296), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347776] = 2,
    ACTIONS(14298), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347785] = 2,
    ACTIONS(14300), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347794] = 2,
    ACTIONS(10567), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347803] = 2,
    ACTIONS(14302), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347812] = 2,
    ACTIONS(3535), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347821] = 2,
    ACTIONS(14304), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347830] = 2,
    ACTIONS(14306), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347839] = 2,
    ACTIONS(14308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347848] = 2,
    ACTIONS(14310), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347857] = 2,
    ACTIONS(14312), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347866] = 2,
    ACTIONS(10231), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347875] = 2,
    ACTIONS(9092), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347884] = 2,
    ACTIONS(9279), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347893] = 2,
    ACTIONS(14314), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347902] = 2,
    ACTIONS(14316), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347911] = 2,
    ACTIONS(14318), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347920] = 2,
    ACTIONS(10319), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347929] = 2,
    ACTIONS(14320), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347938] = 2,
    ACTIONS(14322), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347947] = 2,
    ACTIONS(14324), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347956] = 2,
    ACTIONS(9292), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347965] = 2,
    ACTIONS(10473), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347974] = 2,
    ACTIONS(9300), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347983] = 2,
    ACTIONS(9202), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [347992] = 2,
    ACTIONS(10149), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348001] = 2,
    ACTIONS(10593), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348010] = 2,
    ACTIONS(14326), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348019] = 2,
    ACTIONS(14328), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348028] = 2,
    ACTIONS(14330), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348037] = 2,
    ACTIONS(14332), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348046] = 2,
    ACTIONS(14334), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348055] = 2,
    ACTIONS(14336), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348064] = 2,
    ACTIONS(14338), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348073] = 2,
    ACTIONS(10607), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348082] = 2,
    ACTIONS(9197), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348091] = 2,
    ACTIONS(14340), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348100] = 2,
    ACTIONS(14342), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348109] = 2,
    ACTIONS(9308), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348118] = 2,
    ACTIONS(10571), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348127] = 2,
    ACTIONS(14344), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348136] = 2,
    ACTIONS(14346), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348145] = 2,
    ACTIONS(9386), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348154] = 2,
    ACTIONS(9189), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348163] = 2,
    ACTIONS(14348), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348172] = 2,
    ACTIONS(14350), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348181] = 2,
    ACTIONS(14352), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348190] = 2,
    ACTIONS(9193), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348199] = 2,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348208] = 2,
    ACTIONS(14354), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348217] = 2,
    ACTIONS(14356), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348226] = 2,
    ACTIONS(14358), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348235] = 2,
    ACTIONS(14360), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348244] = 2,
    ACTIONS(14362), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348253] = 2,
    ACTIONS(14364), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348262] = 2,
    ACTIONS(3465), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348271] = 2,
    ACTIONS(9306), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348280] = 2,
    ACTIONS(3595), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348289] = 2,
    ACTIONS(11610), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348298] = 2,
    ACTIONS(9338), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348307] = 2,
    ACTIONS(9340), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348316] = 2,
    ACTIONS(9350), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348325] = 2,
    ACTIONS(14366), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348334] = 2,
    ACTIONS(3505), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348343] = 2,
    ACTIONS(10445), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348352] = 2,
    ACTIONS(9352), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348361] = 2,
    ACTIONS(14368), 1,
      anon_sym_enum,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348370] = 2,
    ACTIONS(14370), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348379] = 2,
    ACTIONS(14372), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348388] = 2,
    ACTIONS(14374), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348397] = 2,
    ACTIONS(14376), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348406] = 2,
    ACTIONS(14378), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348415] = 2,
    ACTIONS(14380), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348424] = 2,
    ACTIONS(3625), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348433] = 2,
    ACTIONS(14382), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348442] = 2,
    ACTIONS(9356), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348451] = 2,
    ACTIONS(4151), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348460] = 2,
    ACTIONS(9362), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348469] = 2,
    ACTIONS(9367), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348478] = 2,
    ACTIONS(9371), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348487] = 2,
    ACTIONS(14384), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348496] = 2,
    ACTIONS(14386), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348505] = 2,
    ACTIONS(3665), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348514] = 2,
    ACTIONS(9377), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348523] = 2,
    ACTIONS(9379), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348532] = 2,
    ACTIONS(9381), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348541] = 2,
    ACTIONS(3725), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348550] = 2,
    ACTIONS(3695), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348559] = 2,
    ACTIONS(9410), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348568] = 2,
    ACTIONS(9412), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348577] = 2,
    ACTIONS(9398), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348586] = 2,
    ACTIONS(14388), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348595] = 2,
    ACTIONS(9416), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348604] = 2,
    ACTIONS(9418), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348613] = 2,
    ACTIONS(9396), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348622] = 2,
    ACTIONS(9414), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348631] = 2,
    ACTIONS(14390), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348640] = 2,
    ACTIONS(11153), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348649] = 2,
    ACTIONS(3565), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348658] = 2,
    ACTIONS(9408), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348667] = 2,
    ACTIONS(9406), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348676] = 2,
    ACTIONS(9402), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348685] = 2,
    ACTIONS(9177), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348694] = 2,
    ACTIONS(9400), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348703] = 2,
    ACTIONS(3805), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348712] = 2,
    ACTIONS(9394), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348721] = 2,
    ACTIONS(9392), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348730] = 2,
    ACTIONS(9390), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348739] = 2,
    ACTIONS(14392), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348748] = 2,
    ACTIONS(9388), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348757] = 2,
    ACTIONS(3865), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348766] = 2,
    ACTIONS(9277), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348775] = 2,
    ACTIONS(10333), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348784] = 2,
    ACTIONS(9375), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348793] = 2,
    ACTIONS(9373), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348802] = 2,
    ACTIONS(14394), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348811] = 2,
    ACTIONS(14396), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348820] = 2,
    ACTIONS(14398), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348829] = 2,
    ACTIONS(14400), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348838] = 2,
    ACTIONS(9369), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348847] = 2,
    ACTIONS(10585), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348856] = 2,
    ACTIONS(14402), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348865] = 2,
    ACTIONS(11968), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348874] = 2,
    ACTIONS(14404), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348883] = 2,
    ACTIONS(13940), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348892] = 2,
    ACTIONS(9330), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348901] = 2,
    ACTIONS(9358), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348910] = 2,
    ACTIONS(10525), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348919] = 2,
    ACTIONS(9360), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348928] = 2,
    ACTIONS(3895), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348937] = 2,
    ACTIONS(9348), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348946] = 2,
    ACTIONS(9346), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348955] = 2,
    ACTIONS(9344), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348964] = 2,
    ACTIONS(9175), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348973] = 2,
    ACTIONS(10569), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348982] = 2,
    ACTIONS(14406), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [348991] = 2,
    ACTIONS(9342), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349000] = 2,
    ACTIONS(14408), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349009] = 2,
    ACTIONS(9315), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349018] = 2,
    ACTIONS(9336), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349027] = 2,
    ACTIONS(14410), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349036] = 2,
    ACTIONS(9334), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349045] = 2,
    ACTIONS(9264), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349054] = 2,
    ACTIONS(10535), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349063] = 2,
    ACTIONS(9332), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349072] = 2,
    ACTIONS(14412), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349081] = 2,
    ACTIONS(14414), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349090] = 2,
    ACTIONS(14416), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349099] = 2,
    ACTIONS(3965), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349108] = 2,
    ACTIONS(9235), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349117] = 2,
    ACTIONS(9328), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349126] = 2,
    ACTIONS(9228), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349135] = 2,
    ACTIONS(9116), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349144] = 2,
    ACTIONS(10531), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349153] = 2,
    ACTIONS(9326), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349162] = 2,
    ACTIONS(9215), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349171] = 2,
    ACTIONS(9106), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349180] = 2,
    ACTIONS(10565), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349189] = 2,
    ACTIONS(4243), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349198] = 2,
    ACTIONS(9102), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349207] = 2,
    ACTIONS(9169), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349216] = 2,
    ACTIONS(3925), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349225] = 2,
    ACTIONS(9211), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349234] = 2,
    ACTIONS(9100), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349243] = 2,
    ACTIONS(10563), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349252] = 2,
    ACTIONS(9321), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349261] = 2,
    ACTIONS(9195), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349270] = 2,
    ACTIONS(9354), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349279] = 2,
    ACTIONS(13938), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349288] = 2,
    ACTIONS(9317), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349297] = 2,
    ACTIONS(9179), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349306] = 2,
    ACTIONS(14418), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349315] = 2,
    ACTIONS(9167), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349324] = 2,
    ACTIONS(9313), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349333] = 2,
    ACTIONS(4035), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349342] = 2,
    ACTIONS(9319), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349351] = 2,
    ACTIONS(3945), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349360] = 2,
    ACTIONS(9302), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349369] = 2,
    ACTIONS(9298), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349378] = 2,
    ACTIONS(9104), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349387] = 2,
    ACTIONS(9296), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349396] = 2,
    ACTIONS(9294), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349405] = 2,
    ACTIONS(9108), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349414] = 2,
    ACTIONS(9287), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349423] = 2,
    ACTIONS(14420), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349432] = 2,
    ACTIONS(9285), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349441] = 2,
    ACTIONS(9161), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349450] = 2,
    ACTIONS(9173), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349459] = 2,
    ACTIONS(9283), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349468] = 2,
    ACTIONS(14422), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349477] = 2,
    ACTIONS(9281), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349486] = 2,
    ACTIONS(4083), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349495] = 2,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349504] = 2,
    ACTIONS(14424), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349513] = 2,
    ACTIONS(14426), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349522] = 2,
    ACTIONS(9159), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349531] = 2,
    ACTIONS(14428), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349540] = 2,
    ACTIONS(10475), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349549] = 2,
    ACTIONS(3775), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349558] = 2,
    ACTIONS(14430), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349567] = 2,
    ACTIONS(14432), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349576] = 2,
    ACTIONS(14434), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349585] = 2,
    ACTIONS(14436), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349594] = 2,
    ACTIONS(14438), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349603] = 2,
    ACTIONS(14440), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349612] = 2,
    ACTIONS(14442), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349621] = 2,
    ACTIONS(14444), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349630] = 2,
    ACTIONS(11094), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349639] = 2,
    ACTIONS(8098), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349648] = 2,
    ACTIONS(14446), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349657] = 2,
    ACTIONS(14448), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349666] = 2,
    ACTIONS(14450), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349675] = 2,
    ACTIONS(14452), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349684] = 2,
    ACTIONS(14454), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349693] = 2,
    ACTIONS(14456), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349702] = 2,
    ACTIONS(9250), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349711] = 2,
    ACTIONS(14458), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349720] = 2,
    ACTIONS(14460), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349729] = 2,
    ACTIONS(14462), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349738] = 2,
    ACTIONS(11674), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349747] = 2,
    ACTIONS(14464), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349756] = 2,
    ACTIONS(11145), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349765] = 2,
    ACTIONS(10503), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349774] = 2,
    ACTIONS(14466), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349783] = 2,
    ACTIONS(10391), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349792] = 2,
    ACTIONS(14468), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349801] = 2,
    ACTIONS(14470), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349810] = 2,
    ACTIONS(14472), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349819] = 2,
    ACTIONS(14474), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349828] = 2,
    ACTIONS(3995), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349837] = 2,
    ACTIONS(10435), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349846] = 2,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349855] = 2,
    ACTIONS(14476), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349864] = 2,
    ACTIONS(14478), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349873] = 2,
    ACTIONS(14480), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349882] = 2,
    ACTIONS(14482), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349891] = 2,
    ACTIONS(13443), 1,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349900] = 2,
    ACTIONS(10417), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349909] = 2,
    ACTIONS(14484), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349918] = 2,
    ACTIONS(14486), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349927] = 2,
    ACTIONS(14488), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349936] = 2,
    ACTIONS(14490), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349945] = 2,
    ACTIONS(14492), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349954] = 2,
    ACTIONS(4171), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349963] = 2,
    ACTIONS(14494), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349972] = 2,
    ACTIONS(11526), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349981] = 2,
    ACTIONS(14022), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349990] = 2,
    ACTIONS(9141), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [349999] = 2,
    ACTIONS(14496), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350008] = 2,
    ACTIONS(14498), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350017] = 2,
    ACTIONS(9118), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350026] = 2,
    ACTIONS(10439), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350035] = 2,
    ACTIONS(10423), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350044] = 2,
    ACTIONS(9114), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350053] = 2,
    ACTIONS(10419), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350062] = 2,
    ACTIONS(14500), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350071] = 2,
    ACTIONS(9112), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350080] = 2,
    ACTIONS(10407), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350089] = 2,
    ACTIONS(10409), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350098] = 2,
    ACTIONS(9096), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350107] = 2,
    ACTIONS(10405), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350116] = 2,
    ACTIONS(14502), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350125] = 2,
    ACTIONS(10403), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350134] = 2,
    ACTIONS(10397), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350143] = 2,
    ACTIONS(14504), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350152] = 2,
    ACTIONS(9120), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350161] = 2,
    ACTIONS(14506), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350170] = 2,
    ACTIONS(14508), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350179] = 2,
    ACTIONS(9128), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350188] = 2,
    ACTIONS(10395), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350197] = 2,
    ACTIONS(14510), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350206] = 2,
    ACTIONS(14512), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350215] = 2,
    ACTIONS(13119), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350224] = 2,
    ACTIONS(14514), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350233] = 2,
    ACTIONS(14516), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350242] = 2,
    ACTIONS(9139), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350251] = 2,
    ACTIONS(13093), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350260] = 2,
    ACTIONS(14518), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350269] = 2,
    ACTIONS(14520), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350278] = 2,
    ACTIONS(14522), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350287] = 2,
    ACTIONS(9149), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350296] = 2,
    ACTIONS(10381), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350305] = 2,
    ACTIONS(14524), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350314] = 2,
    ACTIONS(14526), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350323] = 2,
    ACTIONS(4113), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350332] = 2,
    ACTIONS(14528), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350341] = 2,
    ACTIONS(10355), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350350] = 2,
    ACTIONS(10345), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350359] = 2,
    ACTIONS(14530), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350368] = 2,
    ACTIONS(14532), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350377] = 2,
    ACTIONS(14534), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350386] = 2,
    ACTIONS(14536), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350395] = 2,
    ACTIONS(14538), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350404] = 2,
    ACTIONS(10363), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350413] = 2,
    ACTIONS(6406), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350422] = 2,
    ACTIONS(14540), 1,
      anon_sym_enum,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350431] = 2,
    ACTIONS(14542), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350440] = 2,
    ACTIONS(14544), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350449] = 2,
    ACTIONS(3395), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350458] = 2,
    ACTIONS(12874), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350467] = 2,
    ACTIONS(12988), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350476] = 2,
    ACTIONS(14546), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350485] = 2,
    ACTIONS(9145), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350494] = 2,
    ACTIONS(10349), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350503] = 2,
    ACTIONS(14548), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350512] = 2,
    ACTIONS(14550), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350521] = 2,
    ACTIONS(14552), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350530] = 2,
    ACTIONS(14554), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350539] = 2,
    ACTIONS(14556), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350548] = 2,
    ACTIONS(9165), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350557] = 2,
    ACTIONS(10301), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350566] = 2,
    ACTIONS(14558), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350575] = 2,
    ACTIONS(10509), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350584] = 2,
    ACTIONS(10337), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350593] = 2,
    ACTIONS(10343), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350602] = 2,
    ACTIONS(14560), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350611] = 2,
    ACTIONS(9137), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350620] = 2,
    ACTIONS(14562), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350629] = 2,
    ACTIONS(14564), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350638] = 2,
    ACTIONS(14566), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350647] = 2,
    ACTIONS(14568), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350656] = 2,
    ACTIONS(14570), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350665] = 2,
    ACTIONS(14572), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350674] = 2,
    ACTIONS(10311), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350683] = 2,
    ACTIONS(14574), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350692] = 2,
    ACTIONS(14576), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350701] = 2,
    ACTIONS(14578), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350710] = 2,
    ACTIONS(14580), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350719] = 2,
    ACTIONS(14582), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350728] = 2,
    ACTIONS(14584), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350737] = 2,
    ACTIONS(9132), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350746] = 2,
    ACTIONS(14586), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350755] = 2,
    ACTIONS(14588), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350764] = 2,
    ACTIONS(10305), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350773] = 2,
    ACTIONS(14590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350782] = 2,
    ACTIONS(9304), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350791] = 2,
    ACTIONS(12854), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350800] = 2,
    ACTIONS(14592), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350809] = 2,
    ACTIONS(14594), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350818] = 2,
    ACTIONS(14596), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350827] = 2,
    ACTIONS(14598), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350836] = 2,
    ACTIONS(14600), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350845] = 2,
    ACTIONS(9151), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350854] = 2,
    ACTIONS(10303), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350863] = 2,
    ACTIONS(14602), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350872] = 2,
    ACTIONS(14604), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350881] = 2,
    ACTIONS(14606), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350890] = 2,
    ACTIONS(14608), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350899] = 2,
    ACTIONS(14610), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350908] = 2,
    ACTIONS(9130), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350917] = 2,
    ACTIONS(14612), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350926] = 2,
    ACTIONS(14614), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350935] = 2,
    ACTIONS(14616), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350944] = 2,
    ACTIONS(14618), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350953] = 2,
    ACTIONS(10291), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350962] = 2,
    ACTIONS(14620), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350971] = 2,
    ACTIONS(9122), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350980] = 2,
    ACTIONS(14622), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350989] = 2,
    ACTIONS(10603), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [350998] = 2,
    ACTIONS(14624), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351007] = 2,
    ACTIONS(14626), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351016] = 2,
    ACTIONS(14628), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351025] = 2,
    ACTIONS(14630), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351034] = 2,
    ACTIONS(14632), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351043] = 2,
    ACTIONS(14634), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351052] = 2,
    ACTIONS(14636), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351061] = 2,
    ACTIONS(14638), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351070] = 2,
    ACTIONS(14640), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351079] = 2,
    ACTIONS(14642), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351088] = 2,
    ACTIONS(14644), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351097] = 2,
    ACTIONS(14646), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351106] = 2,
    ACTIONS(14648), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351115] = 2,
    ACTIONS(14650), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351124] = 2,
    ACTIONS(14652), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351133] = 2,
    ACTIONS(14654), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351142] = 2,
    ACTIONS(14656), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351151] = 2,
    ACTIONS(14658), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351160] = 2,
    ACTIONS(14660), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351169] = 2,
    ACTIONS(14662), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351178] = 2,
    ACTIONS(14664), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351187] = 2,
    ACTIONS(14666), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351196] = 2,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351205] = 2,
    ACTIONS(14670), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351214] = 2,
    ACTIONS(14672), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351223] = 2,
    ACTIONS(9248), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351232] = 2,
    ACTIONS(3455), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351241] = 2,
    ACTIONS(14674), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351250] = 2,
    ACTIONS(14676), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351259] = 2,
    ACTIONS(14678), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351268] = 2,
    ACTIONS(14680), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351277] = 2,
    ACTIONS(4213), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351286] = 2,
    ACTIONS(8030), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351295] = 2,
    ACTIONS(14682), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351304] = 2,
    ACTIONS(3785), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351313] = 2,
    ACTIONS(3405), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351322] = 2,
    ACTIONS(14684), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351331] = 2,
    ACTIONS(14686), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351340] = 2,
    ACTIONS(14688), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351349] = 2,
    ACTIONS(14690), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351358] = 2,
    ACTIONS(14692), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351367] = 2,
    ACTIONS(12723), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351376] = 2,
    ACTIONS(14694), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351385] = 2,
    ACTIONS(9110), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351394] = 2,
    ACTIONS(14696), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351403] = 2,
    ACTIONS(9219), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351412] = 2,
    ACTIONS(9204), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351421] = 2,
    ACTIONS(14698), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351430] = 2,
    ACTIONS(14700), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351439] = 2,
    ACTIONS(10251), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351448] = 2,
    ACTIONS(3485), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351457] = 2,
    ACTIONS(14702), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351466] = 2,
    ACTIONS(9163), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351475] = 2,
    ACTIONS(14704), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351484] = 2,
    ACTIONS(9404), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351493] = 2,
    ACTIONS(9230), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351502] = 2,
    ACTIONS(8042), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351511] = 2,
    ACTIONS(14706), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351520] = 2,
    ACTIONS(9187), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351529] = 2,
    ACTIONS(14708), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351538] = 2,
    ACTIONS(14710), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351547] = 2,
    ACTIONS(9183), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351556] = 2,
    ACTIONS(9181), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351565] = 2,
    ACTIONS(14712), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351574] = 2,
    ACTIONS(12622), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351583] = 2,
    ACTIONS(14714), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351592] = 2,
    ACTIONS(14716), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351601] = 2,
    ACTIONS(14718), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351610] = 2,
    ACTIONS(12604), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351619] = 2,
    ACTIONS(9262), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351628] = 2,
    ACTIONS(14720), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351637] = 2,
    ACTIONS(9171), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351646] = 2,
    ACTIONS(14722), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351655] = 2,
    ACTIONS(9191), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351664] = 2,
    ACTIONS(10203), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351673] = 2,
    ACTIONS(14724), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351682] = 2,
    ACTIONS(14726), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351691] = 2,
    ACTIONS(14728), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351700] = 2,
    ACTIONS(14730), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351709] = 2,
    ACTIONS(9275), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351718] = 2,
    ACTIONS(10223), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351727] = 2,
    ACTIONS(14732), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351736] = 2,
    ACTIONS(9084), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351745] = 2,
    ACTIONS(14734), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351754] = 2,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351763] = 2,
    ACTIONS(14736), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351772] = 2,
    ACTIONS(14738), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351781] = 2,
    ACTIONS(14740), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351790] = 2,
    ACTIONS(14742), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351799] = 2,
    ACTIONS(9217), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351808] = 2,
    ACTIONS(14744), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351817] = 2,
    ACTIONS(14746), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351826] = 2,
    ACTIONS(14748), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351835] = 2,
    ACTIONS(14750), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351844] = 2,
    ACTIONS(12527), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351853] = 2,
    ACTIONS(14752), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351862] = 2,
    ACTIONS(14754), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351871] = 2,
    ACTIONS(14756), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351880] = 2,
    ACTIONS(12495), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351889] = 2,
    ACTIONS(14758), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351898] = 2,
    ACTIONS(14760), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351907] = 2,
    ACTIONS(14762), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351916] = 2,
    ACTIONS(14764), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351925] = 2,
    ACTIONS(14766), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351934] = 2,
    ACTIONS(12475), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351943] = 2,
    ACTIONS(14768), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351952] = 2,
    ACTIONS(14770), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351961] = 2,
    ACTIONS(14772), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351970] = 2,
    ACTIONS(14774), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351979] = 2,
    ACTIONS(14776), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351988] = 2,
    ACTIONS(14778), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [351997] = 2,
    ACTIONS(14780), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352006] = 2,
    ACTIONS(14782), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352015] = 2,
    ACTIONS(14784), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352024] = 2,
    ACTIONS(14786), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352033] = 2,
    ACTIONS(14788), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352042] = 2,
    ACTIONS(14790), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352051] = 2,
    ACTIONS(14792), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352060] = 2,
    ACTIONS(14794), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352069] = 2,
    ACTIONS(14796), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352078] = 2,
    ACTIONS(14798), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352087] = 2,
    ACTIONS(14800), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352096] = 2,
    ACTIONS(14802), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352105] = 2,
    ACTIONS(14804), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352114] = 2,
    ACTIONS(14806), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352123] = 2,
    ACTIONS(14808), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352132] = 2,
    ACTIONS(14810), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352141] = 2,
    ACTIONS(14812), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352150] = 2,
    ACTIONS(14814), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352159] = 2,
    ACTIONS(14816), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352168] = 2,
    ACTIONS(14818), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352177] = 2,
    ACTIONS(14820), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352186] = 2,
    ACTIONS(14822), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352195] = 2,
    ACTIONS(14824), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352204] = 2,
    ACTIONS(14826), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352213] = 2,
    ACTIONS(14828), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352222] = 2,
    ACTIONS(14830), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352231] = 2,
    ACTIONS(14832), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352240] = 2,
    ACTIONS(14834), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352249] = 2,
    ACTIONS(14836), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352258] = 2,
    ACTIONS(14838), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352267] = 2,
    ACTIONS(14840), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352276] = 2,
    ACTIONS(14842), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352285] = 2,
    ACTIONS(14844), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352294] = 2,
    ACTIONS(14846), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352303] = 2,
    ACTIONS(14848), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352312] = 2,
    ACTIONS(14850), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352321] = 2,
    ACTIONS(14852), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352330] = 2,
    ACTIONS(14854), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352339] = 2,
    ACTIONS(12501), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352348] = 2,
    ACTIONS(14856), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352357] = 2,
    ACTIONS(14858), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352366] = 2,
    ACTIONS(14860), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352375] = 2,
    ACTIONS(14862), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352384] = 2,
    ACTIONS(14864), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352393] = 2,
    ACTIONS(14866), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352402] = 2,
    ACTIONS(14868), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352411] = 2,
    ACTIONS(14870), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352420] = 2,
    ACTIONS(14872), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352429] = 2,
    ACTIONS(14874), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352438] = 2,
    ACTIONS(14876), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352447] = 2,
    ACTIONS(14878), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352456] = 2,
    ACTIONS(14880), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352465] = 2,
    ACTIONS(3355), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352474] = 2,
    ACTIONS(14882), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352483] = 2,
    ACTIONS(14884), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352492] = 2,
    ACTIONS(14886), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352501] = 2,
    ACTIONS(14888), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352510] = 2,
    ACTIONS(12407), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352519] = 2,
    ACTIONS(14890), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352528] = 2,
    ACTIONS(12580), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352537] = 2,
    ACTIONS(14892), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352546] = 2,
    ACTIONS(12386), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352555] = 2,
    ACTIONS(12413), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352564] = 2,
    ACTIONS(14894), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352573] = 2,
    ACTIONS(14896), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352582] = 2,
    ACTIONS(14898), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352591] = 2,
    ACTIONS(14900), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352600] = 2,
    ACTIONS(14902), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352609] = 2,
    ACTIONS(14904), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352618] = 2,
    ACTIONS(9143), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352627] = 2,
    ACTIONS(14906), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352636] = 2,
    ACTIONS(14908), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352645] = 2,
    ACTIONS(14910), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352654] = 2,
    ACTIONS(12356), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352663] = 2,
    ACTIONS(14912), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352672] = 2,
    ACTIONS(9098), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352681] = 2,
    ACTIONS(14914), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352690] = 2,
    ACTIONS(9094), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352699] = 2,
    ACTIONS(12309), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352708] = 2,
    ACTIONS(14916), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352717] = 2,
    ACTIONS(14918), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352726] = 2,
    ACTIONS(14920), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352735] = 2,
    ACTIONS(12287), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352744] = 2,
    ACTIONS(14922), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352753] = 2,
    ACTIONS(10133), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [352762] = 2,
    ACTIONS(14924), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2057)] = 0,
  [SMALL_STATE(2058)] = 71,
  [SMALL_STATE(2059)] = 142,
  [SMALL_STATE(2060)] = 213,
  [SMALL_STATE(2061)] = 284,
  [SMALL_STATE(2062)] = 355,
  [SMALL_STATE(2063)] = 430,
  [SMALL_STATE(2064)] = 505,
  [SMALL_STATE(2065)] = 576,
  [SMALL_STATE(2066)] = 651,
  [SMALL_STATE(2067)] = 722,
  [SMALL_STATE(2068)] = 793,
  [SMALL_STATE(2069)] = 864,
  [SMALL_STATE(2070)] = 935,
  [SMALL_STATE(2071)] = 1006,
  [SMALL_STATE(2072)] = 1137,
  [SMALL_STATE(2073)] = 1208,
  [SMALL_STATE(2074)] = 1279,
  [SMALL_STATE(2075)] = 1350,
  [SMALL_STATE(2076)] = 1421,
  [SMALL_STATE(2077)] = 1492,
  [SMALL_STATE(2078)] = 1563,
  [SMALL_STATE(2079)] = 1634,
  [SMALL_STATE(2080)] = 1705,
  [SMALL_STATE(2081)] = 1776,
  [SMALL_STATE(2082)] = 1847,
  [SMALL_STATE(2083)] = 1918,
  [SMALL_STATE(2084)] = 1989,
  [SMALL_STATE(2085)] = 2060,
  [SMALL_STATE(2086)] = 2131,
  [SMALL_STATE(2087)] = 2262,
  [SMALL_STATE(2088)] = 2333,
  [SMALL_STATE(2089)] = 2464,
  [SMALL_STATE(2090)] = 2535,
  [SMALL_STATE(2091)] = 2606,
  [SMALL_STATE(2092)] = 2677,
  [SMALL_STATE(2093)] = 2748,
  [SMALL_STATE(2094)] = 2823,
  [SMALL_STATE(2095)] = 2894,
  [SMALL_STATE(2096)] = 2965,
  [SMALL_STATE(2097)] = 3036,
  [SMALL_STATE(2098)] = 3113,
  [SMALL_STATE(2099)] = 3184,
  [SMALL_STATE(2100)] = 3315,
  [SMALL_STATE(2101)] = 3386,
  [SMALL_STATE(2102)] = 3457,
  [SMALL_STATE(2103)] = 3528,
  [SMALL_STATE(2104)] = 3599,
  [SMALL_STATE(2105)] = 3730,
  [SMALL_STATE(2106)] = 3801,
  [SMALL_STATE(2107)] = 3872,
  [SMALL_STATE(2108)] = 3943,
  [SMALL_STATE(2109)] = 4074,
  [SMALL_STATE(2110)] = 4145,
  [SMALL_STATE(2111)] = 4216,
  [SMALL_STATE(2112)] = 4287,
  [SMALL_STATE(2113)] = 4360,
  [SMALL_STATE(2114)] = 4431,
  [SMALL_STATE(2115)] = 4502,
  [SMALL_STATE(2116)] = 4573,
  [SMALL_STATE(2117)] = 4644,
  [SMALL_STATE(2118)] = 4715,
  [SMALL_STATE(2119)] = 4786,
  [SMALL_STATE(2120)] = 4857,
  [SMALL_STATE(2121)] = 4928,
  [SMALL_STATE(2122)] = 4999,
  [SMALL_STATE(2123)] = 5070,
  [SMALL_STATE(2124)] = 5141,
  [SMALL_STATE(2125)] = 5212,
  [SMALL_STATE(2126)] = 5287,
  [SMALL_STATE(2127)] = 5358,
  [SMALL_STATE(2128)] = 5431,
  [SMALL_STATE(2129)] = 5502,
  [SMALL_STATE(2130)] = 5573,
  [SMALL_STATE(2131)] = 5644,
  [SMALL_STATE(2132)] = 5715,
  [SMALL_STATE(2133)] = 5822,
  [SMALL_STATE(2134)] = 5953,
  [SMALL_STATE(2135)] = 6068,
  [SMALL_STATE(2136)] = 6139,
  [SMALL_STATE(2137)] = 6210,
  [SMALL_STATE(2138)] = 6281,
  [SMALL_STATE(2139)] = 6352,
  [SMALL_STATE(2140)] = 6423,
  [SMALL_STATE(2141)] = 6494,
  [SMALL_STATE(2142)] = 6565,
  [SMALL_STATE(2143)] = 6636,
  [SMALL_STATE(2144)] = 6707,
  [SMALL_STATE(2145)] = 6778,
  [SMALL_STATE(2146)] = 6849,
  [SMALL_STATE(2147)] = 6928,
  [SMALL_STATE(2148)] = 6999,
  [SMALL_STATE(2149)] = 7070,
  [SMALL_STATE(2150)] = 7141,
  [SMALL_STATE(2151)] = 7212,
  [SMALL_STATE(2152)] = 7283,
  [SMALL_STATE(2153)] = 7354,
  [SMALL_STATE(2154)] = 7485,
  [SMALL_STATE(2155)] = 7556,
  [SMALL_STATE(2156)] = 7633,
  [SMALL_STATE(2157)] = 7718,
  [SMALL_STATE(2158)] = 7803,
  [SMALL_STATE(2159)] = 7874,
  [SMALL_STATE(2160)] = 7945,
  [SMALL_STATE(2161)] = 8018,
  [SMALL_STATE(2162)] = 8089,
  [SMALL_STATE(2163)] = 8160,
  [SMALL_STATE(2164)] = 8291,
  [SMALL_STATE(2165)] = 8370,
  [SMALL_STATE(2166)] = 8441,
  [SMALL_STATE(2167)] = 8512,
  [SMALL_STATE(2168)] = 8595,
  [SMALL_STATE(2169)] = 8674,
  [SMALL_STATE(2170)] = 8745,
  [SMALL_STATE(2171)] = 8824,
  [SMALL_STATE(2172)] = 8895,
  [SMALL_STATE(2173)] = 8968,
  [SMALL_STATE(2174)] = 9083,
  [SMALL_STATE(2175)] = 9158,
  [SMALL_STATE(2176)] = 9229,
  [SMALL_STATE(2177)] = 9300,
  [SMALL_STATE(2178)] = 9371,
  [SMALL_STATE(2179)] = 9442,
  [SMALL_STATE(2180)] = 9513,
  [SMALL_STATE(2181)] = 9584,
  [SMALL_STATE(2182)] = 9699,
  [SMALL_STATE(2183)] = 9830,
  [SMALL_STATE(2184)] = 9901,
  [SMALL_STATE(2185)] = 9972,
  [SMALL_STATE(2186)] = 10043,
  [SMALL_STATE(2187)] = 10114,
  [SMALL_STATE(2188)] = 10201,
  [SMALL_STATE(2189)] = 10284,
  [SMALL_STATE(2190)] = 10371,
  [SMALL_STATE(2191)] = 10442,
  [SMALL_STATE(2192)] = 10513,
  [SMALL_STATE(2193)] = 10592,
  [SMALL_STATE(2194)] = 10671,
  [SMALL_STATE(2195)] = 10756,
  [SMALL_STATE(2196)] = 10843,
  [SMALL_STATE(2197)] = 10938,
  [SMALL_STATE(2198)] = 11009,
  [SMALL_STATE(2199)] = 11106,
  [SMALL_STATE(2200)] = 11189,
  [SMALL_STATE(2201)] = 11290,
  [SMALL_STATE(2202)] = 11393,
  [SMALL_STATE(2203)] = 11464,
  [SMALL_STATE(2204)] = 11535,
  [SMALL_STATE(2205)] = 11606,
  [SMALL_STATE(2206)] = 11677,
  [SMALL_STATE(2207)] = 11760,
  [SMALL_STATE(2208)] = 11831,
  [SMALL_STATE(2209)] = 11902,
  [SMALL_STATE(2210)] = 11991,
  [SMALL_STATE(2211)] = 12082,
  [SMALL_STATE(2212)] = 12165,
  [SMALL_STATE(2213)] = 12236,
  [SMALL_STATE(2214)] = 12353,
  [SMALL_STATE(2215)] = 12446,
  [SMALL_STATE(2216)] = 12517,
  [SMALL_STATE(2217)] = 12596,
  [SMALL_STATE(2218)] = 12667,
  [SMALL_STATE(2219)] = 12754,
  [SMALL_STATE(2220)] = 12825,
  [SMALL_STATE(2221)] = 12908,
  [SMALL_STATE(2222)] = 12979,
  [SMALL_STATE(2223)] = 13062,
  [SMALL_STATE(2224)] = 13133,
  [SMALL_STATE(2225)] = 13204,
  [SMALL_STATE(2226)] = 13275,
  [SMALL_STATE(2227)] = 13346,
  [SMALL_STATE(2228)] = 13417,
  [SMALL_STATE(2229)] = 13492,
  [SMALL_STATE(2230)] = 13567,
  [SMALL_STATE(2231)] = 13698,
  [SMALL_STATE(2232)] = 13775,
  [SMALL_STATE(2233)] = 13846,
  [SMALL_STATE(2234)] = 13917,
  [SMALL_STATE(2235)] = 13988,
  [SMALL_STATE(2236)] = 14119,
  [SMALL_STATE(2237)] = 14194,
  [SMALL_STATE(2238)] = 14265,
  [SMALL_STATE(2239)] = 14336,
  [SMALL_STATE(2240)] = 14407,
  [SMALL_STATE(2241)] = 14478,
  [SMALL_STATE(2242)] = 14549,
  [SMALL_STATE(2243)] = 14620,
  [SMALL_STATE(2244)] = 14691,
  [SMALL_STATE(2245)] = 14762,
  [SMALL_STATE(2246)] = 14833,
  [SMALL_STATE(2247)] = 14904,
  [SMALL_STATE(2248)] = 15035,
  [SMALL_STATE(2249)] = 15106,
  [SMALL_STATE(2250)] = 15177,
  [SMALL_STATE(2251)] = 15248,
  [SMALL_STATE(2252)] = 15323,
  [SMALL_STATE(2253)] = 15394,
  [SMALL_STATE(2254)] = 15465,
  [SMALL_STATE(2255)] = 15536,
  [SMALL_STATE(2256)] = 15613,
  [SMALL_STATE(2257)] = 15684,
  [SMALL_STATE(2258)] = 15755,
  [SMALL_STATE(2259)] = 15826,
  [SMALL_STATE(2260)] = 15905,
  [SMALL_STATE(2261)] = 15984,
  [SMALL_STATE(2262)] = 16055,
  [SMALL_STATE(2263)] = 16126,
  [SMALL_STATE(2264)] = 16197,
  [SMALL_STATE(2265)] = 16268,
  [SMALL_STATE(2266)] = 16339,
  [SMALL_STATE(2267)] = 16410,
  [SMALL_STATE(2268)] = 16481,
  [SMALL_STATE(2269)] = 16612,
  [SMALL_STATE(2270)] = 16683,
  [SMALL_STATE(2271)] = 16762,
  [SMALL_STATE(2272)] = 16833,
  [SMALL_STATE(2273)] = 16904,
  [SMALL_STATE(2274)] = 16975,
  [SMALL_STATE(2275)] = 17046,
  [SMALL_STATE(2276)] = 17117,
  [SMALL_STATE(2277)] = 17248,
  [SMALL_STATE(2278)] = 17319,
  [SMALL_STATE(2279)] = 17394,
  [SMALL_STATE(2280)] = 17465,
  [SMALL_STATE(2281)] = 17536,
  [SMALL_STATE(2282)] = 17607,
  [SMALL_STATE(2283)] = 17678,
  [SMALL_STATE(2284)] = 17749,
  [SMALL_STATE(2285)] = 17820,
  [SMALL_STATE(2286)] = 17891,
  [SMALL_STATE(2287)] = 17962,
  [SMALL_STATE(2288)] = 18033,
  [SMALL_STATE(2289)] = 18112,
  [SMALL_STATE(2290)] = 18243,
  [SMALL_STATE(2291)] = 18314,
  [SMALL_STATE(2292)] = 18389,
  [SMALL_STATE(2293)] = 18460,
  [SMALL_STATE(2294)] = 18531,
  [SMALL_STATE(2295)] = 18602,
  [SMALL_STATE(2296)] = 18673,
  [SMALL_STATE(2297)] = 18744,
  [SMALL_STATE(2298)] = 18814,
  [SMALL_STATE(2299)] = 18884,
  [SMALL_STATE(2300)] = 18954,
  [SMALL_STATE(2301)] = 19024,
  [SMALL_STATE(2302)] = 19120,
  [SMALL_STATE(2303)] = 19190,
  [SMALL_STATE(2304)] = 19260,
  [SMALL_STATE(2305)] = 19336,
  [SMALL_STATE(2306)] = 19406,
  [SMALL_STATE(2307)] = 19500,
  [SMALL_STATE(2308)] = 19570,
  [SMALL_STATE(2309)] = 19656,
  [SMALL_STATE(2310)] = 19726,
  [SMALL_STATE(2311)] = 19796,
  [SMALL_STATE(2312)] = 19870,
  [SMALL_STATE(2313)] = 19940,
  [SMALL_STATE(2314)] = 20010,
  [SMALL_STATE(2315)] = 20088,
  [SMALL_STATE(2316)] = 20166,
  [SMALL_STATE(2317)] = 20240,
  [SMALL_STATE(2318)] = 20310,
  [SMALL_STATE(2319)] = 20380,
  [SMALL_STATE(2320)] = 20450,
  [SMALL_STATE(2321)] = 20524,
  [SMALL_STATE(2322)] = 20596,
  [SMALL_STATE(2323)] = 20680,
  [SMALL_STATE(2324)] = 20750,
  [SMALL_STATE(2325)] = 20820,
  [SMALL_STATE(2326)] = 20890,
  [SMALL_STATE(2327)] = 20968,
  [SMALL_STATE(2328)] = 21038,
  [SMALL_STATE(2329)] = 21114,
  [SMALL_STATE(2330)] = 21184,
  [SMALL_STATE(2331)] = 21254,
  [SMALL_STATE(2332)] = 21324,
  [SMALL_STATE(2333)] = 21394,
  [SMALL_STATE(2334)] = 21464,
  [SMALL_STATE(2335)] = 21536,
  [SMALL_STATE(2336)] = 21606,
  [SMALL_STATE(2337)] = 21676,
  [SMALL_STATE(2338)] = 21750,
  [SMALL_STATE(2339)] = 21864,
  [SMALL_STATE(2340)] = 21934,
  [SMALL_STATE(2341)] = 22008,
  [SMALL_STATE(2342)] = 22078,
  [SMALL_STATE(2343)] = 22148,
  [SMALL_STATE(2344)] = 22218,
  [SMALL_STATE(2345)] = 22292,
  [SMALL_STATE(2346)] = 22362,
  [SMALL_STATE(2347)] = 22432,
  [SMALL_STATE(2348)] = 22502,
  [SMALL_STATE(2349)] = 22572,
  [SMALL_STATE(2350)] = 22642,
  [SMALL_STATE(2351)] = 22720,
  [SMALL_STATE(2352)] = 22790,
  [SMALL_STATE(2353)] = 22890,
  [SMALL_STATE(2354)] = 22960,
  [SMALL_STATE(2355)] = 23030,
  [SMALL_STATE(2356)] = 23100,
  [SMALL_STATE(2357)] = 23170,
  [SMALL_STATE(2358)] = 23248,
  [SMALL_STATE(2359)] = 23362,
  [SMALL_STATE(2360)] = 23440,
  [SMALL_STATE(2361)] = 23514,
  [SMALL_STATE(2362)] = 23620,
  [SMALL_STATE(2363)] = 23690,
  [SMALL_STATE(2364)] = 23764,
  [SMALL_STATE(2365)] = 23834,
  [SMALL_STATE(2366)] = 23904,
  [SMALL_STATE(2367)] = 23980,
  [SMALL_STATE(2368)] = 24050,
  [SMALL_STATE(2369)] = 24120,
  [SMALL_STATE(2370)] = 24190,
  [SMALL_STATE(2371)] = 24260,
  [SMALL_STATE(2372)] = 24330,
  [SMALL_STATE(2373)] = 24400,
  [SMALL_STATE(2374)] = 24502,
  [SMALL_STATE(2375)] = 24572,
  [SMALL_STATE(2376)] = 24642,
  [SMALL_STATE(2377)] = 24712,
  [SMALL_STATE(2378)] = 24782,
  [SMALL_STATE(2379)] = 24852,
  [SMALL_STATE(2380)] = 24922,
  [SMALL_STATE(2381)] = 24992,
  [SMALL_STATE(2382)] = 25066,
  [SMALL_STATE(2383)] = 25136,
  [SMALL_STATE(2384)] = 25206,
  [SMALL_STATE(2385)] = 25276,
  [SMALL_STATE(2386)] = 25364,
  [SMALL_STATE(2387)] = 25434,
  [SMALL_STATE(2388)] = 25504,
  [SMALL_STATE(2389)] = 25574,
  [SMALL_STATE(2390)] = 25644,
  [SMALL_STATE(2391)] = 25714,
  [SMALL_STATE(2392)] = 25784,
  [SMALL_STATE(2393)] = 25854,
  [SMALL_STATE(2394)] = 25924,
  [SMALL_STATE(2395)] = 25994,
  [SMALL_STATE(2396)] = 26064,
  [SMALL_STATE(2397)] = 26134,
  [SMALL_STATE(2398)] = 26204,
  [SMALL_STATE(2399)] = 26274,
  [SMALL_STATE(2400)] = 26350,
  [SMALL_STATE(2401)] = 26420,
  [SMALL_STATE(2402)] = 26490,
  [SMALL_STATE(2403)] = 26560,
  [SMALL_STATE(2404)] = 26650,
  [SMALL_STATE(2405)] = 26720,
  [SMALL_STATE(2406)] = 26790,
  [SMALL_STATE(2407)] = 26860,
  [SMALL_STATE(2408)] = 26930,
  [SMALL_STATE(2409)] = 27000,
  [SMALL_STATE(2410)] = 27070,
  [SMALL_STATE(2411)] = 27140,
  [SMALL_STATE(2412)] = 27210,
  [SMALL_STATE(2413)] = 27280,
  [SMALL_STATE(2414)] = 27350,
  [SMALL_STATE(2415)] = 27420,
  [SMALL_STATE(2416)] = 27490,
  [SMALL_STATE(2417)] = 27560,
  [SMALL_STATE(2418)] = 27630,
  [SMALL_STATE(2419)] = 27700,
  [SMALL_STATE(2420)] = 27770,
  [SMALL_STATE(2421)] = 27840,
  [SMALL_STATE(2422)] = 27910,
  [SMALL_STATE(2423)] = 27980,
  [SMALL_STATE(2424)] = 28050,
  [SMALL_STATE(2425)] = 28126,
  [SMALL_STATE(2426)] = 28200,
  [SMALL_STATE(2427)] = 28270,
  [SMALL_STATE(2428)] = 28340,
  [SMALL_STATE(2429)] = 28410,
  [SMALL_STATE(2430)] = 28492,
  [SMALL_STATE(2431)] = 28608,
  [SMALL_STATE(2432)] = 28680,
  [SMALL_STATE(2433)] = 28750,
  [SMALL_STATE(2434)] = 28826,
  [SMALL_STATE(2435)] = 28896,
  [SMALL_STATE(2436)] = 28966,
  [SMALL_STATE(2437)] = 29036,
  [SMALL_STATE(2438)] = 29106,
  [SMALL_STATE(2439)] = 29176,
  [SMALL_STATE(2440)] = 29246,
  [SMALL_STATE(2441)] = 29322,
  [SMALL_STATE(2442)] = 29414,
  [SMALL_STATE(2443)] = 29484,
  [SMALL_STATE(2444)] = 29554,
  [SMALL_STATE(2445)] = 29624,
  [SMALL_STATE(2446)] = 29694,
  [SMALL_STATE(2447)] = 29764,
  [SMALL_STATE(2448)] = 29834,
  [SMALL_STATE(2449)] = 29911,
  [SMALL_STATE(2450)] = 29984,
  [SMALL_STATE(2451)] = 30061,
  [SMALL_STATE(2452)] = 30132,
  [SMALL_STATE(2453)] = 30245,
  [SMALL_STATE(2454)] = 30330,
  [SMALL_STATE(2455)] = 30401,
  [SMALL_STATE(2456)] = 30494,
  [SMALL_STATE(2457)] = 30571,
  [SMALL_STATE(2458)] = 30666,
  [SMALL_STATE(2459)] = 30765,
  [SMALL_STATE(2460)] = 30866,
  [SMALL_STATE(2461)] = 30943,
  [SMALL_STATE(2462)] = 31020,
  [SMALL_STATE(2463)] = 31097,
  [SMALL_STATE(2464)] = 31184,
  [SMALL_STATE(2465)] = 31261,
  [SMALL_STATE(2466)] = 31330,
  [SMALL_STATE(2467)] = 31419,
  [SMALL_STATE(2468)] = 31500,
  [SMALL_STATE(2469)] = 31573,
  [SMALL_STATE(2470)] = 31688,
  [SMALL_STATE(2471)] = 31765,
  [SMALL_STATE(2472)] = 31856,
  [SMALL_STATE(2473)] = 31927,
  [SMALL_STATE(2474)] = 31996,
  [SMALL_STATE(2475)] = 32065,
  [SMALL_STATE(2476)] = 32142,
  [SMALL_STATE(2477)] = 32211,
  [SMALL_STATE(2478)] = 32280,
  [SMALL_STATE(2479)] = 32349,
  [SMALL_STATE(2480)] = 32418,
  [SMALL_STATE(2481)] = 32495,
  [SMALL_STATE(2482)] = 32566,
  [SMALL_STATE(2483)] = 32671,
  [SMALL_STATE(2484)] = 32784,
  [SMALL_STATE(2485)] = 32867,
  [SMALL_STATE(2486)] = 32944,
  [SMALL_STATE(2487)] = 33013,
  [SMALL_STATE(2488)] = 33090,
  [SMALL_STATE(2489)] = 33164,
  [SMALL_STATE(2490)] = 33232,
  [SMALL_STATE(2491)] = 33306,
  [SMALL_STATE(2492)] = 33374,
  [SMALL_STATE(2493)] = 33442,
  [SMALL_STATE(2494)] = 33510,
  [SMALL_STATE(2495)] = 33578,
  [SMALL_STATE(2496)] = 33646,
  [SMALL_STATE(2497)] = 33714,
  [SMALL_STATE(2498)] = 33786,
  [SMALL_STATE(2499)] = 33854,
  [SMALL_STATE(2500)] = 33922,
  [SMALL_STATE(2501)] = 33990,
  [SMALL_STATE(2502)] = 34058,
  [SMALL_STATE(2503)] = 34130,
  [SMALL_STATE(2504)] = 34198,
  [SMALL_STATE(2505)] = 34266,
  [SMALL_STATE(2506)] = 34340,
  [SMALL_STATE(2507)] = 34408,
  [SMALL_STATE(2508)] = 34476,
  [SMALL_STATE(2509)] = 34544,
  [SMALL_STATE(2510)] = 34612,
  [SMALL_STATE(2511)] = 34680,
  [SMALL_STATE(2512)] = 34752,
  [SMALL_STATE(2513)] = 34822,
  [SMALL_STATE(2514)] = 34890,
  [SMALL_STATE(2515)] = 34958,
  [SMALL_STATE(2516)] = 35026,
  [SMALL_STATE(2517)] = 35094,
  [SMALL_STATE(2518)] = 35162,
  [SMALL_STATE(2519)] = 35230,
  [SMALL_STATE(2520)] = 35304,
  [SMALL_STATE(2521)] = 35378,
  [SMALL_STATE(2522)] = 35446,
  [SMALL_STATE(2523)] = 35518,
  [SMALL_STATE(2524)] = 35586,
  [SMALL_STATE(2525)] = 35654,
  [SMALL_STATE(2526)] = 35722,
  [SMALL_STATE(2527)] = 35790,
  [SMALL_STATE(2528)] = 35858,
  [SMALL_STATE(2529)] = 35926,
  [SMALL_STATE(2530)] = 35994,
  [SMALL_STATE(2531)] = 36066,
  [SMALL_STATE(2532)] = 36134,
  [SMALL_STATE(2533)] = 36202,
  [SMALL_STATE(2534)] = 36276,
  [SMALL_STATE(2535)] = 36348,
  [SMALL_STATE(2536)] = 36416,
  [SMALL_STATE(2537)] = 36484,
  [SMALL_STATE(2538)] = 36552,
  [SMALL_STATE(2539)] = 36620,
  [SMALL_STATE(2540)] = 36694,
  [SMALL_STATE(2541)] = 36762,
  [SMALL_STATE(2542)] = 36830,
  [SMALL_STATE(2543)] = 36898,
  [SMALL_STATE(2544)] = 36966,
  [SMALL_STATE(2545)] = 37034,
  [SMALL_STATE(2546)] = 37108,
  [SMALL_STATE(2547)] = 37176,
  [SMALL_STATE(2548)] = 37244,
  [SMALL_STATE(2549)] = 37312,
  [SMALL_STATE(2550)] = 37380,
  [SMALL_STATE(2551)] = 37491,
  [SMALL_STATE(2552)] = 37594,
  [SMALL_STATE(2553)] = 37665,
  [SMALL_STATE(2554)] = 37736,
  [SMALL_STATE(2555)] = 37809,
  [SMALL_STATE(2556)] = 37880,
  [SMALL_STATE(2557)] = 37951,
  [SMALL_STATE(2558)] = 38022,
  [SMALL_STATE(2559)] = 38093,
  [SMALL_STATE(2560)] = 38164,
  [SMALL_STATE(2561)] = 38253,
  [SMALL_STATE(2562)] = 38320,
  [SMALL_STATE(2563)] = 38387,
  [SMALL_STATE(2564)] = 38454,
  [SMALL_STATE(2565)] = 38521,
  [SMALL_STATE(2566)] = 38634,
  [SMALL_STATE(2567)] = 38701,
  [SMALL_STATE(2568)] = 38768,
  [SMALL_STATE(2569)] = 38835,
  [SMALL_STATE(2570)] = 38902,
  [SMALL_STATE(2571)] = 38969,
  [SMALL_STATE(2572)] = 39036,
  [SMALL_STATE(2573)] = 39103,
  [SMALL_STATE(2574)] = 39170,
  [SMALL_STATE(2575)] = 39237,
  [SMALL_STATE(2576)] = 39304,
  [SMALL_STATE(2577)] = 39371,
  [SMALL_STATE(2578)] = 39438,
  [SMALL_STATE(2579)] = 39505,
  [SMALL_STATE(2580)] = 39584,
  [SMALL_STATE(2581)] = 39671,
  [SMALL_STATE(2582)] = 39738,
  [SMALL_STATE(2583)] = 39805,
  [SMALL_STATE(2584)] = 39872,
  [SMALL_STATE(2585)] = 39939,
  [SMALL_STATE(2586)] = 40006,
  [SMALL_STATE(2587)] = 40077,
  [SMALL_STATE(2588)] = 40144,
  [SMALL_STATE(2589)] = 40215,
  [SMALL_STATE(2590)] = 40282,
  [SMALL_STATE(2591)] = 40349,
  [SMALL_STATE(2592)] = 40416,
  [SMALL_STATE(2593)] = 40483,
  [SMALL_STATE(2594)] = 40550,
  [SMALL_STATE(2595)] = 40617,
  [SMALL_STATE(2596)] = 40684,
  [SMALL_STATE(2597)] = 40751,
  [SMALL_STATE(2598)] = 40818,
  [SMALL_STATE(2599)] = 40885,
  [SMALL_STATE(2600)] = 40952,
  [SMALL_STATE(2601)] = 41019,
  [SMALL_STATE(2602)] = 41086,
  [SMALL_STATE(2603)] = 41171,
  [SMALL_STATE(2604)] = 41270,
  [SMALL_STATE(2605)] = 41337,
  [SMALL_STATE(2606)] = 41404,
  [SMALL_STATE(2607)] = 41471,
  [SMALL_STATE(2608)] = 41538,
  [SMALL_STATE(2609)] = 41605,
  [SMALL_STATE(2610)] = 41672,
  [SMALL_STATE(2611)] = 41769,
  [SMALL_STATE(2612)] = 41836,
  [SMALL_STATE(2613)] = 41903,
  [SMALL_STATE(2614)] = 41996,
  [SMALL_STATE(2615)] = 42063,
  [SMALL_STATE(2616)] = 42130,
  [SMALL_STATE(2617)] = 42221,
  [SMALL_STATE(2618)] = 42288,
  [SMALL_STATE(2619)] = 42371,
  [SMALL_STATE(2620)] = 42438,
  [SMALL_STATE(2621)] = 42505,
  [SMALL_STATE(2622)] = 42572,
  [SMALL_STATE(2623)] = 42653,
  [SMALL_STATE(2624)] = 42768,
  [SMALL_STATE(2625)] = 42843,
  [SMALL_STATE(2626)] = 42954,
  [SMALL_STATE(2627)] = 43029,
  [SMALL_STATE(2628)] = 43096,
  [SMALL_STATE(2629)] = 43167,
  [SMALL_STATE(2630)] = 43242,
  [SMALL_STATE(2631)] = 43309,
  [SMALL_STATE(2632)] = 43376,
  [SMALL_STATE(2633)] = 43443,
  [SMALL_STATE(2634)] = 43516,
  [SMALL_STATE(2635)] = 43583,
  [SMALL_STATE(2636)] = 43650,
  [SMALL_STATE(2637)] = 43717,
  [SMALL_STATE(2638)] = 43784,
  [SMALL_STATE(2639)] = 43851,
  [SMALL_STATE(2640)] = 43918,
  [SMALL_STATE(2641)] = 43985,
  [SMALL_STATE(2642)] = 44052,
  [SMALL_STATE(2643)] = 44119,
  [SMALL_STATE(2644)] = 44194,
  [SMALL_STATE(2645)] = 44269,
  [SMALL_STATE(2646)] = 44338,
  [SMALL_STATE(2647)] = 44405,
  [SMALL_STATE(2648)] = 44472,
  [SMALL_STATE(2649)] = 44543,
  [SMALL_STATE(2650)] = 44616,
  [SMALL_STATE(2651)] = 44683,
  [SMALL_STATE(2652)] = 44750,
  [SMALL_STATE(2653)] = 44824,
  [SMALL_STATE(2654)] = 44898,
  [SMALL_STATE(2655)] = 44964,
  [SMALL_STATE(2656)] = 45030,
  [SMALL_STATE(2657)] = 45096,
  [SMALL_STATE(2658)] = 45162,
  [SMALL_STATE(2659)] = 45228,
  [SMALL_STATE(2660)] = 45298,
  [SMALL_STATE(2661)] = 45386,
  [SMALL_STATE(2662)] = 45498,
  [SMALL_STATE(2663)] = 45568,
  [SMALL_STATE(2664)] = 45646,
  [SMALL_STATE(2665)] = 45718,
  [SMALL_STATE(2666)] = 45804,
  [SMALL_STATE(2667)] = 45876,
  [SMALL_STATE(2668)] = 45960,
  [SMALL_STATE(2669)] = 46058,
  [SMALL_STATE(2670)] = 46130,
  [SMALL_STATE(2671)] = 46196,
  [SMALL_STATE(2672)] = 46292,
  [SMALL_STATE(2673)] = 46358,
  [SMALL_STATE(2674)] = 46424,
  [SMALL_STATE(2675)] = 46516,
  [SMALL_STATE(2676)] = 46606,
  [SMALL_STATE(2677)] = 46688,
  [SMALL_STATE(2678)] = 46756,
  [SMALL_STATE(2679)] = 46836,
  [SMALL_STATE(2680)] = 46910,
  [SMALL_STATE(2681)] = 47020,
  [SMALL_STATE(2682)] = 47094,
  [SMALL_STATE(2683)] = 47166,
  [SMALL_STATE(2684)] = 47240,
  [SMALL_STATE(2685)] = 47350,
  [SMALL_STATE(2686)] = 47452,
  [SMALL_STATE(2687)] = 47524,
  [SMALL_STATE(2688)] = 47598,
  [SMALL_STATE(2689)] = 47670,
  [SMALL_STATE(2690)] = 47744,
  [SMALL_STATE(2691)] = 47816,
  [SMALL_STATE(2692)] = 47890,
  [SMALL_STATE(2693)] = 47962,
  [SMALL_STATE(2694)] = 48030,
  [SMALL_STATE(2695)] = 48098,
  [SMALL_STATE(2696)] = 48166,
  [SMALL_STATE(2697)] = 48240,
  [SMALL_STATE(2698)] = 48314,
  [SMALL_STATE(2699)] = 48380,
  [SMALL_STATE(2700)] = 48450,
  [SMALL_STATE(2701)] = 48518,
  [SMALL_STATE(2702)] = 48586,
  [SMALL_STATE(2703)] = 48658,
  [SMALL_STATE(2704)] = 48730,
  [SMALL_STATE(2705)] = 48804,
  [SMALL_STATE(2706)] = 48870,
  [SMALL_STATE(2707)] = 48959,
  [SMALL_STATE(2708)] = 49024,
  [SMALL_STATE(2709)] = 49089,
  [SMALL_STATE(2710)] = 49154,
  [SMALL_STATE(2711)] = 49219,
  [SMALL_STATE(2712)] = 49284,
  [SMALL_STATE(2713)] = 49349,
  [SMALL_STATE(2714)] = 49418,
  [SMALL_STATE(2715)] = 49483,
  [SMALL_STATE(2716)] = 49548,
  [SMALL_STATE(2717)] = 49613,
  [SMALL_STATE(2718)] = 49678,
  [SMALL_STATE(2719)] = 49743,
  [SMALL_STATE(2720)] = 49808,
  [SMALL_STATE(2721)] = 49895,
  [SMALL_STATE(2722)] = 50006,
  [SMALL_STATE(2723)] = 50083,
  [SMALL_STATE(2724)] = 50168,
  [SMALL_STATE(2725)] = 50251,
  [SMALL_STATE(2726)] = 50348,
  [SMALL_STATE(2727)] = 50443,
  [SMALL_STATE(2728)] = 50534,
  [SMALL_STATE(2729)] = 50615,
  [SMALL_STATE(2730)] = 50694,
  [SMALL_STATE(2731)] = 50767,
  [SMALL_STATE(2732)] = 50832,
  [SMALL_STATE(2733)] = 50897,
  [SMALL_STATE(2734)] = 50962,
  [SMALL_STATE(2735)] = 51071,
  [SMALL_STATE(2736)] = 51136,
  [SMALL_STATE(2737)] = 51201,
  [SMALL_STATE(2738)] = 51266,
  [SMALL_STATE(2739)] = 51331,
  [SMALL_STATE(2740)] = 51404,
  [SMALL_STATE(2741)] = 51469,
  [SMALL_STATE(2742)] = 51534,
  [SMALL_STATE(2743)] = 51599,
  [SMALL_STATE(2744)] = 51664,
  [SMALL_STATE(2745)] = 51729,
  [SMALL_STATE(2746)] = 51802,
  [SMALL_STATE(2747)] = 51867,
  [SMALL_STATE(2748)] = 51932,
  [SMALL_STATE(2749)] = 51997,
  [SMALL_STATE(2750)] = 52062,
  [SMALL_STATE(2751)] = 52127,
  [SMALL_STATE(2752)] = 52192,
  [SMALL_STATE(2753)] = 52257,
  [SMALL_STATE(2754)] = 52322,
  [SMALL_STATE(2755)] = 52391,
  [SMALL_STATE(2756)] = 52456,
  [SMALL_STATE(2757)] = 52521,
  [SMALL_STATE(2758)] = 52594,
  [SMALL_STATE(2759)] = 52663,
  [SMALL_STATE(2760)] = 52728,
  [SMALL_STATE(2761)] = 52793,
  [SMALL_STATE(2762)] = 52858,
  [SMALL_STATE(2763)] = 52923,
  [SMALL_STATE(2764)] = 52988,
  [SMALL_STATE(2765)] = 53053,
  [SMALL_STATE(2766)] = 53118,
  [SMALL_STATE(2767)] = 53183,
  [SMALL_STATE(2768)] = 53248,
  [SMALL_STATE(2769)] = 53313,
  [SMALL_STATE(2770)] = 53378,
  [SMALL_STATE(2771)] = 53443,
  [SMALL_STATE(2772)] = 53508,
  [SMALL_STATE(2773)] = 53573,
  [SMALL_STATE(2774)] = 53638,
  [SMALL_STATE(2775)] = 53703,
  [SMALL_STATE(2776)] = 53812,
  [SMALL_STATE(2777)] = 53913,
  [SMALL_STATE(2778)] = 53978,
  [SMALL_STATE(2779)] = 54043,
  [SMALL_STATE(2780)] = 54108,
  [SMALL_STATE(2781)] = 54173,
  [SMALL_STATE(2782)] = 54238,
  [SMALL_STATE(2783)] = 54303,
  [SMALL_STATE(2784)] = 54368,
  [SMALL_STATE(2785)] = 54433,
  [SMALL_STATE(2786)] = 54498,
  [SMALL_STATE(2787)] = 54563,
  [SMALL_STATE(2788)] = 54628,
  [SMALL_STATE(2789)] = 54693,
  [SMALL_STATE(2790)] = 54758,
  [SMALL_STATE(2791)] = 54823,
  [SMALL_STATE(2792)] = 54888,
  [SMALL_STATE(2793)] = 54953,
  [SMALL_STATE(2794)] = 55018,
  [SMALL_STATE(2795)] = 55083,
  [SMALL_STATE(2796)] = 55148,
  [SMALL_STATE(2797)] = 55213,
  [SMALL_STATE(2798)] = 55278,
  [SMALL_STATE(2799)] = 55343,
  [SMALL_STATE(2800)] = 55408,
  [SMALL_STATE(2801)] = 55473,
  [SMALL_STATE(2802)] = 55538,
  [SMALL_STATE(2803)] = 55603,
  [SMALL_STATE(2804)] = 55668,
  [SMALL_STATE(2805)] = 55733,
  [SMALL_STATE(2806)] = 55798,
  [SMALL_STATE(2807)] = 55863,
  [SMALL_STATE(2808)] = 55928,
  [SMALL_STATE(2809)] = 55993,
  [SMALL_STATE(2810)] = 56058,
  [SMALL_STATE(2811)] = 56123,
  [SMALL_STATE(2812)] = 56188,
  [SMALL_STATE(2813)] = 56253,
  [SMALL_STATE(2814)] = 56318,
  [SMALL_STATE(2815)] = 56383,
  [SMALL_STATE(2816)] = 56448,
  [SMALL_STATE(2817)] = 56513,
  [SMALL_STATE(2818)] = 56578,
  [SMALL_STATE(2819)] = 56643,
  [SMALL_STATE(2820)] = 56708,
  [SMALL_STATE(2821)] = 56773,
  [SMALL_STATE(2822)] = 56838,
  [SMALL_STATE(2823)] = 56903,
  [SMALL_STATE(2824)] = 56968,
  [SMALL_STATE(2825)] = 57033,
  [SMALL_STATE(2826)] = 57098,
  [SMALL_STATE(2827)] = 57163,
  [SMALL_STATE(2828)] = 57228,
  [SMALL_STATE(2829)] = 57293,
  [SMALL_STATE(2830)] = 57358,
  [SMALL_STATE(2831)] = 57423,
  [SMALL_STATE(2832)] = 57488,
  [SMALL_STATE(2833)] = 57553,
  [SMALL_STATE(2834)] = 57618,
  [SMALL_STATE(2835)] = 57683,
  [SMALL_STATE(2836)] = 57748,
  [SMALL_STATE(2837)] = 57813,
  [SMALL_STATE(2838)] = 57878,
  [SMALL_STATE(2839)] = 57943,
  [SMALL_STATE(2840)] = 58008,
  [SMALL_STATE(2841)] = 58073,
  [SMALL_STATE(2842)] = 58138,
  [SMALL_STATE(2843)] = 58203,
  [SMALL_STATE(2844)] = 58272,
  [SMALL_STATE(2845)] = 58337,
  [SMALL_STATE(2846)] = 58402,
  [SMALL_STATE(2847)] = 58467,
  [SMALL_STATE(2848)] = 58532,
  [SMALL_STATE(2849)] = 58601,
  [SMALL_STATE(2850)] = 58666,
  [SMALL_STATE(2851)] = 58731,
  [SMALL_STATE(2852)] = 58796,
  [SMALL_STATE(2853)] = 58861,
  [SMALL_STATE(2854)] = 58926,
  [SMALL_STATE(2855)] = 58991,
  [SMALL_STATE(2856)] = 59056,
  [SMALL_STATE(2857)] = 59121,
  [SMALL_STATE(2858)] = 59186,
  [SMALL_STATE(2859)] = 59251,
  [SMALL_STATE(2860)] = 59316,
  [SMALL_STATE(2861)] = 59445,
  [SMALL_STATE(2862)] = 59510,
  [SMALL_STATE(2863)] = 59575,
  [SMALL_STATE(2864)] = 59640,
  [SMALL_STATE(2865)] = 59705,
  [SMALL_STATE(2866)] = 59770,
  [SMALL_STATE(2867)] = 59835,
  [SMALL_STATE(2868)] = 59908,
  [SMALL_STATE(2869)] = 59973,
  [SMALL_STATE(2870)] = 60046,
  [SMALL_STATE(2871)] = 60111,
  [SMALL_STATE(2872)] = 60176,
  [SMALL_STATE(2873)] = 60241,
  [SMALL_STATE(2874)] = 60310,
  [SMALL_STATE(2875)] = 60375,
  [SMALL_STATE(2876)] = 60440,
  [SMALL_STATE(2877)] = 60505,
  [SMALL_STATE(2878)] = 60570,
  [SMALL_STATE(2879)] = 60635,
  [SMALL_STATE(2880)] = 60700,
  [SMALL_STATE(2881)] = 60829,
  [SMALL_STATE(2882)] = 60894,
  [SMALL_STATE(2883)] = 60961,
  [SMALL_STATE(2884)] = 61026,
  [SMALL_STATE(2885)] = 61091,
  [SMALL_STATE(2886)] = 61156,
  [SMALL_STATE(2887)] = 61221,
  [SMALL_STATE(2888)] = 61286,
  [SMALL_STATE(2889)] = 61351,
  [SMALL_STATE(2890)] = 61420,
  [SMALL_STATE(2891)] = 61485,
  [SMALL_STATE(2892)] = 61550,
  [SMALL_STATE(2893)] = 61615,
  [SMALL_STATE(2894)] = 61680,
  [SMALL_STATE(2895)] = 61745,
  [SMALL_STATE(2896)] = 61810,
  [SMALL_STATE(2897)] = 61875,
  [SMALL_STATE(2898)] = 61940,
  [SMALL_STATE(2899)] = 62005,
  [SMALL_STATE(2900)] = 62070,
  [SMALL_STATE(2901)] = 62135,
  [SMALL_STATE(2902)] = 62200,
  [SMALL_STATE(2903)] = 62265,
  [SMALL_STATE(2904)] = 62330,
  [SMALL_STATE(2905)] = 62395,
  [SMALL_STATE(2906)] = 62460,
  [SMALL_STATE(2907)] = 62525,
  [SMALL_STATE(2908)] = 62590,
  [SMALL_STATE(2909)] = 62655,
  [SMALL_STATE(2910)] = 62720,
  [SMALL_STATE(2911)] = 62785,
  [SMALL_STATE(2912)] = 62850,
  [SMALL_STATE(2913)] = 62915,
  [SMALL_STATE(2914)] = 62980,
  [SMALL_STATE(2915)] = 63045,
  [SMALL_STATE(2916)] = 63110,
  [SMALL_STATE(2917)] = 63175,
  [SMALL_STATE(2918)] = 63240,
  [SMALL_STATE(2919)] = 63305,
  [SMALL_STATE(2920)] = 63370,
  [SMALL_STATE(2921)] = 63435,
  [SMALL_STATE(2922)] = 63500,
  [SMALL_STATE(2923)] = 63565,
  [SMALL_STATE(2924)] = 63630,
  [SMALL_STATE(2925)] = 63697,
  [SMALL_STATE(2926)] = 63762,
  [SMALL_STATE(2927)] = 63827,
  [SMALL_STATE(2928)] = 63892,
  [SMALL_STATE(2929)] = 63957,
  [SMALL_STATE(2930)] = 64022,
  [SMALL_STATE(2931)] = 64087,
  [SMALL_STATE(2932)] = 64154,
  [SMALL_STATE(2933)] = 64219,
  [SMALL_STATE(2934)] = 64290,
  [SMALL_STATE(2935)] = 64355,
  [SMALL_STATE(2936)] = 64420,
  [SMALL_STATE(2937)] = 64485,
  [SMALL_STATE(2938)] = 64550,
  [SMALL_STATE(2939)] = 64615,
  [SMALL_STATE(2940)] = 64688,
  [SMALL_STATE(2941)] = 64753,
  [SMALL_STATE(2942)] = 64818,
  [SMALL_STATE(2943)] = 64883,
  [SMALL_STATE(2944)] = 64948,
  [SMALL_STATE(2945)] = 65013,
  [SMALL_STATE(2946)] = 65078,
  [SMALL_STATE(2947)] = 65143,
  [SMALL_STATE(2948)] = 65208,
  [SMALL_STATE(2949)] = 65273,
  [SMALL_STATE(2950)] = 65338,
  [SMALL_STATE(2951)] = 65403,
  [SMALL_STATE(2952)] = 65468,
  [SMALL_STATE(2953)] = 65533,
  [SMALL_STATE(2954)] = 65598,
  [SMALL_STATE(2955)] = 65663,
  [SMALL_STATE(2956)] = 65728,
  [SMALL_STATE(2957)] = 65793,
  [SMALL_STATE(2958)] = 65858,
  [SMALL_STATE(2959)] = 65923,
  [SMALL_STATE(2960)] = 65988,
  [SMALL_STATE(2961)] = 66053,
  [SMALL_STATE(2962)] = 66118,
  [SMALL_STATE(2963)] = 66183,
  [SMALL_STATE(2964)] = 66248,
  [SMALL_STATE(2965)] = 66313,
  [SMALL_STATE(2966)] = 66378,
  [SMALL_STATE(2967)] = 66443,
  [SMALL_STATE(2968)] = 66508,
  [SMALL_STATE(2969)] = 66573,
  [SMALL_STATE(2970)] = 66638,
  [SMALL_STATE(2971)] = 66714,
  [SMALL_STATE(2972)] = 66792,
  [SMALL_STATE(2973)] = 66860,
  [SMALL_STATE(2974)] = 66932,
  [SMALL_STATE(2975)] = 67056,
  [SMALL_STATE(2976)] = 67132,
  [SMALL_STATE(2977)] = 67208,
  [SMALL_STATE(2978)] = 67284,
  [SMALL_STATE(2979)] = 67364,
  [SMALL_STATE(2980)] = 67440,
  [SMALL_STATE(2981)] = 67516,
  [SMALL_STATE(2982)] = 67584,
  [SMALL_STATE(2983)] = 67660,
  [SMALL_STATE(2984)] = 67740,
  [SMALL_STATE(2985)] = 67816,
  [SMALL_STATE(2986)] = 67888,
  [SMALL_STATE(2987)] = 67968,
  [SMALL_STATE(2988)] = 68046,
  [SMALL_STATE(2989)] = 68124,
  [SMALL_STATE(2990)] = 68200,
  [SMALL_STATE(2991)] = 68276,
  [SMALL_STATE(2992)] = 68348,
  [SMALL_STATE(2993)] = 68428,
  [SMALL_STATE(2994)] = 68508,
  [SMALL_STATE(2995)] = 68584,
  [SMALL_STATE(2996)] = 68664,
  [SMALL_STATE(2997)] = 68740,
  [SMALL_STATE(2998)] = 68818,
  [SMALL_STATE(2999)] = 68894,
  [SMALL_STATE(3000)] = 69018,
  [SMALL_STATE(3001)] = 69094,
  [SMALL_STATE(3002)] = 69174,
  [SMALL_STATE(3003)] = 69242,
  [SMALL_STATE(3004)] = 69312,
  [SMALL_STATE(3005)] = 69388,
  [SMALL_STATE(3006)] = 69460,
  [SMALL_STATE(3007)] = 69536,
  [SMALL_STATE(3008)] = 69612,
  [SMALL_STATE(3009)] = 69682,
  [SMALL_STATE(3010)] = 69758,
  [SMALL_STATE(3011)] = 69836,
  [SMALL_STATE(3012)] = 69960,
  [SMALL_STATE(3013)] = 70038,
  [SMALL_STATE(3014)] = 70110,
  [SMALL_STATE(3015)] = 70190,
  [SMALL_STATE(3016)] = 70262,
  [SMALL_STATE(3017)] = 70342,
  [SMALL_STATE(3018)] = 70411,
  [SMALL_STATE(3019)] = 70490,
  [SMALL_STATE(3020)] = 70565,
  [SMALL_STATE(3021)] = 70640,
  [SMALL_STATE(3022)] = 70709,
  [SMALL_STATE(3023)] = 70788,
  [SMALL_STATE(3024)] = 70857,
  [SMALL_STATE(3025)] = 70928,
  [SMALL_STATE(3026)] = 70995,
  [SMALL_STATE(3027)] = 71066,
  [SMALL_STATE(3028)] = 71133,
  [SMALL_STATE(3029)] = 71208,
  [SMALL_STATE(3030)] = 71283,
  [SMALL_STATE(3031)] = 71362,
  [SMALL_STATE(3032)] = 71431,
  [SMALL_STATE(3033)] = 71552,
  [SMALL_STATE(3034)] = 71627,
  [SMALL_STATE(3035)] = 71706,
  [SMALL_STATE(3036)] = 71775,
  [SMALL_STATE(3037)] = 71846,
  [SMALL_STATE(3038)] = 71913,
  [SMALL_STATE(3039)] = 71982,
  [SMALL_STATE(3040)] = 72049,
  [SMALL_STATE(3041)] = 72118,
  [SMALL_STATE(3042)] = 72229,
  [SMALL_STATE(3043)] = 72298,
  [SMALL_STATE(3044)] = 72367,
  [SMALL_STATE(3045)] = 72438,
  [SMALL_STATE(3046)] = 72513,
  [SMALL_STATE(3047)] = 72588,
  [SMALL_STATE(3048)] = 72667,
  [SMALL_STATE(3049)] = 72736,
  [SMALL_STATE(3050)] = 72811,
  [SMALL_STATE(3051)] = 72882,
  [SMALL_STATE(3052)] = 72957,
  [SMALL_STATE(3053)] = 73024,
  [SMALL_STATE(3054)] = 73099,
  [SMALL_STATE(3055)] = 73174,
  [SMALL_STATE(3056)] = 73253,
  [SMALL_STATE(3057)] = 73328,
  [SMALL_STATE(3058)] = 73403,
  [SMALL_STATE(3059)] = 73472,
  [SMALL_STATE(3060)] = 73539,
  [SMALL_STATE(3061)] = 73606,
  [SMALL_STATE(3062)] = 73683,
  [SMALL_STATE(3063)] = 73762,
  [SMALL_STATE(3064)] = 73837,
  [SMALL_STATE(3065)] = 73912,
  [SMALL_STATE(3066)] = 73987,
  [SMALL_STATE(3067)] = 74058,
  [SMALL_STATE(3068)] = 74133,
  [SMALL_STATE(3069)] = 74212,
  [SMALL_STATE(3070)] = 74289,
  [SMALL_STATE(3071)] = 74354,
  [SMALL_STATE(3072)] = 74423,
  [SMALL_STATE(3073)] = 74492,
  [SMALL_STATE(3074)] = 74557,
  [SMALL_STATE(3075)] = 74634,
  [SMALL_STATE(3076)] = 74703,
  [SMALL_STATE(3077)] = 74782,
  [SMALL_STATE(3078)] = 74857,
  [SMALL_STATE(3079)] = 74922,
  [SMALL_STATE(3080)] = 74999,
  [SMALL_STATE(3081)] = 75076,
  [SMALL_STATE(3082)] = 75145,
  [SMALL_STATE(3083)] = 75208,
  [SMALL_STATE(3084)] = 75273,
  [SMALL_STATE(3085)] = 75384,
  [SMALL_STATE(3086)] = 75461,
  [SMALL_STATE(3087)] = 75565,
  [SMALL_STATE(3088)] = 75627,
  [SMALL_STATE(3089)] = 75689,
  [SMALL_STATE(3090)] = 75751,
  [SMALL_STATE(3091)] = 75837,
  [SMALL_STATE(3092)] = 75945,
  [SMALL_STATE(3093)] = 76007,
  [SMALL_STATE(3094)] = 76081,
  [SMALL_STATE(3095)] = 76165,
  [SMALL_STATE(3096)] = 76247,
  [SMALL_STATE(3097)] = 76343,
  [SMALL_STATE(3098)] = 76437,
  [SMALL_STATE(3099)] = 76527,
  [SMALL_STATE(3100)] = 76615,
  [SMALL_STATE(3101)] = 76695,
  [SMALL_STATE(3102)] = 76773,
  [SMALL_STATE(3103)] = 76843,
  [SMALL_STATE(3104)] = 76905,
  [SMALL_STATE(3105)] = 76967,
  [SMALL_STATE(3106)] = 77029,
  [SMALL_STATE(3107)] = 77135,
  [SMALL_STATE(3108)] = 77197,
  [SMALL_STATE(3109)] = 77259,
  [SMALL_STATE(3110)] = 77321,
  [SMALL_STATE(3111)] = 77387,
  [SMALL_STATE(3112)] = 77457,
  [SMALL_STATE(3113)] = 77519,
  [SMALL_STATE(3114)] = 77581,
  [SMALL_STATE(3115)] = 77643,
  [SMALL_STATE(3116)] = 77713,
  [SMALL_STATE(3117)] = 77775,
  [SMALL_STATE(3118)] = 77837,
  [SMALL_STATE(3119)] = 77935,
  [SMALL_STATE(3120)] = 77999,
  [SMALL_STATE(3121)] = 78061,
  [SMALL_STATE(3122)] = 78127,
  [SMALL_STATE(3123)] = 78189,
  [SMALL_STATE(3124)] = 78251,
  [SMALL_STATE(3125)] = 78313,
  [SMALL_STATE(3126)] = 78375,
  [SMALL_STATE(3127)] = 78437,
  [SMALL_STATE(3128)] = 78507,
  [SMALL_STATE(3129)] = 78569,
  [SMALL_STATE(3130)] = 78639,
  [SMALL_STATE(3131)] = 78701,
  [SMALL_STATE(3132)] = 78763,
  [SMALL_STATE(3133)] = 78829,
  [SMALL_STATE(3134)] = 78891,
  [SMALL_STATE(3135)] = 78961,
  [SMALL_STATE(3136)] = 79023,
  [SMALL_STATE(3137)] = 79085,
  [SMALL_STATE(3138)] = 79155,
  [SMALL_STATE(3139)] = 79217,
  [SMALL_STATE(3140)] = 79279,
  [SMALL_STATE(3141)] = 79341,
  [SMALL_STATE(3142)] = 79409,
  [SMALL_STATE(3143)] = 79471,
  [SMALL_STATE(3144)] = 79533,
  [SMALL_STATE(3145)] = 79595,
  [SMALL_STATE(3146)] = 79657,
  [SMALL_STATE(3147)] = 79719,
  [SMALL_STATE(3148)] = 79781,
  [SMALL_STATE(3149)] = 79843,
  [SMALL_STATE(3150)] = 79905,
  [SMALL_STATE(3151)] = 79967,
  [SMALL_STATE(3152)] = 80029,
  [SMALL_STATE(3153)] = 80135,
  [SMALL_STATE(3154)] = 80233,
  [SMALL_STATE(3155)] = 80295,
  [SMALL_STATE(3156)] = 80357,
  [SMALL_STATE(3157)] = 80419,
  [SMALL_STATE(3158)] = 80481,
  [SMALL_STATE(3159)] = 80543,
  [SMALL_STATE(3160)] = 80605,
  [SMALL_STATE(3161)] = 80667,
  [SMALL_STATE(3162)] = 80729,
  [SMALL_STATE(3163)] = 80791,
  [SMALL_STATE(3164)] = 80853,
  [SMALL_STATE(3165)] = 80919,
  [SMALL_STATE(3166)] = 80985,
  [SMALL_STATE(3167)] = 81047,
  [SMALL_STATE(3168)] = 81109,
  [SMALL_STATE(3169)] = 81171,
  [SMALL_STATE(3170)] = 81233,
  [SMALL_STATE(3171)] = 81295,
  [SMALL_STATE(3172)] = 81357,
  [SMALL_STATE(3173)] = 81419,
  [SMALL_STATE(3174)] = 81481,
  [SMALL_STATE(3175)] = 81543,
  [SMALL_STATE(3176)] = 81605,
  [SMALL_STATE(3177)] = 81667,
  [SMALL_STATE(3178)] = 81729,
  [SMALL_STATE(3179)] = 81791,
  [SMALL_STATE(3180)] = 81853,
  [SMALL_STATE(3181)] = 81915,
  [SMALL_STATE(3182)] = 81977,
  [SMALL_STATE(3183)] = 82039,
  [SMALL_STATE(3184)] = 82109,
  [SMALL_STATE(3185)] = 82171,
  [SMALL_STATE(3186)] = 82233,
  [SMALL_STATE(3187)] = 82295,
  [SMALL_STATE(3188)] = 82357,
  [SMALL_STATE(3189)] = 82419,
  [SMALL_STATE(3190)] = 82481,
  [SMALL_STATE(3191)] = 82543,
  [SMALL_STATE(3192)] = 82605,
  [SMALL_STATE(3193)] = 82667,
  [SMALL_STATE(3194)] = 82729,
  [SMALL_STATE(3195)] = 82791,
  [SMALL_STATE(3196)] = 82853,
  [SMALL_STATE(3197)] = 82915,
  [SMALL_STATE(3198)] = 82977,
  [SMALL_STATE(3199)] = 83039,
  [SMALL_STATE(3200)] = 83101,
  [SMALL_STATE(3201)] = 83163,
  [SMALL_STATE(3202)] = 83225,
  [SMALL_STATE(3203)] = 83287,
  [SMALL_STATE(3204)] = 83349,
  [SMALL_STATE(3205)] = 83411,
  [SMALL_STATE(3206)] = 83473,
  [SMALL_STATE(3207)] = 83535,
  [SMALL_STATE(3208)] = 83597,
  [SMALL_STATE(3209)] = 83659,
  [SMALL_STATE(3210)] = 83721,
  [SMALL_STATE(3211)] = 83783,
  [SMALL_STATE(3212)] = 83845,
  [SMALL_STATE(3213)] = 83907,
  [SMALL_STATE(3214)] = 83969,
  [SMALL_STATE(3215)] = 84031,
  [SMALL_STATE(3216)] = 84093,
  [SMALL_STATE(3217)] = 84155,
  [SMALL_STATE(3218)] = 84217,
  [SMALL_STATE(3219)] = 84279,
  [SMALL_STATE(3220)] = 84383,
  [SMALL_STATE(3221)] = 84445,
  [SMALL_STATE(3222)] = 84507,
  [SMALL_STATE(3223)] = 84569,
  [SMALL_STATE(3224)] = 84635,
  [SMALL_STATE(3225)] = 84703,
  [SMALL_STATE(3226)] = 84769,
  [SMALL_STATE(3227)] = 84835,
  [SMALL_STATE(3228)] = 84905,
  [SMALL_STATE(3229)] = 84975,
  [SMALL_STATE(3230)] = 85041,
  [SMALL_STATE(3231)] = 85145,
  [SMALL_STATE(3232)] = 85263,
  [SMALL_STATE(3233)] = 85329,
  [SMALL_STATE(3234)] = 85395,
  [SMALL_STATE(3235)] = 85461,
  [SMALL_STATE(3236)] = 85523,
  [SMALL_STATE(3237)] = 85593,
  [SMALL_STATE(3238)] = 85655,
  [SMALL_STATE(3239)] = 85761,
  [SMALL_STATE(3240)] = 85831,
  [SMALL_STATE(3241)] = 85897,
  [SMALL_STATE(3242)] = 85959,
  [SMALL_STATE(3243)] = 86025,
  [SMALL_STATE(3244)] = 86087,
  [SMALL_STATE(3245)] = 86157,
  [SMALL_STATE(3246)] = 86261,
  [SMALL_STATE(3247)] = 86331,
  [SMALL_STATE(3248)] = 86401,
  [SMALL_STATE(3249)] = 86463,
  [SMALL_STATE(3250)] = 86549,
  [SMALL_STATE(3251)] = 86611,
  [SMALL_STATE(3252)] = 86679,
  [SMALL_STATE(3253)] = 86741,
  [SMALL_STATE(3254)] = 86849,
  [SMALL_STATE(3255)] = 86911,
  [SMALL_STATE(3256)] = 87029,
  [SMALL_STATE(3257)] = 87103,
  [SMALL_STATE(3258)] = 87173,
  [SMALL_STATE(3259)] = 87235,
  [SMALL_STATE(3260)] = 87341,
  [SMALL_STATE(3261)] = 87425,
  [SMALL_STATE(3262)] = 87507,
  [SMALL_STATE(3263)] = 87577,
  [SMALL_STATE(3264)] = 87673,
  [SMALL_STATE(3265)] = 87735,
  [SMALL_STATE(3266)] = 87829,
  [SMALL_STATE(3267)] = 87897,
  [SMALL_STATE(3268)] = 87965,
  [SMALL_STATE(3269)] = 88027,
  [SMALL_STATE(3270)] = 88117,
  [SMALL_STATE(3271)] = 88179,
  [SMALL_STATE(3272)] = 88245,
  [SMALL_STATE(3273)] = 88333,
  [SMALL_STATE(3274)] = 88437,
  [SMALL_STATE(3275)] = 88517,
  [SMALL_STATE(3276)] = 88595,
  [SMALL_STATE(3277)] = 88665,
  [SMALL_STATE(3278)] = 88735,
  [SMALL_STATE(3279)] = 88841,
  [SMALL_STATE(3280)] = 88911,
  [SMALL_STATE(3281)] = 89017,
  [SMALL_STATE(3282)] = 89079,
  [SMALL_STATE(3283)] = 89141,
  [SMALL_STATE(3284)] = 89211,
  [SMALL_STATE(3285)] = 89315,
  [SMALL_STATE(3286)] = 89385,
  [SMALL_STATE(3287)] = 89447,
  [SMALL_STATE(3288)] = 89551,
  [SMALL_STATE(3289)] = 89617,
  [SMALL_STATE(3290)] = 89683,
  [SMALL_STATE(3291)] = 89749,
  [SMALL_STATE(3292)] = 89811,
  [SMALL_STATE(3293)] = 89876,
  [SMALL_STATE(3294)] = 89943,
  [SMALL_STATE(3295)] = 90008,
  [SMALL_STATE(3296)] = 90073,
  [SMALL_STATE(3297)] = 90138,
  [SMALL_STATE(3298)] = 90205,
  [SMALL_STATE(3299)] = 90312,
  [SMALL_STATE(3300)] = 90379,
  [SMALL_STATE(3301)] = 90446,
  [SMALL_STATE(3302)] = 90549,
  [SMALL_STATE(3303)] = 90616,
  [SMALL_STATE(3304)] = 90685,
  [SMALL_STATE(3305)] = 90788,
  [SMALL_STATE(3306)] = 90855,
  [SMALL_STATE(3307)] = 90924,
  [SMALL_STATE(3308)] = 91027,
  [SMALL_STATE(3309)] = 91130,
  [SMALL_STATE(3310)] = 91197,
  [SMALL_STATE(3311)] = 91300,
  [SMALL_STATE(3312)] = 91403,
  [SMALL_STATE(3313)] = 91464,
  [SMALL_STATE(3314)] = 91531,
  [SMALL_STATE(3315)] = 91598,
  [SMALL_STATE(3316)] = 91671,
  [SMALL_STATE(3317)] = 91774,
  [SMALL_STATE(3318)] = 91877,
  [SMALL_STATE(3319)] = 91946,
  [SMALL_STATE(3320)] = 92049,
  [SMALL_STATE(3321)] = 92152,
  [SMALL_STATE(3322)] = 92227,
  [SMALL_STATE(3323)] = 92300,
  [SMALL_STATE(3324)] = 92367,
  [SMALL_STATE(3325)] = 92470,
  [SMALL_STATE(3326)] = 92539,
  [SMALL_STATE(3327)] = 92614,
  [SMALL_STATE(3328)] = 92691,
  [SMALL_STATE(3329)] = 92764,
  [SMALL_STATE(3330)] = 92831,
  [SMALL_STATE(3331)] = 92900,
  [SMALL_STATE(3332)] = 92965,
  [SMALL_STATE(3333)] = 93068,
  [SMALL_STATE(3334)] = 93145,
  [SMALL_STATE(3335)] = 93248,
  [SMALL_STATE(3336)] = 93321,
  [SMALL_STATE(3337)] = 93386,
  [SMALL_STATE(3338)] = 93453,
  [SMALL_STATE(3339)] = 93556,
  [SMALL_STATE(3340)] = 93629,
  [SMALL_STATE(3341)] = 93706,
  [SMALL_STATE(3342)] = 93773,
  [SMALL_STATE(3343)] = 93840,
  [SMALL_STATE(3344)] = 93913,
  [SMALL_STATE(3345)] = 93982,
  [SMALL_STATE(3346)] = 94042,
  [SMALL_STATE(3347)] = 94108,
  [SMALL_STATE(3348)] = 94172,
  [SMALL_STATE(3349)] = 94232,
  [SMALL_STATE(3350)] = 94294,
  [SMALL_STATE(3351)] = 94354,
  [SMALL_STATE(3352)] = 94462,
  [SMALL_STATE(3353)] = 94528,
  [SMALL_STATE(3354)] = 94588,
  [SMALL_STATE(3355)] = 94652,
  [SMALL_STATE(3356)] = 94712,
  [SMALL_STATE(3357)] = 94772,
  [SMALL_STATE(3358)] = 94836,
  [SMALL_STATE(3359)] = 94896,
  [SMALL_STATE(3360)] = 94956,
  [SMALL_STATE(3361)] = 95016,
  [SMALL_STATE(3362)] = 95076,
  [SMALL_STATE(3363)] = 95136,
  [SMALL_STATE(3364)] = 95196,
  [SMALL_STATE(3365)] = 95260,
  [SMALL_STATE(3366)] = 95324,
  [SMALL_STATE(3367)] = 95396,
  [SMALL_STATE(3368)] = 95460,
  [SMALL_STATE(3369)] = 95520,
  [SMALL_STATE(3370)] = 95592,
  [SMALL_STATE(3371)] = 95658,
  [SMALL_STATE(3372)] = 95718,
  [SMALL_STATE(3373)] = 95784,
  [SMALL_STATE(3374)] = 95844,
  [SMALL_STATE(3375)] = 95916,
  [SMALL_STATE(3376)] = 95980,
  [SMALL_STATE(3377)] = 96040,
  [SMALL_STATE(3378)] = 96100,
  [SMALL_STATE(3379)] = 96164,
  [SMALL_STATE(3380)] = 96224,
  [SMALL_STATE(3381)] = 96284,
  [SMALL_STATE(3382)] = 96348,
  [SMALL_STATE(3383)] = 96422,
  [SMALL_STATE(3384)] = 96482,
  [SMALL_STATE(3385)] = 96542,
  [SMALL_STATE(3386)] = 96602,
  [SMALL_STATE(3387)] = 96664,
  [SMALL_STATE(3388)] = 96724,
  [SMALL_STATE(3389)] = 96784,
  [SMALL_STATE(3390)] = 96848,
  [SMALL_STATE(3391)] = 96954,
  [SMALL_STATE(3392)] = 97014,
  [SMALL_STATE(3393)] = 97074,
  [SMALL_STATE(3394)] = 97138,
  [SMALL_STATE(3395)] = 97212,
  [SMALL_STATE(3396)] = 97274,
  [SMALL_STATE(3397)] = 97334,
  [SMALL_STATE(3398)] = 97406,
  [SMALL_STATE(3399)] = 97466,
  [SMALL_STATE(3400)] = 97532,
  [SMALL_STATE(3401)] = 97592,
  [SMALL_STATE(3402)] = 97668,
  [SMALL_STATE(3403)] = 97742,
  [SMALL_STATE(3404)] = 97802,
  [SMALL_STATE(3405)] = 97862,
  [SMALL_STATE(3406)] = 97928,
  [SMALL_STATE(3407)] = 97988,
  [SMALL_STATE(3408)] = 98060,
  [SMALL_STATE(3409)] = 98126,
  [SMALL_STATE(3410)] = 98192,
  [SMALL_STATE(3411)] = 98304,
  [SMALL_STATE(3412)] = 98372,
  [SMALL_STATE(3413)] = 98438,
  [SMALL_STATE(3414)] = 98502,
  [SMALL_STATE(3415)] = 98562,
  [SMALL_STATE(3416)] = 98638,
  [SMALL_STATE(3417)] = 98714,
  [SMALL_STATE(3418)] = 98782,
  [SMALL_STATE(3419)] = 98848,
  [SMALL_STATE(3420)] = 98920,
  [SMALL_STATE(3421)] = 98992,
  [SMALL_STATE(3422)] = 99052,
  [SMALL_STATE(3423)] = 99118,
  [SMALL_STATE(3424)] = 99180,
  [SMALL_STATE(3425)] = 99244,
  [SMALL_STATE(3426)] = 99312,
  [SMALL_STATE(3427)] = 99388,
  [SMALL_STATE(3428)] = 99448,
  [SMALL_STATE(3429)] = 99520,
  [SMALL_STATE(3430)] = 99580,
  [SMALL_STATE(3431)] = 99642,
  [SMALL_STATE(3432)] = 99702,
  [SMALL_STATE(3433)] = 99762,
  [SMALL_STATE(3434)] = 99822,
  [SMALL_STATE(3435)] = 99882,
  [SMALL_STATE(3436)] = 99942,
  [SMALL_STATE(3437)] = 100010,
  [SMALL_STATE(3438)] = 100070,
  [SMALL_STATE(3439)] = 100136,
  [SMALL_STATE(3440)] = 100196,
  [SMALL_STATE(3441)] = 100258,
  [SMALL_STATE(3442)] = 100318,
  [SMALL_STATE(3443)] = 100384,
  [SMALL_STATE(3444)] = 100452,
  [SMALL_STATE(3445)] = 100518,
  [SMALL_STATE(3446)] = 100590,
  [SMALL_STATE(3447)] = 100656,
  [SMALL_STATE(3448)] = 100716,
  [SMALL_STATE(3449)] = 100784,
  [SMALL_STATE(3450)] = 100860,
  [SMALL_STATE(3451)] = 100920,
  [SMALL_STATE(3452)] = 100982,
  [SMALL_STATE(3453)] = 101054,
  [SMALL_STATE(3454)] = 101130,
  [SMALL_STATE(3455)] = 101202,
  [SMALL_STATE(3456)] = 101274,
  [SMALL_STATE(3457)] = 101334,
  [SMALL_STATE(3458)] = 101400,
  [SMALL_STATE(3459)] = 101474,
  [SMALL_STATE(3460)] = 101538,
  [SMALL_STATE(3461)] = 101597,
  [SMALL_STATE(3462)] = 101656,
  [SMALL_STATE(3463)] = 101715,
  [SMALL_STATE(3464)] = 101810,
  [SMALL_STATE(3465)] = 101869,
  [SMALL_STATE(3466)] = 101928,
  [SMALL_STATE(3467)] = 102031,
  [SMALL_STATE(3468)] = 102090,
  [SMALL_STATE(3469)] = 102149,
  [SMALL_STATE(3470)] = 102208,
  [SMALL_STATE(3471)] = 102267,
  [SMALL_STATE(3472)] = 102326,
  [SMALL_STATE(3473)] = 102389,
  [SMALL_STATE(3474)] = 102454,
  [SMALL_STATE(3475)] = 102513,
  [SMALL_STATE(3476)] = 102574,
  [SMALL_STATE(3477)] = 102675,
  [SMALL_STATE(3478)] = 102776,
  [SMALL_STATE(3479)] = 102835,
  [SMALL_STATE(3480)] = 102894,
  [SMALL_STATE(3481)] = 102957,
  [SMALL_STATE(3482)] = 103016,
  [SMALL_STATE(3483)] = 103079,
  [SMALL_STATE(3484)] = 103142,
  [SMALL_STATE(3485)] = 103201,
  [SMALL_STATE(3486)] = 103260,
  [SMALL_STATE(3487)] = 103319,
  [SMALL_STATE(3488)] = 103378,
  [SMALL_STATE(3489)] = 103437,
  [SMALL_STATE(3490)] = 103496,
  [SMALL_STATE(3491)] = 103555,
  [SMALL_STATE(3492)] = 103618,
  [SMALL_STATE(3493)] = 103681,
  [SMALL_STATE(3494)] = 103740,
  [SMALL_STATE(3495)] = 103799,
  [SMALL_STATE(3496)] = 103858,
  [SMALL_STATE(3497)] = 103917,
  [SMALL_STATE(3498)] = 103976,
  [SMALL_STATE(3499)] = 104043,
  [SMALL_STATE(3500)] = 104102,
  [SMALL_STATE(3501)] = 104161,
  [SMALL_STATE(3502)] = 104220,
  [SMALL_STATE(3503)] = 104279,
  [SMALL_STATE(3504)] = 104338,
  [SMALL_STATE(3505)] = 104397,
  [SMALL_STATE(3506)] = 104456,
  [SMALL_STATE(3507)] = 104515,
  [SMALL_STATE(3508)] = 104574,
  [SMALL_STATE(3509)] = 104633,
  [SMALL_STATE(3510)] = 104692,
  [SMALL_STATE(3511)] = 104751,
  [SMALL_STATE(3512)] = 104810,
  [SMALL_STATE(3513)] = 104869,
  [SMALL_STATE(3514)] = 104928,
  [SMALL_STATE(3515)] = 104987,
  [SMALL_STATE(3516)] = 105046,
  [SMALL_STATE(3517)] = 105105,
  [SMALL_STATE(3518)] = 105164,
  [SMALL_STATE(3519)] = 105223,
  [SMALL_STATE(3520)] = 105282,
  [SMALL_STATE(3521)] = 105341,
  [SMALL_STATE(3522)] = 105400,
  [SMALL_STATE(3523)] = 105459,
  [SMALL_STATE(3524)] = 105518,
  [SMALL_STATE(3525)] = 105577,
  [SMALL_STATE(3526)] = 105640,
  [SMALL_STATE(3527)] = 105699,
  [SMALL_STATE(3528)] = 105758,
  [SMALL_STATE(3529)] = 105817,
  [SMALL_STATE(3530)] = 105876,
  [SMALL_STATE(3531)] = 105935,
  [SMALL_STATE(3532)] = 105994,
  [SMALL_STATE(3533)] = 106053,
  [SMALL_STATE(3534)] = 106112,
  [SMALL_STATE(3535)] = 106171,
  [SMALL_STATE(3536)] = 106230,
  [SMALL_STATE(3537)] = 106289,
  [SMALL_STATE(3538)] = 106354,
  [SMALL_STATE(3539)] = 106413,
  [SMALL_STATE(3540)] = 106516,
  [SMALL_STATE(3541)] = 106583,
  [SMALL_STATE(3542)] = 106642,
  [SMALL_STATE(3543)] = 106703,
  [SMALL_STATE(3544)] = 106762,
  [SMALL_STATE(3545)] = 106821,
  [SMALL_STATE(3546)] = 106886,
  [SMALL_STATE(3547)] = 106945,
  [SMALL_STATE(3548)] = 107004,
  [SMALL_STATE(3549)] = 107071,
  [SMALL_STATE(3550)] = 107130,
  [SMALL_STATE(3551)] = 107189,
  [SMALL_STATE(3552)] = 107248,
  [SMALL_STATE(3553)] = 107307,
  [SMALL_STATE(3554)] = 107366,
  [SMALL_STATE(3555)] = 107431,
  [SMALL_STATE(3556)] = 107490,
  [SMALL_STATE(3557)] = 107549,
  [SMALL_STATE(3558)] = 107612,
  [SMALL_STATE(3559)] = 107671,
  [SMALL_STATE(3560)] = 107730,
  [SMALL_STATE(3561)] = 107795,
  [SMALL_STATE(3562)] = 107854,
  [SMALL_STATE(3563)] = 107913,
  [SMALL_STATE(3564)] = 107972,
  [SMALL_STATE(3565)] = 108031,
  [SMALL_STATE(3566)] = 108090,
  [SMALL_STATE(3567)] = 108157,
  [SMALL_STATE(3568)] = 108216,
  [SMALL_STATE(3569)] = 108275,
  [SMALL_STATE(3570)] = 108376,
  [SMALL_STATE(3571)] = 108435,
  [SMALL_STATE(3572)] = 108494,
  [SMALL_STATE(3573)] = 108557,
  [SMALL_STATE(3574)] = 108616,
  [SMALL_STATE(3575)] = 108675,
  [SMALL_STATE(3576)] = 108734,
  [SMALL_STATE(3577)] = 108793,
  [SMALL_STATE(3578)] = 108852,
  [SMALL_STATE(3579)] = 108911,
  [SMALL_STATE(3580)] = 108970,
  [SMALL_STATE(3581)] = 109029,
  [SMALL_STATE(3582)] = 109088,
  [SMALL_STATE(3583)] = 109147,
  [SMALL_STATE(3584)] = 109206,
  [SMALL_STATE(3585)] = 109265,
  [SMALL_STATE(3586)] = 109324,
  [SMALL_STATE(3587)] = 109383,
  [SMALL_STATE(3588)] = 109442,
  [SMALL_STATE(3589)] = 109501,
  [SMALL_STATE(3590)] = 109560,
  [SMALL_STATE(3591)] = 109619,
  [SMALL_STATE(3592)] = 109678,
  [SMALL_STATE(3593)] = 109737,
  [SMALL_STATE(3594)] = 109796,
  [SMALL_STATE(3595)] = 109855,
  [SMALL_STATE(3596)] = 109918,
  [SMALL_STATE(3597)] = 110021,
  [SMALL_STATE(3598)] = 110080,
  [SMALL_STATE(3599)] = 110139,
  [SMALL_STATE(3600)] = 110198,
  [SMALL_STATE(3601)] = 110257,
  [SMALL_STATE(3602)] = 110316,
  [SMALL_STATE(3603)] = 110375,
  [SMALL_STATE(3604)] = 110434,
  [SMALL_STATE(3605)] = 110493,
  [SMALL_STATE(3606)] = 110552,
  [SMALL_STATE(3607)] = 110611,
  [SMALL_STATE(3608)] = 110674,
  [SMALL_STATE(3609)] = 110733,
  [SMALL_STATE(3610)] = 110792,
  [SMALL_STATE(3611)] = 110851,
  [SMALL_STATE(3612)] = 110910,
  [SMALL_STATE(3613)] = 110969,
  [SMALL_STATE(3614)] = 111028,
  [SMALL_STATE(3615)] = 111087,
  [SMALL_STATE(3616)] = 111152,
  [SMALL_STATE(3617)] = 111213,
  [SMALL_STATE(3618)] = 111272,
  [SMALL_STATE(3619)] = 111331,
  [SMALL_STATE(3620)] = 111390,
  [SMALL_STATE(3621)] = 111449,
  [SMALL_STATE(3622)] = 111508,
  [SMALL_STATE(3623)] = 111567,
  [SMALL_STATE(3624)] = 111626,
  [SMALL_STATE(3625)] = 111685,
  [SMALL_STATE(3626)] = 111744,
  [SMALL_STATE(3627)] = 111803,
  [SMALL_STATE(3628)] = 111862,
  [SMALL_STATE(3629)] = 111963,
  [SMALL_STATE(3630)] = 112022,
  [SMALL_STATE(3631)] = 112081,
  [SMALL_STATE(3632)] = 112140,
  [SMALL_STATE(3633)] = 112199,
  [SMALL_STATE(3634)] = 112266,
  [SMALL_STATE(3635)] = 112325,
  [SMALL_STATE(3636)] = 112384,
  [SMALL_STATE(3637)] = 112443,
  [SMALL_STATE(3638)] = 112518,
  [SMALL_STATE(3639)] = 112595,
  [SMALL_STATE(3640)] = 112654,
  [SMALL_STATE(3641)] = 112713,
  [SMALL_STATE(3642)] = 112798,
  [SMALL_STATE(3643)] = 112857,
  [SMALL_STATE(3644)] = 112916,
  [SMALL_STATE(3645)] = 112975,
  [SMALL_STATE(3646)] = 113036,
  [SMALL_STATE(3647)] = 113123,
  [SMALL_STATE(3648)] = 113214,
  [SMALL_STATE(3649)] = 113273,
  [SMALL_STATE(3650)] = 113332,
  [SMALL_STATE(3651)] = 113391,
  [SMALL_STATE(3652)] = 113450,
  [SMALL_STATE(3653)] = 113543,
  [SMALL_STATE(3654)] = 113602,
  [SMALL_STATE(3655)] = 113703,
  [SMALL_STATE(3656)] = 113762,
  [SMALL_STATE(3657)] = 113863,
  [SMALL_STATE(3658)] = 113942,
  [SMALL_STATE(3659)] = 114023,
  [SMALL_STATE(3660)] = 114094,
  [SMALL_STATE(3661)] = 114199,
  [SMALL_STATE(3662)] = 114282,
  [SMALL_STATE(3663)] = 114341,
  [SMALL_STATE(3664)] = 114400,
  [SMALL_STATE(3665)] = 114459,
  [SMALL_STATE(3666)] = 114518,
  [SMALL_STATE(3667)] = 114577,
  [SMALL_STATE(3668)] = 114636,
  [SMALL_STATE(3669)] = 114695,
  [SMALL_STATE(3670)] = 114754,
  [SMALL_STATE(3671)] = 114813,
  [SMALL_STATE(3672)] = 114914,
  [SMALL_STATE(3673)] = 114973,
  [SMALL_STATE(3674)] = 115032,
  [SMALL_STATE(3675)] = 115091,
  [SMALL_STATE(3676)] = 115150,
  [SMALL_STATE(3677)] = 115216,
  [SMALL_STATE(3678)] = 115274,
  [SMALL_STATE(3679)] = 115332,
  [SMALL_STATE(3680)] = 115432,
  [SMALL_STATE(3681)] = 115532,
  [SMALL_STATE(3682)] = 115590,
  [SMALL_STATE(3683)] = 115648,
  [SMALL_STATE(3684)] = 115706,
  [SMALL_STATE(3685)] = 115764,
  [SMALL_STATE(3686)] = 115836,
  [SMALL_STATE(3687)] = 115908,
  [SMALL_STATE(3688)] = 115982,
  [SMALL_STATE(3689)] = 116040,
  [SMALL_STATE(3690)] = 116098,
  [SMALL_STATE(3691)] = 116158,
  [SMALL_STATE(3692)] = 116216,
  [SMALL_STATE(3693)] = 116274,
  [SMALL_STATE(3694)] = 116332,
  [SMALL_STATE(3695)] = 116390,
  [SMALL_STATE(3696)] = 116448,
  [SMALL_STATE(3697)] = 116556,
  [SMALL_STATE(3698)] = 116618,
  [SMALL_STATE(3699)] = 116676,
  [SMALL_STATE(3700)] = 116746,
  [SMALL_STATE(3701)] = 116820,
  [SMALL_STATE(3702)] = 116890,
  [SMALL_STATE(3703)] = 116960,
  [SMALL_STATE(3704)] = 117034,
  [SMALL_STATE(3705)] = 117104,
  [SMALL_STATE(3706)] = 117204,
  [SMALL_STATE(3707)] = 117274,
  [SMALL_STATE(3708)] = 117344,
  [SMALL_STATE(3709)] = 117402,
  [SMALL_STATE(3710)] = 117460,
  [SMALL_STATE(3711)] = 117518,
  [SMALL_STATE(3712)] = 117578,
  [SMALL_STATE(3713)] = 117642,
  [SMALL_STATE(3714)] = 117700,
  [SMALL_STATE(3715)] = 117760,
  [SMALL_STATE(3716)] = 117822,
  [SMALL_STATE(3717)] = 117880,
  [SMALL_STATE(3718)] = 117980,
  [SMALL_STATE(3719)] = 118038,
  [SMALL_STATE(3720)] = 118096,
  [SMALL_STATE(3721)] = 118158,
  [SMALL_STATE(3722)] = 118216,
  [SMALL_STATE(3723)] = 118316,
  [SMALL_STATE(3724)] = 118416,
  [SMALL_STATE(3725)] = 118474,
  [SMALL_STATE(3726)] = 118536,
  [SMALL_STATE(3727)] = 118636,
  [SMALL_STATE(3728)] = 118736,
  [SMALL_STATE(3729)] = 118836,
  [SMALL_STATE(3730)] = 118936,
  [SMALL_STATE(3731)] = 118994,
  [SMALL_STATE(3732)] = 119052,
  [SMALL_STATE(3733)] = 119152,
  [SMALL_STATE(3734)] = 119210,
  [SMALL_STATE(3735)] = 119268,
  [SMALL_STATE(3736)] = 119326,
  [SMALL_STATE(3737)] = 119384,
  [SMALL_STATE(3738)] = 119444,
  [SMALL_STATE(3739)] = 119502,
  [SMALL_STATE(3740)] = 119560,
  [SMALL_STATE(3741)] = 119626,
  [SMALL_STATE(3742)] = 119726,
  [SMALL_STATE(3743)] = 119826,
  [SMALL_STATE(3744)] = 119926,
  [SMALL_STATE(3745)] = 119984,
  [SMALL_STATE(3746)] = 120042,
  [SMALL_STATE(3747)] = 120100,
  [SMALL_STATE(3748)] = 120158,
  [SMALL_STATE(3749)] = 120216,
  [SMALL_STATE(3750)] = 120274,
  [SMALL_STATE(3751)] = 120332,
  [SMALL_STATE(3752)] = 120390,
  [SMALL_STATE(3753)] = 120448,
  [SMALL_STATE(3754)] = 120506,
  [SMALL_STATE(3755)] = 120564,
  [SMALL_STATE(3756)] = 120622,
  [SMALL_STATE(3757)] = 120722,
  [SMALL_STATE(3758)] = 120822,
  [SMALL_STATE(3759)] = 120922,
  [SMALL_STATE(3760)] = 120980,
  [SMALL_STATE(3761)] = 121038,
  [SMALL_STATE(3762)] = 121096,
  [SMALL_STATE(3763)] = 121154,
  [SMALL_STATE(3764)] = 121254,
  [SMALL_STATE(3765)] = 121312,
  [SMALL_STATE(3766)] = 121376,
  [SMALL_STATE(3767)] = 121434,
  [SMALL_STATE(3768)] = 121492,
  [SMALL_STATE(3769)] = 121550,
  [SMALL_STATE(3770)] = 121614,
  [SMALL_STATE(3771)] = 121672,
  [SMALL_STATE(3772)] = 121730,
  [SMALL_STATE(3773)] = 121788,
  [SMALL_STATE(3774)] = 121846,
  [SMALL_STATE(3775)] = 121904,
  [SMALL_STATE(3776)] = 121962,
  [SMALL_STATE(3777)] = 122020,
  [SMALL_STATE(3778)] = 122078,
  [SMALL_STATE(3779)] = 122136,
  [SMALL_STATE(3780)] = 122194,
  [SMALL_STATE(3781)] = 122260,
  [SMALL_STATE(3782)] = 122318,
  [SMALL_STATE(3783)] = 122384,
  [SMALL_STATE(3784)] = 122442,
  [SMALL_STATE(3785)] = 122500,
  [SMALL_STATE(3786)] = 122566,
  [SMALL_STATE(3787)] = 122632,
  [SMALL_STATE(3788)] = 122696,
  [SMALL_STATE(3789)] = 122754,
  [SMALL_STATE(3790)] = 122812,
  [SMALL_STATE(3791)] = 122878,
  [SMALL_STATE(3792)] = 122936,
  [SMALL_STATE(3793)] = 122994,
  [SMALL_STATE(3794)] = 123060,
  [SMALL_STATE(3795)] = 123118,
  [SMALL_STATE(3796)] = 123184,
  [SMALL_STATE(3797)] = 123242,
  [SMALL_STATE(3798)] = 123308,
  [SMALL_STATE(3799)] = 123374,
  [SMALL_STATE(3800)] = 123440,
  [SMALL_STATE(3801)] = 123498,
  [SMALL_STATE(3802)] = 123560,
  [SMALL_STATE(3803)] = 123660,
  [SMALL_STATE(3804)] = 123718,
  [SMALL_STATE(3805)] = 123776,
  [SMALL_STATE(3806)] = 123876,
  [SMALL_STATE(3807)] = 123934,
  [SMALL_STATE(3808)] = 123992,
  [SMALL_STATE(3809)] = 124050,
  [SMALL_STATE(3810)] = 124112,
  [SMALL_STATE(3811)] = 124170,
  [SMALL_STATE(3812)] = 124228,
  [SMALL_STATE(3813)] = 124286,
  [SMALL_STATE(3814)] = 124344,
  [SMALL_STATE(3815)] = 124402,
  [SMALL_STATE(3816)] = 124460,
  [SMALL_STATE(3817)] = 124560,
  [SMALL_STATE(3818)] = 124618,
  [SMALL_STATE(3819)] = 124676,
  [SMALL_STATE(3820)] = 124734,
  [SMALL_STATE(3821)] = 124792,
  [SMALL_STATE(3822)] = 124850,
  [SMALL_STATE(3823)] = 124908,
  [SMALL_STATE(3824)] = 124970,
  [SMALL_STATE(3825)] = 125028,
  [SMALL_STATE(3826)] = 125086,
  [SMALL_STATE(3827)] = 125177,
  [SMALL_STATE(3828)] = 125234,
  [SMALL_STATE(3829)] = 125297,
  [SMALL_STATE(3830)] = 125360,
  [SMALL_STATE(3831)] = 125423,
  [SMALL_STATE(3832)] = 125486,
  [SMALL_STATE(3833)] = 125549,
  [SMALL_STATE(3834)] = 125606,
  [SMALL_STATE(3835)] = 125663,
  [SMALL_STATE(3836)] = 125726,
  [SMALL_STATE(3837)] = 125783,
  [SMALL_STATE(3838)] = 125840,
  [SMALL_STATE(3839)] = 125897,
  [SMALL_STATE(3840)] = 126002,
  [SMALL_STATE(3841)] = 126059,
  [SMALL_STATE(3842)] = 126116,
  [SMALL_STATE(3843)] = 126173,
  [SMALL_STATE(3844)] = 126238,
  [SMALL_STATE(3845)] = 126295,
  [SMALL_STATE(3846)] = 126356,
  [SMALL_STATE(3847)] = 126413,
  [SMALL_STATE(3848)] = 126470,
  [SMALL_STATE(3849)] = 126527,
  [SMALL_STATE(3850)] = 126584,
  [SMALL_STATE(3851)] = 126645,
  [SMALL_STATE(3852)] = 126702,
  [SMALL_STATE(3853)] = 126759,
  [SMALL_STATE(3854)] = 126816,
  [SMALL_STATE(3855)] = 126873,
  [SMALL_STATE(3856)] = 126942,
  [SMALL_STATE(3857)] = 127043,
  [SMALL_STATE(3858)] = 127136,
  [SMALL_STATE(3859)] = 127193,
  [SMALL_STATE(3860)] = 127298,
  [SMALL_STATE(3861)] = 127359,
  [SMALL_STATE(3862)] = 127416,
  [SMALL_STATE(3863)] = 127473,
  [SMALL_STATE(3864)] = 127534,
  [SMALL_STATE(3865)] = 127595,
  [SMALL_STATE(3866)] = 127652,
  [SMALL_STATE(3867)] = 127753,
  [SMALL_STATE(3868)] = 127810,
  [SMALL_STATE(3869)] = 127867,
  [SMALL_STATE(3870)] = 127924,
  [SMALL_STATE(3871)] = 127985,
  [SMALL_STATE(3872)] = 128042,
  [SMALL_STATE(3873)] = 128099,
  [SMALL_STATE(3874)] = 128156,
  [SMALL_STATE(3875)] = 128213,
  [SMALL_STATE(3876)] = 128270,
  [SMALL_STATE(3877)] = 128327,
  [SMALL_STATE(3878)] = 128392,
  [SMALL_STATE(3879)] = 128453,
  [SMALL_STATE(3880)] = 128510,
  [SMALL_STATE(3881)] = 128567,
  [SMALL_STATE(3882)] = 128628,
  [SMALL_STATE(3883)] = 128685,
  [SMALL_STATE(3884)] = 128746,
  [SMALL_STATE(3885)] = 128803,
  [SMALL_STATE(3886)] = 128860,
  [SMALL_STATE(3887)] = 128917,
  [SMALL_STATE(3888)] = 128974,
  [SMALL_STATE(3889)] = 129031,
  [SMALL_STATE(3890)] = 129088,
  [SMALL_STATE(3891)] = 129145,
  [SMALL_STATE(3892)] = 129202,
  [SMALL_STATE(3893)] = 129259,
  [SMALL_STATE(3894)] = 129316,
  [SMALL_STATE(3895)] = 129423,
  [SMALL_STATE(3896)] = 129488,
  [SMALL_STATE(3897)] = 129545,
  [SMALL_STATE(3898)] = 129602,
  [SMALL_STATE(3899)] = 129659,
  [SMALL_STATE(3900)] = 129716,
  [SMALL_STATE(3901)] = 129773,
  [SMALL_STATE(3902)] = 129830,
  [SMALL_STATE(3903)] = 129887,
  [SMALL_STATE(3904)] = 129944,
  [SMALL_STATE(3905)] = 130009,
  [SMALL_STATE(3906)] = 130066,
  [SMALL_STATE(3907)] = 130123,
  [SMALL_STATE(3908)] = 130180,
  [SMALL_STATE(3909)] = 130237,
  [SMALL_STATE(3910)] = 130294,
  [SMALL_STATE(3911)] = 130395,
  [SMALL_STATE(3912)] = 130468,
  [SMALL_STATE(3913)] = 130525,
  [SMALL_STATE(3914)] = 130582,
  [SMALL_STATE(3915)] = 130639,
  [SMALL_STATE(3916)] = 130696,
  [SMALL_STATE(3917)] = 130761,
  [SMALL_STATE(3918)] = 130834,
  [SMALL_STATE(3919)] = 130909,
  [SMALL_STATE(3920)] = 130966,
  [SMALL_STATE(3921)] = 131049,
  [SMALL_STATE(3922)] = 131134,
  [SMALL_STATE(3923)] = 131191,
  [SMALL_STATE(3924)] = 131280,
  [SMALL_STATE(3925)] = 131371,
  [SMALL_STATE(3926)] = 131448,
  [SMALL_STATE(3927)] = 131527,
  [SMALL_STATE(3928)] = 131596,
  [SMALL_STATE(3929)] = 131699,
  [SMALL_STATE(3930)] = 131780,
  [SMALL_STATE(3931)] = 131837,
  [SMALL_STATE(3932)] = 131894,
  [SMALL_STATE(3933)] = 131969,
  [SMALL_STATE(3934)] = 132026,
  [SMALL_STATE(3935)] = 132083,
  [SMALL_STATE(3936)] = 132140,
  [SMALL_STATE(3937)] = 132197,
  [SMALL_STATE(3938)] = 132280,
  [SMALL_STATE(3939)] = 132341,
  [SMALL_STATE(3940)] = 132398,
  [SMALL_STATE(3941)] = 132459,
  [SMALL_STATE(3942)] = 132516,
  [SMALL_STATE(3943)] = 132573,
  [SMALL_STATE(3944)] = 132630,
  [SMALL_STATE(3945)] = 132687,
  [SMALL_STATE(3946)] = 132744,
  [SMALL_STATE(3947)] = 132801,
  [SMALL_STATE(3948)] = 132886,
  [SMALL_STATE(3949)] = 132943,
  [SMALL_STATE(3950)] = 133000,
  [SMALL_STATE(3951)] = 133057,
  [SMALL_STATE(3952)] = 133114,
  [SMALL_STATE(3953)] = 133171,
  [SMALL_STATE(3954)] = 133260,
  [SMALL_STATE(3955)] = 133317,
  [SMALL_STATE(3956)] = 133374,
  [SMALL_STATE(3957)] = 133435,
  [SMALL_STATE(3958)] = 133512,
  [SMALL_STATE(3959)] = 133591,
  [SMALL_STATE(3960)] = 133694,
  [SMALL_STATE(3961)] = 133751,
  [SMALL_STATE(3962)] = 133816,
  [SMALL_STATE(3963)] = 133873,
  [SMALL_STATE(3964)] = 133938,
  [SMALL_STATE(3965)] = 134019,
  [SMALL_STATE(3966)] = 134076,
  [SMALL_STATE(3967)] = 134133,
  [SMALL_STATE(3968)] = 134194,
  [SMALL_STATE(3969)] = 134251,
  [SMALL_STATE(3970)] = 134308,
  [SMALL_STATE(3971)] = 134365,
  [SMALL_STATE(3972)] = 134422,
  [SMALL_STATE(3973)] = 134485,
  [SMALL_STATE(3974)] = 134542,
  [SMALL_STATE(3975)] = 134599,
  [SMALL_STATE(3976)] = 134658,
  [SMALL_STATE(3977)] = 134715,
  [SMALL_STATE(3978)] = 134772,
  [SMALL_STATE(3979)] = 134829,
  [SMALL_STATE(3980)] = 134886,
  [SMALL_STATE(3981)] = 134943,
  [SMALL_STATE(3982)] = 135000,
  [SMALL_STATE(3983)] = 135057,
  [SMALL_STATE(3984)] = 135114,
  [SMALL_STATE(3985)] = 135177,
  [SMALL_STATE(3986)] = 135234,
  [SMALL_STATE(3987)] = 135291,
  [SMALL_STATE(3988)] = 135348,
  [SMALL_STATE(3989)] = 135405,
  [SMALL_STATE(3990)] = 135470,
  [SMALL_STATE(3991)] = 135527,
  [SMALL_STATE(3992)] = 135588,
  [SMALL_STATE(3993)] = 135657,
  [SMALL_STATE(3994)] = 135718,
  [SMALL_STATE(3995)] = 135775,
  [SMALL_STATE(3996)] = 135844,
  [SMALL_STATE(3997)] = 135947,
  [SMALL_STATE(3998)] = 136012,
  [SMALL_STATE(3999)] = 136081,
  [SMALL_STATE(4000)] = 136154,
  [SMALL_STATE(4001)] = 136211,
  [SMALL_STATE(4002)] = 136280,
  [SMALL_STATE(4003)] = 136349,
  [SMALL_STATE(4004)] = 136406,
  [SMALL_STATE(4005)] = 136499,
  [SMALL_STATE(4006)] = 136562,
  [SMALL_STATE(4007)] = 136635,
  [SMALL_STATE(4008)] = 136704,
  [SMALL_STATE(4009)] = 136777,
  [SMALL_STATE(4010)] = 136848,
  [SMALL_STATE(4011)] = 136919,
  [SMALL_STATE(4012)] = 137020,
  [SMALL_STATE(4013)] = 137077,
  [SMALL_STATE(4014)] = 137140,
  [SMALL_STATE(4015)] = 137197,
  [SMALL_STATE(4016)] = 137254,
  [SMALL_STATE(4017)] = 137353,
  [SMALL_STATE(4018)] = 137458,
  [SMALL_STATE(4019)] = 137557,
  [SMALL_STATE(4020)] = 137656,
  [SMALL_STATE(4021)] = 137713,
  [SMALL_STATE(4022)] = 137770,
  [SMALL_STATE(4023)] = 137827,
  [SMALL_STATE(4024)] = 137926,
  [SMALL_STATE(4025)] = 137983,
  [SMALL_STATE(4026)] = 138040,
  [SMALL_STATE(4027)] = 138097,
  [SMALL_STATE(4028)] = 138196,
  [SMALL_STATE(4029)] = 138253,
  [SMALL_STATE(4030)] = 138312,
  [SMALL_STATE(4031)] = 138369,
  [SMALL_STATE(4032)] = 138426,
  [SMALL_STATE(4033)] = 138525,
  [SMALL_STATE(4034)] = 138624,
  [SMALL_STATE(4035)] = 138681,
  [SMALL_STATE(4036)] = 138738,
  [SMALL_STATE(4037)] = 138799,
  [SMALL_STATE(4038)] = 138862,
  [SMALL_STATE(4039)] = 138919,
  [SMALL_STATE(4040)] = 138976,
  [SMALL_STATE(4041)] = 139041,
  [SMALL_STATE(4042)] = 139098,
  [SMALL_STATE(4043)] = 139155,
  [SMALL_STATE(4044)] = 139212,
  [SMALL_STATE(4045)] = 139269,
  [SMALL_STATE(4046)] = 139332,
  [SMALL_STATE(4047)] = 139395,
  [SMALL_STATE(4048)] = 139456,
  [SMALL_STATE(4049)] = 139513,
  [SMALL_STATE(4050)] = 139576,
  [SMALL_STATE(4051)] = 139633,
  [SMALL_STATE(4052)] = 139696,
  [SMALL_STATE(4053)] = 139753,
  [SMALL_STATE(4054)] = 139811,
  [SMALL_STATE(4055)] = 139873,
  [SMALL_STATE(4056)] = 139971,
  [SMALL_STATE(4057)] = 140077,
  [SMALL_STATE(4058)] = 140175,
  [SMALL_STATE(4059)] = 140237,
  [SMALL_STATE(4060)] = 140335,
  [SMALL_STATE(4061)] = 140399,
  [SMALL_STATE(4062)] = 140463,
  [SMALL_STATE(4063)] = 140523,
  [SMALL_STATE(4064)] = 140621,
  [SMALL_STATE(4065)] = 140721,
  [SMALL_STATE(4066)] = 140819,
  [SMALL_STATE(4067)] = 140917,
  [SMALL_STATE(4068)] = 141015,
  [SMALL_STATE(4069)] = 141113,
  [SMALL_STATE(4070)] = 141173,
  [SMALL_STATE(4071)] = 141235,
  [SMALL_STATE(4072)] = 141333,
  [SMALL_STATE(4073)] = 141435,
  [SMALL_STATE(4074)] = 141495,
  [SMALL_STATE(4075)] = 141555,
  [SMALL_STATE(4076)] = 141617,
  [SMALL_STATE(4077)] = 141677,
  [SMALL_STATE(4078)] = 141737,
  [SMALL_STATE(4079)] = 141797,
  [SMALL_STATE(4080)] = 141857,
  [SMALL_STATE(4081)] = 141919,
  [SMALL_STATE(4082)] = 141979,
  [SMALL_STATE(4083)] = 142039,
  [SMALL_STATE(4084)] = 142119,
  [SMALL_STATE(4085)] = 142221,
  [SMALL_STATE(4086)] = 142281,
  [SMALL_STATE(4087)] = 142387,
  [SMALL_STATE(4088)] = 142455,
  [SMALL_STATE(4089)] = 142515,
  [SMALL_STATE(4090)] = 142593,
  [SMALL_STATE(4091)] = 142669,
  [SMALL_STATE(4092)] = 142767,
  [SMALL_STATE(4093)] = 142857,
  [SMALL_STATE(4094)] = 142955,
  [SMALL_STATE(4095)] = 143043,
  [SMALL_STATE(4096)] = 143127,
  [SMALL_STATE(4097)] = 143209,
  [SMALL_STATE(4098)] = 143307,
  [SMALL_STATE(4099)] = 143381,
  [SMALL_STATE(4100)] = 143453,
  [SMALL_STATE(4101)] = 143517,
  [SMALL_STATE(4102)] = 143579,
  [SMALL_STATE(4103)] = 143639,
  [SMALL_STATE(4104)] = 143739,
  [SMALL_STATE(4105)] = 143803,
  [SMALL_STATE(4106)] = 143863,
  [SMALL_STATE(4107)] = 143963,
  [SMALL_STATE(4108)] = 144055,
  [SMALL_STATE(4109)] = 144153,
  [SMALL_STATE(4110)] = 144211,
  [SMALL_STATE(4111)] = 144275,
  [SMALL_STATE(4112)] = 144335,
  [SMALL_STATE(4113)] = 144391,
  [SMALL_STATE(4114)] = 144449,
  [SMALL_STATE(4115)] = 144547,
  [SMALL_STATE(4116)] = 144605,
  [SMALL_STATE(4117)] = 144707,
  [SMALL_STATE(4118)] = 144805,
  [SMALL_STATE(4119)] = 144864,
  [SMALL_STATE(4120)] = 144961,
  [SMALL_STATE(4121)] = 145058,
  [SMALL_STATE(4122)] = 145113,
  [SMALL_STATE(4123)] = 145174,
  [SMALL_STATE(4124)] = 145229,
  [SMALL_STATE(4125)] = 145286,
  [SMALL_STATE(4126)] = 145341,
  [SMALL_STATE(4127)] = 145402,
  [SMALL_STATE(4128)] = 145457,
  [SMALL_STATE(4129)] = 145512,
  [SMALL_STATE(4130)] = 145567,
  [SMALL_STATE(4131)] = 145622,
  [SMALL_STATE(4132)] = 145681,
  [SMALL_STATE(4133)] = 145760,
  [SMALL_STATE(4134)] = 145863,
  [SMALL_STATE(4135)] = 145930,
  [SMALL_STATE(4136)] = 146007,
  [SMALL_STATE(4137)] = 146082,
  [SMALL_STATE(4138)] = 146171,
  [SMALL_STATE(4139)] = 146258,
  [SMALL_STATE(4140)] = 146341,
  [SMALL_STATE(4141)] = 146422,
  [SMALL_STATE(4142)] = 146495,
  [SMALL_STATE(4143)] = 146566,
  [SMALL_STATE(4144)] = 146629,
  [SMALL_STATE(4145)] = 146730,
  [SMALL_STATE(4146)] = 146793,
  [SMALL_STATE(4147)] = 146856,
  [SMALL_STATE(4148)] = 146957,
  [SMALL_STATE(4149)] = 147050,
  [SMALL_STATE(4150)] = 147105,
  [SMALL_STATE(4151)] = 147202,
  [SMALL_STATE(4152)] = 147257,
  [SMALL_STATE(4153)] = 147314,
  [SMALL_STATE(4154)] = 147369,
  [SMALL_STATE(4155)] = 147424,
  [SMALL_STATE(4156)] = 147479,
  [SMALL_STATE(4157)] = 147534,
  [SMALL_STATE(4158)] = 147589,
  [SMALL_STATE(4159)] = 147644,
  [SMALL_STATE(4160)] = 147699,
  [SMALL_STATE(4161)] = 147754,
  [SMALL_STATE(4162)] = 147809,
  [SMALL_STATE(4163)] = 147868,
  [SMALL_STATE(4164)] = 147923,
  [SMALL_STATE(4165)] = 147978,
  [SMALL_STATE(4166)] = 148033,
  [SMALL_STATE(4167)] = 148088,
  [SMALL_STATE(4168)] = 148143,
  [SMALL_STATE(4169)] = 148198,
  [SMALL_STATE(4170)] = 148253,
  [SMALL_STATE(4171)] = 148308,
  [SMALL_STATE(4172)] = 148363,
  [SMALL_STATE(4173)] = 148418,
  [SMALL_STATE(4174)] = 148473,
  [SMALL_STATE(4175)] = 148528,
  [SMALL_STATE(4176)] = 148583,
  [SMALL_STATE(4177)] = 148638,
  [SMALL_STATE(4178)] = 148693,
  [SMALL_STATE(4179)] = 148748,
  [SMALL_STATE(4180)] = 148803,
  [SMALL_STATE(4181)] = 148858,
  [SMALL_STATE(4182)] = 148913,
  [SMALL_STATE(4183)] = 148968,
  [SMALL_STATE(4184)] = 149027,
  [SMALL_STATE(4185)] = 149124,
  [SMALL_STATE(4186)] = 149179,
  [SMALL_STATE(4187)] = 149234,
  [SMALL_STATE(4188)] = 149293,
  [SMALL_STATE(4189)] = 149348,
  [SMALL_STATE(4190)] = 149445,
  [SMALL_STATE(4191)] = 149504,
  [SMALL_STATE(4192)] = 149559,
  [SMALL_STATE(4193)] = 149620,
  [SMALL_STATE(4194)] = 149679,
  [SMALL_STATE(4195)] = 149734,
  [SMALL_STATE(4196)] = 149793,
  [SMALL_STATE(4197)] = 149848,
  [SMALL_STATE(4198)] = 149903,
  [SMALL_STATE(4199)] = 149958,
  [SMALL_STATE(4200)] = 150013,
  [SMALL_STATE(4201)] = 150068,
  [SMALL_STATE(4202)] = 150125,
  [SMALL_STATE(4203)] = 150182,
  [SMALL_STATE(4204)] = 150241,
  [SMALL_STATE(4205)] = 150300,
  [SMALL_STATE(4206)] = 150359,
  [SMALL_STATE(4207)] = 150460,
  [SMALL_STATE(4208)] = 150519,
  [SMALL_STATE(4209)] = 150616,
  [SMALL_STATE(4210)] = 150679,
  [SMALL_STATE(4211)] = 150742,
  [SMALL_STATE(4212)] = 150803,
  [SMALL_STATE(4213)] = 150862,
  [SMALL_STATE(4214)] = 150959,
  [SMALL_STATE(4215)] = 151013,
  [SMALL_STATE(4216)] = 151073,
  [SMALL_STATE(4217)] = 151127,
  [SMALL_STATE(4218)] = 151181,
  [SMALL_STATE(4219)] = 151235,
  [SMALL_STATE(4220)] = 151289,
  [SMALL_STATE(4221)] = 151351,
  [SMALL_STATE(4222)] = 151405,
  [SMALL_STATE(4223)] = 151459,
  [SMALL_STATE(4224)] = 151513,
  [SMALL_STATE(4225)] = 151567,
  [SMALL_STATE(4226)] = 151621,
  [SMALL_STATE(4227)] = 151675,
  [SMALL_STATE(4228)] = 151779,
  [SMALL_STATE(4229)] = 151835,
  [SMALL_STATE(4230)] = 151889,
  [SMALL_STATE(4231)] = 151943,
  [SMALL_STATE(4232)] = 151997,
  [SMALL_STATE(4233)] = 152051,
  [SMALL_STATE(4234)] = 152105,
  [SMALL_STATE(4235)] = 152159,
  [SMALL_STATE(4236)] = 152213,
  [SMALL_STATE(4237)] = 152301,
  [SMALL_STATE(4238)] = 152355,
  [SMALL_STATE(4239)] = 152409,
  [SMALL_STATE(4240)] = 152505,
  [SMALL_STATE(4241)] = 152567,
  [SMALL_STATE(4242)] = 152621,
  [SMALL_STATE(4243)] = 152683,
  [SMALL_STATE(4244)] = 152737,
  [SMALL_STATE(4245)] = 152797,
  [SMALL_STATE(4246)] = 152851,
  [SMALL_STATE(4247)] = 152907,
  [SMALL_STATE(4248)] = 153003,
  [SMALL_STATE(4249)] = 153065,
  [SMALL_STATE(4250)] = 153119,
  [SMALL_STATE(4251)] = 153173,
  [SMALL_STATE(4252)] = 153227,
  [SMALL_STATE(4253)] = 153281,
  [SMALL_STATE(4254)] = 153351,
  [SMALL_STATE(4255)] = 153405,
  [SMALL_STATE(4256)] = 153459,
  [SMALL_STATE(4257)] = 153513,
  [SMALL_STATE(4258)] = 153585,
  [SMALL_STATE(4259)] = 153665,
  [SMALL_STATE(4260)] = 153719,
  [SMALL_STATE(4261)] = 153801,
  [SMALL_STATE(4262)] = 153885,
  [SMALL_STATE(4263)] = 153971,
  [SMALL_STATE(4264)] = 154045,
  [SMALL_STATE(4265)] = 154121,
  [SMALL_STATE(4266)] = 154187,
  [SMALL_STATE(4267)] = 154285,
  [SMALL_STATE(4268)] = 154363,
  [SMALL_STATE(4269)] = 154417,
  [SMALL_STATE(4270)] = 154471,
  [SMALL_STATE(4271)] = 154525,
  [SMALL_STATE(4272)] = 154579,
  [SMALL_STATE(4273)] = 154633,
  [SMALL_STATE(4274)] = 154687,
  [SMALL_STATE(4275)] = 154741,
  [SMALL_STATE(4276)] = 154795,
  [SMALL_STATE(4277)] = 154849,
  [SMALL_STATE(4278)] = 154907,
  [SMALL_STATE(4279)] = 154961,
  [SMALL_STATE(4280)] = 155015,
  [SMALL_STATE(4281)] = 155077,
  [SMALL_STATE(4282)] = 155131,
  [SMALL_STATE(4283)] = 155185,
  [SMALL_STATE(4284)] = 155241,
  [SMALL_STATE(4285)] = 155299,
  [SMALL_STATE(4286)] = 155353,
  [SMALL_STATE(4287)] = 155415,
  [SMALL_STATE(4288)] = 155469,
  [SMALL_STATE(4289)] = 155523,
  [SMALL_STATE(4290)] = 155577,
  [SMALL_STATE(4291)] = 155631,
  [SMALL_STATE(4292)] = 155689,
  [SMALL_STATE(4293)] = 155743,
  [SMALL_STATE(4294)] = 155797,
  [SMALL_STATE(4295)] = 155855,
  [SMALL_STATE(4296)] = 155909,
  [SMALL_STATE(4297)] = 155963,
  [SMALL_STATE(4298)] = 156017,
  [SMALL_STATE(4299)] = 156075,
  [SMALL_STATE(4300)] = 156129,
  [SMALL_STATE(4301)] = 156183,
  [SMALL_STATE(4302)] = 156237,
  [SMALL_STATE(4303)] = 156291,
  [SMALL_STATE(4304)] = 156349,
  [SMALL_STATE(4305)] = 156403,
  [SMALL_STATE(4306)] = 156461,
  [SMALL_STATE(4307)] = 156515,
  [SMALL_STATE(4308)] = 156569,
  [SMALL_STATE(4309)] = 156623,
  [SMALL_STATE(4310)] = 156677,
  [SMALL_STATE(4311)] = 156731,
  [SMALL_STATE(4312)] = 156785,
  [SMALL_STATE(4313)] = 156839,
  [SMALL_STATE(4314)] = 156893,
  [SMALL_STATE(4315)] = 156947,
  [SMALL_STATE(4316)] = 157001,
  [SMALL_STATE(4317)] = 157079,
  [SMALL_STATE(4318)] = 157175,
  [SMALL_STATE(4319)] = 157273,
  [SMALL_STATE(4320)] = 157339,
  [SMALL_STATE(4321)] = 157415,
  [SMALL_STATE(4322)] = 157469,
  [SMALL_STATE(4323)] = 157543,
  [SMALL_STATE(4324)] = 157639,
  [SMALL_STATE(4325)] = 157725,
  [SMALL_STATE(4326)] = 157809,
  [SMALL_STATE(4327)] = 157863,
  [SMALL_STATE(4328)] = 157917,
  [SMALL_STATE(4329)] = 157999,
  [SMALL_STATE(4330)] = 158079,
  [SMALL_STATE(4331)] = 158151,
  [SMALL_STATE(4332)] = 158247,
  [SMALL_STATE(4333)] = 158343,
  [SMALL_STATE(4334)] = 158399,
  [SMALL_STATE(4335)] = 158453,
  [SMALL_STATE(4336)] = 158549,
  [SMALL_STATE(4337)] = 158603,
  [SMALL_STATE(4338)] = 158699,
  [SMALL_STATE(4339)] = 158761,
  [SMALL_STATE(4340)] = 158815,
  [SMALL_STATE(4341)] = 158869,
  [SMALL_STATE(4342)] = 158923,
  [SMALL_STATE(4343)] = 158977,
  [SMALL_STATE(4344)] = 159031,
  [SMALL_STATE(4345)] = 159127,
  [SMALL_STATE(4346)] = 159223,
  [SMALL_STATE(4347)] = 159285,
  [SMALL_STATE(4348)] = 159339,
  [SMALL_STATE(4349)] = 159393,
  [SMALL_STATE(4350)] = 159455,
  [SMALL_STATE(4351)] = 159517,
  [SMALL_STATE(4352)] = 159571,
  [SMALL_STATE(4353)] = 159629,
  [SMALL_STATE(4354)] = 159683,
  [SMALL_STATE(4355)] = 159737,
  [SMALL_STATE(4356)] = 159791,
  [SMALL_STATE(4357)] = 159845,
  [SMALL_STATE(4358)] = 159899,
  [SMALL_STATE(4359)] = 159953,
  [SMALL_STATE(4360)] = 160007,
  [SMALL_STATE(4361)] = 160061,
  [SMALL_STATE(4362)] = 160115,
  [SMALL_STATE(4363)] = 160169,
  [SMALL_STATE(4364)] = 160223,
  [SMALL_STATE(4365)] = 160279,
  [SMALL_STATE(4366)] = 160341,
  [SMALL_STATE(4367)] = 160395,
  [SMALL_STATE(4368)] = 160449,
  [SMALL_STATE(4369)] = 160503,
  [SMALL_STATE(4370)] = 160557,
  [SMALL_STATE(4371)] = 160617,
  [SMALL_STATE(4372)] = 160677,
  [SMALL_STATE(4373)] = 160731,
  [SMALL_STATE(4374)] = 160785,
  [SMALL_STATE(4375)] = 160839,
  [SMALL_STATE(4376)] = 160893,
  [SMALL_STATE(4377)] = 160947,
  [SMALL_STATE(4378)] = 161001,
  [SMALL_STATE(4379)] = 161055,
  [SMALL_STATE(4380)] = 161109,
  [SMALL_STATE(4381)] = 161163,
  [SMALL_STATE(4382)] = 161217,
  [SMALL_STATE(4383)] = 161271,
  [SMALL_STATE(4384)] = 161325,
  [SMALL_STATE(4385)] = 161379,
  [SMALL_STATE(4386)] = 161433,
  [SMALL_STATE(4387)] = 161487,
  [SMALL_STATE(4388)] = 161583,
  [SMALL_STATE(4389)] = 161671,
  [SMALL_STATE(4390)] = 161725,
  [SMALL_STATE(4391)] = 161795,
  [SMALL_STATE(4392)] = 161849,
  [SMALL_STATE(4393)] = 161903,
  [SMALL_STATE(4394)] = 161957,
  [SMALL_STATE(4395)] = 162011,
  [SMALL_STATE(4396)] = 162065,
  [SMALL_STATE(4397)] = 162119,
  [SMALL_STATE(4398)] = 162173,
  [SMALL_STATE(4399)] = 162227,
  [SMALL_STATE(4400)] = 162281,
  [SMALL_STATE(4401)] = 162339,
  [SMALL_STATE(4402)] = 162393,
  [SMALL_STATE(4403)] = 162447,
  [SMALL_STATE(4404)] = 162501,
  [SMALL_STATE(4405)] = 162554,
  [SMALL_STATE(4406)] = 162647,
  [SMALL_STATE(4407)] = 162700,
  [SMALL_STATE(4408)] = 162777,
  [SMALL_STATE(4409)] = 162876,
  [SMALL_STATE(4410)] = 162941,
  [SMALL_STATE(4411)] = 163016,
  [SMALL_STATE(4412)] = 163089,
  [SMALL_STATE(4413)] = 163176,
  [SMALL_STATE(4414)] = 163261,
  [SMALL_STATE(4415)] = 163342,
  [SMALL_STATE(4416)] = 163421,
  [SMALL_STATE(4417)] = 163492,
  [SMALL_STATE(4418)] = 163561,
  [SMALL_STATE(4419)] = 163626,
  [SMALL_STATE(4420)] = 163679,
  [SMALL_STATE(4421)] = 163740,
  [SMALL_STATE(4422)] = 163837,
  [SMALL_STATE(4423)] = 163898,
  [SMALL_STATE(4424)] = 163993,
  [SMALL_STATE(4425)] = 164046,
  [SMALL_STATE(4426)] = 164099,
  [SMALL_STATE(4427)] = 164160,
  [SMALL_STATE(4428)] = 164257,
  [SMALL_STATE(4429)] = 164316,
  [SMALL_STATE(4430)] = 164405,
  [SMALL_STATE(4431)] = 164500,
  [SMALL_STATE(4432)] = 164553,
  [SMALL_STATE(4433)] = 164612,
  [SMALL_STATE(4434)] = 164715,
  [SMALL_STATE(4435)] = 164810,
  [SMALL_STATE(4436)] = 164875,
  [SMALL_STATE(4437)] = 164934,
  [SMALL_STATE(4438)] = 164995,
  [SMALL_STATE(4439)] = 165090,
  [SMALL_STATE(4440)] = 165143,
  [SMALL_STATE(4441)] = 165196,
  [SMALL_STATE(4442)] = 165249,
  [SMALL_STATE(4443)] = 165344,
  [SMALL_STATE(4444)] = 165401,
  [SMALL_STATE(4445)] = 165500,
  [SMALL_STATE(4446)] = 165595,
  [SMALL_STATE(4447)] = 165654,
  [SMALL_STATE(4448)] = 165749,
  [SMALL_STATE(4449)] = 165804,
  [SMALL_STATE(4450)] = 165857,
  [SMALL_STATE(4451)] = 165910,
  [SMALL_STATE(4452)] = 165971,
  [SMALL_STATE(4453)] = 166024,
  [SMALL_STATE(4454)] = 166077,
  [SMALL_STATE(4455)] = 166138,
  [SMALL_STATE(4456)] = 166191,
  [SMALL_STATE(4457)] = 166286,
  [SMALL_STATE(4458)] = 166341,
  [SMALL_STATE(4459)] = 166394,
  [SMALL_STATE(4460)] = 166489,
  [SMALL_STATE(4461)] = 166542,
  [SMALL_STATE(4462)] = 166637,
  [SMALL_STATE(4463)] = 166690,
  [SMALL_STATE(4464)] = 166785,
  [SMALL_STATE(4465)] = 166838,
  [SMALL_STATE(4466)] = 166933,
  [SMALL_STATE(4467)] = 166986,
  [SMALL_STATE(4468)] = 167039,
  [SMALL_STATE(4469)] = 167092,
  [SMALL_STATE(4470)] = 167145,
  [SMALL_STATE(4471)] = 167238,
  [SMALL_STATE(4472)] = 167291,
  [SMALL_STATE(4473)] = 167356,
  [SMALL_STATE(4474)] = 167409,
  [SMALL_STATE(4475)] = 167462,
  [SMALL_STATE(4476)] = 167515,
  [SMALL_STATE(4477)] = 167568,
  [SMALL_STATE(4478)] = 167623,
  [SMALL_STATE(4479)] = 167676,
  [SMALL_STATE(4480)] = 167729,
  [SMALL_STATE(4481)] = 167818,
  [SMALL_STATE(4482)] = 167895,
  [SMALL_STATE(4483)] = 167960,
  [SMALL_STATE(4484)] = 168013,
  [SMALL_STATE(4485)] = 168072,
  [SMALL_STATE(4486)] = 168169,
  [SMALL_STATE(4487)] = 168222,
  [SMALL_STATE(4488)] = 168275,
  [SMALL_STATE(4489)] = 168374,
  [SMALL_STATE(4490)] = 168427,
  [SMALL_STATE(4491)] = 168492,
  [SMALL_STATE(4492)] = 168585,
  [SMALL_STATE(4493)] = 168650,
  [SMALL_STATE(4494)] = 168703,
  [SMALL_STATE(4495)] = 168756,
  [SMALL_STATE(4496)] = 168831,
  [SMALL_STATE(4497)] = 168904,
  [SMALL_STATE(4498)] = 168991,
  [SMALL_STATE(4499)] = 169076,
  [SMALL_STATE(4500)] = 169129,
  [SMALL_STATE(4501)] = 169182,
  [SMALL_STATE(4502)] = 169235,
  [SMALL_STATE(4503)] = 169288,
  [SMALL_STATE(4504)] = 169369,
  [SMALL_STATE(4505)] = 169448,
  [SMALL_STATE(4506)] = 169519,
  [SMALL_STATE(4507)] = 169572,
  [SMALL_STATE(4508)] = 169633,
  [SMALL_STATE(4509)] = 169686,
  [SMALL_STATE(4510)] = 169739,
  [SMALL_STATE(4511)] = 169792,
  [SMALL_STATE(4512)] = 169845,
  [SMALL_STATE(4513)] = 169898,
  [SMALL_STATE(4514)] = 169951,
  [SMALL_STATE(4515)] = 170004,
  [SMALL_STATE(4516)] = 170057,
  [SMALL_STATE(4517)] = 170110,
  [SMALL_STATE(4518)] = 170163,
  [SMALL_STATE(4519)] = 170216,
  [SMALL_STATE(4520)] = 170269,
  [SMALL_STATE(4521)] = 170322,
  [SMALL_STATE(4522)] = 170375,
  [SMALL_STATE(4523)] = 170436,
  [SMALL_STATE(4524)] = 170489,
  [SMALL_STATE(4525)] = 170550,
  [SMALL_STATE(4526)] = 170619,
  [SMALL_STATE(4527)] = 170712,
  [SMALL_STATE(4528)] = 170773,
  [SMALL_STATE(4529)] = 170826,
  [SMALL_STATE(4530)] = 170879,
  [SMALL_STATE(4531)] = 170932,
  [SMALL_STATE(4532)] = 171027,
  [SMALL_STATE(4533)] = 171084,
  [SMALL_STATE(4534)] = 171177,
  [SMALL_STATE(4535)] = 171230,
  [SMALL_STATE(4536)] = 171283,
  [SMALL_STATE(4537)] = 171378,
  [SMALL_STATE(4538)] = 171431,
  [SMALL_STATE(4539)] = 171484,
  [SMALL_STATE(4540)] = 171537,
  [SMALL_STATE(4541)] = 171634,
  [SMALL_STATE(4542)] = 171687,
  [SMALL_STATE(4543)] = 171740,
  [SMALL_STATE(4544)] = 171793,
  [SMALL_STATE(4545)] = 171846,
  [SMALL_STATE(4546)] = 171899,
  [SMALL_STATE(4547)] = 171952,
  [SMALL_STATE(4548)] = 172005,
  [SMALL_STATE(4549)] = 172058,
  [SMALL_STATE(4550)] = 172163,
  [SMALL_STATE(4551)] = 172216,
  [SMALL_STATE(4552)] = 172269,
  [SMALL_STATE(4553)] = 172324,
  [SMALL_STATE(4554)] = 172377,
  [SMALL_STATE(4555)] = 172471,
  [SMALL_STATE(4556)] = 172563,
  [SMALL_STATE(4557)] = 172657,
  [SMALL_STATE(4558)] = 172757,
  [SMALL_STATE(4559)] = 172851,
  [SMALL_STATE(4560)] = 172945,
  [SMALL_STATE(4561)] = 173039,
  [SMALL_STATE(4562)] = 173133,
  [SMALL_STATE(4563)] = 173227,
  [SMALL_STATE(4564)] = 173319,
  [SMALL_STATE(4565)] = 173413,
  [SMALL_STATE(4566)] = 173507,
  [SMALL_STATE(4567)] = 173601,
  [SMALL_STATE(4568)] = 173695,
  [SMALL_STATE(4569)] = 173789,
  [SMALL_STATE(4570)] = 173883,
  [SMALL_STATE(4571)] = 173977,
  [SMALL_STATE(4572)] = 174071,
  [SMALL_STATE(4573)] = 174165,
  [SMALL_STATE(4574)] = 174257,
  [SMALL_STATE(4575)] = 174351,
  [SMALL_STATE(4576)] = 174445,
  [SMALL_STATE(4577)] = 174539,
  [SMALL_STATE(4578)] = 174633,
  [SMALL_STATE(4579)] = 174727,
  [SMALL_STATE(4580)] = 174821,
  [SMALL_STATE(4581)] = 174915,
  [SMALL_STATE(4582)] = 175009,
  [SMALL_STATE(4583)] = 175103,
  [SMALL_STATE(4584)] = 175197,
  [SMALL_STATE(4585)] = 175291,
  [SMALL_STATE(4586)] = 175385,
  [SMALL_STATE(4587)] = 175477,
  [SMALL_STATE(4588)] = 175571,
  [SMALL_STATE(4589)] = 175665,
  [SMALL_STATE(4590)] = 175759,
  [SMALL_STATE(4591)] = 175851,
  [SMALL_STATE(4592)] = 175945,
  [SMALL_STATE(4593)] = 176039,
  [SMALL_STATE(4594)] = 176133,
  [SMALL_STATE(4595)] = 176227,
  [SMALL_STATE(4596)] = 176321,
  [SMALL_STATE(4597)] = 176415,
  [SMALL_STATE(4598)] = 176509,
  [SMALL_STATE(4599)] = 176603,
  [SMALL_STATE(4600)] = 176697,
  [SMALL_STATE(4601)] = 176789,
  [SMALL_STATE(4602)] = 176883,
  [SMALL_STATE(4603)] = 176941,
  [SMALL_STATE(4604)] = 177035,
  [SMALL_STATE(4605)] = 177129,
  [SMALL_STATE(4606)] = 177223,
  [SMALL_STATE(4607)] = 177317,
  [SMALL_STATE(4608)] = 177416,
  [SMALL_STATE(4609)] = 177515,
  [SMALL_STATE(4610)] = 177614,
  [SMALL_STATE(4611)] = 177705,
  [SMALL_STATE(4612)] = 177804,
  [SMALL_STATE(4613)] = 177903,
  [SMALL_STATE(4614)] = 178002,
  [SMALL_STATE(4615)] = 178103,
  [SMALL_STATE(4616)] = 178202,
  [SMALL_STATE(4617)] = 178303,
  [SMALL_STATE(4618)] = 178402,
  [SMALL_STATE(4619)] = 178492,
  [SMALL_STATE(4620)] = 178582,
  [SMALL_STATE(4621)] = 178680,
  [SMALL_STATE(4622)] = 178770,
  [SMALL_STATE(4623)] = 178860,
  [SMALL_STATE(4624)] = 178950,
  [SMALL_STATE(4625)] = 179040,
  [SMALL_STATE(4626)] = 179130,
  [SMALL_STATE(4627)] = 179220,
  [SMALL_STATE(4628)] = 179310,
  [SMALL_STATE(4629)] = 179400,
  [SMALL_STATE(4630)] = 179490,
  [SMALL_STATE(4631)] = 179580,
  [SMALL_STATE(4632)] = 179670,
  [SMALL_STATE(4633)] = 179760,
  [SMALL_STATE(4634)] = 179858,
  [SMALL_STATE(4635)] = 179948,
  [SMALL_STATE(4636)] = 180038,
  [SMALL_STATE(4637)] = 180128,
  [SMALL_STATE(4638)] = 180218,
  [SMALL_STATE(4639)] = 180308,
  [SMALL_STATE(4640)] = 180398,
  [SMALL_STATE(4641)] = 180496,
  [SMALL_STATE(4642)] = 180586,
  [SMALL_STATE(4643)] = 180676,
  [SMALL_STATE(4644)] = 180766,
  [SMALL_STATE(4645)] = 180856,
  [SMALL_STATE(4646)] = 180946,
  [SMALL_STATE(4647)] = 181036,
  [SMALL_STATE(4648)] = 181126,
  [SMALL_STATE(4649)] = 181216,
  [SMALL_STATE(4650)] = 181306,
  [SMALL_STATE(4651)] = 181396,
  [SMALL_STATE(4652)] = 181486,
  [SMALL_STATE(4653)] = 181576,
  [SMALL_STATE(4654)] = 181666,
  [SMALL_STATE(4655)] = 181764,
  [SMALL_STATE(4656)] = 181854,
  [SMALL_STATE(4657)] = 181944,
  [SMALL_STATE(4658)] = 182034,
  [SMALL_STATE(4659)] = 182124,
  [SMALL_STATE(4660)] = 182214,
  [SMALL_STATE(4661)] = 182304,
  [SMALL_STATE(4662)] = 182394,
  [SMALL_STATE(4663)] = 182484,
  [SMALL_STATE(4664)] = 182574,
  [SMALL_STATE(4665)] = 182664,
  [SMALL_STATE(4666)] = 182754,
  [SMALL_STATE(4667)] = 182844,
  [SMALL_STATE(4668)] = 182934,
  [SMALL_STATE(4669)] = 183024,
  [SMALL_STATE(4670)] = 183114,
  [SMALL_STATE(4671)] = 183204,
  [SMALL_STATE(4672)] = 183294,
  [SMALL_STATE(4673)] = 183384,
  [SMALL_STATE(4674)] = 183478,
  [SMALL_STATE(4675)] = 183568,
  [SMALL_STATE(4676)] = 183658,
  [SMALL_STATE(4677)] = 183748,
  [SMALL_STATE(4678)] = 183804,
  [SMALL_STATE(4679)] = 183894,
  [SMALL_STATE(4680)] = 183984,
  [SMALL_STATE(4681)] = 184074,
  [SMALL_STATE(4682)] = 184168,
  [SMALL_STATE(4683)] = 184258,
  [SMALL_STATE(4684)] = 184348,
  [SMALL_STATE(4685)] = 184438,
  [SMALL_STATE(4686)] = 184528,
  [SMALL_STATE(4687)] = 184618,
  [SMALL_STATE(4688)] = 184708,
  [SMALL_STATE(4689)] = 184798,
  [SMALL_STATE(4690)] = 184888,
  [SMALL_STATE(4691)] = 184978,
  [SMALL_STATE(4692)] = 185068,
  [SMALL_STATE(4693)] = 185158,
  [SMALL_STATE(4694)] = 185248,
  [SMALL_STATE(4695)] = 185338,
  [SMALL_STATE(4696)] = 185432,
  [SMALL_STATE(4697)] = 185522,
  [SMALL_STATE(4698)] = 185612,
  [SMALL_STATE(4699)] = 185702,
  [SMALL_STATE(4700)] = 185792,
  [SMALL_STATE(4701)] = 185882,
  [SMALL_STATE(4702)] = 185972,
  [SMALL_STATE(4703)] = 186062,
  [SMALL_STATE(4704)] = 186152,
  [SMALL_STATE(4705)] = 186242,
  [SMALL_STATE(4706)] = 186332,
  [SMALL_STATE(4707)] = 186422,
  [SMALL_STATE(4708)] = 186512,
  [SMALL_STATE(4709)] = 186602,
  [SMALL_STATE(4710)] = 186692,
  [SMALL_STATE(4711)] = 186782,
  [SMALL_STATE(4712)] = 186872,
  [SMALL_STATE(4713)] = 186962,
  [SMALL_STATE(4714)] = 187052,
  [SMALL_STATE(4715)] = 187142,
  [SMALL_STATE(4716)] = 187232,
  [SMALL_STATE(4717)] = 187322,
  [SMALL_STATE(4718)] = 187412,
  [SMALL_STATE(4719)] = 187502,
  [SMALL_STATE(4720)] = 187592,
  [SMALL_STATE(4721)] = 187682,
  [SMALL_STATE(4722)] = 187772,
  [SMALL_STATE(4723)] = 187862,
  [SMALL_STATE(4724)] = 187952,
  [SMALL_STATE(4725)] = 188042,
  [SMALL_STATE(4726)] = 188132,
  [SMALL_STATE(4727)] = 188222,
  [SMALL_STATE(4728)] = 188312,
  [SMALL_STATE(4729)] = 188402,
  [SMALL_STATE(4730)] = 188492,
  [SMALL_STATE(4731)] = 188586,
  [SMALL_STATE(4732)] = 188676,
  [SMALL_STATE(4733)] = 188766,
  [SMALL_STATE(4734)] = 188856,
  [SMALL_STATE(4735)] = 188946,
  [SMALL_STATE(4736)] = 189036,
  [SMALL_STATE(4737)] = 189126,
  [SMALL_STATE(4738)] = 189216,
  [SMALL_STATE(4739)] = 189306,
  [SMALL_STATE(4740)] = 189396,
  [SMALL_STATE(4741)] = 189486,
  [SMALL_STATE(4742)] = 189576,
  [SMALL_STATE(4743)] = 189666,
  [SMALL_STATE(4744)] = 189756,
  [SMALL_STATE(4745)] = 189846,
  [SMALL_STATE(4746)] = 189936,
  [SMALL_STATE(4747)] = 190026,
  [SMALL_STATE(4748)] = 190124,
  [SMALL_STATE(4749)] = 190214,
  [SMALL_STATE(4750)] = 190304,
  [SMALL_STATE(4751)] = 190402,
  [SMALL_STATE(4752)] = 190492,
  [SMALL_STATE(4753)] = 190582,
  [SMALL_STATE(4754)] = 190672,
  [SMALL_STATE(4755)] = 190762,
  [SMALL_STATE(4756)] = 190852,
  [SMALL_STATE(4757)] = 190906,
  [SMALL_STATE(4758)] = 190996,
  [SMALL_STATE(4759)] = 191086,
  [SMALL_STATE(4760)] = 191176,
  [SMALL_STATE(4761)] = 191266,
  [SMALL_STATE(4762)] = 191356,
  [SMALL_STATE(4763)] = 191446,
  [SMALL_STATE(4764)] = 191536,
  [SMALL_STATE(4765)] = 191626,
  [SMALL_STATE(4766)] = 191682,
  [SMALL_STATE(4767)] = 191772,
  [SMALL_STATE(4768)] = 191862,
  [SMALL_STATE(4769)] = 191952,
  [SMALL_STATE(4770)] = 192042,
  [SMALL_STATE(4771)] = 192132,
  [SMALL_STATE(4772)] = 192230,
  [SMALL_STATE(4773)] = 192320,
  [SMALL_STATE(4774)] = 192410,
  [SMALL_STATE(4775)] = 192500,
  [SMALL_STATE(4776)] = 192590,
  [SMALL_STATE(4777)] = 192680,
  [SMALL_STATE(4778)] = 192770,
  [SMALL_STATE(4779)] = 192860,
  [SMALL_STATE(4780)] = 192950,
  [SMALL_STATE(4781)] = 193040,
  [SMALL_STATE(4782)] = 193130,
  [SMALL_STATE(4783)] = 193220,
  [SMALL_STATE(4784)] = 193310,
  [SMALL_STATE(4785)] = 193400,
  [SMALL_STATE(4786)] = 193490,
  [SMALL_STATE(4787)] = 193580,
  [SMALL_STATE(4788)] = 193670,
  [SMALL_STATE(4789)] = 193760,
  [SMALL_STATE(4790)] = 193850,
  [SMALL_STATE(4791)] = 193940,
  [SMALL_STATE(4792)] = 194030,
  [SMALL_STATE(4793)] = 194120,
  [SMALL_STATE(4794)] = 194210,
  [SMALL_STATE(4795)] = 194300,
  [SMALL_STATE(4796)] = 194390,
  [SMALL_STATE(4797)] = 194480,
  [SMALL_STATE(4798)] = 194570,
  [SMALL_STATE(4799)] = 194657,
  [SMALL_STATE(4800)] = 194744,
  [SMALL_STATE(4801)] = 194837,
  [SMALL_STATE(4802)] = 194910,
  [SMALL_STATE(4803)] = 194967,
  [SMALL_STATE(4804)] = 195054,
  [SMALL_STATE(4805)] = 195141,
  [SMALL_STATE(4806)] = 195206,
  [SMALL_STATE(4807)] = 195293,
  [SMALL_STATE(4808)] = 195360,
  [SMALL_STATE(4809)] = 195435,
  [SMALL_STATE(4810)] = 195522,
  [SMALL_STATE(4811)] = 195599,
  [SMALL_STATE(4812)] = 195686,
  [SMALL_STATE(4813)] = 195773,
  [SMALL_STATE(4814)] = 195860,
  [SMALL_STATE(4815)] = 195947,
  [SMALL_STATE(4816)] = 196034,
  [SMALL_STATE(4817)] = 196091,
  [SMALL_STATE(4818)] = 196178,
  [SMALL_STATE(4819)] = 196269,
  [SMALL_STATE(4820)] = 196348,
  [SMALL_STATE(4821)] = 196429,
  [SMALL_STATE(4822)] = 196516,
  [SMALL_STATE(4823)] = 196603,
  [SMALL_STATE(4824)] = 196672,
  [SMALL_STATE(4825)] = 196759,
  [SMALL_STATE(4826)] = 196830,
  [SMALL_STATE(4827)] = 196917,
  [SMALL_STATE(4828)] = 197004,
  [SMALL_STATE(4829)] = 197091,
  [SMALL_STATE(4830)] = 197178,
  [SMALL_STATE(4831)] = 197265,
  [SMALL_STATE(4832)] = 197352,
  [SMALL_STATE(4833)] = 197439,
  [SMALL_STATE(4834)] = 197494,
  [SMALL_STATE(4835)] = 197581,
  [SMALL_STATE(4836)] = 197638,
  [SMALL_STATE(4837)] = 197725,
  [SMALL_STATE(4838)] = 197812,
  [SMALL_STATE(4839)] = 197903,
  [SMALL_STATE(4840)] = 197986,
  [SMALL_STATE(4841)] = 198073,
  [SMALL_STATE(4842)] = 198160,
  [SMALL_STATE(4843)] = 198247,
  [SMALL_STATE(4844)] = 198334,
  [SMALL_STATE(4845)] = 198421,
  [SMALL_STATE(4846)] = 198508,
  [SMALL_STATE(4847)] = 198595,
  [SMALL_STATE(4848)] = 198646,
  [SMALL_STATE(4849)] = 198733,
  [SMALL_STATE(4850)] = 198820,
  [SMALL_STATE(4851)] = 198907,
  [SMALL_STATE(4852)] = 198994,
  [SMALL_STATE(4853)] = 199081,
  [SMALL_STATE(4854)] = 199168,
  [SMALL_STATE(4855)] = 199255,
  [SMALL_STATE(4856)] = 199342,
  [SMALL_STATE(4857)] = 199429,
  [SMALL_STATE(4858)] = 199516,
  [SMALL_STATE(4859)] = 199603,
  [SMALL_STATE(4860)] = 199690,
  [SMALL_STATE(4861)] = 199777,
  [SMALL_STATE(4862)] = 199864,
  [SMALL_STATE(4863)] = 199951,
  [SMALL_STATE(4864)] = 200038,
  [SMALL_STATE(4865)] = 200125,
  [SMALL_STATE(4866)] = 200212,
  [SMALL_STATE(4867)] = 200299,
  [SMALL_STATE(4868)] = 200386,
  [SMALL_STATE(4869)] = 200473,
  [SMALL_STATE(4870)] = 200560,
  [SMALL_STATE(4871)] = 200647,
  [SMALL_STATE(4872)] = 200734,
  [SMALL_STATE(4873)] = 200821,
  [SMALL_STATE(4874)] = 200908,
  [SMALL_STATE(4875)] = 200995,
  [SMALL_STATE(4876)] = 201082,
  [SMALL_STATE(4877)] = 201169,
  [SMALL_STATE(4878)] = 201256,
  [SMALL_STATE(4879)] = 201343,
  [SMALL_STATE(4880)] = 201430,
  [SMALL_STATE(4881)] = 201517,
  [SMALL_STATE(4882)] = 201604,
  [SMALL_STATE(4883)] = 201691,
  [SMALL_STATE(4884)] = 201778,
  [SMALL_STATE(4885)] = 201865,
  [SMALL_STATE(4886)] = 201952,
  [SMALL_STATE(4887)] = 202039,
  [SMALL_STATE(4888)] = 202126,
  [SMALL_STATE(4889)] = 202213,
  [SMALL_STATE(4890)] = 202300,
  [SMALL_STATE(4891)] = 202387,
  [SMALL_STATE(4892)] = 202474,
  [SMALL_STATE(4893)] = 202561,
  [SMALL_STATE(4894)] = 202648,
  [SMALL_STATE(4895)] = 202735,
  [SMALL_STATE(4896)] = 202822,
  [SMALL_STATE(4897)] = 202909,
  [SMALL_STATE(4898)] = 202996,
  [SMALL_STATE(4899)] = 203083,
  [SMALL_STATE(4900)] = 203170,
  [SMALL_STATE(4901)] = 203257,
  [SMALL_STATE(4902)] = 203344,
  [SMALL_STATE(4903)] = 203431,
  [SMALL_STATE(4904)] = 203518,
  [SMALL_STATE(4905)] = 203605,
  [SMALL_STATE(4906)] = 203692,
  [SMALL_STATE(4907)] = 203779,
  [SMALL_STATE(4908)] = 203866,
  [SMALL_STATE(4909)] = 203953,
  [SMALL_STATE(4910)] = 204040,
  [SMALL_STATE(4911)] = 204127,
  [SMALL_STATE(4912)] = 204214,
  [SMALL_STATE(4913)] = 204301,
  [SMALL_STATE(4914)] = 204388,
  [SMALL_STATE(4915)] = 204475,
  [SMALL_STATE(4916)] = 204562,
  [SMALL_STATE(4917)] = 204649,
  [SMALL_STATE(4918)] = 204736,
  [SMALL_STATE(4919)] = 204823,
  [SMALL_STATE(4920)] = 204910,
  [SMALL_STATE(4921)] = 204997,
  [SMALL_STATE(4922)] = 205084,
  [SMALL_STATE(4923)] = 205171,
  [SMALL_STATE(4924)] = 205258,
  [SMALL_STATE(4925)] = 205345,
  [SMALL_STATE(4926)] = 205432,
  [SMALL_STATE(4927)] = 205519,
  [SMALL_STATE(4928)] = 205606,
  [SMALL_STATE(4929)] = 205693,
  [SMALL_STATE(4930)] = 205780,
  [SMALL_STATE(4931)] = 205867,
  [SMALL_STATE(4932)] = 205954,
  [SMALL_STATE(4933)] = 206041,
  [SMALL_STATE(4934)] = 206128,
  [SMALL_STATE(4935)] = 206215,
  [SMALL_STATE(4936)] = 206302,
  [SMALL_STATE(4937)] = 206389,
  [SMALL_STATE(4938)] = 206476,
  [SMALL_STATE(4939)] = 206563,
  [SMALL_STATE(4940)] = 206650,
  [SMALL_STATE(4941)] = 206737,
  [SMALL_STATE(4942)] = 206824,
  [SMALL_STATE(4943)] = 206911,
  [SMALL_STATE(4944)] = 206998,
  [SMALL_STATE(4945)] = 207085,
  [SMALL_STATE(4946)] = 207172,
  [SMALL_STATE(4947)] = 207259,
  [SMALL_STATE(4948)] = 207346,
  [SMALL_STATE(4949)] = 207433,
  [SMALL_STATE(4950)] = 207520,
  [SMALL_STATE(4951)] = 207607,
  [SMALL_STATE(4952)] = 207694,
  [SMALL_STATE(4953)] = 207781,
  [SMALL_STATE(4954)] = 207868,
  [SMALL_STATE(4955)] = 207955,
  [SMALL_STATE(4956)] = 208042,
  [SMALL_STATE(4957)] = 208129,
  [SMALL_STATE(4958)] = 208216,
  [SMALL_STATE(4959)] = 208303,
  [SMALL_STATE(4960)] = 208390,
  [SMALL_STATE(4961)] = 208477,
  [SMALL_STATE(4962)] = 208564,
  [SMALL_STATE(4963)] = 208651,
  [SMALL_STATE(4964)] = 208738,
  [SMALL_STATE(4965)] = 208825,
  [SMALL_STATE(4966)] = 208912,
  [SMALL_STATE(4967)] = 208999,
  [SMALL_STATE(4968)] = 209086,
  [SMALL_STATE(4969)] = 209173,
  [SMALL_STATE(4970)] = 209260,
  [SMALL_STATE(4971)] = 209347,
  [SMALL_STATE(4972)] = 209434,
  [SMALL_STATE(4973)] = 209521,
  [SMALL_STATE(4974)] = 209608,
  [SMALL_STATE(4975)] = 209695,
  [SMALL_STATE(4976)] = 209782,
  [SMALL_STATE(4977)] = 209869,
  [SMALL_STATE(4978)] = 209956,
  [SMALL_STATE(4979)] = 210043,
  [SMALL_STATE(4980)] = 210130,
  [SMALL_STATE(4981)] = 210217,
  [SMALL_STATE(4982)] = 210304,
  [SMALL_STATE(4983)] = 210391,
  [SMALL_STATE(4984)] = 210478,
  [SMALL_STATE(4985)] = 210565,
  [SMALL_STATE(4986)] = 210652,
  [SMALL_STATE(4987)] = 210739,
  [SMALL_STATE(4988)] = 210826,
  [SMALL_STATE(4989)] = 210913,
  [SMALL_STATE(4990)] = 211000,
  [SMALL_STATE(4991)] = 211087,
  [SMALL_STATE(4992)] = 211174,
  [SMALL_STATE(4993)] = 211261,
  [SMALL_STATE(4994)] = 211348,
  [SMALL_STATE(4995)] = 211435,
  [SMALL_STATE(4996)] = 211522,
  [SMALL_STATE(4997)] = 211609,
  [SMALL_STATE(4998)] = 211696,
  [SMALL_STATE(4999)] = 211783,
  [SMALL_STATE(5000)] = 211886,
  [SMALL_STATE(5001)] = 211973,
  [SMALL_STATE(5002)] = 212060,
  [SMALL_STATE(5003)] = 212147,
  [SMALL_STATE(5004)] = 212234,
  [SMALL_STATE(5005)] = 212321,
  [SMALL_STATE(5006)] = 212408,
  [SMALL_STATE(5007)] = 212495,
  [SMALL_STATE(5008)] = 212582,
  [SMALL_STATE(5009)] = 212669,
  [SMALL_STATE(5010)] = 212756,
  [SMALL_STATE(5011)] = 212843,
  [SMALL_STATE(5012)] = 212930,
  [SMALL_STATE(5013)] = 213017,
  [SMALL_STATE(5014)] = 213104,
  [SMALL_STATE(5015)] = 213191,
  [SMALL_STATE(5016)] = 213278,
  [SMALL_STATE(5017)] = 213365,
  [SMALL_STATE(5018)] = 213452,
  [SMALL_STATE(5019)] = 213539,
  [SMALL_STATE(5020)] = 213626,
  [SMALL_STATE(5021)] = 213713,
  [SMALL_STATE(5022)] = 213800,
  [SMALL_STATE(5023)] = 213887,
  [SMALL_STATE(5024)] = 213974,
  [SMALL_STATE(5025)] = 214061,
  [SMALL_STATE(5026)] = 214148,
  [SMALL_STATE(5027)] = 214235,
  [SMALL_STATE(5028)] = 214322,
  [SMALL_STATE(5029)] = 214409,
  [SMALL_STATE(5030)] = 214496,
  [SMALL_STATE(5031)] = 214583,
  [SMALL_STATE(5032)] = 214670,
  [SMALL_STATE(5033)] = 214757,
  [SMALL_STATE(5034)] = 214844,
  [SMALL_STATE(5035)] = 214931,
  [SMALL_STATE(5036)] = 215018,
  [SMALL_STATE(5037)] = 215105,
  [SMALL_STATE(5038)] = 215192,
  [SMALL_STATE(5039)] = 215279,
  [SMALL_STATE(5040)] = 215366,
  [SMALL_STATE(5041)] = 215453,
  [SMALL_STATE(5042)] = 215540,
  [SMALL_STATE(5043)] = 215627,
  [SMALL_STATE(5044)] = 215714,
  [SMALL_STATE(5045)] = 215801,
  [SMALL_STATE(5046)] = 215888,
  [SMALL_STATE(5047)] = 215975,
  [SMALL_STATE(5048)] = 216062,
  [SMALL_STATE(5049)] = 216149,
  [SMALL_STATE(5050)] = 216236,
  [SMALL_STATE(5051)] = 216323,
  [SMALL_STATE(5052)] = 216410,
  [SMALL_STATE(5053)] = 216497,
  [SMALL_STATE(5054)] = 216584,
  [SMALL_STATE(5055)] = 216671,
  [SMALL_STATE(5056)] = 216758,
  [SMALL_STATE(5057)] = 216845,
  [SMALL_STATE(5058)] = 216932,
  [SMALL_STATE(5059)] = 217019,
  [SMALL_STATE(5060)] = 217106,
  [SMALL_STATE(5061)] = 217193,
  [SMALL_STATE(5062)] = 217280,
  [SMALL_STATE(5063)] = 217367,
  [SMALL_STATE(5064)] = 217454,
  [SMALL_STATE(5065)] = 217541,
  [SMALL_STATE(5066)] = 217628,
  [SMALL_STATE(5067)] = 217715,
  [SMALL_STATE(5068)] = 217802,
  [SMALL_STATE(5069)] = 217889,
  [SMALL_STATE(5070)] = 217976,
  [SMALL_STATE(5071)] = 218063,
  [SMALL_STATE(5072)] = 218150,
  [SMALL_STATE(5073)] = 218237,
  [SMALL_STATE(5074)] = 218324,
  [SMALL_STATE(5075)] = 218411,
  [SMALL_STATE(5076)] = 218498,
  [SMALL_STATE(5077)] = 218585,
  [SMALL_STATE(5078)] = 218672,
  [SMALL_STATE(5079)] = 218725,
  [SMALL_STATE(5080)] = 218812,
  [SMALL_STATE(5081)] = 218899,
  [SMALL_STATE(5082)] = 218986,
  [SMALL_STATE(5083)] = 219073,
  [SMALL_STATE(5084)] = 219160,
  [SMALL_STATE(5085)] = 219247,
  [SMALL_STATE(5086)] = 219334,
  [SMALL_STATE(5087)] = 219421,
  [SMALL_STATE(5088)] = 219508,
  [SMALL_STATE(5089)] = 219603,
  [SMALL_STATE(5090)] = 219690,
  [SMALL_STATE(5091)] = 219777,
  [SMALL_STATE(5092)] = 219864,
  [SMALL_STATE(5093)] = 219913,
  [SMALL_STATE(5094)] = 220000,
  [SMALL_STATE(5095)] = 220087,
  [SMALL_STATE(5096)] = 220136,
  [SMALL_STATE(5097)] = 220223,
  [SMALL_STATE(5098)] = 220310,
  [SMALL_STATE(5099)] = 220397,
  [SMALL_STATE(5100)] = 220484,
  [SMALL_STATE(5101)] = 220571,
  [SMALL_STATE(5102)] = 220658,
  [SMALL_STATE(5103)] = 220745,
  [SMALL_STATE(5104)] = 220832,
  [SMALL_STATE(5105)] = 220919,
  [SMALL_STATE(5106)] = 221006,
  [SMALL_STATE(5107)] = 221093,
  [SMALL_STATE(5108)] = 221180,
  [SMALL_STATE(5109)] = 221267,
  [SMALL_STATE(5110)] = 221354,
  [SMALL_STATE(5111)] = 221441,
  [SMALL_STATE(5112)] = 221528,
  [SMALL_STATE(5113)] = 221615,
  [SMALL_STATE(5114)] = 221702,
  [SMALL_STATE(5115)] = 221789,
  [SMALL_STATE(5116)] = 221876,
  [SMALL_STATE(5117)] = 221963,
  [SMALL_STATE(5118)] = 222050,
  [SMALL_STATE(5119)] = 222137,
  [SMALL_STATE(5120)] = 222224,
  [SMALL_STATE(5121)] = 222311,
  [SMALL_STATE(5122)] = 222398,
  [SMALL_STATE(5123)] = 222485,
  [SMALL_STATE(5124)] = 222572,
  [SMALL_STATE(5125)] = 222659,
  [SMALL_STATE(5126)] = 222746,
  [SMALL_STATE(5127)] = 222833,
  [SMALL_STATE(5128)] = 222920,
  [SMALL_STATE(5129)] = 223007,
  [SMALL_STATE(5130)] = 223094,
  [SMALL_STATE(5131)] = 223181,
  [SMALL_STATE(5132)] = 223268,
  [SMALL_STATE(5133)] = 223355,
  [SMALL_STATE(5134)] = 223442,
  [SMALL_STATE(5135)] = 223529,
  [SMALL_STATE(5136)] = 223616,
  [SMALL_STATE(5137)] = 223703,
  [SMALL_STATE(5138)] = 223790,
  [SMALL_STATE(5139)] = 223877,
  [SMALL_STATE(5140)] = 223964,
  [SMALL_STATE(5141)] = 224051,
  [SMALL_STATE(5142)] = 224138,
  [SMALL_STATE(5143)] = 224225,
  [SMALL_STATE(5144)] = 224312,
  [SMALL_STATE(5145)] = 224399,
  [SMALL_STATE(5146)] = 224486,
  [SMALL_STATE(5147)] = 224535,
  [SMALL_STATE(5148)] = 224622,
  [SMALL_STATE(5149)] = 224709,
  [SMALL_STATE(5150)] = 224758,
  [SMALL_STATE(5151)] = 224845,
  [SMALL_STATE(5152)] = 224932,
  [SMALL_STATE(5153)] = 225019,
  [SMALL_STATE(5154)] = 225106,
  [SMALL_STATE(5155)] = 225155,
  [SMALL_STATE(5156)] = 225242,
  [SMALL_STATE(5157)] = 225329,
  [SMALL_STATE(5158)] = 225416,
  [SMALL_STATE(5159)] = 225503,
  [SMALL_STATE(5160)] = 225590,
  [SMALL_STATE(5161)] = 225677,
  [SMALL_STATE(5162)] = 225764,
  [SMALL_STATE(5163)] = 225851,
  [SMALL_STATE(5164)] = 225938,
  [SMALL_STATE(5165)] = 226025,
  [SMALL_STATE(5166)] = 226112,
  [SMALL_STATE(5167)] = 226199,
  [SMALL_STATE(5168)] = 226286,
  [SMALL_STATE(5169)] = 226373,
  [SMALL_STATE(5170)] = 226460,
  [SMALL_STATE(5171)] = 226547,
  [SMALL_STATE(5172)] = 226634,
  [SMALL_STATE(5173)] = 226737,
  [SMALL_STATE(5174)] = 226824,
  [SMALL_STATE(5175)] = 226911,
  [SMALL_STATE(5176)] = 226998,
  [SMALL_STATE(5177)] = 227085,
  [SMALL_STATE(5178)] = 227172,
  [SMALL_STATE(5179)] = 227259,
  [SMALL_STATE(5180)] = 227346,
  [SMALL_STATE(5181)] = 227433,
  [SMALL_STATE(5182)] = 227520,
  [SMALL_STATE(5183)] = 227607,
  [SMALL_STATE(5184)] = 227694,
  [SMALL_STATE(5185)] = 227781,
  [SMALL_STATE(5186)] = 227868,
  [SMALL_STATE(5187)] = 227955,
  [SMALL_STATE(5188)] = 228042,
  [SMALL_STATE(5189)] = 228129,
  [SMALL_STATE(5190)] = 228216,
  [SMALL_STATE(5191)] = 228303,
  [SMALL_STATE(5192)] = 228390,
  [SMALL_STATE(5193)] = 228477,
  [SMALL_STATE(5194)] = 228564,
  [SMALL_STATE(5195)] = 228651,
  [SMALL_STATE(5196)] = 228738,
  [SMALL_STATE(5197)] = 228825,
  [SMALL_STATE(5198)] = 228912,
  [SMALL_STATE(5199)] = 228999,
  [SMALL_STATE(5200)] = 229094,
  [SMALL_STATE(5201)] = 229143,
  [SMALL_STATE(5202)] = 229230,
  [SMALL_STATE(5203)] = 229279,
  [SMALL_STATE(5204)] = 229366,
  [SMALL_STATE(5205)] = 229453,
  [SMALL_STATE(5206)] = 229502,
  [SMALL_STATE(5207)] = 229589,
  [SMALL_STATE(5208)] = 229676,
  [SMALL_STATE(5209)] = 229763,
  [SMALL_STATE(5210)] = 229850,
  [SMALL_STATE(5211)] = 229937,
  [SMALL_STATE(5212)] = 230024,
  [SMALL_STATE(5213)] = 230111,
  [SMALL_STATE(5214)] = 230198,
  [SMALL_STATE(5215)] = 230285,
  [SMALL_STATE(5216)] = 230372,
  [SMALL_STATE(5217)] = 230459,
  [SMALL_STATE(5218)] = 230546,
  [SMALL_STATE(5219)] = 230599,
  [SMALL_STATE(5220)] = 230686,
  [SMALL_STATE(5221)] = 230773,
  [SMALL_STATE(5222)] = 230860,
  [SMALL_STATE(5223)] = 230917,
  [SMALL_STATE(5224)] = 230974,
  [SMALL_STATE(5225)] = 231061,
  [SMALL_STATE(5226)] = 231148,
  [SMALL_STATE(5227)] = 231235,
  [SMALL_STATE(5228)] = 231322,
  [SMALL_STATE(5229)] = 231409,
  [SMALL_STATE(5230)] = 231496,
  [SMALL_STATE(5231)] = 231583,
  [SMALL_STATE(5232)] = 231670,
  [SMALL_STATE(5233)] = 231757,
  [SMALL_STATE(5234)] = 231844,
  [SMALL_STATE(5235)] = 231931,
  [SMALL_STATE(5236)] = 232018,
  [SMALL_STATE(5237)] = 232105,
  [SMALL_STATE(5238)] = 232192,
  [SMALL_STATE(5239)] = 232279,
  [SMALL_STATE(5240)] = 232366,
  [SMALL_STATE(5241)] = 232453,
  [SMALL_STATE(5242)] = 232540,
  [SMALL_STATE(5243)] = 232627,
  [SMALL_STATE(5244)] = 232714,
  [SMALL_STATE(5245)] = 232801,
  [SMALL_STATE(5246)] = 232888,
  [SMALL_STATE(5247)] = 232975,
  [SMALL_STATE(5248)] = 233062,
  [SMALL_STATE(5249)] = 233149,
  [SMALL_STATE(5250)] = 233236,
  [SMALL_STATE(5251)] = 233323,
  [SMALL_STATE(5252)] = 233410,
  [SMALL_STATE(5253)] = 233497,
  [SMALL_STATE(5254)] = 233584,
  [SMALL_STATE(5255)] = 233671,
  [SMALL_STATE(5256)] = 233758,
  [SMALL_STATE(5257)] = 233845,
  [SMALL_STATE(5258)] = 233932,
  [SMALL_STATE(5259)] = 234019,
  [SMALL_STATE(5260)] = 234106,
  [SMALL_STATE(5261)] = 234193,
  [SMALL_STATE(5262)] = 234280,
  [SMALL_STATE(5263)] = 234367,
  [SMALL_STATE(5264)] = 234454,
  [SMALL_STATE(5265)] = 234541,
  [SMALL_STATE(5266)] = 234628,
  [SMALL_STATE(5267)] = 234715,
  [SMALL_STATE(5268)] = 234802,
  [SMALL_STATE(5269)] = 234889,
  [SMALL_STATE(5270)] = 234976,
  [SMALL_STATE(5271)] = 235063,
  [SMALL_STATE(5272)] = 235150,
  [SMALL_STATE(5273)] = 235237,
  [SMALL_STATE(5274)] = 235324,
  [SMALL_STATE(5275)] = 235411,
  [SMALL_STATE(5276)] = 235498,
  [SMALL_STATE(5277)] = 235585,
  [SMALL_STATE(5278)] = 235672,
  [SMALL_STATE(5279)] = 235759,
  [SMALL_STATE(5280)] = 235846,
  [SMALL_STATE(5281)] = 235933,
  [SMALL_STATE(5282)] = 236020,
  [SMALL_STATE(5283)] = 236107,
  [SMALL_STATE(5284)] = 236194,
  [SMALL_STATE(5285)] = 236281,
  [SMALL_STATE(5286)] = 236368,
  [SMALL_STATE(5287)] = 236455,
  [SMALL_STATE(5288)] = 236542,
  [SMALL_STATE(5289)] = 236629,
  [SMALL_STATE(5290)] = 236690,
  [SMALL_STATE(5291)] = 236777,
  [SMALL_STATE(5292)] = 236864,
  [SMALL_STATE(5293)] = 236951,
  [SMALL_STATE(5294)] = 237038,
  [SMALL_STATE(5295)] = 237125,
  [SMALL_STATE(5296)] = 237212,
  [SMALL_STATE(5297)] = 237299,
  [SMALL_STATE(5298)] = 237386,
  [SMALL_STATE(5299)] = 237473,
  [SMALL_STATE(5300)] = 237560,
  [SMALL_STATE(5301)] = 237647,
  [SMALL_STATE(5302)] = 237734,
  [SMALL_STATE(5303)] = 237821,
  [SMALL_STATE(5304)] = 237908,
  [SMALL_STATE(5305)] = 237995,
  [SMALL_STATE(5306)] = 238082,
  [SMALL_STATE(5307)] = 238169,
  [SMALL_STATE(5308)] = 238256,
  [SMALL_STATE(5309)] = 238343,
  [SMALL_STATE(5310)] = 238430,
  [SMALL_STATE(5311)] = 238517,
  [SMALL_STATE(5312)] = 238604,
  [SMALL_STATE(5313)] = 238691,
  [SMALL_STATE(5314)] = 238778,
  [SMALL_STATE(5315)] = 238865,
  [SMALL_STATE(5316)] = 238952,
  [SMALL_STATE(5317)] = 239039,
  [SMALL_STATE(5318)] = 239126,
  [SMALL_STATE(5319)] = 239213,
  [SMALL_STATE(5320)] = 239300,
  [SMALL_STATE(5321)] = 239387,
  [SMALL_STATE(5322)] = 239474,
  [SMALL_STATE(5323)] = 239561,
  [SMALL_STATE(5324)] = 239648,
  [SMALL_STATE(5325)] = 239735,
  [SMALL_STATE(5326)] = 239822,
  [SMALL_STATE(5327)] = 239909,
  [SMALL_STATE(5328)] = 239996,
  [SMALL_STATE(5329)] = 240083,
  [SMALL_STATE(5330)] = 240170,
  [SMALL_STATE(5331)] = 240257,
  [SMALL_STATE(5332)] = 240344,
  [SMALL_STATE(5333)] = 240431,
  [SMALL_STATE(5334)] = 240518,
  [SMALL_STATE(5335)] = 240605,
  [SMALL_STATE(5336)] = 240692,
  [SMALL_STATE(5337)] = 240779,
  [SMALL_STATE(5338)] = 240866,
  [SMALL_STATE(5339)] = 240953,
  [SMALL_STATE(5340)] = 241040,
  [SMALL_STATE(5341)] = 241127,
  [SMALL_STATE(5342)] = 241214,
  [SMALL_STATE(5343)] = 241301,
  [SMALL_STATE(5344)] = 241388,
  [SMALL_STATE(5345)] = 241475,
  [SMALL_STATE(5346)] = 241562,
  [SMALL_STATE(5347)] = 241617,
  [SMALL_STATE(5348)] = 241704,
  [SMALL_STATE(5349)] = 241791,
  [SMALL_STATE(5350)] = 241878,
  [SMALL_STATE(5351)] = 241965,
  [SMALL_STATE(5352)] = 242052,
  [SMALL_STATE(5353)] = 242139,
  [SMALL_STATE(5354)] = 242226,
  [SMALL_STATE(5355)] = 242313,
  [SMALL_STATE(5356)] = 242400,
  [SMALL_STATE(5357)] = 242496,
  [SMALL_STATE(5358)] = 242546,
  [SMALL_STATE(5359)] = 242596,
  [SMALL_STATE(5360)] = 242646,
  [SMALL_STATE(5361)] = 242696,
  [SMALL_STATE(5362)] = 242746,
  [SMALL_STATE(5363)] = 242796,
  [SMALL_STATE(5364)] = 242846,
  [SMALL_STATE(5365)] = 242896,
  [SMALL_STATE(5366)] = 242946,
  [SMALL_STATE(5367)] = 242996,
  [SMALL_STATE(5368)] = 243046,
  [SMALL_STATE(5369)] = 243096,
  [SMALL_STATE(5370)] = 243146,
  [SMALL_STATE(5371)] = 243196,
  [SMALL_STATE(5372)] = 243246,
  [SMALL_STATE(5373)] = 243296,
  [SMALL_STATE(5374)] = 243346,
  [SMALL_STATE(5375)] = 243396,
  [SMALL_STATE(5376)] = 243446,
  [SMALL_STATE(5377)] = 243496,
  [SMALL_STATE(5378)] = 243546,
  [SMALL_STATE(5379)] = 243642,
  [SMALL_STATE(5380)] = 243692,
  [SMALL_STATE(5381)] = 243742,
  [SMALL_STATE(5382)] = 243792,
  [SMALL_STATE(5383)] = 243842,
  [SMALL_STATE(5384)] = 243892,
  [SMALL_STATE(5385)] = 243942,
  [SMALL_STATE(5386)] = 243992,
  [SMALL_STATE(5387)] = 244042,
  [SMALL_STATE(5388)] = 244092,
  [SMALL_STATE(5389)] = 244142,
  [SMALL_STATE(5390)] = 244242,
  [SMALL_STATE(5391)] = 244292,
  [SMALL_STATE(5392)] = 244342,
  [SMALL_STATE(5393)] = 244392,
  [SMALL_STATE(5394)] = 244492,
  [SMALL_STATE(5395)] = 244542,
  [SMALL_STATE(5396)] = 244592,
  [SMALL_STATE(5397)] = 244642,
  [SMALL_STATE(5398)] = 244692,
  [SMALL_STATE(5399)] = 244742,
  [SMALL_STATE(5400)] = 244792,
  [SMALL_STATE(5401)] = 244842,
  [SMALL_STATE(5402)] = 244892,
  [SMALL_STATE(5403)] = 244942,
  [SMALL_STATE(5404)] = 244992,
  [SMALL_STATE(5405)] = 245042,
  [SMALL_STATE(5406)] = 245092,
  [SMALL_STATE(5407)] = 245142,
  [SMALL_STATE(5408)] = 245192,
  [SMALL_STATE(5409)] = 245242,
  [SMALL_STATE(5410)] = 245292,
  [SMALL_STATE(5411)] = 245342,
  [SMALL_STATE(5412)] = 245436,
  [SMALL_STATE(5413)] = 245486,
  [SMALL_STATE(5414)] = 245582,
  [SMALL_STATE(5415)] = 245632,
  [SMALL_STATE(5416)] = 245682,
  [SMALL_STATE(5417)] = 245732,
  [SMALL_STATE(5418)] = 245782,
  [SMALL_STATE(5419)] = 245832,
  [SMALL_STATE(5420)] = 245882,
  [SMALL_STATE(5421)] = 245932,
  [SMALL_STATE(5422)] = 245982,
  [SMALL_STATE(5423)] = 246032,
  [SMALL_STATE(5424)] = 246082,
  [SMALL_STATE(5425)] = 246132,
  [SMALL_STATE(5426)] = 246182,
  [SMALL_STATE(5427)] = 246232,
  [SMALL_STATE(5428)] = 246282,
  [SMALL_STATE(5429)] = 246378,
  [SMALL_STATE(5430)] = 246474,
  [SMALL_STATE(5431)] = 246524,
  [SMALL_STATE(5432)] = 246574,
  [SMALL_STATE(5433)] = 246624,
  [SMALL_STATE(5434)] = 246674,
  [SMALL_STATE(5435)] = 246724,
  [SMALL_STATE(5436)] = 246774,
  [SMALL_STATE(5437)] = 246824,
  [SMALL_STATE(5438)] = 246874,
  [SMALL_STATE(5439)] = 246924,
  [SMALL_STATE(5440)] = 246974,
  [SMALL_STATE(5441)] = 247024,
  [SMALL_STATE(5442)] = 247074,
  [SMALL_STATE(5443)] = 247124,
  [SMALL_STATE(5444)] = 247174,
  [SMALL_STATE(5445)] = 247224,
  [SMALL_STATE(5446)] = 247324,
  [SMALL_STATE(5447)] = 247374,
  [SMALL_STATE(5448)] = 247424,
  [SMALL_STATE(5449)] = 247474,
  [SMALL_STATE(5450)] = 247524,
  [SMALL_STATE(5451)] = 247624,
  [SMALL_STATE(5452)] = 247674,
  [SMALL_STATE(5453)] = 247774,
  [SMALL_STATE(5454)] = 247824,
  [SMALL_STATE(5455)] = 247874,
  [SMALL_STATE(5456)] = 247924,
  [SMALL_STATE(5457)] = 248020,
  [SMALL_STATE(5458)] = 248070,
  [SMALL_STATE(5459)] = 248120,
  [SMALL_STATE(5460)] = 248170,
  [SMALL_STATE(5461)] = 248220,
  [SMALL_STATE(5462)] = 248270,
  [SMALL_STATE(5463)] = 248320,
  [SMALL_STATE(5464)] = 248370,
  [SMALL_STATE(5465)] = 248420,
  [SMALL_STATE(5466)] = 248470,
  [SMALL_STATE(5467)] = 248520,
  [SMALL_STATE(5468)] = 248570,
  [SMALL_STATE(5469)] = 248620,
  [SMALL_STATE(5470)] = 248670,
  [SMALL_STATE(5471)] = 248720,
  [SMALL_STATE(5472)] = 248770,
  [SMALL_STATE(5473)] = 248820,
  [SMALL_STATE(5474)] = 248870,
  [SMALL_STATE(5475)] = 248920,
  [SMALL_STATE(5476)] = 248970,
  [SMALL_STATE(5477)] = 249020,
  [SMALL_STATE(5478)] = 249070,
  [SMALL_STATE(5479)] = 249120,
  [SMALL_STATE(5480)] = 249170,
  [SMALL_STATE(5481)] = 249220,
  [SMALL_STATE(5482)] = 249270,
  [SMALL_STATE(5483)] = 249320,
  [SMALL_STATE(5484)] = 249370,
  [SMALL_STATE(5485)] = 249420,
  [SMALL_STATE(5486)] = 249470,
  [SMALL_STATE(5487)] = 249520,
  [SMALL_STATE(5488)] = 249570,
  [SMALL_STATE(5489)] = 249620,
  [SMALL_STATE(5490)] = 249670,
  [SMALL_STATE(5491)] = 249720,
  [SMALL_STATE(5492)] = 249770,
  [SMALL_STATE(5493)] = 249820,
  [SMALL_STATE(5494)] = 249870,
  [SMALL_STATE(5495)] = 249920,
  [SMALL_STATE(5496)] = 249970,
  [SMALL_STATE(5497)] = 250020,
  [SMALL_STATE(5498)] = 250070,
  [SMALL_STATE(5499)] = 250120,
  [SMALL_STATE(5500)] = 250170,
  [SMALL_STATE(5501)] = 250220,
  [SMALL_STATE(5502)] = 250270,
  [SMALL_STATE(5503)] = 250320,
  [SMALL_STATE(5504)] = 250370,
  [SMALL_STATE(5505)] = 250420,
  [SMALL_STATE(5506)] = 250470,
  [SMALL_STATE(5507)] = 250520,
  [SMALL_STATE(5508)] = 250570,
  [SMALL_STATE(5509)] = 250620,
  [SMALL_STATE(5510)] = 250670,
  [SMALL_STATE(5511)] = 250720,
  [SMALL_STATE(5512)] = 250770,
  [SMALL_STATE(5513)] = 250820,
  [SMALL_STATE(5514)] = 250870,
  [SMALL_STATE(5515)] = 250920,
  [SMALL_STATE(5516)] = 250970,
  [SMALL_STATE(5517)] = 251020,
  [SMALL_STATE(5518)] = 251070,
  [SMALL_STATE(5519)] = 251120,
  [SMALL_STATE(5520)] = 251170,
  [SMALL_STATE(5521)] = 251220,
  [SMALL_STATE(5522)] = 251270,
  [SMALL_STATE(5523)] = 251320,
  [SMALL_STATE(5524)] = 251370,
  [SMALL_STATE(5525)] = 251420,
  [SMALL_STATE(5526)] = 251470,
  [SMALL_STATE(5527)] = 251520,
  [SMALL_STATE(5528)] = 251570,
  [SMALL_STATE(5529)] = 251620,
  [SMALL_STATE(5530)] = 251670,
  [SMALL_STATE(5531)] = 251720,
  [SMALL_STATE(5532)] = 251770,
  [SMALL_STATE(5533)] = 251820,
  [SMALL_STATE(5534)] = 251870,
  [SMALL_STATE(5535)] = 251920,
  [SMALL_STATE(5536)] = 251970,
  [SMALL_STATE(5537)] = 252020,
  [SMALL_STATE(5538)] = 252070,
  [SMALL_STATE(5539)] = 252120,
  [SMALL_STATE(5540)] = 252170,
  [SMALL_STATE(5541)] = 252220,
  [SMALL_STATE(5542)] = 252270,
  [SMALL_STATE(5543)] = 252367,
  [SMALL_STATE(5544)] = 252464,
  [SMALL_STATE(5545)] = 252561,
  [SMALL_STATE(5546)] = 252658,
  [SMALL_STATE(5547)] = 252755,
  [SMALL_STATE(5548)] = 252852,
  [SMALL_STATE(5549)] = 252949,
  [SMALL_STATE(5550)] = 253046,
  [SMALL_STATE(5551)] = 253143,
  [SMALL_STATE(5552)] = 253240,
  [SMALL_STATE(5553)] = 253293,
  [SMALL_STATE(5554)] = 253390,
  [SMALL_STATE(5555)] = 253487,
  [SMALL_STATE(5556)] = 253584,
  [SMALL_STATE(5557)] = 253679,
  [SMALL_STATE(5558)] = 253776,
  [SMALL_STATE(5559)] = 253871,
  [SMALL_STATE(5560)] = 253968,
  [SMALL_STATE(5561)] = 254065,
  [SMALL_STATE(5562)] = 254162,
  [SMALL_STATE(5563)] = 254259,
  [SMALL_STATE(5564)] = 254354,
  [SMALL_STATE(5565)] = 254407,
  [SMALL_STATE(5566)] = 254504,
  [SMALL_STATE(5567)] = 254601,
  [SMALL_STATE(5568)] = 254654,
  [SMALL_STATE(5569)] = 254751,
  [SMALL_STATE(5570)] = 254848,
  [SMALL_STATE(5571)] = 254901,
  [SMALL_STATE(5572)] = 254954,
  [SMALL_STATE(5573)] = 255051,
  [SMALL_STATE(5574)] = 255148,
  [SMALL_STATE(5575)] = 255201,
  [SMALL_STATE(5576)] = 255254,
  [SMALL_STATE(5577)] = 255351,
  [SMALL_STATE(5578)] = 255448,
  [SMALL_STATE(5579)] = 255545,
  [SMALL_STATE(5580)] = 255598,
  [SMALL_STATE(5581)] = 255651,
  [SMALL_STATE(5582)] = 255704,
  [SMALL_STATE(5583)] = 255801,
  [SMALL_STATE(5584)] = 255898,
  [SMALL_STATE(5585)] = 255951,
  [SMALL_STATE(5586)] = 256004,
  [SMALL_STATE(5587)] = 256099,
  [SMALL_STATE(5588)] = 256196,
  [SMALL_STATE(5589)] = 256249,
  [SMALL_STATE(5590)] = 256346,
  [SMALL_STATE(5591)] = 256443,
  [SMALL_STATE(5592)] = 256540,
  [SMALL_STATE(5593)] = 256637,
  [SMALL_STATE(5594)] = 256734,
  [SMALL_STATE(5595)] = 256831,
  [SMALL_STATE(5596)] = 256884,
  [SMALL_STATE(5597)] = 256981,
  [SMALL_STATE(5598)] = 257078,
  [SMALL_STATE(5599)] = 257175,
  [SMALL_STATE(5600)] = 257270,
  [SMALL_STATE(5601)] = 257323,
  [SMALL_STATE(5602)] = 257420,
  [SMALL_STATE(5603)] = 257517,
  [SMALL_STATE(5604)] = 257614,
  [SMALL_STATE(5605)] = 257667,
  [SMALL_STATE(5606)] = 257757,
  [SMALL_STATE(5607)] = 257851,
  [SMALL_STATE(5608)] = 257945,
  [SMALL_STATE(5609)] = 258039,
  [SMALL_STATE(5610)] = 258133,
  [SMALL_STATE(5611)] = 258227,
  [SMALL_STATE(5612)] = 258321,
  [SMALL_STATE(5613)] = 258415,
  [SMALL_STATE(5614)] = 258509,
  [SMALL_STATE(5615)] = 258603,
  [SMALL_STATE(5616)] = 258697,
  [SMALL_STATE(5617)] = 258791,
  [SMALL_STATE(5618)] = 258883,
  [SMALL_STATE(5619)] = 258977,
  [SMALL_STATE(5620)] = 259071,
  [SMALL_STATE(5621)] = 259165,
  [SMALL_STATE(5622)] = 259259,
  [SMALL_STATE(5623)] = 259353,
  [SMALL_STATE(5624)] = 259447,
  [SMALL_STATE(5625)] = 259541,
  [SMALL_STATE(5626)] = 259635,
  [SMALL_STATE(5627)] = 259729,
  [SMALL_STATE(5628)] = 259823,
  [SMALL_STATE(5629)] = 259917,
  [SMALL_STATE(5630)] = 260011,
  [SMALL_STATE(5631)] = 260105,
  [SMALL_STATE(5632)] = 260199,
  [SMALL_STATE(5633)] = 260293,
  [SMALL_STATE(5634)] = 260387,
  [SMALL_STATE(5635)] = 260481,
  [SMALL_STATE(5636)] = 260575,
  [SMALL_STATE(5637)] = 260669,
  [SMALL_STATE(5638)] = 260763,
  [SMALL_STATE(5639)] = 260857,
  [SMALL_STATE(5640)] = 260951,
  [SMALL_STATE(5641)] = 261045,
  [SMALL_STATE(5642)] = 261139,
  [SMALL_STATE(5643)] = 261233,
  [SMALL_STATE(5644)] = 261279,
  [SMALL_STATE(5645)] = 261373,
  [SMALL_STATE(5646)] = 261467,
  [SMALL_STATE(5647)] = 261561,
  [SMALL_STATE(5648)] = 261655,
  [SMALL_STATE(5649)] = 261749,
  [SMALL_STATE(5650)] = 261841,
  [SMALL_STATE(5651)] = 261935,
  [SMALL_STATE(5652)] = 262029,
  [SMALL_STATE(5653)] = 262123,
  [SMALL_STATE(5654)] = 262217,
  [SMALL_STATE(5655)] = 262311,
  [SMALL_STATE(5656)] = 262405,
  [SMALL_STATE(5657)] = 262499,
  [SMALL_STATE(5658)] = 262593,
  [SMALL_STATE(5659)] = 262687,
  [SMALL_STATE(5660)] = 262781,
  [SMALL_STATE(5661)] = 262875,
  [SMALL_STATE(5662)] = 262969,
  [SMALL_STATE(5663)] = 263063,
  [SMALL_STATE(5664)] = 263157,
  [SMALL_STATE(5665)] = 263251,
  [SMALL_STATE(5666)] = 263345,
  [SMALL_STATE(5667)] = 263435,
  [SMALL_STATE(5668)] = 263529,
  [SMALL_STATE(5669)] = 263623,
  [SMALL_STATE(5670)] = 263717,
  [SMALL_STATE(5671)] = 263811,
  [SMALL_STATE(5672)] = 263905,
  [SMALL_STATE(5673)] = 263999,
  [SMALL_STATE(5674)] = 264093,
  [SMALL_STATE(5675)] = 264187,
  [SMALL_STATE(5676)] = 264281,
  [SMALL_STATE(5677)] = 264375,
  [SMALL_STATE(5678)] = 264469,
  [SMALL_STATE(5679)] = 264563,
  [SMALL_STATE(5680)] = 264657,
  [SMALL_STATE(5681)] = 264751,
  [SMALL_STATE(5682)] = 264845,
  [SMALL_STATE(5683)] = 264939,
  [SMALL_STATE(5684)] = 265033,
  [SMALL_STATE(5685)] = 265127,
  [SMALL_STATE(5686)] = 265221,
  [SMALL_STATE(5687)] = 265315,
  [SMALL_STATE(5688)] = 265409,
  [SMALL_STATE(5689)] = 265503,
  [SMALL_STATE(5690)] = 265597,
  [SMALL_STATE(5691)] = 265691,
  [SMALL_STATE(5692)] = 265785,
  [SMALL_STATE(5693)] = 265879,
  [SMALL_STATE(5694)] = 265973,
  [SMALL_STATE(5695)] = 266067,
  [SMALL_STATE(5696)] = 266161,
  [SMALL_STATE(5697)] = 266255,
  [SMALL_STATE(5698)] = 266349,
  [SMALL_STATE(5699)] = 266443,
  [SMALL_STATE(5700)] = 266537,
  [SMALL_STATE(5701)] = 266631,
  [SMALL_STATE(5702)] = 266725,
  [SMALL_STATE(5703)] = 266819,
  [SMALL_STATE(5704)] = 266913,
  [SMALL_STATE(5705)] = 267007,
  [SMALL_STATE(5706)] = 267101,
  [SMALL_STATE(5707)] = 267195,
  [SMALL_STATE(5708)] = 267289,
  [SMALL_STATE(5709)] = 267383,
  [SMALL_STATE(5710)] = 267477,
  [SMALL_STATE(5711)] = 267571,
  [SMALL_STATE(5712)] = 267665,
  [SMALL_STATE(5713)] = 267759,
  [SMALL_STATE(5714)] = 267853,
  [SMALL_STATE(5715)] = 267947,
  [SMALL_STATE(5716)] = 268041,
  [SMALL_STATE(5717)] = 268135,
  [SMALL_STATE(5718)] = 268229,
  [SMALL_STATE(5719)] = 268323,
  [SMALL_STATE(5720)] = 268417,
  [SMALL_STATE(5721)] = 268511,
  [SMALL_STATE(5722)] = 268605,
  [SMALL_STATE(5723)] = 268699,
  [SMALL_STATE(5724)] = 268793,
  [SMALL_STATE(5725)] = 268887,
  [SMALL_STATE(5726)] = 268936,
  [SMALL_STATE(5727)] = 268985,
  [SMALL_STATE(5728)] = 269076,
  [SMALL_STATE(5729)] = 269125,
  [SMALL_STATE(5730)] = 269214,
  [SMALL_STATE(5731)] = 269263,
  [SMALL_STATE(5732)] = 269354,
  [SMALL_STATE(5733)] = 269443,
  [SMALL_STATE(5734)] = 269532,
  [SMALL_STATE(5735)] = 269621,
  [SMALL_STATE(5736)] = 269670,
  [SMALL_STATE(5737)] = 269759,
  [SMALL_STATE(5738)] = 269848,
  [SMALL_STATE(5739)] = 269937,
  [SMALL_STATE(5740)] = 270028,
  [SMALL_STATE(5741)] = 270077,
  [SMALL_STATE(5742)] = 270168,
  [SMALL_STATE(5743)] = 270259,
  [SMALL_STATE(5744)] = 270350,
  [SMALL_STATE(5745)] = 270441,
  [SMALL_STATE(5746)] = 270532,
  [SMALL_STATE(5747)] = 270581,
  [SMALL_STATE(5748)] = 270670,
  [SMALL_STATE(5749)] = 270759,
  [SMALL_STATE(5750)] = 270808,
  [SMALL_STATE(5751)] = 270899,
  [SMALL_STATE(5752)] = 270990,
  [SMALL_STATE(5753)] = 271081,
  [SMALL_STATE(5754)] = 271172,
  [SMALL_STATE(5755)] = 271261,
  [SMALL_STATE(5756)] = 271352,
  [SMALL_STATE(5757)] = 271441,
  [SMALL_STATE(5758)] = 271532,
  [SMALL_STATE(5759)] = 271581,
  [SMALL_STATE(5760)] = 271630,
  [SMALL_STATE(5761)] = 271719,
  [SMALL_STATE(5762)] = 271810,
  [SMALL_STATE(5763)] = 271899,
  [SMALL_STATE(5764)] = 271988,
  [SMALL_STATE(5765)] = 272079,
  [SMALL_STATE(5766)] = 272168,
  [SMALL_STATE(5767)] = 272217,
  [SMALL_STATE(5768)] = 272266,
  [SMALL_STATE(5769)] = 272315,
  [SMALL_STATE(5770)] = 272404,
  [SMALL_STATE(5771)] = 272453,
  [SMALL_STATE(5772)] = 272542,
  [SMALL_STATE(5773)] = 272631,
  [SMALL_STATE(5774)] = 272720,
  [SMALL_STATE(5775)] = 272811,
  [SMALL_STATE(5776)] = 272860,
  [SMALL_STATE(5777)] = 272951,
  [SMALL_STATE(5778)] = 273000,
  [SMALL_STATE(5779)] = 273091,
  [SMALL_STATE(5780)] = 273182,
  [SMALL_STATE(5781)] = 273273,
  [SMALL_STATE(5782)] = 273361,
  [SMALL_STATE(5783)] = 273449,
  [SMALL_STATE(5784)] = 273537,
  [SMALL_STATE(5785)] = 273625,
  [SMALL_STATE(5786)] = 273713,
  [SMALL_STATE(5787)] = 273801,
  [SMALL_STATE(5788)] = 273889,
  [SMALL_STATE(5789)] = 273977,
  [SMALL_STATE(5790)] = 274065,
  [SMALL_STATE(5791)] = 274153,
  [SMALL_STATE(5792)] = 274241,
  [SMALL_STATE(5793)] = 274329,
  [SMALL_STATE(5794)] = 274417,
  [SMALL_STATE(5795)] = 274505,
  [SMALL_STATE(5796)] = 274593,
  [SMALL_STATE(5797)] = 274681,
  [SMALL_STATE(5798)] = 274769,
  [SMALL_STATE(5799)] = 274857,
  [SMALL_STATE(5800)] = 274945,
  [SMALL_STATE(5801)] = 275033,
  [SMALL_STATE(5802)] = 275121,
  [SMALL_STATE(5803)] = 275209,
  [SMALL_STATE(5804)] = 275297,
  [SMALL_STATE(5805)] = 275385,
  [SMALL_STATE(5806)] = 275473,
  [SMALL_STATE(5807)] = 275561,
  [SMALL_STATE(5808)] = 275649,
  [SMALL_STATE(5809)] = 275737,
  [SMALL_STATE(5810)] = 275825,
  [SMALL_STATE(5811)] = 275913,
  [SMALL_STATE(5812)] = 276001,
  [SMALL_STATE(5813)] = 276089,
  [SMALL_STATE(5814)] = 276177,
  [SMALL_STATE(5815)] = 276265,
  [SMALL_STATE(5816)] = 276353,
  [SMALL_STATE(5817)] = 276441,
  [SMALL_STATE(5818)] = 276529,
  [SMALL_STATE(5819)] = 276617,
  [SMALL_STATE(5820)] = 276705,
  [SMALL_STATE(5821)] = 276793,
  [SMALL_STATE(5822)] = 276881,
  [SMALL_STATE(5823)] = 276969,
  [SMALL_STATE(5824)] = 277057,
  [SMALL_STATE(5825)] = 277145,
  [SMALL_STATE(5826)] = 277233,
  [SMALL_STATE(5827)] = 277321,
  [SMALL_STATE(5828)] = 277409,
  [SMALL_STATE(5829)] = 277497,
  [SMALL_STATE(5830)] = 277585,
  [SMALL_STATE(5831)] = 277673,
  [SMALL_STATE(5832)] = 277761,
  [SMALL_STATE(5833)] = 277849,
  [SMALL_STATE(5834)] = 277937,
  [SMALL_STATE(5835)] = 278025,
  [SMALL_STATE(5836)] = 278113,
  [SMALL_STATE(5837)] = 278201,
  [SMALL_STATE(5838)] = 278289,
  [SMALL_STATE(5839)] = 278377,
  [SMALL_STATE(5840)] = 278465,
  [SMALL_STATE(5841)] = 278553,
  [SMALL_STATE(5842)] = 278641,
  [SMALL_STATE(5843)] = 278729,
  [SMALL_STATE(5844)] = 278817,
  [SMALL_STATE(5845)] = 278905,
  [SMALL_STATE(5846)] = 278993,
  [SMALL_STATE(5847)] = 279081,
  [SMALL_STATE(5848)] = 279169,
  [SMALL_STATE(5849)] = 279257,
  [SMALL_STATE(5850)] = 279345,
  [SMALL_STATE(5851)] = 279433,
  [SMALL_STATE(5852)] = 279521,
  [SMALL_STATE(5853)] = 279609,
  [SMALL_STATE(5854)] = 279697,
  [SMALL_STATE(5855)] = 279785,
  [SMALL_STATE(5856)] = 279873,
  [SMALL_STATE(5857)] = 279961,
  [SMALL_STATE(5858)] = 280049,
  [SMALL_STATE(5859)] = 280137,
  [SMALL_STATE(5860)] = 280225,
  [SMALL_STATE(5861)] = 280313,
  [SMALL_STATE(5862)] = 280401,
  [SMALL_STATE(5863)] = 280489,
  [SMALL_STATE(5864)] = 280577,
  [SMALL_STATE(5865)] = 280665,
  [SMALL_STATE(5866)] = 280753,
  [SMALL_STATE(5867)] = 280841,
  [SMALL_STATE(5868)] = 280929,
  [SMALL_STATE(5869)] = 281017,
  [SMALL_STATE(5870)] = 281105,
  [SMALL_STATE(5871)] = 281193,
  [SMALL_STATE(5872)] = 281281,
  [SMALL_STATE(5873)] = 281369,
  [SMALL_STATE(5874)] = 281457,
  [SMALL_STATE(5875)] = 281545,
  [SMALL_STATE(5876)] = 281633,
  [SMALL_STATE(5877)] = 281721,
  [SMALL_STATE(5878)] = 281809,
  [SMALL_STATE(5879)] = 281897,
  [SMALL_STATE(5880)] = 281985,
  [SMALL_STATE(5881)] = 282073,
  [SMALL_STATE(5882)] = 282161,
  [SMALL_STATE(5883)] = 282249,
  [SMALL_STATE(5884)] = 282337,
  [SMALL_STATE(5885)] = 282425,
  [SMALL_STATE(5886)] = 282513,
  [SMALL_STATE(5887)] = 282601,
  [SMALL_STATE(5888)] = 282689,
  [SMALL_STATE(5889)] = 282777,
  [SMALL_STATE(5890)] = 282865,
  [SMALL_STATE(5891)] = 282953,
  [SMALL_STATE(5892)] = 283041,
  [SMALL_STATE(5893)] = 283129,
  [SMALL_STATE(5894)] = 283217,
  [SMALL_STATE(5895)] = 283305,
  [SMALL_STATE(5896)] = 283393,
  [SMALL_STATE(5897)] = 283481,
  [SMALL_STATE(5898)] = 283569,
  [SMALL_STATE(5899)] = 283657,
  [SMALL_STATE(5900)] = 283745,
  [SMALL_STATE(5901)] = 283833,
  [SMALL_STATE(5902)] = 283921,
  [SMALL_STATE(5903)] = 284009,
  [SMALL_STATE(5904)] = 284097,
  [SMALL_STATE(5905)] = 284185,
  [SMALL_STATE(5906)] = 284273,
  [SMALL_STATE(5907)] = 284361,
  [SMALL_STATE(5908)] = 284449,
  [SMALL_STATE(5909)] = 284537,
  [SMALL_STATE(5910)] = 284625,
  [SMALL_STATE(5911)] = 284713,
  [SMALL_STATE(5912)] = 284801,
  [SMALL_STATE(5913)] = 284889,
  [SMALL_STATE(5914)] = 284977,
  [SMALL_STATE(5915)] = 285065,
  [SMALL_STATE(5916)] = 285153,
  [SMALL_STATE(5917)] = 285241,
  [SMALL_STATE(5918)] = 285329,
  [SMALL_STATE(5919)] = 285417,
  [SMALL_STATE(5920)] = 285505,
  [SMALL_STATE(5921)] = 285593,
  [SMALL_STATE(5922)] = 285681,
  [SMALL_STATE(5923)] = 285769,
  [SMALL_STATE(5924)] = 285857,
  [SMALL_STATE(5925)] = 285945,
  [SMALL_STATE(5926)] = 286033,
  [SMALL_STATE(5927)] = 286121,
  [SMALL_STATE(5928)] = 286209,
  [SMALL_STATE(5929)] = 286297,
  [SMALL_STATE(5930)] = 286385,
  [SMALL_STATE(5931)] = 286473,
  [SMALL_STATE(5932)] = 286561,
  [SMALL_STATE(5933)] = 286649,
  [SMALL_STATE(5934)] = 286737,
  [SMALL_STATE(5935)] = 286825,
  [SMALL_STATE(5936)] = 286913,
  [SMALL_STATE(5937)] = 287001,
  [SMALL_STATE(5938)] = 287089,
  [SMALL_STATE(5939)] = 287177,
  [SMALL_STATE(5940)] = 287265,
  [SMALL_STATE(5941)] = 287353,
  [SMALL_STATE(5942)] = 287441,
  [SMALL_STATE(5943)] = 287529,
  [SMALL_STATE(5944)] = 287617,
  [SMALL_STATE(5945)] = 287705,
  [SMALL_STATE(5946)] = 287793,
  [SMALL_STATE(5947)] = 287881,
  [SMALL_STATE(5948)] = 287969,
  [SMALL_STATE(5949)] = 288057,
  [SMALL_STATE(5950)] = 288145,
  [SMALL_STATE(5951)] = 288233,
  [SMALL_STATE(5952)] = 288321,
  [SMALL_STATE(5953)] = 288409,
  [SMALL_STATE(5954)] = 288497,
  [SMALL_STATE(5955)] = 288585,
  [SMALL_STATE(5956)] = 288673,
  [SMALL_STATE(5957)] = 288761,
  [SMALL_STATE(5958)] = 288849,
  [SMALL_STATE(5959)] = 288937,
  [SMALL_STATE(5960)] = 289025,
  [SMALL_STATE(5961)] = 289113,
  [SMALL_STATE(5962)] = 289201,
  [SMALL_STATE(5963)] = 289289,
  [SMALL_STATE(5964)] = 289377,
  [SMALL_STATE(5965)] = 289465,
  [SMALL_STATE(5966)] = 289553,
  [SMALL_STATE(5967)] = 289641,
  [SMALL_STATE(5968)] = 289729,
  [SMALL_STATE(5969)] = 289817,
  [SMALL_STATE(5970)] = 289905,
  [SMALL_STATE(5971)] = 289993,
  [SMALL_STATE(5972)] = 290081,
  [SMALL_STATE(5973)] = 290169,
  [SMALL_STATE(5974)] = 290257,
  [SMALL_STATE(5975)] = 290345,
  [SMALL_STATE(5976)] = 290433,
  [SMALL_STATE(5977)] = 290521,
  [SMALL_STATE(5978)] = 290609,
  [SMALL_STATE(5979)] = 290697,
  [SMALL_STATE(5980)] = 290785,
  [SMALL_STATE(5981)] = 290873,
  [SMALL_STATE(5982)] = 290961,
  [SMALL_STATE(5983)] = 291049,
  [SMALL_STATE(5984)] = 291137,
  [SMALL_STATE(5985)] = 291225,
  [SMALL_STATE(5986)] = 291313,
  [SMALL_STATE(5987)] = 291401,
  [SMALL_STATE(5988)] = 291489,
  [SMALL_STATE(5989)] = 291577,
  [SMALL_STATE(5990)] = 291665,
  [SMALL_STATE(5991)] = 291753,
  [SMALL_STATE(5992)] = 291841,
  [SMALL_STATE(5993)] = 291929,
  [SMALL_STATE(5994)] = 292017,
  [SMALL_STATE(5995)] = 292105,
  [SMALL_STATE(5996)] = 292193,
  [SMALL_STATE(5997)] = 292281,
  [SMALL_STATE(5998)] = 292369,
  [SMALL_STATE(5999)] = 292457,
  [SMALL_STATE(6000)] = 292545,
  [SMALL_STATE(6001)] = 292633,
  [SMALL_STATE(6002)] = 292721,
  [SMALL_STATE(6003)] = 292809,
  [SMALL_STATE(6004)] = 292897,
  [SMALL_STATE(6005)] = 292985,
  [SMALL_STATE(6006)] = 293073,
  [SMALL_STATE(6007)] = 293161,
  [SMALL_STATE(6008)] = 293249,
  [SMALL_STATE(6009)] = 293337,
  [SMALL_STATE(6010)] = 293425,
  [SMALL_STATE(6011)] = 293513,
  [SMALL_STATE(6012)] = 293601,
  [SMALL_STATE(6013)] = 293689,
  [SMALL_STATE(6014)] = 293777,
  [SMALL_STATE(6015)] = 293865,
  [SMALL_STATE(6016)] = 293953,
  [SMALL_STATE(6017)] = 294041,
  [SMALL_STATE(6018)] = 294129,
  [SMALL_STATE(6019)] = 294217,
  [SMALL_STATE(6020)] = 294305,
  [SMALL_STATE(6021)] = 294393,
  [SMALL_STATE(6022)] = 294481,
  [SMALL_STATE(6023)] = 294569,
  [SMALL_STATE(6024)] = 294657,
  [SMALL_STATE(6025)] = 294745,
  [SMALL_STATE(6026)] = 294833,
  [SMALL_STATE(6027)] = 294921,
  [SMALL_STATE(6028)] = 295009,
  [SMALL_STATE(6029)] = 295097,
  [SMALL_STATE(6030)] = 295185,
  [SMALL_STATE(6031)] = 295273,
  [SMALL_STATE(6032)] = 295361,
  [SMALL_STATE(6033)] = 295449,
  [SMALL_STATE(6034)] = 295537,
  [SMALL_STATE(6035)] = 295625,
  [SMALL_STATE(6036)] = 295713,
  [SMALL_STATE(6037)] = 295801,
  [SMALL_STATE(6038)] = 295889,
  [SMALL_STATE(6039)] = 295977,
  [SMALL_STATE(6040)] = 296065,
  [SMALL_STATE(6041)] = 296153,
  [SMALL_STATE(6042)] = 296241,
  [SMALL_STATE(6043)] = 296329,
  [SMALL_STATE(6044)] = 296417,
  [SMALL_STATE(6045)] = 296505,
  [SMALL_STATE(6046)] = 296593,
  [SMALL_STATE(6047)] = 296681,
  [SMALL_STATE(6048)] = 296769,
  [SMALL_STATE(6049)] = 296857,
  [SMALL_STATE(6050)] = 296945,
  [SMALL_STATE(6051)] = 297033,
  [SMALL_STATE(6052)] = 297121,
  [SMALL_STATE(6053)] = 297209,
  [SMALL_STATE(6054)] = 297297,
  [SMALL_STATE(6055)] = 297385,
  [SMALL_STATE(6056)] = 297473,
  [SMALL_STATE(6057)] = 297561,
  [SMALL_STATE(6058)] = 297649,
  [SMALL_STATE(6059)] = 297737,
  [SMALL_STATE(6060)] = 297825,
  [SMALL_STATE(6061)] = 297913,
  [SMALL_STATE(6062)] = 298001,
  [SMALL_STATE(6063)] = 298089,
  [SMALL_STATE(6064)] = 298177,
  [SMALL_STATE(6065)] = 298265,
  [SMALL_STATE(6066)] = 298353,
  [SMALL_STATE(6067)] = 298441,
  [SMALL_STATE(6068)] = 298529,
  [SMALL_STATE(6069)] = 298617,
  [SMALL_STATE(6070)] = 298705,
  [SMALL_STATE(6071)] = 298793,
  [SMALL_STATE(6072)] = 298881,
  [SMALL_STATE(6073)] = 298969,
  [SMALL_STATE(6074)] = 299057,
  [SMALL_STATE(6075)] = 299145,
  [SMALL_STATE(6076)] = 299233,
  [SMALL_STATE(6077)] = 299321,
  [SMALL_STATE(6078)] = 299409,
  [SMALL_STATE(6079)] = 299497,
  [SMALL_STATE(6080)] = 299585,
  [SMALL_STATE(6081)] = 299673,
  [SMALL_STATE(6082)] = 299761,
  [SMALL_STATE(6083)] = 299849,
  [SMALL_STATE(6084)] = 299937,
  [SMALL_STATE(6085)] = 300025,
  [SMALL_STATE(6086)] = 300113,
  [SMALL_STATE(6087)] = 300201,
  [SMALL_STATE(6088)] = 300289,
  [SMALL_STATE(6089)] = 300377,
  [SMALL_STATE(6090)] = 300465,
  [SMALL_STATE(6091)] = 300553,
  [SMALL_STATE(6092)] = 300641,
  [SMALL_STATE(6093)] = 300729,
  [SMALL_STATE(6094)] = 300817,
  [SMALL_STATE(6095)] = 300905,
  [SMALL_STATE(6096)] = 300993,
  [SMALL_STATE(6097)] = 301081,
  [SMALL_STATE(6098)] = 301169,
  [SMALL_STATE(6099)] = 301257,
  [SMALL_STATE(6100)] = 301345,
  [SMALL_STATE(6101)] = 301433,
  [SMALL_STATE(6102)] = 301521,
  [SMALL_STATE(6103)] = 301609,
  [SMALL_STATE(6104)] = 301697,
  [SMALL_STATE(6105)] = 301785,
  [SMALL_STATE(6106)] = 301873,
  [SMALL_STATE(6107)] = 301961,
  [SMALL_STATE(6108)] = 302049,
  [SMALL_STATE(6109)] = 302137,
  [SMALL_STATE(6110)] = 302225,
  [SMALL_STATE(6111)] = 302313,
  [SMALL_STATE(6112)] = 302401,
  [SMALL_STATE(6113)] = 302489,
  [SMALL_STATE(6114)] = 302577,
  [SMALL_STATE(6115)] = 302665,
  [SMALL_STATE(6116)] = 302753,
  [SMALL_STATE(6117)] = 302841,
  [SMALL_STATE(6118)] = 302929,
  [SMALL_STATE(6119)] = 303017,
  [SMALL_STATE(6120)] = 303105,
  [SMALL_STATE(6121)] = 303193,
  [SMALL_STATE(6122)] = 303281,
  [SMALL_STATE(6123)] = 303369,
  [SMALL_STATE(6124)] = 303457,
  [SMALL_STATE(6125)] = 303545,
  [SMALL_STATE(6126)] = 303633,
  [SMALL_STATE(6127)] = 303721,
  [SMALL_STATE(6128)] = 303809,
  [SMALL_STATE(6129)] = 303897,
  [SMALL_STATE(6130)] = 303985,
  [SMALL_STATE(6131)] = 304073,
  [SMALL_STATE(6132)] = 304161,
  [SMALL_STATE(6133)] = 304249,
  [SMALL_STATE(6134)] = 304337,
  [SMALL_STATE(6135)] = 304425,
  [SMALL_STATE(6136)] = 304513,
  [SMALL_STATE(6137)] = 304601,
  [SMALL_STATE(6138)] = 304689,
  [SMALL_STATE(6139)] = 304777,
  [SMALL_STATE(6140)] = 304865,
  [SMALL_STATE(6141)] = 304953,
  [SMALL_STATE(6142)] = 305041,
  [SMALL_STATE(6143)] = 305129,
  [SMALL_STATE(6144)] = 305217,
  [SMALL_STATE(6145)] = 305305,
  [SMALL_STATE(6146)] = 305393,
  [SMALL_STATE(6147)] = 305481,
  [SMALL_STATE(6148)] = 305569,
  [SMALL_STATE(6149)] = 305657,
  [SMALL_STATE(6150)] = 305745,
  [SMALL_STATE(6151)] = 305833,
  [SMALL_STATE(6152)] = 305921,
  [SMALL_STATE(6153)] = 306009,
  [SMALL_STATE(6154)] = 306097,
  [SMALL_STATE(6155)] = 306185,
  [SMALL_STATE(6156)] = 306273,
  [SMALL_STATE(6157)] = 306361,
  [SMALL_STATE(6158)] = 306449,
  [SMALL_STATE(6159)] = 306537,
  [SMALL_STATE(6160)] = 306625,
  [SMALL_STATE(6161)] = 306713,
  [SMALL_STATE(6162)] = 306801,
  [SMALL_STATE(6163)] = 306889,
  [SMALL_STATE(6164)] = 306977,
  [SMALL_STATE(6165)] = 307065,
  [SMALL_STATE(6166)] = 307153,
  [SMALL_STATE(6167)] = 307241,
  [SMALL_STATE(6168)] = 307329,
  [SMALL_STATE(6169)] = 307417,
  [SMALL_STATE(6170)] = 307505,
  [SMALL_STATE(6171)] = 307593,
  [SMALL_STATE(6172)] = 307681,
  [SMALL_STATE(6173)] = 307769,
  [SMALL_STATE(6174)] = 307857,
  [SMALL_STATE(6175)] = 307945,
  [SMALL_STATE(6176)] = 308033,
  [SMALL_STATE(6177)] = 308121,
  [SMALL_STATE(6178)] = 308209,
  [SMALL_STATE(6179)] = 308297,
  [SMALL_STATE(6180)] = 308385,
  [SMALL_STATE(6181)] = 308473,
  [SMALL_STATE(6182)] = 308561,
  [SMALL_STATE(6183)] = 308649,
  [SMALL_STATE(6184)] = 308737,
  [SMALL_STATE(6185)] = 308825,
  [SMALL_STATE(6186)] = 308913,
  [SMALL_STATE(6187)] = 309001,
  [SMALL_STATE(6188)] = 309086,
  [SMALL_STATE(6189)] = 309129,
  [SMALL_STATE(6190)] = 309172,
  [SMALL_STATE(6191)] = 309215,
  [SMALL_STATE(6192)] = 309258,
  [SMALL_STATE(6193)] = 309301,
  [SMALL_STATE(6194)] = 309366,
  [SMALL_STATE(6195)] = 309431,
  [SMALL_STATE(6196)] = 309496,
  [SMALL_STATE(6197)] = 309561,
  [SMALL_STATE(6198)] = 309626,
  [SMALL_STATE(6199)] = 309691,
  [SMALL_STATE(6200)] = 309756,
  [SMALL_STATE(6201)] = 309821,
  [SMALL_STATE(6202)] = 309886,
  [SMALL_STATE(6203)] = 309951,
  [SMALL_STATE(6204)] = 310016,
  [SMALL_STATE(6205)] = 310081,
  [SMALL_STATE(6206)] = 310146,
  [SMALL_STATE(6207)] = 310211,
  [SMALL_STATE(6208)] = 310276,
  [SMALL_STATE(6209)] = 310341,
  [SMALL_STATE(6210)] = 310406,
  [SMALL_STATE(6211)] = 310471,
  [SMALL_STATE(6212)] = 310536,
  [SMALL_STATE(6213)] = 310601,
  [SMALL_STATE(6214)] = 310666,
  [SMALL_STATE(6215)] = 310703,
  [SMALL_STATE(6216)] = 310736,
  [SMALL_STATE(6217)] = 310773,
  [SMALL_STATE(6218)] = 310806,
  [SMALL_STATE(6219)] = 310848,
  [SMALL_STATE(6220)] = 310890,
  [SMALL_STATE(6221)] = 310932,
  [SMALL_STATE(6222)] = 310974,
  [SMALL_STATE(6223)] = 311008,
  [SMALL_STATE(6224)] = 311055,
  [SMALL_STATE(6225)] = 311096,
  [SMALL_STATE(6226)] = 311135,
  [SMALL_STATE(6227)] = 311182,
  [SMALL_STATE(6228)] = 311223,
  [SMALL_STATE(6229)] = 311262,
  [SMALL_STATE(6230)] = 311301,
  [SMALL_STATE(6231)] = 311340,
  [SMALL_STATE(6232)] = 311381,
  [SMALL_STATE(6233)] = 311420,
  [SMALL_STATE(6234)] = 311459,
  [SMALL_STATE(6235)] = 311500,
  [SMALL_STATE(6236)] = 311539,
  [SMALL_STATE(6237)] = 311586,
  [SMALL_STATE(6238)] = 311627,
  [SMALL_STATE(6239)] = 311666,
  [SMALL_STATE(6240)] = 311705,
  [SMALL_STATE(6241)] = 311744,
  [SMALL_STATE(6242)] = 311783,
  [SMALL_STATE(6243)] = 311824,
  [SMALL_STATE(6244)] = 311863,
  [SMALL_STATE(6245)] = 311904,
  [SMALL_STATE(6246)] = 311951,
  [SMALL_STATE(6247)] = 311992,
  [SMALL_STATE(6248)] = 312033,
  [SMALL_STATE(6249)] = 312074,
  [SMALL_STATE(6250)] = 312121,
  [SMALL_STATE(6251)] = 312168,
  [SMALL_STATE(6252)] = 312201,
  [SMALL_STATE(6253)] = 312248,
  [SMALL_STATE(6254)] = 312279,
  [SMALL_STATE(6255)] = 312326,
  [SMALL_STATE(6256)] = 312373,
  [SMALL_STATE(6257)] = 312414,
  [SMALL_STATE(6258)] = 312461,
  [SMALL_STATE(6259)] = 312502,
  [SMALL_STATE(6260)] = 312549,
  [SMALL_STATE(6261)] = 312596,
  [SMALL_STATE(6262)] = 312643,
  [SMALL_STATE(6263)] = 312690,
  [SMALL_STATE(6264)] = 312737,
  [SMALL_STATE(6265)] = 312770,
  [SMALL_STATE(6266)] = 312808,
  [SMALL_STATE(6267)] = 312846,
  [SMALL_STATE(6268)] = 312884,
  [SMALL_STATE(6269)] = 312924,
  [SMALL_STATE(6270)] = 312954,
  [SMALL_STATE(6271)] = 312992,
  [SMALL_STATE(6272)] = 313030,
  [SMALL_STATE(6273)] = 313068,
  [SMALL_STATE(6274)] = 313108,
  [SMALL_STATE(6275)] = 313146,
  [SMALL_STATE(6276)] = 313176,
  [SMALL_STATE(6277)] = 313216,
  [SMALL_STATE(6278)] = 313260,
  [SMALL_STATE(6279)] = 313300,
  [SMALL_STATE(6280)] = 313338,
  [SMALL_STATE(6281)] = 313376,
  [SMALL_STATE(6282)] = 313414,
  [SMALL_STATE(6283)] = 313454,
  [SMALL_STATE(6284)] = 313494,
  [SMALL_STATE(6285)] = 313532,
  [SMALL_STATE(6286)] = 313572,
  [SMALL_STATE(6287)] = 313610,
  [SMALL_STATE(6288)] = 313648,
  [SMALL_STATE(6289)] = 313688,
  [SMALL_STATE(6290)] = 313728,
  [SMALL_STATE(6291)] = 313766,
  [SMALL_STATE(6292)] = 313804,
  [SMALL_STATE(6293)] = 313844,
  [SMALL_STATE(6294)] = 313882,
  [SMALL_STATE(6295)] = 313914,
  [SMALL_STATE(6296)] = 313954,
  [SMALL_STATE(6297)] = 313992,
  [SMALL_STATE(6298)] = 314030,
  [SMALL_STATE(6299)] = 314059,
  [SMALL_STATE(6300)] = 314096,
  [SMALL_STATE(6301)] = 314125,
  [SMALL_STATE(6302)] = 314164,
  [SMALL_STATE(6303)] = 314203,
  [SMALL_STATE(6304)] = 314240,
  [SMALL_STATE(6305)] = 314277,
  [SMALL_STATE(6306)] = 314314,
  [SMALL_STATE(6307)] = 314353,
  [SMALL_STATE(6308)] = 314382,
  [SMALL_STATE(6309)] = 314409,
  [SMALL_STATE(6310)] = 314448,
  [SMALL_STATE(6311)] = 314485,
  [SMALL_STATE(6312)] = 314524,
  [SMALL_STATE(6313)] = 314561,
  [SMALL_STATE(6314)] = 314588,
  [SMALL_STATE(6315)] = 314615,
  [SMALL_STATE(6316)] = 314642,
  [SMALL_STATE(6317)] = 314669,
  [SMALL_STATE(6318)] = 314708,
  [SMALL_STATE(6319)] = 314737,
  [SMALL_STATE(6320)] = 314766,
  [SMALL_STATE(6321)] = 314794,
  [SMALL_STATE(6322)] = 314832,
  [SMALL_STATE(6323)] = 314862,
  [SMALL_STATE(6324)] = 314902,
  [SMALL_STATE(6325)] = 314940,
  [SMALL_STATE(6326)] = 314966,
  [SMALL_STATE(6327)] = 314996,
  [SMALL_STATE(6328)] = 315022,
  [SMALL_STATE(6329)] = 315048,
  [SMALL_STATE(6330)] = 315076,
  [SMALL_STATE(6331)] = 315112,
  [SMALL_STATE(6332)] = 315138,
  [SMALL_STATE(6333)] = 315174,
  [SMALL_STATE(6334)] = 315200,
  [SMALL_STATE(6335)] = 315226,
  [SMALL_STATE(6336)] = 315252,
  [SMALL_STATE(6337)] = 315278,
  [SMALL_STATE(6338)] = 315304,
  [SMALL_STATE(6339)] = 315334,
  [SMALL_STATE(6340)] = 315360,
  [SMALL_STATE(6341)] = 315387,
  [SMALL_STATE(6342)] = 315414,
  [SMALL_STATE(6343)] = 315441,
  [SMALL_STATE(6344)] = 315478,
  [SMALL_STATE(6345)] = 315515,
  [SMALL_STATE(6346)] = 315542,
  [SMALL_STATE(6347)] = 315579,
  [SMALL_STATE(6348)] = 315608,
  [SMALL_STATE(6349)] = 315635,
  [SMALL_STATE(6350)] = 315662,
  [SMALL_STATE(6351)] = 315689,
  [SMALL_STATE(6352)] = 315722,
  [SMALL_STATE(6353)] = 315749,
  [SMALL_STATE(6354)] = 315786,
  [SMALL_STATE(6355)] = 315819,
  [SMALL_STATE(6356)] = 315852,
  [SMALL_STATE(6357)] = 315885,
  [SMALL_STATE(6358)] = 315912,
  [SMALL_STATE(6359)] = 315939,
  [SMALL_STATE(6360)] = 315966,
  [SMALL_STATE(6361)] = 315993,
  [SMALL_STATE(6362)] = 316030,
  [SMALL_STATE(6363)] = 316067,
  [SMALL_STATE(6364)] = 316096,
  [SMALL_STATE(6365)] = 316133,
  [SMALL_STATE(6366)] = 316160,
  [SMALL_STATE(6367)] = 316187,
  [SMALL_STATE(6368)] = 316224,
  [SMALL_STATE(6369)] = 316251,
  [SMALL_STATE(6370)] = 316278,
  [SMALL_STATE(6371)] = 316315,
  [SMALL_STATE(6372)] = 316342,
  [SMALL_STATE(6373)] = 316379,
  [SMALL_STATE(6374)] = 316406,
  [SMALL_STATE(6375)] = 316433,
  [SMALL_STATE(6376)] = 316460,
  [SMALL_STATE(6377)] = 316497,
  [SMALL_STATE(6378)] = 316534,
  [SMALL_STATE(6379)] = 316561,
  [SMALL_STATE(6380)] = 316596,
  [SMALL_STATE(6381)] = 316633,
  [SMALL_STATE(6382)] = 316660,
  [SMALL_STATE(6383)] = 316693,
  [SMALL_STATE(6384)] = 316720,
  [SMALL_STATE(6385)] = 316757,
  [SMALL_STATE(6386)] = 316784,
  [SMALL_STATE(6387)] = 316817,
  [SMALL_STATE(6388)] = 316844,
  [SMALL_STATE(6389)] = 316879,
  [SMALL_STATE(6390)] = 316906,
  [SMALL_STATE(6391)] = 316943,
  [SMALL_STATE(6392)] = 316970,
  [SMALL_STATE(6393)] = 317005,
  [SMALL_STATE(6394)] = 317032,
  [SMALL_STATE(6395)] = 317059,
  [SMALL_STATE(6396)] = 317096,
  [SMALL_STATE(6397)] = 317131,
  [SMALL_STATE(6398)] = 317158,
  [SMALL_STATE(6399)] = 317193,
  [SMALL_STATE(6400)] = 317228,
  [SMALL_STATE(6401)] = 317255,
  [SMALL_STATE(6402)] = 317289,
  [SMALL_STATE(6403)] = 317323,
  [SMALL_STATE(6404)] = 317357,
  [SMALL_STATE(6405)] = 317391,
  [SMALL_STATE(6406)] = 317425,
  [SMALL_STATE(6407)] = 317459,
  [SMALL_STATE(6408)] = 317497,
  [SMALL_STATE(6409)] = 317535,
  [SMALL_STATE(6410)] = 317569,
  [SMALL_STATE(6411)] = 317607,
  [SMALL_STATE(6412)] = 317645,
  [SMALL_STATE(6413)] = 317683,
  [SMALL_STATE(6414)] = 317717,
  [SMALL_STATE(6415)] = 317751,
  [SMALL_STATE(6416)] = 317789,
  [SMALL_STATE(6417)] = 317823,
  [SMALL_STATE(6418)] = 317859,
  [SMALL_STATE(6419)] = 317893,
  [SMALL_STATE(6420)] = 317927,
  [SMALL_STATE(6421)] = 317963,
  [SMALL_STATE(6422)] = 317997,
  [SMALL_STATE(6423)] = 318031,
  [SMALL_STATE(6424)] = 318067,
  [SMALL_STATE(6425)] = 318101,
  [SMALL_STATE(6426)] = 318137,
  [SMALL_STATE(6427)] = 318173,
  [SMALL_STATE(6428)] = 318207,
  [SMALL_STATE(6429)] = 318241,
  [SMALL_STATE(6430)] = 318275,
  [SMALL_STATE(6431)] = 318311,
  [SMALL_STATE(6432)] = 318345,
  [SMALL_STATE(6433)] = 318379,
  [SMALL_STATE(6434)] = 318413,
  [SMALL_STATE(6435)] = 318449,
  [SMALL_STATE(6436)] = 318483,
  [SMALL_STATE(6437)] = 318519,
  [SMALL_STATE(6438)] = 318553,
  [SMALL_STATE(6439)] = 318587,
  [SMALL_STATE(6440)] = 318623,
  [SMALL_STATE(6441)] = 318657,
  [SMALL_STATE(6442)] = 318691,
  [SMALL_STATE(6443)] = 318717,
  [SMALL_STATE(6444)] = 318751,
  [SMALL_STATE(6445)] = 318785,
  [SMALL_STATE(6446)] = 318819,
  [SMALL_STATE(6447)] = 318853,
  [SMALL_STATE(6448)] = 318887,
  [SMALL_STATE(6449)] = 318921,
  [SMALL_STATE(6450)] = 318957,
  [SMALL_STATE(6451)] = 318991,
  [SMALL_STATE(6452)] = 319025,
  [SMALL_STATE(6453)] = 319051,
  [SMALL_STATE(6454)] = 319087,
  [SMALL_STATE(6455)] = 319120,
  [SMALL_STATE(6456)] = 319153,
  [SMALL_STATE(6457)] = 319186,
  [SMALL_STATE(6458)] = 319211,
  [SMALL_STATE(6459)] = 319234,
  [SMALL_STATE(6460)] = 319257,
  [SMALL_STATE(6461)] = 319290,
  [SMALL_STATE(6462)] = 319313,
  [SMALL_STATE(6463)] = 319346,
  [SMALL_STATE(6464)] = 319369,
  [SMALL_STATE(6465)] = 319392,
  [SMALL_STATE(6466)] = 319427,
  [SMALL_STATE(6467)] = 319450,
  [SMALL_STATE(6468)] = 319485,
  [SMALL_STATE(6469)] = 319520,
  [SMALL_STATE(6470)] = 319543,
  [SMALL_STATE(6471)] = 319566,
  [SMALL_STATE(6472)] = 319591,
  [SMALL_STATE(6473)] = 319624,
  [SMALL_STATE(6474)] = 319647,
  [SMALL_STATE(6475)] = 319672,
  [SMALL_STATE(6476)] = 319695,
  [SMALL_STATE(6477)] = 319720,
  [SMALL_STATE(6478)] = 319745,
  [SMALL_STATE(6479)] = 319767,
  [SMALL_STATE(6480)] = 319791,
  [SMALL_STATE(6481)] = 319815,
  [SMALL_STATE(6482)] = 319837,
  [SMALL_STATE(6483)] = 319859,
  [SMALL_STATE(6484)] = 319881,
  [SMALL_STATE(6485)] = 319907,
  [SMALL_STATE(6486)] = 319931,
  [SMALL_STATE(6487)] = 319953,
  [SMALL_STATE(6488)] = 319977,
  [SMALL_STATE(6489)] = 320003,
  [SMALL_STATE(6490)] = 320027,
  [SMALL_STATE(6491)] = 320053,
  [SMALL_STATE(6492)] = 320077,
  [SMALL_STATE(6493)] = 320101,
  [SMALL_STATE(6494)] = 320125,
  [SMALL_STATE(6495)] = 320147,
  [SMALL_STATE(6496)] = 320169,
  [SMALL_STATE(6497)] = 320191,
  [SMALL_STATE(6498)] = 320215,
  [SMALL_STATE(6499)] = 320237,
  [SMALL_STATE(6500)] = 320261,
  [SMALL_STATE(6501)] = 320287,
  [SMALL_STATE(6502)] = 320309,
  [SMALL_STATE(6503)] = 320333,
  [SMALL_STATE(6504)] = 320355,
  [SMALL_STATE(6505)] = 320377,
  [SMALL_STATE(6506)] = 320399,
  [SMALL_STATE(6507)] = 320423,
  [SMALL_STATE(6508)] = 320445,
  [SMALL_STATE(6509)] = 320467,
  [SMALL_STATE(6510)] = 320493,
  [SMALL_STATE(6511)] = 320517,
  [SMALL_STATE(6512)] = 320546,
  [SMALL_STATE(6513)] = 320567,
  [SMALL_STATE(6514)] = 320596,
  [SMALL_STATE(6515)] = 320617,
  [SMALL_STATE(6516)] = 320646,
  [SMALL_STATE(6517)] = 320669,
  [SMALL_STATE(6518)] = 320698,
  [SMALL_STATE(6519)] = 320729,
  [SMALL_STATE(6520)] = 320758,
  [SMALL_STATE(6521)] = 320779,
  [SMALL_STATE(6522)] = 320808,
  [SMALL_STATE(6523)] = 320835,
  [SMALL_STATE(6524)] = 320858,
  [SMALL_STATE(6525)] = 320887,
  [SMALL_STATE(6526)] = 320916,
  [SMALL_STATE(6527)] = 320937,
  [SMALL_STATE(6528)] = 320958,
  [SMALL_STATE(6529)] = 320987,
  [SMALL_STATE(6530)] = 321008,
  [SMALL_STATE(6531)] = 321031,
  [SMALL_STATE(6532)] = 321053,
  [SMALL_STATE(6533)] = 321073,
  [SMALL_STATE(6534)] = 321093,
  [SMALL_STATE(6535)] = 321115,
  [SMALL_STATE(6536)] = 321137,
  [SMALL_STATE(6537)] = 321159,
  [SMALL_STATE(6538)] = 321179,
  [SMALL_STATE(6539)] = 321201,
  [SMALL_STATE(6540)] = 321221,
  [SMALL_STATE(6541)] = 321241,
  [SMALL_STATE(6542)] = 321263,
  [SMALL_STATE(6543)] = 321285,
  [SMALL_STATE(6544)] = 321305,
  [SMALL_STATE(6545)] = 321327,
  [SMALL_STATE(6546)] = 321347,
  [SMALL_STATE(6547)] = 321369,
  [SMALL_STATE(6548)] = 321391,
  [SMALL_STATE(6549)] = 321411,
  [SMALL_STATE(6550)] = 321433,
  [SMALL_STATE(6551)] = 321453,
  [SMALL_STATE(6552)] = 321473,
  [SMALL_STATE(6553)] = 321495,
  [SMALL_STATE(6554)] = 321517,
  [SMALL_STATE(6555)] = 321539,
  [SMALL_STATE(6556)] = 321561,
  [SMALL_STATE(6557)] = 321581,
  [SMALL_STATE(6558)] = 321603,
  [SMALL_STATE(6559)] = 321625,
  [SMALL_STATE(6560)] = 321645,
  [SMALL_STATE(6561)] = 321665,
  [SMALL_STATE(6562)] = 321685,
  [SMALL_STATE(6563)] = 321707,
  [SMALL_STATE(6564)] = 321727,
  [SMALL_STATE(6565)] = 321747,
  [SMALL_STATE(6566)] = 321767,
  [SMALL_STATE(6567)] = 321787,
  [SMALL_STATE(6568)] = 321805,
  [SMALL_STATE(6569)] = 321827,
  [SMALL_STATE(6570)] = 321849,
  [SMALL_STATE(6571)] = 321871,
  [SMALL_STATE(6572)] = 321893,
  [SMALL_STATE(6573)] = 321915,
  [SMALL_STATE(6574)] = 321937,
  [SMALL_STATE(6575)] = 321964,
  [SMALL_STATE(6576)] = 321983,
  [SMALL_STATE(6577)] = 322008,
  [SMALL_STATE(6578)] = 322027,
  [SMALL_STATE(6579)] = 322046,
  [SMALL_STATE(6580)] = 322065,
  [SMALL_STATE(6581)] = 322090,
  [SMALL_STATE(6582)] = 322117,
  [SMALL_STATE(6583)] = 322136,
  [SMALL_STATE(6584)] = 322155,
  [SMALL_STATE(6585)] = 322174,
  [SMALL_STATE(6586)] = 322201,
  [SMALL_STATE(6587)] = 322224,
  [SMALL_STATE(6588)] = 322243,
  [SMALL_STATE(6589)] = 322262,
  [SMALL_STATE(6590)] = 322277,
  [SMALL_STATE(6591)] = 322298,
  [SMALL_STATE(6592)] = 322317,
  [SMALL_STATE(6593)] = 322336,
  [SMALL_STATE(6594)] = 322355,
  [SMALL_STATE(6595)] = 322374,
  [SMALL_STATE(6596)] = 322399,
  [SMALL_STATE(6597)] = 322414,
  [SMALL_STATE(6598)] = 322433,
  [SMALL_STATE(6599)] = 322452,
  [SMALL_STATE(6600)] = 322479,
  [SMALL_STATE(6601)] = 322498,
  [SMALL_STATE(6602)] = 322521,
  [SMALL_STATE(6603)] = 322542,
  [SMALL_STATE(6604)] = 322563,
  [SMALL_STATE(6605)] = 322582,
  [SMALL_STATE(6606)] = 322601,
  [SMALL_STATE(6607)] = 322616,
  [SMALL_STATE(6608)] = 322643,
  [SMALL_STATE(6609)] = 322657,
  [SMALL_STATE(6610)] = 322675,
  [SMALL_STATE(6611)] = 322689,
  [SMALL_STATE(6612)] = 322703,
  [SMALL_STATE(6613)] = 322717,
  [SMALL_STATE(6614)] = 322739,
  [SMALL_STATE(6615)] = 322763,
  [SMALL_STATE(6616)] = 322783,
  [SMALL_STATE(6617)] = 322805,
  [SMALL_STATE(6618)] = 322819,
  [SMALL_STATE(6619)] = 322833,
  [SMALL_STATE(6620)] = 322853,
  [SMALL_STATE(6621)] = 322867,
  [SMALL_STATE(6622)] = 322885,
  [SMALL_STATE(6623)] = 322909,
  [SMALL_STATE(6624)] = 322923,
  [SMALL_STATE(6625)] = 322943,
  [SMALL_STATE(6626)] = 322965,
  [SMALL_STATE(6627)] = 322983,
  [SMALL_STATE(6628)] = 322997,
  [SMALL_STATE(6629)] = 323011,
  [SMALL_STATE(6630)] = 323025,
  [SMALL_STATE(6631)] = 323043,
  [SMALL_STATE(6632)] = 323057,
  [SMALL_STATE(6633)] = 323077,
  [SMALL_STATE(6634)] = 323091,
  [SMALL_STATE(6635)] = 323115,
  [SMALL_STATE(6636)] = 323137,
  [SMALL_STATE(6637)] = 323151,
  [SMALL_STATE(6638)] = 323165,
  [SMALL_STATE(6639)] = 323179,
  [SMALL_STATE(6640)] = 323193,
  [SMALL_STATE(6641)] = 323217,
  [SMALL_STATE(6642)] = 323231,
  [SMALL_STATE(6643)] = 323251,
  [SMALL_STATE(6644)] = 323265,
  [SMALL_STATE(6645)] = 323279,
  [SMALL_STATE(6646)] = 323293,
  [SMALL_STATE(6647)] = 323317,
  [SMALL_STATE(6648)] = 323337,
  [SMALL_STATE(6649)] = 323357,
  [SMALL_STATE(6650)] = 323377,
  [SMALL_STATE(6651)] = 323391,
  [SMALL_STATE(6652)] = 323409,
  [SMALL_STATE(6653)] = 323423,
  [SMALL_STATE(6654)] = 323437,
  [SMALL_STATE(6655)] = 323451,
  [SMALL_STATE(6656)] = 323475,
  [SMALL_STATE(6657)] = 323495,
  [SMALL_STATE(6658)] = 323509,
  [SMALL_STATE(6659)] = 323523,
  [SMALL_STATE(6660)] = 323545,
  [SMALL_STATE(6661)] = 323559,
  [SMALL_STATE(6662)] = 323573,
  [SMALL_STATE(6663)] = 323595,
  [SMALL_STATE(6664)] = 323609,
  [SMALL_STATE(6665)] = 323623,
  [SMALL_STATE(6666)] = 323647,
  [SMALL_STATE(6667)] = 323671,
  [SMALL_STATE(6668)] = 323693,
  [SMALL_STATE(6669)] = 323707,
  [SMALL_STATE(6670)] = 323731,
  [SMALL_STATE(6671)] = 323753,
  [SMALL_STATE(6672)] = 323767,
  [SMALL_STATE(6673)] = 323791,
  [SMALL_STATE(6674)] = 323805,
  [SMALL_STATE(6675)] = 323819,
  [SMALL_STATE(6676)] = 323833,
  [SMALL_STATE(6677)] = 323847,
  [SMALL_STATE(6678)] = 323869,
  [SMALL_STATE(6679)] = 323893,
  [SMALL_STATE(6680)] = 323915,
  [SMALL_STATE(6681)] = 323929,
  [SMALL_STATE(6682)] = 323943,
  [SMALL_STATE(6683)] = 323965,
  [SMALL_STATE(6684)] = 323983,
  [SMALL_STATE(6685)] = 324007,
  [SMALL_STATE(6686)] = 324029,
  [SMALL_STATE(6687)] = 324049,
  [SMALL_STATE(6688)] = 324073,
  [SMALL_STATE(6689)] = 324087,
  [SMALL_STATE(6690)] = 324109,
  [SMALL_STATE(6691)] = 324131,
  [SMALL_STATE(6692)] = 324155,
  [SMALL_STATE(6693)] = 324173,
  [SMALL_STATE(6694)] = 324195,
  [SMALL_STATE(6695)] = 324209,
  [SMALL_STATE(6696)] = 324223,
  [SMALL_STATE(6697)] = 324237,
  [SMALL_STATE(6698)] = 324251,
  [SMALL_STATE(6699)] = 324265,
  [SMALL_STATE(6700)] = 324289,
  [SMALL_STATE(6701)] = 324303,
  [SMALL_STATE(6702)] = 324323,
  [SMALL_STATE(6703)] = 324345,
  [SMALL_STATE(6704)] = 324359,
  [SMALL_STATE(6705)] = 324381,
  [SMALL_STATE(6706)] = 324401,
  [SMALL_STATE(6707)] = 324425,
  [SMALL_STATE(6708)] = 324449,
  [SMALL_STATE(6709)] = 324463,
  [SMALL_STATE(6710)] = 324487,
  [SMALL_STATE(6711)] = 324501,
  [SMALL_STATE(6712)] = 324523,
  [SMALL_STATE(6713)] = 324547,
  [SMALL_STATE(6714)] = 324571,
  [SMALL_STATE(6715)] = 324595,
  [SMALL_STATE(6716)] = 324609,
  [SMALL_STATE(6717)] = 324623,
  [SMALL_STATE(6718)] = 324645,
  [SMALL_STATE(6719)] = 324659,
  [SMALL_STATE(6720)] = 324679,
  [SMALL_STATE(6721)] = 324703,
  [SMALL_STATE(6722)] = 324727,
  [SMALL_STATE(6723)] = 324751,
  [SMALL_STATE(6724)] = 324775,
  [SMALL_STATE(6725)] = 324789,
  [SMALL_STATE(6726)] = 324813,
  [SMALL_STATE(6727)] = 324827,
  [SMALL_STATE(6728)] = 324841,
  [SMALL_STATE(6729)] = 324863,
  [SMALL_STATE(6730)] = 324887,
  [SMALL_STATE(6731)] = 324901,
  [SMALL_STATE(6732)] = 324919,
  [SMALL_STATE(6733)] = 324937,
  [SMALL_STATE(6734)] = 324961,
  [SMALL_STATE(6735)] = 324979,
  [SMALL_STATE(6736)] = 324993,
  [SMALL_STATE(6737)] = 325007,
  [SMALL_STATE(6738)] = 325031,
  [SMALL_STATE(6739)] = 325049,
  [SMALL_STATE(6740)] = 325063,
  [SMALL_STATE(6741)] = 325081,
  [SMALL_STATE(6742)] = 325099,
  [SMALL_STATE(6743)] = 325113,
  [SMALL_STATE(6744)] = 325137,
  [SMALL_STATE(6745)] = 325155,
  [SMALL_STATE(6746)] = 325173,
  [SMALL_STATE(6747)] = 325191,
  [SMALL_STATE(6748)] = 325205,
  [SMALL_STATE(6749)] = 325219,
  [SMALL_STATE(6750)] = 325243,
  [SMALL_STATE(6751)] = 325265,
  [SMALL_STATE(6752)] = 325279,
  [SMALL_STATE(6753)] = 325299,
  [SMALL_STATE(6754)] = 325313,
  [SMALL_STATE(6755)] = 325333,
  [SMALL_STATE(6756)] = 325357,
  [SMALL_STATE(6757)] = 325381,
  [SMALL_STATE(6758)] = 325401,
  [SMALL_STATE(6759)] = 325421,
  [SMALL_STATE(6760)] = 325441,
  [SMALL_STATE(6761)] = 325458,
  [SMALL_STATE(6762)] = 325479,
  [SMALL_STATE(6763)] = 325498,
  [SMALL_STATE(6764)] = 325511,
  [SMALL_STATE(6765)] = 325532,
  [SMALL_STATE(6766)] = 325551,
  [SMALL_STATE(6767)] = 325570,
  [SMALL_STATE(6768)] = 325591,
  [SMALL_STATE(6769)] = 325604,
  [SMALL_STATE(6770)] = 325625,
  [SMALL_STATE(6771)] = 325638,
  [SMALL_STATE(6772)] = 325659,
  [SMALL_STATE(6773)] = 325678,
  [SMALL_STATE(6774)] = 325697,
  [SMALL_STATE(6775)] = 325716,
  [SMALL_STATE(6776)] = 325737,
  [SMALL_STATE(6777)] = 325750,
  [SMALL_STATE(6778)] = 325769,
  [SMALL_STATE(6779)] = 325782,
  [SMALL_STATE(6780)] = 325799,
  [SMALL_STATE(6781)] = 325812,
  [SMALL_STATE(6782)] = 325833,
  [SMALL_STATE(6783)] = 325852,
  [SMALL_STATE(6784)] = 325865,
  [SMALL_STATE(6785)] = 325878,
  [SMALL_STATE(6786)] = 325899,
  [SMALL_STATE(6787)] = 325912,
  [SMALL_STATE(6788)] = 325925,
  [SMALL_STATE(6789)] = 325944,
  [SMALL_STATE(6790)] = 325957,
  [SMALL_STATE(6791)] = 325970,
  [SMALL_STATE(6792)] = 325991,
  [SMALL_STATE(6793)] = 326010,
  [SMALL_STATE(6794)] = 326023,
  [SMALL_STATE(6795)] = 326042,
  [SMALL_STATE(6796)] = 326055,
  [SMALL_STATE(6797)] = 326068,
  [SMALL_STATE(6798)] = 326087,
  [SMALL_STATE(6799)] = 326100,
  [SMALL_STATE(6800)] = 326119,
  [SMALL_STATE(6801)] = 326132,
  [SMALL_STATE(6802)] = 326145,
  [SMALL_STATE(6803)] = 326166,
  [SMALL_STATE(6804)] = 326185,
  [SMALL_STATE(6805)] = 326204,
  [SMALL_STATE(6806)] = 326217,
  [SMALL_STATE(6807)] = 326234,
  [SMALL_STATE(6808)] = 326247,
  [SMALL_STATE(6809)] = 326268,
  [SMALL_STATE(6810)] = 326289,
  [SMALL_STATE(6811)] = 326302,
  [SMALL_STATE(6812)] = 326315,
  [SMALL_STATE(6813)] = 326334,
  [SMALL_STATE(6814)] = 326347,
  [SMALL_STATE(6815)] = 326366,
  [SMALL_STATE(6816)] = 326385,
  [SMALL_STATE(6817)] = 326398,
  [SMALL_STATE(6818)] = 326417,
  [SMALL_STATE(6819)] = 326430,
  [SMALL_STATE(6820)] = 326451,
  [SMALL_STATE(6821)] = 326472,
  [SMALL_STATE(6822)] = 326493,
  [SMALL_STATE(6823)] = 326506,
  [SMALL_STATE(6824)] = 326527,
  [SMALL_STATE(6825)] = 326544,
  [SMALL_STATE(6826)] = 326563,
  [SMALL_STATE(6827)] = 326582,
  [SMALL_STATE(6828)] = 326603,
  [SMALL_STATE(6829)] = 326620,
  [SMALL_STATE(6830)] = 326641,
  [SMALL_STATE(6831)] = 326654,
  [SMALL_STATE(6832)] = 326675,
  [SMALL_STATE(6833)] = 326692,
  [SMALL_STATE(6834)] = 326713,
  [SMALL_STATE(6835)] = 326726,
  [SMALL_STATE(6836)] = 326739,
  [SMALL_STATE(6837)] = 326760,
  [SMALL_STATE(6838)] = 326779,
  [SMALL_STATE(6839)] = 326798,
  [SMALL_STATE(6840)] = 326811,
  [SMALL_STATE(6841)] = 326824,
  [SMALL_STATE(6842)] = 326845,
  [SMALL_STATE(6843)] = 326862,
  [SMALL_STATE(6844)] = 326883,
  [SMALL_STATE(6845)] = 326904,
  [SMALL_STATE(6846)] = 326917,
  [SMALL_STATE(6847)] = 326936,
  [SMALL_STATE(6848)] = 326949,
  [SMALL_STATE(6849)] = 326962,
  [SMALL_STATE(6850)] = 326981,
  [SMALL_STATE(6851)] = 327002,
  [SMALL_STATE(6852)] = 327019,
  [SMALL_STATE(6853)] = 327038,
  [SMALL_STATE(6854)] = 327057,
  [SMALL_STATE(6855)] = 327070,
  [SMALL_STATE(6856)] = 327087,
  [SMALL_STATE(6857)] = 327100,
  [SMALL_STATE(6858)] = 327119,
  [SMALL_STATE(6859)] = 327138,
  [SMALL_STATE(6860)] = 327159,
  [SMALL_STATE(6861)] = 327172,
  [SMALL_STATE(6862)] = 327191,
  [SMALL_STATE(6863)] = 327212,
  [SMALL_STATE(6864)] = 327233,
  [SMALL_STATE(6865)] = 327252,
  [SMALL_STATE(6866)] = 327269,
  [SMALL_STATE(6867)] = 327282,
  [SMALL_STATE(6868)] = 327295,
  [SMALL_STATE(6869)] = 327314,
  [SMALL_STATE(6870)] = 327327,
  [SMALL_STATE(6871)] = 327340,
  [SMALL_STATE(6872)] = 327361,
  [SMALL_STATE(6873)] = 327382,
  [SMALL_STATE(6874)] = 327395,
  [SMALL_STATE(6875)] = 327408,
  [SMALL_STATE(6876)] = 327421,
  [SMALL_STATE(6877)] = 327440,
  [SMALL_STATE(6878)] = 327459,
  [SMALL_STATE(6879)] = 327480,
  [SMALL_STATE(6880)] = 327493,
  [SMALL_STATE(6881)] = 327514,
  [SMALL_STATE(6882)] = 327533,
  [SMALL_STATE(6883)] = 327546,
  [SMALL_STATE(6884)] = 327559,
  [SMALL_STATE(6885)] = 327580,
  [SMALL_STATE(6886)] = 327601,
  [SMALL_STATE(6887)] = 327620,
  [SMALL_STATE(6888)] = 327633,
  [SMALL_STATE(6889)] = 327654,
  [SMALL_STATE(6890)] = 327673,
  [SMALL_STATE(6891)] = 327694,
  [SMALL_STATE(6892)] = 327707,
  [SMALL_STATE(6893)] = 327728,
  [SMALL_STATE(6894)] = 327749,
  [SMALL_STATE(6895)] = 327768,
  [SMALL_STATE(6896)] = 327787,
  [SMALL_STATE(6897)] = 327808,
  [SMALL_STATE(6898)] = 327829,
  [SMALL_STATE(6899)] = 327846,
  [SMALL_STATE(6900)] = 327859,
  [SMALL_STATE(6901)] = 327880,
  [SMALL_STATE(6902)] = 327901,
  [SMALL_STATE(6903)] = 327920,
  [SMALL_STATE(6904)] = 327939,
  [SMALL_STATE(6905)] = 327958,
  [SMALL_STATE(6906)] = 327979,
  [SMALL_STATE(6907)] = 327992,
  [SMALL_STATE(6908)] = 328011,
  [SMALL_STATE(6909)] = 328032,
  [SMALL_STATE(6910)] = 328045,
  [SMALL_STATE(6911)] = 328064,
  [SMALL_STATE(6912)] = 328077,
  [SMALL_STATE(6913)] = 328096,
  [SMALL_STATE(6914)] = 328109,
  [SMALL_STATE(6915)] = 328122,
  [SMALL_STATE(6916)] = 328141,
  [SMALL_STATE(6917)] = 328154,
  [SMALL_STATE(6918)] = 328175,
  [SMALL_STATE(6919)] = 328192,
  [SMALL_STATE(6920)] = 328205,
  [SMALL_STATE(6921)] = 328224,
  [SMALL_STATE(6922)] = 328237,
  [SMALL_STATE(6923)] = 328250,
  [SMALL_STATE(6924)] = 328271,
  [SMALL_STATE(6925)] = 328284,
  [SMALL_STATE(6926)] = 328297,
  [SMALL_STATE(6927)] = 328316,
  [SMALL_STATE(6928)] = 328335,
  [SMALL_STATE(6929)] = 328348,
  [SMALL_STATE(6930)] = 328369,
  [SMALL_STATE(6931)] = 328386,
  [SMALL_STATE(6932)] = 328407,
  [SMALL_STATE(6933)] = 328424,
  [SMALL_STATE(6934)] = 328445,
  [SMALL_STATE(6935)] = 328464,
  [SMALL_STATE(6936)] = 328485,
  [SMALL_STATE(6937)] = 328506,
  [SMALL_STATE(6938)] = 328525,
  [SMALL_STATE(6939)] = 328546,
  [SMALL_STATE(6940)] = 328559,
  [SMALL_STATE(6941)] = 328572,
  [SMALL_STATE(6942)] = 328591,
  [SMALL_STATE(6943)] = 328610,
  [SMALL_STATE(6944)] = 328627,
  [SMALL_STATE(6945)] = 328644,
  [SMALL_STATE(6946)] = 328657,
  [SMALL_STATE(6947)] = 328676,
  [SMALL_STATE(6948)] = 328689,
  [SMALL_STATE(6949)] = 328708,
  [SMALL_STATE(6950)] = 328729,
  [SMALL_STATE(6951)] = 328748,
  [SMALL_STATE(6952)] = 328765,
  [SMALL_STATE(6953)] = 328784,
  [SMALL_STATE(6954)] = 328797,
  [SMALL_STATE(6955)] = 328816,
  [SMALL_STATE(6956)] = 328835,
  [SMALL_STATE(6957)] = 328856,
  [SMALL_STATE(6958)] = 328875,
  [SMALL_STATE(6959)] = 328896,
  [SMALL_STATE(6960)] = 328915,
  [SMALL_STATE(6961)] = 328934,
  [SMALL_STATE(6962)] = 328953,
  [SMALL_STATE(6963)] = 328972,
  [SMALL_STATE(6964)] = 328991,
  [SMALL_STATE(6965)] = 329010,
  [SMALL_STATE(6966)] = 329029,
  [SMALL_STATE(6967)] = 329046,
  [SMALL_STATE(6968)] = 329067,
  [SMALL_STATE(6969)] = 329080,
  [SMALL_STATE(6970)] = 329101,
  [SMALL_STATE(6971)] = 329114,
  [SMALL_STATE(6972)] = 329133,
  [SMALL_STATE(6973)] = 329154,
  [SMALL_STATE(6974)] = 329175,
  [SMALL_STATE(6975)] = 329196,
  [SMALL_STATE(6976)] = 329209,
  [SMALL_STATE(6977)] = 329228,
  [SMALL_STATE(6978)] = 329247,
  [SMALL_STATE(6979)] = 329268,
  [SMALL_STATE(6980)] = 329281,
  [SMALL_STATE(6981)] = 329300,
  [SMALL_STATE(6982)] = 329313,
  [SMALL_STATE(6983)] = 329332,
  [SMALL_STATE(6984)] = 329353,
  [SMALL_STATE(6985)] = 329374,
  [SMALL_STATE(6986)] = 329393,
  [SMALL_STATE(6987)] = 329406,
  [SMALL_STATE(6988)] = 329425,
  [SMALL_STATE(6989)] = 329442,
  [SMALL_STATE(6990)] = 329463,
  [SMALL_STATE(6991)] = 329480,
  [SMALL_STATE(6992)] = 329497,
  [SMALL_STATE(6993)] = 329516,
  [SMALL_STATE(6994)] = 329537,
  [SMALL_STATE(6995)] = 329550,
  [SMALL_STATE(6996)] = 329567,
  [SMALL_STATE(6997)] = 329585,
  [SMALL_STATE(6998)] = 329603,
  [SMALL_STATE(6999)] = 329621,
  [SMALL_STATE(7000)] = 329639,
  [SMALL_STATE(7001)] = 329657,
  [SMALL_STATE(7002)] = 329675,
  [SMALL_STATE(7003)] = 329693,
  [SMALL_STATE(7004)] = 329711,
  [SMALL_STATE(7005)] = 329729,
  [SMALL_STATE(7006)] = 329745,
  [SMALL_STATE(7007)] = 329763,
  [SMALL_STATE(7008)] = 329781,
  [SMALL_STATE(7009)] = 329799,
  [SMALL_STATE(7010)] = 329817,
  [SMALL_STATE(7011)] = 329835,
  [SMALL_STATE(7012)] = 329853,
  [SMALL_STATE(7013)] = 329871,
  [SMALL_STATE(7014)] = 329889,
  [SMALL_STATE(7015)] = 329907,
  [SMALL_STATE(7016)] = 329925,
  [SMALL_STATE(7017)] = 329943,
  [SMALL_STATE(7018)] = 329961,
  [SMALL_STATE(7019)] = 329979,
  [SMALL_STATE(7020)] = 329997,
  [SMALL_STATE(7021)] = 330015,
  [SMALL_STATE(7022)] = 330033,
  [SMALL_STATE(7023)] = 330051,
  [SMALL_STATE(7024)] = 330069,
  [SMALL_STATE(7025)] = 330087,
  [SMALL_STATE(7026)] = 330105,
  [SMALL_STATE(7027)] = 330123,
  [SMALL_STATE(7028)] = 330139,
  [SMALL_STATE(7029)] = 330157,
  [SMALL_STATE(7030)] = 330175,
  [SMALL_STATE(7031)] = 330193,
  [SMALL_STATE(7032)] = 330211,
  [SMALL_STATE(7033)] = 330229,
  [SMALL_STATE(7034)] = 330247,
  [SMALL_STATE(7035)] = 330259,
  [SMALL_STATE(7036)] = 330277,
  [SMALL_STATE(7037)] = 330295,
  [SMALL_STATE(7038)] = 330311,
  [SMALL_STATE(7039)] = 330323,
  [SMALL_STATE(7040)] = 330339,
  [SMALL_STATE(7041)] = 330357,
  [SMALL_STATE(7042)] = 330375,
  [SMALL_STATE(7043)] = 330393,
  [SMALL_STATE(7044)] = 330411,
  [SMALL_STATE(7045)] = 330427,
  [SMALL_STATE(7046)] = 330445,
  [SMALL_STATE(7047)] = 330463,
  [SMALL_STATE(7048)] = 330481,
  [SMALL_STATE(7049)] = 330497,
  [SMALL_STATE(7050)] = 330515,
  [SMALL_STATE(7051)] = 330533,
  [SMALL_STATE(7052)] = 330549,
  [SMALL_STATE(7053)] = 330567,
  [SMALL_STATE(7054)] = 330585,
  [SMALL_STATE(7055)] = 330603,
  [SMALL_STATE(7056)] = 330621,
  [SMALL_STATE(7057)] = 330639,
  [SMALL_STATE(7058)] = 330657,
  [SMALL_STATE(7059)] = 330673,
  [SMALL_STATE(7060)] = 330691,
  [SMALL_STATE(7061)] = 330707,
  [SMALL_STATE(7062)] = 330725,
  [SMALL_STATE(7063)] = 330743,
  [SMALL_STATE(7064)] = 330761,
  [SMALL_STATE(7065)] = 330779,
  [SMALL_STATE(7066)] = 330797,
  [SMALL_STATE(7067)] = 330813,
  [SMALL_STATE(7068)] = 330831,
  [SMALL_STATE(7069)] = 330849,
  [SMALL_STATE(7070)] = 330865,
  [SMALL_STATE(7071)] = 330881,
  [SMALL_STATE(7072)] = 330899,
  [SMALL_STATE(7073)] = 330915,
  [SMALL_STATE(7074)] = 330931,
  [SMALL_STATE(7075)] = 330949,
  [SMALL_STATE(7076)] = 330967,
  [SMALL_STATE(7077)] = 330985,
  [SMALL_STATE(7078)] = 331003,
  [SMALL_STATE(7079)] = 331021,
  [SMALL_STATE(7080)] = 331039,
  [SMALL_STATE(7081)] = 331057,
  [SMALL_STATE(7082)] = 331073,
  [SMALL_STATE(7083)] = 331091,
  [SMALL_STATE(7084)] = 331109,
  [SMALL_STATE(7085)] = 331127,
  [SMALL_STATE(7086)] = 331145,
  [SMALL_STATE(7087)] = 331163,
  [SMALL_STATE(7088)] = 331181,
  [SMALL_STATE(7089)] = 331199,
  [SMALL_STATE(7090)] = 331217,
  [SMALL_STATE(7091)] = 331233,
  [SMALL_STATE(7092)] = 331251,
  [SMALL_STATE(7093)] = 331267,
  [SMALL_STATE(7094)] = 331285,
  [SMALL_STATE(7095)] = 331303,
  [SMALL_STATE(7096)] = 331321,
  [SMALL_STATE(7097)] = 331339,
  [SMALL_STATE(7098)] = 331357,
  [SMALL_STATE(7099)] = 331375,
  [SMALL_STATE(7100)] = 331393,
  [SMALL_STATE(7101)] = 331411,
  [SMALL_STATE(7102)] = 331429,
  [SMALL_STATE(7103)] = 331447,
  [SMALL_STATE(7104)] = 331465,
  [SMALL_STATE(7105)] = 331481,
  [SMALL_STATE(7106)] = 331497,
  [SMALL_STATE(7107)] = 331515,
  [SMALL_STATE(7108)] = 331533,
  [SMALL_STATE(7109)] = 331551,
  [SMALL_STATE(7110)] = 331569,
  [SMALL_STATE(7111)] = 331585,
  [SMALL_STATE(7112)] = 331603,
  [SMALL_STATE(7113)] = 331619,
  [SMALL_STATE(7114)] = 331637,
  [SMALL_STATE(7115)] = 331655,
  [SMALL_STATE(7116)] = 331673,
  [SMALL_STATE(7117)] = 331689,
  [SMALL_STATE(7118)] = 331707,
  [SMALL_STATE(7119)] = 331725,
  [SMALL_STATE(7120)] = 331743,
  [SMALL_STATE(7121)] = 331761,
  [SMALL_STATE(7122)] = 331779,
  [SMALL_STATE(7123)] = 331797,
  [SMALL_STATE(7124)] = 331815,
  [SMALL_STATE(7125)] = 331831,
  [SMALL_STATE(7126)] = 331849,
  [SMALL_STATE(7127)] = 331867,
  [SMALL_STATE(7128)] = 331885,
  [SMALL_STATE(7129)] = 331903,
  [SMALL_STATE(7130)] = 331921,
  [SMALL_STATE(7131)] = 331939,
  [SMALL_STATE(7132)] = 331957,
  [SMALL_STATE(7133)] = 331975,
  [SMALL_STATE(7134)] = 331993,
  [SMALL_STATE(7135)] = 332011,
  [SMALL_STATE(7136)] = 332029,
  [SMALL_STATE(7137)] = 332045,
  [SMALL_STATE(7138)] = 332063,
  [SMALL_STATE(7139)] = 332081,
  [SMALL_STATE(7140)] = 332099,
  [SMALL_STATE(7141)] = 332117,
  [SMALL_STATE(7142)] = 332135,
  [SMALL_STATE(7143)] = 332153,
  [SMALL_STATE(7144)] = 332171,
  [SMALL_STATE(7145)] = 332189,
  [SMALL_STATE(7146)] = 332207,
  [SMALL_STATE(7147)] = 332223,
  [SMALL_STATE(7148)] = 332239,
  [SMALL_STATE(7149)] = 332257,
  [SMALL_STATE(7150)] = 332273,
  [SMALL_STATE(7151)] = 332289,
  [SMALL_STATE(7152)] = 332307,
  [SMALL_STATE(7153)] = 332325,
  [SMALL_STATE(7154)] = 332343,
  [SMALL_STATE(7155)] = 332361,
  [SMALL_STATE(7156)] = 332379,
  [SMALL_STATE(7157)] = 332395,
  [SMALL_STATE(7158)] = 332411,
  [SMALL_STATE(7159)] = 332429,
  [SMALL_STATE(7160)] = 332447,
  [SMALL_STATE(7161)] = 332465,
  [SMALL_STATE(7162)] = 332481,
  [SMALL_STATE(7163)] = 332499,
  [SMALL_STATE(7164)] = 332511,
  [SMALL_STATE(7165)] = 332529,
  [SMALL_STATE(7166)] = 332547,
  [SMALL_STATE(7167)] = 332563,
  [SMALL_STATE(7168)] = 332579,
  [SMALL_STATE(7169)] = 332597,
  [SMALL_STATE(7170)] = 332615,
  [SMALL_STATE(7171)] = 332633,
  [SMALL_STATE(7172)] = 332651,
  [SMALL_STATE(7173)] = 332667,
  [SMALL_STATE(7174)] = 332685,
  [SMALL_STATE(7175)] = 332703,
  [SMALL_STATE(7176)] = 332721,
  [SMALL_STATE(7177)] = 332739,
  [SMALL_STATE(7178)] = 332757,
  [SMALL_STATE(7179)] = 332775,
  [SMALL_STATE(7180)] = 332791,
  [SMALL_STATE(7181)] = 332807,
  [SMALL_STATE(7182)] = 332823,
  [SMALL_STATE(7183)] = 332841,
  [SMALL_STATE(7184)] = 332857,
  [SMALL_STATE(7185)] = 332875,
  [SMALL_STATE(7186)] = 332893,
  [SMALL_STATE(7187)] = 332911,
  [SMALL_STATE(7188)] = 332929,
  [SMALL_STATE(7189)] = 332947,
  [SMALL_STATE(7190)] = 332962,
  [SMALL_STATE(7191)] = 332977,
  [SMALL_STATE(7192)] = 332992,
  [SMALL_STATE(7193)] = 333007,
  [SMALL_STATE(7194)] = 333022,
  [SMALL_STATE(7195)] = 333037,
  [SMALL_STATE(7196)] = 333052,
  [SMALL_STATE(7197)] = 333067,
  [SMALL_STATE(7198)] = 333078,
  [SMALL_STATE(7199)] = 333091,
  [SMALL_STATE(7200)] = 333106,
  [SMALL_STATE(7201)] = 333123,
  [SMALL_STATE(7202)] = 333138,
  [SMALL_STATE(7203)] = 333153,
  [SMALL_STATE(7204)] = 333168,
  [SMALL_STATE(7205)] = 333183,
  [SMALL_STATE(7206)] = 333198,
  [SMALL_STATE(7207)] = 333213,
  [SMALL_STATE(7208)] = 333228,
  [SMALL_STATE(7209)] = 333243,
  [SMALL_STATE(7210)] = 333258,
  [SMALL_STATE(7211)] = 333273,
  [SMALL_STATE(7212)] = 333288,
  [SMALL_STATE(7213)] = 333303,
  [SMALL_STATE(7214)] = 333318,
  [SMALL_STATE(7215)] = 333333,
  [SMALL_STATE(7216)] = 333348,
  [SMALL_STATE(7217)] = 333363,
  [SMALL_STATE(7218)] = 333378,
  [SMALL_STATE(7219)] = 333395,
  [SMALL_STATE(7220)] = 333410,
  [SMALL_STATE(7221)] = 333423,
  [SMALL_STATE(7222)] = 333438,
  [SMALL_STATE(7223)] = 333453,
  [SMALL_STATE(7224)] = 333468,
  [SMALL_STATE(7225)] = 333483,
  [SMALL_STATE(7226)] = 333498,
  [SMALL_STATE(7227)] = 333513,
  [SMALL_STATE(7228)] = 333528,
  [SMALL_STATE(7229)] = 333543,
  [SMALL_STATE(7230)] = 333558,
  [SMALL_STATE(7231)] = 333573,
  [SMALL_STATE(7232)] = 333588,
  [SMALL_STATE(7233)] = 333603,
  [SMALL_STATE(7234)] = 333618,
  [SMALL_STATE(7235)] = 333633,
  [SMALL_STATE(7236)] = 333648,
  [SMALL_STATE(7237)] = 333663,
  [SMALL_STATE(7238)] = 333678,
  [SMALL_STATE(7239)] = 333693,
  [SMALL_STATE(7240)] = 333708,
  [SMALL_STATE(7241)] = 333723,
  [SMALL_STATE(7242)] = 333738,
  [SMALL_STATE(7243)] = 333753,
  [SMALL_STATE(7244)] = 333768,
  [SMALL_STATE(7245)] = 333783,
  [SMALL_STATE(7246)] = 333798,
  [SMALL_STATE(7247)] = 333813,
  [SMALL_STATE(7248)] = 333824,
  [SMALL_STATE(7249)] = 333839,
  [SMALL_STATE(7250)] = 333854,
  [SMALL_STATE(7251)] = 333869,
  [SMALL_STATE(7252)] = 333884,
  [SMALL_STATE(7253)] = 333899,
  [SMALL_STATE(7254)] = 333914,
  [SMALL_STATE(7255)] = 333929,
  [SMALL_STATE(7256)] = 333944,
  [SMALL_STATE(7257)] = 333959,
  [SMALL_STATE(7258)] = 333974,
  [SMALL_STATE(7259)] = 333989,
  [SMALL_STATE(7260)] = 334004,
  [SMALL_STATE(7261)] = 334019,
  [SMALL_STATE(7262)] = 334034,
  [SMALL_STATE(7263)] = 334049,
  [SMALL_STATE(7264)] = 334064,
  [SMALL_STATE(7265)] = 334079,
  [SMALL_STATE(7266)] = 334094,
  [SMALL_STATE(7267)] = 334109,
  [SMALL_STATE(7268)] = 334124,
  [SMALL_STATE(7269)] = 334139,
  [SMALL_STATE(7270)] = 334154,
  [SMALL_STATE(7271)] = 334169,
  [SMALL_STATE(7272)] = 334184,
  [SMALL_STATE(7273)] = 334199,
  [SMALL_STATE(7274)] = 334214,
  [SMALL_STATE(7275)] = 334229,
  [SMALL_STATE(7276)] = 334244,
  [SMALL_STATE(7277)] = 334259,
  [SMALL_STATE(7278)] = 334274,
  [SMALL_STATE(7279)] = 334289,
  [SMALL_STATE(7280)] = 334304,
  [SMALL_STATE(7281)] = 334319,
  [SMALL_STATE(7282)] = 334334,
  [SMALL_STATE(7283)] = 334349,
  [SMALL_STATE(7284)] = 334364,
  [SMALL_STATE(7285)] = 334379,
  [SMALL_STATE(7286)] = 334394,
  [SMALL_STATE(7287)] = 334409,
  [SMALL_STATE(7288)] = 334424,
  [SMALL_STATE(7289)] = 334439,
  [SMALL_STATE(7290)] = 334454,
  [SMALL_STATE(7291)] = 334469,
  [SMALL_STATE(7292)] = 334484,
  [SMALL_STATE(7293)] = 334499,
  [SMALL_STATE(7294)] = 334514,
  [SMALL_STATE(7295)] = 334529,
  [SMALL_STATE(7296)] = 334544,
  [SMALL_STATE(7297)] = 334559,
  [SMALL_STATE(7298)] = 334574,
  [SMALL_STATE(7299)] = 334589,
  [SMALL_STATE(7300)] = 334604,
  [SMALL_STATE(7301)] = 334619,
  [SMALL_STATE(7302)] = 334634,
  [SMALL_STATE(7303)] = 334649,
  [SMALL_STATE(7304)] = 334664,
  [SMALL_STATE(7305)] = 334679,
  [SMALL_STATE(7306)] = 334694,
  [SMALL_STATE(7307)] = 334709,
  [SMALL_STATE(7308)] = 334724,
  [SMALL_STATE(7309)] = 334739,
  [SMALL_STATE(7310)] = 334754,
  [SMALL_STATE(7311)] = 334769,
  [SMALL_STATE(7312)] = 334784,
  [SMALL_STATE(7313)] = 334799,
  [SMALL_STATE(7314)] = 334816,
  [SMALL_STATE(7315)] = 334831,
  [SMALL_STATE(7316)] = 334846,
  [SMALL_STATE(7317)] = 334861,
  [SMALL_STATE(7318)] = 334876,
  [SMALL_STATE(7319)] = 334891,
  [SMALL_STATE(7320)] = 334906,
  [SMALL_STATE(7321)] = 334921,
  [SMALL_STATE(7322)] = 334936,
  [SMALL_STATE(7323)] = 334951,
  [SMALL_STATE(7324)] = 334966,
  [SMALL_STATE(7325)] = 334981,
  [SMALL_STATE(7326)] = 334996,
  [SMALL_STATE(7327)] = 335009,
  [SMALL_STATE(7328)] = 335024,
  [SMALL_STATE(7329)] = 335039,
  [SMALL_STATE(7330)] = 335054,
  [SMALL_STATE(7331)] = 335069,
  [SMALL_STATE(7332)] = 335084,
  [SMALL_STATE(7333)] = 335099,
  [SMALL_STATE(7334)] = 335114,
  [SMALL_STATE(7335)] = 335129,
  [SMALL_STATE(7336)] = 335144,
  [SMALL_STATE(7337)] = 335159,
  [SMALL_STATE(7338)] = 335174,
  [SMALL_STATE(7339)] = 335189,
  [SMALL_STATE(7340)] = 335204,
  [SMALL_STATE(7341)] = 335219,
  [SMALL_STATE(7342)] = 335234,
  [SMALL_STATE(7343)] = 335249,
  [SMALL_STATE(7344)] = 335264,
  [SMALL_STATE(7345)] = 335279,
  [SMALL_STATE(7346)] = 335294,
  [SMALL_STATE(7347)] = 335309,
  [SMALL_STATE(7348)] = 335324,
  [SMALL_STATE(7349)] = 335339,
  [SMALL_STATE(7350)] = 335354,
  [SMALL_STATE(7351)] = 335369,
  [SMALL_STATE(7352)] = 335384,
  [SMALL_STATE(7353)] = 335399,
  [SMALL_STATE(7354)] = 335414,
  [SMALL_STATE(7355)] = 335429,
  [SMALL_STATE(7356)] = 335444,
  [SMALL_STATE(7357)] = 335459,
  [SMALL_STATE(7358)] = 335474,
  [SMALL_STATE(7359)] = 335489,
  [SMALL_STATE(7360)] = 335504,
  [SMALL_STATE(7361)] = 335519,
  [SMALL_STATE(7362)] = 335534,
  [SMALL_STATE(7363)] = 335549,
  [SMALL_STATE(7364)] = 335564,
  [SMALL_STATE(7365)] = 335579,
  [SMALL_STATE(7366)] = 335594,
  [SMALL_STATE(7367)] = 335609,
  [SMALL_STATE(7368)] = 335624,
  [SMALL_STATE(7369)] = 335641,
  [SMALL_STATE(7370)] = 335656,
  [SMALL_STATE(7371)] = 335673,
  [SMALL_STATE(7372)] = 335688,
  [SMALL_STATE(7373)] = 335703,
  [SMALL_STATE(7374)] = 335718,
  [SMALL_STATE(7375)] = 335733,
  [SMALL_STATE(7376)] = 335748,
  [SMALL_STATE(7377)] = 335763,
  [SMALL_STATE(7378)] = 335778,
  [SMALL_STATE(7379)] = 335793,
  [SMALL_STATE(7380)] = 335810,
  [SMALL_STATE(7381)] = 335825,
  [SMALL_STATE(7382)] = 335840,
  [SMALL_STATE(7383)] = 335853,
  [SMALL_STATE(7384)] = 335868,
  [SMALL_STATE(7385)] = 335883,
  [SMALL_STATE(7386)] = 335898,
  [SMALL_STATE(7387)] = 335913,
  [SMALL_STATE(7388)] = 335928,
  [SMALL_STATE(7389)] = 335943,
  [SMALL_STATE(7390)] = 335958,
  [SMALL_STATE(7391)] = 335973,
  [SMALL_STATE(7392)] = 335988,
  [SMALL_STATE(7393)] = 336003,
  [SMALL_STATE(7394)] = 336018,
  [SMALL_STATE(7395)] = 336033,
  [SMALL_STATE(7396)] = 336048,
  [SMALL_STATE(7397)] = 336063,
  [SMALL_STATE(7398)] = 336078,
  [SMALL_STATE(7399)] = 336093,
  [SMALL_STATE(7400)] = 336108,
  [SMALL_STATE(7401)] = 336123,
  [SMALL_STATE(7402)] = 336138,
  [SMALL_STATE(7403)] = 336153,
  [SMALL_STATE(7404)] = 336168,
  [SMALL_STATE(7405)] = 336183,
  [SMALL_STATE(7406)] = 336198,
  [SMALL_STATE(7407)] = 336209,
  [SMALL_STATE(7408)] = 336222,
  [SMALL_STATE(7409)] = 336237,
  [SMALL_STATE(7410)] = 336252,
  [SMALL_STATE(7411)] = 336267,
  [SMALL_STATE(7412)] = 336282,
  [SMALL_STATE(7413)] = 336299,
  [SMALL_STATE(7414)] = 336314,
  [SMALL_STATE(7415)] = 336329,
  [SMALL_STATE(7416)] = 336344,
  [SMALL_STATE(7417)] = 336359,
  [SMALL_STATE(7418)] = 336374,
  [SMALL_STATE(7419)] = 336389,
  [SMALL_STATE(7420)] = 336406,
  [SMALL_STATE(7421)] = 336421,
  [SMALL_STATE(7422)] = 336436,
  [SMALL_STATE(7423)] = 336451,
  [SMALL_STATE(7424)] = 336466,
  [SMALL_STATE(7425)] = 336481,
  [SMALL_STATE(7426)] = 336496,
  [SMALL_STATE(7427)] = 336511,
  [SMALL_STATE(7428)] = 336526,
  [SMALL_STATE(7429)] = 336541,
  [SMALL_STATE(7430)] = 336556,
  [SMALL_STATE(7431)] = 336571,
  [SMALL_STATE(7432)] = 336586,
  [SMALL_STATE(7433)] = 336601,
  [SMALL_STATE(7434)] = 336616,
  [SMALL_STATE(7435)] = 336631,
  [SMALL_STATE(7436)] = 336646,
  [SMALL_STATE(7437)] = 336661,
  [SMALL_STATE(7438)] = 336676,
  [SMALL_STATE(7439)] = 336691,
  [SMALL_STATE(7440)] = 336708,
  [SMALL_STATE(7441)] = 336723,
  [SMALL_STATE(7442)] = 336738,
  [SMALL_STATE(7443)] = 336753,
  [SMALL_STATE(7444)] = 336768,
  [SMALL_STATE(7445)] = 336783,
  [SMALL_STATE(7446)] = 336798,
  [SMALL_STATE(7447)] = 336813,
  [SMALL_STATE(7448)] = 336828,
  [SMALL_STATE(7449)] = 336843,
  [SMALL_STATE(7450)] = 336858,
  [SMALL_STATE(7451)] = 336873,
  [SMALL_STATE(7452)] = 336888,
  [SMALL_STATE(7453)] = 336905,
  [SMALL_STATE(7454)] = 336920,
  [SMALL_STATE(7455)] = 336935,
  [SMALL_STATE(7456)] = 336950,
  [SMALL_STATE(7457)] = 336965,
  [SMALL_STATE(7458)] = 336980,
  [SMALL_STATE(7459)] = 336995,
  [SMALL_STATE(7460)] = 337010,
  [SMALL_STATE(7461)] = 337025,
  [SMALL_STATE(7462)] = 337040,
  [SMALL_STATE(7463)] = 337055,
  [SMALL_STATE(7464)] = 337070,
  [SMALL_STATE(7465)] = 337085,
  [SMALL_STATE(7466)] = 337100,
  [SMALL_STATE(7467)] = 337115,
  [SMALL_STATE(7468)] = 337130,
  [SMALL_STATE(7469)] = 337145,
  [SMALL_STATE(7470)] = 337160,
  [SMALL_STATE(7471)] = 337175,
  [SMALL_STATE(7472)] = 337190,
  [SMALL_STATE(7473)] = 337205,
  [SMALL_STATE(7474)] = 337220,
  [SMALL_STATE(7475)] = 337235,
  [SMALL_STATE(7476)] = 337250,
  [SMALL_STATE(7477)] = 337265,
  [SMALL_STATE(7478)] = 337280,
  [SMALL_STATE(7479)] = 337295,
  [SMALL_STATE(7480)] = 337310,
  [SMALL_STATE(7481)] = 337325,
  [SMALL_STATE(7482)] = 337340,
  [SMALL_STATE(7483)] = 337355,
  [SMALL_STATE(7484)] = 337370,
  [SMALL_STATE(7485)] = 337385,
  [SMALL_STATE(7486)] = 337400,
  [SMALL_STATE(7487)] = 337415,
  [SMALL_STATE(7488)] = 337430,
  [SMALL_STATE(7489)] = 337445,
  [SMALL_STATE(7490)] = 337460,
  [SMALL_STATE(7491)] = 337475,
  [SMALL_STATE(7492)] = 337492,
  [SMALL_STATE(7493)] = 337507,
  [SMALL_STATE(7494)] = 337522,
  [SMALL_STATE(7495)] = 337537,
  [SMALL_STATE(7496)] = 337552,
  [SMALL_STATE(7497)] = 337567,
  [SMALL_STATE(7498)] = 337582,
  [SMALL_STATE(7499)] = 337597,
  [SMALL_STATE(7500)] = 337612,
  [SMALL_STATE(7501)] = 337627,
  [SMALL_STATE(7502)] = 337642,
  [SMALL_STATE(7503)] = 337657,
  [SMALL_STATE(7504)] = 337672,
  [SMALL_STATE(7505)] = 337687,
  [SMALL_STATE(7506)] = 337704,
  [SMALL_STATE(7507)] = 337719,
  [SMALL_STATE(7508)] = 337734,
  [SMALL_STATE(7509)] = 337749,
  [SMALL_STATE(7510)] = 337764,
  [SMALL_STATE(7511)] = 337779,
  [SMALL_STATE(7512)] = 337794,
  [SMALL_STATE(7513)] = 337809,
  [SMALL_STATE(7514)] = 337824,
  [SMALL_STATE(7515)] = 337839,
  [SMALL_STATE(7516)] = 337850,
  [SMALL_STATE(7517)] = 337865,
  [SMALL_STATE(7518)] = 337880,
  [SMALL_STATE(7519)] = 337895,
  [SMALL_STATE(7520)] = 337910,
  [SMALL_STATE(7521)] = 337925,
  [SMALL_STATE(7522)] = 337940,
  [SMALL_STATE(7523)] = 337955,
  [SMALL_STATE(7524)] = 337968,
  [SMALL_STATE(7525)] = 337983,
  [SMALL_STATE(7526)] = 337998,
  [SMALL_STATE(7527)] = 338013,
  [SMALL_STATE(7528)] = 338028,
  [SMALL_STATE(7529)] = 338039,
  [SMALL_STATE(7530)] = 338054,
  [SMALL_STATE(7531)] = 338069,
  [SMALL_STATE(7532)] = 338084,
  [SMALL_STATE(7533)] = 338099,
  [SMALL_STATE(7534)] = 338114,
  [SMALL_STATE(7535)] = 338129,
  [SMALL_STATE(7536)] = 338144,
  [SMALL_STATE(7537)] = 338159,
  [SMALL_STATE(7538)] = 338174,
  [SMALL_STATE(7539)] = 338189,
  [SMALL_STATE(7540)] = 338204,
  [SMALL_STATE(7541)] = 338219,
  [SMALL_STATE(7542)] = 338234,
  [SMALL_STATE(7543)] = 338249,
  [SMALL_STATE(7544)] = 338264,
  [SMALL_STATE(7545)] = 338279,
  [SMALL_STATE(7546)] = 338294,
  [SMALL_STATE(7547)] = 338309,
  [SMALL_STATE(7548)] = 338324,
  [SMALL_STATE(7549)] = 338339,
  [SMALL_STATE(7550)] = 338354,
  [SMALL_STATE(7551)] = 338369,
  [SMALL_STATE(7552)] = 338386,
  [SMALL_STATE(7553)] = 338401,
  [SMALL_STATE(7554)] = 338416,
  [SMALL_STATE(7555)] = 338431,
  [SMALL_STATE(7556)] = 338446,
  [SMALL_STATE(7557)] = 338461,
  [SMALL_STATE(7558)] = 338476,
  [SMALL_STATE(7559)] = 338491,
  [SMALL_STATE(7560)] = 338506,
  [SMALL_STATE(7561)] = 338521,
  [SMALL_STATE(7562)] = 338532,
  [SMALL_STATE(7563)] = 338547,
  [SMALL_STATE(7564)] = 338562,
  [SMALL_STATE(7565)] = 338577,
  [SMALL_STATE(7566)] = 338592,
  [SMALL_STATE(7567)] = 338607,
  [SMALL_STATE(7568)] = 338622,
  [SMALL_STATE(7569)] = 338637,
  [SMALL_STATE(7570)] = 338652,
  [SMALL_STATE(7571)] = 338667,
  [SMALL_STATE(7572)] = 338682,
  [SMALL_STATE(7573)] = 338697,
  [SMALL_STATE(7574)] = 338712,
  [SMALL_STATE(7575)] = 338727,
  [SMALL_STATE(7576)] = 338744,
  [SMALL_STATE(7577)] = 338759,
  [SMALL_STATE(7578)] = 338774,
  [SMALL_STATE(7579)] = 338789,
  [SMALL_STATE(7580)] = 338804,
  [SMALL_STATE(7581)] = 338819,
  [SMALL_STATE(7582)] = 338834,
  [SMALL_STATE(7583)] = 338849,
  [SMALL_STATE(7584)] = 338864,
  [SMALL_STATE(7585)] = 338879,
  [SMALL_STATE(7586)] = 338894,
  [SMALL_STATE(7587)] = 338909,
  [SMALL_STATE(7588)] = 338922,
  [SMALL_STATE(7589)] = 338937,
  [SMALL_STATE(7590)] = 338952,
  [SMALL_STATE(7591)] = 338967,
  [SMALL_STATE(7592)] = 338982,
  [SMALL_STATE(7593)] = 338997,
  [SMALL_STATE(7594)] = 339012,
  [SMALL_STATE(7595)] = 339027,
  [SMALL_STATE(7596)] = 339042,
  [SMALL_STATE(7597)] = 339057,
  [SMALL_STATE(7598)] = 339072,
  [SMALL_STATE(7599)] = 339087,
  [SMALL_STATE(7600)] = 339102,
  [SMALL_STATE(7601)] = 339115,
  [SMALL_STATE(7602)] = 339130,
  [SMALL_STATE(7603)] = 339145,
  [SMALL_STATE(7604)] = 339160,
  [SMALL_STATE(7605)] = 339175,
  [SMALL_STATE(7606)] = 339190,
  [SMALL_STATE(7607)] = 339205,
  [SMALL_STATE(7608)] = 339220,
  [SMALL_STATE(7609)] = 339235,
  [SMALL_STATE(7610)] = 339250,
  [SMALL_STATE(7611)] = 339265,
  [SMALL_STATE(7612)] = 339280,
  [SMALL_STATE(7613)] = 339295,
  [SMALL_STATE(7614)] = 339310,
  [SMALL_STATE(7615)] = 339325,
  [SMALL_STATE(7616)] = 339340,
  [SMALL_STATE(7617)] = 339355,
  [SMALL_STATE(7618)] = 339370,
  [SMALL_STATE(7619)] = 339385,
  [SMALL_STATE(7620)] = 339400,
  [SMALL_STATE(7621)] = 339415,
  [SMALL_STATE(7622)] = 339430,
  [SMALL_STATE(7623)] = 339445,
  [SMALL_STATE(7624)] = 339460,
  [SMALL_STATE(7625)] = 339475,
  [SMALL_STATE(7626)] = 339490,
  [SMALL_STATE(7627)] = 339505,
  [SMALL_STATE(7628)] = 339520,
  [SMALL_STATE(7629)] = 339535,
  [SMALL_STATE(7630)] = 339550,
  [SMALL_STATE(7631)] = 339565,
  [SMALL_STATE(7632)] = 339580,
  [SMALL_STATE(7633)] = 339595,
  [SMALL_STATE(7634)] = 339610,
  [SMALL_STATE(7635)] = 339625,
  [SMALL_STATE(7636)] = 339640,
  [SMALL_STATE(7637)] = 339655,
  [SMALL_STATE(7638)] = 339670,
  [SMALL_STATE(7639)] = 339685,
  [SMALL_STATE(7640)] = 339700,
  [SMALL_STATE(7641)] = 339715,
  [SMALL_STATE(7642)] = 339730,
  [SMALL_STATE(7643)] = 339745,
  [SMALL_STATE(7644)] = 339760,
  [SMALL_STATE(7645)] = 339775,
  [SMALL_STATE(7646)] = 339790,
  [SMALL_STATE(7647)] = 339805,
  [SMALL_STATE(7648)] = 339820,
  [SMALL_STATE(7649)] = 339835,
  [SMALL_STATE(7650)] = 339846,
  [SMALL_STATE(7651)] = 339861,
  [SMALL_STATE(7652)] = 339876,
  [SMALL_STATE(7653)] = 339891,
  [SMALL_STATE(7654)] = 339906,
  [SMALL_STATE(7655)] = 339921,
  [SMALL_STATE(7656)] = 339936,
  [SMALL_STATE(7657)] = 339951,
  [SMALL_STATE(7658)] = 339966,
  [SMALL_STATE(7659)] = 339981,
  [SMALL_STATE(7660)] = 339996,
  [SMALL_STATE(7661)] = 340011,
  [SMALL_STATE(7662)] = 340026,
  [SMALL_STATE(7663)] = 340041,
  [SMALL_STATE(7664)] = 340056,
  [SMALL_STATE(7665)] = 340071,
  [SMALL_STATE(7666)] = 340084,
  [SMALL_STATE(7667)] = 340099,
  [SMALL_STATE(7668)] = 340114,
  [SMALL_STATE(7669)] = 340129,
  [SMALL_STATE(7670)] = 340144,
  [SMALL_STATE(7671)] = 340159,
  [SMALL_STATE(7672)] = 340174,
  [SMALL_STATE(7673)] = 340191,
  [SMALL_STATE(7674)] = 340206,
  [SMALL_STATE(7675)] = 340221,
  [SMALL_STATE(7676)] = 340234,
  [SMALL_STATE(7677)] = 340249,
  [SMALL_STATE(7678)] = 340264,
  [SMALL_STATE(7679)] = 340279,
  [SMALL_STATE(7680)] = 340290,
  [SMALL_STATE(7681)] = 340307,
  [SMALL_STATE(7682)] = 340322,
  [SMALL_STATE(7683)] = 340337,
  [SMALL_STATE(7684)] = 340352,
  [SMALL_STATE(7685)] = 340367,
  [SMALL_STATE(7686)] = 340382,
  [SMALL_STATE(7687)] = 340397,
  [SMALL_STATE(7688)] = 340412,
  [SMALL_STATE(7689)] = 340427,
  [SMALL_STATE(7690)] = 340442,
  [SMALL_STATE(7691)] = 340457,
  [SMALL_STATE(7692)] = 340474,
  [SMALL_STATE(7693)] = 340489,
  [SMALL_STATE(7694)] = 340504,
  [SMALL_STATE(7695)] = 340519,
  [SMALL_STATE(7696)] = 340534,
  [SMALL_STATE(7697)] = 340549,
  [SMALL_STATE(7698)] = 340564,
  [SMALL_STATE(7699)] = 340579,
  [SMALL_STATE(7700)] = 340594,
  [SMALL_STATE(7701)] = 340609,
  [SMALL_STATE(7702)] = 340626,
  [SMALL_STATE(7703)] = 340641,
  [SMALL_STATE(7704)] = 340656,
  [SMALL_STATE(7705)] = 340671,
  [SMALL_STATE(7706)] = 340686,
  [SMALL_STATE(7707)] = 340701,
  [SMALL_STATE(7708)] = 340718,
  [SMALL_STATE(7709)] = 340733,
  [SMALL_STATE(7710)] = 340748,
  [SMALL_STATE(7711)] = 340763,
  [SMALL_STATE(7712)] = 340778,
  [SMALL_STATE(7713)] = 340793,
  [SMALL_STATE(7714)] = 340804,
  [SMALL_STATE(7715)] = 340819,
  [SMALL_STATE(7716)] = 340834,
  [SMALL_STATE(7717)] = 340849,
  [SMALL_STATE(7718)] = 340864,
  [SMALL_STATE(7719)] = 340879,
  [SMALL_STATE(7720)] = 340894,
  [SMALL_STATE(7721)] = 340909,
  [SMALL_STATE(7722)] = 340924,
  [SMALL_STATE(7723)] = 340939,
  [SMALL_STATE(7724)] = 340954,
  [SMALL_STATE(7725)] = 340969,
  [SMALL_STATE(7726)] = 340984,
  [SMALL_STATE(7727)] = 340999,
  [SMALL_STATE(7728)] = 341014,
  [SMALL_STATE(7729)] = 341031,
  [SMALL_STATE(7730)] = 341046,
  [SMALL_STATE(7731)] = 341061,
  [SMALL_STATE(7732)] = 341076,
  [SMALL_STATE(7733)] = 341091,
  [SMALL_STATE(7734)] = 341106,
  [SMALL_STATE(7735)] = 341121,
  [SMALL_STATE(7736)] = 341136,
  [SMALL_STATE(7737)] = 341151,
  [SMALL_STATE(7738)] = 341166,
  [SMALL_STATE(7739)] = 341181,
  [SMALL_STATE(7740)] = 341196,
  [SMALL_STATE(7741)] = 341211,
  [SMALL_STATE(7742)] = 341226,
  [SMALL_STATE(7743)] = 341241,
  [SMALL_STATE(7744)] = 341256,
  [SMALL_STATE(7745)] = 341271,
  [SMALL_STATE(7746)] = 341286,
  [SMALL_STATE(7747)] = 341301,
  [SMALL_STATE(7748)] = 341316,
  [SMALL_STATE(7749)] = 341331,
  [SMALL_STATE(7750)] = 341346,
  [SMALL_STATE(7751)] = 341361,
  [SMALL_STATE(7752)] = 341376,
  [SMALL_STATE(7753)] = 341391,
  [SMALL_STATE(7754)] = 341406,
  [SMALL_STATE(7755)] = 341421,
  [SMALL_STATE(7756)] = 341436,
  [SMALL_STATE(7757)] = 341451,
  [SMALL_STATE(7758)] = 341466,
  [SMALL_STATE(7759)] = 341481,
  [SMALL_STATE(7760)] = 341496,
  [SMALL_STATE(7761)] = 341511,
  [SMALL_STATE(7762)] = 341526,
  [SMALL_STATE(7763)] = 341541,
  [SMALL_STATE(7764)] = 341556,
  [SMALL_STATE(7765)] = 341571,
  [SMALL_STATE(7766)] = 341588,
  [SMALL_STATE(7767)] = 341603,
  [SMALL_STATE(7768)] = 341618,
  [SMALL_STATE(7769)] = 341633,
  [SMALL_STATE(7770)] = 341648,
  [SMALL_STATE(7771)] = 341663,
  [SMALL_STATE(7772)] = 341678,
  [SMALL_STATE(7773)] = 341693,
  [SMALL_STATE(7774)] = 341708,
  [SMALL_STATE(7775)] = 341723,
  [SMALL_STATE(7776)] = 341738,
  [SMALL_STATE(7777)] = 341753,
  [SMALL_STATE(7778)] = 341768,
  [SMALL_STATE(7779)] = 341783,
  [SMALL_STATE(7780)] = 341798,
  [SMALL_STATE(7781)] = 341813,
  [SMALL_STATE(7782)] = 341828,
  [SMALL_STATE(7783)] = 341845,
  [SMALL_STATE(7784)] = 341860,
  [SMALL_STATE(7785)] = 341875,
  [SMALL_STATE(7786)] = 341890,
  [SMALL_STATE(7787)] = 341905,
  [SMALL_STATE(7788)] = 341920,
  [SMALL_STATE(7789)] = 341935,
  [SMALL_STATE(7790)] = 341950,
  [SMALL_STATE(7791)] = 341965,
  [SMALL_STATE(7792)] = 341980,
  [SMALL_STATE(7793)] = 341995,
  [SMALL_STATE(7794)] = 342010,
  [SMALL_STATE(7795)] = 342025,
  [SMALL_STATE(7796)] = 342040,
  [SMALL_STATE(7797)] = 342051,
  [SMALL_STATE(7798)] = 342066,
  [SMALL_STATE(7799)] = 342081,
  [SMALL_STATE(7800)] = 342096,
  [SMALL_STATE(7801)] = 342111,
  [SMALL_STATE(7802)] = 342126,
  [SMALL_STATE(7803)] = 342141,
  [SMALL_STATE(7804)] = 342156,
  [SMALL_STATE(7805)] = 342171,
  [SMALL_STATE(7806)] = 342186,
  [SMALL_STATE(7807)] = 342201,
  [SMALL_STATE(7808)] = 342216,
  [SMALL_STATE(7809)] = 342231,
  [SMALL_STATE(7810)] = 342246,
  [SMALL_STATE(7811)] = 342261,
  [SMALL_STATE(7812)] = 342276,
  [SMALL_STATE(7813)] = 342291,
  [SMALL_STATE(7814)] = 342306,
  [SMALL_STATE(7815)] = 342321,
  [SMALL_STATE(7816)] = 342336,
  [SMALL_STATE(7817)] = 342351,
  [SMALL_STATE(7818)] = 342366,
  [SMALL_STATE(7819)] = 342381,
  [SMALL_STATE(7820)] = 342396,
  [SMALL_STATE(7821)] = 342411,
  [SMALL_STATE(7822)] = 342426,
  [SMALL_STATE(7823)] = 342441,
  [SMALL_STATE(7824)] = 342456,
  [SMALL_STATE(7825)] = 342471,
  [SMALL_STATE(7826)] = 342486,
  [SMALL_STATE(7827)] = 342501,
  [SMALL_STATE(7828)] = 342516,
  [SMALL_STATE(7829)] = 342531,
  [SMALL_STATE(7830)] = 342546,
  [SMALL_STATE(7831)] = 342561,
  [SMALL_STATE(7832)] = 342576,
  [SMALL_STATE(7833)] = 342591,
  [SMALL_STATE(7834)] = 342606,
  [SMALL_STATE(7835)] = 342621,
  [SMALL_STATE(7836)] = 342636,
  [SMALL_STATE(7837)] = 342651,
  [SMALL_STATE(7838)] = 342666,
  [SMALL_STATE(7839)] = 342681,
  [SMALL_STATE(7840)] = 342696,
  [SMALL_STATE(7841)] = 342711,
  [SMALL_STATE(7842)] = 342728,
  [SMALL_STATE(7843)] = 342743,
  [SMALL_STATE(7844)] = 342758,
  [SMALL_STATE(7845)] = 342773,
  [SMALL_STATE(7846)] = 342788,
  [SMALL_STATE(7847)] = 342803,
  [SMALL_STATE(7848)] = 342818,
  [SMALL_STATE(7849)] = 342833,
  [SMALL_STATE(7850)] = 342846,
  [SMALL_STATE(7851)] = 342861,
  [SMALL_STATE(7852)] = 342876,
  [SMALL_STATE(7853)] = 342891,
  [SMALL_STATE(7854)] = 342906,
  [SMALL_STATE(7855)] = 342921,
  [SMALL_STATE(7856)] = 342936,
  [SMALL_STATE(7857)] = 342951,
  [SMALL_STATE(7858)] = 342966,
  [SMALL_STATE(7859)] = 342981,
  [SMALL_STATE(7860)] = 342996,
  [SMALL_STATE(7861)] = 343011,
  [SMALL_STATE(7862)] = 343026,
  [SMALL_STATE(7863)] = 343041,
  [SMALL_STATE(7864)] = 343056,
  [SMALL_STATE(7865)] = 343071,
  [SMALL_STATE(7866)] = 343088,
  [SMALL_STATE(7867)] = 343103,
  [SMALL_STATE(7868)] = 343118,
  [SMALL_STATE(7869)] = 343133,
  [SMALL_STATE(7870)] = 343148,
  [SMALL_STATE(7871)] = 343163,
  [SMALL_STATE(7872)] = 343178,
  [SMALL_STATE(7873)] = 343193,
  [SMALL_STATE(7874)] = 343208,
  [SMALL_STATE(7875)] = 343223,
  [SMALL_STATE(7876)] = 343238,
  [SMALL_STATE(7877)] = 343253,
  [SMALL_STATE(7878)] = 343268,
  [SMALL_STATE(7879)] = 343283,
  [SMALL_STATE(7880)] = 343298,
  [SMALL_STATE(7881)] = 343313,
  [SMALL_STATE(7882)] = 343328,
  [SMALL_STATE(7883)] = 343341,
  [SMALL_STATE(7884)] = 343356,
  [SMALL_STATE(7885)] = 343371,
  [SMALL_STATE(7886)] = 343386,
  [SMALL_STATE(7887)] = 343401,
  [SMALL_STATE(7888)] = 343416,
  [SMALL_STATE(7889)] = 343431,
  [SMALL_STATE(7890)] = 343446,
  [SMALL_STATE(7891)] = 343461,
  [SMALL_STATE(7892)] = 343476,
  [SMALL_STATE(7893)] = 343491,
  [SMALL_STATE(7894)] = 343506,
  [SMALL_STATE(7895)] = 343521,
  [SMALL_STATE(7896)] = 343536,
  [SMALL_STATE(7897)] = 343551,
  [SMALL_STATE(7898)] = 343566,
  [SMALL_STATE(7899)] = 343581,
  [SMALL_STATE(7900)] = 343596,
  [SMALL_STATE(7901)] = 343611,
  [SMALL_STATE(7902)] = 343626,
  [SMALL_STATE(7903)] = 343641,
  [SMALL_STATE(7904)] = 343656,
  [SMALL_STATE(7905)] = 343671,
  [SMALL_STATE(7906)] = 343686,
  [SMALL_STATE(7907)] = 343701,
  [SMALL_STATE(7908)] = 343716,
  [SMALL_STATE(7909)] = 343731,
  [SMALL_STATE(7910)] = 343746,
  [SMALL_STATE(7911)] = 343761,
  [SMALL_STATE(7912)] = 343776,
  [SMALL_STATE(7913)] = 343791,
  [SMALL_STATE(7914)] = 343806,
  [SMALL_STATE(7915)] = 343821,
  [SMALL_STATE(7916)] = 343836,
  [SMALL_STATE(7917)] = 343851,
  [SMALL_STATE(7918)] = 343866,
  [SMALL_STATE(7919)] = 343881,
  [SMALL_STATE(7920)] = 343896,
  [SMALL_STATE(7921)] = 343911,
  [SMALL_STATE(7922)] = 343926,
  [SMALL_STATE(7923)] = 343941,
  [SMALL_STATE(7924)] = 343956,
  [SMALL_STATE(7925)] = 343971,
  [SMALL_STATE(7926)] = 343986,
  [SMALL_STATE(7927)] = 344001,
  [SMALL_STATE(7928)] = 344016,
  [SMALL_STATE(7929)] = 344031,
  [SMALL_STATE(7930)] = 344044,
  [SMALL_STATE(7931)] = 344059,
  [SMALL_STATE(7932)] = 344074,
  [SMALL_STATE(7933)] = 344089,
  [SMALL_STATE(7934)] = 344104,
  [SMALL_STATE(7935)] = 344119,
  [SMALL_STATE(7936)] = 344134,
  [SMALL_STATE(7937)] = 344149,
  [SMALL_STATE(7938)] = 344164,
  [SMALL_STATE(7939)] = 344181,
  [SMALL_STATE(7940)] = 344196,
  [SMALL_STATE(7941)] = 344211,
  [SMALL_STATE(7942)] = 344226,
  [SMALL_STATE(7943)] = 344241,
  [SMALL_STATE(7944)] = 344256,
  [SMALL_STATE(7945)] = 344271,
  [SMALL_STATE(7946)] = 344283,
  [SMALL_STATE(7947)] = 344295,
  [SMALL_STATE(7948)] = 344307,
  [SMALL_STATE(7949)] = 344319,
  [SMALL_STATE(7950)] = 344329,
  [SMALL_STATE(7951)] = 344341,
  [SMALL_STATE(7952)] = 344351,
  [SMALL_STATE(7953)] = 344363,
  [SMALL_STATE(7954)] = 344375,
  [SMALL_STATE(7955)] = 344387,
  [SMALL_STATE(7956)] = 344399,
  [SMALL_STATE(7957)] = 344411,
  [SMALL_STATE(7958)] = 344423,
  [SMALL_STATE(7959)] = 344435,
  [SMALL_STATE(7960)] = 344447,
  [SMALL_STATE(7961)] = 344459,
  [SMALL_STATE(7962)] = 344471,
  [SMALL_STATE(7963)] = 344483,
  [SMALL_STATE(7964)] = 344495,
  [SMALL_STATE(7965)] = 344507,
  [SMALL_STATE(7966)] = 344519,
  [SMALL_STATE(7967)] = 344529,
  [SMALL_STATE(7968)] = 344541,
  [SMALL_STATE(7969)] = 344553,
  [SMALL_STATE(7970)] = 344565,
  [SMALL_STATE(7971)] = 344577,
  [SMALL_STATE(7972)] = 344589,
  [SMALL_STATE(7973)] = 344601,
  [SMALL_STATE(7974)] = 344611,
  [SMALL_STATE(7975)] = 344621,
  [SMALL_STATE(7976)] = 344633,
  [SMALL_STATE(7977)] = 344645,
  [SMALL_STATE(7978)] = 344657,
  [SMALL_STATE(7979)] = 344669,
  [SMALL_STATE(7980)] = 344679,
  [SMALL_STATE(7981)] = 344691,
  [SMALL_STATE(7982)] = 344703,
  [SMALL_STATE(7983)] = 344715,
  [SMALL_STATE(7984)] = 344725,
  [SMALL_STATE(7985)] = 344737,
  [SMALL_STATE(7986)] = 344749,
  [SMALL_STATE(7987)] = 344761,
  [SMALL_STATE(7988)] = 344771,
  [SMALL_STATE(7989)] = 344783,
  [SMALL_STATE(7990)] = 344795,
  [SMALL_STATE(7991)] = 344805,
  [SMALL_STATE(7992)] = 344817,
  [SMALL_STATE(7993)] = 344829,
  [SMALL_STATE(7994)] = 344841,
  [SMALL_STATE(7995)] = 344851,
  [SMALL_STATE(7996)] = 344863,
  [SMALL_STATE(7997)] = 344875,
  [SMALL_STATE(7998)] = 344889,
  [SMALL_STATE(7999)] = 344899,
  [SMALL_STATE(8000)] = 344911,
  [SMALL_STATE(8001)] = 344923,
  [SMALL_STATE(8002)] = 344935,
  [SMALL_STATE(8003)] = 344947,
  [SMALL_STATE(8004)] = 344959,
  [SMALL_STATE(8005)] = 344969,
  [SMALL_STATE(8006)] = 344979,
  [SMALL_STATE(8007)] = 344991,
  [SMALL_STATE(8008)] = 345003,
  [SMALL_STATE(8009)] = 345015,
  [SMALL_STATE(8010)] = 345027,
  [SMALL_STATE(8011)] = 345039,
  [SMALL_STATE(8012)] = 345051,
  [SMALL_STATE(8013)] = 345063,
  [SMALL_STATE(8014)] = 345073,
  [SMALL_STATE(8015)] = 345083,
  [SMALL_STATE(8016)] = 345095,
  [SMALL_STATE(8017)] = 345105,
  [SMALL_STATE(8018)] = 345115,
  [SMALL_STATE(8019)] = 345125,
  [SMALL_STATE(8020)] = 345137,
  [SMALL_STATE(8021)] = 345147,
  [SMALL_STATE(8022)] = 345157,
  [SMALL_STATE(8023)] = 345167,
  [SMALL_STATE(8024)] = 345179,
  [SMALL_STATE(8025)] = 345191,
  [SMALL_STATE(8026)] = 345203,
  [SMALL_STATE(8027)] = 345215,
  [SMALL_STATE(8028)] = 345227,
  [SMALL_STATE(8029)] = 345239,
  [SMALL_STATE(8030)] = 345251,
  [SMALL_STATE(8031)] = 345263,
  [SMALL_STATE(8032)] = 345275,
  [SMALL_STATE(8033)] = 345287,
  [SMALL_STATE(8034)] = 345299,
  [SMALL_STATE(8035)] = 345311,
  [SMALL_STATE(8036)] = 345323,
  [SMALL_STATE(8037)] = 345335,
  [SMALL_STATE(8038)] = 345345,
  [SMALL_STATE(8039)] = 345357,
  [SMALL_STATE(8040)] = 345369,
  [SMALL_STATE(8041)] = 345381,
  [SMALL_STATE(8042)] = 345393,
  [SMALL_STATE(8043)] = 345403,
  [SMALL_STATE(8044)] = 345415,
  [SMALL_STATE(8045)] = 345427,
  [SMALL_STATE(8046)] = 345439,
  [SMALL_STATE(8047)] = 345451,
  [SMALL_STATE(8048)] = 345463,
  [SMALL_STATE(8049)] = 345475,
  [SMALL_STATE(8050)] = 345487,
  [SMALL_STATE(8051)] = 345499,
  [SMALL_STATE(8052)] = 345511,
  [SMALL_STATE(8053)] = 345523,
  [SMALL_STATE(8054)] = 345533,
  [SMALL_STATE(8055)] = 345545,
  [SMALL_STATE(8056)] = 345557,
  [SMALL_STATE(8057)] = 345569,
  [SMALL_STATE(8058)] = 345581,
  [SMALL_STATE(8059)] = 345593,
  [SMALL_STATE(8060)] = 345605,
  [SMALL_STATE(8061)] = 345617,
  [SMALL_STATE(8062)] = 345629,
  [SMALL_STATE(8063)] = 345641,
  [SMALL_STATE(8064)] = 345653,
  [SMALL_STATE(8065)] = 345665,
  [SMALL_STATE(8066)] = 345677,
  [SMALL_STATE(8067)] = 345689,
  [SMALL_STATE(8068)] = 345703,
  [SMALL_STATE(8069)] = 345715,
  [SMALL_STATE(8070)] = 345727,
  [SMALL_STATE(8071)] = 345739,
  [SMALL_STATE(8072)] = 345751,
  [SMALL_STATE(8073)] = 345763,
  [SMALL_STATE(8074)] = 345777,
  [SMALL_STATE(8075)] = 345789,
  [SMALL_STATE(8076)] = 345801,
  [SMALL_STATE(8077)] = 345813,
  [SMALL_STATE(8078)] = 345825,
  [SMALL_STATE(8079)] = 345837,
  [SMALL_STATE(8080)] = 345849,
  [SMALL_STATE(8081)] = 345861,
  [SMALL_STATE(8082)] = 345873,
  [SMALL_STATE(8083)] = 345885,
  [SMALL_STATE(8084)] = 345897,
  [SMALL_STATE(8085)] = 345909,
  [SMALL_STATE(8086)] = 345921,
  [SMALL_STATE(8087)] = 345933,
  [SMALL_STATE(8088)] = 345945,
  [SMALL_STATE(8089)] = 345957,
  [SMALL_STATE(8090)] = 345969,
  [SMALL_STATE(8091)] = 345981,
  [SMALL_STATE(8092)] = 345995,
  [SMALL_STATE(8093)] = 346007,
  [SMALL_STATE(8094)] = 346019,
  [SMALL_STATE(8095)] = 346031,
  [SMALL_STATE(8096)] = 346043,
  [SMALL_STATE(8097)] = 346053,
  [SMALL_STATE(8098)] = 346065,
  [SMALL_STATE(8099)] = 346075,
  [SMALL_STATE(8100)] = 346087,
  [SMALL_STATE(8101)] = 346099,
  [SMALL_STATE(8102)] = 346113,
  [SMALL_STATE(8103)] = 346125,
  [SMALL_STATE(8104)] = 346137,
  [SMALL_STATE(8105)] = 346149,
  [SMALL_STATE(8106)] = 346159,
  [SMALL_STATE(8107)] = 346171,
  [SMALL_STATE(8108)] = 346183,
  [SMALL_STATE(8109)] = 346195,
  [SMALL_STATE(8110)] = 346207,
  [SMALL_STATE(8111)] = 346219,
  [SMALL_STATE(8112)] = 346231,
  [SMALL_STATE(8113)] = 346245,
  [SMALL_STATE(8114)] = 346257,
  [SMALL_STATE(8115)] = 346269,
  [SMALL_STATE(8116)] = 346281,
  [SMALL_STATE(8117)] = 346293,
  [SMALL_STATE(8118)] = 346305,
  [SMALL_STATE(8119)] = 346317,
  [SMALL_STATE(8120)] = 346327,
  [SMALL_STATE(8121)] = 346339,
  [SMALL_STATE(8122)] = 346351,
  [SMALL_STATE(8123)] = 346363,
  [SMALL_STATE(8124)] = 346375,
  [SMALL_STATE(8125)] = 346387,
  [SMALL_STATE(8126)] = 346399,
  [SMALL_STATE(8127)] = 346411,
  [SMALL_STATE(8128)] = 346423,
  [SMALL_STATE(8129)] = 346437,
  [SMALL_STATE(8130)] = 346449,
  [SMALL_STATE(8131)] = 346461,
  [SMALL_STATE(8132)] = 346473,
  [SMALL_STATE(8133)] = 346485,
  [SMALL_STATE(8134)] = 346497,
  [SMALL_STATE(8135)] = 346509,
  [SMALL_STATE(8136)] = 346521,
  [SMALL_STATE(8137)] = 346533,
  [SMALL_STATE(8138)] = 346545,
  [SMALL_STATE(8139)] = 346557,
  [SMALL_STATE(8140)] = 346569,
  [SMALL_STATE(8141)] = 346581,
  [SMALL_STATE(8142)] = 346593,
  [SMALL_STATE(8143)] = 346605,
  [SMALL_STATE(8144)] = 346619,
  [SMALL_STATE(8145)] = 346631,
  [SMALL_STATE(8146)] = 346641,
  [SMALL_STATE(8147)] = 346653,
  [SMALL_STATE(8148)] = 346665,
  [SMALL_STATE(8149)] = 346677,
  [SMALL_STATE(8150)] = 346689,
  [SMALL_STATE(8151)] = 346701,
  [SMALL_STATE(8152)] = 346713,
  [SMALL_STATE(8153)] = 346725,
  [SMALL_STATE(8154)] = 346737,
  [SMALL_STATE(8155)] = 346749,
  [SMALL_STATE(8156)] = 346763,
  [SMALL_STATE(8157)] = 346777,
  [SMALL_STATE(8158)] = 346789,
  [SMALL_STATE(8159)] = 346801,
  [SMALL_STATE(8160)] = 346813,
  [SMALL_STATE(8161)] = 346825,
  [SMALL_STATE(8162)] = 346837,
  [SMALL_STATE(8163)] = 346847,
  [SMALL_STATE(8164)] = 346859,
  [SMALL_STATE(8165)] = 346871,
  [SMALL_STATE(8166)] = 346885,
  [SMALL_STATE(8167)] = 346897,
  [SMALL_STATE(8168)] = 346909,
  [SMALL_STATE(8169)] = 346919,
  [SMALL_STATE(8170)] = 346931,
  [SMALL_STATE(8171)] = 346943,
  [SMALL_STATE(8172)] = 346955,
  [SMALL_STATE(8173)] = 346969,
  [SMALL_STATE(8174)] = 346981,
  [SMALL_STATE(8175)] = 346993,
  [SMALL_STATE(8176)] = 347002,
  [SMALL_STATE(8177)] = 347011,
  [SMALL_STATE(8178)] = 347020,
  [SMALL_STATE(8179)] = 347029,
  [SMALL_STATE(8180)] = 347038,
  [SMALL_STATE(8181)] = 347047,
  [SMALL_STATE(8182)] = 347056,
  [SMALL_STATE(8183)] = 347065,
  [SMALL_STATE(8184)] = 347074,
  [SMALL_STATE(8185)] = 347083,
  [SMALL_STATE(8186)] = 347092,
  [SMALL_STATE(8187)] = 347101,
  [SMALL_STATE(8188)] = 347110,
  [SMALL_STATE(8189)] = 347119,
  [SMALL_STATE(8190)] = 347128,
  [SMALL_STATE(8191)] = 347137,
  [SMALL_STATE(8192)] = 347146,
  [SMALL_STATE(8193)] = 347155,
  [SMALL_STATE(8194)] = 347164,
  [SMALL_STATE(8195)] = 347173,
  [SMALL_STATE(8196)] = 347182,
  [SMALL_STATE(8197)] = 347191,
  [SMALL_STATE(8198)] = 347200,
  [SMALL_STATE(8199)] = 347209,
  [SMALL_STATE(8200)] = 347218,
  [SMALL_STATE(8201)] = 347227,
  [SMALL_STATE(8202)] = 347236,
  [SMALL_STATE(8203)] = 347245,
  [SMALL_STATE(8204)] = 347254,
  [SMALL_STATE(8205)] = 347263,
  [SMALL_STATE(8206)] = 347272,
  [SMALL_STATE(8207)] = 347281,
  [SMALL_STATE(8208)] = 347290,
  [SMALL_STATE(8209)] = 347299,
  [SMALL_STATE(8210)] = 347308,
  [SMALL_STATE(8211)] = 347317,
  [SMALL_STATE(8212)] = 347326,
  [SMALL_STATE(8213)] = 347335,
  [SMALL_STATE(8214)] = 347344,
  [SMALL_STATE(8215)] = 347353,
  [SMALL_STATE(8216)] = 347362,
  [SMALL_STATE(8217)] = 347371,
  [SMALL_STATE(8218)] = 347380,
  [SMALL_STATE(8219)] = 347389,
  [SMALL_STATE(8220)] = 347398,
  [SMALL_STATE(8221)] = 347407,
  [SMALL_STATE(8222)] = 347416,
  [SMALL_STATE(8223)] = 347425,
  [SMALL_STATE(8224)] = 347434,
  [SMALL_STATE(8225)] = 347443,
  [SMALL_STATE(8226)] = 347452,
  [SMALL_STATE(8227)] = 347461,
  [SMALL_STATE(8228)] = 347470,
  [SMALL_STATE(8229)] = 347479,
  [SMALL_STATE(8230)] = 347488,
  [SMALL_STATE(8231)] = 347497,
  [SMALL_STATE(8232)] = 347506,
  [SMALL_STATE(8233)] = 347515,
  [SMALL_STATE(8234)] = 347524,
  [SMALL_STATE(8235)] = 347533,
  [SMALL_STATE(8236)] = 347542,
  [SMALL_STATE(8237)] = 347551,
  [SMALL_STATE(8238)] = 347560,
  [SMALL_STATE(8239)] = 347569,
  [SMALL_STATE(8240)] = 347578,
  [SMALL_STATE(8241)] = 347587,
  [SMALL_STATE(8242)] = 347596,
  [SMALL_STATE(8243)] = 347605,
  [SMALL_STATE(8244)] = 347614,
  [SMALL_STATE(8245)] = 347623,
  [SMALL_STATE(8246)] = 347632,
  [SMALL_STATE(8247)] = 347641,
  [SMALL_STATE(8248)] = 347650,
  [SMALL_STATE(8249)] = 347659,
  [SMALL_STATE(8250)] = 347668,
  [SMALL_STATE(8251)] = 347677,
  [SMALL_STATE(8252)] = 347686,
  [SMALL_STATE(8253)] = 347695,
  [SMALL_STATE(8254)] = 347704,
  [SMALL_STATE(8255)] = 347713,
  [SMALL_STATE(8256)] = 347722,
  [SMALL_STATE(8257)] = 347731,
  [SMALL_STATE(8258)] = 347740,
  [SMALL_STATE(8259)] = 347749,
  [SMALL_STATE(8260)] = 347758,
  [SMALL_STATE(8261)] = 347767,
  [SMALL_STATE(8262)] = 347776,
  [SMALL_STATE(8263)] = 347785,
  [SMALL_STATE(8264)] = 347794,
  [SMALL_STATE(8265)] = 347803,
  [SMALL_STATE(8266)] = 347812,
  [SMALL_STATE(8267)] = 347821,
  [SMALL_STATE(8268)] = 347830,
  [SMALL_STATE(8269)] = 347839,
  [SMALL_STATE(8270)] = 347848,
  [SMALL_STATE(8271)] = 347857,
  [SMALL_STATE(8272)] = 347866,
  [SMALL_STATE(8273)] = 347875,
  [SMALL_STATE(8274)] = 347884,
  [SMALL_STATE(8275)] = 347893,
  [SMALL_STATE(8276)] = 347902,
  [SMALL_STATE(8277)] = 347911,
  [SMALL_STATE(8278)] = 347920,
  [SMALL_STATE(8279)] = 347929,
  [SMALL_STATE(8280)] = 347938,
  [SMALL_STATE(8281)] = 347947,
  [SMALL_STATE(8282)] = 347956,
  [SMALL_STATE(8283)] = 347965,
  [SMALL_STATE(8284)] = 347974,
  [SMALL_STATE(8285)] = 347983,
  [SMALL_STATE(8286)] = 347992,
  [SMALL_STATE(8287)] = 348001,
  [SMALL_STATE(8288)] = 348010,
  [SMALL_STATE(8289)] = 348019,
  [SMALL_STATE(8290)] = 348028,
  [SMALL_STATE(8291)] = 348037,
  [SMALL_STATE(8292)] = 348046,
  [SMALL_STATE(8293)] = 348055,
  [SMALL_STATE(8294)] = 348064,
  [SMALL_STATE(8295)] = 348073,
  [SMALL_STATE(8296)] = 348082,
  [SMALL_STATE(8297)] = 348091,
  [SMALL_STATE(8298)] = 348100,
  [SMALL_STATE(8299)] = 348109,
  [SMALL_STATE(8300)] = 348118,
  [SMALL_STATE(8301)] = 348127,
  [SMALL_STATE(8302)] = 348136,
  [SMALL_STATE(8303)] = 348145,
  [SMALL_STATE(8304)] = 348154,
  [SMALL_STATE(8305)] = 348163,
  [SMALL_STATE(8306)] = 348172,
  [SMALL_STATE(8307)] = 348181,
  [SMALL_STATE(8308)] = 348190,
  [SMALL_STATE(8309)] = 348199,
  [SMALL_STATE(8310)] = 348208,
  [SMALL_STATE(8311)] = 348217,
  [SMALL_STATE(8312)] = 348226,
  [SMALL_STATE(8313)] = 348235,
  [SMALL_STATE(8314)] = 348244,
  [SMALL_STATE(8315)] = 348253,
  [SMALL_STATE(8316)] = 348262,
  [SMALL_STATE(8317)] = 348271,
  [SMALL_STATE(8318)] = 348280,
  [SMALL_STATE(8319)] = 348289,
  [SMALL_STATE(8320)] = 348298,
  [SMALL_STATE(8321)] = 348307,
  [SMALL_STATE(8322)] = 348316,
  [SMALL_STATE(8323)] = 348325,
  [SMALL_STATE(8324)] = 348334,
  [SMALL_STATE(8325)] = 348343,
  [SMALL_STATE(8326)] = 348352,
  [SMALL_STATE(8327)] = 348361,
  [SMALL_STATE(8328)] = 348370,
  [SMALL_STATE(8329)] = 348379,
  [SMALL_STATE(8330)] = 348388,
  [SMALL_STATE(8331)] = 348397,
  [SMALL_STATE(8332)] = 348406,
  [SMALL_STATE(8333)] = 348415,
  [SMALL_STATE(8334)] = 348424,
  [SMALL_STATE(8335)] = 348433,
  [SMALL_STATE(8336)] = 348442,
  [SMALL_STATE(8337)] = 348451,
  [SMALL_STATE(8338)] = 348460,
  [SMALL_STATE(8339)] = 348469,
  [SMALL_STATE(8340)] = 348478,
  [SMALL_STATE(8341)] = 348487,
  [SMALL_STATE(8342)] = 348496,
  [SMALL_STATE(8343)] = 348505,
  [SMALL_STATE(8344)] = 348514,
  [SMALL_STATE(8345)] = 348523,
  [SMALL_STATE(8346)] = 348532,
  [SMALL_STATE(8347)] = 348541,
  [SMALL_STATE(8348)] = 348550,
  [SMALL_STATE(8349)] = 348559,
  [SMALL_STATE(8350)] = 348568,
  [SMALL_STATE(8351)] = 348577,
  [SMALL_STATE(8352)] = 348586,
  [SMALL_STATE(8353)] = 348595,
  [SMALL_STATE(8354)] = 348604,
  [SMALL_STATE(8355)] = 348613,
  [SMALL_STATE(8356)] = 348622,
  [SMALL_STATE(8357)] = 348631,
  [SMALL_STATE(8358)] = 348640,
  [SMALL_STATE(8359)] = 348649,
  [SMALL_STATE(8360)] = 348658,
  [SMALL_STATE(8361)] = 348667,
  [SMALL_STATE(8362)] = 348676,
  [SMALL_STATE(8363)] = 348685,
  [SMALL_STATE(8364)] = 348694,
  [SMALL_STATE(8365)] = 348703,
  [SMALL_STATE(8366)] = 348712,
  [SMALL_STATE(8367)] = 348721,
  [SMALL_STATE(8368)] = 348730,
  [SMALL_STATE(8369)] = 348739,
  [SMALL_STATE(8370)] = 348748,
  [SMALL_STATE(8371)] = 348757,
  [SMALL_STATE(8372)] = 348766,
  [SMALL_STATE(8373)] = 348775,
  [SMALL_STATE(8374)] = 348784,
  [SMALL_STATE(8375)] = 348793,
  [SMALL_STATE(8376)] = 348802,
  [SMALL_STATE(8377)] = 348811,
  [SMALL_STATE(8378)] = 348820,
  [SMALL_STATE(8379)] = 348829,
  [SMALL_STATE(8380)] = 348838,
  [SMALL_STATE(8381)] = 348847,
  [SMALL_STATE(8382)] = 348856,
  [SMALL_STATE(8383)] = 348865,
  [SMALL_STATE(8384)] = 348874,
  [SMALL_STATE(8385)] = 348883,
  [SMALL_STATE(8386)] = 348892,
  [SMALL_STATE(8387)] = 348901,
  [SMALL_STATE(8388)] = 348910,
  [SMALL_STATE(8389)] = 348919,
  [SMALL_STATE(8390)] = 348928,
  [SMALL_STATE(8391)] = 348937,
  [SMALL_STATE(8392)] = 348946,
  [SMALL_STATE(8393)] = 348955,
  [SMALL_STATE(8394)] = 348964,
  [SMALL_STATE(8395)] = 348973,
  [SMALL_STATE(8396)] = 348982,
  [SMALL_STATE(8397)] = 348991,
  [SMALL_STATE(8398)] = 349000,
  [SMALL_STATE(8399)] = 349009,
  [SMALL_STATE(8400)] = 349018,
  [SMALL_STATE(8401)] = 349027,
  [SMALL_STATE(8402)] = 349036,
  [SMALL_STATE(8403)] = 349045,
  [SMALL_STATE(8404)] = 349054,
  [SMALL_STATE(8405)] = 349063,
  [SMALL_STATE(8406)] = 349072,
  [SMALL_STATE(8407)] = 349081,
  [SMALL_STATE(8408)] = 349090,
  [SMALL_STATE(8409)] = 349099,
  [SMALL_STATE(8410)] = 349108,
  [SMALL_STATE(8411)] = 349117,
  [SMALL_STATE(8412)] = 349126,
  [SMALL_STATE(8413)] = 349135,
  [SMALL_STATE(8414)] = 349144,
  [SMALL_STATE(8415)] = 349153,
  [SMALL_STATE(8416)] = 349162,
  [SMALL_STATE(8417)] = 349171,
  [SMALL_STATE(8418)] = 349180,
  [SMALL_STATE(8419)] = 349189,
  [SMALL_STATE(8420)] = 349198,
  [SMALL_STATE(8421)] = 349207,
  [SMALL_STATE(8422)] = 349216,
  [SMALL_STATE(8423)] = 349225,
  [SMALL_STATE(8424)] = 349234,
  [SMALL_STATE(8425)] = 349243,
  [SMALL_STATE(8426)] = 349252,
  [SMALL_STATE(8427)] = 349261,
  [SMALL_STATE(8428)] = 349270,
  [SMALL_STATE(8429)] = 349279,
  [SMALL_STATE(8430)] = 349288,
  [SMALL_STATE(8431)] = 349297,
  [SMALL_STATE(8432)] = 349306,
  [SMALL_STATE(8433)] = 349315,
  [SMALL_STATE(8434)] = 349324,
  [SMALL_STATE(8435)] = 349333,
  [SMALL_STATE(8436)] = 349342,
  [SMALL_STATE(8437)] = 349351,
  [SMALL_STATE(8438)] = 349360,
  [SMALL_STATE(8439)] = 349369,
  [SMALL_STATE(8440)] = 349378,
  [SMALL_STATE(8441)] = 349387,
  [SMALL_STATE(8442)] = 349396,
  [SMALL_STATE(8443)] = 349405,
  [SMALL_STATE(8444)] = 349414,
  [SMALL_STATE(8445)] = 349423,
  [SMALL_STATE(8446)] = 349432,
  [SMALL_STATE(8447)] = 349441,
  [SMALL_STATE(8448)] = 349450,
  [SMALL_STATE(8449)] = 349459,
  [SMALL_STATE(8450)] = 349468,
  [SMALL_STATE(8451)] = 349477,
  [SMALL_STATE(8452)] = 349486,
  [SMALL_STATE(8453)] = 349495,
  [SMALL_STATE(8454)] = 349504,
  [SMALL_STATE(8455)] = 349513,
  [SMALL_STATE(8456)] = 349522,
  [SMALL_STATE(8457)] = 349531,
  [SMALL_STATE(8458)] = 349540,
  [SMALL_STATE(8459)] = 349549,
  [SMALL_STATE(8460)] = 349558,
  [SMALL_STATE(8461)] = 349567,
  [SMALL_STATE(8462)] = 349576,
  [SMALL_STATE(8463)] = 349585,
  [SMALL_STATE(8464)] = 349594,
  [SMALL_STATE(8465)] = 349603,
  [SMALL_STATE(8466)] = 349612,
  [SMALL_STATE(8467)] = 349621,
  [SMALL_STATE(8468)] = 349630,
  [SMALL_STATE(8469)] = 349639,
  [SMALL_STATE(8470)] = 349648,
  [SMALL_STATE(8471)] = 349657,
  [SMALL_STATE(8472)] = 349666,
  [SMALL_STATE(8473)] = 349675,
  [SMALL_STATE(8474)] = 349684,
  [SMALL_STATE(8475)] = 349693,
  [SMALL_STATE(8476)] = 349702,
  [SMALL_STATE(8477)] = 349711,
  [SMALL_STATE(8478)] = 349720,
  [SMALL_STATE(8479)] = 349729,
  [SMALL_STATE(8480)] = 349738,
  [SMALL_STATE(8481)] = 349747,
  [SMALL_STATE(8482)] = 349756,
  [SMALL_STATE(8483)] = 349765,
  [SMALL_STATE(8484)] = 349774,
  [SMALL_STATE(8485)] = 349783,
  [SMALL_STATE(8486)] = 349792,
  [SMALL_STATE(8487)] = 349801,
  [SMALL_STATE(8488)] = 349810,
  [SMALL_STATE(8489)] = 349819,
  [SMALL_STATE(8490)] = 349828,
  [SMALL_STATE(8491)] = 349837,
  [SMALL_STATE(8492)] = 349846,
  [SMALL_STATE(8493)] = 349855,
  [SMALL_STATE(8494)] = 349864,
  [SMALL_STATE(8495)] = 349873,
  [SMALL_STATE(8496)] = 349882,
  [SMALL_STATE(8497)] = 349891,
  [SMALL_STATE(8498)] = 349900,
  [SMALL_STATE(8499)] = 349909,
  [SMALL_STATE(8500)] = 349918,
  [SMALL_STATE(8501)] = 349927,
  [SMALL_STATE(8502)] = 349936,
  [SMALL_STATE(8503)] = 349945,
  [SMALL_STATE(8504)] = 349954,
  [SMALL_STATE(8505)] = 349963,
  [SMALL_STATE(8506)] = 349972,
  [SMALL_STATE(8507)] = 349981,
  [SMALL_STATE(8508)] = 349990,
  [SMALL_STATE(8509)] = 349999,
  [SMALL_STATE(8510)] = 350008,
  [SMALL_STATE(8511)] = 350017,
  [SMALL_STATE(8512)] = 350026,
  [SMALL_STATE(8513)] = 350035,
  [SMALL_STATE(8514)] = 350044,
  [SMALL_STATE(8515)] = 350053,
  [SMALL_STATE(8516)] = 350062,
  [SMALL_STATE(8517)] = 350071,
  [SMALL_STATE(8518)] = 350080,
  [SMALL_STATE(8519)] = 350089,
  [SMALL_STATE(8520)] = 350098,
  [SMALL_STATE(8521)] = 350107,
  [SMALL_STATE(8522)] = 350116,
  [SMALL_STATE(8523)] = 350125,
  [SMALL_STATE(8524)] = 350134,
  [SMALL_STATE(8525)] = 350143,
  [SMALL_STATE(8526)] = 350152,
  [SMALL_STATE(8527)] = 350161,
  [SMALL_STATE(8528)] = 350170,
  [SMALL_STATE(8529)] = 350179,
  [SMALL_STATE(8530)] = 350188,
  [SMALL_STATE(8531)] = 350197,
  [SMALL_STATE(8532)] = 350206,
  [SMALL_STATE(8533)] = 350215,
  [SMALL_STATE(8534)] = 350224,
  [SMALL_STATE(8535)] = 350233,
  [SMALL_STATE(8536)] = 350242,
  [SMALL_STATE(8537)] = 350251,
  [SMALL_STATE(8538)] = 350260,
  [SMALL_STATE(8539)] = 350269,
  [SMALL_STATE(8540)] = 350278,
  [SMALL_STATE(8541)] = 350287,
  [SMALL_STATE(8542)] = 350296,
  [SMALL_STATE(8543)] = 350305,
  [SMALL_STATE(8544)] = 350314,
  [SMALL_STATE(8545)] = 350323,
  [SMALL_STATE(8546)] = 350332,
  [SMALL_STATE(8547)] = 350341,
  [SMALL_STATE(8548)] = 350350,
  [SMALL_STATE(8549)] = 350359,
  [SMALL_STATE(8550)] = 350368,
  [SMALL_STATE(8551)] = 350377,
  [SMALL_STATE(8552)] = 350386,
  [SMALL_STATE(8553)] = 350395,
  [SMALL_STATE(8554)] = 350404,
  [SMALL_STATE(8555)] = 350413,
  [SMALL_STATE(8556)] = 350422,
  [SMALL_STATE(8557)] = 350431,
  [SMALL_STATE(8558)] = 350440,
  [SMALL_STATE(8559)] = 350449,
  [SMALL_STATE(8560)] = 350458,
  [SMALL_STATE(8561)] = 350467,
  [SMALL_STATE(8562)] = 350476,
  [SMALL_STATE(8563)] = 350485,
  [SMALL_STATE(8564)] = 350494,
  [SMALL_STATE(8565)] = 350503,
  [SMALL_STATE(8566)] = 350512,
  [SMALL_STATE(8567)] = 350521,
  [SMALL_STATE(8568)] = 350530,
  [SMALL_STATE(8569)] = 350539,
  [SMALL_STATE(8570)] = 350548,
  [SMALL_STATE(8571)] = 350557,
  [SMALL_STATE(8572)] = 350566,
  [SMALL_STATE(8573)] = 350575,
  [SMALL_STATE(8574)] = 350584,
  [SMALL_STATE(8575)] = 350593,
  [SMALL_STATE(8576)] = 350602,
  [SMALL_STATE(8577)] = 350611,
  [SMALL_STATE(8578)] = 350620,
  [SMALL_STATE(8579)] = 350629,
  [SMALL_STATE(8580)] = 350638,
  [SMALL_STATE(8581)] = 350647,
  [SMALL_STATE(8582)] = 350656,
  [SMALL_STATE(8583)] = 350665,
  [SMALL_STATE(8584)] = 350674,
  [SMALL_STATE(8585)] = 350683,
  [SMALL_STATE(8586)] = 350692,
  [SMALL_STATE(8587)] = 350701,
  [SMALL_STATE(8588)] = 350710,
  [SMALL_STATE(8589)] = 350719,
  [SMALL_STATE(8590)] = 350728,
  [SMALL_STATE(8591)] = 350737,
  [SMALL_STATE(8592)] = 350746,
  [SMALL_STATE(8593)] = 350755,
  [SMALL_STATE(8594)] = 350764,
  [SMALL_STATE(8595)] = 350773,
  [SMALL_STATE(8596)] = 350782,
  [SMALL_STATE(8597)] = 350791,
  [SMALL_STATE(8598)] = 350800,
  [SMALL_STATE(8599)] = 350809,
  [SMALL_STATE(8600)] = 350818,
  [SMALL_STATE(8601)] = 350827,
  [SMALL_STATE(8602)] = 350836,
  [SMALL_STATE(8603)] = 350845,
  [SMALL_STATE(8604)] = 350854,
  [SMALL_STATE(8605)] = 350863,
  [SMALL_STATE(8606)] = 350872,
  [SMALL_STATE(8607)] = 350881,
  [SMALL_STATE(8608)] = 350890,
  [SMALL_STATE(8609)] = 350899,
  [SMALL_STATE(8610)] = 350908,
  [SMALL_STATE(8611)] = 350917,
  [SMALL_STATE(8612)] = 350926,
  [SMALL_STATE(8613)] = 350935,
  [SMALL_STATE(8614)] = 350944,
  [SMALL_STATE(8615)] = 350953,
  [SMALL_STATE(8616)] = 350962,
  [SMALL_STATE(8617)] = 350971,
  [SMALL_STATE(8618)] = 350980,
  [SMALL_STATE(8619)] = 350989,
  [SMALL_STATE(8620)] = 350998,
  [SMALL_STATE(8621)] = 351007,
  [SMALL_STATE(8622)] = 351016,
  [SMALL_STATE(8623)] = 351025,
  [SMALL_STATE(8624)] = 351034,
  [SMALL_STATE(8625)] = 351043,
  [SMALL_STATE(8626)] = 351052,
  [SMALL_STATE(8627)] = 351061,
  [SMALL_STATE(8628)] = 351070,
  [SMALL_STATE(8629)] = 351079,
  [SMALL_STATE(8630)] = 351088,
  [SMALL_STATE(8631)] = 351097,
  [SMALL_STATE(8632)] = 351106,
  [SMALL_STATE(8633)] = 351115,
  [SMALL_STATE(8634)] = 351124,
  [SMALL_STATE(8635)] = 351133,
  [SMALL_STATE(8636)] = 351142,
  [SMALL_STATE(8637)] = 351151,
  [SMALL_STATE(8638)] = 351160,
  [SMALL_STATE(8639)] = 351169,
  [SMALL_STATE(8640)] = 351178,
  [SMALL_STATE(8641)] = 351187,
  [SMALL_STATE(8642)] = 351196,
  [SMALL_STATE(8643)] = 351205,
  [SMALL_STATE(8644)] = 351214,
  [SMALL_STATE(8645)] = 351223,
  [SMALL_STATE(8646)] = 351232,
  [SMALL_STATE(8647)] = 351241,
  [SMALL_STATE(8648)] = 351250,
  [SMALL_STATE(8649)] = 351259,
  [SMALL_STATE(8650)] = 351268,
  [SMALL_STATE(8651)] = 351277,
  [SMALL_STATE(8652)] = 351286,
  [SMALL_STATE(8653)] = 351295,
  [SMALL_STATE(8654)] = 351304,
  [SMALL_STATE(8655)] = 351313,
  [SMALL_STATE(8656)] = 351322,
  [SMALL_STATE(8657)] = 351331,
  [SMALL_STATE(8658)] = 351340,
  [SMALL_STATE(8659)] = 351349,
  [SMALL_STATE(8660)] = 351358,
  [SMALL_STATE(8661)] = 351367,
  [SMALL_STATE(8662)] = 351376,
  [SMALL_STATE(8663)] = 351385,
  [SMALL_STATE(8664)] = 351394,
  [SMALL_STATE(8665)] = 351403,
  [SMALL_STATE(8666)] = 351412,
  [SMALL_STATE(8667)] = 351421,
  [SMALL_STATE(8668)] = 351430,
  [SMALL_STATE(8669)] = 351439,
  [SMALL_STATE(8670)] = 351448,
  [SMALL_STATE(8671)] = 351457,
  [SMALL_STATE(8672)] = 351466,
  [SMALL_STATE(8673)] = 351475,
  [SMALL_STATE(8674)] = 351484,
  [SMALL_STATE(8675)] = 351493,
  [SMALL_STATE(8676)] = 351502,
  [SMALL_STATE(8677)] = 351511,
  [SMALL_STATE(8678)] = 351520,
  [SMALL_STATE(8679)] = 351529,
  [SMALL_STATE(8680)] = 351538,
  [SMALL_STATE(8681)] = 351547,
  [SMALL_STATE(8682)] = 351556,
  [SMALL_STATE(8683)] = 351565,
  [SMALL_STATE(8684)] = 351574,
  [SMALL_STATE(8685)] = 351583,
  [SMALL_STATE(8686)] = 351592,
  [SMALL_STATE(8687)] = 351601,
  [SMALL_STATE(8688)] = 351610,
  [SMALL_STATE(8689)] = 351619,
  [SMALL_STATE(8690)] = 351628,
  [SMALL_STATE(8691)] = 351637,
  [SMALL_STATE(8692)] = 351646,
  [SMALL_STATE(8693)] = 351655,
  [SMALL_STATE(8694)] = 351664,
  [SMALL_STATE(8695)] = 351673,
  [SMALL_STATE(8696)] = 351682,
  [SMALL_STATE(8697)] = 351691,
  [SMALL_STATE(8698)] = 351700,
  [SMALL_STATE(8699)] = 351709,
  [SMALL_STATE(8700)] = 351718,
  [SMALL_STATE(8701)] = 351727,
  [SMALL_STATE(8702)] = 351736,
  [SMALL_STATE(8703)] = 351745,
  [SMALL_STATE(8704)] = 351754,
  [SMALL_STATE(8705)] = 351763,
  [SMALL_STATE(8706)] = 351772,
  [SMALL_STATE(8707)] = 351781,
  [SMALL_STATE(8708)] = 351790,
  [SMALL_STATE(8709)] = 351799,
  [SMALL_STATE(8710)] = 351808,
  [SMALL_STATE(8711)] = 351817,
  [SMALL_STATE(8712)] = 351826,
  [SMALL_STATE(8713)] = 351835,
  [SMALL_STATE(8714)] = 351844,
  [SMALL_STATE(8715)] = 351853,
  [SMALL_STATE(8716)] = 351862,
  [SMALL_STATE(8717)] = 351871,
  [SMALL_STATE(8718)] = 351880,
  [SMALL_STATE(8719)] = 351889,
  [SMALL_STATE(8720)] = 351898,
  [SMALL_STATE(8721)] = 351907,
  [SMALL_STATE(8722)] = 351916,
  [SMALL_STATE(8723)] = 351925,
  [SMALL_STATE(8724)] = 351934,
  [SMALL_STATE(8725)] = 351943,
  [SMALL_STATE(8726)] = 351952,
  [SMALL_STATE(8727)] = 351961,
  [SMALL_STATE(8728)] = 351970,
  [SMALL_STATE(8729)] = 351979,
  [SMALL_STATE(8730)] = 351988,
  [SMALL_STATE(8731)] = 351997,
  [SMALL_STATE(8732)] = 352006,
  [SMALL_STATE(8733)] = 352015,
  [SMALL_STATE(8734)] = 352024,
  [SMALL_STATE(8735)] = 352033,
  [SMALL_STATE(8736)] = 352042,
  [SMALL_STATE(8737)] = 352051,
  [SMALL_STATE(8738)] = 352060,
  [SMALL_STATE(8739)] = 352069,
  [SMALL_STATE(8740)] = 352078,
  [SMALL_STATE(8741)] = 352087,
  [SMALL_STATE(8742)] = 352096,
  [SMALL_STATE(8743)] = 352105,
  [SMALL_STATE(8744)] = 352114,
  [SMALL_STATE(8745)] = 352123,
  [SMALL_STATE(8746)] = 352132,
  [SMALL_STATE(8747)] = 352141,
  [SMALL_STATE(8748)] = 352150,
  [SMALL_STATE(8749)] = 352159,
  [SMALL_STATE(8750)] = 352168,
  [SMALL_STATE(8751)] = 352177,
  [SMALL_STATE(8752)] = 352186,
  [SMALL_STATE(8753)] = 352195,
  [SMALL_STATE(8754)] = 352204,
  [SMALL_STATE(8755)] = 352213,
  [SMALL_STATE(8756)] = 352222,
  [SMALL_STATE(8757)] = 352231,
  [SMALL_STATE(8758)] = 352240,
  [SMALL_STATE(8759)] = 352249,
  [SMALL_STATE(8760)] = 352258,
  [SMALL_STATE(8761)] = 352267,
  [SMALL_STATE(8762)] = 352276,
  [SMALL_STATE(8763)] = 352285,
  [SMALL_STATE(8764)] = 352294,
  [SMALL_STATE(8765)] = 352303,
  [SMALL_STATE(8766)] = 352312,
  [SMALL_STATE(8767)] = 352321,
  [SMALL_STATE(8768)] = 352330,
  [SMALL_STATE(8769)] = 352339,
  [SMALL_STATE(8770)] = 352348,
  [SMALL_STATE(8771)] = 352357,
  [SMALL_STATE(8772)] = 352366,
  [SMALL_STATE(8773)] = 352375,
  [SMALL_STATE(8774)] = 352384,
  [SMALL_STATE(8775)] = 352393,
  [SMALL_STATE(8776)] = 352402,
  [SMALL_STATE(8777)] = 352411,
  [SMALL_STATE(8778)] = 352420,
  [SMALL_STATE(8779)] = 352429,
  [SMALL_STATE(8780)] = 352438,
  [SMALL_STATE(8781)] = 352447,
  [SMALL_STATE(8782)] = 352456,
  [SMALL_STATE(8783)] = 352465,
  [SMALL_STATE(8784)] = 352474,
  [SMALL_STATE(8785)] = 352483,
  [SMALL_STATE(8786)] = 352492,
  [SMALL_STATE(8787)] = 352501,
  [SMALL_STATE(8788)] = 352510,
  [SMALL_STATE(8789)] = 352519,
  [SMALL_STATE(8790)] = 352528,
  [SMALL_STATE(8791)] = 352537,
  [SMALL_STATE(8792)] = 352546,
  [SMALL_STATE(8793)] = 352555,
  [SMALL_STATE(8794)] = 352564,
  [SMALL_STATE(8795)] = 352573,
  [SMALL_STATE(8796)] = 352582,
  [SMALL_STATE(8797)] = 352591,
  [SMALL_STATE(8798)] = 352600,
  [SMALL_STATE(8799)] = 352609,
  [SMALL_STATE(8800)] = 352618,
  [SMALL_STATE(8801)] = 352627,
  [SMALL_STATE(8802)] = 352636,
  [SMALL_STATE(8803)] = 352645,
  [SMALL_STATE(8804)] = 352654,
  [SMALL_STATE(8805)] = 352663,
  [SMALL_STATE(8806)] = 352672,
  [SMALL_STATE(8807)] = 352681,
  [SMALL_STATE(8808)] = 352690,
  [SMALL_STATE(8809)] = 352699,
  [SMALL_STATE(8810)] = 352708,
  [SMALL_STATE(8811)] = 352717,
  [SMALL_STATE(8812)] = 352726,
  [SMALL_STATE(8813)] = 352735,
  [SMALL_STATE(8814)] = 352744,
  [SMALL_STATE(8815)] = 352753,
  [SMALL_STATE(8816)] = 352762,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_source_file, .child_count = 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8756),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6595),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8612),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8607),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8601),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [67] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_expression, .child_count = 1),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [71] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_expression, .child_count = 1),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6609),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6621),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6882),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8516),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8710),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8711),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cast_expression, .child_count = 3),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cast_expression, .child_count = 3),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8195),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8602),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8737),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8741),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_or_break_expression, .child_count = 2),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_or_break_expression, .child_count = 2),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8484),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 4, .production_id = 9),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 4, .production_id = 9),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8207),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8611),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8743),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8307),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8528),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8715),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8716),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8265),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8496),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8705),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8706),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4440),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8241),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8562),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8725),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8729),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5239),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_block_repeat1, .child_count = 1),
  [383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_block_repeat1, .child_count = 1),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 3, .production_id = 29),
  [399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_switch_case, .child_count = 3, .production_id = 29),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 4, .production_id = 56),
  [405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_switch_case, .child_count = 4, .production_id = 56),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 2),
  [411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_switch_case, .child_count = 2),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8191),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8731),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8735),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8221),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8572),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8732),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5343),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8692),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4602),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8600),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8259),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8640),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8641),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5296),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8183),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8592),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8734),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8738),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_return_statement, .child_count = 2),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_return_statement, .child_count = 2),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8298),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8540),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8721),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6360),
  [762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8185),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8186),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [773] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4601),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [781] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(541),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [787] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5069),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8188),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [799] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8642),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5),
  [811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4601),
  [814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(541),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5069),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8642),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5),
  [837] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4601),
  [841] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(541),
  [845] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5069),
  [849] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8642),
  [853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3),
  [859] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4601),
  [863] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(541),
  [867] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5069),
  [871] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8642),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2),
  [879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4601),
  [882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(541),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5069),
  [888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8642),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4),
  [893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4601),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(541),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5069),
  [904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8642),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3),
  [911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4601),
  [914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(541),
  [917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5069),
  [920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8642),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8382),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6400),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6712),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8184),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4565),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(537),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5067),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8235),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8630),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [1006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4565),
  [1009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(537),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5067),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4565),
  [1018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(537),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5067),
  [1024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4565),
  [1027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(537),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5067),
  [1033] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4565),
  [1037] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(537),
  [1041] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5067),
  [1045] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4565),
  [1049] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(537),
  [1053] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5067),
  [1057] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4565),
  [1061] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(537),
  [1065] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5067),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6373),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6672),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8175),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8330),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [1081] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4558),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [1089] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(505),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [1095] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5045),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8291),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8328),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8558),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6713),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8197),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8198),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [1121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4556),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [1128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(544),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5077),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8200),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [1144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8622),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8217),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8616),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8745),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [1167] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4556),
  [1171] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(544),
  [1175] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5077),
  [1179] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8622),
  [1183] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4556),
  [1187] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(544),
  [1191] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5077),
  [1195] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8622),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8621),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8747),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5229),
  [1213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4556),
  [1216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(544),
  [1219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5077),
  [1222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8622),
  [1225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4556),
  [1228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(544),
  [1231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5077),
  [1234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8622),
  [1237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4558),
  [1240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(505),
  [1243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5045),
  [1246] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4558),
  [1250] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(505),
  [1254] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5045),
  [1258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4558),
  [1261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(505),
  [1264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5045),
  [1267] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4558),
  [1271] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(505),
  [1275] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5045),
  [1279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4556),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(544),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5077),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8622),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4558),
  [1294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(505),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5045),
  [1300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4558),
  [1303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(505),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5045),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [1315] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4556),
  [1319] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(544),
  [1323] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5077),
  [1327] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8622),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6678),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8314),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8313),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [1349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4576),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [1356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(586),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [1361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4912),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8277),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8311),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8568),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [1374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4576),
  [1377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(586),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4912),
  [1383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4576),
  [1386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(586),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4912),
  [1392] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4576),
  [1396] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(586),
  [1400] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4912),
  [1404] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4576),
  [1408] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(586),
  [1412] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4912),
  [1416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4576),
  [1419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(586),
  [1422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4912),
  [1425] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4576),
  [1429] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(586),
  [1433] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4912),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6387),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6714),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8237),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [1459] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4597),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [1467] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(525),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5080),
  [1473] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5034),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8229),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8623),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [1487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4597),
  [1490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(525),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5034),
  [1496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4597),
  [1499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(525),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5034),
  [1505] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4597),
  [1509] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(525),
  [1513] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5034),
  [1517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4597),
  [1520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(525),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5034),
  [1526] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4597),
  [1530] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(525),
  [1534] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5034),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4597),
  [1545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(525),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5034),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_source_file, .child_count = 1),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(3473),
  [1558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(661),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(8756),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(7135),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(6595),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(1338),
  [1573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(8139),
  [1576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(475),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(1339),
  [1582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(4220),
  [1585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(1340),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(1340),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(1341),
  [1594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(624),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(8501),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(1354),
  [1603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(1356),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(8612),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(8607),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(8601),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(5016),
  [1618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(3862),
  [1621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(7036),
  [1624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(7439),
  [1627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(8101),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(4041),
  [1633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(4048),
  [1636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2), SHIFT_REPEAT(5078),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8263),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8262),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [1651] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4605),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [1659] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(509),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5164),
  [1665] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4976),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8608),
  [1677] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8583),
  [1681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4605),
  [1684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(509),
  [1687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4976),
  [1690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8583),
  [1693] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4605),
  [1697] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(509),
  [1701] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4976),
  [1705] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8583),
  [1709] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4605),
  [1713] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(509),
  [1717] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4976),
  [1721] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8583),
  [1725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4605),
  [1728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(509),
  [1731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4976),
  [1734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8583),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6371),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6646),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8294),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8292),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [1749] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4594),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [1757] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(522),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [1763] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5027),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8199),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8289),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8618),
  [1775] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8679),
  [1779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4594),
  [1782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(522),
  [1785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5027),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8679),
  [1791] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4594),
  [1795] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(522),
  [1799] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5027),
  [1803] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8679),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4594),
  [1810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(522),
  [1813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5027),
  [1816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8679),
  [1819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4605),
  [1822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(509),
  [1825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4976),
  [1828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8583),
  [1831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4605),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(509),
  [1837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4976),
  [1840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8583),
  [1843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4594),
  [1846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(522),
  [1849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5027),
  [1852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8679),
  [1855] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4594),
  [1859] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(522),
  [1863] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5027),
  [1867] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8679),
  [1871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4594),
  [1874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(522),
  [1877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5027),
  [1880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8679),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6378),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6756),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8379),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8378),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [1895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4580),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [1902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(507),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [1907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4880),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8376),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [1920] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4580),
  [1924] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(507),
  [1928] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4880),
  [1932] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4580),
  [1936] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(507),
  [1940] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4880),
  [1944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4580),
  [1947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(507),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4880),
  [1953] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4580),
  [1957] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(507),
  [1961] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4880),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4580),
  [1968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(507),
  [1971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4880),
  [1974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4580),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(507),
  [1980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4880),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8280),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8279),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [1995] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4593),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [2003] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(573),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [2009] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4954),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8215),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8598),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6723),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8220),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [2037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4572),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [2044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(548),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5313),
  [2049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5084),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8247),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8205),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [2060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8614),
  [2063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4572),
  [2066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(548),
  [2069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5084),
  [2072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8614),
  [2075] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4572),
  [2079] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(548),
  [2083] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5084),
  [2087] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8614),
  [2091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4572),
  [2094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(548),
  [2097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5084),
  [2100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8614),
  [2103] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4572),
  [2107] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(548),
  [2111] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5084),
  [2115] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8614),
  [2119] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4572),
  [2123] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(548),
  [2127] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5084),
  [2131] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8614),
  [2135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4572),
  [2138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(548),
  [2141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5084),
  [2144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8614),
  [2147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4593),
  [2150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(573),
  [2153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4954),
  [2156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4593),
  [2159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(573),
  [2162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4954),
  [2165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4593),
  [2168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(573),
  [2171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4954),
  [2174] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4593),
  [2178] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(573),
  [2182] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4954),
  [2186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4593),
  [2189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(573),
  [2192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4954),
  [2195] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4593),
  [2199] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(573),
  [2203] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4954),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6357),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6634),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8593),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8590),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [2219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4598),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [2226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(591),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [2231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5133),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8589),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8587),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6359),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6691),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8293),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8290),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5204),
  [2256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4559),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [2263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(570),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5194),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5161),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8252),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8249),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [2281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4598),
  [2284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(591),
  [2287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5133),
  [2290] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4559),
  [2294] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(570),
  [2298] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5161),
  [2302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4598),
  [2305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(591),
  [2308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5133),
  [2311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4598),
  [2314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(591),
  [2317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5133),
  [2320] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4559),
  [2324] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(570),
  [2328] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5161),
  [2332] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4598),
  [2336] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(591),
  [2340] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5133),
  [2344] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4598),
  [2348] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(591),
  [2352] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5133),
  [2356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4559),
  [2359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(570),
  [2362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5161),
  [2365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4559),
  [2368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(570),
  [2371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5161),
  [2374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4559),
  [2377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(570),
  [2380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5161),
  [2383] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4559),
  [2387] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(570),
  [2391] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5161),
  [2395] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4598),
  [2399] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(591),
  [2403] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5133),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6358),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6737),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8208),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [2419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4582),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [2426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(557),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [2431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5096),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8211),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8634),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [2446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4582),
  [2449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(557),
  [2452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5096),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6381),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(579),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5336),
  [2464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5351),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8638),
  [2471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8477),
  [2474] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4582),
  [2478] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(557),
  [2482] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5096),
  [2486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(579),
  [2489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5351),
  [2492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8477),
  [2495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4582),
  [2498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(557),
  [2501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5096),
  [2504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(579),
  [2507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5351),
  [2510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8477),
  [2513] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4582),
  [2517] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(557),
  [2521] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5096),
  [2525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(579),
  [2528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5351),
  [2531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8477),
  [2534] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(579),
  [2538] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5351),
  [2542] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8477),
  [2546] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(579),
  [2550] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5351),
  [2554] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8477),
  [2558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4582),
  [2561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(557),
  [2564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5096),
  [2567] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(579),
  [2571] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5351),
  [2575] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8477),
  [2579] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4582),
  [2583] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(557),
  [2587] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5096),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6348),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8306),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8305),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [2603] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4606),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [2611] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(554),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [2617] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4822),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8302),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8578),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [2631] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4606),
  [2635] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(554),
  [2639] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4822),
  [2643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4606),
  [2646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(554),
  [2649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(4822),
  [2652] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4606),
  [2656] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(554),
  [2660] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4822),
  [2664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4606),
  [2667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(554),
  [2670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(4822),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4606),
  [2676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(554),
  [2679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(4822),
  [2682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4606),
  [2685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(554),
  [2688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(4822),
  [2691] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(2556),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6340),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [2699] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(564),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [2705] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5106),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8256),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [2713] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8606),
  [2717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(2556),
  [2720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(564),
  [2723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(5106),
  [2726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8606),
  [2729] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(2556),
  [2733] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(564),
  [2737] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5106),
  [2741] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8606),
  [2745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(2556),
  [2748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(564),
  [2751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(5106),
  [2754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8606),
  [2757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(2556),
  [2760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(564),
  [2763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5106),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8606),
  [2769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(2556),
  [2772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(564),
  [2775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(5106),
  [2778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8606),
  [2781] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(2556),
  [2785] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(564),
  [2789] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(5106),
  [2793] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8606),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6581),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6599),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7025),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_return_statement, .child_count = 1),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_return_statement, .child_count = 1),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_return_statement, .child_count = 5),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_return_statement, .child_count = 5),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [3065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_return_statement, .child_count = 4),
  [3067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_return_statement, .child_count = 4),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_return_statement, .child_count = 3),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_return_statement, .child_count = 3),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variable_declaration, .child_count = 7),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variable_declaration, .child_count = 6),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variable_declaration, .child_count = 4),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variable_declaration, .child_count = 5),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8670),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8682),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8419),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8504),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8476),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8324),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8591),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8273),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8610),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8800),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8511),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8308),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8214),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8646),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8447),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8674),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8282),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8320),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8334),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8366),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8338),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8536),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [3599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8345),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8344),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8350),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8359),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8349),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8361),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8365),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8360),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8367),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8371),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8651),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8375),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8390),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8663),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8351),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8452),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8374),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8559),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8678),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8392),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8347),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8424),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8391),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8422),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8400),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8437),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8438),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8444),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8356),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8417),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8655),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8433),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8529),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8459),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8409),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8490),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8541),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8603),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8435),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8448),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8317),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8226),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8274),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8337),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8316),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8691),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8508),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8672),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8654),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8689),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8453),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8699),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8355),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8570),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8412),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8416),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8343),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8427),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure, .child_count = 2),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [4287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_procedure, .child_count = 2),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure, .child_count = 7),
  [4297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_procedure, .child_count = 7),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure, .child_count = 6),
  [4305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_procedure, .child_count = 6),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure, .child_count = 5),
  [4315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_procedure, .child_count = 5),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7121),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6580),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8584),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8564),
  [4355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure, .child_count = 4),
  [4357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_procedure, .child_count = 4),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8530),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8554),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8518),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8542),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8388),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8498),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure, .child_count = 3),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [4431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_procedure, .child_count = 3),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8604),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8264),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type, .child_count = 1),
  [4493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type, .child_count = 1),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8323),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8594),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [4523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2),
  [4525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2),
  [4527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8323),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_type, .child_count = 2),
  [4532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_type, .child_count = 2),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8574),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8681),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8666),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8443),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8431),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8428),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8420),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_where_clause, .child_count = 3),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [4696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_where_clause, .child_count = 3),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [4710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2),
  [4712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1892),
  [4715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8389),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [4765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure, .child_count = 9),
  [4767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_procedure, .child_count = 9),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [4771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure, .child_count = 8),
  [4773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_procedure, .child_count = 8),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [4783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_where_clause, .child_count = 2),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_where_clause, .child_count = 2),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8410),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [4863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6843),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2),
  [4868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8456),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8449),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8446),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8442),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8797),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(811),
  [4927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1),
  [4929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1),
  [4931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8152),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8399),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [4954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_or_continue_expression, .child_count = 2),
  [4956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_or_continue_expression, .child_count = 2),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8430),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8415),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8411),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8397),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [4998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8645),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8387),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8380),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8370),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8596),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8363),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8372),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8368),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8386),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8514),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [5076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_type, .child_count = 2),
  [5078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_type, .child_count = 2),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8693),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8709),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8354),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8675),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8665),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8526),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8517),
  [5130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_type, .child_count = 3),
  [5132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_type, .child_count = 3),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8353),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8192),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8260),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8808),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8806),
  [5178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_type, .child_count = 4),
  [5180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_type, .child_count = 4),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8421),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8394),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8296),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [5222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8285),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8189),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8346),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [5260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8340),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8322),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [5272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8326),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8339),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [5282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), REDUCE(.symbol = sym_array_type, .child_count = 6),
  [5285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5), REDUCE(.symbol = sym_array_type, .child_count = 6),
  [5288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_field_type, .child_count = 11),
  [5290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_bit_field_type, .child_count = 11),
  [5292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_field_type, .child_count = 10),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_bit_field_type, .child_count = 10),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_field_type, .child_count = 9),
  [5298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_bit_field_type, .child_count = 9),
  [5300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_type, .child_count = 8),
  [5302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_type, .child_count = 8),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_conditional_type, .child_count = 7),
  [5306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_conditional_type, .child_count = 7),
  [5308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_type, .child_count = 7),
  [5310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_type, .child_count = 7),
  [5312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_set_type, .child_count = 6),
  [5314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_bit_set_type, .child_count = 6),
  [5316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_type, .child_count = 6),
  [5318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_type, .child_count = 6),
  [5320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_type, .child_count = 6),
  [5322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_type, .child_count = 6),
  [5324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_matrix_type, .child_count = 7),
  [5326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_matrix_type, .child_count = 7),
  [5328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 6),
  [5330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 6),
  [5332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_polymorphic_type, .child_count = 5),
  [5334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_polymorphic_type, .child_count = 5),
  [5336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_type, .child_count = 2),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_pointer_type, .child_count = 2),
  [5340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_map_type, .child_count = 5),
  [5342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_map_type, .child_count = 5),
  [5344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_tuple_type, .child_count = 5),
  [5346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_tuple_type, .child_count = 5),
  [5348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_type, .child_count = 5),
  [5350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_type, .child_count = 5),
  [5352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_type, .child_count = 5),
  [5354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_type, .child_count = 5),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_polymorphic_type, .child_count = 4),
  [5358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_polymorphic_type, .child_count = 4),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [5362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_set_type, .child_count = 4),
  [5364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_bit_set_type, .child_count = 4),
  [5366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_tuple_type, .child_count = 4),
  [5368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_tuple_type, .child_count = 4),
  [5370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_type, .child_count = 4),
  [5372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_type, .child_count = 4),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_type, .child_count = 4),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_type, .child_count = 4),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [5384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_specialized_type, .child_count = 3),
  [5386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_specialized_type, .child_count = 3),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_tuple_type, .child_count = 3),
  [5396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_tuple_type, .child_count = 3),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [5404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_distinct_type, .child_count = 3),
  [5406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_distinct_type, .child_count = 3),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_constant_type, .child_count = 2),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_constant_type, .child_count = 2),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_tuple_type, .child_count = 2),
  [5416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_tuple_type, .child_count = 2),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_distinct_type, .child_count = 2),
  [5424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_distinct_type, .child_count = 2),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_empty_type, .child_count = 1),
  [5428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_empty_type, .child_count = 1),
  [5430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure, .child_count = 10),
  [5432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_procedure, .child_count = 10),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [5448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__procedure_type, .child_count = 1, .production_id = 1),
  [5450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__procedure_type, .child_count = 1, .production_id = 1),
  [5452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_matrix, .child_count = 12),
  [5454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_matrix, .child_count = 12),
  [5456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_map, .child_count = 12),
  [5458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_map, .child_count = 12),
  [5460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_matrix, .child_count = 11),
  [5462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_matrix, .child_count = 11),
  [5464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_map, .child_count = 11),
  [5466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_map, .child_count = 11),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct, .child_count = 10),
  [5470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct, .child_count = 10),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_matrix, .child_count = 10),
  [5474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_matrix, .child_count = 10),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_map, .child_count = 10),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_map, .child_count = 10),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 9, .production_id = 60),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 9, .production_id = 60),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_matrix, .child_count = 9),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_matrix, .child_count = 9),
  [5490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct, .child_count = 9),
  [5492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct, .child_count = 9),
  [5494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 8, .production_id = 60),
  [5496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 8, .production_id = 60),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 8, .production_id = 17),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 8, .production_id = 17),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 8, .production_id = 45),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 8, .production_id = 45),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_set, .child_count = 8),
  [5508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_bit_set, .child_count = 8),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct, .child_count = 8),
  [5512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct, .child_count = 8),
  [5514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 7, .production_id = 30),
  [5516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 7, .production_id = 30),
  [5518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 7, .production_id = 17),
  [5520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 7, .production_id = 17),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 7, .production_id = 45),
  [5524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 7, .production_id = 45),
  [5526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 7, .production_id = 9),
  [5528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 7, .production_id = 9),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_set, .child_count = 7),
  [5534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_bit_set, .child_count = 7),
  [5536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_map, .child_count = 7),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_map, .child_count = 7),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct, .child_count = 7),
  [5544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct, .child_count = 7),
  [5546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_slice_expression, .child_count = 6, .production_id = 31),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_slice_expression, .child_count = 6, .production_id = 31),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_index_expression, .child_count = 6),
  [5552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_index_expression, .child_count = 6),
  [5554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 6, .production_id = 30),
  [5556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 6, .production_id = 30),
  [5558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 6, .production_id = 17),
  [5560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 6, .production_id = 17),
  [5562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 6, .production_id = 15),
  [5564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 6, .production_id = 15),
  [5566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 6, .production_id = 9),
  [5568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 6, .production_id = 9),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_set, .child_count = 6),
  [5578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_bit_set, .child_count = 6),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct, .child_count = 6),
  [5582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct, .child_count = 6),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_block, .child_count = 5),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_block, .child_count = 5),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ternary_expression, .child_count = 5, .production_id = 21),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ternary_expression, .child_count = 5, .production_id = 21),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_slice_expression, .child_count = 5, .production_id = 20),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_slice_expression, .child_count = 5, .production_id = 20),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_slice_expression, .child_count = 5, .production_id = 19),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_slice_expression, .child_count = 5, .production_id = 19),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 5, .production_id = 17),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 5, .production_id = 17),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 5, .production_id = 15),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 5, .production_id = 15),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 5, .production_id = 9),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 5, .production_id = 9),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cast_expression, .child_count = 5),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cast_expression, .child_count = 5),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [5620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_block, .child_count = 4),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_block, .child_count = 4),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct, .child_count = 5),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct, .child_count = 5),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_index_expression, .child_count = 4),
  [5630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_index_expression, .child_count = 4),
  [5632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_slice_expression, .child_count = 4),
  [5634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_slice_expression, .child_count = 4),
  [5636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 4, .production_id = 10),
  [5638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 4, .production_id = 10),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cast_expression, .child_count = 4),
  [5642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cast_expression, .child_count = 4),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [5646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_block, .child_count = 3),
  [5648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_block, .child_count = 3),
  [5650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct, .child_count = 4),
  [5652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct, .child_count = 4),
  [5654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_or_break_expression, .child_count = 3),
  [5656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_or_break_expression, .child_count = 3),
  [5658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_or_continue_expression, .child_count = 3, .production_id = 6),
  [5660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_or_continue_expression, .child_count = 3, .production_id = 6),
  [5662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_range_expression, .child_count = 3),
  [5664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_range_expression, .child_count = 3),
  [5666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_member_expression, .child_count = 3),
  [5668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_member_expression, .child_count = 3),
  [5670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_binary_expression, .child_count = 3, .production_id = 5),
  [5672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_binary_expression, .child_count = 3, .production_id = 5),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [5680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_in_expression, .child_count = 3),
  [5682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_in_expression, .child_count = 3),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [5686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_selector_call_expression, .child_count = 3, .production_id = 4),
  [5688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_selector_call_expression, .child_count = 3, .production_id = 4),
  [5690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 3, .production_id = 4),
  [5692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 3, .production_id = 4),
  [5694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_character, .child_count = 3),
  [5696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_character, .child_count = 3),
  [5698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__raw_string_literal, .child_count = 3),
  [5700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__raw_string_literal, .child_count = 3),
  [5702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__string_literal, .child_count = 3),
  [5704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__string_literal, .child_count = 3),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_expression, .child_count = 3),
  [5710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_expression, .child_count = 3),
  [5712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_block, .child_count = 2),
  [5714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_block, .child_count = 2),
  [5716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct, .child_count = 3),
  [5718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct, .child_count = 3),
  [5720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_address, .child_count = 2),
  [5722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_address, .child_count = 2),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [5728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_or_return_expression, .child_count = 2),
  [5730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_or_return_expression, .child_count = 2),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [5734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__raw_string_literal, .child_count = 2),
  [5736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__raw_string_literal, .child_count = 2),
  [5738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__string_literal, .child_count = 2),
  [5740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__string_literal, .child_count = 2),
  [5742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variadic_expression, .child_count = 2),
  [5744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_variadic_expression, .child_count = 2),
  [5746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cast_expression, .child_count = 2),
  [5748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cast_expression, .child_count = 2),
  [5750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_member_expression, .child_count = 2),
  [5752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_member_expression, .child_count = 2),
  [5754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_unary_expression, .child_count = 2, .production_id = 2),
  [5756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_unary_expression, .child_count = 2, .production_id = 2),
  [5758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct, .child_count = 2),
  [5760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct, .child_count = 2),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [5764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_string, .child_count = 1),
  [5766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_string, .child_count = 1),
  [5768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_literal, .child_count = 1),
  [5770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_literal, .child_count = 1),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [5780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_nil, .child_count = 1),
  [5782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_nil, .child_count = 1),
  [5784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_boolean, .child_count = 1),
  [5786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_boolean, .child_count = 1),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [5806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 3),
  [5808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 3),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [5846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_named_type, .child_count = 5),
  [5848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_named_type, .child_count = 5),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [5856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variadic_type, .child_count = 2),
  [5858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_variadic_type, .child_count = 2),
  [5860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_named_type, .child_count = 3),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [5864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_named_type, .child_count = 3),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [5894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameters, .child_count = 5),
  [5896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameters, .child_count = 5),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [5908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameters, .child_count = 4),
  [5910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameters, .child_count = 4),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [5922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameters, .child_count = 3),
  [5924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameters, .child_count = 3),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [5928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameters, .child_count = 2),
  [5930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameters, .child_count = 2),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [6020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8204),
  [6023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [6045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [6085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8457),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8505),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [6200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8006),
  [6203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6850),
  [6206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6823),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8782),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [6213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(860),
  [6216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8171),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [6225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1897),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [6234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8505),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [6265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [6281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [6283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5165),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8552),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8726),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8576),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [6315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [6317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [6373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [6385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8656),
  [6399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8656),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [6404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [6408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [6414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [6426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_statement, .child_count = 1),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [6448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [6450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [6452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [6456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [6468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [6484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6808),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [6495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [6499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(771),
  [6502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8034),
  [6505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [6529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [6537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [6549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [6553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8566),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [6558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8544),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8566),
  [6569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_in_expression, .child_count = 3),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [6573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8076),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [6586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8680),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [6594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [6596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [6604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [6608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [6630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(694),
  [6633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8095),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [6654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [6662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6821),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [6671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [6673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [6681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [6683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [6687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [6703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [6721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8696),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [6729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [6765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8310),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5260),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [6795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8310),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5143),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [6856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5056),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [6910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1834),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [6925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_field, .child_count = 1),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8786),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [6951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(729),
  [6954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8114),
  [6957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6802),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [6968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [6990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [7020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1348),
  [7023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6880),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [7072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [7076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [7078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [7080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [7098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [7100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [7116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6352),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [7124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5302),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [7128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8227),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [7132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [7134] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8659),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [7154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8659),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [7159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [7165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8659),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [7172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8816),
  [7175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8659),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8643),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6205),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [7188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8659),
  [7191] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8659),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [7199] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8659),
  [7203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8816),
  [7205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8341),
  [7207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8341),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [7212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_overloaded_procedure_declaration_repeat1, .child_count = 2),
  [7214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_overloaded_procedure_declaration_repeat1, .child_count = 2),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6394),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8234),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8588),
  [7232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [7234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8698),
  [7237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8698),
  [7240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8698),
  [7243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6383),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [7251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [7255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8231),
  [7257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8629),
  [7259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [7261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8653),
  [7264] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8698),
  [7268] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8653),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [7280] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8698),
  [7284] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8653),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [7290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8653),
  [7293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8653),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [7306] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8653),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [7324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8643),
  [7327] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8698),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [7335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8653),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [7340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8698),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [7353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8660),
  [7356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [7388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [7404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6819),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8488),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8660),
  [7425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8488),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [7434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6993),
  [7437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1951),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [7472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(769),
  [7475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8133),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8332),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [7510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8163),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [7523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8269),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8644),
  [7527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [7533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [7541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [7547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8102),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [7552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [7560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5275),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [7566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8613),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5224),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6385),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8489),
  [7606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8636),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [7610] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8473),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [7620] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8473),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8203),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [7628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8473),
  [7631] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8473),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [7637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8377),
  [7639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8502),
  [7641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8473),
  [7644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8473),
  [7647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8473),
  [7650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [7668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8460),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [7674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [7680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [7682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [7726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [7730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [7736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [7748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [7758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8267),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [7763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [7767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [7779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1691),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [7808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6375),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [7814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8223),
  [7820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8627),
  [7822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [7824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8384),
  [7827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [7861] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8384),
  [7865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8384),
  [7868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8384),
  [7871] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8384),
  [7875] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8384),
  [7879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8384),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [7888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 3),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6342),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5272),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8253),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8635),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5261),
  [7910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(8609),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [7915] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8609),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [7923] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8609),
  [7927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(8609),
  [7930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(8609),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [7935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8609),
  [7938] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(8609),
  [7942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat2, .child_count = 2), SHIFT_REPEAT(6967),
  [7945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8055),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8781),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [7952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1871),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [7959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [7963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [7971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [7987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [7993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [7995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [8001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_field_type_repeat1, .child_count = 2), SHIFT_REPEAT(8781),
  [8004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6350),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5185),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8312),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8534),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8620),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [8038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [8054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 1),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [8060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [8066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [8086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [8104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [8112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [8116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8527),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [8122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6365),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8703),
  [8148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8757),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [8162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [8178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(887),
  [8181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(7957),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [8188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [8190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [8192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [8206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [8214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [8222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8242),
  [8225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8482),
  [8228] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(3290),
  [8232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6345),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8281),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8546),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [8278] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(3290),
  [8282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8206),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [8289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [8295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), SHIFT(3290),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [8300] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 2), REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(3290),
  [8304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 3), SHIFT(3290),
  [8307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 4), SHIFT(3290),
  [8310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_array_type, .child_count = 5), SHIFT(3290),
  [8313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8537),
  [8316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 5, .production_id = 44),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [8324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [8346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8661),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [8359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(8561),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [8366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 6, .production_id = 58),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [8462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_const_declaration, .child_count = 4),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [8466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_var_declaration, .child_count = 8),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [8470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_var_declaration, .child_count = 7),
  [8472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_var_declaration, .child_count = 5),
  [8474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_const_declaration, .child_count = 5),
  [8476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_var_declaration, .child_count = 6),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [8482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_const_declaration, .child_count = 3),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [8486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_const_declaration, .child_count = 6),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [8490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6294),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [8496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_assignment_statement, .child_count = 5),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [8520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [8542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [8556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_assignment_statement, .child_count = 4),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [8564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6264),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [8572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_update_statement, .child_count = 4),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [8582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6251),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [8602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [8610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_assignment_statement, .child_count = 6),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [8638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [8650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_const_declaration_repeat1, .child_count = 2),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [8662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6326),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [8672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_return_statement_repeat1, .child_count = 2),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [8680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [8688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6347),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [8696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_variable_declaration_repeat1, .child_count = 2),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [8720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [8778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_assignment_statement, .child_count = 3),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [8784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_update_statement, .child_count = 3),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [8808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_assignment_statement, .child_count = 7),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [8848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [8850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [8852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [8858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [8870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [8872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [9020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_using_statement, .child_count = 2),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [9040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [9042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [9134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(4896),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [9155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [9185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_const_type_declaration, .child_count = 5),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [9199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(4866),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [9206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5036),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [9213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_const_type_declaration, .child_count = 6),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [9223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5094),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [9232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5107),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [9245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5121),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [9258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [9268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variable_declaration, .child_count = 3),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [9272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5132),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [9289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5178),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [9310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5173),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [9323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5138),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [9364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5163),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [9383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__expression_no_tag, .child_count = 1), SHIFT(5158),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [9422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [9434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [9444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [9450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [9456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [9466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [9472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [9484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [9498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [9502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__simple_assignment_statement, .child_count = 4),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [9512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [9518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [9524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [9534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [9546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [9552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [9558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__simple_assignment_statement, .child_count = 3),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [9574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [9580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [9586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [9590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__simple_assignment_statement, .child_count = 5),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [9594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [9600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [9606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__simple_assignment_statement_repeat1, .child_count = 2),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [9652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_call_expression_repeat1, .child_count = 2, .production_id = 14),
  [9654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [9750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_source_file_repeat1, .child_count = 2),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [9770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [10020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attributes, .child_count = 1),
  [10022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attributes, .child_count = 1),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [10028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 10),
  [10030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 11),
  [10032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_field, .child_count = 3),
  [10034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_bit_field_declaration_repeat1, .child_count = 6),
  [10036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 5),
  [10038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_enum_declaration_repeat1, .child_count = 4),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [10044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_attributes_repeat1, .child_count = 2),
  [10046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_attributes_repeat1, .child_count = 2),
  [10048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributes_repeat1, .child_count = 2), SHIFT_REPEAT(8139),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [10063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 6),
  [10065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_call_expression_repeat1, .child_count = 4, .production_id = 14),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [10081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 9),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [10087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_default_parameter, .child_count = 3),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [10093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_in_expression, .child_count = 4),
  [10095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_default_parameter, .child_count = 4),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [10101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_switch_case_repeat1, .child_count = 2, .production_id = 29),
  [10103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 8),
  [10105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 7),
  [10107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_default_type, .child_count = 3),
  [10109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_in_expression, .child_count = 2),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [10143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6200),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [10185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6197),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6203),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [10269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [10307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6212),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [10361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [10411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [10433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [10615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute, .child_count = 2),
  [10617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 2),
  [10619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute, .child_count = 5),
  [10621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 5),
  [10623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute, .child_count = 7),
  [10625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 7),
  [10627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute, .child_count = 6),
  [10629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 6),
  [10631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute, .child_count = 4),
  [10633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 4),
  [10635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [10637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8768),
  [10639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8807),
  [10641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7056),
  [10643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8762),
  [10645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8803),
  [10647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [10649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8765),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8805),
  [10653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7074),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8760),
  [10657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [10659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8753),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8799),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6607),
  [10667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6682),
  [10669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7111),
  [10671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8759),
  [10673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8801),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [10677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [10679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_overloaded_procedure_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(1463),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [10686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_overloaded_procedure_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(1351),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [10699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [10701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6380),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [10787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1860),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [10792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [10800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [10814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1872),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [10831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1729),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6729),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6346),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [10876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6614),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [10892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [10896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6824),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [10914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6585),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [10926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [10940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6709),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [10944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6832),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [10948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [10964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1800),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [10971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [10975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1848),
  [10978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1731),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [10983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_const_declaration, .child_count = 7),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [10987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_var_declaration, .child_count = 4),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [10997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_member, .child_count = 4),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [11001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_member, .child_count = 3),
  [11003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_const_declaration_repeat1, .child_count = 3),
  [11005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_member, .child_count = 6),
  [11007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_when_statement, .child_count = 4),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [11011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field, .child_count = 5),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [11015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8176),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [11019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field, .child_count = 3),
  [11021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field, .child_count = 6),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [11027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_var_declaration, .child_count = 3),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [11031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_member, .child_count = 5),
  [11033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field, .child_count = 7),
  [11035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field, .child_count = 4),
  [11037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_when_statement, .child_count = 3),
  [11039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 33),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [11043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_when_statement_repeat1, .child_count = 2),
  [11045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_when_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8497),
  [11048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 33),
  [11050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 8, .production_id = 61),
  [11052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_const_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(498),
  [11055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_overloaded_procedure_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(1761),
  [11058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 34),
  [11060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 32),
  [11062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 34),
  [11064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 32),
  [11066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 3, .production_id = 11),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [11070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 4, .production_id = 23),
  [11072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 7, .production_id = 47),
  [11074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 7, .production_id = 48),
  [11076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 7, .production_id = 46),
  [11078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_return_statement_repeat1, .child_count = 2), SHIFT_REPEAT(625),
  [11081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 47),
  [11083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 4, .production_id = 11),
  [11085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_variable_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(765),
  [11088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 22),
  [11090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_var_declaration, .child_count = 9),
  [11092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_const_declaration, .child_count = 8),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [11096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 7, .production_id = 61),
  [11098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 23),
  [11100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 48),
  [11102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 46),
  [11104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 4, .production_id = 22),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [11112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 1),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [11130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_if_statement_repeat1, .child_count = 2),
  [11132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_if_statement_repeat1, .child_count = 2), SHIFT_REPEAT(8790),
  [11135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5187),
  [11137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [11141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 2),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [11147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_assignment_statement, .child_count = 8),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [11157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_overloaded_procedure_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(1670),
  [11160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_update_statement, .child_count = 5),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [11168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_declaration, .child_count = 5),
  [11170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6909),
  [11172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_break_statement, .child_count = 1),
  [11174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_break_statement, .child_count = 1),
  [11176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 7, .production_id = 18),
  [11178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_declaration, .child_count = 7),
  [11180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_declaration, .child_count = 11),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [11186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 3),
  [11188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 5, .production_id = 56),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [11194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_field_declaration, .child_count = 7),
  [11196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_declaration, .child_count = 7),
  [11198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 3),
  [11200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6919),
  [11202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_continue_statement, .child_count = 1),
  [11204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_continue_statement, .child_count = 1),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [11212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [11214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_overloaded_procedure_declaration, .child_count = 7),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [11218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5281),
  [11220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_field_declaration, .child_count = 6),
  [11222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_declaration, .child_count = 8),
  [11224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 8, .production_id = 18),
  [11226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_declaration, .child_count = 12),
  [11228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 4, .production_id = 29),
  [11230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_field_declaration, .child_count = 12),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [11236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_declaration, .child_count = 5),
  [11238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 3),
  [11240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_field_declaration, .child_count = 13),
  [11242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 8, .production_id = 8),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [11250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_field_declaration, .child_count = 14),
  [11252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 5),
  [11254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_foreign_block, .child_count = 3),
  [11256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 3, .production_id = 3),
  [11258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 9, .production_id = 18),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [11262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 7, .production_id = 56),
  [11264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 5, .production_id = 29),
  [11266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_declaration, .child_count = 10),
  [11268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure_declaration, .child_count = 4),
  [11270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_declaration, .child_count = 5),
  [11272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 7),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [11280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_declaration, .child_count = 12),
  [11282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_declaration, .child_count = 6),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [11286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 7, .production_id = 8),
  [11288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_else_clause, .child_count = 2, .production_id = 7),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [11294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_declaration, .child_count = 10),
  [11296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_when_statement, .child_count = 5),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [11308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 7, .production_id = 3),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [11320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_declaration, .child_count = 7),
  [11322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_declaration, .child_count = 9),
  [11324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_foreign_block, .child_count = 4),
  [11326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 6, .production_id = 3),
  [11328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_declaration, .child_count = 13),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [11334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 4),
  [11336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 4, .production_id = 8),
  [11338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_attribute_repeat1, .child_count = 4),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [11342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_overloaded_procedure_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(1632),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [11351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 6, .production_id = 8),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [11363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_overloaded_procedure_declaration, .child_count = 9),
  [11365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bit_field_declaration, .child_count = 11),
  [11367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_declaration, .child_count = 8),
  [11369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_declaration, .child_count = 9),
  [11371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 6),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [11379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 5, .production_id = 18),
  [11381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 4),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [11385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter, .child_count = 4),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [11389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 2),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [11407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_overloaded_procedure_declaration, .child_count = 6),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [11411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_declaration, .child_count = 6),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [11417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_foreign_block, .child_count = 2),
  [11419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_overloaded_procedure_declaration, .child_count = 5),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [11423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [11425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_overloaded_procedure_declaration, .child_count = 8),
  [11427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_block_repeat1, .child_count = 2),
  [11429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_block_repeat1, .child_count = 2), SHIFT_REPEAT(38),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [11448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure_declaration, .child_count = 3),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [11456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 8),
  [11458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 5),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [11464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_declaration, .child_count = 10),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [11472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_else_when_clause, .child_count = 4),
  [11474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_procedure_declaration, .child_count = 5),
  [11476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_declaration, .child_count = 11),
  [11478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_import_declaration, .child_count = 5, .production_id = 3),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [11486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_declaration, .child_count = 6),
  [11488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_declaration, .child_count = 8),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [11498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_declaration, .child_count = 11),
  [11500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 6, .production_id = 56),
  [11502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_declaration, .child_count = 9),
  [11504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_case, .child_count = 6, .production_id = 29),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [11512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 40),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [11524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 39),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [11528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 33),
  [11530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7615),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [11534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8543),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [11540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 7, .production_id = 34),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [11544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 8, .production_id = 67),
  [11546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 4, .production_id = 27),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [11550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_else_if_clause, .child_count = 4, .production_id = 22),
  [11552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 3, .production_id = 12),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [11558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 6, .production_id = 43),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [11562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 4, .production_id = 22),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [11566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 4, .production_id = 23),
  [11568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 3, .production_id = 13),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [11572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 49),
  [11574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 4),
  [11576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 41),
  [11578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7745),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [11582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8462),
  [11584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 4, .production_id = 26),
  [11586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 3, .production_id = 11),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [11594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 8, .production_id = 66),
  [11596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 4, .production_id = 29),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [11606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 4, .production_id = 25),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [11616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_parameter_repeat1, .child_count = 2),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [11628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 7, .production_id = 59),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [11632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_parameter_repeat1, .child_count = 3),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [11636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 52),
  [11638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 34),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [11646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 4, .production_id = 24),
  [11648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 42),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [11658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 38),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [11662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 2, .production_id = 7),
  [11664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 7, .production_id = 66),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [11672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 6, .production_id = 44),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [11676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 7, .production_id = 58),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [11684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 53),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [11694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 7, .production_id = 33),
  [11696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 37),
  [11698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 23),
  [11700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 7, .production_id = 32),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [11708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_label_statement, .child_count = 3),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [11718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_else_if_clause, .child_count = 5, .production_id = 32),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [11724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_else_if_clause, .child_count = 6, .production_id = 68),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [11730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 9, .production_id = 61),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [11740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 50),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [11752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_defer_statement, .child_count = 2),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [11760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 5, .production_id = 43),
  [11762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7515),
  [11764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_declaration_repeat1, .child_count = 1),
  [11766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_struct_declaration_repeat1, .child_count = 1),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [11772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_break_statement, .child_count = 2),
  [11774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 51),
  [11776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 7, .production_id = 62),
  [11778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 8, .production_id = 47),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [11782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_tagged_block, .child_count = 2),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [11786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_continue_statement, .child_count = 2),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [11790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 5, .production_id = 11),
  [11792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 54),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [11796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 5, .production_id = 29),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [11802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 8, .production_id = 46),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [11814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [11824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 7, .production_id = 63),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [11830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 8, .production_id = 48),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [11834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 35),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [11840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 4, .production_id = 28),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [11864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 36),
  [11866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [11868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 7, .production_id = 65),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [11878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 7, .production_id = 64),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [11884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 6, .production_id = 59),
  [11886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 55),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [11892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [11898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 6, .production_id = 48),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [11908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 6, .production_id = 22),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [11912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [11916] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [11924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [11936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_tuple_type_repeat1, .child_count = 2),
  [11938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [11976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_parameters_repeat2, .child_count = 4),
  [11978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [11984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [11992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [12000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_block_repeat1, .child_count = 3),
  [12002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_type_repeat1, .child_count = 2),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [12006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym__string_literal_repeat1, .child_count = 2),
  [12008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__string_literal_repeat1, .child_count = 2), SHIFT_REPEAT(7041),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [12029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [12037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [12041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_identifier_repeat1, .child_count = 2),
  [12043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_field_identifier_repeat1, .child_count = 2), SHIFT_REPEAT(8176),
  [12046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_union_declaration_repeat1, .child_count = 2),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [12064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [12070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [12076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_declaration_repeat1, .child_count = 2),
  [12078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(6907),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [12097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [12111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [12129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__struct_members, .child_count = 3),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [12149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_identifier, .child_count = 2),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [12163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [12167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [12171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8140),
  [12173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6576),
  [12175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [12183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8015),
  [12185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__simple_assignment_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1854),
  [12188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [12210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [12214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_parameters_repeat2, .child_count = 6),
  [12216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_switch_statement_repeat1, .child_count = 2),
  [12218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_switch_statement_repeat1, .child_count = 2), SHIFT_REPEAT(594),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [12227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_parameter_repeat1, .child_count = 2), SHIFT_REPEAT(6362),
  [12230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [12232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_parameters_repeat2, .child_count = 5),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [12236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [12238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_source_file, .child_count = 2),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [12246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [12252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_overloaded_procedure_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(2008),
  [12255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__simple_assignment_statement, .child_count = 6),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [12259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [12265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [12267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__struct_members, .child_count = 2),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [12271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [12301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [12343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attribute_repeat1, .child_count = 2), SHIFT_REPEAT(8579),
  [12346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_attribute_repeat1, .child_count = 2),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [12350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4309),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [12396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_repeat2, .child_count = 2),
  [12398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_repeat2, .child_count = 2), SHIFT_REPEAT(1229),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [12539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_import_declaration_repeat1, .child_count = 2),
  [12541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_import_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(6976),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [12558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [12680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym__raw_string_literal_repeat1, .child_count = 2),
  [12682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__raw_string_literal_repeat1, .child_count = 2), SHIFT_REPEAT(7368),
  [12685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [12711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [12759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_polymorphic_parameters, .child_count = 8),
  [12761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat1, .child_count = 1),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [12773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [12785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [12831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [12841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_switch_case_repeat1, .child_count = 2, .production_id = 57), SHIFT_REPEAT(622),
  [12844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_switch_case_repeat1, .child_count = 2, .production_id = 57),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [12864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [12882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8020),
  [12884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8432),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [12956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [12994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [13012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_declaration_repeat2, .child_count = 2),
  [13014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_declaration_repeat2, .child_count = 2), SHIFT_REPEAT(7098),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [13089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [13135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [13195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_variable_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(696),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [13212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_parameters_repeat1, .child_count = 2), SHIFT_REPEAT(6277),
  [13215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_parameters_repeat1, .child_count = 2),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [13221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_map_repeat1, .child_count = 2),
  [13223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_map_repeat1, .child_count = 2), SHIFT_REPEAT(1413),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [13236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_type_repeat1, .child_count = 2), SHIFT_REPEAT(2247),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [13307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_polymorphic_parameters, .child_count = 7),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [13337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_bit_field_declaration_repeat1, .child_count = 2),
  [13339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_bit_field_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(8385),
  [13342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_enum_declaration_repeat1, .child_count = 2),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [13350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_repeat1, .child_count = 2), SHIFT_REPEAT(8242),
  [13353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_repeat1, .child_count = 2),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [13363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [13379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_polymorphic_parameters, .child_count = 6),
  [13381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [13405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [13415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_call_expression_repeat1, .child_count = 2, .production_id = 16), SHIFT_REPEAT(470),
  [13418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_call_expression_repeat1, .child_count = 2, .production_id = 16),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [13424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_field_repeat1, .child_count = 2), SHIFT_REPEAT(7460),
  [13427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_repeat1, .child_count = 2),
  [13429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [13437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [13449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_package_declaration, .child_count = 2),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [13459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_member_repeat1, .child_count = 2), SHIFT_REPEAT(8153),
  [13462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_member_repeat1, .child_count = 2),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [13466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__struct_members_repeat1, .child_count = 2),
  [13468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__struct_members_repeat1, .child_count = 2), SHIFT_REPEAT(7837),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [13479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_parameters_repeat1, .child_count = 2), SHIFT_REPEAT(8026),
  [13482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_parameters_repeat1, .child_count = 2),
  [13484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [13516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_parameters_repeat2, .child_count = 2), SHIFT_REPEAT(7984),
  [13519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_parameters_repeat2, .child_count = 2),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [13541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [13563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_where_clause_repeat1, .child_count = 2), SHIFT_REPEAT(1530),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [13582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [13614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_polymorphic_parameters, .child_count = 5),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [13634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat1, .child_count = 2),
  [13636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_type_repeat1, .child_count = 2), SHIFT_REPEAT(7407),
  [13639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_enum_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(8429),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [13674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_union_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(4950),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [13711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [13755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [13841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_tuple_type_repeat1, .child_count = 2), SHIFT_REPEAT(4610),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [13846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__struct_members, .child_count = 1),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [13924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [13946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_map_repeat1, .child_count = 4),
  [13948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field, .child_count = 8),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [13966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_struct_member_repeat1, .child_count = 3),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [13974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_repeat1, .child_count = 4),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [13978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_polymorphic_parameters_repeat1, .child_count = 3),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [13988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8408),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [13992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_field_repeat1, .child_count = 3),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [14000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7998),
  [14002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [14038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8301),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [14042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7438),
  [14044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [14046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8495),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [14074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8595),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [14086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8213),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [14096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8794),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [14112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_member, .child_count = 7),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [14118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [14132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [14134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [14136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8499),
  [14138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [14146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8017),
  [14148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8479),
  [14150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8470),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [14154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [14162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8658),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [14174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8486),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [14430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [14448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [14450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [14452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [14480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [14484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [14486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [14542] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [14552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_calling_convention, .child_count = 1),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [14632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [14634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [14636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [14640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [14642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [14646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [14670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [14672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [14674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [14676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [14678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [14680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [14682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [14684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [14686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [14688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [14690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [14694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [14696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [14698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [14700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [14702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [14704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [14706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [14708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [14710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [14712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [14714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [14716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [14718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [14720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [14724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [14726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [14728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [14730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [14732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [14734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [14736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [14738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [14740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [14742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [14744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [14746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [14748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [14750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [14752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [14754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [14756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [14762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [14768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [14772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [14774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [14778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [14780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [14798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [14810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [14812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [14816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [14818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [14822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [14824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [14826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [14828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [14830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [14832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [14834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [14836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [14838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [14840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [14842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [14848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [14850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [14886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [14894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [14902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [14904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [14908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [14922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [14924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__backslash = 1,
  ts_external_token__nl_comma = 2,
  ts_external_token_float = 3,
  ts_external_token_block_comment = 4,
  ts_external_token_LBRACE = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__backslash] = sym__backslash,
  [ts_external_token__nl_comma] = sym__nl_comma,
  [ts_external_token_float] = sym_float,
  [ts_external_token_block_comment] = sym_block_comment,
  [ts_external_token_LBRACE] = anon_sym_LBRACE,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token__nl_comma] = true,
    [ts_external_token_float] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [2] = {
    [ts_external_token__backslash] = true,
    [ts_external_token_float] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [3] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token_float] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token_block_comment] = true,
  },
  [6] = {
    [ts_external_token__backslash] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [7] = {
    [ts_external_token__backslash] = true,
    [ts_external_token_block_comment] = true,
  },
  [8] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token__nl_comma] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token__nl_comma] = true,
    [ts_external_token_block_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_odin_external_scanner_create(void);
void tree_sitter_odin_external_scanner_destroy(void *);
bool tree_sitter_odin_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_odin_external_scanner_serialize(void *, char *);
void tree_sitter_odin_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_odin() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_odin_external_scanner_create,
      tree_sitter_odin_external_scanner_destroy,
      tree_sitter_odin_external_scanner_scan,
      tree_sitter_odin_external_scanner_serialize,
      tree_sitter_odin_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
